Table of Contents

Team LiB
Next Section
Microsoft Windows XP Professional Administrator's Guide
Microsoft Windows XP Professional Administrator's Guide
by Jerry Lee Ford, Jr. ISBN:1931841969
Premier Press © 2003 (861 pages)

This manual covers all the basics of Windows XP Professional--from installing and upgrading to enabling remote support. It also tackles issues such as setting up password requirements, securing shared resources, and managing user accounts.
Table of Contents Back Cover
Table of Contents
 | Microsoft Windows XP Professional Administrator's Guide
 | Introduction
 | Part I - Windows XP Basics
 | Chapter 1 | - | Introducing Windows XP Professional
 | Chapter 2 | - | Installing and Upgrading to Windows XP Professional
 | Chapter 3 | - | Help and Support
 | Chapter 4 | - | Application Management
 | Chapter 5 | - | Printer and Fax Administration
 | Part II - Desktop Management
 | Chapter 6 | - | Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder
 | Chapter 7 | - | Configuring Desktop Settings
 | Chapter 8 | - | Configuring Accessibility Features
 | Part III - Advanced Administration
 | Chapter 9 | - | Security Administration
 | Chapter 10 | - | Microsoft Management Consoles
 | Chapter 11 | - | Disk Management
 | Chapter 12 | - | Configuring and Administering System Files
 | Chapter 13 | - | Performance Tuning
 | Chapter 14 | - | Shell Scripting and the WSH
 | Part IV - Networking with Windows XP Professional
 | Chapter 15 | - | Supporting Mobile Users
 | Chapter 16 | - | Windows XP and TCP/IP
 | Chapter 17 | - | Supporting Internet Communications
 | Chapter 18 | - | LAN Configuration
 | Chapter 19 | - | Printer and Disk Sharing
 | Part V - Windows XP Professional Reference Materials
 | Appendix A | - | Windows XP Command Reference
 | Appendix B | - | Troubleshooting System Startup
 | Glossary
 | Index
 | List of Figures
 | List of Tables
Team LiB
Next Section


Back Cover

Team LiB
Microsoft Windows XP Professional Administrator's Guide
Microsoft Windows XP Professional Administrator's Guide
by Jerry Lee Ford, Jr. ISBN:1931841969
Premier Press © 2003 (861 pages)

This manual covers all the basics of Windows XP Professional--from installing and upgrading to enabling remote support. It also tackles issues such as setting up password requirements, securing shared resources, and managing user accounts.
Table of Contents Back Cover
Back Cover

Install, configure, and manage Windows XP Professional with this comprehensive administrator’s guide! Congratulations! You have found the ultimate task-oriented guide to Microsoft Windows XP Professional. Whether you are maintaining one stand-alone computer or thousands of networked Windows XP Professional systems, this book is designed to help you do your job and keep things running smoothly.

Master the Basics

  • Learn all the basics of Windows XP Professional—from installing and upgrading to enabling remote support
  • Install and uninstall new applications with ease and use the Task Manager to handle non-responsive programs

Tackle Administrative Issues

  • Learn how to set up password requirements, secure shared resources, and manage user accounts
  • Use Microsoft Management Consoles to delegate limited capabilities to end users

Network with XP Professional

  • Master mobile computing issues such as administering offline file access, creating multiple hardware files, and securing a dial-up connection
  • Set up and configure Windows XP Internet applications, including Windows NetMeeting, Windows Messenger, and Remote Desktop
  • Master LAN configuration issues, including configuring a network protocol, setting up network connections, and adding a computer to a domain

About the Author

Jerry Lee Ford, Jr. is an author, an educator, and an IT professional with 14 years of experience in information technology. He is an MCSE and has also earned Microsoft’s MCP and MCP+I certifications. Jerry is the author of nine other books, including Learn JavaScript in a Weekend, Learn VBScript in a Weekend, and Microsoft Windows Shell Scripting and WSH Administrator’s Guide from Premier Press. He has over five years of experience as an adjunct instructor teaching networking courses in information technology.

Team LiB


Microsoft Windows XP Professional Administrator's Guide

Jerry Lee Ford Jr.

Premier Press

Copyright © 2003 Premier Press a division of Course Technology.

All rights reserved. No part of this book may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying, recording, or by any information storage or retrieval system without written permission from Premier Press, except for the inclusion of brief quotations in a review.

The Premier Press logo and related trade dress are trademarks of Premier Press, Inc. and may not be used without written permission.

Microsoft and Windows are registered trademarks of Microsoft Corporation in the United States and/or other countries. All other trademarks are the property of their respective owners.

Important: Premier Press cannot provide software support. Please contact the appropriate software manufacturer's technical support line or Web site for assistance.

Premier Press and the author have attempted throughout this book to distinguish proprietary trademarks from descriptive terms by following the capitalization style used by the manufacturer.

Information contained in this book has been obtained by Premier Press from sources believed to be reliable. However, because of the possibility of human or mechanical error by our sources, Premier Press, or others, the Publisher does not guarantee the accuracy, adequacy, or completeness of any information and is not responsible for any errors or omissions or the results obtained from use of such information. Readers should be particularly aware of the fact that the Internet is an ever-changing entity. Some facts may have changed since this book went to press.

1-931841-96-9

Library of Congress Catalog Card Number: 2001111227

03 04 05 06 07 BH 10 9 8 7 6 5 4 3 2 1

Premier Press, a division of Course Technology
2645 Erie Avenue, Suite 41
Cincinnati, Ohio 45208

Publisher:

Stacy L. Hiquet

Marketing Manager:

Heather Hurley

Acquisitions Editor:

Todd Jensen

Technical Reviewer:

Dallas Releford

Copy Editor:

Ginny Kaczmarek

Interior Layout and Project Management: Argosy

Cover Designer:

Mike Tanamachi

Indexer:

Larry Sweazy

Proofreader:

Karen A. Gill

To Mary, Alexander, William, and Molly.

Acknowledgments

There are a number of individuals who deserve credit for their work on this book. I especially want to thank Todd Jensen, who served as the book's acquisitions editor, Ginny Kaczmarek for her work as copy editor, and the book's project editor, Karen Cheng. I also want to acknowledge the book's technical editor, Dallas G. Releford, who is an accomplished author with numerous computer books and articles to his credit, for his thorough review and assistance in completing this book. Finally, I'd like to thank everyone else at Premier Press for all their hard work.

About the Author

Jerry Lee Ford, Jr. is an author, an educator, and an IT professional with 14 years of experience in information technology, including roles as an automation analyst, a technical manager, a technical support analyst, an automation engineer, and a security analyst. Jerry is an MCSE and has also earned Microsoft's MCP and MCP+I certifications. In addition, he has a master's degree in business administration from Virginia Commonwealth University in Richmond, Virginia. Jerry is the author of nine other books, including Learn JavaScript in a Weekend, Learn VBScript in a Weekend, and Microsoft Windows Shell Scripting and WSH. He has over five years of experience as an adjunct instructor teaching networking courses in information technology. Jerry lives in Richmond, Virginia, with his wife, Mary, and their children, William, Alexander, and Molly.


Introduction

Windows XP Professional and Windows XP Home Edition are Microsoft's newest operating systems and are designed to replace Windows 2000 Professional and Windows Me. These two Windows XP operating systems are built on a Windows 2000 code base but also incorporate many Windows Me features, such as Plug and Play, stronger support for legacy devices, and utilities such as the Device Manager.

Windows XP Professional and Windows XP Home Edition are designed to support different groups of people. Windows XP Home Edition, as its name implies, is targeted directly at the home user. It includes a number of userfriendly features that are designed to make it easier for the home user, such as Fast User Switching, which allows family members to simultaneously share a computer without having to log each other off. While many of these features are available in Windows XP Professional, some of them are automatically disabled when used in a networked environment in order to provide Windows XP Professional with better security.

Windows XP Professional is Microsoft's offering for corporate, engineering, and power users. Unlike Windows XP Home Edition, which is limited to small peer to peer networks, Windows XP Professional is designed to work in networked environments of all sizes. Like Windows NT and Windows 2000 before it, Windows XP Professional is a very complex and powerful operating system and requires administration and maintenance in order to keep it running smoothly over time. That's why this book was written—to provide the person charged with keeping Windows XP Professional up and running with the tools and instructions that are required to get the job done. Whether you are maintaining one stand-alone computer running Windows XP Professional or thousands of networked Windows XP Professional systems, this book is designed to help you do your job and keep things running smoothly.

What This Book Is About

This book is task oriented and is designed for readers who have previous Windows experience. It does not spend a lot of time on theory or in long-winded explanations. Instead, it focuses on the practical, hands-on application of Windows XP Professional administration. Key administrative tasks have been collected and organized, and they are explained with supplemental information often provided in lists and tables. Step-by-step procedures are used to provide a detailed outline of how to perform each task.

This book's primary focus is to explain and demonstrate the administration of Windows XP Professional. Windows XP Home Edition is discussed only briefly for comparative purposes. Other Microsoft operating systems will receive similar coverage. Because of its administrative focus, this book will not attempt to cover every aspect of Windows XP Professional's operation. For example, use of built-in applications and utilities such as Notepad, WordPad, and the Calculator have very little to do with the administration of the operating system. Likewise, while certainly useful and exciting to the end user, Windows XP Professional's multimedia applications are not usually considered when administering Windows XP Professional. Instead, this book's primary focus is to show you, as an administrator, how to perform the step-by-step administration of Windows XP Professional.

You'll also be able to apply much of what you read in this book to the administration of Microsoft Windows .NET Server. Windows .NET Server, while not available as of the release of this book, is Microsoft's replacement for Windows 2000 Server; despite the lack of "XP" in its name, it will look and operate in much the same manner as Windows XP Professional.

By the time that you finish reading this book, you will have acquired the knowledge and skills required to perform the following tasks:

  • Perform a new installation or upgrade of Windows XP Professional

  • Install and configure Windows device drivers

  • Use the resources provided by the Windows XP Help and Support Center to troubleshoot and repair Windows problems

  • Manage the installation and removal of Windows applications and components

  • Install and configure local printers

  • Set up and manage the Windows XP Fax service

  • Configure all aspects of the Windows XP desktop, Start menu, and taskbar

  • Configure accessibility options that support people with disabilities

  • Administer security on Windows XP Professional in order to prevent unauthorized access to system resources

  • Create and manage user and group accounts and apply security policies that govern computer and user activities

  • Use the Computer Management console to administer Windows XP

  • Enable encryption, compression, and disk quotas

  • Administer and back up disk resources

  • Edit and configure the Windows Registry and other critical system files

  • Monitor Windows resources and tune Windows XP performance

  • Work with Windows XP from the Windows command prompt and perform basic administrative scripting

  • Set up and manage remote access

  • Administer TCP/IP and configure network clients

  • Set up Internet access and work with built-in Windows Internet applications

  • Establish virtual private connections over the Internet

  • Support and administer Windows XP network clients and configure networking services and clients

  • Share and access Windows XP print and disk resources on Windows networks


Who Should Read This Book?

This book was written for administrators and experienced Windows users who need to familiarize themselves with the intricacies of administering computers running Windows XP Professional in stand-alone and networked environments. As such, this book focuses on Windows XP Professional from an administrator's point of view and on the tasks required to ensure the proper operation of Windows XP Professional.

This book is not a Windows XP primer, nor does it cover Windows XP Home Edition. To be able to take advantage of the information presented in this book, you will need a basic understanding of computer terminology and concepts, including a basic understanding of Windows networking and the Internet.

This book assumes a certain level of previous experience on your part with other Windows operating systems. While previous experience with Windows NT or 2000 is not essential, it will certainly be helpful. However, power users with a strong Windows 98 and Me background will find that the information presented will provide them with the foundation that they need to prepare to step up and support computers running Windows XP Professional.


What You Need to Begin

This book is a task-oriented administrative guide to Windows XP Professional. Its focus is on providing you with the instruction and knowledge required to administer the Windows XP Professional operating system. All that you'll need to be able to follow most of the book's instructions is one computer with adequate hardware resources to support Windows XP Professional. However, to take advantage of this book's coverage of networking, remote access, and Internet coverage, you'll also need access to a local area network that includes other computers running Windows XP Professional as well as a modem and an Internet connection. Even without all these resources, you'll still be able to review these topics and prepare yourself for the time when such resources may be at your disposal.


How This Book Is Organized

This book is organized in five parts and was written to be read sequentially from beginning to end. Less experienced administrators and users will want to read this book in this manner. More experienced administrators and power users with a strong background in working with Windows operating systems can easily skip around and read the book in the order that best suits their own needs.

Part I provides an introduction and overview of basic Windows XP Professional features and functionality with an emphasis on administrative procedures. Part II focuses on tasks related to the management of the Windows XP Professional desktop. Part III covers a range of advanced administrative tasks, including security administration, disk management, the administration of the registry and critical system files, performance monitoring, and scripting. Part IV covers the networking features built into Windows XP, including local area networking, remote access, and the Internet. Part V consists of two appendixes and a glossary of terms. The appendixes provide supplemental information about Windows XP commands and troubleshooting.

The basic outline of the book is presented as follows:

  • Chapter 1, "Introducing Windows XP Professional." This chapter provides an overview of Windows XP features that are important to system administrators. This chapter also provides an overview of the new Windows XP user interface and offers the administrator a basic overview of navigating Windows XP Professional, thus laying the foundation for the rest of the book.

  • Chapter 2, "Installing and Upgrading to Windows XP Professional." This chapter provides instructions for performing a fresh installation of Windows XP Professional. It also instructs you in upgrading from a previous version of Windows. Installation issues such as hardware compatibility, dual-booting with other Microsoft operating systems, and the generation of upgrade reports are discussed. Postinstallation activities, including the installation of additional hardware and the management of drivers, are also covered. The chapter concludes with coverage of Windows XP Professional's activation and registration processes.

  • Chapter 3, "Help and Support." In this chapter, you'll learn about finding help for Windows XP Professional. In addition to covering the basics of using the Help system, this chapter will explain how to enable remote support and how to use it to receive or provide support. Coverage includes how to configure Windows XP Professional Help and Support options, as well as how to use the Help and Support Center to gather information about the system. Other topics that are covered include how to configure error reporting and automatic updates.

  • Chapter 4, "Application Management." This chapter addresses the management of Windows applications, including how to install and uninstall new applications. It also covers how Windows XP Professional's Installer service helps to install applications and to track them to ensure that critical application components are not deleted or corrupted. Coverage also includes how to install and remove optional Windows XP Professional software, as well as how to handle nonresponsive programs using the Windows Task Manager. Other topics include how to configure application priorities and the importance of looking for applications that bear the Windows logo.

  • Chapter 5, "Printer and Fax Administration." Chapter 5 explains how to install, configure, and administer a local printer using either Plug and Play or a manual install. In addition, it shows how to set up a printer connection with a network printer and explains how Windows XP uses Universal Plug and Play. Tasks that are covered include how to configure a printer's name, how to set up a default printer, how to print a test page, how to manage print jobs, how to set up a printer pool, and how to work with print priorities. Faxing and printing are handled in a similar fashion under Windows XP. This chapter extends its coverage to include the installation and configuration of the Windows XP Fax service.

  • Chapter 6, "Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder." This chapter explains how to configure the Windows XP Start menu and taskbar. It provides a thorough review of all major components found on the Start menu and explains every configuration option for the Start menu and taskbar. Tasks show how to perform activities such as configuring toolbars, adding new menu links, and changing the system date and time. In addition to explaining the differences between the Windows XP and Classic menus, Chapter 6 provides procedures that show how to work with the Address, Links, Desktop, and Quick Launch toolbars.

  • Chapter 7, "Configuring Desktop Settings." In this chapter, the tasks involved in administering the Windows desktop are outlined. Topics include the configuration of desktop objects and the configuration of Windows XP display properties. This chapter provides detailed procedures that identify the steps involved in configuring desktop themes, background customization, and screen savers and password lockout.

  • Chapter 8, "Configuring Accessibility Features." This chapter explains how to configure Windows XP Professional to support users that may have vision, hearing, or mobility issues. Chapter 8 covers all of the utilities found in the Accessibility folder. Coverage includes how to use the Accessibility wizard to configure text font and size and display settings, how to use the Magnifier to assist people with visual problems, and how to turn on the Narrator to provide audio output for individuals with hearing issues. This chapter also explains how to use the Utility Manager to configure each of the previous tools as well as the onscreen keyboard.

  • Chapter 9, "Security Administration." Chapter 9 presents the tasks involved in administering security on a Windows XP Professional system. Topics include how to set up password requirements, secure shared resources, run programs as another user, manage user and group accounts, and implement policies. Account management tasks include how to add, delete, and modify user and group accounts and how to apply permissions for user and group accounts to individual Windows resources. This chapter also explains how to perform remote account administration, manage security policies, and implement disk quotas.

  • Chapter 10, "Microsoft Management Consoles." This chapter focuses on administration tasks that are performed using MMCs (Microsoft Management Consoles). Each console in the default Windows XP Professional console collection is reviewed. The chapter discusses the framework behind the MMC and provides a full discussion of how to create new custom consoles and use them to delegate limited administrative capabilities to less-experienced administrators and end users. This discussion includes the use of snap-ins, the tools that are loaded into MMCs and that provide MMCs with functionality, and contains a comprehensive list of snap-ins.

  • Chapter 11, "Disk Management." Chapter 11 identifies the strengths and weaknesses of the file systems supported by Windows XP Professional. Strategies for partitioning disk space and the placement of system and boot partitions are examined. This chapter provides procedures that show how to format a disk partition, convert a FAT32 partition to an NTFS partition, assign drive letters, and check for available disk space. In addition, the chapter covers how to implement data encryption and compression. Other disk management tasks that are covered include the defragging of disk drives, the running of the disk cleanup wizard, and the creation of backups.

  • Chapter 12, "Configuring and Administering System Files." This chapter identifies and explains the configuration of critical Windows XP Professional system files. This chapter focuses heavily on the Windows XP Professional registry and explains the use of the Regedit and Regedt32 registry editors. In addition, critical system files including win.ini, system.ini, and boot.ini are examined. The management of Windows XP Professional services is included in the coverage of critical system resources as is the administration of environment variables. The chapter also explains the importance of creating automated system recovery disks and how to use them to recover from problem situations.

  • Chapter 13, "Performance Tuning." This chapter supplies the information and instruction required to fine-tune a Windows XP Professional installation. Procedures outline the steps involved in optimizing Windows XP's visual effects, CPU scheduling, memory use, and virtual memory. The chapter also reviews utilities that can examine system performance, including the Task Manager and the System Monitor Console. Other performance-tuning topics that are covered include the configuration of display settings and power management.

  • Chapter 14, "Shell Scripting and the WSH." This chapter provides a review of the scripting architectures available to Windows XP Professional, including shell scripting and the WSH (Windows Script Host). Specific examples of scripts are provided in the form of shell scripts, JScripts, and VBScripts, from which the administrator can begin to develop more complicated scripts. The importance of Windows Script Files is also explained.

  • Chapter 15, "Supporting Mobile Users." This chapter outlines the tasks required to set up and support Windows XP Professional for mobile computing. Coverage includes modem installation and configuration, as well as the procedures required to set up dial-up clients, a dial-up server, and a dial-up session. In addition, the chapter provides instruction on how to secure a dial-up connection by setting callback options. Other topics covered include the administration of offline file access, deferred printing, creation of multiple hardware profiles to support dockable laptops, and remote access using Remote Desktop.

  • Chapter 16, "Windows XP and TCP/IP." This chapter details the steps involved in configuring TCP/IP on network computers running Windows XP Professional. This includes procedures for configuring both dynamic and static IP addressing. Domain services such as DNS and WINS are identified and procedures are provided that explain how to configure IP settings on Windows XP Professional network clients. In addition, APIPA (Automatic Private IP Addressing) is reviewed and explained within the context of small office and home networks.

  • Chapter 17, "The Internet." This chapter outlines the steps involved in connecting Windows XP Professional to the Internet. Coverage includes dial-up, always-on high-speed cable, and DSL access as well as the configuration of Internet access on local area networks. The chapter explains the setup and configuration of Windows XP Internet applications, including Windows NetMeeting, Windows Messenger, HyperTerminal, FTP, and Telnet. Also covered is how to set up secured communications over the Internet using virtual private network connections. Other topics include the setup and configuration of Internet Connection Sharing and the use of Windows XP's built-in Internet Connection Firewall.

  • Chapter 18, "LAN Configuration." Chapter 18 outlines the tasks required to set up and configure Windows XP Professional network clients on local area networks. Both workgroup and client/server networks are considered. Network clients, services, and protocols are examined, and procedures are provided that show how to install, configure, and modify network software.

  • Chapter 19, "Printer and Disk Sharing." This chapter explains the steps involved in sharing Windows XP Professional disk and printer resources over a network. Coverage includes how to set up a shared resource and how to properly secure it. The chapter then examines the security implications of sharing resources using Windows XP Professional, including a discussion of the importance of using NTFS and implementing strong security. Other topics that are covered include how to stop sharing resources, how to connect to other network resources, and how to audit the use of a shared resources.

  • Appendix A, "Windows XP Command Reference." Appendix A provides a comprehensive reference of Windows XP commands. This list can be used to assist in the administration of Windows XP Professional from either the Windows command prompt or within scripts that automate the administration of Windows tasks.

  • Appendix B, "Troubleshooting System Startup." Appendix B provides a foundation from which you can troubleshoot problems that may occur with Windows XP Professional. Coverage includes the diagnosis of both Windows XP computer and networking problems. The appendix explains where and how to gather system information and diagnose hardware problems. It also demonstrates how to control the startup of Windows XP as part of problem resolution and how to use built-in Windows XP troubleshooters.

  • Glossary. The glossary contains a list of terms used throughout this book.


Conventions Used in This Book

This book uses a number of conventions that are designed to make it easier for you to read and work with it. These conventions are described below:

  • Note

    provide additional helpful or interesting information.

  • Tip

    often suggest techniques and shortcuts to make your life easier.

  • Italic is used throughout the book to highlight new terms and to emphasize key information.

  • Bold is used to indicate Web addresses and text that is to be typed.


Part I: Windows XP Basics

Chapter 1: Introducing Windows XP Professional
Chapter 2: Installing and Upgrading to Windows XP Professional
Chapter 3: Help and Support
Chapter 4: Application Management
Chapter 5: Printer and Fax Administration


Chapter 1: Introducing Windows XP Professional

Overview

This chapter presents an overview of Microsoft Windows XP Professional and its features and functionality. It highlights the differences between Windows XP Professional and Windows XP Home Edition and explains Microsoft's intention for these two operating systems.

The chapter helps current Windows 2000 administrators by pointing out differences between Windows 2000 Professional and Windows XP Professional. The chapter also helps Windows 98 and Me power users by providing a similar comparison and by explaining the basic steps involved in establishing a login session with Windows XP Professional.

Chapter 1 provides a foundation for the rest of the book. It highlights many key concepts that are of concern to Windows XP Professional administrators and power users and provides cross-references to later chapters where topics are fleshed out in greater detail.


Windows XP Professional Features and Capabilities

Microsoft Windows XP represents a major operating system upgrade. It is packed with new features that elevate it above other Windows operating systems. At its core, Windows XP is based on the Windows 2000 kernel and is thus both reliable and stable. This means that Windows XP shares the same 32-bit architecture as Windows 2000, in addition to other advanced features such as protected memory and the NTFS (New Technology File System) file system.

Windows XP comes in two flavors, Windows XP Home Edition and Windows XP Professional. Windows XP Home Edition is targeted at the home consumer, whereas Windows XP Professional is aimed squarely at the corporate user. Windows XP Professional provides all of the same key features as Windows XP Home Edition, but it comes with a collection of additional features that make it the appropriate selection for the corporate working environment.

Windows XP Professional is loaded with user-friendly utilities and applications, such as the latest versions of Internet Explorer, Outlook Express, and Messenger. In addition, Windows XP Professional includes multimedia-based applications such as Windows Media Player version 8 and Windows Movie Maker version 1.1. While these applications will certainly excite most users, they generally fall outside of the scope of an administrator's concern and will therefore not be covered in this book.

Note

The Windows Media Player supports the playing of CDs and DVDs. It also allows you to listen to Internet radio and to watch streaming video. It features the ability to communicate with many peripheral devices, such as portable music players, and can also be used to burn new audio CDs.

The Windows Movie Maker lets you create movies using video capture devices, such as a digital camcorder that is attached to a computer using a IEEE 1394 FireWire connection. It also provides basic editing capabilities.

Windows XP Professional provides a number of new intelligent features that are designed to enhance your computing experience. For example, Windows XP watches you as you work and learns what programs you run most often. It then places links to these programs on the Windows Start menu. In addition, it identifies each application's startup files and moves them to a location on your hard drive where they can be accessed more quickly, thus letting you open them faster. For administrators, this means that Windows XP will let you work smarter and faster.

Like Windows 2000, Windows XP has significantly reduced the number of situations that require a computer to be rebooted. For example, reboots have been eliminated when reconfiguring network protocols or installing Plug and Play peripheral devices. In addition, you can now change a computer's IP address without having to reboot it in order to make the change take effect. However, not all reboot requirements have been eliminated. For example, most service pack installations still require the computer to be restarted.

By reducing the number of situations that require you to reboot Windows XP, Microsoft has made the role of an administrator a lot easier. You'll find many other features in Windows XP Professional that will make the administrator's job a lot easier. These features include:

  • A new user interface

  • A better installation and upgrade process

  • Tools that produce superior reliability

  • A collection of new help and support services

  • New security utilities and features

  • Better hardware and software support

  • New networking and remote access capabilities

Enhanced User Interface

The Windows XP graphical user interface features a completely new design, which is more colorful and features lots of rounded edges and looks softer. Microsoft has redesigned it to consolidate tasks and to provide visual clues. For example, the color green is now used to identify a link to other resources, such as the green All Programs icon on the Windows Start menu. Green is also used to indicate tasks or actions that users can take.

The new interface marks a change of direction for Microsoft operating systems. Windows XP is designed to encourage a cleaner desktop. As a result, there is much greater emphasis on the Windows Start menu. By default, a new installation of Windows XP will place only a single icon on the Windows desktop, the Recycle Bin. To help users keep their desktops clear of clutter, Microsoft provides the Desktop Cleanup Wizard. By default, this wizard is set up to run every 60 days. It displays a list of desktop icons that have not been used for the last 60 days and helps you to remove them.

Note

For detailed information on how to enable and disable the execution of the Desktop Cleanup Wizard or how to run it manually, refer to "Working with the Desktop Cleanup Wizard" in Chapter 7, "Configuring Desktop Settings."

In addition to the improved Start menu, there are many other areas where Microsoft has made major component changes in the Windows graphical user interface, including:

  • The taskbar

  • Windows folders

  • The Windows Control Panel

The New Start Menu

Windows XP provides an adaptive working environment. It observes each user and automatically adjusts the appearance and organization of the Start menu, shown in Figure 1.1, to match the way people work. For example, Windows XP reserves the lower half of the left-hand column in the Start menu to display programs that the user uses most often and automatically keeps this list up-to-date over time as the user's working patterns change.

Click To expand
Figure 1.1: Windows XP features a more intelligent and streamlined Start menu

By default, the Windows XP Start menu now displays the following links:

  • A link to the user's default Internet browser

  • A link to the user's default e-mail client

  • Links to the user's five most used applications

  • Links to the My Documents, My Recent Documents, My Pictures, and My Music folders

  • Links to the My Computer and My Network Places folders

  • Links to the Windows Control Panel and the Printers and Faxes folder

  • A link to the Help and Support System

  • Links to the Search Results folder and the Run dialog box

  • An All Programs option that provides a cascading listing of all remaining applications

  • Log Off and Turn Off Computer options

Note

Windows XP provides greater control over the configuration of the Windows Start menu than other Microsoft operating systems. For detailed instruction on how to configure the Windows XP Start menu, refer to "Customizing the Windows XP Professional Start Menu" in Chapter 6, "Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder."

A Reorganized Taskbar

Another improvement in the Windows graphical user interface is the reorganization of taskbar icons into groups. This reduces clutter and makes Windows XP a lot easier to work with when you have a large number of applications open. For example, Figure 1.2 shows a Windows XP taskbar on a system where the Windows XP Control Panel and six instances of the WordPad applications are currently open.

Click To expand
Figure 1.2: The Windows XP taskbar more efficiently organizes and provides access to open applications

As soon as the Windows XP taskbar begins to get crowded, Windows XP begins grouping instances of the same applications together. You can view all the task buttons in the list by clicking on the collection on the taskbar, as shown in Figure 1.3.

Click To expand
Figure 1.3: Expanding the taskbar to display all open instances of the same application

Each task button in the collection displays the icon associated with the open application, as well as the file name of the document. Previous versions of Windows operating systems added a task button onto the taskbar for each open application instance, which could quickly crowd the taskbar and make it difficult to find a particular instance. This new Windows XP task-grouping scheme is designed to reduce clutter and to streamline the way people work.

Note

Windows XP provides a number of taskbar configuration options. For detailed instructions on how to work with these configuration options, refer to "Customizing the Windows XP Taskbar" in Chapter 6, "Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder."

More Functional Folders

Windows XP has reorganized Windows folders to make them more task oriented and to provide a different way of organizing their contents. Figure 1.4 shows an example of the My Documents folder. The File and Folder tasks section on the left side of the folder provides a list of tasks that can be performed on the folder.

Click To expand
Figure 1.4: Windows XP's folders help you better manage files and folders by providing tasks for administering them

Selecting an object within the folder automatically results in a new set of tasks being displayed in the File and Folder Tasks section. The tasks that are displayed are specifically applicable to the selected object. For example, Figure 1.5 shows how the File and Folder Tasks section appears when a document is selected.

Figure 1.5: Windows XP customizes the list of tasks that can be performed based on the object that has been selected

Windows XP also provides new ways to view and organize folder contents. For example, you can organize folder contents by any of the following views.

  • Thumbnail

  • Tile

  • Icon

  • List

  • Details

Within these views, you can organize the display of files using any of the following options:

  • Name

  • Size

  • Type

  • Modified

In addition, Windows XP provides the ability to display folder contents by group. For example, Figure 1.6 shows the contents of the My Document folders in Icon view, organized by type and further organized into groups.

Click To expand
Figure 1.6: Organizing folder contents into groups
Note

For more information on how to configure the organization and display of Windows folders and their contents, refer to "Configuring the My Documents Folder" in Chapter 6, "Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder."

The Windows XP Control Panel

The Windows Control Panel provides tools for changing the way Windows looks and the way it behaves. Windows XP has changed the look and feel of the Windows Control Panel. Whereas previous Windows operating systems displayed a collection of Control Panel utilities or applets, Windows XP has reorganized the applets into categories using a new Control Panel view called Category Control Panel, as shown in Figure 1.7.

Click To expand
Figure 1.7: Windows XP introduces a new category view for the Windows Control Panel

In Category View, Windows XP organizes applets and relates tasks into major categories that are descriptively labeled. Category View organizes the Control Panel into nine categories, which include:

  • Appearance and Themes

  • Printers and Other Hardware

  • Network and Internet Connections

  • User Accounts

  • Add or Remove Programs

  • Date, Time, Language, and Regional Options

  • Sounds, Speech, and Audio Devices

  • Accessibility Options

  • Performance and Maintenance

You can learn more about the contents of any particular category by placing the pointer over its icon for a moment and reading the text that appears. When you open a category, you'll see the Control Panel applets that are related to it. In addition, you'll see a list of tasks that when selected open Windows dialogs and wizards required to perform the associated task.

For example, if you open the Appearance and Themes category, as shown in Figure 1.8, you will see the four tasks that you can perform to affect the appearance of Windows XP, as well as the following Control Panel applets:

  • Display

  • Folder Options

  • Taskbar

  • Start Menu

Click To expand
Figure 1.8: Examining the applets located under Appearance and Themes

If you prefer working with the Control Panel as it appears in Windows 2000 Professional, you can configure Windows XP to display its Control Panel using the Classic view by selecting the Switch to Classic View option on the left-hand side of the Control Panel as shown in Figure 1.9.

Click To expand
Figure 1.9: Windows XP allows you to switch between Category and Classic Views of the Control Panel

Streamlined Installation Process

If you order your computers with Windows XP preloaded and are comfortable with the way your PC vendor configures your computers, then the Windows XP process may be of limited consideration when examining Windows XP Professional administrative issues. However, from time to time, every administrator will come across a situation that requires a reinstall of the operating system. Also, administrators do not have the luxury of purchasing all new equipment every time a new Microsoft operating system is released, and therefore must be prepared to upgrade existing computers.

Windows XP supports two types of Windows XP installations:

  • Upgrade. This type of install requires an upgrade version of Windows XP and is used to install Windows XP on a computer that has adequate hardware resources and an upgradable Windows operating system. An upgrade installs Windows XP while preserving existing system and user configuration settings.

  • Clean. This type of install involves installing a fresh copy of Windows XP Professional on a computer. If the computer does not have an existing operating system, Windows XP's install process can be initiated by booting off the Windows XP CD-ROM. The Windows XP install process will then prepare the computer's disk drive and lay down the operating system's files. If the computer already has an operating system, the install will overwrite it and will not migrate any system or user configuration settings into Windows XP Professional.

Tip

If you purchase individual copies of Windows XP Professional, be sure to purchase the correct version for your purpose. Microsoft sells two different versions of Windows XP, an upgrade and a full version. The upgrade version can only be used to install Windows XP on a computer that already has an operating system that is eligible for an upgrade. The full version can install Windows XP regardless of what type of operating system a computer may currently be running. As you might expect, the cost of the full version is significantly higher than the upgrade version. Of course, if you plan to purchase a large number of Windows XP Professional licenses, bulk pricing in available and can be explained by the vendor from which you purchase Windows XP Professional.

When upgrading a computer to Windows XP Professional, the computer must meet the minimum hardware requirements for Windows XP. The computer must also have an operating system that is eligible for upgrade. Otherwise, a clean install must be performed. Table 1.1 identifies the Microsoft operating systems that are eligible for an upgrade to Windows XP Professional.

Table 1.1: Windows XP Professional Upgrade Paths
Operating System | Home Edition | Professional
MS-DOS | No | No
3.X | No | No
95 | No | No
98 | Yes | Yes
98 2nd Edition | Yes | Yes
Me | Yes | Yes
NT 4 | No | Yes
2000 Professional | No | Yes

Windows XP installs easier than any previous Microsoft operating system. This is due in part to the operating system's expanded hardware and software support. Windows XP provides an advanced Plug and Play functionality and supports all of the latest hardware technologies. These technologies include PCI and USB enhancements and support for IEEE 1394 and new wireless networking devices.

Note

Windows XP Professional's minimum hardware requirements are outlined in "Installation Requirements" in Chapter 2, "Installing and Upgrading to Windows XP Professional."

Microsoft has also made refinements to the installation procedure itself and the tools used by the installation procedure, such as Plug and Play. Windows XP provides a number of preparation tools that make the installation process a lot easier. These tools include analyzers that can be used to scan a computer to analyze whether or not it and the software that it runs have any upgrade issues. The Windows XP installation process also features a dynamic update feature that allows administrators to automatically download any updates that Microsoft has posted for the Windows XP installation process. This ensures that the installation is performed using the most current system files. Updates can include any of the following enhancements to the base Windows XP installation process:

  • Updated software drivers

  • New security fixes

  • Software and hardware compatibility updates

Like Windows 2000 Professional, Windows XP Professional supports advanced installation features, such as unattended installation, where Windows XP installs without any administrator intervention by retrieving answers to installation questions from configuration files created in advance by the administrator. Windows XP Professional also supports installation using SysPrep. SysPrep lets the administrator install new instances of Windows XP based on the configuration settings of a base clone computer. Administrators with access to Windows 2000 Server or .NET Server can also use RIS (Remote Installation Services) to remotely install Windows XP Professional over a network.

Note

Detailed information on how to install or upgrade to Windows XP Professional using various installation options is provided in Chapter 2, "Installing and Upgrading to Windows XP Professional."

Better Reliability

Windows XP Professional retains all the reliability features provided by Windows 2000 Professional. These reliability features include:

  • Safe mode startup. This feature provides the ability to start up Windows XP Professional using different startup modes in order to troubleshoot boot problems. For example, various boot options allow Windows XP to be started using reduced sets of software drivers or in a command-line only mode. This is helpful for starting a Windows XP Professional system in order to fix a problem that would otherwise prevent startup.

  • Windows Update. This feature provides an online service that Windows XP can use to automatically keep itself updated. Microsoft regularly collects and centrally stores a collection of updates for Windows XP. These updates include device drivers, system updates, fixes, security updates, and service packs. Windows XP can be configured to regularly check for updates and either automatically download and install them or simply notify you of their availability.

  • Device driver signing. Device driver signing is a technique that ensures that a software driver has been properly tested and certified for use on Microsoft operating systems. Administrators can configure Windows XP to prevent or allow the installation of unsigned drivers or to simply provide a warning that gives the administrator an opportunity to decide whether or not to install the driver.

  • Multiple Direct Link Library or DLL protection. This features allows Windows XP Professional better support applications by allowing each application to install its own DLL files without impacting other applications that may require different versions of the same DLL files. By supporting the storage and use of different versions of the same DLL for applications, Windows XP allows each application to install and use the DLL for which it was designed with no impact to the operating system or other applications.

  • Windows file protection. Windows XP identifies and tracks critical application and system files. This provides the operating system with the ability to prevent their deletion or accidental modification and to automatically restore them when necessary.

Note

Microsoft has established the Windows Hardware Quality Lab to evaluate drivers and hardware submitted to it by vendors. The lab tests drivers and certifies their proper operation. If necessary, you can still install noncertified drivers, and if things go wrong, you can use Windows XP's driver rollback to restore the previous driver.

Windows XP Professional further enhances system reliability by providing a host of new features and enhancements to existing Windows capabilities. These new features and enhancements include:

  • Device driver rollback

  • System Restore

  • Dynamic Update

Device Driver Rollback

In addition to verifying that a software driver has been certified for use by Windows XP, Windows XP now provides the ability to roll back or uninstall a software driver and reinstall the previously used software driver. This way, if a new software driver is not behaving appropriately, the administrator can back it out and replace it with its predecessor with a single click.

For example, Figure 1.10 displays a typical Windows XP compatible network adapter's software driver. In addition to providing details about the driver and assisting in updating and removing it, Windows XP provides the rollback driver option. This option allows you to restore the device's previously installed software driver. However, this option is limited to restoring only the most recently installed software driver. In other words, it cannot restore any earlier versions of the software driver other than the last one.

Click To expand
Figure 1.10: Windows XP automatically saves a copy of a device's software driver before performing a driver update
Note

Driver rollback supports all types of peripheral devices except for printers. Unlike network adapters or video hardware drivers, a faulty printer driver is not likely to disable the computer or significantly inhibit a computer's functionality.
Note

Detailed instruction on how to roll back software drivers is provided in "Driver Rollback" in Chapter 2, "Installing and Upgrading to Windows XP Professional."

System Restore

Windows XP Professional provides the ability to restore a Windows XP Professional system to a previous configuration without losing any user data. Windows XP creates automatic restoration points every day and whenever a major configuration change occurs. Restore points are automatically created any time new software or hardware is installed or when software drivers are updated.

In the event that a change to the system is made that inhibits the functionality or operation, an administrator can use the Windows XP System Restore utility to restore the computer to a previously known good state by restoring the operating system using any saved restoration point. The System Restore utility also provides the ability to manually establish restore points at any time, as shown in Figure 1.11.

Click To expand
Figure 1.11: The Windows XP System Restore utility lets you recover from harmful changes made to system settings
Note

Detailed instruction on the use of the System Restore utility is provided in "Restore Points" in Appendix B, "Troubleshooting System Startup."
Note

To back up user data, Windows XP provides the Backup or Restore Wizard. Information on how to save and restore user files using the Backup or Restore Wizard is available in "Recovering User Files with Windows Backup" in Appendix B, "Troubleshooting System Startup."

System Restore can be used to recover from changes made to Windows XP configuration settings. It does not support recovery of user data.

Dynamic Update

Dynamic Update is a new Windows installation tool that allows the administrator to retrieve the latest collection of installation files at the beginning of the Windows XP installation process. This not only improves the probability that the installation will succeed, but also helps produce a more stable operating system after installation is complete. Files downloaded by the dynamic update process include the most currently available software drivers and application patches. In addition, security fixes and other enhancements not available when Windows XP was released are also downloaded. Figure 1.12 displays the Microsoft Windows Upgrade Advisor, which is used by the Dynamic Update process to retrieve updates files from Microsoft.

Click To expand
Figure 1.12: Dynamic Update ensures that any installation files on the Windows CD are replaced with updated copies before the installation of Windows XP Professional begins
Note

Detailed instruction on the use of the Dynamic Update is provided in "Performing an Upgrade" in Chapter 2, "Installing and Upgrading to Windows XP Professional."

Improved Help and Support Services

Windows XP introduces the Help and Support Center. The Help and Support Center, shown in Figure 1.13, gathers together information and tools that can be used to learn more about Windows XP and the computer running it. In addition, you'll find Windows XP documentation, links to common tasks and utilities, links to online information, and troubleshooting assistance.

Click To expand
Figure 1.13: Windows XP's Help and Support Center consolidates help documentation, system information, and help tools and provides a single source for information gathering

The Help and Support Center provides access to the same types of help information that are found in other Windows operating systems. This includes the ability to perform searches, to view the help index, to access online information, and to access troubleshooters. The Help and Support Center also provides direct access to tools that help the administrator to manage and control Windows XP. These tools include:

  • My Computer Information. Provides detailed information about the programs and hardware loaded on the computer as well as information about system health

  • System Restore. A utility that creates restore points and can be used to restore Windows XP to a previous state using those restore points

  • Remote Assistance. A utility that lets users seek online help by sending an invitation to an administrator or power user that permits remote takeover and troubleshooting of the computer

  • Network Diagnostics. Provides detailed information about the status of the computer's network connections

  • Disk Cleanup. Searches local disk drives and locates temporary files, program files, and Internet cache files that can be safely removed in order to increase available disk space

  • Disk Defragmenter. Analyzes disk drives searching for fragmented files and then reorganizes the contents of disk drives to eliminate fragmentation to increase disk performance

  • Advanced System Information. Provides links to information that can be used to access system status and troubleshoot problems

  • System Configuration utility. A troubleshooting tool used to control system startup options, edit system files, control services, and configure startup options

The Help and Support Center's Remote Assistance utility is especially helpful if you have remote Windows XP Professional computers to support. This feature allows users to seek administrative support by creating an invitation and sending it to an administrator or power user for remote assistance. The invitation can be sent using any of the following options:

  • Windows Messenger

  • E-mail

  • File

Remote Assistance sessions are automatically encrypted and can be password protected. Once an invitation is received and accepted, the helper is presented with a screen similar to the one shown in Figure 1.14. From here the helper can communicate with the requestor using text or voice and can transmit files to the remote computer or request permission to take over its mouse and keyboard.

Click To expand
Figure 1.14: Remote Assistance facilitates remote desktop support and allows administrators to troubleshoot complex problems without having to physically visit the user's computer
Note

More information on Remote Assistance is provided in "Remote Assistance" in Chapter 3, "Help and Support."

Stronger Security

Windows XP Professional supports all of the same security features as Windows 2000 Professional, including NFTS security and the EFS (Encrypting File System). In addition, Windows XP introduces the ICF (Internet Connection Firewall), as shown in Figure 1.15.

Click To expand
Figure 1.15: ICF protects a computer that is directly connected to the Internet from external intrusion and attack

ICF is designed for home users and businesses with computers that are individually connected to the Internet or that are connected to a small peer-to-peer network with shared Internet access. It is not appropriate for large corporate networks that are protected by industrial strength firewalls. It is automatically configured on any computer running the Windows Internet connection-sharing service in order to protect the ICS server and all ICS clients from external attack.

Note

More information on how to work with the ICF is provided in "Personal Firewalls" in Chapter 17, "The Internet."

Another new security feature found in Windows XP Professional is the ability to encrypt offline files using EFS. EFS is only supported on NTFS formatted volumes. EFS operates using public-key encryption. A public/private key is automatically generated by EFS for each user ensuring that only the person who encrypts a file can decrypt it. EFS does not require any configuration or setup on the part of the administrator. Encryption key par generation is automatic. Figure 1.16 shows the Advanced Attributes dialog that is used to apply encryption to a file or folder.

Click To expand
Figure 1.16: The EFS provides an additional layer of security for critical files
Note

You can learn more about working with the encrypted file system in "Applying Disk Encryption" in Chapter 11, "Disk Management."

Improved Hardware and Software Support

One of the difficulties that Microsoft faced in the development of Windows NT and 2000 was an inherent incompatibility with applications specifically designed to run on Windows 9x operating systems. Many Windows 9x applications were designed for specific Windows operating systems and sometimes required direct access to system resources. A poorly written Windows 9x application had the potential of crashing any Windows 9x system. Windows NT and 2000 provided enhanced system stability by preventing applications from directly accessing system hardware, resulting in an inability to run many Windows 9x applications.

Software Compatibility

The introduction of Windows XP Home Edition and Windows XP Professional mark the end of support for the Windows 9x line of operating systems. In order to avoid leaving Windows 9x users in the lurch, Microsoft put a lot of time into Windows XP to enhance its applications support. As a result, Microsoft claims that Windows XP will run the 1,000 most popular Windows 9x applications. However, not every popular Windows 9x application is supported. Unsupported applications include:

  • Backup programs

  • Antivirus programs

  • Many third party system utilities

Microsoft expects that the companies that develop these incompatible applications will release updates or new versions that will be Windows XP compatible.

For programs that did not make Microsoft's top 1,000 list and which will not run out of the box, Microsoft provides the Program Compatibility Wizard. This wizard, shown in Figure 1.17, provides the administrator with the ability to configure Windows XP top-run individual applications in an environment that emulates the operating system on which the applications were designed to run.

Click To expand
Figure 1.17: The Program Compatibility Wizard lets administrators configure Windows XP so that it can run nonWindows XP programs

The Program Compatibility Wizard can be used to set up program execution in any of the following emulation environments:

  • Microsoft Windows 95

  • Microsoft Windows NT 4.0 (Service Pack 5)

  • Microsoft Windows 98 / Windows Me

  • Microsoft Windows 2000

Note

Detailed instruction on working with the Program Compatibility Wizard is provided in "Configuring Noncompatible Windows XP Applications" in Chapter 4, "Application Management."

Hardware Compatibility

Windows XP's driver model is the same as the one implemented in Windows 2000, but Windows XP features substantially improved hardware support. Not only does it provide support for the same collection of devices supported by Windows 2000 but it has added support for hundreds of new devices. Windows XP provides updated support for all of the following:

  • IEEE 1394 FireWire devices

  • PCI (Peripheral Component Interface) enhancements

  • USB (Universal Serial Bus) enhancements

  • Wireless networking hardware

  • DVD and CD-RW devices

Windows XP now provides the ability to use CD-RW and CD-R drives to burn new CDs. It can also directly play many DVDs using the new UDF (Universal Disk Format) version 2.01. Another nice feature added to Windows XP is AutoPlay, shown in Figure 1.18, which allows Windows XP to automatically detect when a user adds a device or inserts new media and then to determine its content and launch the appropriate application.

Click To expand
Figure 1.18: Windows XP's AutoPlay feature lets you associate an application with a media type so that Windows will automatically load the appropriate application whenever the media type is detected

Windows XP replaces Windows 2000's TWAIN support with Window Me's WAI (Windows Image Acquisition) technology. Windows XP uses WAI to transfer images between the computer and scanners and digital cameras. Windows XP also features stronger support for 802.11x wireless networking hardware and for the next generation of high-resolution monitors with resolution support up to 2000 dpi.

Better Networking and Remote Access Features

Windows XP Professional continues to build on the networking and remote access solutions provided by Windows 2000. New Windows XP networking features include stronger support for wireless networking security, performance, and hardware. It also provides a number of new features specifically targeted at small networks. Windows XP Professional's support for mobile and remote computing has been improved with new features that extend battery life and provide support for the remote control of computers running Windows XP Professional.

Enhanced Tools for Setting Up Small Networks

Windows XP provides a collection of new features that are designed to assist in the administration of small networks. These features include:

  • The Network Setup Wizard

  • Network bridging

  • Universal Plug and Play

The Network Setup Wizard, shown in Figure 1.19, is designed to help in the setup of a small home or business network.

Click To expand
Figure 1.19: The Network Setup Wizard facilitates the setup of small networks and in the configuration of file and printer sharing

The Network Setup Wizard assists in the setup of a number of network tasks, including:

  • Sharing an Internet connection

  • Setup of the ICF

  • Sharing files and folders

  • Sharing printers

Note

You can find additional information about the Network Setup Wizard in Chapter 17, "The Internet," and Chapter 19, "Printer and Disk Sharing."

Another small networking technology introduced with Windows XP is network bridging. Network bridging helps in the setup of small networks that use two different network media, such as wireless and Ethernet, by allowing a single computer running Windows XP to provide a transparent bridge between the network segments. This allows them to operate as a single cohesive network.

Another small networking enhancement introduced with Windows XP is Universal Plug and Play. Universal Plug and Play provides Windows XP with the ability to automatically detect and connect to a range of devices that it discovers on a network. These devices may include:

  • Internet gateways

  • Network printers

  • Network appliances

Universal Plug and Play uses standard TCP/IP and Internet protocols and operates without any administrator intervention. It assists in the setup of small business and home networks by automatically discovering and setting up connections with other network devices.

Better Support for Mobile Computing

Like Windows 2000, Windows XP's power management scheme is based on the ACPI (Advanced Configuration and Power Interface) specification. Windows XP power management is configured from the Power Options Properties dialog as shown in Figure 1.20.

Click To expand
Figure 1.20: Windows XP Professional provides the best operating system for mobile computers because of its security and power management capabilities

Windows XP builds on Windows 2000 power management features by adding the ability to monitor processor power and to lower the CPU's speed in order to reduce power consumption. In addition, Windows XP now has the ability to exit a Standby state when power drops too low and to enter a hibernation state so that user and application data are not lost.

Note

Standby is a state into which Windows XP can place a computer where it consumes less power while waiting for the user to return. All data and open applications are stored in the computer's memory while the computer's display and hard drive are powered down. When the user returns and clicks on the mouse or presses on a keyboard key, Windows XP returns the system to its previous state. All applications that the user was working with are restored, as well as any data. Hibernation is a state similar to Standby except that everything in memory is stored on the hard drive and the computer is then completely powered off. When the user returns and starts the computer, Windows XP restores the system to its previous state by retrieving everything that was previously stored in memory from the hard drive.


Comparing Windows Operating Systems

Windows XP represents the merger of two different Windows operating system product lines. One of these lines is based on the Windows 9x kernel and consists of Windows 95, 98, and Me operation systems. The other line is based on the Windows NT kernel and includes Windows NT 4, 2000, and both versions of Windows XP.

Microsoft would have liked to do away with the Windows 9x family of operating systems with the introduction of Windows NT 4.0. However, this was not possible. The Windows NT operating system represented an entirely new way of thinking. It introduced a new and highly secure file system known as the NTFS. It was designed from the ground up to provide high levels of security, performance, and stability. Unfortunately, achieving these goals meant abandoning many of the features supported by the Windows 9x line of operating systems. For example, applications were restricted from directly accessing hardware resources. Windows NT effectively isolates each application from every other application and from the computer's hardware. This design provided Windows NT with the ability to tightly control applications and prevent them from interfering with each other or the operating system. As a result, many applications, especially games, were unable to run on Windows NT. This was true of many DOS, Windows 3x, and 9x applications, all of which ran just fine on computers running Windows 9x.

Compatibility

The majority of home users and a large number of corporate users are heavily invested in applications and legacy hardware that until now were only supported by the Windows 9x kernel. As a result, many application and games developers are not eager to abandon the Windows 9x platform that was very profitable for them. So although there is no question that Windows NT 4.0 and 2000 are better and more reliable operating systems, Microsoft finds itself forced to continue supporting the Windows 9x line of operating systems. It continues to do so in the form of Windows Me.

Microsoft originally planned to bring together the Windows 9x and NT lines of operating systems with the release of Windows NT 5.0. This never happened.

In 2000, Windows NT 5.0 was renamed and released as Windows 2000. Windows Me soon followed as the final operating system in the 9x line. Windows 2000 Professional, which was the replacement operating system for Windows NT Workstation 4.0, represented a major leap forward in bridging the gap between the NT and 9x lines of operating systems. Microsoft supplied with it Plug and Play support and even provided the Windows 9x Device Manager utility. In addition, Windows 2000 was compatible with significantly more hardware devices than Windows NT 4.0 had been. Microsoft also made sure that Windows 2000 supported the most popular Windows 9x applications. However, Windows 2000 was still based on the NT kernel, and there were still plenty of DOS, Windows 3.x, and Windows 9x specific applications that it did not support.

Windows XP Home Edition and Professional are both based on the Windows 2000 kernel. The introduction of Windows XP Home Edition represents the end of the Windows 9x line of operating systems. Microsoft promises that Windows XP Home Edition (and Professional) will run the 1,000 most popular applications right out of the box. In addition, Windows XP's hardware support has also been expanded, ensuring that in most cases any Windows 9x compatible hardware will also work properly with Windows XP.

Before upgrading any computer to Windows XP, it's prudent to check and make sure that its hardware and software will continue to operate as expected. Any hardware that is not supported must be either upgraded or replaced. In the event that you must run a legacy application or use a piece of hardware that is not supported by Windows XP, you'll have to stick with your current operating system. Hopefully the manufacturer of the application or hardware will eventually provide an upgrade path or replace the product with a Windows XP compatible solution. If you are upgrading from Windows NT Workstation or Windows 2000 Professional, then the odds are very good that all your hardware and software will be compatible. Upgrading computers that are running Windows 98 and Me operating systems are likely to be more problematic.

Windows Me vs. Windows XP Professional

Administrators that support former Windows 98 and Me users will find that these users will have more questions and will take longer to adjust to Windows XP Professional than Windows NT Workstation 4.0 and Windows 2000 Professional users. However, Windows 98 and Me users will be pleased with the reliability and stability of their new operating system and by its support for all the latest hardware. Windows XP Professional will outperform Windows Me on a computer that meets Windows XP's minimum requirements.

Perhaps the biggest inhibitor to upgrading computers running Windows 98 and Me to Windows XP Professional is the hardware requirements imposed by Windows XP. Windows Me's minimum hardware requirements are a 150MHz processor, 32MB of memory and 480MB disk drive. Microsoft recommends a 300MHz processor, 128MB of memory, and 1.5GB of free disk space before you consider upgrading to Windows XP Professional.

Because Windows XP Professional is based on the Windows 2000 kernel, it provides a significantly more reliable platform. Windows XP's NTFS file system support provides user-level security, allowing administrators to apply strong security over the computer and its resources. In addition, Windows XP Professional provides the following features that distinguish it from Windows Me.

  • Enhanced user interface. Windows XP's enhanced graphical user interface provides the end user with a more intuitive computing experience.

  • Help and Support Center. Windows XP's new Help and Support Center helps the user to be more self-sufficient in solving common problems.

  • Remote desktop. Allows users to remotely access their desktop using terminal server technology that has been built into Windows XP.

  • Remote Assistance. Provides administrators with the ability to provide users with remote desktop support.

  • Reduced reboot scenarios. Windows XP reduces the number of scenarios that require the administrator to restart the computer and reduces the amount of time required to make changes to a user's system.

  • 802.11x wireless networking enhancements. Windows XP provides enhanced support for 802.11x wireless networking, making the job of administrators of wireless networks a lot easier.

  • EFS. Windows XP's EFS service provides strong protection of user data and provides needed protection on mobile computers.

  • Device driver verification. Provides the administrator with assurance that software drivers have been properly tested.

  • Driver rollback. Assists the administrator in backing out faulty drivers.

  • Windows file protection. Helps prevent users from accidentally changing, deleting or otherwise damaging critical system files that might inhibit computer operation.

  • Dynamic Update. Ensures that administrators have the most current set of Windows XP installation files and reduces the chances of installation errors.

Windows 2000 Professional vs. Windows XP Professional

Windows XP Professional's biggest competitor is Windows 2000 Professional, with which it shares a common code base. Windows 2000 Professional already has a huge install base. Individuals and corporations have made a big investment in Windows 2000 Professional and may be hesitant to move too quickly to Windows XP Professional. In addition, tests have shown that Windows 2000 Professional is generally a little faster than Windows XP Professional on similarly equipped systems.

Windows 2000 Professional already has many of the same core features as Windows XP Professional, and many of Windows XP Professional's new features are available for download and installation on Windows 2000. Examples include the most current releases of Internet Explorer, Windows Media Player, and Windows Messenger. However, not all Windows 2000 applications will be Windows XP compatible. Examples include antivirus programs and backup utilities.

Despite many similarities, Windows XP Professional provides many features not found in Windows 2000 Professional, including:

  • Remote desktop. Allows Windows XP Professional users to remotely control their computer.

  • Better hardware support. Windows XP supports UDF 2.01, which is the current standard for reading DVDs. In addition, it provides enhanced support for USB, PCI, and IEEE 1394.

  • ICF. A built-in personal firewall that protects a Windows XP Professional computer from external intrusion when connected to the Internet.

  • System Restore. Provides the ability to restore a computer to a previous state without any loss of data using restoration points that Windows XP automatically creates.

  • Enhanced graphical user interface. A new task-based interface designed to provide the user with a more intuitive working environment.

  • Help and Support Center. This service replaces the Windows 2000 help system and integrates access to system and Internet-based help and information. In addition, this service ties together a number of administrative tools, including Remote Assistance and System Restore.

  • Enhanced Encrypted File System. Windows XP provides the same encrypted file system as Windows 2000 Professional with the added ability to encrypt offline files.

  • Driver Rollback. Provides the ability to reinstall the previous copy of a device's hardware driver in the event that its current driver is not operating properly.

  • Network bridging. A feature that allows a Windows XP Professional computer to connect two separate network segments together.

Windows XP Home Edition vs. Windows XP Professional

Windows XP Home Edition and Windows XP Professional share a common kernel and user interface. They also share a common set of applications, including Internet Explorer, Outlook Express, Windows Media Play, and Windows Movie Maker. These two operating systems share the same base collection of utilities and features. For example, Windows XP Home Edition and Windows XP Professional share:

  • A common user interface

  • The same reliability improvements

  • Common networking features

  • Support for EFS

  • ICS, ICF, and various Internet applications

  • Power management features

Windows XP Home Edition is targeted at the home user. As such, it lacks a number of features required by the corporate consumer. For example, Windows XP Home Edition is not able to join a Windows network that uses the domain networking model. This limits it to stand-alone implementations or to participation on small peer networks. Because ease of use is generally more important to the home user than security, Windows XP Home Edition provides Fast User Switching. Fast User Switching is a technique that allows two or more users to take turns sharing a computer without logging off, losing any data, or closing open applications. Windows XP Professional also supports Fast User Switching but only in stand-alone mode or on peer networks. As soon as a computer running Windows XP Professional is connected to a domain-based network, Fast User Switching is disabled.

Except for Fast User Switching, Windows XP Professional provides all the functionality found in Windows XP Home Edition. Another difference between the two operating systems is that Windows XP Professional substitutes Home Edition's Home Network utility with the Network Setup Wizard. Other features provided by Windows XP Professional that are not found in Windows XP Home Edition include:

  • Remote desktop

  • User and group security

  • Roaming user profiles

Windows XP 64-Bit Edition vs. Windows XP Professional

As powerful as Windows XP Professional is, there are some people who may find that they push its capabilities to the limit. For these people, Microsoft plans to provide a 64-bit version of Windows XP called Windows XP 64-Bit Edition. The 64-bit version of Windows XP runs on the Intel Itanium processor and is specifically designed to leverage the strengths of that processor, which include:

  • Support for up to 16GB of memory

  • Support for up to 16TB of virtual memory

  • Optimization for superior floating-point performance

  • Support for Intel's EPIC (Explicitly Parallel Instruction Computing) instruction set, which supports up to 20 simultaneous CPU operations

Note

The 32-bit versions of Windows XP are limited to 4GB of memory and cannot work with a data set greater than 2GB.

Windows XP 64-Bit Edition is designed for deployment on technical workstations that require large amounts of memory and that support memory intensive applications, such as:

  • Engineering applications

  • Intensive multimedia development applications

  • Mathematic intensive applications

  • Scientific applications

The main difference between the 32-bit and 64-bit versions of Windows XP is the ability of the 64-bit version to access large amounts of memory. Workstations with gigabytes of memory will be able to load larger amounts of data and, as a result, achieve significantly higher levels of performance.

Windows XP 64-Bit Edition will support the development of new 64-bit applications. Developers will find that its programming environment is very similar to that provided on the 32-bit version of Windows XP and that the application programming interface (API) is nearly identical, except for modifications that enable the exploitation of new functionality provided by the Itanium processor. Support for the 32-bit application is provided in the form of the WOW64 (Windows on Windows 64 x 86) emulator, which provides an isolated environment for the execution of 32-bit applications, thus protecting 64-bit applications from possible conflicts.

Tip

Windows XP 64-Bit Edition will run most 32-bit applications right out of the box. However, it will not run them as fast as a well-equipped 32-bit Windows XP system. Unless you need to work with data sets greater than 2GB in size, you'll get better performance by sticking with Windows XP Professional.

Windows XP 64-Bit Edition runs only with the Intel Itanium processor and a compatible 64-bit motherboard. Its minimum and recommend hardware requirements are listed below.

  • Minimum of a 733MHz Intel Itanium (800MHz Intel Itanium recommended)

  • 1GB of memory

The graphical user interface for the Windows XP 64-Bit Edition will look and feel the same as the 32-bit version. In addition, the same core set of features will be provided, including:

  • Networking

  • Plug and Play

  • Security

  • Multimedia

Computers running Windows XP 64-Bit Edition can operate on the same networking as computers running the 32-bit versions of Windows XP. Administrators will be able to manage them using the same utilities that they currently use.


Navigating a Windows XP Login Session

The remainder of the material presented in this chapter provides an overview of how to begin using a computer that is running Windows XP Professional. Windows XP's redesigned graphical user interface is very different from its predecessors and may create some initial confusion for many inexperienced users. Administrators will undoubtedly receive many requests for assistance from their users and will need to be prepared to assist them in performing several basic tasks, including:

  • System startup

  • Logging in

  • Logging off

  • System shutdown

The Boot Menu

Starting up a computer running Windows XP Professional is a straightforward task. If Windows XP Professional is the only operating system installed on the computer, Windows XP will automatically load as soon as the computer completes its initial Power On Self Test (POST) and present a login screen. However, if the computer has been set up to support more than one operating system, then a dual-boot menu similar to the one shown in Figure 1.21 will appear.

Click To expand
Figure 1.21: A computer set up to dual-boot multiple operating systems, including Windows XP Professional
Note

A dual-boot system is one in which the computer can be started using any of two or more installed operating systems. A dual-boot system is set up by installing Windows XP Professional on a system that already has another operating system and electing to retain the other operating system during the installation of Windows XP Professional. More information on dual-booting is available in "Dual-Booting" in Chapter 2, "Installing and Upgrading to Windows XP Professional."

Users may require a dual-booting system in the event that they use applications that are not supported by Windows XP Professional. By setting up a dual-boot for users, administrators allow users to migrate to Windows XP Professional while providing the ability to boot into an older version of Windows whenever they need to run their legacy applications. Dual-booting also benefits administrators by allowing them to maintain copies of each operating system that they need to support on their desktop.

By default, the Windows XP dual-boot menu waits 30 seconds before starting its default operating system. You can use the Up Arrow and Down Arrow keys on the keyboard to change this selection or simply press the Enter key to tell the computer to begin immediately loading the default operating system.

Logging On

Windows XP Professional supports two different login modes. When connected to a domain-based network, Windows XP displays the Log On to Windows dialog. This dialog is used to collect the username and password assigned to the user. This information is then used to authenticate the user and verify that the user is authorized to log in to the computer. Once authentication is complete, the Windows XP Professional desktop is displayed and the user can begin working.

When a computer running Windows XP Professional is set up to run as a standalone system or is part of a small peer-to-peer network, the Windows Welcome Screen can be enabled. This option is less secure than the Log On to Windows dialog because it exposes a list of usernames. However, the Welcome Screen may be appropriate for small networks and environments where ease of use is a given preference over security. Figure 1.22 shows a Windows Welcome Screen for a system that is shared by four people.

Click To expand
Figure 1.22: The Welcome Screen speeds up user login by allowing users to initiate a login session without having to type their usernames

To log in using the Welcome Screen, users select the icon representing their assigned usernames and type their passwords when prompted. Once logged in, the users can begin working with Windows XP Professional by clicking on the Start button on the Windows taskbar.

Logging Off and Shutting Down

Windows XP Professional provides two options for terminating a login, Log Off and Shut Down. The Log Off option closes all open programs and saves all data before terminating the user's session. The Shut Down option closes all open programs, saves all data, and then prepares the computer to be powered off.

The Log Off and Shut Down options are located on the Windows Start menu. Each option behaves differently depending on which Windows XP login mode is being used. When connected to a domain, selecting the Log Off option displays the Log Off Windows prompt, as shown in Figure 1.23.

Figure 1.23: Logging off a computer running Windows XP Professional that is a member of a domain-based network

However, if the computer is a stand-alone system or is part of a peer-to-peer network and both the Windows Welcome Screen and Fast User Switching options have been enabled, then the dialog shown in Figure 1.24 appears. Selecting Log Off logs the user off the systems, whereas Switch User leaves the user logged on with all of the user's applications and data stored in memory in order to allow other users to share the computer.

Figure 1.24: Logging off a stand-alone computer that uses the Windows Welcome Screen

When connected to a domain, selecting the Shut Down option displays the Shut Down Windows dialog shown in Figure 1.25. To initiate the shutdown of Windows XP Professional, make sure that Shut down is selected in the "What do you want the computer to do?" drop-down list and click on OK. Other options that are available on this dialog include:

Click To expand
Figure 1.25: Shutting down a Windows XP Professional system that is part of a Windows domain

  • Log Off. Logs the user off without performing a system shutdown

  • Restart. Logs the user off, shuts down the system, and initiates an immediate restart of the computer

  • Hibernate. Copies all open data and applicants to the computer's hard drive for later retrieval and shuts down the computer

If the computer is not part of a domain and the Windows Welcome Screen has been enabled, then the dialog shown in Figure 1.26 appears instead.

Figure 1.26: Shutting down a Windows XP Professional system that uses the Windows Welcome Screen

Windows XP Professional's ability to support different login and logoff options can be very convenient for the end user. However, presenting different versions of these options to users can create confusion. Administrators of large domainbased networks do not need to worry about this situation because the Windows Welcome Screen is not supported. However, administrators of stand-alone systems and small networks will find that standardizing a single scheme will reduce user confusion and simplify system administration.


Chapter 2: Installing and Upgrading to Windows XP Professional

Overview

Windows XP Professional's installation process is fairly straightforward thanks to advances in Plug and Play technology and hardware and software compatibility. Installation usually proceeds without incident. The Windows XP Professional installation process provides the option of upgrading an existing Microsoft operating system or performing a clean installation.

Windows XP Professional provides administrators with multiple installation options, allowing you to interactively install the operating system, to set up a silent installation, or to support a mass installation on hundreds or thousands of computers. Windows XP Professional also provides tools that help administrators transfer user settings, system configuration settings, and files from old computers to new ones. This saves users the trouble of recreating their configuration settings and frees up administrators to tackle other chores.

This chapter focuses on the issues and tasks involved in installing Windows XP as well as the steps required to ensure that no data is lost in the process. This chapter outlines the tasks involved in preparing for the installation of the operating system. It also explains the Windows activation process and how to complete that task.


Installation Requirements

Microsoft and computer manufacturers work together to ensure that new computers are ready for Windows XP. If Windows XP Professional comes preloaded on new computers that you purchase, you will not have to worry about the installation of the operating system or the computer hardware's compatibility with Windows XP. However, administrators that must support computers running other versions of Windows will need to perform a number of tasks to verify that the computers that they support can be upgraded to Windows XP Professional. In some cases computers can be upgraded without any changes to their configuration. This will probably be true for many recently purchased computers or computers that are already running Windows 2000 Professional. In other cases computers may require additional memory or disk space in order to support an upgrade. Depending on the age of the computers that are supported, many computers may not be candidates for upgrade. This will be true of older Windows NT Workstation, Windows 95, and Windows 98 computers that were purchased early in the lives of these operating systems.

Table 2.1 outlines the hardware requirements of various Microsoft operating systems including Windows XP Professional. As you can see, the hardware requirements of Windows XP Professional are substantially higher than that of Windows operating systems built on the Windows 9x kernel. Windows NT Workstation 4.0 also has very modest hardware requirements. However, Windows Me and Windows 2000 Professional systems have significantly higher hardware requirements making it possible for computers running these operating systems to be more easily upgraded to Windows XP Professional.

Table 2.1: Hardware Requirements for Windows Operating Systems
Operating System | CPU | Memory | Disk
95 | 386 | 4MB | 40MB
98 | 486 | 16MB | 175MB
Me | 150MHz | 32MB | 480MB
NT 4.0 | 486 | 16MB | 117MB
2000 Professional | 133MHz | 64MB | 650MB
XP Home Edition | 233MHz[*] | 64MB | 1.5GB
XP Professional | 233MHz[*] | 64MB | 1.5GB
[*]Minimum requirements represent the base minimum resources needed to load and run the operating system. Microsoft strongly recommends a minimum 300MHz processor and 128MB of memory for both of its Windows XP operating systems.


Hardware and Software Compatibility

In addition to making sure that computers meet the base set of hardware requirements, administrators need to verify the compatibility of peripheral devices that need to be supported and any software that needs to be run. Microsoft provides a number of tools for gathering this information, including:

  • The Microsoft Hardware Compatibility List

  • The Microsoft Windows Upgrade Advisor

  • The Windows Catalog

Note

Don't depend exclusively on these tools to identify all possible incompatibility issues. Part of an administrator's due diligence in researching possible incompatibility issues is to visit the Web sites for all major hardware manufacturers and software developers to verify that their products support Windows XP Professional.

Hardware Compatibility

One source for searching hardware compatibility issues is the Microsoft Windows HCL (Hardware Compatibility List). It is located online at http://www.microsoft.com/hcl, as shown in Figure 2.1.

Click To expand
Figure 2.1: Use the HCL to verify the compatibility of hardware installed on a computer before attempting to install Windows XP Professional

The HCL is an online database that you can search to see if Windows XP Professional supports your hardware. In addition to the online database, there is a link to a text version of the HCL at the bottom of the Microsoft Windows HCL Web page.

Tip

Just because a hardware device is not listed in the HCL does not mean that it will not work on Windows XP Professional. Check the manufacturer's Web site to see if Windows XP drivers are available.
Note

Incompatible hardware can cause problems both during and after the installation of Windows XP Professional. It is strongly recommended that you uninstall any hardware that is not supported by Windows XP before beginning the installation process.

Generating an Incompatibility Report

Windows XP Professional provides a tool known as the Upgrade Advisor that scans a computer and creates a hardware and software incompatibility report. This report displays any incompatibility issues that are found and provides information about the error. In addition, a link to additional online information is provided for most errors.

The Upgrade Advisor displays two different types of information:

  • Compatibility errors. Errors related to hardware and software that may cause them not to operate properly once Windows XP Professional is installed

  • Blocking errors. Errors that prevent the successful installation of Windows XP and that must be addressed before attempting an installation

Use the steps outlined in the following procedure to create an upgrade report.

  1. Insert the Windows XP Professional CD into the computer's CD-ROM drive.

  2. The Welcome to Microsoft Windows XP screen appears, as shown in Figure 2.2. If the Welcome screen does not automatically appear use Windows Explorer to access the computer's CD-ROM drive and double click on Setup.

    Click To expand
    Figure 2.2: You can start the Upgrade Advisor directly from the Windows XP Professional CD

  3. Select Check system compatibility.

  4. On the next screen, select Check my system automatically.

  5. The Microsoft Windows Upgrade Advisor appears and offers to download the latest Windows XP setup files. Select No, Skip this step and continue installing Windows and then click on Next.

  6. The Upgrade Advisor then performs an analysis of the computer and displays its findings. If no incompatibilities are found, the Upgrade Advisor will display a message stating so. Otherwise, a list of problems will be reported as demonstrated in Figure 2.3.

  7. To view additional problem information, click on Details. A browser window will open and display any available information about each problem and provide links to Web sites where more information is available. Close the browser window.

  8. You have the option of saving the compatibility report by clicking on Save As and specifying a destination. The default location and file name for the report is \Windows\upgrade.txt.

  9. Click on Finish.

Click To expand
Figure 2.3: The Upgrade Advisor generates a report of all incompatible hardware and software found on the computer
Note

You can also run the Upgrade Advisor by clicking on Start/Run and typing X:\i386\Winnt32 /checkupgradeonly (where X is the drive letter assigned to the computer's CD-ROM driver).
Note

It is possible that administrators support applications that Microsoft does not know about and that will not therefore be tracked by its compatibility tools. After installing Windows XP Professional, these applications may not work. Microsoft has attempted to address this possibility by providing Windows XP Professional with the Program Compatibility Wizard. This wizard will allow many applications designed for Microsoft operating systems other than Windows XP to run on Windows XP Professional. It does so by providing an emulation environment that mimics the Windows operating system for which the application was originally designed. More information on the Program Compatibility Wizard is available in "Configuring Noncompatible Windows XP Applications" in Chapter 4, "Application Management."

Researching the Windows Catalog

Another source of Windows XP Professional hardware and software compatibility information is the Windows Catalog located at http://www.microsoft.com/windowsxp/pro/howtobuy/upgrading/compat.asp as shown in Figure 2.4.

Click To expand
Figure 2.4: The Windows Catalog provides compatibility searches based on manufacturer, product, or model

You can search the Windows Catalog using any of the following criteria:

  • Manufacturer name

  • Product name

  • Model

Search results are displayed in a three-column format and can be sorted by clicking on any of the following column headings:

  • Manufacturer

  • Product

  • Status


Upgrading vs. Clean Install

Windows XP Professional supports two installation options, as listed below:

  • Upgrade. This option is used to upgrade a currently installed Microsoft operating system to Windows XP Professional. This installation option migrates currently installed applications and user and system configuration settings.

  • Clean. This option replaces the currently installed operating system without migrating any settings or installs Windows XP Professional on a computer without any operating system.

Administrators currently supporting computers that run other Windows operating systems, which meet the minimum hardware requirements for Windows XP Professional, will want to perform an upgrade. An upgrade is the least disruptive installation option for the end user because it transfers all the user's data and most of the computer's configuration settings. However, sometimes it is easier for the user just to start over with a clean slate, in which case a clean install is the proper installation option. A clean install is also the only option for a computer without operating systems or for computers that have an operating system that is not eligible for upgrade to Windows XP Professional.

Windows XP Professional's upgrade option supports any of the following operating systems:

  • Windows 98

  • Windows Me

  • Windows NT 4.0 (with service pack 5 or higher)

  • Windows 2000 Professional


Dual-Booting

Windows XP Professional supports dual-boot configurations. A dual-boot configuration is one in which two or more operating systems are installed on a computer. By configuring Windows XP Professional to dual-boot with another Windows operating system, administrators allow users to migrate to Windows XP Professional while retaining the ability to start their computers and run applications that are not supported by Windows XP Professional using older Windows operating systems.

An administrator can set up a dual-boot configuration by creating multiple partitions on a computer's hard drive and installing a different operating system onto each partition. The first step in setting up a dual-boot configuration is to

Note

You can use a utility called FDISK that is supplied with other Windows operating systems to divide a disk drive into as many as four primary partitions or three primary partitions and a number of extended partitions. FDISK is a powerful utility and should be used with caution. Refer to the Help and Support Center for more information about FDISK.

install the older Windows operating system on one of the partitions. This partition will be marked as the primary partition. Then install Windows XP Professional into a different partition, and Windows XP's setup program will automatically set up a dual-boot configuration for the two operating systems.

Note

You can also purchase third-party partition utilities such as PowerQuest's Partition Magic (http://www.powerquest.com) to create and manage disk partitions. Utilities such as Partition Magic also allow you to set up dual-boot configurations with nonMicrosoft operating systems such as Linux.


Planning a Windows XP Professional Installation

A number of preparation tasks should be completed before starting the upgrade of any computer to Windows XP Professional. Performing these tasks will help ensure a smoother installation and prevent the loss of any user data during upgrade. These tasks include:

  • Collect networking settings. If the computer is part of a network make sure that you record its name, domain, or workgroup name and any TCP/ IP configuration settings.

  • Install additional hardware. Install additional memory or disk space if required to meet Windows XP Professional's minimum hardware requirements.

  • Perform backups. Even though an upgrade is not supposed to result in the loss of any data, it's best to make a complete copy of user files just in case something catastrophic occurs during the upgrade.

  • Clean up the disk drive. Run either the Windows ChkDsk or ScanDisk disk management utility to clean up any errors on the computer's hard disks.

  • Free up disk space. Run Disk Cleanup to free up additional disk space and ensure that you have adequate disk space to install Windows XP Professional.

  • Resolve any existing hardware issues. Make sure that everything is working before you begin the upgrade.

  • Scan for viruses. Microsoft recommends that you run an antivirus program to ensure that the computer is free of viruses before attempting any upgrade.

  • Uninstall third-party utilities. Many third party utilities will not function on Windows XP, including antivirus disk management utilities.

  • Uninstall incompatible hardware and applications. Leaving incompatible hardware or software on the computer may result in problems during or after an upgrade.


Selecting the Right Windows XP File System

Disk drives are divided into one or more partitions. A partition is a set portion of the disk drive that can be formatted with a file system and managed as a single entity. Windows XP Professional's installation process examines the computer's hard disks and presents administrators with a number of alternatives, including:

  • Creating a new partition using unpartitioned disk space

  • Installing into an existing partition

  • Deleting existing partitions to make room for new partitions

Windows XP Professional will require a partition that is at least 1.5GB in size, although a minimum 2GB partition is recommended. After deciding on a strategy for partitioning the computer's disk drives, the administrator must decide which file system to use to format the partition so that it can be used to hold data. Windows XP Professional is capable of installing on partitions formatted with any of the following file systems:

  • FAT. The FAT (File Allocation Table) file system was originally developed for MS-DOS and can be accessed by any Windows operating system. However, this file system is unable to support disk drives greater than 2GB and lacks the robust security capabilities or other advanced features of NTFS (New Technology File System).

  • FAT32. This is a 32-bit version of the FAT file system that provides enhanced supported for larger disk drives. However, this file system lacks the strong security support and other advanced features provided by NTFS.

  • NTFS. NTFS is highly secure and support advanced features such as disk quotas, encryption, and compression.

NTFS is Microsoft's recommended file system for Windows XP Professional. It supports large hard drives and advanced features not provided by FAT or FAT32. However, if a computer is going to be set up in a dual-boot configuration, FAT or FAT32 may provide a more appropriate file system. If Windows 95, 98, or Me is going to co-reside in a dual-boot configuration, FAT or FAT32 are should be used in order to provide these operating system with access to data on the partition that contains Windows XP Professional. Windows 9x operating systems cannot access the NTFS file system. Similarly Windows NT Workstation cannot access FAT32.

If you choose to format a partition with FAT or FAT32 during the installation of Windows XP Professional, you can always convert the file system to NTFS later using the CONVERT command. However, it is only possible to convert FAT and FAT32 formatted partitions to NTFS. You cannot convert an NTFS partition to a FAT or FAT32 partition.

Note

More information on Windows file systems and disk partitioning is available in "Disk Drive Administration" in Chapter 11, "Disk Management."


Network Settings

Part of the process of installing Windows XP Professional involves adding the computer to a workgroup or domain. Workgroups are a means for organizing computers on small peer-to-peer networks. Domains are used to manage networks in a centralized manner, where all computers and users are managed using network servers known as domain controllers. A computer set up to run as a stand-alone system should be configured to join a workgroup, even though it's not part of a network. If a computer is to be part of a domain, it is recommended that the computer be connected to the network during installation so that the Windows XP Professional installation process can configure its network settings, including domain membership.

Note

In order to add a computer to a domain, an administrator of the domain must set up the computer account in advance of the installation on the computer. Alternatively, the person who is performing the installation must have the administrative access required to create the computer domain account during the installation process.

Computers can be switched between workgroups and domains as necessary. Therefore if it is not possible to connect the computer being set up to its network, the administrator can always configure the computer to join a workgroup and then come back later and attach the computer to the network and join it to the domain.

Note

More information about domain and workgroup configuration is available in "Network Client Configuration" in Chapter 18, "LAN Configuration."

In addition to determining whether a computer should join a workgroup or a domain, administrators need to collect TCP/IP configuration settings for the computer prior to installation. This includes determining whether the computer will be configured with static IP settings or DHCP. For static configurations, the information that will be needed includes:

  • A static IP address

  • A subnet mask

  • The default gateway

  • WINS and DNS settings

Note

Additional information on working with TCP/IP network settings can be found in "TCP/IP" in Chapter 18, "LAN Configuration."


Performing an Upgrade

When an administrator upgrades a computer's existing operating system to Windows XP Professional, all the user's files are retained as part of the upgrade. In addition, most user, system, and application settings are migrated. Because Windows NT Workstation 4 and Windows 2000 Professional's registries more closely resemble the Windows XP registry than do those of Windows 98 and Me systems, an upgrade of the former operating systems to Windows XP Professional generally goes smoother. In addition, more configuration settings are migrated.

Tip

Because of differences in the Windows 9x line of operating systems and the operating systems based on the Windows NT kernel, including differences in the registry, administrators may find that some applications that are already installed on a computer may not work as expected after an upgrade. However, a reinstallation of the programs may fix any problems.

The Windows XP upgrade process occurs in five steps, as listed below:

  • Collecting information

  • Dynamic update

  • Preparing installation

  • Installing Windows

  • Finalizing installation

Windows Setup will display a listing of these steps on the left side of the screen and will mark each step complete as the installation process runs. During the installation of Windows XP Professional the screen may go blank and the computer will be restarted multiple times.

There are a number of ways in which Windows XP Professional can be installed. The choices include:

  • Initiating an upgrade using the currently installed operating system and the Windows XP Professional CD

  • Initiating the upgrade over a network using a copy of the Windows XP i386 folder located on a network share

  • Booting off of the Windows XP Professional CD

The exact steps involved in performing an upgrade to Windows XP Professional and the order in which they are presented may vary depending on a number of circumstances including:

  • The installation method being used to initiate the upgrade

  • The operating system being upgraded

  • The options selected during the upgrade process

The following procedure outlines the general steps involved in performing a typical upgrade to Windows XP Professional. This procedure assumes that the Windows XP Professional CD is used to perform the upgrade.

  1. Insert the Windows CD into the computer CD-ROM drive. The Welcome to Microsoft Windows XP screen appears.

  2. Select Install Windows XP.

  3. Windows Setup prompts you to select from the following upgrade options as shown in Figure 2.5.

    Click To expand
    Figure 2.5: The Windows XP Professional install program lets you perform an upgrade or a new installation

    • Upgrade. This option upgrades the current operating system to Windows XP Professional and migrates any installed programs, files, and settings.

    • New Installation. This is an advanced option that either replaces the current operating system or installs Windows XP into a different partition.

    Select Upgrade and click on Next.

    Note

    If you attempt to upgrade Windows 95 or a version of Windows NT older than Windows NT 4 with service pack 5, the Upgrade option will not appear because Windows XP Professional does not support an upgrade from these operating systems.

  4. Read and accept the Windows XP Professional License Agreement and click on Next.

  5. Type the 25-character product key that is supplied on the back of the Windows XP Professional CD folder and click on Next.

  6. Windows Setup prompts for permission to download updated setup files. If the computer is connected to the Internet click on Yes, download the updated Set files, and click on Next. Otherwise select No, skip this step and continue installing Windows and then click on Next. If you elected to download updated set files, Windows Setup completes this task before continuing.

  7. Windows Setup scans the computer and displays a compatibility report showing any issues that may prevent installation or any items that may not work after the installation is complete. If necessary click on Cancel to terminate Windows Setup so that you can address these issues and perform the install at a later time. Otherwise click on Next to continue the installation.

    Note

    Depending on the amount of disk space available, Windows Update will store a compressed copy of the previous Windows operating system. This provides the administrator with the ability to uninstall Windows XP Professional and restore the old operating system if necessary. Windows Update does not support a restore of Windows 2000 Professional. Therefore the only way to restore a computer back to Windows 2000 Professional is to start over and reinstall that operating system and then restore any user data from backups.

  8. Windows Setup copies installation files to the computer and then performs a restart several times as it copies files and performs the upgrade. Windows Setup will complete the upgrade and will migrate your current user, system, and network settings without any additional user involvement.

Once the upgrade has been completed, a Thank You message will be displayed and you'll be prompted to perform a few setup tasks as outlined in the following procedure.

  1. Click on the green Next icon in the lower right-hand corner of the screen.

  2. If Windows XP Professional does not have a Internet connection, a list of connection options will be displayed. These options include:

    • Telephone modem

    • Digital Subscribers line (DSL) or cable modem

    • Local area network (LAN)

      Select the appropriate option and click on Next to receive instructions for configuring that option or click on Skip to bypass setup of an Internet connection.

  3. You are prompted to activate Windows. To activate Windows XP Professional, select Yes, activate Windows over the Internet now. Otherwise select No, remind me every few days. Click on Next.

    Tip

    Wait until you have tested the operation of computer's hardware before you activate Windows XP Professional. This way if you find that you have to make a number of configuration changes, you will not have to worry about inadvertently changing the computer's activation ID.
    Note

    Microsoft has introduced production activation in an effort to reduce software privacy. It is designed to prevent the installation of the same copy of Windows XP Professional on more than one computer. Microsoft requires that you activate Windows XP Professional within 30 days of installation in order for the operating system to remain functional.

  4. Activation requires an active Internet connection. If you decided to perform the activation and the computer has an Internet connection, Windows XP Professional will silently complete the activation process without any intervention on your part. If you choose not to activate, then Windows XP will periodically remind you that you need to activate the operating system. Microsoft allows you 30 days to complete this task after which time Windows XP Professional will refuse to load until it is activated.

  5. If you chose to activate Windows XP Professional, you'll be prompted to register your copy of Windows XP Professional. Unlike activation, registration is optional. Like activation, you can elect to put off registration until a later date. To register your copy of Windows XP Professional select Yes, I'd like to register with Microsoft now. Otherwise select No, not at this time. Click on Next.

  6. If you decide to register, you'll be prompted to supply your name, address, and e-mail address. You'll also be given the option of subscribing to various promotions from Microsoft and its partners. Fill in this information and click on Next.

  7. If Windows XP Professional does not have a Internet connection, you will be promoted to set one up. The following choices will be presented:

    • Get online with MSN

    • Do not set up an Internet connection at this time

      If you select the first option, you are stepped through the process of signing up for MSN Internet access. If you already have an Internet connection on the computer or if you prefer to set up an account at a later time, click on the second option and then select Next.

  8. If you are upgrading from a Windows 98 or Me operating system, you will be prompted next to type the name of up to five people that may share this computer so that Windows XP Professional can set up local computer accounts for these users. As local user accounts, these user accounts will be defined in Windows XP Professional's SAM (Security Account Manager) and not in Active Directory on a Windows 2000 or .NET domain controller. Type the names of any users of this computer in the spaces provided and click on Next.

  9. Click on Finish.

  10. Next you will see a dialog that displays the names of user accounts created during setup. This list will not include the user accounts that you may have provided in step 7. A new account called the Administrator account is automatically created and added to this list. Any accounts listed here are local accounts. You are required to type a password for these accounts. The password that you type will be applied to all listed accounts. Type a password in the spaces provided and then click on OK.

    Note

    You may assign different passwords to these accounts as well as to any other accounts that you may have created using the User Account dialog located in the Windows Control Panel. More information on managing user accounts is available in "Account Management" located in Chapter 9, "Security Administration."

  11. The setup of Windows XP Professional is complete and the Welcome screen appears. To log in, click on the name of an account and supply its password if requested.

    Note

    The SAM is a local security database that resides on Windows XP Professional. It is used to manage local security information including user accounts. The SAM is used to authenticate users who log directly in to the computer as opposed to a domain. Accounts on a Windows 2000 domain are stored within Active Directory. Users then authenticate with Active Directory and are granted access to resources on their local computer as well as the network.


Performing a Clean Install

Administrators will have to perform a clean install of Windows XP Professional when the computer with which they are working does not have an operating system. Administrators may also wish to perform a clean installation to give the user a fresh start. Another reason for performing a clean install is to clean up a computer that is not running properly or has large numbers of files from old applications that are consuming large amounts of disk space and are too difficult to track down and remove manually.

A clean install can be initiated by launching the installation process and selecting the New Installation option instead of the Upgrade option. A clean install involves additional configuration on the part of the administrator because no configuration settings will be available to be migrated to Windows XP Professional.

The following procedure outlines the steps involved in performing a clean install of Windows XP Professional. This procedure also demonstrates the steps involved in initiating a clean install by booting directly off the Windows XP CD.

  1. Insert the Windows XP Professional CD in the computer's CD-ROM drive and power the computer on.

  2. You may see a message prompting you to press a key in order to ensure that the computer boots up using the CD.

  3. The Windows XP Professional Setup program begins in text mode. The following options are displayed:

    • To set up Windows XP now, Press ENTER

    • To repair a Windows XP installation using Recovery Console, Press R

    • To quit Setup without installing Windows XP, Press F3 Press the Enter key.

      Note

      To learn about the Recovery Console and how it is used to troubleshoot problems with Windows XP Professional, refer to "Recovery Console" in Appendix B, "Troubleshooting System Startup."

  4. The Windows XP Professional end-user license agreement appears. Read it and press the F8 key to accept its terms.

  5. The next screen assists you in selecting or creating a partition on which Windows XP Professional will be installed. The following options are available:

    • To set up Windows XP on the selected item, press ENTER

    • To create a partition in the unpartitioned space, Press C

    • To delete the selected partition, Press D

      Either select a partition or use the create and delete options to set one up, and then press the Enter key.

  6. Select the file system to be used to format the partition. The following options are available:

    • Format the partition using the NTFS file system (Quick)

    • Format the partition using the FAT file system (Quick)

    • Format the partition using the NTFS file system

    • Format the partition using the FAT file system

      Select an option and press the Enter key.

  7. If you choose FAT and the selected partition is greater than 2048MB, you'll see a screen informing you that FAT32 will be used to format the partition. Press Enter to confirm this change.

  8. The setup program formats the partition using the selected file system.

  9. Setup next displays regional and language options. Click on Customize to change how Windows displays dates, time, number, and currency or to specify your location and make changes to language options. Click on Details to select the default input language and change keyboard settings. Click on Next to continue.

  10. Setup prompts you to type the name of the person assigned to this computer and the name of your organization. Supply this information and click on Next.

  11. Setup prompts you to type the 25-character Windows XP Professional product key. Enter the key and click on Next.

  12. Setup prompts you to type the name assigned to the computer and to supply a password for the local administrator account that will be created as part of setup. Type this information in the fields provided and click on Next.

    Note

    The name assigned to the computer must be unique on the network to which it is attached. If the computer is to join a Windows domain-based network, an account will need to be defined for the computer within Active Directory.

  13. If Setup detects a modem on the computer, you will be prompted to supply the following information.

    • The country or region where the computer is located

    • The area code where the computer resides

    • A number, if required, needed to access an outside telephone line

    • The type of phone system to be used (tone or pulse)

      Fill in these fields as required and click on Next.

  14. Setup displays Date, Time, and Time Zone information and allows you to change it as necessary. Make any required adjustments and click on Next.

  15. Setup begins installing network components and configuring network access. You are prompted to select from the following options:

    • Typical settings. Installs the Client for Microsoft Networks, File and Print Sharing for Microsoft Networks, QoS Packed Scheduler, and TCP/IP with automatic IP addressing.

    • Custom settings. Allows the administrator to customize network setting for any client, service, or protocol.

    Select an option and click on Next.

  16. If you selected Typical settings skip to step 17. If you selected Custom settings you'll next be presented with a list of default network components. This list consists of all the components listed in the Typical setting option. You are then given the opportunity to install or remove additional components and to customize the settings for any selected network component. Customize the list of network components and click on Next.

  17. Setup requires that you specify either a workgroup or domain to which the computer is to join. The default option is workgroup. If the computer is going to be part of a small peer-to-peer network, type the name of a workgroup on the network and click on Next. If the computer is going to run as a stand-alone system leave the default workgroup option selected and click on Next. If the computer is going to join a domain select Yes, make this computer a member of the following domain, type the name of the domain, and then click on Next.

  18. If you selected the option to join the computer to a domain the Join Computer to Domain dialog will appear, prompting you to supply the username and password of a domain account that has authority to join the computer to the domain. Type in the account information and click on OK. You with then be prompted to configure a network ID for the computer.

  19. Setup continues to install Windows XP Professional and prompts you either to configure a user account and password for the computer or to skip account configuration.

  20. Setup continues installing Windows XP Professional, restarts the computer, and then presents the Welcome to Microsoft Windows screen, which steps you through the completion of setup of the computer as described earlier.

  21. The Welcome to the Network Identification Wizard appears and steps you through the process of setting up the computer's network ID.

  22. Windows XP Professional restarts and displays the Log on to Windows dialog.


Installing Over a Network

An install of Windows XP Professional over a network is performed using essentially the same steps as a local install. In order to set up a network install, copy the i386 folder located on the Windows XP Professional CD to a network share that the computer to be upgraded can access. The installation can then be initiated by accessing the shared copy of the i386 folder and executing either the Winnt.exe or the Winnt32.exe. Both of these commands are described later in this chapter.

Use Winnt32.exe if you are upgrading a Windows 98, Me, NT or 2000 operating system and Winnt.exe if you are installing on a computer booted using MSDOS. These commands launch the Windows Setup program, which copies all the files that it will need from the shared folder to the local computer and begins the installation process, which then proceeds in the same order as if you were installing using the Windows XP Professional CD.


Migrating User Settings and Data

While users are certain to find Windows XP Professional a much better operating system than their current Windows operating system, they will not appreciate losing all their personal configuration settings and data as a result of a migration to their new operating system. Fortunately Microsoft provides two tools to assist administrators in collecting and transferring a user's desktop, application, and system settings to a new computer. These tools are:

  • The Files and Settings Transfer Wizard

  • User State Migration

The Files and Setting Transfer Wizard is designed to support the migration of configuration settings for a relatively small number of computers. User State Migration, on the other hand, is better suited to helping administrators migrate large number of computers. Both of these topics are explored further in the sections that follow.

Files and Settings Transfer Wizard

The Files and Settings Transfer Wizard is designed to be used when migrating user settings for individual machines and is not well suited to mass migrations. Still, it can be a very handy tool when performing a few onsite migrations. In order to use the wizard, you will need the following:

  • Access to the user's old computer

  • Access to the new computer

  • A network share to temporarily hold migration files, a removable medium or a direct computer connection between the two computers

  • The user's account name and password on the old computer

Note

A direct computer connection is a connection established directly between two computers using a DCC parallel or serial cable or an infrared connection. A direct computer connection can be set up using the New Connection Wizard.
Note

The migration of settings can be comfortably performed using floppy disks. However, migrations of both files and settings may be very cumbersome depending on the amount of data that is collected. If possible, avoid using floppy disks in favor of portable media that has a higher storage capacity.

The wizard only transfers the configuration settings for the currently logged-on user. If multiple users share the computer, the wizard will need to be run once for each user in order to migrate all settings. The wizard can transfer any of the following settings:

  • Dial-up connections

  • Phone and modem

  • Fonts

  • Mouse and keyboard

  • Regional options

  • Accessibility

  • Taskbar

  • Folder options

  • Sound

  • Network drive

  • Printer

  • Desktop

  • Internet Explorer

  • Outlook Express

  • The contents of the My Documents folder

  • The contents of the My Pictures folder

  • The contents of the Cookies folder

  • The contents of the Favorites folder

  • Microsoft Office settings

  • Microsoft Office files

  • Other files as specified

Running the wizard is a three-step process. The following procedure describes how to use the Files and Settings Transfer Wizard to migrate settings between two computers over a network.

  1. Go to the new Windows XP Professional computer and click on Start/All Programs/Accessories/System Tools and then select the Files and Settings Transfer Wizard. The Welcome screen for the Files and Settings Transfer Wizard appears. Click on Next.

    Note

    Both the new and old computers need to be on the same network segment in order to be able to discover and connect each other. If they are not, then use the removable media option to perform the migration.

  2. The Which computer is this? screen appears. Select New computer and click on Next.

  3. The Do you have a Windows XP CD? screen appears. You are prompted to specify how you plan to run the wizard on the old computer. Select I want to create a Wizard Disk in the following drive and make sure that the computer's floppy disk is selected. Click on Next.

  4. The Now go to your old computer screen appears as shown in Figure 2.6.

    Click To expand
    Figure 2.6: Running the Files and Settings Transfer Wizard is a multistep process that must be executed on both the old and new computers

  5. Insert a blank formatted disk into the computer's floppy disk drive and click on OK. A copy of the wizard is placed on the floppy disk.

  6. Log in to the old computer as the user whose settings are being transferred. Take the floppy disk and insert it in the old computer. Click on Start and then Run. Type a:\Fastwiz and click on OK.

  7. The Welcome screen for the Files and Settings Transfer Wizard appears. Click on Next.

  8. The Which computer is this? screen appears. Select Old computer and click on Next.

  9. The Select a transfer method screen is displayed. Select Home or small office network and click on Next.

  10. The What do you want to transfer? screen appears as shown in Figure 2.7. Available options include:

    • Settings only

    • Files only

    • Both files and settings

    • Let me select a custom list of files and settings when I click Next

      The results of the selected option are displayed on the right-hand side of the dialog providing a detailed listing of what will be transferred. Click on Next.

    Click To expand
    Figure 2.7: Selecting the files and settings to be transferred to the new computer

  11. If you selected the customization option, the Select custom files and settings screen will appear and provide options for adding additional settings, folders, files, and file types. Make any required additions and click on Next.

  12. The wizard collects all the files and settings to be transferred. It then displays the Password dialog asking for a password supplied by the wizard on the new computer. Return to the new computer. A password should now be displayed. Return to the old computer and type the password in the field provided and click on OK.

  13. The wizard on the old computer begins transferring the files and settings. When it completes, click on Finished and return to the new computer.

  14. The new computer may still be busy applying the files and settings. Wait for it to complete and click on Finished.

  15. Restart the new computer.

User State Migration

Administrators who need to migrate users' settings on more than one or two computers will want to use the USMT (User State Migration Tool). The USMT consists of two command-line commands, which are listed below.

  • Scanstate. Scans a target computer and collects migration files and settings and stores them on a network share.

  • Loadstate. Retrieves migration files from a network share and applies them to the destination computer.

The USMT transfers the same settings and files as the Files and Settings Transfer Wizard but is more flexible and allows additional customization. In order to use the USMT you will need the following:

  • Access to the old computer

  • Access to the new computer

  • A network share to which both computers can connect

  • An administrator account on the old computer

  • The user's account name and password

The Scanstate and Loadstate commands are located on the Windows XP Professional CD in \ValueAdd\MSFT\USMT. In addition to the Scanstate and Loadstate commands, the USMT also uses four migration files that specify the settings and files to be migrated. These files include:

  • Migapp.inf

  • Migsys.inf

  • Miguser.inf

  • Sysfiles.inf

Tip

By default the USMT will migrate the same information migrated by the Files and Settings Transfer Wizard. You can customize the data collected by the Scanstate command by editing the four .inf files using Notepad.

Scanstate uses the information supplied in these files to determine what data to collect. The syntax of the Scanstate command is shown below.

scanstate [/c /i input.inf]* [/l scan.log] [/v verbosity] [/f] [/ u] [/x] migrationpath

  • /c. Tells Scanstate to ignore any filename_too_long errors.

  • /i. Specifies the .inf files to be used.

  • /l. Specifies a log file.

  • /v. Turns on verbose output. Valid values are 1-7, with 1 being the least verbose and 7 supplying the most information.

  • /f. Used during troubleshooting to tell Scanstate to migrate files.

  • /u. Used during troubleshooting to tell Scanstate to migrate user settings.

  • /x. Used during troubleshooting to tell Scanstate not to migrate files or settings.

Loadstate uses the information supplied in these files to determine what data to collect. The syntax of the Loadstate command is shown below.

loadstate [/i input.inf]* [/l load.log] [/v #] [/f] [/u] [/x] migrationpath

  • /i. Specifies the .inf files to be used.

  • /l. Specifies a log file.

  • /v. Turns on verbose output. Valid values are 1-7, with 1 being the least verbose and 7 supplying the most information.

  • /f. Used during troubleshooting to tell Loadstate to migrate files.

  • /u. Used during troubleshooting to tell Loadstate to migrate user settings.

  • /x. Used during troubleshooting to tell Loadstate not to migrate files or settings.

For example, the following command would be executed on the old computer. It tells Scanstate to collect migration settings based on the information outlined in the two specified migration files and to store the migration data in a folder named UserFiles on a computer named OfficeFileSvr.

Scanstate /i miguser.inf /i migapp.inf \\OfficeFileSvr\UserFiles

Similarly, the following command would then be used to complete the migration process on the new computer.

Loadstate /i miguser.inf /i migapp.inf \\OfficeFileSvr\UserFiles


Automated Installations

Up until this point, the installation options for Windows XP that have been presented were based on setting up one computer at a time. Frequently this is a luxury that many administrators do not have. There are several ways to perform unattended installation of Windows XP Professional, including:

  • Answer files and uniqueness database files

  • Ghosting

  • Remote Installation Services

Each of these options is discussed further in the sections that follow.

Answer and Uniqueness Database Files

Answer files and uniqueness database files can be used to perform the unattended installations of any number of computers. An answer file contains answers to questions normally asked during the Windows XP Professional installation process. If an answer file contains all the answers required by the setup program, Windows XP will install without any need for user intervention. If setup requires any answers that are not provided within the answer file, setup will pause and prompt the person installing Windows XP Professional to provide the answer, thus allowing for full or partial automated installations.

If Windows XP Professional needs to be installed on more than one computer, a UDF (uniqueness database file) needs to be created. The UDF contains answers to questions that need to be answered differently on different computers. For example, the UDF file allows administrators to provide each computer with a different computer name or other custom settings.

Extracting the Setup Manager Wizard

Microsoft provides the Setup Manager Wizard as a tool for assisting administrators in the creation of answer files and UDF files. In order to use the wizard the administrator must first install it using the following procedure:

  1. Insert the Windows XP Professional CD in the computer's CD-ROM drive.

  2. Create a folder where you wish to store the wizard.

  3. Click on Start and then My Computer. Right-click on the drive representing the computer's CD-ROM drive and click on Explore.

  4. Open the \Support\Tools\Deploy.cab file. This file is a .cab file that contains a compressed collection of other files, which will be visible once the file is opened.

  5. Copy all the files in the folder to the folder that you created in step 2.

Creating Answer Files and UDFs

Once copied onto your computer, you can run the Setup Manager Wizard using the steps outlined in the following procedure:

  1. Open the folder where you copied the Setup Manager Wizard.

  2. Double-click on Setupmgr.exe. The Welcome to the Windows Setup Manager Wizard opens. Click on Next.

  3. The New or Existing Answer File screen appears, as shown in Figure 2.8, providing the following options:

    Click To expand
    Figure 2.8: Creating a new answer file

    • Create a new answer file

    • Modify an existing answer file

      Select Create a new answer file and click on Next.

  4. The Product to Install screen appears. Select the Windows Unattended Installation option and click on Next.

  5. The Platform screen appears. Select Windows XP Professional and click on Next.

  6. The User Interaction Level screen appears as shown in Figure 2.9. From here you select the level of interaction that the user will experience during setup. The available options are:

    • Provide defaults. Provides default answers but allows the user to change them during setup

    • Fully automated. Provides all the answers during setup

    • Hide pages. Hides wizard pages during setup when all answers are supplied

    • Read only. Allows the user to view wizard pages during setup but not to changes them

    • GUI attended. Only automates the text-mode portion of the install process

      Select the Fully automated option and click on Next.

    Click To expand
    Figure 2.9: Specifying the level of user interaction to occur during setup

  7. The Distribution Folder screen appears. It asks how the installation process will be performed on the target computer. The choices are:

    • Yes, create or modify a distribution folder

    • No, this answer file will be used to install from a CD

      Select an option and click on Next.

  8. If you elected to create a distribution folder, you will then be prompted for the location of the Windows XP Professional setup files and the location where the distribution folder is to be created. The distribution folder will automatically be set up as a shared folder. Click on Next.

  9. The License Agreement screen appears. To create a fully automated install, you must select the I accept the terms of the License Agreement option. Click on Next.

  10. At this point the Windows Setup Manager dialog displays a tree of configuration options as shown in Figure 2.10.

    Click To expand
    Figure 2.10: Specifying the remaining setup configuration answers

    The tree is divided into the following three sections:

    • General Settings. All of these settings must be configured to create a fully automated installation.

    • Network Settings. The Computer Name option in this category must be configured to create a fully automated installation.

    • Advanced Settings. All of these settings are optional.

      These settings can be configured either by selecting each setting and specifying a value or by clicking on Next and having the wizard step you through each option. Configure each option as required and then select the last element in the tree and click on Finish.

    Note

    If you specify more than one name in the Computer Names screen, the wizard will automatically create a UDF file that you can later edit and customize.

  11. The wizard creates the answer file and prompts you to specify its name and the location where it should be stored. Type in a destination and click on OK.

    Note

    If you elected to create a deployment folder you may give the answer file any name that you wish. The default name is unattend.txt. If you specified more than one computer name, a UDF file of the same name but with a .udf file extension will also be created. If you elected to perform installs using the Windows XP Professional CD, then you must name the answer file Winnt.sif. Installing from the CD involves using the CD and a floppy disk containing the Winnt.sif file.

  12. If you elected to create a distribution folder, the source files for Windows XP Professional Setup are now copied into that folder.

  13. When the copy process completes, the Setup Manager dialog reappears. Close it by selecting the Exit option on the File menu.

Modifying Answer Files and UDFs

You can modify the answer file and UDF using Notepad. If you open the answer file, its contents will look similar to those shown below.

;SetupMgrTag
[Data]
    AutoPartition=1
    MsDosInitiated="0"
    UnattendedInstall="Yes"
[Unattended]
    UnattendMode=FullUnattended
    OemSkipEula=Yes

    OemPreinstall=Yes
    TargetPath=\WINDOWS
[GuiUnattended]
AdminPassword=
      3c76489ade7fac9a2f752351e0ee69cc5bcff430450acbfe7d3dbadac41a3f0c
    EncryptedAdminPassword=Yes
    AutoLogon=Yes
    AutoLogonCount=2
    OEMSkipRegional=1
    TimeZone=35
    OemSkipWelcome=1
[UserData]
    ProductID=KT29J-G79P7-Q6RRF-QP3P4-CW6FH
    FullName="Jerry Ford"
    OrgName="XYZ Company"
    ComputerName=*
[TapiLocation]
    Dialing=Tone
    AreaCode=804
    LongDistanceAccess="9"
[SetupMgr]
    ComputerName0=pc1
    ComputerName1=pc2
    ComputerName2=pc3
    DistFolder=F:\whistlerdist
    DistShare=whistlerdist
[Identification]
    JoinWorkgroup=WORKGROUP
[Networking]
    InstallDefaultComponents=Yes

Answers are divided up into different categories and identified by headings enclosed within square brackets. A setting and its assigned value represent each answer. UDF files look very similar to answer files, as demonstrated by the following UDF file.

Tip

Unless Windows XP Professional was purchased with a site license that includes a product key eliminating the activation requirement, the users will have to activate Windows XP Professional the first time they use it. Alternatively administrators can set up Windows XP Professional to automatically activate itself by editing the answer file and adding the following lines:

[Unattend]
AutoActivate=yes

;SetupMgrTag
[UniqueIds]
    pc1=UserData
    pc2=UserData
    pc3=UserData
[pc1:UserData]
    ComputerName=pc1
[pc2:UserData]
    ComputerName=pc2
[pc3:UserData]
    ComputerName=pc3

UDF files are made up of two parts. The first part consists of a list of entries that identify the data that will be used to override matching data in the accompanying answer file. The second part consists of a corresponding list of entries that specifies the actual information to be used.To make the UDF file useful, you will have to edit it. The easiest way to do this is to open it with Notepad and then go back to the answer file, look for the categories of information that you wish to customize on a computer-by-computer basis, and then add corresponding entries in the UDF file. For example, the previous UDF file could be modified as follows.

;SetupMgrTag
[UniqueIds]
    pc1= UserData, TapiLocation
    pc2= UserData
    pc3= UserData, TapiLocation
[pc1:UserData]
    FullName="Alexander"
[pc1:TapiLocation]
    AreaCode=703
[pc2:UserData]
    FullName="William"
[pc3:UserData]
    FullName="Molly"
[pc3:TapiLocation]
    AreaCode=776

When used with its corresponding answer file, this UDF file will override the entries in the answer file for FullName on all the computers. It will also overwrite the TapiLocation value for the first and last computer. By following this approach, administrators can create one answer file and one UDF file and use it to perform unattended installs of any number of computers.

Using Answer Files and UDFs

If you elected to perform an unattended installation using the Windows XP Professional CD, you can initiate an installation by booting using the CD and then inserting a floppy disk containing your answer file. Make sure that the answer file is named Winnt.sif. If you are installing Windows XP Professional on a networked computer running Windows 95, 98, Me, NT 4.0, or 2000 Professional, you can use the Winnt32.exe command to initiate the installation. If you are installing on a computer running MS-DOS or Windows 3.X, then you must use the Winnt.exe command.

The syntax of the Winnt32.exe command is shown below.

Winnt32.exe [/s:source] [/tempdrive:drive] [/unattend[num]:answerfile] /udf:id[udf_file]

  • /s. Specifies the location of the Windows XP Professional installation files

  • /tempdrive. Tells Setup to install Windows XP Professional on the specified drive and to use the drive to store temporary files during the setup process

  • /unattend. Specifies an unattended installation as well as the name and location of the answer file

  • [num]. Specifies the number of seconds to wait before restarting the computer during setup

  • /udf. Specifies the name and location of the UDF file

The syntax of the Winnt.exe command is shown below.

Winnt.exe [/s:source] [/t:drive] [/u:answerfile] /udf:id[udf_file]

  • /s. Specifies the location of the Windows XP Professional installation files

  • /t. Tells Setup to install Windows XP Professional on the specified drive and to use the drive to store temporary files during the setup process

  • /u. Specifies an unattended installation as well as the name and location of the answer file

  • /udf. Specifies the name and location of the UDF file

Ghosting and RIS

Ghosting is a process whereby any operating system is installed on a base or reference computer. A third-party ghosting program such as Symantec Ghost Corporate Edition is then used to create a ghost image that can be deployed to any number of similarly configured computers. Using ghosting, administrators can deploy Windows XP to any number of computers. Ghosting can also be used to deploy Windows XP Professional along with a complete set of preinstalled applications.

Note

Even though the hardware on a target computer must be the same as the hardware on the computer where the ghost image was created, Windows XP Professional will have to be reactivated on each target computer. Anytime Windows XP Professional detects that more than three hardware components have changed, it forces reactivation. When Windows XP Professional is first run on the target computer, it will detect that each hardware device in the target computer has a different machine address than that of the hardware on the computer where the ghost image was created and will therefore force reactivation.

RIS (Remote Installation Services) is a tool that allows administrators to deploy Windows XP Professional on networks that use Active Directory. RIS involves the use of RIS servers that assist in the distribution of Windows XP Professional to desktop computers. A RIS server must be either a Windows domain controller or a server.

RIS requires a special type of network adapter that supports preboot execution. Preboot execution allows a computer to boot up and find an RIS server. Alternatively administrators can create RIS boot disks for computers whose network adapters do not support preboot execution. Once the target computer has booted and established communications with the RIS server, a RIS image is then downloaded and installed.

Since ghosting requires the purchase of third-party software and RIS requires the availability of Windows 2000 or .NET servers, both are beyond the scope of this book. Further information on ghosting is provided by the manufacturers of ghosting software. Information on the use and implementation of RIS can be found in Windows 2000 Server and .NET server books.


Postinstallation Activities

Once Windows XP Professional is successfully installed on a computer, a number of additional tasks need to be performed to ensure the integrity of the operating system. These tasks include:

  • Activating Windows XP Professional

  • Testing all software on an upgraded computer to verify proper operation on Windows XP Professional

  • Installing software on a computer that received a clean install and verifying its proper operation

  • Verifying the proper operation of all computer hardware

  • Installing any hardware not available before installation and verifying its proper operation

Product Activation

Product activation is incorporated into the installation process but can be postponed until a later date. If 30 days pass without activation occurring, Windows XP will refuse to start until activation is completed. There are two ways to activate Windows XP Professional, online or over the phone. Activating online requires an Internet connection. When initiated using the online option, activation occurs without any user intervention and takes just a few moments. When performed over the phone, you are greeted by an automated system that steps you through the activation process and provides you with a code that you will have to provide to Windows XP Professional.

Unlike registration, in which you provide Microsoft with personal information, activation is an anonymous process. Windows XP Professional examines the unique combination of hardware installed on the computer, from which it generates an Activation ID that it sends to Microsoft as part of product activation. Changing more than three hardware devices on the computer at a time will result in a different Activation ID and will require the reactivation of Windows XP Professional. However, if you space the installation of new hardware out over time, you can avoid the need to reactivate because Windows XP will automatically update its Activation ID over time with Microsoft.

If you elected not to activate Windows XP Professional during installation, you may do so at a later date. Microsoft allows up to 30 days for product activation. The following procedure outlines the steps involved in activating Windows XP Professional.

  1. Click on Start/All Programs and then Activate Windows. The Let's activate Windows dialog appears as shown in Figure 2.11.

    Click To expand
    Figure 2.11: You can activate Windows XP Professional over the Internet or by calling Microsoft

  2. Three options are presented as outlined below:

    • Yes, let's activate Windows over the Internet now

    • Yes, I want to telephone a customer service representative to activate Windows

    • No, remind me to activate Windows every few days

  3. If you decided to activate via your telephone, skip to step 6. If you decide to activate over the Internet, you will be asked whether you wish to register Windows XP at the same time. If you click on Yes, I want to register and activate Windows at the same time, you will be prompted to provided registration information. Otherwise click on No, I don't want to register now let's just activate Windows to skip this step. Click on Next.

  4. The activation process then checks to see if the computer has a functional Internet connection and attempts to use it to activate Windows XP Professional. If successful you will see a message stating that you have successfully activated your copy of Windows.

  5. Click on OK. The activation process is complete.

  6. If you elected to activate over the telephone, the activation process displays the Activate Windows by phone dialog, shown in Figure 2.12, which presents the following four steps:

    • Select your location

    • Call a customer service representative

    • Supply the installation ID that is provided

    • Type in the confirmation ID provided by the customer service representative

    Click To expand
    Figure 2.12: Activate Windows XP Professional over the phone

    After completing these tasks, click on Next.

    Note

    Do not expect to talk to a human being when you call to activate Windows XP Professional. Instead you'll be greeted by an automated voice system that guides you through the process of entering your installation ID and receiving your confirmation

  7. Continue to read and follow the instructions that are presented and click on OK when prompted.

Note

The Activate Windows link on the All Programs menu that you used to initially activate Windows XP Professional is automatically removed once a successful activation has been completed. If you find that you later need to reactivate Windows XP Professional, you will need to initiate its activation by clicking on Start/All Programs/ Accessories/System Tools and then selecting Activate Windows.

Testing Software

Software verification will vary based on each individual application installed on the computer. However, a good minimum test of functionality will include starting each application, performing several key functions, saving data, and closing the application. If the application does not operate as expected, then reverify that it is a Windows XP compatible application by checking the Windows Catalog at http://www.microsoft.com/windowsxp/pro/howtobuy/upgrading/compat.asp. Check the manufacturer's Web site for help and for any updates that you may need to install in order to make the application run properly on Windows XP Professional. Also, you might try setting up the application to run using the Program Compatibility wizard.

Note

Information on installing and managing new applications is available in Chapter 4, "Application Management."

Hardware Validation

Hardware validation involves making sure that computer hardware operates as expected and may involve the installation of controlling software applications provided by hardware manufacturers. For example, while Windows XP Professional is capable of working directly with most digital cameras, the built-in Windows utilities generally provide less functionality and may not be able to perform certain advanced features that the hardware manufacturer's software was specifically designed to support.

Windows XP Professional provides a number of tools for administering hardware devices. These tools allow administrators to view and manage hardware device drivers and to add or remove hardware devices. These tools include:

  • The Device Manager

  • Plug and Play

  • The Add/Remove Hardware Wizard

Note

A hardware device driver is software that provides the operating system with the ability to interact with and manage a particular hardware device.

Device Manager

Device Manager provides a graphical view of all the hardware installed on the computer as well as its current status. You can start Device Manager using the following procedure.

  1. Click on Start and then right-click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the Hardware property sheet as shown in Figure 2.13.

    Click To expand
    Figure 2.13: The System Properties dialog provides access to several hardware management utilities

  3. Click on the Device Manager button. The Device Manager dialog appears as shown in Figure 2.14.

    Click To expand
    Figure 2.14: Device Manager provides a graphical view of all the hardware installed on a computer

Device Manager represents the hardware installed on a computer in the form of a hardware tree, with each piece of hardware displayed as a node on the tree. By default all hardware is displayed by type. For example, to list all of the USB devices installed on a computer, click on the plus sign to the left of the Universal Serial Bus Controllers node. This expands that part of the hardware tree displaying all the computer's USB devices.

Device Manager allows you to change its default view by selecting any of the following options found on its View menu.

  • Devices by type

  • Devices by connection

  • Resources by type

  • Resources by connection

  • Show hidden devices

For example, if you elect to display resources by type, you will see a graphical list of all hardware devices organized according to their assigned system resources, as demonstrated in Figure 2.15.

Click To expand
Figure 2.15: Using Device Manager to display all hardware devices that have been assigned an IRQ

Each piece of computer hardware requires the dedicated assignment of certain system resources in order to operate. These resources include:

  • DMA (Direct Memory Access) channels. Medium speed devices such as floppy drives use these resources.

  • IO (input/output) addresses. A hexadecimal number that provides each device with a unique reference that the CPU uses to communicate with it.

  • IRQS (interrupt requests). A path used by devices to notify the CPU when they require attention.

  • Memory addresses. Ranges of memory addresses that some devices use to send and receive to and from the CPU.

Windows XP Professional's Plug and Play will handle the automatic allocation of these resources. However, if the computer uses a non-Plug and Play device, it may be necessary for the administrator to assign the resource manually according to the documentation supplied with the device.

Tip

Avoid manually allocating system resources to hardware devices if possible. When a resource is manually allocated to a device, it becomes unavailable to Plug and Play, thus limiting the number of resources that it has available to work with. Plug and play is designed to allocate resources in the most efficient way possible. If too many resources are taken away, it may not be able to satisfy all system resource requirements for the computer's remaining hardware.

By examining Device Manager, you can quickly access the status of a computer's hardware. When first opened, the Device Manager will automatically expand the hardware tree to reveal any devices that are experiencing problems. For example, Figure 2.16 shows a computer that is experiencing problems with both of its serial ports.

Click To expand
Figure 2.16: Device Manager provides graphical clues that identify hardware problems

A yellow circular icon with an exclamation point indicates that a device is experiencing a problem. A red x icon indicates that a device has either been disabled by the administrator or that it is not properly installed.

Note

You can also access the Device Manager using the Computer Management console as described in Chapter 10, "Microsoft Management Consoles." The advantage of accessing the Device Manager this way is that the Computer Management console allows you to use the Device Manager to view the status of other computers' hardware. However, it does not allow you to administer a remote system's hardware. To do that, you'll have to either visit the computer or use Remote Assistance.

Managing Device Drivers

There are a number of important tasks that administrators must perform to keep a computer's hardware running properly or to prevent it from causing problems for other devices.

These tasks include:

  • Disabling a device

  • Making sure current software drivers are installed

  • Updating a device's software driver

  • Rolling back problem drivers

  • Uninstalling drivers

  • Disabling drivers

Driver administration can be performed from the Device Manager by selecting a device and clicking on Properties. This opens the device's Properties dialog. Figure 2.17 shows the Properties dialog for a typical network adapter.

Click To expand
Figure 2.17: Each device's Properties dialog provides the tools required to administer the device's software driver
Disabling Device Drivers

The General property sheet provides basic information about a software driver and displays its status. It also allows you to control the status of the device by allowing you to select either of the following options in the Device usage dropdown list:

  • Use this device (enable)

  • Do not use this device (disable)

When a device is disabled, it does not use system resources. This prevents it from creating any resource conflicts with other devices and may be a useful tool in a hardware troubleshooting situation. Disabling a device is also helpful in situations where a device's driver is uninstalled but the device itself is still connected to the computer. Disabling the device prevents Plug and Play from automatically rediscovering the device and installing it again.

Gathering Device Driver Information

Manufacturers of computer hardware usually make updates to their software drivers over time. These updates may add new features, improve performance, or fix problems. You can compare a hardware device's currently installed driver against the drivers at the hardware manufacturer's Web site to see if they are current, as outlined in the following procedure:

  1. Open the Device Manager, expand the hardware tree, and select the device whose driver you want to compare.

  2. Right-click on the device's icon and select Properties.

  3. Select the Driver property sheet as demonstrated in Figure 2.18.

    Click To expand
    Figure 2.18: The Driver property sheet provides detailed control over a device's software driver

  4. The top portion of the property sheet will display information about the device and its driver. This information will include:

    • The name of the device

    • The company that provided the driver

    • The driver's date

    • The driver's version

    • The name of the company that digitally signed the driver (if the driver is digitally signed)

  5. Click on Driver Details. This opens the Driver File Details dialog which displays additional information about the driver, including:

    • Its location

    • Provider

    • Version

    • Copyright information

    • Digital signer

  6. Click on OK to close the Driver File Details dialog.

  7. Click on OK to close the device's property dialog and return to the Device Manager.

Compare the information about the currently installed driver against the information provided about the drivers at the manufacturer's Web site to determine which is more current.

Updating Device Drivers

Before attempting to update a current driver with a new one, make sure that the driver that you are about to install is more current than the one you are replacing and, if possible, use only signed drivers. More information on the importance of working with signed drivers is available in "Working with Signed Drivers" later in this chapter.

New software drivers can offer many benefits, including:

  • Better performance

  • New functionality

  • Problem fixes

However, sometimes a new software driver can also introduce a problem. Therefore administrators should consider installing new drivers on a test computer to see if any adverse results occur before widely deploying the driver to other computers.

Tip

Before updating a device's software driver, create a system restore point. If a problem occurs with the operation of a device after updating its device driver, try restoring the previous software driver by performing a driver rollback as described in the next section. If the rollback fails or if you are unable to start the computer, restore to the system restore point that you created before updating the driver. Instructions for creating system restore points is provided in "Restore Points" located in Appendix B, "Troubleshooting System Startup."

The following procedure outlines the steps involved in updating a device's software driver:

  1. Open the Device Manager, expand the hardware tree, and select the device whose driver you want to update.

  2. Right-click on the device's icon and select Properties.

  3. Select the Driver property sheet.

  4. Click on Update Driver. This opens the Hardware Update Wizard, which guides you through the rest of the process.

Driver Rollback

As part of the driver update process, Windows XP Professional automatically saves a copy of the currently installed driver before performing the update. In the event that an updated driver causes a problem, Windows XP Professional allows administrators to reload the previous driver using a process known as driver rollback.

Note

Windows XP Professional only saves the last installed software driver for any device and, in doing so, overwrites any previously saved driver for that device.

The following procedure outlines the steps involved in performing a driver rollback.

  1. Open the Device Manager, expand the hardware tree, and select the device whose driver you want to roll back.

  2. Right-click on the device's icon and select Properties.

  3. Select the Driver property sheet.

  4. Click on Roll Back Driver.

  5. Click on Yes when prompted for confirmation.

If you attempt to roll back to a driver that is unsigned, you'll be prompted for confirmation. Driver rollback is only available if a driver has been updated and does not work with printer drivers. If you attempt to perform a rollback for a driver that has not been updated, Windows XP Professional will display a prompt offering to start the Hardware Device Troubleshooter.

Removing Drivers

Sometimes problems occur with the operation of a device that are difficult to troubleshoot. Many times these problems can be corrected by uninstalling a device's software driver. Once restarted, Plug and Play should redetect the device and reinstall it.

Normally when a device is removed from a computer, Windows XP Professional detects it and uninstalls the device's driver, freeing up any resources allocated to the device. Manually uninstalling the device driver will also free up these resources.

The following procedure outlines the steps involved in uninstalling or removing a device's software driver.

  1. Open the Device Manager, expand the hardware tree, and select the device whose driver you want to uninstall.

  2. Right-click on the device's icon and select Properties.

  3. Select the Driver property sheet.

  4. Click on Uninstall.

  5. Click on OK when prompted for confirmation.

Working with Signed Drivers

A signed device driver is one that has been tested and approved by a signing authority as Windows XP compatible. By digitally signing a driver the signing authority verifies that the driver is of high quality and that it has not been tampered with. Every software driver found on the Windows XP Professional CD is signed. In addition, any drivers downloaded from the Windows Update site are signed.

Unsigned drivers may still operate correctly on Windows XP Professional. However, there is no guarantee. Administrators can configure how Windows XP Professional deals with unsigned drivers using the following procedure:

  1. Click on Start and then right-click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the Hardware property sheet.

  3. Click on Driver Signing. The Driver Signing Options dialog appears as shown in Figure 2.19.

    Click To expand
    Figure 2.19: Configuring how Windows XP Professional handles unsigned drivers

  4. By default, Windows XP displays a warning every time an attempt is made to install an unsigned driver. The following options are available:

    • Ignore—Install the software anyway and don't ask for my approval

    • Warn—Prompt me each time to choose an action

    • Block—Never install unsigned driver software

    Select one of the above options.

  5. To make this configuration setting apply to every user of the computer, select the Make this action the system default. Leaving this option unselected makes the configuration change only apply to the currently logged-in user.

  6. Click on OK.

  7. Click on OK to close the System Properties dialog.

Many times administrators find themselves responsible for computers for which they were not previously responsible. By examining the Start menu and using the Add/Remove Programs and Device Manager utilities, administrators can get a good look at the hardware and software installed on a computer. Windows XP Professional also provides a utility for tracking down and viewing the status of signed drivers called File Signature Verification. This utility scans the computer for critical files that have not been digitally signed, including software drivers.

The following procedure outlines the steps involved in running this utility.

  1. Click on Start and then Run. The Run dialog appears.

  2. Type sigverif and click on OK. The File Signature Verification dialog appears.

  3. Click on Advanced to specify search and logging options and then click on OK.

  4. Click on Start to run the scan.

  5. The Signature Verification Results dialog appears as demonstrated in Figure 2.20. It displays a list of critical files, including drivers, tracked by Windows XP Professional that are not signed.

    Click To expand
    Figure 2.20: Viewing critical system files and drivers that do not have signatures

  6. Click on Close to return to the File Signature Verification dialog.

  7. Click on Close.

Plug and Play

Plug and play is a set of specifications used in the development of hardware devices that allow a computer to automatically detect and configure the hardware devices without assistance from the user.

Because of Windows XP Professional's advanced Plug and Play support, installing new hardware is usually a matter of simply connecting or installing the hardware device and allowing Windows XP Professional to recognize and install it. The only activity that the administrator may be prompted to perform is to supply the location of the device's hardware device driver. To make sure that all this works as expected, check the HCL at http://www.microsoft.com/HCL to be sure that any new hardware is supported by Windows XP.

Except for printers, which power users can set up using the Add Printer Wizard, hardware installation requires administrative privileges. Many hardware devices such as USB and FireWire devices will be detected by Plug and Play as soon as they are plugged in. Other devices, such as PCI and ISA adapters, require that the computer be powered off and the case removed in order to install the device. Plug and Play will then recognize the new device when the computer restarts and loads Windows XP Professional. In situations where hardware is not Plug and Play compatible or is simply not recognized by the operating system, administrators can use the Add Hardware Wizard to perform a manual installation.

The Add Hardware Wizard

The Add Hardware Wizard assists administrators in the installation of hardware that Plug and Play fails to automatically recognize and install. The following procedure outlines the steps required to start and run the Add Hardware Wizard.

  1. Click on Start and then right-click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the Hardware property sheet.

  3. Click on Add Hardware Wizard. The Welcome to the Add Hardware Wizard dialog opens.

  4. Click on Next.

  5. The wizard scans for new hardware and, if it discovers any, will install it.

  6. Select the Yes, I have already connected the hardware option and click on Next.

  7. A list of installed hardware appears. Scroll to the bottom of the list and select Add a new hardware device, as shown in Figure 2.21, and then click on Next.

    Click To expand
    Figure 2.21: Manually installing a new hardware device

  8. Select the Search for and install the hardware automatically option and click on Next. This tells the wizard to scan for non-Plug and Play devices.

  9. If any non-Plug and Play devices are found, they will be displayed. Select the device and click on Next. Otherwise a message will be displayed stating that no new hardware was found. Click on Next.

  10. A list of different types of hardware appears as shown in Figure 2.22. Select the type of hardware that you are installing and click on Next.

    Click To expand
    Figure 2.22: Select the type of hardware device being installed

  11. What happens from this point on depends on the type of hardware being installed. Continue to follow the instructions presented by the wizard to complete the installation of the hardware device.


Chapter 3: Help and Support

Overview

The help and support services available in Windows XP Professional represent a significant advance compared to other Windows operating systems. Microsoft has done an excellent job of consolidating most of the operating systems' help and support tools into a single location, the Help and Support Center. The Help and Support Center provides a Web-based interface. It seamlessly combines a local help database with Internet-based help and provides easy access to an assortment of administrative tools, troubleshooters, news groups, and other online content.

In addition to supplying administrators with a consolidated set of tools, the Help and Support Center helps the end user to become more self-sufficient. Its interface is more intuitive, allowing end users to research and answer many of their own questions, thus offloading some administrative responsibilities and helping to make everybody's life a little easier.

In addition to the tools and information provided by the Help and Support Center, Windows XP Professional provides a number of other tools that administrators will find helpful. These tools include an automatic error collection and reporting facility, which automates the submission of error information to Microsoft, and Windows Update, which assists administrators in keeping Windows XP computers updated with the latest updates, enhancements, and fixes.


Introducing the Help and Support Center

Like other Microsoft operating systems before it, Windows XP Professional provides a comprehensive help system. In addition to the information traditionally found in help systems, Windows XP Professional adds and consolidates a numbers of tools and information in a single location known as the Help and Support Center.

The Help and Support Center provides easy access to the following tools and information:

  • Local Help database. The database supplies help information stored locally on the computer.

  • Online Web-based help. This information is provided via Internet links that Microsoft uses to provide constantly updated help information.

  • System status information. The help system constantly monitors and tracks system status, providing valuable information that administrators can use when troubleshooting system problems.

  • Access to Windows XP newsgroups. This new feature provides direct access to newsgroups dedicated to Windows XP where administrators can go to ask questions and receive answers to questions.

  • Remote Assistance. This remote control utility provides administrators with the ability to provide remote support without having to physically visit the user's computer.

  • Access to constantly updated articles. Links to online articles are provided on the Help and Support Center's home page, providing easy access to a wide range of Windows XP related topics.

  • Access to troubleshooters. These utilities interactively assist administrators and users in diagnosing and resolving problems.

  • Access to tutorials and tours. These resources are designed to help educate and train beginner-level users and bring them up to speed faster.

The Help and Support Center Home Page

The home page of the Help and Support Center, shown in Figure 3.1, is displayed whenever the Help and Support Center is started. To access this page, click on Start and then select Help and Support Center.

Click To expand
Figure 3.1: The Help and Support Center home page provides a focal point for all help and support resources

The Help and Support Center's Web interface provides a familiar look and feel. Across the top of the dialog is a toolbar that, by default, contains the following buttons.

  • Back. Moves the screen backward one position in the history queue

  • Forward. Moves the screen forward one position in the history queue

  • Home. Displays the Help and Support Center home page

  • Index. Displays a searchable index of Windows XP Professional topics

  • Favorites. Displays a listing of topics that have been added to the user's collection of Favorite topics

  • History. Displays a history-based view of the help topics that have been viewed during the current working session and allows the selection of any entry in the list

  • Support. Provides links to online resource where additional help is available

  • Options. Provides access to Help and Support Center configuration options

Beneath the Help and Support Center toolbar is a Search field that supports textbased searches.The rest of the Help and Support Center home page displays a collection of links to various resources and is organized into the following sections.

  • Pick a Help topic. This section organizes help information by topic allowing administrators to search for information by starting at a high level and drilling down into more detailed topics.

  • Ask for assistance. This section provides a link to Remote Assistance, a utility that allows an administrator to take remote control of a user's computer. This section also provides links to Microsoft support and Windows XP newsgroups.

  • Pick a task. This section provides access to administrative utilities that are critical to the maintenance and repair of Windows XP Professional.

  • Did you know? If Windows XP Professional has an active Internet connection, this section provides links to articles that are constantly updated in order provide administrators with access to current Windows XP related information.

Navigating the Help and Support Center Index

To view a list of Windows XP Professional help topics, click on the Index button on the Help and Support Center toolbar. The screen will split into two panes. The left pane will display an alphabetical list of index entries and a search field. Scroll down and select an entry to view it in the right pane, as demonstrated in Figure 3.2.

Click To expand
Figure 3.2: Performing a keyword search of the Help and Support Center's help index

Four buttons are displayed above the help topic as listed below.

  • Add to Favorites. Places a link to the selected help topic in your

  • Favorites folder for later retrieval and review.

  • Change View. Changes the two-pane view to a single-pane view.

  • Print. Submits the currently viewed help topic for printing.

  • Locate in Contents. Displays the location of the topic in the Help and Support Center's table of contents.

Note

These same four buttons are displayed above any content that is displayed in the right pane. However, their availability will depend on their applicability to the topic that is being displayed.

Retrieve Previously Viewed Help Topics

If you come across help topics that you know you may want to return to at a later time, you can save them in your Favorites collection. Topics that have been added to the Favorites collection can be accessed at any time and will remain in the collection until you remove them. To view a listing of the topics that you have saved to your Favorites collection, click on the Favorites button on the Help and Support Center toolbar. A list of saved help topics is displayed in the left pane. Double-click on an entry and its contents will be displayed in the right pane. Beneath the Favorites section in the left pane are three buttons that allow you to manage your Favorite topics. The available options are listed below.

  • Rename. Allows you to provide a more descriptive name for the topic.

  • Remove. Deletes the topic from your Favorites collection.

  • Display. Displays the selected topic in the right pane.

One quick way that administrators can navigate a help session that they have been actively working with is by viewing the session's history. Clicking on the History button located on the Help and Support Center's toolbar accesses session history. History information is displayed in the left page and is organized by topic name based on the order in which it has been accessed. Select a topic to display its contents in the right pane.

Support Options

The Help and Support Center provides three direct support options that you can access by clicking on the Support icon on the Help and Support Center toolbar. These are the same support options that appear on the Help and Support Center's home page in the Ask for assistance section. The available support options are listed below.

  • Ask a friend to help. Starts Remote Assistance.

  • Get help from Microsoft. Assists you in contacting Microsoft support and in managing open problems.

  • Go to a Windows Web site forum. Provides a link to Microsoft sponsored newsgroup communities.

Figure 3.3 shows the Windows XP Newsgroup Web site that is displayed when you select Go to a Windows Web site forum and click on the Go to Windows Newsgroups link that appears in the right hand pane.

Click To expand
Figure 3.3: Newsgroups provide administrators with access to open forums where they can share information and ask questions
Note

Use discrimination when gathering information and help from newsgroups. There is no guarantee that the information that is provided is correct or accurate.

You can access these newsgroups from directly within Internet Explorer. You do not have to use an NNTP (Network News Transfer Protocol) newsreader. However, you can use a newsreader if you prefer by pointing the reader to http://www.microsoft.com/windowsxp/expertzone/newsgroups.

Help and Support Center Configuration Options

Like most Windows XP Professional features, administrators can configure a number of settings that affect the operation of the Help and Support Center. Configuration settings are administered by clicking on the Options button on the Help and Support Center toolbar. The following options are available.

  • Change Help and Support Center options. Provides control over settings that configure toolbar icons, font size, and the display of text labels.

  • Set search options. Specifies parameters used by Search when searching for and displaying help information.

  • Install and share Windows Help. Installs other help information on Windows XP, allowing administrators to store help files from other Windows operating systems. Also allows administrators to share the computer's help files over the network.

Figure 3.4 shows the settings listed under Change Help and Support Center options. Options are configured by selecting or clearing them and then closing the Help and Support Center or displaying another page.

Click To expand
Figure 3.4: Configuring Help and Support Center options

Searching for Answers

Sometimes you will not find the help topic that you are looking for by searching through the help topics on the Help and Support Center's home page or its index. Instead, try performing a search. A search is composed of a word or short phrase typed into the Search field. You can initiate a search by pressing the Enter key or by clicking on the green arrow to the right of the Search field.

The results of the search are displayed in the left pane and are sorted into three categories as listed below.

  • Suggested Topics. Topics are displayed based on relevant content matches with your supplied search criteria.

  • Full-Text Search Matches. These topics represent documents that contain words that match the search criteria.

  • Microsoft Knowledge Base. If an active Internet connection is available, a search of an online Microsoft technical database called the Microsoft Knowledge Base is performed and any matching articles are listed.

The number of matching topics found is listed to the right of each of the three topic headings. If all of the search results are not visible, click on each of the above headings to see a list of results for that heading. To view a topic doubleclick on it or select it and click on Display. Figure 3.5 demonstrates the results of a typical search operation.

Click To expand
Figure 3.5: A search performs an exhaustive examination of the local Windows help database as well as a scan for related information in the Microsoft Knowledge Base


Remote Assistance

Remote Assistance is a new feature for Windows operating systems. It provides the ability for one Windows XP user to remotely access and view another Windows XP computer's desktop and, if given permission, to share control of the other person's mouse and keyboard.

Note

Remote Assistance only works with Windows XP and .NET server. It cannot be used on older versions of Windows operating systems.

Similar technologies, such as pcAnywhere (http://www.symentec.com) have been around for a number of years. However, Remote Assistance and another Windows XP feature called Remote Desktop negate the need to purchase such programs to support remote computers running Windows XP Professional.

Note

Remote Desktop is a Windows XP feature that allows a user or administrator to take remote control of another user's desktop. Unlike Remote Assistance it does not require interaction between the user and a helper. More information about Remote Desktop is available in "Allowing Remote Desktop Access" in Chapter 15, "Supporting Mobile Users."

Remote Assistance operates using a subset of terminal service technology adapted from Microsoft Terminal Services. Remote Assistance is provided in the form of a service called the Remote Desktop Help Session Manager. This service can be viewed and managed using the Computer Management MMC and must be enabled on both computers in a Remote Assistance session in order for things to work.

Tip

To open the Computer Management MMC and view Windows XP services, rightclick on the My Computer icon and select Manage. Then expand the Services and Applications node and select Services. More information about administering Windows XP services is available in "Services and Applications" in Chapter 10, "Microsoft Management Consoles."

Remote Assistance provides a cost-effective alternative to maintaining an onsight technical staff at every remote site. Remote Assistance allows administrators to:

  • Monitor a remote computer's desktop

  • Take control of a remote computer's desktop

  • Send a file to a remote computer

  • Receive a file from a remote computer

  • Chat with remote users

  • Speak with remote users

Note

Windows XP Professional automatically creates a special local user account called HelpAssistant that is used by the helper during a Remote Assistance session. This account is disabled by default and is enabled whenever a Remote Assistance session is initialized.

Remote Assistance supports two types of remote access:

  • Solicited. A Windows XP user creates a Remote Assistance invitation and sends it to a helper, soliciting the helper's assistance.

  • Unsolicited. A helper sends an offer of remote assistance without receiving a Remote Assistance invitation.

Remote Assistance Security Considerations

Remote Assistance is a very helpful tool and can be used by administrators to provide hands-on assistance to remote users. However, Remote Assistance also introduces a number of security concerns that need to be identified and addressed. Remote Assistance's default settings allow users to create and send Remote Assistance invitations. By default, users can send Remote Assistance invitations to anyone they wish on the corporate network or the Internet and have the ability to allow helpers to take remote control of their computer. This remote control capability includes access not only to the computer and its resources, but also to any network resources that the user has access to. Another default setting allows Remote Assistance invitations to be created that do not expire for up to 30 days.

There are a number of ways that administrators can manage Remote Assistance. Remote Assistance is based on Microsoft's Terminal Services and uses the same TCP communications port, port 3389. Remote Assistance uses the RDP (Remote Desktop Protocol) to create a Remote Assistance session through this port. By ensuring that port 3389 is closed at the corporate firewall, administrators can increase security by blocking the use of Remote Assistance with external helpers while still allowing its use internally.

Tip

Blocking port 3389 also disables Terminal Services and Windows XP's Remote Desktop. If blocking these services at the firewall is not an acceptable option, then Remote Assistance can be locked down from the Remote properties sheet on the System Properties dialog as described later in this section. In addition, domain or local group policy can be used to secure Remote Assistance.
Note

Windows XP Professional's internal personal firewall, ICF (Internet Connection Firewall), automatically configures itself to open port 3389 when Remote Assistance is used. However, if a third-party software-based personal firewall is being used instead of ICF, you may have to explicitly configure the personal firewall to allow traffic over port 3389 to pass through. Otherwise, Remote Assistance will not work. Additional information about ICF can be found in "Personal Firewalls" in Chapter 17, "Supporting Internet Communication."

Administrators can configure Remote Assistance from the Remote property sheet located on the System Properties dialog using the following procedure.

  1. Click on Start and then right-click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the Remote properties sheet, as shown in Figure 3.6.

    Click To expand
    Figure 3.6: The Remote properties sheet on the System Properties dialog controls whether or not Remote Assistance is enabled

  3. To disable Remote Assistance, clear the Allow Remote Assistance invitations to be set from this computer option.

  4. To configure specific Remote Access settings, click on Advanced. This opens the Remote Assistance Settings dialog, as shown in Figure 3.7.

    Click To expand
    Figure 3.7: Administering advanced Remote Assistance settings

    Note

    Using Group Policy, you can configure whether or not users can generate Remote Assistance requests, whether Remote Assistance is enabled, and whether the user is allowed to grant remote control access to helpers. You can also prevent helpers from offering unsolicited Remote Assistance. Remote Assistance is configured in Group Policy by configuring the following two policies:

    • Solicited Remote Assistance. Configures whether users can create Remote Assistance invitations, whether remote control is allowed, and how long the requests remain valid.

    • Offer Remote Assistance. Determines whether unsolicited Remote Assistance is allowed.

    These two policies are located within Group Policy under \Computer Configuration\ Administrative Templates\System\Remote Assistance. More information about Group Policy and its application is available in "Group Policy" in Chapter 9, "Security Administration."

  5. To prevent the user from granting remote control of the computer, clear the Allow this computer to be controlled remotely option.

  6. To limit the maximum amount of time that a Remote Assistance invitation remains valid, configure the settings in the Invitations section. A value can be specified in units of minutes, hours, or days.

  7. Click on OK to close the Remote Assistance Settings dialog.

  8. Click on OK to close the System Properties dialog.

Establishing a Remote Assistance Session

When the user initiates a Remote Assistance invitation, Windows XP encrypts an XML-based ticket, which is then passed on to the helper. When the helper opens the ticket, the invitation is displayed.

Tip

The performance of a Remote Assistance session can be improved by lowering the Color Quality setting on the user's computer. This reduces the amount of data that is transferred during the session. The Color Quality setting is changed on the Display Properties dialog. For information on how to access the Display Properties dialog and change this setting, refer to "Setting Resolution and Color" in Chapter 7, "Configuring Desktop Settings."

Remote Assistance provides three means of soliciting Remote Assistance:

  • Messenger Service. The user sends a Remote Assistance invitation to the helper using Windows Messenger.

  • E-mail. The user sends a Remote Assistance invitation using e-mail.

  • File. The user creates and saves a Remote Assistance invitation as a file and sends it to the helper via various means, such as FTP or a Webbased e-mail service like Yahoo mail.

Using Windows Messenger to Deliver a Remote Access Invitation

Use of Windows Messenger is prohibited in many environments in order to discourage employee abuse of the Internet and to cut off a possible avenue of attack from Internet hackers. In order to use Windows Messenger, the user must be able to connect to the Internet and port 3389 must be opened on any firewall

that resides between the user and the Internet connection. Also, the e-mail address of the helper must be defined in the user's Buddies list within Windows Messenger, and the user must be logged on to Microsoft's MSN network. However, if both the user and the helper have access to an internal ILS (Internet Location Service) then a connection to the MSN network is not required.

Note

Windows Messenger requires that all users log in to an ILS. Once logged on, users can see if any of the individuals in their Buddies list are also logged on. The ILS is also responsible for coordinating communications between computers. Typically most users log in to the Microsoft MSG network when using Windows Messenger. Optionally, networking administrators can install a local ILS inside the corporate network allowing corporate users to log in to it and use it to manage all internal Windows Messenger communications.

Using an instant messenger requires that both the sender and the helper use Windows Messenger and that both are logged on. The following procedure outlines the steps involved when using Windows Messenger to deliver a Remote Assistance invitation.

  1. Click on Start and then Help and Support Center.

  2. Click on Invite a friend to connect to your computer with Remote Assistance. The screen shown in Figure 3.8 appears.

    Click To expand
    Figure 3.8: Creating a Remote Assistance invitation

  3. Click on Invite someone to help you. The screen shown in Figure 3.9 appears.

    Click To expand
    Figure 3.9: There are three ways to deliver Remote Assistance invitations

  4. Click on the Windows Messenger Sign In button. The .NET Messenger Service dialog appears requesting an e-mail address and password.

  5. Type the e-mail address and password required to log in to Windows Messenger and click on OK.

  6. The Windows Messenger dialog appears as shown in Figure 3.10.

    Figure 3.10: Remote Assistance invitations can be sent using Windows Messenger

  7. Within Windows Messenger select Tools/Ask for Remote Assistance and then click on the e-mail address of the person who is to receive the invitation.

  8. The Windows Messenger dialog changes appearance, as demonstrated in Figure 3.11. A message is displayed that states that the request has been sent to the helper. A similar dialog appears on the helper's screen, as shown in Figure 3.12.

    Click To expand
    Figure 3.11: Windows Messenger waits while the invitation is sent to the helper

    Click To expand
    Figure 3.12: The helper receives the Remote Assistance invitation and clicks on Accept to initiate a Remote Assistance session

  9. When the helper clicks on Accept, a message appears in the user's copy of Windows Messenger informing the user.

  10. The Remote Assistance Console appears on the helper's computer. The message Waiting for an answer appears in the left-hand pane.

  11. On the user's screen, a pop-up dialog appears, requiring the user to click on Yes to allow the helper to view the computer's desktop and chat.

  12. Next, the Remote Assistance dialog appears on the user's computer. At the same time the Remote Assistance console on the helper's computer displays the user's desktop.

Using E-mail to Deliver a Remote Access Invitation

E-mail provides an alternative means of delivering Remote Assistance invitations. This option requires that the user and helper both use MAPI (Messaging API) compliant e-mail applications such as Outlook Express. The following procedure outlines the steps involved when using e-mail to deliver a Remote Assistance invitation.

Note

In order to use e-mail to deliver Remote Assistance, invitations Outlook Express needs to be configured. If it is not, a wizard will appear to assist in its setup.

  1. Click on Start and then Help and Support Center.

  2. Click on Invite someone to help you.

  3. Type an e-mail address in the Outlook Express e-mail field and click on Invite this person.

  4. The screen shown in Figure 3.13 appears. Type the name that should appear in the invitation and a brief message explaining the reason for the invitation in the From and Message fields and click on Continue.

    Click To expand
    Figure 3.13: Supply a contact name and message describing the reason for the invitation

  5. The screen shown in Figure 3.14 appears. Specify the invitation's expiration time and date. Select Require the recipient to use a password option and type a password in the two password fields and click on Send Invitation.

    Click To expand
    Figure 3.14: To provide additional security, instruct users to limit invitation expiration periods and to assign a password to every invitation

  6. A confirmation dialog appears to verify that the invitation should be sent. Click on Send to deliver the invitation.

  7. When the helper receives the e-mail, the invitation will be included as an attachment. When opened, the helper can accept the invitation, allowing the Remote Assistance session to be established.

Using a File to Deliver a Remote Access Invitation

Another alternative for creating Remote Assistance invitations is to create and save them as files. The invitations can then be sent to helpers in a variety of ways, such as uploading them to an FTP site or as attachments to e-mail generated by noncompliant MAPI e-mail applications.

The following procedure outlines the steps involved in creating an invitation and saving it as a file.

  1. Click on Start and then Help and Support Center.

  2. Click on Invite someone to help me.

  3. Click on the Save invitation as a file (Advanced) link.

  4. Type the name that should appear on the invitation and specify the invitation's expiration time limit. Click on Continue.

  5. Select Require the recipient to use a password option and type a password in the two password fields. Click on Save Invitation.

  6. The Save As dialog appears. Type a name for the invitation file. A file extension of .msrincident will automatically be added. Specify the location where the file is to be saved and click on Save.

Once the file containing the invitation has been saved, arrange for it to be delivered to the helper. When the helper receives the file and opens it, the dialog shown in Figure 3.15 appears.

Click To expand
Figure 3.15: Opening a Remote Assistance invitation that was saved as an .msrincident file

The helper will see the name of the person who sent the invitation as well as the invitation's expiration date. To start the Remote Assistance session, the helper must type the password assigned to the invitation and click on Yes when prompted to initiate the session.

Working with Remote Assistance

Once the user and helper have successfully established a Remote Assistance session, they can begin working together. During a Remote Assistance session, the user and helper see different Remote Assistance consoles. The user's console, shown in Figure 3.16, is smaller than the helper's console. It includes a chat area in the left page for sending and receiving text messages and a collection of controls in the right pane. These controls include:

Click To expand
Figure 3.16: The Remote Assistance console as seen on the user's screen

  • Send a File. Sends a file to the other computer. In order for the transfer to complete, the helper's computer displays a prompt requesting permission to allow the file to be received.

  • Start Talking. Enables voice communications if appropriate hardware is installed on the computer.

  • Settings. Used to configure console size and audio settings.

  • Disconnect. Terminates a Remote Assistance session.

  • Help. Provides access to Remote Assistance help information.

The helper's console, shown in Figure 3.17, is larger than the user's console. It includes the same collection of controls as the user's console as well as a Take Control option. The controls are located at the top of the console in a toolbar. Underneath the toolbar, the rest of the screen is divided into two panes. The leftpane provides a chat area for sending and receiving text messages. The right pane displays the user's desktop including the taskbar and the user's Remote Assistance console.

Click To expand
Figure 3.17: The Remote Assistance console as seen on the helper's screen

Taking Remote Control

By default Remote Assistance allows the helper to view the user's screen and observe the user's activities. However, the helper's Remote Assistance console also includes a Take Control option, which sends a request to the user asking for permission to take active control of the user's desktop. The user must click on Yes in order to grant the helper the ability to take remote control.

Even when granted permission by the user to take control of his or her computer, the helper never has complete control of the user's computer. Control is actually shared and the user can continue to use the mouse and keyboard (although this will make things difficult for the helper). In addition, the user can terminate the Remote Assistance session at any time by clicking on Disconnect or pressing the Esc key.

Exchanging Text and Speech

In addition to providing the ability to take remote control of the user's console, the user and helper can send and receive text messages by clicking the message entry area of their perspective consoles, typing a message, and clicking on the green Send button.

If both the user's and helper's computers are equipped with the appropriate hardware (for example, microphone, speakers, and an audio card), they can click on the Start Talking option. This sends a message to the other computer informing it of the request to begin voice communications. Voice communications can be very helpful when the administrator needs to convey complex information to the user that would otherwise be difficult to explain using plain text messages.

Configuring Audio and Screen Settings

Once in a Remote Assistance session, the user and the helper can also click on their Settings icon to display the Remote Assistance Settings—Web Page Dialog. Using this dialog, they can configure audio quality and start the Audio Tuning Wizard.

In addition to the audio settings, the helper's dialog includes an option to configure the default screen view. The available options are Scale to windows and Actual size. These two options mirror the options displayed in the upper righthand corner of the helper's Remote Assistance console. Selecting one of these settings specifies the default view of the user's screen. The helper can toggle between these two settings using the buttons on his or her Remote Assistance console.

Note

The Audio Tuning Wizard steps you through a process that verifies that a digital camera, speakers, or a microphone works correctly.

Sending and Receiving Files

Sometimes when assisting a remote user with Remote Assistance, it is helpful to be able to send the user a file. This file may contain self-help documentation to assist the user should the problem reoccur. It may also contain a configuration file for an application or a script that the administrator wants executed. In addition, it may be just as helpful to collect files on the user's computer and send them to the helper for later analysis.

The following procedure outlines the steps involved in copying a file from the helper's computer to the user's computer.

  1. Start Remote Assistance and establish a session with the user's computer.

  2. Click on the Send a file icon.

  3. A dialog appears. Type the path and filename of the file to be copied or click on Browse to locate the file.

  4. Click on Send File.

  5. A pop-up dialog appears on the user's computer announcing that the helper is sending a file. Two options are available:

    • Save As. Allows the user to specify the location where the file should be stored.

    • Cancel. Stops the file transfer process.

  6. If the user elects to save the file, he or she is prompted to open the file. The user can click on Yes or No.

  7. A pop-up message is displayed on the helper's computer stating whether the user saved the file or terminated the transfer operation. Click on OK to acknowledge the prompt.

Disconnecting a Remote Assistance Session

The user or the helper can terminate a Remote Assistance session at any time. The helper terminates the session by clicking on the Disconnect icon on the toolbar at the top of the Remote Assistance console. The user can also terminate the session by clicking on the Disconnect icon. Once disconnected, the session between the helper's and the user's computers is closed and the helper is unable to reestablish the session without the user's consent.

To prevent the helper from attempting to reestablish the session, the user can revoke or delete the invitation, as described in the next section.

Managing Invitations

Remote Assistance invitations can be viewed and managed locally. This provides their creator with the ability to perform any of the following tasks:

  • View invitation details. Displays additional information about invitations

  • Expire invitations. Invalidates invitations and prevents them from being used

  • Resend invitations. Resends e-mail–based invitations to their original recipients

  • Delete invitations. Removes invitations from the Remote Assistance invitation list and prevents them from being used

The following procedure outlines the steps involved in viewing and managing Remote Assistance requests.

  1. Open the Help and Support Center.

  2. Click on Invite someone to help me.

  3. Click on View the status of all my invitations. Note that the number of outstanding invitations is listed just to the right of this link. The dialog shown in Figure 3.18 appears.

    Click To expand
    Figure 3.18: Viewing and managing Remote Assistance invitations

  4. To manage a Remote Assistance invitation, select it and click on the Details, Expire, Resend, or Delete button.

Remote Assistance invitations are listed in a table. The following data is displayed about each invitation:

  • Sent To. The e-mail address or MSN address of the invitation recipient or the location where the invitation was saved.

  • Expiration Time. The date and time that each invitation becomes invalid.

  • Status. The current status of the invitation. Valid status options are open, expired, and closed.

Offering Unsolicited Remote Assistance

Administrators can also configure Windows XP to allow helpers to offer unsolicited Remote Assistance. Unsolicited Remote Assistance is only applicable to corporate networks. It requires that the user and helper belong to the same domain or to domains that trust one another. In order to provide unsolicited Remote Assistance, the Offer Remote Assistance policy must be enabled in Group Policy. Once enabled, helpers can use Remote Assistance to offer help to users whom they know are experiencing problems, as outlined in the following procedure.

Note

In order to offer unsolicited Remote Assistance the Offer Remote Assistance Group Policy setting must be enabled on the helper's computer. This policy is located within Group Policy under \Computer Configuration\Administrative Templates\ System\Remote Assistance. More information about Group Policy and its application is available in "Group Policy" in Chapter 9, "Security Administration."

  1. Open the Help and Support Center.

  2. Click on the Use Tools to view your computer information or diagnose problems option in the Pick a task section.

  3. Click on the Offer Remote Assistance.

  4. The Offer Remote Assistance screen is displayed. Type the IP address or DNS name assigned to the computer to which Remote Assistance is being offered and click on Connect.

  5. A pop-up dialog appears on the user's computer indicating the offer of Remote Assistance. Wait for the user to accept the invitation.


Help and Support Center Tasks

The Pick a task section on the Help and Support Center home page provides links to a series of tools that assist administrators in performing numerous tasks. The options in this section are listed below.

  • Keep your computer up-to-date with Windows Update

  • Find compatible hardware and software for Windows XP

  • Undo changes to your computer with System Restore

  • Use Tools to view your computer information and diagnose problems

Windows Update

Windows Update is a tool that allows administrators to manually connect to the Microsoft's Windows Update Web site and search for updates that are applicable to the computer. Only local or domain administrators can install new soft-

ware on a computer running Windows XP Professional. This includes downloading and installing updates.

Clicking on the Windows Update option displays the Welcome to Windows Update page in the Help and Support Center's right page. A single option is available. It is Scan for updates. When initiated, Windows Update scans the computer, contacts the Windows Update site, and performs an analysis of the computer to determine if any updates are available for the computer's operating system, hardware, or software. If any updates are available, a list is presented that allows the selection and download of individual updates, as demonstrated in Figure 3.19.

Click To expand
Figure 3.19: Administrators can use Windows Update to check the Microsoft Update site to determine if updates are available
Note

Using Group Policy, administrators can remove all links to the Windows Update site from Windows XP Professional. Group Policy can be applied at the domain and local levels. If set, domain policy settings override local policy settings. To perform this task using local Group Policy, open or create an MMC console that contains the Group Policy snap-in and select User Configuration/Administrative Templates/ Windows Components and then click on Windows Update. Double-click on the Remove access to use all Windows Update features, and then select Enabled from the available list of configuration options. Click on OK and then close the MMC console. More information regarding system administration using MMCs and Group Policy is available in Chapter 9, "Security Administration."

Hardware and Software Compatibility

Before authorizing purchases for new hardware and software, administrators need to verify that peripheral devices and applications are compatible with Windows XP Professional. Clicking on the Find compatible hardware and software for Windows XP link opens Internet Explorer and loads the Windows Catalog Web site.

The Windows Catalog provides a searchable listing of hardware and software that is compatible with Windows XP. To be included in this list, an application or device needs to be tested and verified as Windows XP compatible. However, inclusion in the catalog does not mean that the application or device bears the Windows XP Logo. The Logo identifies products that have been specifically designed for Windows XP.

Just because an application or device is not listed in the Windows Catalog does not mean that it will not work perfectly well with Windows XP. Check with the Web sites belonging to the vendors of the other applications and hardware devices to see if their products will work with Windows XP.

Note

Many software and hardware vendors do not wish to incur the additional expenses required by Microsoft in order for their products to be tested and verified as Windows XP compatible.
Note

For more information on the Windows Catalog, refer to "Researching the Windows Catalog" in Chapter 2, "Installing and Upgrading to Windows XP Professional."

System Restore

System Restore is a Windows XP feature that allows administrators to recover from complex system problems by restoring critical system files to a previously saved state. Windows XP automatically creates and saves restore points whenever significant changes are made to the computer. Administrators can also manually create system restore points and should do so before making any majorconfiguration changes, such as installing new hardware or software. This way if a problem occurs that inhibits computer operation, the system can be restored to its previous state.

System Restore only affects system files and leaves all user data intact. Clicking on Undo changes to your computer with System Restore on the Help and Support Center home page opens the Welcome to System Restore dialog, as shown in Figure 3.20.

Click To expand
Figure 3.20: System Restore provides a means of restoring critical system files to a previous state

From the Welcome to System Restore dialog, an administrator can create a new restore point or initiate a system restoration. In addition, administrators can click on System Restore Settings to open the System Restore Properties dialog and display the System Restore properties page, as shown in Figure 3.21.

Click To expand
Figure 3.21: Configuring which drives are tracked and restored by the System Restore process

From this dialog, you can disable System Restore for all disk drives or configure its availability on a drive-by-drive basis by selecting a drive, clicking on Setting, and then moving a slider bar to set the amount of disk space available to the System Restore process.

Note

More information on the use and administration of the System Restore process is available in "System Restore" in Appendix B, "Troubleshooting System Startup."

Tools

The Use Tools to view your computer information and diagnose problems option in the Pick a task section of the Help and Support Center's home page displays a list of Windows XP tools and utilities, which administrators can use to gather information about Windows XP or troubleshoot and solve many problem situations. While each of these tools and utilities can be individually accessed from other places within Windows XP, this grouping makes them readily available and easy to locate.

A complete listing of Help and Support Center Tools is provided in Table 3.1.

Table 3.1: Help and Support Center Tools
Tool | Description
My Computer Information | Provides detailed information about a computer's hardware and software. More information is available about this utility later in this chapter.
System Restore | A utility that can restore critical Windows XP files to a previously stored state using saved restore points. Refer to Appendix B, "Troubleshooting System Startup," for more information on this utility.
Remote Assistance | A remote control utility that allows remote control over a computer running Windows XP Professional. More information is available about this utility elsewhere in this chapter.
Offer Remote Assistance | A Remote Assistance capability that allows a helper to offer unsolicited assistance. More information is available about this utility elsewhere in this chapter.
Network Diagnostics | Scans a computer and collects and displays information about software, hardware, and networking connections.
Disk Cleanup | Removes superfluous files, such as temporary files and cached Internet files, in order to free up disk space. Refer to Chapter 11, "Disk Management," for more information on this utility.
Disk Fragmenter | Analyzes the storage of files on a hard disk and rearranges them for optimal storage and retrieval. Refer to Chapter 11, "Disk Management," for more information on this utility.
Backup | Provides a link to the Backup utility that can be used to create and manage disk and tape backups. Refer to Chapter 11, "Disk Management" for more information on this utility.
Advanced System Information | Displays links to resources that assist in troubleshooting.
Command-line Reference A-Z | Displays a list of command-line commands and explains their syntax and use.
New Command-line Tools | Lists command-line tools that are being introduced by Windows XP.
Command Shell Overview | Explains the operation and use of the Windows command shell as a command-line user interface.
Windows Support Tools | Explains how to locate and install support tools located on the Windows XP CD.
Resource Kit Tools | Provides information about the Windows Resource Kit and the types of information and resources that it provides.

As an example of one of the tools in Table 3.1, the My Computer Information utility provides detailed information about a computer and its installed hardware and software. When first opened, this utility displays the following list of options:

  • View general system information about this computer

  • View the status of my system hardware and software

  • Find information about the hardware installed on this computer

  • View a list of Microsoft software installed on this computer

  • View Advanced System Information

For example, an administrator can click on the View the status of my system hardware and software option to see the status of hardware and software installed on the computer, as demonstrated in Figure 3.22. Users can also be instructed to refer to this information to assist administrators in gathering information and troubleshooting system problems in situations where Remote Assistance is not available.

Click To expand
Figure 3.22: Viewing detailed information about the hardware and software installed on a computer running Windows XP Professional


Help and Support Center Troubleshooters

Another important Help and Support Center resource that merits inclusion in this chapter is troubleshooters. Troubleshooters can help administrators in a number of ways. First off, they provide users with a place to turn before seekinghelp from administrators. Secondly, they provide administrators with a troubleshooting starting point. Troubleshooters are especially helpful when administrators are called upon to troubleshoot a problem with which they have never worked with before.

Table 3.2 provides a listing of all the troubleshooters located in the Help and Support Center.

Table 3.2: Help and Support Center Troubleshooters
Troubleshooters | Assists in Troubleshooting
Digital Video Discs (DVDs) | DVD drives, display video adapters, settings, and drivers
Drives and Network Adapters | Floppy disks, hard disk drives, CD-ROM drives, DVD drives, tape drives, and network adapters
File and Print Sharing | Problems with sharing drives and folders, printers, and problems with accessing these resources over a network
Input Devices | Mice, keyboards, trackballs, scanners, cameras, etc.
Internet connection sharing | Issues related to setting up ICS and connecting to a computer running ICS
Internet Explorer | Issues related to Internet Explorer toolbars, printing, browsing, downloading, etc.
Hardware | Generic issues related to all types of peripheral devices
Home Networking | Issues related to network setup and file and print sharing
Modem | Modem setup, configuration, and connections
Multimedia and Games | Joysticks, DVD problems, USB hardware, DirectX drivers, and general gaming issues
Outlook Express (Messaging) | Issues relating to Outlook Express and Windows Messenger
Printing | Printer setup, configuration, and operation
Sound | Audio cards
Startup/Shutdown | Issues related to starting and stopping Windows XP
System setup | Issues related to installing and configuring Windows XP
USB | USB devices and connection issues

You can access any troubleshooter in Table 3.2 using the following procedure.

  1. Open the Help and Support Center.

  2. Type List of troubleshooters in the Search field and press on the Enter key.

  3. Click on List of troubleshooters in the Search Result section in the left pane.

  4. A list of Help and Support Center troubleshooters appears in the right pane. Click on a troubleshooter to start it, as demonstrated in Figure 3.23.

    Click To expand
    Figure 3.23: Troubleshooters like the System Setup troubleshooter begin with general questions and gradually guide you through a detailed problem resolution


Configuring Windows XP Error Reporting

Many errors went unreported with previous Microsoft operating systems and the applications that they ran because these operating systems did not provide a problem reporting mechanism. Windows XP changes this by providing an automatic error reporting utility. When an error occurs, Windows XP's default action is to display an error message asking the user for permission to report the error to Microsoft, as demonstrated in Figure 3.24.

Click To expand
Figure 3.24: An Internet Explorer error has occurred on a Windows XP system that has been configured to report on errors

By default Windows XP reports both application and operating system errors. Application errors are reported as soon as they occur. Operating system errors(for example, blue screen errors) are not reported until the next time the system is started and the user logs on.

Administrators can configure whether or not users are allowed report errors to Microsoft. Administrators can configure whether application or operating system errors are reported and can even specify whether Microsoft or non Microsoft applications are reported. In addition, administrators have the ability to specify specific applications that should and should not be reported.

If error reporting is enabled, administrators should encourage users to report problems whenever they occur. This way Microsoft is supplied with valuable error information that they can use in developing new program fixes. A Thank You dialog is displayed after an error has been successfully reported to Microsoft. In many cases, if Microsoft has seen the error before and has a resolution, the dialog may display information that assists in fixing the problem. However, administrators will still need to train users to report any problem to them as well as any resolution that may be provided. This way administrators can fix the problem on the user's computer and on any other computers running the same application.

Tip

If your organization uses any internally developed applications, consider configuring Windows XP not to report on them, since Microsoft cannot do anything about them.

Error reporting is enabled by default for all application and operating system errors. The following procedure outlines the steps involved in disabling error reporting.

  1. Click on Start and then right-click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the Advanced property sheet and click on the Error Reporting button at the bottom of the dialog, as shown in Figure 3.25.

    Click To expand
    Figure 3.25: The option for configuring error reporting is found on the Advanced property sheet of the System Properties dialog

  3. The Error Reporting dialog appears as shown in Figure 3.26. Select Disable error reporting.

    Figure 3.26: Disabling automatic error reporting

  4. Optionally, select But notify me when critical errors occur.

  5. Click on OK to close the Error Reporting dialog.

  6. Click on OK to close the System Properties dialog.

The following procedure outlines the steps involved in enabling error reporting and configuring whether or not application and operating systems errors are reported.

  1. Open the System Properties dialog, select the Advanced property sheet and click on Error Reporting.

  2. Select Enable error reporting.

  3. Select Windows operating system to report on operating system errors. Select Programs to report on application errors.

  4. To configure program error reporting, click on Choose Programs. The Choose Programs dialog appears, as shown in Figure 3.27.

    Figure 3.27: Configuring how Windows XP reports program errors

  5. To enable the reporting of all applications, select the All programs option. Alternatively, select the All programs in this list option and then select any of the following options.

    • Programs from Microsoft. Specifies that Microsoft applications such Microsoft Word, Excel, and PowerPoint should be reported

    • Windows components. Specifies that that services such as the Windows XP Indexing service should be reported

  6. Click on the Add button to specify additional applications that should be reported, and click on Remove to remove applications that no longer need to be reported.

  7. To block the reporting of a specific application, click on the Add button in the Do not report errors for these programs section and specify the name of the application's executable file. Click on Remove to remove an application.

  8. Click on OK as required to close the Choose Programs, Error Reporting, and System Properties dialogs.


Keeping Windows XP Up-to-Date

Windows XP provides a feature known as Automatic Updates that can assist administrators in keeping computers running Windows XP Professional up-todate. When enabled, this service scans the local computer, connects to the Microsoft Update Web site, and determines if Microsoft has posted any updates that are applicable to the computer. While Automatic Updates can automatically retrieve updates, it cannot apply them without the user's consent. However, only users with local or domain administrator privileges can install updates provided by Automatic Updates.

Administrators can configure whether or not Automatic Updates runs and how it interacts with the user. In addition, administrators can remove any update after it has been installed. They can also restore any updates that users have rejected and install them. Each of these procedures is outlined in the sections that follow.

Note

Automatic updates are provided in the form of a service called Automatic Updates. This service must be running in order for the automatic update process to work. This service can be viewed and managed using the Computer Management MMC. More information about administering Windows XP services is available in "Working with the Computer Management Console" in Chapter 10, "Microsoft Management Consoles."

Configuring Automatic Updates

Automatic Updates is configured on the Automatic Updates property sheet on the System Properties dialog. Automatic Updates can be configured to allow Windows XP to silently collect updates as they become available and then to prompt the user for permission to apply them. Administrators can configure Automatic Updates so that the user is prompted before updates are even downloaded to the computer. If administrators exercise strict control over the computers for which they are responsible, then Automatic Updates can be disabled.

The following procedure describes the steps involved in configuring Automatic Updates.

  1. Open the System Properties dialog and select the Automatic Updates Properties sheet, as shown in Figure 3.28.

    Click To expand
    Figure 3.28: Automatic Updates is configured using the System Properties dialog

  2. The following options are available:

    • Download the updates automatically and notify me when they are ready to be installed.

    • Notify me before downloading any updates and notify me again before installing them on my computer.

    • Turn off automatic updating. I want to update my computer manually.

Select one of these options and click on OK.

Note

Administrators can also use Group Policy to disable Automatic Update. Group Policy can be applied at the domain and local levels. If set, domain policy settings override local policy settings. To perform this task using local Group Policy, open or create an MMC console that contains the Group Policy snap-in and select User Configuration/Administrative Templates/Windows Components and then click on System. Double-click on Windows Automatic Updates and then select Disabled from the available list of configuration options. Click on OK and then close the MMC console. More information regarding system administration using Group Policy is available in "Group Policy" in Chapter 9, "Security Administration."

Applying Automatic Updates

When configured to automatically download updates or to display a notification that new updates are available, Windows XP notifies that new updates are availableby displaying the Automatic Updates icon in the Notification Area of the system taskbar.

The following procedure outlines the steps involved in installing updates.

  1. If Automatic Updates has been configured to notify the user before downloading updates, then a New updates are ready to download message will appear in a bubble just above the Automatic Updates icon in the Notification Area. Double-click on the Automatic Updates icon in the Display area. The Automatic Updates dialog appears, as shown in Figure 3.29. If Automatic Updates is configured to download updates before notifying the user, then skip to step 4.

    Click To expand
    Figure 3.29: Automatic Updates displays a list of updates that have not been applied to the computer

  2. Clear the selection box to the left of any update to avoid downloading it. Otherwise leave the selection box selected.

  3. Three options are available at the bottom of the dialog.

    • Settings. Displays a dialog allowing administrators to configure Automatic Updates

    • Remind Me Later. Postpones the downloading of updates and tells Windows XP to remind you to perform this task later

    • Start Download. Downloads the selected updates

    Click on Start Download.

  4. The Automatic Updates icon displays a message stating that new updates are ready to install. Click on the Automatic Updates icon. TheReady to Install dialog appears. Three options are available as listed below.

    • Details. Displays information about each update and allows the administrator the opportunity to select which updates to install and not to install

    • Remind Me Later. Postpones the installation of updates to a later time and tells Windows XP to remind you to perform it later

    • Install. Installs all selected updates on the computer

  5. Depending on the nature of the updates that are installed, you may be prompted to restart the computer. Click on Yes if prompted to perform a restart.

  6. The computer restarts and the update process completes.

Uninstalling Automatic Updates

Updates applied using the Automatic Updates feature are tracked and managed by the Windows Installer service just like any other application. You can view all updates that have been applied to a computer and uninstall them if they are causing problems using Add/Remove Programs.

The following procedure describes the steps involved in removing an update.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on the Add or Remove Programs icon. The Add/Remove Programs dialog appears.

  3. Scroll down the list of installed software, select the update, and click on Change/Remove.

  4. Follow any instructions that are present and then click on Close when done.

Note

Depending on the type of update that you remove, you may be asked to restart the computer.


Chapter 4: Application Management

Overview

Windows XP Professional is equipped with a generous supply of applications. This includes the WordPad word processor, the Paint application, applications for playing CDs and streaming multimedia, and a Calculator application. In addition, Windows XP Professional provides a number of built-in utilities that allow users to work with scanners, digital cameras, and digital records and their output without requiring the use of third-party applications.

In an effort to constantly improve Windows operating systems, Microsoft has also integrated support for a number of new features that have until now been provided by third-party applications. For example, Windows XP Professional can now natively create, view, and extract Zip files. In addition, the operating system now provides its own built-in personal firewall.

Although the applications provided with Windows XP Professional provide a base of functionality, none are as robust or comprehensive as the applications provided by Microsoft and other third-party software developers. As a result, administrators must be prepared to assist users in installing and maintaining a variety of applications.


Application Administration

Installing a new application on a computer running Windows XP Professional requires membership in either the power users or administrators group. In environments where administrators allow users administrative privileges over their own computers, users can install and maintain their own applications and typically operate under a set of rules and guidelines that outline their responsibilities. However, in tightly managed environments where users do not have administrative authority, administrators are responsible for software installations.

Windows XP Professional allows administrators to install software locally and via domain-based group policy. Local application installation is performed by using the Add or Remove Programs utility or by directly executing the application's setup program.

Note

Domain-based group policy requires that managed computers are part of a domain-based network. Using Active Directory and a management tool known as Organizational Groups, Windows 2000 and .NET domain administrators can create policies that can deploy new applications to any computer managed within the organization unit. Domain-based group policy is beyond the scope of this book. However, more information can be found in Que's Special Edition Using Microsoft Windows 2000 Server by Roger Jennings, October 2000.

The installation of new software represents only one facet of the administrator's responsibility in performing application management. Administrators must track and manage applications throughout their life cycles and perform the following tasks:

  • Upgrading applications to newer versions

  • Performing program updates (for example, applying fixes and patches)

  • Repairing damaged applications or partially installed or partially uninstalled applications

  • Removing or uninstalling applications once they are no longer needed

  • Troubleshooting problems with application installation, operation, and removal

  • Managing resources shared by applications to ensure that the installation or removal of one application does not create problems for other applications

Windows XP Professional provides administrators with a number of tools that assist in managing applications. These tools are listed below and discussed throughout the rest of this chapter or where noted.

  • Error reporting. Administrators can specify whether application error reporting should be enabled and if it is, whether Microsoft or non Microsoft applications should be reported. In addition, administrators can select specific applications that should and should not be reported. More information about error reporting is available in "Configuring Windows XP Error Reporting" in Chapter 3, "Help and Support".

  • Monitoring the Application Event log. Administrators need to keep an eye on the Application Event log. Windows XP Professional uses this log to record application related events such as error messages. The information found here often assists in resolving application problems.

  • Optimizing application performance. Administrators can tweak the manner in which Windows XP Professional allocates resources to applications and network services to create a proper balance between the two.

  • Scheduling application execution. Administrators can set up automated execution schedules for applications, allowing them to be run during off hours or during times when the users' processing requirements may be lower.

  • Configuring applications with compatibility issues. Not every application will install and operate on Windows XP Professional right out of the box. When problems occur, administrators can attempt to apply application compatibility settings to the application to get it working.

  • Terminating nonresponsive applications. Applications sometimes stop responding to users and yet continue to run and consume resources. When this happens, administrators can assist by terminating the application.

  • Resolving application file conflicts. Sometimes applications overwrite or remove critical files that are needed by other applications or the operating system, creating stability and reliability problems. Administrators need to be able to help users prevent and recover from these situations.

In order to administer and manage applications on a computer running Windows XP Professional, administrators need to know what software is already installed. There are a number of different places that administrators must go to collect this information. Administrators can begin by examining the programs listed on the Start menu under All Programs. Another place to look is in the Add or Remove Programs utility. This utility lists all applications that have registered themselves as part of their installation procedure. The information found here will include the names of applications, their size, usage information, and controls for modifying or removing the applications from the computer.

Unfortunately, not all applications are designed for Windows XP Professional. As a result, they may not register themselves or their installation information and there may be no sign of them on the Windows Start menu or in the Add or Remove Programs utility. An examination of the file system using Windows Explorer may be required to track down these applications.


The Designed for Windows Logo

One way to determine if an application will run on Windows XP is to check the Windows Catalog at http://www.microsoft.com/windows/catalog. However,just because an application is listed in the catalog as Windows XP compatible does not mean that it was designed for Windows XP or that it will take advantage of Windows XP's operating environment. The only requirement that must be satisfied in order for an application to make it into the Windows Catalog is that it is able to run on Windows XP. An entry in the catalog, therefore, is not necessarily indicative of a application that is designed and optimized to run well on Windows XP Professional.

Whenever possible, administrators should try to restrict the use of software that does not comply with the Designed for Microsoft Windows XP Application Specification. This specification is a collection of requirements that Microsoft imposes on any application vendor that wishes to display the Designed for Windows logo on their application.

In order for an application to bear this logo, its operation must prove stable and reliable on Windows XP. In addition, it must register itself during installation and comply with Windows XP's application management standards. This means that it will be visible in the Add or Remove Programs utility and that it will install and uninstall cleanly.

Note

More information about the Designed for Windows logo program can be found at http://www.microsoft.com/winlogo/sitemap.asp.

Another advantage of purchasing products with the Designed for Windows logo is that any updates, fixes, and patches that are available for the application may be published by Microsoft and made available for download by Windows XP Professional's Windows Update utility.


The Windows Installer Service

The installation, management, and removal of applications that display the Designed for Windows logo, and many applications that do not display the logo, are performed by the Windows Installer service. The Windows Installer service runs quietly in the background just like any other Windows service and can be enabled and displayed using the Computer Management Console.

Note

Detailed information on the Computer Management Console and how to use it to administer Windows services can be found in "Services and Applications" in Chapter 10, Microsoft Management Consoles.

The Add or Remove Programs utility provides an interface for working with the Windows Installer service. Using the Add or Remove Programs utility and the Windows Installer service, administrators can manage an application's entire life cycle, from initial installation to upgrade and finally to removal.

Note

Administrators have to manually manage and administer applications that do not register themselves with the Windows Installer service. Many such programs provide their own uninstall programs and depend on vendor specific instruction for maintenance and repair. Occasionally administrators may come across applications that do not provide uninstall programs. To remove these programs from a computer, administrators must rely on vendor documentation to remove the application or may have to use Windows Explorer to try and locate and remove as many of the application's components as possible.

Since it is a service, administrators do not work directly with Windows Installer. Instead, the primary way of working with it is through the Add or Remove Programs dialog. Applications that register with Windows Installer contain an .MSI file that provides the services with detailed application information. This information includes identifying critical application components. Windows Installer verifies the presence and integrity of these critical components every time the application is started. In the event that something happens to a critical file that may hamper or even disable the operation of the application, the Windows Installer will automatically attempt to repair the application by replacing the missing or corrupted file. As a result, a prompt may appear asking for the application's source media so that the service can replace the damaged or missing file. Once fixed, the application is loaded and allowed to run without interference.

The Windows Installer service makes application installation and removal run smoother. During application install, the service tracks the files and registry keys created or modified by the application's setup program. If a problem occurs during installation, the service can then use this information to undo any changes or additions to the system and restore the computer to its previous state. Tracking all the changes made to the computer during installation helps ensure a clean uninstall when the time comes.

Another way that the Windows Installer service improves application and system stability is by preventing applications from changing or deleting files that are critical to the operation of other applications or the operating system. To accomplish this, the Windows Installer service keeps track of which applications require which files. Then, for example, if an application's uninstall process attempts to delete a file that the service knows is a critical file for another application, the service prevents it from being deleted.


Using the Add or Remove Programs Utility

Only members of the power users or administrators groups can install new applications on a computer running Windows XP Professional. Windows XP supplies the Add or Remove Programs utility to assist in the location and execution of application setup programs. A link to the Add or Remove Programs utility is located on the Windows XP Control Panel. Clicking on the link opens the utility, as shown in Figure 4.1.

Click To expand
Figure 4.1: The Add or Remove Programs utility can be used to manage applications and Windows components

The Add or Remove Programs utility is a Windows Installer client, acting as an intermediary between the administrator and the Windows Installer service. The utility is organized into three categories as listed below.

  • Change or Remove Programs. Provides the ability to view information about currently installed applications, to alter their installation, or to remove them from the computer

  • Add New Programs. Provides the ability to install third party applications

  • Add or Remove Windows Components. Provides the ability to add

Windows XP applications that were not installed during the installation of the operating system or to remove certain Windows XP applications

Adding a New Program

The Add or Remove Program utility assists in installing new applications by helping the administrator to locate the application's setup program. The following procedure outlines the steps involved in installing a new application.

  1. Click on Start/Control Panel and then select the Add or Remove Programs link. The Add or Remove Programs dialog appears.

    Note

    Most applications launch their own setup program as soon as you place their CD in the computer's CD-ROM drive, allowing application installation to proceed immediately without the use of the Add or Remove Program utility. In addition, application installation can be initiated by executing an application's setup program using Windows Explorer or the Run dialog. Installing applications using either of these options has no effect on how the applications are installed or how they will perform. The events that occur during the installation process are the same regardless of how the process is started. If the application displays the Designed for Windows logo, it registers itself and is visible in the Add or Remove Programs dialog the next time the utility is executed.

  2. Click on the Add New Program option on the left side of the dialog. The options shown in Figure 4.2 are then displayed.

    Click To expand
    Figure 4.2: The Add New Programs option on the Add or Remove Programs utility assists administrators and power users in installing new applications

  3. The following options are available.

    • Add a program from CD-ROM or floppy disk. Select this option to install a new application from CD or floppy disk. Also select this option to install an application whose setup program is located on the computer's local hard disk drive or on a network drive.

    • Add programs from Microsoft. Select this option to connect to Microsoft's Windows Update Web site and run a scan to see if any applicable updates are available for download and installation on the computer.

    Note

    More information on the Microsoft Windows Update Web site is available in "Windows Update" in Chapter 3, Help and Support.

    Click on CD or Floppy.

  4. The Install Program From Floppy Disk or CD-ROM dialog appears. Click on Next.

  5. A scan of the local floppy disk and CD-ROM drive is performed to search for a setup program. The Run Installation Program dialog appears as shown in Figure 4.3.

    Click To expand
    Figure 4.3: Specify the location of the application's setup program

    If an application's setup program is found, the name and path to the program will be displayed in the Open field. Otherwise the field will remain blank and the location of the setup program must be provided by typing it into the Open file or clicking on Browse and manually locating it. This provides the opportunity to specify the location of setup programs located on the local hard disk drive or on a network drive. Once the setup program is correctly specified, click on Finish.

  6. The application's setup program executes. The exact steps involved to complete the installation process vary from application to application. Follow the instructions presented to complete application installation.

Managing an Application's Life Cycle

A number of administrative tasks may have to be performed over time to keep an application working properly between the time the application is first installed and when it is finally removed from the computer. These tasks may include:

  • Upgrading to a newer version

  • Updating the application with fixes and service packs

  • Repairing the application in the event that a critical file is damaged or deleted

  • Modifying the way the application is installed by adding or removing application components

Upgrading, Updating, and Repairing Applications

Upgrading and updating an application can be performed by a number of means. If the application displays the Designed for Windows logo, updates and upgrades may be posted at the Microsoft Windows Update site. In this case the Automatic Updates or Windows Update utilities can be used to download and install them. Otherwise administrators will need to look for vendor-supplied updates, upgrades, and instructions at the software vendor's Web site.

If the application conforms to the Designed for Microsoft Windows XP Application Specification, it will register critical application components during installation and the Windows Installer service will track and repair the application as needed. If the application does not conform to this standard, administrators will need to use a number of tactics for repairing broken applications, including:

  • Vendor supplied instructions

  • Restoring application files from backups

  • Reinstalling the application from scratch

Modifying or Removing Applications

The modification and removal of applications that conform to the Designed for Microsoft Windows XP Application Specification can be performed using the Change or Remove Programs option on the Add or Remove Programs dialog, as shown in Figure 4.4.

Click To expand
Figure 4.4: Making changes to an application or removing it from the computer

The Change or Remove programs option displays a list of all the applications that have registered themselves with the Windows Installer service. In addition to the name of the application, a number of pieces of information about the application are displayed, including:

  • Size. Specifies the amount of hard disk space used to install the application

  • Used. Provides information regarding how often the application is actually run

  • Last Used On. Displays the date on which the application was last used

In the upper right-hand corner of the dialog is the Sort by drop-down list. The value displayed here determines the order in which applications are displayed. Applications can be sorted using any of the following options:

  • Name

  • Size

  • Frequency Of Use

  • Date Last Used

To the right of each application is usually a Change/Remove button, although sometimes separate Change and Remove buttons are displayed. The effect of clicking on these buttons varies between applications. Usually clicking on the Change/Remove button starts the application's uninstall process. When applications have separate Change and Remove buttons, the Remove button starts the uninstall process and the Change button displays a dialog allowing the reconfiguration of the application. For example, if Microsoft Office was installed on a computer, individual applications such as Word or PowerPoint can be added and removed as necessary by clicking on the Change button.

Manually Uninstalling Applications

If the application does not register itself with the Windows Installer service during installation, administrators will have to use other tools to manage its modification or removal. Many applications store their uninstall program in the same location as their source files. The location of source files can often be determined by right-clicking on an application's shortcut, selecting Properties, and looking for the Target field on the application's Shortcut property sheet. For example, Figure 4.5 shows the Shortcut property sheet for Notepad.

Click To expand
Figure 4.5: Locating an application's source files

Once the source file is located, look in the folder where the application's source files are stored for its uninstall program. Sometimes application vendors place a link to an application's uninstall program on the Windows Start menu along with links to the application's execution file and other application components. Another option for removing an application from a computer is to manually delete its source files and Start menu shortcuts. However, this option is prone to error. Some applications place their source files in multiple locations, making it difficult to track them down without vendor-provided instructions. Also, unless the vendor provides instructions for removing registry keys and values the application may never be completely uninstalled.

Note

The use of %SystemRoot% in the path name of the Target field on the application's shortcut property sheet shown in Figure 4.5 is an example of environment variable substitution. The %SystemRoot% variable represents the folder where Windows XP Professional's system files have been stored. More information about environment variables is available in "Working with Environment Variables" in Chapter 12, "Configuring and Administering System Files".
Note

Information on how to work with the Windows XP Registry can be found in "Working with the Registry" in Chapter 12, "Configuring and Administering System Files".

Adding Windows Components

Windows XP Professional provides a collection of built-in applications and utilities, which Microsoft refers to as components. A number of these components are installed by default as part of the Windows XP Professional's installation process. However, not all of the available components are installed.

Administrators can use the Add/Remove Windows Components option on the Add or Remove Programs dialog to start the Windows Components Wizard, shown in Figure 4.6, and selectively add and remove Windows components. Table 4.1 provides an overview of the available categories of Windows components.

Click To expand
Figure 4.6: Adding and removing Windows components
Table 4.1: Windows XP Professional Component Categories
Components Category | Contents
Accessories and Utilities | Installs various accessories, utilities, and games
Fax Services | Installs the fax application
Indexing Service | Installs the index service, which provides fast fulltext searches
Internet Explorer | Installs Internet Explorer
IIS (Internet Information Services) | Installs IIS
Management and Monitoring Tools | Installs tools for monitoring network performance
Message Queuing | Installs transaction support services
MSN Explorer | Installs MSN Explorer
Networking Services | Installs network services and protocols
Other Network File and Printer Services | Installs print services for UNIX
Update Root Certificates Installs services for managing root certifications |
Note

In addition to the default collection of categories of components displayed by the Windows Components Wizard, a number of other components can be found on the Windows XP CD in the following locations:

\VALUEADD\MSFT

\VALUEADD\3RDPARTY

The Windows Components Wizard displays a list of optional Windows Components broken down into major categories. In most cases, a major category contains more than one application. Selection boxes to the left of each category indicate the installation status of the components listed in that category, as explained below:

  • Cleared. None of the components in this category is installed.

  • Gray and selected. Some of the components in this category are installed. To view which components are installed, select the category and click on Details.

  • Clear and selected. All of the components located in this category are installed.

The following procedure describes the steps involved in adding and removing Windows components.

  1. Click on Start/Control Panel and then select the Add or Remove Programs link. The Add or Remove Programs dialog appears.

  2. Click on Add/Remove Windows Components. The Windows Components Wizard appears.

  3. To install a particular component, locate its category and display and select it from the list of components in that category. To uninstall a component, locate it and clear its selection. Click on OK to return to the category view and then click on Next. Similarly, to install or remove all the components in a category, select or clear the category selection box and click on Next.

  4. The wizard installs and removes Windows components as instructed and displays a completion dialog. Click on Finish.

Note

Depending on the components that were installed, some additional configuration steps may be required. In addition, the computer may need to be restarted.


Configuring Noncompatible Windows XP Applications

Microsoft states that Windows XP Professional will work with the 1,000 most popular Windows applications right out of the box. The only exceptions are utilities, such as antivirus and backup applications, which are no longer safe to run on Windows XP.

Note

Utilities programs such as antivirus and backup programs designed for other Microsoft operating systems can cause problems on computers running Windows XP. The only option for these programs is to replace them with newer Windows XP compatible versions.

Many applications are designed to run with a particular version of Windows. For example, many games were developed for Windows 95, 98, and Me that were never intended for Windows NT or 2000. Windows NT and 2000 imposed more stringent programming requirements upon software developers in order to ensure tighter security and better reliability. As a result, many games that run well on Windows 9x operating systems will not run on Windows NT or 2000. Since Windows XP is based on the Windows 2000 kernel, it inherits many of the same compatibility issues.

Some additional reasons why applications may have difficulty executing on Windows XP Professional include:

  • Some applications are designed to run only on specific versions of Windows

  • Differences in the design of the Windows XP Registry may create problems for some applications

  • Windows XP has changed the location of many folders

  • Applications that call older Windows APIs may receive unexpected results on computers with large amounts of disk space and memory

  • Applications may attempt to directly access hardware, which is prohibited on Windows XP

Microsoft has addressed most software compatibility programs using a variety of techniques. For example, Dynamic Update can be used during the installation of Windows XP to download and install application workarounds on computers being upgraded to Windows XP Professional. Another example of an application compatibility technology used by Windows XP Professional is a database called SysMain.sdb that ships with over 200 application workarounds. Using matching information criteria such as file size, file name, file version, and so on, Windows XP checks each application that is started to see if any of the workarounds need to be applied before starting the application.

Tip

By configuring Automatic Updates or running Windows Update, administrators can keep the SysMain.sdb database updated with the latest application fixes and workarounds.

In the event that administrators find themselves responsible for applications that will not run on Windows XP Professional despite all Microsoft's best efforts, Microsoft provides two additional ways that administrators can try and configure an application to run on Windows XP Professional. These are the Program Compatibility Wizard and the Compatibility property sheet on the Properties dialog for executable application files.

Note

Microsoft provides an additional tool for dealing with applications that have compatibility issues. It is called the Application Compatibility Toolkit and it is available for free download at http://msdn.microsoft.com. The kit includes utilities and documentation that allows administrators to view the SysMain.sdb database and create custom fixes.

Using the Program Compatibility Wizard

Windows XP Professional provides the Program Compatibility Wizard to assist administrators in configuring applications that are having problems with installation or execution. This wizard can be used to configure an application's setup program in the event that it runs into compatibility issues during installation. The wizard can also be used to configure the application's executable program in the event that it experiences trouble during execution.

The following procedure outlines the steps involved in using the Program Compatibility Wizard.

  1. Click on Start/All Programs/Accessories and then select Program Compatibility Wizard. The Help and Support Center starts and displays the Program Compatibility Wizard.

  2. Click on Next.

  3. The following options are presented as shown in Figure 4.7.

    Click To expand
    Figure 4.7: Tell the wizard how it will find the application that is experiencing compatibility problems

    • I want to choose from a list of programs

    • I want to use the program in the CD-ROM drive

    • I want to locate the program manually

    Select the appropriate option and click on Next.

  4. The next screen that appears varies depending on which of the previous options was selected. Supply the wizard with the name of the executable file to be configured and click on Next.

  5. The wizard then asks which Microsoft operating system should be emulated when executing the application, as shown in Figure 4.8. The available selections include:

    Click To expand
    Figure 4.8: Select the type of Microsoft operating system for which the application was designed

    • Microsoft Windows 95

    • Microsoft Windows NT 4.0 (Service Pack 5)

    • Microsoft Windows 98 / Me

    • Microsoft Windows 2000

    • Do not apply a compatibility mode

  6. The next screen, shown in Figure 4.9, displays the following options.

    Click To expand
    Figure 4.9: If necessary, alter the display settings to be used when executing the application

    • 256 colors. Select this option if the application runs but its interface is difficult to view.

    • 640 × 480 screen resolution. Select this option if the application's interface is distorted or scrambled.

    • Disable visual themes. Select this option if the application's interface still appears distorted and the previous two options have not resolved the problem.

    Select any required options and click on Next.

  7. The wizard displays a summary of the information that it has collected. Confirm that the settings are correct and click on Next.

  8. The wizard starts the application so that the new compatibility settings can be tested. Test the application to see how it operates and then close it.

  9. The wizard displays the following options:

    • Yes, set this program to always use these compatibility settings. Select this option if the application worked correctly.

    • No, try different compatibility settings. Select this option to try reconfiguring compatibility settings in the event that the application still has a problem.

    • No, I am finished trying compatibility settings. Select this option when all compatibility settings have been tried and the application still fails to operate properly.

    Select the second option and click on Next to try again or select one of the other two options and click on Next to continue to the next step.

  10. The wizard displays a screen asking if the information that it has collected should be sent to Microsoft to assist them in analyzing and providing additional application workarounds. Select either Yes or No and click on Next.

  11. Click on Finish.

Manually Configuring Compatibility Settings

As an alternative to the Program Compatibility Wizard, Windows XP Professional also allows administrators to configure compatibility settings from the Properties dialog of executable programs. This option can be used quickly when administrators know the exact compatibility settings that they need to apply and do not require a compatibility test.

The following procedure outlines the steps involved in setting compatibility settings manually from an executable file's property sheet.

  1. Use Windows Explorer to locate the application's executable file.

  2. Right-click on the file and select Properties.

  3. Click on the Compatibility property sheet, as demonstrated in Figure 4.10.

    Click To expand
    Figure 4.10: Manually setting compatibility mode settings

  4. Select the Run this program in compatibility mode for option and then select the Microsoft operating system for which the application was designed.

  5. Select any combination of the three options located in the Display settings section.

  6. Click on OK.


Scheduling Application Execution

Windows XP Professional provides administrators with a number of applications that assist in performing administrative tasks. For example, Table 4.2 lists two utilities that perform disk management tasks. As the table shows, these utilities can also be run from the Windows command prompt.

Table 4.2: Windows XP Professional Component Categories
Utility | Command | Description
Disk Cleanup | cleanmgr.exe | Removes unnecessary files from the hard disk
Disk Defragmenter | defrag Consolidates | fragmented files on a disk drive
Note

More information about the Disk Cleanup and Disk Defragmenter utilities is available in Chapter 11, Disk Management.

The execution of these applications can have a significant impact on the performance of the computer upon which they run. Therefore, it is generally preferable to run these applications during periods when the user is not working on the computer. Using the Windows Task Schedule service, administrators can create tasks and set them up to execute on an automated schedule.

Note

Windows XP Professional allows only administrators to create and manage scheduled tasks.

Windows XP Professional provides two interfaces for working with the Task Scheduler services. One interface is the AT command. The AT command is a text-based interface used at the Windows command prompt. Using this command, administrators can view, add, and delete tasks. The other interface is the Scheduled Tasks folder. This folder provides a list of currently scheduled tasks, allowing administrators to view, modify, and delete them. The folder also provides access to the Scheduled Task Wizard, which assists in the creation of new scheduled tasks.

The Task Scheduler service allows administrators to schedule the execution of tasks that execute:

  • Daily

  • Weekly

  • Monthly

  • One time only

  • At startup

  • At login

One limitation of scheduled tasks is that they run, by default, using the Local-System user account. This account lacks sufficient permissions to run most tasks. The Scheduled Task Wizard provides the opportunity to specify a user account name and password to be used when executing the script. As long as the user account has the appropriate permissions, the tasks will successfully execute. However, if the user account's password expires and is not updated in the scheduled task, it will fail. One alternative is to create a user account especially for the purpose of running scheduled tasks whose password is very strong (that is, complicated and long) and never expires.

Note

For instruction on how to create user accounts refer to "Account Management" in Chapter 9, Security Administration.

Configuring the Task Scheduler Service

The Windows XP Task Scheduler service must be configured before it can be used to schedule the automatic execution of tasks. The following procedure outlines the steps involved in configuring the Task Scheduler service.

  1. Click on Start and then Control Panel.

  2. Click on Performance and Maintenance.

  3. Click on Administrative Tools.

  4. Double-click on the Services icon. The Services console opens as shown in Figure 4.11.

    Click To expand
    Figure 4.11: Configuring the Task Scheduler service

  5. Scroll down and locate Task Scheduler service. Double-click on it. The Task Scheduler Properties dialog box appears, as shown in Figure 4.12.

    Click To expand
    Figure 4.12: The General property sheet on the Task Scheduler Properties dialog can be used to change task startup type and to control task execution

  6. If the service is not started, click on Start.

  7. Make sure that the Startup type drop-down list is set to automatic.

  8. Click on OK.

Scheduling Tasks with the Scheduled Task Wizard

The Scheduled Task Wizard provides a point-and-click tool for creating new scheduled tasks. Its advantage over the AT command is that the administrator does not have to be concerned with remembering command line syntax and is instead guided step by step through new task creation. The following procedure outlines the steps involved in creating a new task using this wizard.

  1. Click on Start and the Control Panel.

  2. Click on Performance and Maintenance.

  3. Click on Scheduled Tasks. The Scheduled Tasks Folder opens, as shown in Figure 4.13.

    Click To expand
    Figure 4.13: The Scheduled Tasks folder is the focal point for managing all scheduled tasks

  4. Double-click on the Add Scheduled Task icon. The Scheduled Task Wizard appears.

  5. Click on Next.

  6. A list of Windows XP applications is displayed, as shown in Figure 4.14. Select an application from the list or click on Browse to search for another application.

    Click To expand
    Figure 4.14: Select an application to schedule

  7. Type a name for the task and then select one of the available scheduling options, as shown in Figure 4.15.

    Click To expand
    Figure 4.15: Select a scheduling option for the new task

  8. If a Daily schedule is selected, the wizard displays the dialog shown in Figure 4.16, allowing further specification of the task's execution schedule. The following options are available:

    Click To expand
    Figure 4.16: Setting up a Daily execution schedule

    • Start time. The time at which the task is to begin execution.

    • Perform this task. Choices include running the task daily, just on weekdays or every___days.

    • Start date. The date at which the task is to start executing.

    Click on Next and skip to step 14.

  9. If a Weekly schedule is selected, the wizard displays the dialog shown in Figure 4.17, allowing further specification of the task's execution schedule. The following options are available:

    Click To expand
    Figure 4.17: Setting up a Weekly execution schedule

    • Start time. The time at which the task is to begin execution.

    • Every___weeks. Allows task execution on a regular schedule based on a set number of weeks.

    • Select the day(s) of the week below. Allows the specification of the one or more days of the week that the task will run.

    Click on Next and skip to step 14.

  10. If a Monthly schedule is selected, the wizard displays the dialog shown in Figure 4.18, allowing further specification of the task's execution schedule. The following options are available:

    Click To expand
    Figure 4.18: Setting up a Monthly execution schedule

    • Start time. The time at which the task is to begin execution.

      Day. The day of the month to run the task.

      The _ _. Specifies the which day of the month to run the task.

      Of the month(s). Specifies the months of the year to run the task.

    Click on Next and skip to step 14.

  11. If a One time only schedule is selected, the wizard displays the dialog shown in Figure 4.19, allowing further specification of the task's execution schedule. The following options are available:

    Click To expand
    Figure 4.19: Setting up a One time only execution schedule

    • Start time. The time at which the task is to begin execution.

      Start date. The date at which the task is to start executing.

    Click on Next and skip to step 14.

  12. If a When my computer starts schedule is selected, the wizard displays the dialog shown in Figure 4.20. The following options are available:

    Click To expand
    Figure 4.20: Setting up a When my computer starts execution schedule

    • Enter the user name. The name of the user account to be used to execute the task.

    • Enter the password. The password associated with the user account.

    • Confirm password. A confirmation of the password associated with the user account.

    Click on Next and skip to step 14.

  13. If a When I log on schedule is selected, the wizard displays a dialog similar to the one shown in Figure 4.20. The following options are available:

    • Enter the user name. The name of the user account to be used to execute the task.

    • Enter the password. The password associated with the user account.

    • Confirm password. A confirmation of the password associated with the user account.

    Click on Next and skip to step 14.

  14. The wizard displays a dialog similar to the one shown in Figure 4.20. The following options are available:

    • Enter the user name. The name of the user account to be used to execute the task.

    • Enter the password. The password associated with the user account.

    • Confirm password. A confirmation of the password associated with the user account.

    Click on Finish.

Note

Clicking on Start/All Programs/Accessories/System tools and then selecting Scheduled Tasks will also open the Scheduled Tasks folder.

Once completed, the Scheduled Task Wizard stores the new scheduled task in C:\WINDOWS\TASKS and displays an entry for it in the Scheduled Task folder.

Note

Any scheduled task can be executed immediately by right-clicking on it and selecting Run.

Most Windows applications are designed to interact with people. For example, the Disk Defragmenter utility will display its graphical user interface when executed as a scheduled task and will not proceed further until it receives instructions. However, many applications, including Disk Defragmenter, support execution from the command line. By using command line syntax to execute the utility, its execution can be fully automated. Unfortunately, while the Scheduled Task Wizard will allow you to browse and find the defrag command, it does not give you the opportunity to specify command line argument. However, command line arguments can be added after the task is created by opening its Properties dialog and typing any required arguments in the Run field on the task property sheet, as demonstrated in Figure 4.21.

Click To expand
Figure 4.21: Refining the execution of a scheduled task by adding command line arguments
Note

For instruction on how to use the DEFRAG command in the Windows XP command line refer to "Performing Disk Maintenance Tasks" in Chapter 11, "Disk Management".
Note

Administrators can also modify the user account and password used to execute a task, its schedule, and other task settings from its Properties dialog.

In the case of the example shown in Figure 4.21, two arguments have been added to the end of the defrag command, which specify the disk drive to be defragged and that the defrag should run regardless of whether or not the disk drive is heavily fragmented.

Scheduling Tasks with the AT Command

The AT command provides a command line interface for creating, viewing, and managing scheduled tasks. Its advantage over the Scheduled Task Wizard is that it can be incorporated into scripts that can then programmatically control scheduled tasks.

Note

Information on using scripting as an administrative tool is provided in Chapter 14, Shell Scripting and the WSH.

The following procedure demonstrates the steps involved in opening the Windows command prompt and then creating a new scheduled task.

  1. Click on Start/All Programs/Accessories and then select Command Prompt.

  2. Type AT 00:30 /every:M cmd /c defrag c:/f and press Enter. A message is displayed stating that a new job has been added to the schedule and assigned a numeric job ID, as demonstrated below. In this case a task has been added to the schedule with a job ID = 1 that runs the Disk Defragmenter utility at 30 minutes past midnight every Monday night.

    C:\>at 00:30 /every:M cmd /c defrag d: /f
Added a new job with job ID = 1

C:\>

  3. To view a list of all currently scheduled tasks, type AT and press Enter, as demonstrated below.

    C:\>at
Status ID Day Time Command Line
------------------------------------------------------------------
        1 Each M 12:30 AM cmd /c defrag d: /f
C:\>

    In this example, one task is currently scheduled to execute.

    Using the AT command you can create scheduled tasks that run on other computers. For example, the following command will set up a task to run on a computer named MyComputer.

    at \\MyComputer /every:M cmd /c defrag d: /f

    Scheduled tasks can be deleted by specifying their job ID as demonstrated below.

    at 1 /delete
Note

Additional information about the AT command can be found in Appendix A, "Windows XP Command Reference."


Using the Task Manager to Control Applications

Windows XP Professional provides a utility known as the Windows Task Manager that provides administrators with tools for managing active applications. The Windows Task Manager can be started, as shown in Figure 4.22, either by right-clicking on the Windows XP taskbar and selecting Task Manager or by pressing down and holding the Ctrl+Alt+Delete keys at the same time.

Click To expand
Figure 4.22: The Windows Task Manager provides a means for terminating nonresponsive applications

The Windows Task Manager can control applications in a number of ways, including:

  • Opening active applications

  • Starting new applications

  • Terminating hung applications

  • Altering application processing priority

The Windows Task Manager displays a list of all active applications and their current status. To begin working with any application in the list, select the task and click on Switch to. To begin working with an application that is not currently running, click on New task and specify the name and path of the application in the Create new task dialog and click on OK.

Terminating Nonresponsive Applications

Sometimes applications experience problems during execution that prevent them from executing any further. These applications are often referred to as hung. When an application hangs, it not only stops doing whatever it is supposed to do, but also stops responding to the user, who may then call upon the administrator for assistance. Using the Windows Task Manager, administrators can forcefully terminate a program that has stopped responding. Caution should be exercised when using the Windows Task Manager to terminate a hung application because any unsaved work will be lost.

The following procedure outlines the steps involved in using the Windows Task Manager to terminate a hung application.

  1. Press the Ctrl+Alt+Delete keys to start the Windows Task Manager.

  2. Make sure that the Application sheet is selected. A list of active applications and their status is displayed. Possible application states include Running and Not Responding.

  3. Select the application that is not responding and click on End Task.

  4. Close the Task Manager dialog.

Changing Application Priority

Another capability provided by the Application sheet on the Windows Task Manager is the ability to alter the speed or priority that Windows XP Professional uses when executing a particular application. Windows XP Professional governs the amount of processing time allocated to an application. Windows XP Professional assigns applications one of four different speeds or priorities when an application is started, as listed below:

  • High. Provides an application with a higher execution priority than other applications, making the application run faster.

  • Normal. This is the default speed or priority that all applications are assigned.

  • Low. This option reduces an application priority and causes it to run slower than other applications.

  • Paused. This setting prevents the application from processing while still leaving it in an active state.

There is usually no reason to change application speed or priority of most applications. However, this feature can be helpful in assisting a user who has an application that needs to run as quickly as possible without stopping other active applications. The following procedure outlines the steps involved in changing an application's priority.

  1. Press the Ctrl+Alt+Delete keys simultaneously to start the Windows Task Manager.

  2. Make sure that the Application sheet is selected. A list of active applications and their status is displayed.

  3. Select an application.

  4. Click on the View menu and then select Update Speed.

  5. This displays a list of processing speeds or priorities. Select a speed.

  6. Close the Task Manager dialog.


Other Application Management Tasks

In addition to the application management tasks listed earlier in this chapter, there are still several other administrative tasks that administrators need to perform. These tasks including configuring error reporting to automate the reporting of errors to Microsoft, configuring the Windows XP Professional's performance to favor applications versus network services, and regularly monitoring the Windows XP Application event log for application errors.

Application Error Reporting

By default, Windows XP Professional is configured to report any application errors to Microsoft when they occur. However, administrators can prevent the reporting of application errors or limit the applications that Windows XP can report. The advantage of reporting application errors is that it gives Microsoft and the third-party application developers that work with it information that they need to analyze and fix application problems and then to make these fixes available at the Microsoft Windows Update site.

Error reporting is configured from the Advanced property sheet on the System Properties dialog. A detailed review of error reporting, including how to disable, enable, and configure it to report only on specific applications, is provided in "Configuring Windows XP Error Reporting" in Chapter 3, Help and Support.

Optimizing Application Performance

A computer running Windows XP Professional can participate on a local area network and can provide shared access to its resources to other computers running on the network. Administrators can configure the manner in which Windows XP Professional allocates processor and memory resources to both local applications and shared network resources.

By allocating resources to support local application programs, administrators speed up response time for the local user. Conversely, by adjusting Windows XP Professional's assignment of processor and memory resources to favor network services, application performance suffers. Chapter 13, "Performance Tuning," provides a detailed explanation of the effects of assigning processor and memory resources and explains how to configure both.

Monitoring the Application Event Log

Windows XP Professional logs events that occur in a collection of logs called event logs. There are three event logs, each of which records different types of events, as listed below:

  • Application

  • System

  • Security

These logs can be viewed and managed using the Event Viewer snap-in located in the Computer Management Console. Administrators use the application event log to search for problem information when assisting users in resolving application problems. In addition to reporting application activity and errors, event records may also supply administrators with answers to problems or links to other resources where additional information regarding a particular problem can be found.

For more information on working with the application event log, refer to Chapter 10, Microsoft Management Consoles, which explains how to use the Computer Management console to access and use the Event Viewer snap-in.


Chapter 5: Printer and Fax Administration

Overview

Windows XP Professional provides robust support for print and fax services. Print support includes the ability to install a local print device and to share it over a network as well as the ability to connect to and submit print jobs to a network printer. Fax support includes the ability to set up a computer running Windows XP Professional with fax management capabilities, including the ability to create, send, receive, monitor, and archive faxes.

Both printer and fax support are configured and managed from the Printers and Faxes folder. Faxes are managed in much the same way as printers and are displayed as icons within the Printers and Faxes folder. Once configured, you can create and send faxes from the Windows XP Fax Console or from any application that supports printing.

Administrators need to know how to install and configure local printers as well as how to connect to shared network printers in order to assist their users and to help in troubleshooting problems. In addition, administrators may be called upon to set up and manage fax services.


Windows XP Fax and Printer Support

In most cases, the configuration and administration of Windows XP resources requires administrative privileges. Printing is an exception to this rule because individuals that are members of the power users group have the authority to install local print devices. While users can manage their own print jobs and the faxes that they have sent, only administrators or individuals that have been given sufficient permissions can administer all the jobs in a print queue or the faxes in the incoming fax folder.

From a Windows XP point of view, a fax device and a print device are essentially the same thing. Both receive input, temporarily store it, and then provide printed output. Both are managed from the Printers and Faxes folder. In addition, any Windows application that can submit a print job can also submit its output to a fax device.

To use a printer, Windows XP needs access to it. This can be provided by a physical connection to a local printer, usually through a parallel printer cable. A printer connection can also be established to a network printer. In similar fashion, the Fax application requires access to a fax device, which is generally provided by a network-connected fax device or a local device such as a fax modem, and a telephone line. Windows XP allows faxes to be viewed and managed online. However, access to a print device is required to create hard copies.

Printer and fax devices are managed using the Windows XP Printers and Faxes folder, as shown in Figure 5.1.

Click To expand
Figure 5.1: The Printers and Faxes folder displays an icon for each local or network print device and fax device that has been set up on the computer

To open the Printers and Faxes folder, click on Start/Control Panel/Printers and Other Hardware and then click on View installed printers or fax printers. An icon will be displayed for every print and fax device that has been set up on the computer.

Thanks to Plug and Play, any locally attached printer and fax device should automatically be recognized and have an icon created for it in this folder. In addition, there is a link in this folder that assists in adding new print or fax devices. Any fax or print device can be administered from this folder. Double-click on any device's icon to access and manage its activity. Similarly, right-click on an icon and select Properties to access the device's properties dialog and configure its properties.

Tip

To make it more accessible, a link to the Printers and Faxes folder can be added directly to the Windows Start menu. This can be set up using the following procedure:

  1. Right-click on the Start button and select Properties. The Taskbar and Start Menu Properties dialog appears.

  2. Select the Start menu option and click on Customize. The Customize Start Menu dialog appears.

  3. Click on the Advanced property sheet and scroll down in the Start menu items section and select Printers and Faxes.

  4. Click on OK to close the Customize Start Menu dialog.

  5. Click on OK to close the Taskbar and Start Menu Properties dialog.
Note

Windows XP Professional can support any number of locally installed printers. However, regardless of the number of fax modems installed on the computer, only one local fax device can be configured at a time.


Fax Administration

Windows XP Professional provides a complete fax management system. It includes the ability to create, send, receive, monitor, view, print, and archive faxes. It also provides a fax cover page editor. Windows XP treats fax devices like print devices. Both print devices and fax devices are configured and managed from the Printers and Faxes folder. However, Windows XP handles faxes in much the same way that Outlook Express manages e-mail. The Windows Fax Console, which is the main Fax user interface, looks and operates a lot like Outlook Express.

Windows XP Professional's Fax application consists of a collection of different components, including:

  • The Fax Console. The primary Fax application interface, which provides access to stored faxes and other fax tools

  • The Fax Configuration Wizard. Configures Fax application settings

  • The Send Fax Wizard. Assists the creation and delivery of new faxes

  • The Fax Monitor. Monitors the status of incoming and outgoing faxes

  • The Fax Cover Page Wizard. Creates and modifies custom fax cover pages

Windows XP Fax provides the ability to send faxes in a number of different ways, including:

  • Using the Fax Console

  • From any Windows application that can submit print jobs

  • From a graphics scanner

Unless a previous version of Windows was upgraded to Windows XP Professional that already had a fax application installed, the Windows XP Professional Fax application is not installed by default. In order to install and use the Fax application, the following resources are required:

  • A dial-up fax modem

  • A connection to a telephone line

Note

For information on how to install a dial-up modem, refer to "Installing a Modem" in Chapter 15, Supporting Mobile Users.

The Fax application automatically detects any dial-up fax modem and configures itself to work with the modem so that it can send faxes if such a device is already present when the application is installed. However, the administrator must manually configure the Fax application in order to allow it to receive faxes.

Note

If more than one fax device is installed on the computer, the Fax application should detect them all; however, it can only be configured to use one local fax device.

Installing and Administering the Fax Application

In order to use the Windows XP Professional Fax application, you must first install it. In order to install it, the administrator must have access to the Windows XP Professional CD. The following procedure outlines the steps involved in installing the Fax application.

  1. Click on Start/Control Panel and then click on Add or Remove Programs. The Add or Remove Programs dialog appears.

  2. Click on the Select Add/Remove Windows Components icon. The Windows Components Wizard appears.

  3. Select Fax Services from the list of component software. Click on Next.

  4. Insert the Windows XP CD when prompted.

  5. Click on Finish.

  6. Close the Add Remove Programs dialog by clicking on Close.

Note

The Fax application can also be installed by clicking on the Set up faxing link in the Printer Tasks section on the left-hand side of the Printer and Faxes dialog.

Working with the Fax Console

The Fax Console, shown in Figure 5.2, is the main interface for working with faxes. To open it, click on Start/All Programs/Accessories/Communications/Fax and then Fax Console.

In order to use the Fax Console, it must first be configured. The first time that the Fax Console is accessed, the Fax Configuration Wizard is started. The following procedure outlines the steps involved in configuring the fax console.

Click To expand
Figure 5.2: The Fax Console is the primary interface for working with faxes

  1. Click on Next when prompted by the Fax Configuration Wizard.

  2. The wizard asks for information about the person setting up the Fax application, including location and contact information, as shown in Figure 5.3. Supply the requested information and click on Next.

    Click To expand
    Figure 5.3: The Fax Configuration Wizard collects sender information

  3. The next page displayed by the wizard requires selection of the fax device that will be used by the Fax application, as shown in Figure 5.4. If more than one fax device is installed on the computer, select the one that should be used from the Please select the fax device drop-down list. The Fax application is configured to send faxes by default. To allow it to receive faxes, select Enable Receive. This will then enable the following options:

    • Manual answer

    • Automatically answer after __ rings

    Click To expand
    Figure 5.4: Configuring whether the fax device can send or receive faxes

    If necessary, select and configure the appropriate option and click on Next.

  4. The wizard next asks for a TSID (Transmitting Subscriber Identification), as shown in Figure 5.5. This number normally consists of the fax number and a name. Enter a TSID and click on Next.

    Click To expand
    Figure 5.5: The TSID usually identifies the fax device owner and fax number

    Note

    The TSID is often displayed on the receiving fax device and provides a means of determining who is sending the fax while it is being received.

  5. Next, the wizard asks for a CSID (Called Subscriber Identification). Like the TSID, the CSID normally consists of a fax number and a name. Enter a CSID and click on Next.

  6. The wizard next asks for information about how to handle incoming faxes, as shown in Figure 5.6. Select the Print in option to specify a printer and automatically print the incoming fax. Select the Store a copy in a folder option to save the fax in a specified folder. Select an option and click on Next.

    Click To expand
    Figure 5.6: Tell the Fax Configuration Wizard what to do when an incoming fax is received

  7. The wizard displays a summary of all the information that it has collected. Verify that everything is correct and click on Finish.

    The Fax Console appears as soon as the Fax Configuration Wizard closes. The left-hand side of the Fax Console displays a list of folders that are used to manage faxes. This list includes the following folders.

    • Incoming. Holds an incoming fax as it is being received

    • Inbox. Holds all faxes received faxes

    • Outbox. Holds faxes that are waiting to be sent

    • Sent items. Holds copies of all sent faxes

Working with Individual Faxes

The right-hand side of the Fax Console displays a list of the faxes stored in a particular folder. Double-click on a fax entry to view it using the Windows Picture and Fax Viewer, as demonstrated in Figure 5.7.

Click To expand
Figure 5.7: The Windows Picture and Fax Viewer is used to display faxes

Right-click on any individual fax to manage it. Available options include:

  • View. Displays the fax using the Windows Picture and Fax Viewer

  • Delete. Removes the fax from the folder

  • Save As. Saves a copy of the fax as a .TIF file

  • Mail To. Sends a copy of the fax as an e-mail attachment

  • Print. Prints the fax

  • Pause. Pauses an incoming or outgoing fax

  • Resume. Resumes a paused incoming or outgoing fax

  • Restart. Restarts a failed fax transmission

  • Properties. Displays fax document properties

Sending a Fax

The Windows XP Fax application allows faxes to be sent in a number of different ways, including:

  • Using the Fax Console

  • From a Windows application

  • Directly from a scanning program

The Fax Console allows for the transmission of single page faxes in which the fax cover sheet is also used to deliver the fax message. The following procedure outlines the steps involved in sending a fax using the Fax Console.

  1. Click on Start/All Programs/Accessories/Communications/Fax and then Select Fax Console. The Fax Console opens.

  2. Click on the Send a fax option on the File menu. The Send Fax Wizard starts.

  3. Click on Next.

  4. The Recipient Information screen is displayed, as shown in Figure 5.8. Type the name and fax number of the fax recipient and click on Add.

    Click To expand
    Figure 5.8: Specify the names and fax number of the individuals who are to receive the fax

    Repeat this step to add as many recipients as necessary and then click on Next.

  5. The Preparing the Cover Page screen is displayed next, as shown in Figure 5.9. Select the type of cover page to be used from the Cover page template drop-down list and then type a subject in the Subject line field. Type the fax message in the Note field and click on Next.

    Click To expand
    Figure 5.9: Type the subject and message that are to be sent on the fax

  6. The Schedule page appears, as shown in Figure 5.10, providing the opportunity to specify when the fax should be sent and what its priority is. The default options are to send the fax now or to deliver it using normal priority. Make the appropriate selections and click on Next.

    Click To expand
    Figure 5.10: Specify the delivery schedule and priority of the fax

    The Send Fax Wizard displays a summary of the information that it has collected. Verify that this information is correct and click on Finish.

Faxes can also be sent directly from any Windows application that can submit a print job. When this option is used, the Send Fax Wizard is used to collect recipient information and to build a cover page that is added to the front of the document produced by the Windows application. For example, the following procedure outlines how to send a fax using the WordPad application supplied with Windows XP Professional.

  1. Click on Start/All Programs/Accessories and then select WordPad. WordPad opens.

  2. Type the message text that is to be sent.

  3. Click on File and then select the Print option. The Print dialog appears.

  4. Select the icon representing the computer's fax device and click on Print.

  5. The Send Fax Wizard appears. Follow the instructions presented to finish sending the fax.

Faxes can also be sent directly from most scanning device applications, as outlined in the following procedure.

  1. Power on the scanner and allow it to warm up.

  2. Start the scanning application that controls the scanning device.

  3. Use the application to scan a document.

  4. Use the scanning program's image preview option to display the scanned image.

  5. Press Ctrl+P to print the image.

  6. Select the icon representing the computer's fax device and click on Print.

  7. The Send Fax Wizard appears. Follow the instructions presented to finish sending the fax.

Receiving a Fax

To be able to automatically receive faxes, the Fax application must be configured to do so. This can be done using the Fax Configuration Wizard. Once configured, Windows XP will automatically answer all incoming calls and receive fax transmissions. Another option for receiving faxes is to disable automatic receipt and manually manage the receipt of incoming faxes, as outlined in the following procedure.

Note

If the phone line being used by the Windows XP fax service is also shared by another device such as an answering machine a conflict may arise between the fax service and the device. Either set the answering machine to wait an additional number of rings before answering or move it or the fax service to another phone line.

  1. Click on Start/All Programs/Accessories/Communications/Fax and then select Fax Console. The Fax Console opens.

  2. When the telephone rings, click on the Receive a fax now option on the File menu. The Fax monitor dialog appears.

  3. The Fax application begins receiving the incoming fax and the status of the transmission is displayed.

Modifying Sender Information

Sender information is configured the first time that the Fax Configuration Wizard is run. The Fax Configuration Wizard can be rerun at any time by selecting the Configure Fax option located under the Tools menu. It will be used by default on every fax that is sent. However, the Send Fax Wizard allows for the temporary or permanent changing of sender information. Sender information can also be changed from the Fax Console by clicking on Tools and then selecting sender information. This opens the Sender Information dialog as shown in Figure 5.11.

Click To expand
Figure 5.11: Modifying sender information

Creating Custom Fax Cover Pages

The Windows XP Fax application supplies four default cover page templates that can be selected from the Send Fax Wizard. The Cover page templates are:

  • confdent

  • fyi

  • generic

  • urgent

Using the Fax Application's Personal Cover Page Editor, new custom cover pages can be created. New cover pages can be created from scratch, or any of the four templates can be used as a basis for creating new cover pages. The following procedure outlines the steps involved in starting the Personal Cover Page Editor and creating a new fax cover page.

  1. Click on Start/All Programs/Accessories/Communications/Fax and then Select Fax Console. The Fax Console opens.

  2. Click on Tools and select the Personal Cover Pages option. The Personal Cover Pages dialog appears as shown in Figure 5.12.

    Click To expand
    Figure 5.12: The Personal Cover Pages dialog displays a list of the user's personal cover pages

  3. To create a new cover page from scratch, click on New. The first time the Fax Cover Page Editor is started, a Cover Page Editor Tips dialog appears. Clear the Show Tips at startup option to prevent this from happening in the future. The Fax Cover Page Editor opens, as shown in Figure 5.13. Create a new coverage page, click on File, select Save, and type the name for the new cover page. Click on File and select Exit to close the Fax Cover Page Editor.

    Click To expand
    Figure 5.13: Creating custom fax cover pages

  4. To create a new cover page by using one of the templates supplied with the Fax application, click on Copy. The Copy cover page to list of personal cover pages dialog appears, displaying a list of available cover pages to choose from. Select one of the templates and click on Open. This places a copy of the template into the user's personal folder and allows it to be renamed, deleted, and modified. To modify it, double-click on it. This opens the Fax Cover Page Editor. Make any desired changes and then click on File, select Save, and type the name for the new cover page. Click on File and select Exit to close the Fax Cover Page Editor.

  5. Click on Close to exit the Personal Cover Pages dialog.

Any cover pages created using the Fax Cover Page Editor are stored by default in the user's Personal Cover pages folder, which is located inside the user's Fax folder in the user's My Documents folder, as shown in Figure 5.14.

Click To expand
Figure 5.14: Viewing a user's personal cover pages
Note

You can also open the Fax Cover Page Editor by clicking on Start/Accessories/ Communications/Fax and then selecting Fax Cover Page Editor.

Monitoring Fax Resources

The Windows XP Fax application provides two tools that provide status information about the fax device and any incoming or outgoing faxes.To view the status of the currently configured fax device, select the Fax Printers Status option on the Fax Console's Tools menu. This displays the Fax Printers Status dialog, as shown in Figure 5.15.

Figure 5.15: Checking the status of fax devices

The status of incoming and outgoing faxes can be monitored using the Fax Monitor, as shown in Figure 5.16.

Figure 5.16: Checking the status of incoming and outgoing faxes

The Fax Monitor provides a graphic view of current transmission status as well as detailed history information about previous fax operations. Using the information provided here, administrators can often determine the reason for failed fax transmissions. For example, a "no dial tone" message would indicate that there is a problem with the fax device's telephone line, while a "fax was cancelled" message might indicate that a user had inadvertently cancelled his or her own fax.


Windows XP's Printer Support

In most cases, Windows XP will have no problem automatically discovering and installing a locally attached print device. Since Windows XP is equipped with hundreds of printer software drivers, chances are good that the entire process will occur silently. Its completion can be verified by looking at the Printers and Faxes folder for an icon representing the print device. If Windows XP does not have a suitable printer driver, it will prompt for one.

Note

After installing a new printer, as outlined later in this chapter, the administrator may want to check the printer software driver that Windows XP installed to make sure that it is current, especially if Windows XP automatically installed the printer. If Windows XP installs an incorrect or older version of a driver, or a generic driver, the printer may not always function properly. To view and change a printer device driver, open the Printer's properties dialog, select the Advanced property sheet and click on New Driver.

Terminology within the IT field can often be confusing. The following list outlines the terminology used by Microsoft and this book to refer to various components that make up the Windows XP print process.

  • Print device. A device that creates printed output

  • Local print device. A print device that is connected to a computer's serial, parallel, or USB port

  • Network print device. A print device that is shared over a network and is accessible by other computers on the network

  • Print queue. A temporary folder where print jobs are stored until printed

  • Spool. The process of copying a print job to the print queue where it then waits its turn to be printed

Windows XP provides a device-independent print architecture, meaning that any print job can be submitted to any print device and it will print properly. Users can submit print jobs to any installed printer, local or network, and Windows XP ensures that it prints correctly. An understanding of the steps involved in printing a print job is fundamental knowledge for any administrator and will help facilitate print management and problem resolution. The basic steps involved in the Windows XP Professional print process are outlined below.

  • The user selects the option to print from any Windows application and chooses a print device.

  • Windows XP determines the location of the print device. If it is a local print device, the print job is spooled to the local hard drive. If the print device is a network print device, the print job is sent out over the network to the print server that is responsible for managing that print device, where the print job is then spooled.

  • The print job remains in the print queue until its turn to print.

  • Windows begins sending the print job to the print device a page at a time until the entire print job has been printed.

  • Once the entire print job has been printed, the copy of the print job in the print queue is deleted.

As long as a print job remains in the print queue it can be managed by its owner or an administrator. Management tasks include placing jobs on hold, releasing held print jobs, restarting print jobs from the beginning, and deleting print jobs.

Note

Windows XP Professional stores print jobs submitted to local printers in the \Windows\System32\spool\printers folder. All print jobs are stored here regardless of the number of local print devices that may be installed or the print devices to which print jobs have been submitted. To view the print jobs on a per-print-device basis, open each device's print queue by double-clicking on that print device's icon in the Printers and Faxes folder.

Printer Installation

The first step involved in installing a local print device is to physically connect it to the computer. The following procedure outlines the steps that are involved in this process.

  1. Prepare the print device for operation according to the manufacturer's instructions.

  2. Depending on the type of print device, connect it to the computer using a parallel, serial, or USB cable.

  3. Connect the print device's power supply and power the print device on.

What happens next depends on the print device. If the computer is not running, turn it on. Under normal conditions Plug and Play should automatically detect the printer, either when first attached or when the computer is started, and install it. If Windows XP Professional has a printer driver for the printer, it will silently complete its installation. Otherwise it will pause and prompt for the location of the print device's software driver.

Although serial and USB printers are available, most printers connect to the computer using a parallel print port connection. To detect and install a parallel printer, the print device must be bidirectional, meaning that in addition to accepting print output from the computer, the print device must be able to communicate back to the computer. In addition, an IEEE 1284 printer cable must be used to connect the print device to the computer's parallel port. This cable allows bidirectional data flow between the computer and the print device. Without it, Plug and Play will not work.

If the print device is an older model, Plug and Play may not be able to automatically detect it. In this case, the administrator or power user must tell Windows to look for the printer and initiate a Plug and Play installation. If this does not work, then a manual installation must be performed.

Initiating an Automatic Printer Installation

In the event that Plug and Play does not automatically detect and install a printer that has just been connected to a computer, administrators and power users can tell Windows XP to look for it as outlined in the following procedure.

  1. Click on Start/Control Panel and then Printers and Other Hardware. The Printers and Other Hardware folder appears.

  2. Click on the Add a printer link. This starts the Add Printer Wizard. Click on Next.

  3. The Add Printer Wizard presents the following two options, as shown in Figure 5.17:

    Click To expand
    Figure 5.17: Initiating a Plug and Play printer installation

    • Local printer attached to this computer

    • A network printer, or a printer attached to another computer

      Select the Local printer attached to this computer option. This enables the Automatically detect and install my Plug and Play printer option. Click on Next.

  4. If the print device is detected, the Found New Hardware Wizard starts, as shown in Figure 5.18. Leave the default option of Install the software automatically selected and click on Next.

    Click To expand
    Figure 5.18: The wizard announces that it has detected a new printer

  5. The Found New Hardware Wizard looks for a software driver for the print device. If one is found, the dialog shown in Figure 5.19 is displayed. The wizard may also find more than one software driver for the printer. Select the appropriate driver and click on Next.

    Click To expand
    Figure 5.19: Select the appropriate software driver

  6. The software driver is used to complete the setup of the printer. Click on Finish when prompted to close the Found New Hardware Wizard.

  7. Next, the Add Printer Wizard asks if it should print a text page to verify the operability of the print device. Select Yes and click on Next.

  8. A summary of the information collected by the wizard is displayed. Verify its accuracy and click on Finish.

  9. The test page should begin printing on the print device. Windows XP displays a prompt asking whether the text page printed correctly. Wait for the test page to finish printing. Click on OK if the page prints successfully. Otherwise click on Troubleshoot and the Help and Support Center will open and display the Printing Troubleshooter.

An icon for the print device should now be visible in the Printers and Faxes dialog.

Manual Printer Installation

In the event that Plug and Play fails to detect when a new printer is installed, or an older non-Plug and Play compatible printer is installed, Windows XP Professional allows for the manual installation of a local print device. This process is outlined in the following procedure.

  1. Click on Start/Control Panel and then Printers and Other Hardware. The Printers and Other Hardware folder appears.

  2. Click on the Add a printer link. This starts the Add Printer Wizard. Click on Next.

  3. The Add Printer Wizard presents the following two options.

    • Local printer attached to this computer

    • A network printer, or a printer attached to another computer

    Select the Local printer attached to this computer option and make sure that the Automatically detect and install my Plug and Play printer option is not selected. Click on Next.

  4. The next step is to specify the port where the print device has been connected. Typically, this is LPT1, as demonstrated in Figure 5.20. Select the appropriate port and click on Next.

    Click To expand
    Figure 5.20: Specify the port where the print device has been connected

  5. The next information collected by the Add Printer Wizard is the manufacturer and model of the print device being installed, as shown in Figure 5.21.

    Click To expand
    Figure 5.21: Tell the wizard the manufacturer of the printer and its model

    Select the manufacturer of the print device. A list of print devices made by that manufacturer is then displayed. Select the appropriate print device and click on Next.

  6. Next, the wizard asks for a printer name. This name can be up to 31 characters and should provide a meaningful identification of the print device. If other print devices have been set up on the computer, the wizard will ask whether this print device should be made the default printer. Click on Next.

  7. If the computer is connected to a network, the wizard next asks whether the printer should be shared over the network, as shown in Figure 5.22. The available options are:

    Click To expand
    Figure 5.22: If the computer is connected to a network, the Add Printer Wizard can set it up as a shared network resource

    • Do not share this printer

    • Share name

    Selecting the Share name option enables the Share name text field. The name typed into this field is used to identify the print device on the network. Select one of these options and click on Next.

  8. If the option to share the printer was selected then the wizard provides the opportunity to specify additional information including the print device's location and a detailed description as demonstrated in Figure 5.23. Otherwise skip to step 9. The information supplied here will be visible to other network users. Provide the requested information and click on Next.

    Click To expand
    Figure 5.23: Providing as much information as possible about the shared printer will assist other network users in identifying the print device

  9. Next, the wizard asks if it should print a test page to validate that setup has been properly performed. Click on Yes.

  10. A summary of all the information that the wizard has collected is displayed. Verify the accuracy of all the information and click on Finish

  11. The test page should begin printing on the print device, and Windows XP displays a prompt asking whether the text page printed correctly. Wait for the test page to finish printing. Click on OK if the page prints successfully. Otherwise click on Troubleshoot and the Help and Support Center will open and display the Printing Troubleshooter.

An icon for the print device should now be visible in the Printers and Faxes dialog.

Selecting a Default Printer

The first print device that is installed is automatically set up as the default. Each time an additional print device is installed, the Add Printer Wizard will ask if the new print device should be made the default. The default print device is configured on a user-by-user basis, meaning that if multiple users share the same computer, each may have a different default printer.

Each print device has an icon representing it in the Printers and Faxes folder. The default print device is identified by the presence of a small black circle with a checkmark in it at the top of the icon, as demonstrated in Figure 5.24. The default printer can be changed at any time using the following procedure.

Figure 5.24: Windows applications automatically suggest sending all print output to the default print device

  1. Click on Start/Control Panel/Printers and Other Hardware, and then click on View installed printers or fax printers. The Printers and Faxes folder appears.

  2. Right-click on the icon representing the print device that is to become the new default print device.

  3. Select Set as Default printer. The print device's icon will change to reflect its new status.

Uninstalling a Printer

Windows XP Professional should automatically detect the physical removal of a local print device. It will then uninstall its device driver and delete its icon from the Printers and Faxes dialog. In the event that Windows XP fails to detect the removal of the print device it can manually be uninstalled using the following procedure.

  1. Click on Start/Control Panel/Printers and Other Hardware, and then click on View installed printers or fax printers. The Printers and Faxes folder appears.

  2. Right-click on the printer that is to be uninstalled and select the Delete option.

  3. Click on Yes when asked to confirm the print device's removal.

Note

Make sure that the print device has been disconnected from the computer. Otherwise Plug and Play may redetect it and reinstall it.

Printer Configuration

Printer configuration is performed from the Printers and Faxes folder by right-clicking on a printer icon and selecting Properties. This displays the print device's Properties dialog. Printer configuration settings are organized by property sheet. The number and types of property sheets that are displayed varies among print devices, depending on their features and capabilities. However, the following four property sheets are always present.

  • General. Configures basic property settings including the name, location, and a description of the print device

  • Sharing. Provides the ability to enable or disable the sharing of the print device over a network

  • Ports. Configures printer ports and printer pools

  • Advanced. Configures print device availability, priority, and its software driver, as well as spooling and other advance settings

The following sections will explain the major configuration settings found on each of these property sheets.

The General Property Sheet

The General property sheet, shown in Figure 5.25, provides the ability to change the print device's name, location, and comment information. The property sheet also displays the information about the model of the print device and its features. None of this information can be changed.

Click To expand
Figure 5.25: The General property sheet displays information about basic printer features and provides the ability to change the print device's name, location, and comment information

At the bottom of the General property sheet are two buttons that provide the ability to configure printing preferences and print a test page. Clicking on Printing Preference opens the Printing Preferences dialog. What appears here varies from print device to print device but in general includes the ability to change layout features and paper quality settings. Clicking on the Print Test Page button causes a test page to be submitted to the print device. In addition, a prompt appears requesting confirmation of the success or failure of the test page. Clicking on OK closes the prompt. Clicking on Troubleshoot opens the Help and Support Center, which then displays the Printing Troubleshooter.

The Sharing Property Sheet

The Sharing property sheet, shown in Figure 5.26, provides the ability to share a local print device with other computers on a local area network. This property sheet also provides the ability to load software drivers for other operating systems so that the computer can automatically download them to any computer that sets up a network connection to the shared printer. This makes print connections a lot easier to set up on other network computers by allowing each computer to automatically retrieve and install its own software driver.

Click To expand
Figure 5.26: The Sharing property sheet determines whether or not the printer is shared with other computers on a local area network

A computer that is set up to share a local print device over a network acts just like any other print server. As soon as it is configured to share a printer, Windows XP Professional starts accepting and spooling print jobs sent to it from over the network. The following procedure outlines the steps involved in sharing a local printer.

Note

Allowing other network computers to set up connections to a shared print device places additional processing workload on the computer where the print device is connected. Depending on the number of print jobs regularly received from over the network, the user of the computer may detect a slowdown in performance. This is because the computer must dedicate a portion of its disk storage and memory to storing and processing each print job, thus denying these resources to the local user.

  1. Right-click on a print device's icon in the Printers and Faxes folder and select Properties.

  2. Select the Sharing property sheet.

  3. Select the Share name option and type a name for the print device in the Share name text field. This name will be used by other network computers to connect to and use the print device.

  4. To load software drivers for computers that run other operating systems on the local area network, click on Additional drivers. The Additional Drivers dialog will appear as shown in Figure 5.27.

    Click To expand
    Figure 5.27: By loading drivers for other operating systems, administrators make the setup of network printer connections easier

  5. Select each type of operating system for which software drivers are to be loaded and click on OK.

  6. A dialog will appear for each selected group of operating systems asking for the location of the print driver for that particular set of operating systems. Specify the proper location and click on OK.

  7. Another dialog will appear displaying a list of printer drivers that have been found for the print device. Select the appropriate driver and click on OK. This step will repeat for each of the operating systems for which software drivers are being loaded.

  8. Click on OK when returned to the General property sheet.

The Ports Property Sheet

The Ports property sheet, shown in Figure 5.28, allows for the configuration of printer ports. Windows XP supports a number of different types of ports, including:

Click To expand
Figure 5.28: Each printer connection requires a unique port assignment

  • Parallel. Includes ports LPT1-LPT3 and is used to communicate with parallel devices.

  • Serial. Includes ports COM1-COM4 and is used to communicate with serial devices.

  • Share. These port names are expressed as \\sharename\printer and are automatically set up when a connection is made to a shared network printer.

  • USB. USB ports only appear when a USB print device is connected to the computer.

  • IEEE 1394. IEEE 1394 (FireWire) ports only appear when an IEEE 1394 print device is connected to the computer.

To change a print device's current port assignment, select a different port from the Port list. The following port management options are also available on this property sheet.

  • Add Port. This option is used to set up vendor specific ports such as network print server appliance ports or port monitors.

  • Delete Port. This option removes a port from the list of available ports.

  • Configure Port. This option is used to configure port settings.

At the bottom of the Ports property sheet are two additional configuration options. Enable bidirectional support is a feature used with higher-end print devices that enables Windows XP to receive detailed information back from the printer regarding the status of print jobs. The Enable printer pooling option is designed to allow administrators to configure two or more print devices that use the exact same printer software driver to act as a single logical print device. When two or more print devices are grouped into a printer pool, print jobs are routed to the first available printer in the pool.

A printer pool provides an effective means of evenly spreading print job workload between two shared print devices that belong to the same computer. By establishing a printer pool, administrators do not have to worry about users sending too many print jobs to one print device while another remains idle. The following procedure outlines the steps involved in setting up a printer pool with two shared network print devices.

  1. Install two or more local printers that use the same printer software driver.

  2. Share both print devices.

  3. From the Printers and Faxes folder, right-click on the icon representing one of the print devices and select Properties.

  4. Select the Ports property sheet.

  5. Select the Enable printer pooling option.

  6. Select the ports used by both print devices from the Port list and click on OK.

The Advanced Property Sheet

The Advanced property sheet, shown in Figure 5.29, allows for the configuration of a number of printer settings. The property sheet is divided into three sections. The first section sets printer availability and priority settings. It also provides the ability to change a print device's software driver.

Click To expand
Figure 5.29: The Advanced property sheets allows administrators to configure print device availability and priority settings
Controlling Print Device Availability

By default, all print devices are configured for 24-hour access. By setting a print device's availability schedule, administrators can control when users' print jobs are printed. Windows XP also allows multiple logical instances of the same print device to be installed. By installing multiple instances of the same print device, different print priorities can be assigned to each instance. By restricting which printer certain groups of network users can connect to, administrators can then control when each group can print. For example, administrators might set a ban on printing every night for 30 minutes while printer maintenance is performed.

The following procedure outlines the steps involved in restricting the availability of one logical instance of a print device.

  1. Install the same print device two times, assigning a different name to each instance.

  2. Share both instances of the print device.

  3. To restrict the availability of one of the instances, right-click on it and select Properties.

  4. Select the Advanced property sheet.

  5. Select the Available from option and then specify the start and end times that the print device should be available.

  6. Click on OK.

Note

Restricting the availability schedule of a print device does not prevent Windows XP from accepting and spooling new print jobs. It only prevents the print jobs from being submitted to the print device outside its available hours of operation.
Assigning Printer Priorities

Administrators can exercise control over which user's print jobs are printed first on shared printers by assigning different priorities to multiple logical instances of the same physical print device. This provides the ability to ensure that certain groups of users, such as administrators or management, are given preference over other users. Priority settings range from 1 to 99, with 1 being the lowest and 99 the highest. Print jobs submitted to the instance with the higher priority setting will be given preference over jobs submitted to an instance with a lower priority. The following procedure outlines the steps involved in setting up printer priorities.

  1. Install the same print device two times, assigning a different name to each instance.

  2. Share both instances of the print device.

  3. To change the priority assigned to one of the instances, right-click on it and select Properties.

  4. Select the Advanced property sheet.

  5. Change the value of the number displayed in the priority field.

  6. Click on OK.

Updating Print Device Software Drivers

Print device manufacturers are constantly improving their products. This includes making new software printer drivers available on their Web sites. These software drivers may includes fixes, performance enhancements, or even provide new features. The following procedure outlines the steps involved in upgrading a print device's software driver.

  1. Open the Printers and Faxes folder, right-click on a print device's icon, and select Properties.

  2. Select the Advanced property sheet.

  3. Click on the Down Arrow in the Driver drop-down list to see if Windows XP already lists the new driver. If it does, select the driver and click on OK. Otherwise, continue to step 4.

  4. Click on New Driver. The Add Printer Driver Wizard appears.

  5. Click on Next.

  6. Select the manufacturer of the print device. A list of print devices made by that manufacturer is then displayed. Select the appropriate print device and click on Next.

  7. The wizard displays a summary of the information that it has connected. Make sure that the correct manufacturer and printer model is displayed and click on Finish.

  8. If Windows XP already has the appropriate software driver, it will install it. Otherwise, it will display a prompt asking for the location of the new software driver.

Other Advanced Printer Configuration Settings

The middle section of the Advanced property sheet contains configuration options that control how print jobs are spooled. The default settings are Spool print documents so program finishes faster and Start printing immediately.

Unless directed to change these settings by the printer manufacturer's documentation of an application, there is usually no need to make changes to any of these settings.

The third section on the Advanced property sheet provides the following options:

  • Hold mismatched documents. Prevents documents from printing whose print setup does not match the print device's setup

  • Print spooled documents first. Gives preference to print jobs that have already spooled over those that are currently spooling

  • Keep printed documents. Prevents the automatic deletion of print jobs from the print queue (\Windows\System32\spool\printers) after being printed, leaving the administrator responsible for regularly reviewing and deleting them

  • Enable advanced printing features. Enables printer-specific advanced features such as controlling the order in which pages print or the number of pages that can print per sheet.

At the bottom of the third section on the Advanced property sheet are three more options, as listed below.

  • Printing Defaults. Displays and changes default document properties that affect all users of the computer, including such things as default document orientation, page print order, and print quality settings.

  • Print Processor. Displays a list of print processors. Print processor settings should only be changed if required to support a specific application.

  • Separator Page. Allows administrators to specify a separator page that will automatically be printed at the start of each print job in order to separate and help identify user print jobs from one another.

Print Job Management

Individual users can manage their own print jobs but are unable to affect other users' print jobs. Administrators can manage any print job regardless of who submitted it. Administrators charged with managing print devices and print jobs need to be able to stop print processing in a controlled fashion to perform maintenance tasks such as ink and toner replacement, clearing out paper jams, and even basic hardware repair. Once maintenance is complete, administrators need to know how to allow printing to resume without loss of output.

Print jobs can be managed individually or globally. Individual print job management involves opening a printer's print queue, selecting a print job, and then performing an action on the print job. Global print job management involves taking actions that affect all of the print jobs currently in the print queue.

The following list outlines various print job management tasks supported by Windows XP Professional.

  • Pausing individual print jobs or all the print jobs in the print queue

  • Canceling (deleting) individual print jobs or all the print jobs in the print queue

  • Resuming an individual print job from the point where it was paused

  • Restarting an individual print job that has been paused from the beginning

Managing Individual Print Jobs

Individual users are limited to managing their own print jobs. Administrators can manage any print job regardless of who submitted it. The following procedure outlines the steps involved in managing individual print jobs.

  1. Click on Start/Control Panel/Printers and Other Hardware, and then click on View installed printers or fax printers. The Printers and Faxes folder appears.

  2. Double-click on the icon representing the print device to which the print job was submitted. The print device's print queue is displayed.

  3. Select the print job and then click on one of the commands located in the Documents menu. These commands include:

  • Pause. Pauses the print job

  • Resume. Restarts a paused print job from where it was when the print job was paused

  • Restart. Restarts a paused print job from the beginning, producing a complete reprint

  • Cancel. Deletes the print job

  • Properties. Displays print job properties, which includes information such as the print job's owner and its size

Figure 5.30 shows a typical Windows XP print queue. It contains five print jobs. The first two print jobs have been paused, the third job is currently printing, and the remaining jobs are waiting to be printed.

Click To expand
Figure 5.30: Administrators can manage any job in the print queue regardless of who submitted it

The print queue displays a number of pieces of information about each print job, including:

  • Document Name. The name of the document that is being printed

  • Status. The print job's status, which includes any of the following: Printing, Spooling, Paused

  • Owner. The username assigned to the person who submitted the print job

  • Pages. The number of pages printed and the total page count of the print job

  • Size. The file size of the print job in kilobytes

  • Submitted. The date and time the print job was submitted

  • Port. The port that is being used to process the print job

Managing the Entire Print Queue

Sometimes it may be necessary to manage all the print jobs in the print queue at the same time. Commands that have this capability are located on the print queue's Printer menu. These commands include:

  • Set as Default Printer. Establishes the default printer.

  • Printing Preferences. Sets print settings such as paper orientation and print quality.

  • Pause Printing. Pauses all print jobs in the print queue. Selecting this command a second time unpauses all print jobs.

  • Cancel All Documents. Deletes all print jobs in the print queue.

  • Sharing. Allows administrators to share or to stop sharing the printer device over a network.

  • Use Printer Offline. Allows Windows XP to locally spool print jobs destined for a network printer when the computer is not connected to the network, and to submit them when the network connection is reestablished.

  • Properties. Displays the printer's Properties dialog.

Changing the Print Order of Print Jobs

Windows XP automatically prints all print jobs in FIFO (first in, first out) order. The order in which print jobs are processed can be seen by opening the print device's printer queue. Print jobs listed at the top of the print queue are processed before print jobs at the bottom of the queue. Using the following procedure, administrators can alter the order in which a print job is printed.

  1. Click on Start/Control Panel/Printers and Other Hardware and then View installed printers or faxes.

  2. Double-click on the print device's icon to display its print queue.

  3. Select a print job, click on the Document menu, and then select the Properties option.

  4. The Document's properties dialog appears, as demonstrated in Figure 5.31.

    Click To expand
    Figure 5.31: Changing the order in which print jobs are processed

  5. Change the default priority of 1 to a higher priority by moving the slider bar in the Priority section to the right. The higher the priority, the greater the preference that the print job will receive.

Working with Network Printers

Windows XP Professional works with network print devices as easily as it works with locally attached print devices. Network print servers manage network print devices. Sometimes print servers are just computers that have been set up to share a locally attached print device. On many networks, network printers are connected to and managed by dedicated stand-alone print appliances, and in other cases, high-end network printers come equipped with built-in network servers.

Automatic Installation on Small Networks

Setting up a computer running Windows XP Professional to connect to and use a network print device is not very different from setting up a local print device. On small peer-to-peer networks, Windows XP should automatically detect shared network print devices and configure them as network printers, totally automating the setup process. Windows XP Professional accomplishes this task using Universal Plug and Play, which is a specification that allows Windows to autodetect and set itself up to work with network devices such as printers, scanners, and Internet gateways. On a small peer-to-peer network, double-click on the Printers and Faxes folder to see if Windows XP has automatically set up a connection with a network printer before attempting to install it. In most cases, a connection to the network print device will automatically be set up within a few minutes from the time it was made available to the network.

As Figure 5.32 shows, the icon representing network print devices that are automatically discovered and configured by a Windows XP computer looks different than other printer icons. The name that is automatically assigned has the word Auto in it.

Click To expand
Figure 5.32: On small networks and local subnets, Windows XP Professional automatically detects and sets up a connection with most network print devices

Setting Up a Connection to a Shared Print Device

Connecting to network print devices on larger networks requires that administrators establish the connection. The following procedure outlines the steps involved in performing this process. This same procedure can be used on peer-to-peer networks to connect to a network printer that has not been automatically detected and set up.

  1. Click on Start/Control Panel and then Printers and Other Hardware. The Printers and Other Hardware folder appears.

  2. Click on the Add a printer link. This starts the Add Printer Wizard. Click on Next.

  3. The Add Printer Wizard presents the following two options.

    • Local printer attached to this computer

    • A network printer, or a printer attached to another computer

      Select the A network printer, or a printer attached to another computer option and click on Next.

  4. The next dialog, shown in Figure 5.33, collects the location of the network print device. Any of the following options can be used to supply this information:

    • Browse for a printer. Use this option to search for the print device by browsing the network.

    • Connect to this printer. Use this to specify the print device's location using its UNC (Universal Naming Convention) name in the format \\printservername\sharename.

    • Connect to a printer on the Internet or on a home or office network. Use this option to specify an Internet printer's URL in the format http://printservername/Printers/sharename/.printer.

      Select one of these options and specify the location of the next print device and then click on Next.

    Click To expand
    Figure 5.33: Tell the Add Printer Wizard the location of the network print device

  5. Click on Yes or No if prompted to make this connection the default printer and then click on Next.

  6. A summary of information that has been collected by the Add Printer Wizard is displayed. Verify that everything is accurate and click on Finish.


Part II: Desktop Management

Chapter 6: Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder
Chapter 7: Configuring Desktop Settings
Chapter 8: Configuring Accessibility Features


Chapter 6: Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder

Overview

Windows XP Professional is a highly configurable operating system. It allows users to configure a number of features that make working with the computer easier and more efficient. By configuring the Windows Start menu, a user is able to more efficiently access Windows applications and Windows XP utilities. By configuring the Windows XP taskbar, users are able to access various toolbars, such as the Quick Launch toolbar, which provides single click access to applications, folders and other Windows objects. Taskbar configuration also allows users to control the display of icons in the taskbar's notification area.

Some users will need the administrator's assistance in setting up their personal settings. In some organizations, administrators may be required to set up and enforce a standardized configuration for all users. Therefore, administrators must know how to configure settings both for individual users and for all users.

In addition to configuring the Windows XP Start menu and taskbar, administrators can customize users' My Documents folders by storing them on network servers in order to provide backup services. Finally, administrators can configure roaming user profiles that allow users to access their personalized settings regardless of which network computer they log on to.


Customizing the Windows XP Professional Start Menu

Windows XP Professional supports two versions of the Start menu. The default version is called the Simple Start menu and is basically a new and improved version of the older Start menu, which is now called the Classic Start menu. The Classic Start menu, shown in Figure 6.1, is basically the same as the Windows 2000 Start menu and will initially be more familiar to users.

The Simple Start menu, shown in Figure 6.2, may take a little getting used to but will quickly become the preferred choice. The Simple Start menu represents Microsoft's attempt to reduce desktop clutter by placing greater emphasis on the Start menu.

Figure 6.1: Windows XP provides the option of using the Classic Start menu
Click To expand
Figure 6.2: The Simple Start menu provides better access to Windows applications and utilities and has more configuration options than the Classic Start menu

The Simple Start menu is divided into multiple sections. The name of the currently logged-in user is displayed at the top of the menu. At the bottom of the menu are the Log Off and Turn Off Computer buttons. The rest of the Simple Start menu is divided into two major sections. The left-hand side of the menu stores links to the following groups of resources:

  • Pinned applications. Contains links to applications that are always visible on the menu. The default e-mail client and Internet browser are always displayed here. Other applications can be manually pinned here.

  • Recently accessed applications. Displays a list of applications based on how often and how recently they are used. Windows XP controls which applications are placed here.

  • The All Programs menu. Displays the All Programs menu, which provides access to other Windows applications and components. Of all the components of the Windows Start menu, the All Programs menu is the most configurable.

The right-hand side of the menu is also divided into three parts, as shown below.

  • Default folders. Provides links to the following collection of user folders: My Documents, My Pictures, My Music, and My Computer.

  • The Windows XP Control Panel. Provides a link to the Windows XP Control Panel.

  • Default utilities. By default, this section provides links to the Windows XP Help and Support Center and the Search and Run dialogs.

The following procedure outlines the steps involved in switching between the Simple Start menu and Classic Start menu.

  1. Right-click on the Windows XP taskbar and select Properties. The Taskbar and Start Menu Properties dialog appears, as shown in Figure 6.3.

  2. To configure Windows XP to use the Simple Start menu, select Start menu.

  3. To configure Windows XP to use the Classic Start menu, select Classic Start menu.

  4. Click on OK.

    Click To expand
    Figure 6.3: Choosing between the Simple Start menu and the Classic Start menu

Configuring the Classic and Simple Start Menus

Both the Classic and Simple Start menus are highly configurable, and both can be configured on an individual user basis or for all users of the computer.

Most users will want to use the Windows XP Simple Start menu. However, some users may be resistant to change and will want to continue working with the Classic Start menu. The following procedure outlines the steps involved in configuring the Classic Start menu.

  1. Right-click on Start and select Properties. The Taskbar and Start Menu Properties dialog appears. The Start Menu property sheet is automatically selected.

  2. Click on the Customize button to the right of the Classic Start menu option. The Customize Classic Start Menu dialog appears, as shown in Figure 6.4.

  3. Click on Add to add additional applications to the Start menu. The Create Shortcut wizard appears. Type the name and path of the resource to be added and click on Next. Select the Start menu folder or a subfolder where the new menu option should be stored and click on Next. Type a descriptive name for the shortcut and click on Finish.

  4. Click on Remove to select a menu item to delete. The Remove Shortcuts/ Folders dialog appears. Locate the menu or menu option to be removed and click on Remove.

    Click To expand
    Figure 6.4: Configuring the Windows XP Classic Start menu

  5. Click on Advanced to open Windows Explorer and display a view of the current user's Start menu. Copy or move menus and menu options or use drag and drop to add and remove menus and menu options.

  6. Click on Sort to alphabetically reorganize the entries into default order on the Start menu.

  7. Click on Clear to remove all recently access documents, programs and Web sites from the My Recent Documents folder.

  8. Under Advanced Start menu options, select or clear any of the options listed in Table 6.1.

    Table 6.1: Windows XP Classic Menu Configuration Settings

    Classic Menu Options

    Description

    Display Administrative Tools

    Displays the contents of the Administrative Tools folders

    Display Favorites

    Displays the contents of the Favorites folders

    Display Run

    Displays the Run dialog

    Enable dragging and dropping

    Enables drag and drop operations when configuring the Start menu

    Expand Control Panel

    Displays Control Panel options as a submenu

    Expand My Documents

    Displays the contents of the My Documents file as a submenu

    Expand My Pictures

    Displays the contents of the My Pictures file as a submenu

    Expand Network Connections

    Displays objects in the Network Connections folder as a submenu

    Expand Printers

    Displays the list of printers in the Printers and Faxes folder as a submenu

    Scroll Programs

    Enables the horizontal scrolling of Start menu items

    Show Small Icons in Start menu

    Changes the display size of Start menu icons

    Use Personalized Menus

    Allows Windows XP to track user activity and to limit the display of Start menu options to frequently used applications

  9. Click on OK.

The Windows Simple Start menu is more configurable than the Classic Start menu. While the contents of the All Programs menu are completely configurable, the rest of the Start menu configuration options are somewhat limited and are found on the Advanced property sheet of the Customize Start Menu dialog. The following procedure outlines the steps involved in configuring the Simple Start menu.

  1. Right-click on the Windows Start menu and select Properties. The Taskbar and Start Menu Properties dialog appears. The Start Menu property sheet is automatically selected.

  2. Click on the Customize button to the right of the Start menu option. The Customize Start Menu dialog appears, as shown in Figure 6.5. By default the General property sheet is displayed.

    Click To expand
    Figure 6.5: Configuring general options for the Windows XP Simple Start menu

  3. Select either Large icons or Small icons in the Select an icon size for program section.

  4. Specify a value in the Number of programs on Start menu option to set the number of most recently used applications that Windows XP should display on the Start menu.

  5. Click on Clear List to remove the current list of most recently used applications from the Start menu.

  6. Enable or disable the display of the default Internet browser and e-mail client on the computer by selecting or clearing the Internet and E-mail options. If more than one browser or e-mail client is installed, select the ones to be displayed in the pinned section of the Start menu by selecting them from the drop-down list in the Show on Start menu section.

  7. Select the Advanced property sheet, as shown in Figure 6.6.

    Click To expand
    Figure 6.6: Configuring advanced options for the Windows XP Simple Start menu

  8. The following options can be selected.

    • Open submenus when I pause on them with my mouse

    • Highlight newly installed programs

  9. Configure any of the options located in the Start menu items section. The complete list of available options is listed in Table 6.2.

    Table 6.2: Windows XP Simple Menu Configuration Settings

    Simple Menu Options

    Suboptions

    Description

    Control Panel

    Display as a link

    Opens the Control Panel

    Display as a menu

    Displays Control Panel options as a submenu

    Don't display this item

    Removes the Control Panel from theStart menu

    Enable dragging and dropping

    Enables drag and drop operations when configuring the Start menu

    Favorites menu

    Displays the contents of the user's Favorites folder

    Help and Support

    Opens the Help and Support Center

    My Computer

    Display as a link

    Opens the My Computer folder

    Display as a menu

    Displays the contents of the My Computer folder as a submenu

    Don't display this item

    Removes the My Computer folder from the Start menu

    My Documents

    Display as a link

    Opens the My Computer folder

    Display as a menu

    Displays the contents of the My Documents folder as a submenu

    Don't display this item

    Removes the My Documents folder from the Start menu

    My Music

    Display as a link

    Opens the My Music folder

    Display as a menu

    Displays the contents of the My Music folder as a submenu

    Don't display this item

    Removes the My Music folder from the Start menu

    My Network Places

    Opens the My Networks Places folder

    My Pictures

    Display as a link

    Opens the My Pictures folder

    Display as a menu

    Displays the contents of the My Pictures folder as a submenu

    Don't display this item

    Removes the My Pictures folder from the Start menu

    Network Connections

    Display as Connect to menu

    Displays the contents of the Network Connections folder

    Don't display this item

    Removes the Network Connections folder from the Start menu

    Link to Network Connections Folder

    Opens the Network Connections folder

    Printers and Faxes

    Opens the Printers and Faxes folder

    Run Command

    Opens the Run dialog

    Scroll Programs

    Enables horizontal scrolling of Start menu items

    Search

    Opens the Search folder

    System Administrative Tools

    Display on the All Programs menu

    Displays the System Administrative Tools folder as an entry on the All Programs menu

    Display on the All Programs menu and the start menu

    Displays the System Administrative Tools folder as an entry on the All Programs menu and as an entry on the Start menu

    Don't display this item

    Removes the System Administrative Tools folder from the Start menu

  10. Select or clear the List my most recently opened documents option to determine whether or not Windows XP displays the My Recent Documents menu and places recently accessed documents in it.

  11. Click on Clear list to clear out all entries currently displayed in the My Recent Documents folder.

  12. Click on OK.

Start Menu Organization

Windows XP Professional's Start menu consists of folders and shortcuts. For example, the All Programs menu is simply a folder that contains other subfolders and shortcuts. Folders provide a structure for grouping shortcuts that provide links to actual Windows applications and utilities. Because the Start menu consists of folders and shortcuts, it can be managed using Windows Explorer.

Note

Because the Start menu is a collection of folders and shortcuts, it can be programmatically managed and configured. This allows administrators to develop scripts that can assist in the configuration and maintenance of the Start menu. In a similar fashion, scripts can also be used to add shortcuts to the Taskbar's Quick Launch toolbar. For more information on the scripting options available with Windows XP Professional, refer to Chapter 14, "Shell Scripting and the WSH."

Windows XP assigns a profile to each user of the computer. A user's profile is built the first time the user logs on to the computer and is assigned a name that matches the user's account name. A user's initial profile is created by loading the Default User profile and saving it and any configuring changes as the user's personal profile when they log off. In addition to the default user profile and profiles for each individual user, Windows XP Professional manages an All Users profile. This profile is used to store settings that are applied to all users of the computer.

Note

User profiles are used to store more than just user Start menu settings. Profiles also store settings that affect the Windows desktop, a user's collection of Favorite links, the user's My Document folder, Internet Explorer links, and much more.

The following procedure outlines the steps involved in viewing the user profiles stored on a Windows XP computer.

  1. Open Windows Explorer.

  2. Locate and expand the drive where the Windows XP Professional system files are stored.

  3. Expand the Documents and Settings folder. A list of all the user profiles stored on the computer is displayed.

  4. Expand a user's profile to view its contents.

  5. Expand the Start menu folder to view the user's Start menu, as demonstrated in Figure 6.7.

    Click To expand
    Figure 6.7: Viewing all the user profiles stored on a computer running Windows XP Professional

An administrator can configure an individual user's profile or the All Users profile from Windows Explorer. For example, to add a new menu to a user's Start menu, the administrator would create a new folder. To add menu options, the administrator would then create shortcuts to Windows applications and utilities and store them in the folder.

Configuring the Individual User's Start Menu

Windows XP Professional allows administrators to apply changes to the Start menu to individual users or to all users. Changes that can be made to an individual user's Start menu include:

  • Adding, moving, and rearranging submenus on the All Programs menu

  • Adding, moving, and rearranging submenu options on the All Programs menu

  • Pinning applications to the Start menu

In addition to rearranging a user's Start menu by dragging and dropping menus and menu options using Windows Explorer, administrators can make modifications using the Start menu itself. The following procedure outlines the steps involved in assisting a user in rearranging the submenus and submenu options located on the All Programs submenu.

  1. Instruct the user to log in.

  2. Click on Start and then All Programs.

  3. Move the pointer over a menu or menu option and then click and hold down the left mouse button.

  4. Drag the menu or menu option to a new location elsewhere on the All Programs menu and release the left mouse button.

The upper portion of the left-hand side of the Simple Start menu contains pinned programs. Pinned programs remain on the Start menu and are not dynamically added and removed based on how often they are used. By default, Internet Explorer and Outlook Express are pinned programs. However, other applications can be pinned as well. Underneath the pinned programs is a list of application icons which Windows XP automatically adds and removes from the Start menu based on how often the user accesses them.

Note

Only applications can be pinned to the Windows XP Professional Start menu.

The following procedure outlines the steps involved in pinning additional applications to the Windows XP Start menu.

  1. Using Windows Explorer or My Computer, locate the application that is to be pinned.

  2. Right-click on the application and select Pin to Start menu.

  3. If necessary, open the Windows XP Start menu and use drag and drop to rearrange the order in which pinned applications are organized.

Configuring the Start Menu for All Users

Editing the All Users profile affects all users of the computer. One way to edit the All Users profile is from Windows Explorer. Another way to edit the All Users profile is to right-click on the Start menu and select Open All Users. This opens the Start Menu dialog and shows the contents of the All Users profile's Start menu, as shown in Figure 6.8.

Click To expand
Figure 6.8: Making a change to the All Users profile's Start menu affects all users of the computer

Creating a new folder within the All Users Start menu folder creates a new submenu. Copying and pasting or dragging and dropping a shortcut into this folder adds a new menu option.

Configuring the Startup Folder

Windows XP Professional allows users to configure the automatic startup of applications by placing shortcuts to the applications in the Startup folder. This folder resides on the Simple Start menu under the Programs submenu. Administrators can assist users by placing shortcuts to applications that are always used by users in either their own profile or in the All Users profile.This way the applications that they use will automatically be started every time that they log in.

The following procedure outlines a quick way to add a shortcut to an individual user's Start menu.

  1. Right-click on Start and select Explorer All Users. This opens the Start Menu dialog and displays both its contents and a tree view of the Documents and Settings folder where all user profiles are stored, as demonstrated in Figure 6.9.

    Click To expand
    Figure 6.9: Accessing an individual user's profile

  2. Locate and expand the profile for an individual user.

  3. Expand the user's Start Menu folder.

  4. Expand the user's Programs folder.

  5. Expand the user's Startup folder.

  6. Cut and paste or drag and drop an application shortcut into the Startup folder and then close the Start Menu dialog.


Customizing the Windows XP Taskbar

The Windows XP Professional taskbar is designed to provide users with quick access to their open applications and to notify the user of important system events. The taskbar consists of four parts, as outlined below.

  • The Start menu

  • The application icon display area

  • Optional toolbars

  • The notification area

Using the Taskbar to Work with Open Applications

The Windows XP Professional taskbar displays icons representing open applications. Unlike the taskbar on earlier Windows operating systems, the Windows XP taskbar organizes applications into groups and displays an icon for each group on the taskbar instead of trying to display an icon for each individual application. This cuts down on clutter and makes the taskbar a much easier tool to use.

As soon as the taskbar begins to become crowded, the taskbar reorganizes the display of application icons to grouped instances of the same application. In addition to displaying the name of the application, the taskbar's application icon displays a number to the left of the application name indicating the number of active instances of the application. Clicking on the icon displays a menu listing each open application, as demonstrated in Figure 6.10. In this case, three instances of the Notepad application are open at the same time. To access a particular instance, select it from the list.

Click To expand
Figure 6.10: The Windows XP taskbar groups applications of the same type into groups to prevent the taskbar from becoming overcrowded as the number of active applications grows

By default, the Windows XP taskbar is displayed at the bottom of the Windows XP Professional desktop. However, unless it is locked to this location, it can be easily moved to the top of the desktop or to the right or left side of the desktop using the following procedure.

  1. Move the pointer over an unused portion of the taskbar.

  2. Click and hold down the left mouse button.

  3. Move the pointer to one of the other three sides of the desktop and release the left mouse button. The taskbar appears in its new location.

As more different applications are started, their icons are added to the taskbar. When space becomes tight, icons are reduced in size. In the event that too many different types of applications are opened at once, making it difficult to find applications on the taskbar, the taskbar can be resized as outlined in the following procedure.

  1. Move the pointer to the edge of the taskbar.

  2. Click and hold down the left mouse and drag the pointer outward toward the middle of the desktop to expand it or inward toward the edge of the desktop display to reduce its size.

  3. Release the left mouse button.

Expanding the size of the taskbar for users who work with a number of different applications at the same time can have a big impact on user efficiency.

Configuring Taskbar Properties

Administrators should configure the taskbar based on the level of computer experience that users have. For example, inexperienced users may accidentally move or hide their taskbar and not know how to restore it, whereas experienced users may prefer to have the taskbar hidden when not in use. Table 6.3 outlines the settings that can be used to configure the behavior of the Windows XP taskbar.

Table 6.3: Windows XP Taskbar Configuration Settings
Taskbar Setting | Description
Lock the taskbar | Locks the taskbar in its current location to prevent it from accidentally being moved or resized.
Auto-hide the taskbar | Hides the taskbar when it is not being used. To redisplay the taskbar, move the pointer over the area where it resides.
Keep the taskbar on top of other windows | Keeps Windows applications from overlaying or hiding the taskbar.
Group similar taskbar buttons | Controls whether applications of the same type are grouped on the taskbar to save space and improve organization.
Show Quick Launch | Enables the Quick Launch toolbar and places it on the taskbar.
Show the clock | Displays the current time in the taskbar's notification area.
Hide inactive icons | Hides inactive icons located in the notification area.

The following procedure outlines the steps involved in configuring the Windows XP taskbar.

  1. Right-click on an unused portion of the taskbar and select Properties. The Taskbar and Start Menu Properties dialog appears. By default, the Taskbar property sheet is automatically selected, as shown in Figure 6.11.

    Click To expand
    Figure 6.11: Configuring the Windows XP taskbar

  2. The Taskbar property sheet is organized into two sections. The Taskbar appearance section contains settings that configure taskbar features and behavior. The Notification area section contains settings that configure the appearance of icons located in the notification area. Select the desired options.

  3. Click on Customize to configure settings for the notification area, as explained in "Working with the Notification Area" later in this chapter.

  4. Click on OK to close the Taskbar and Start Menu Properties dialog.

Configuring Taskbar Toolbars

The Windows XP Professional taskbar supports a number of predefined toolbars, which can be enabled and configured to provide additional functionality. Table 6.4 provides an overview of toolbars supported by Windows XP Professional.

Table 6.4: Windows XP Taskbar Configuration Settings
Toolbar | Description
Quick Launch | Provides single-click access to applications whose shortcuts have been placed on the toolbar
Address | Displays a browser URL field, allowing the user to launch the default Internet browser and load Web pages
Links | Provides a list of links to Web pages for quick retrieval
Desktop | Displays an icon for each desktop shortcut and provides single-click access to these shortcuts

The following procedure outlines the steps involved in enabling or disabling a toolbar.

  1. Right-click on an unused portion of the taskbar and select Toolbars.

  2. A list of toolbars appears. If a check mark appears to the left of a toolbar entry, the toolbar is already enabled. To enable or disable the toolbar, select it.

  3. The selected toolbar appears or disappears from the taskbar depending on the action that was performed.

Except for the Quick Launch toolbar, the taskbar displays toolbar names whenever they are enabled. Depending on the number of enabled toolbars and the number of open applications, it may be preferable to prevent the display of the toolbar names. The display of toolbar names is configured on a toolbar-by-toolbar basis. To disable the display of a given toolbar's title, right-click on its name and select Show Title. To later redisplay its title, right-click on the edge of the toolbar and select Show Title again. Similarly, the names of the applications or folders stored in a toolbar can be displayed or hidden by toggling the Show Text setting.

When a toolbar is no longer needed, it can be removed. To do so, right-click on the toolbar and select Close Toolbar. The Confirm Toolbar Close dialog appears. Click on OK to confirm its removal from the taskbar.

Setting Up the Quick Launch Toolbar

The Quick Launch toolbar is used to provide single-click access to applications that users work with regularly. This enables users to start their applications without having to go through the Start menu. By default, the following applications are included on the Quick Launch toolbar.

  • Windows Desktop

  • Internet Explorer

  • Outlook Express

  • Windows Media Player

The following procedure outlines the steps involved in adding new shortcuts to the Quick Launch toolbar.

  1. Right-click on an unused portion of the Quick Launch toolbar and click on Open Folder. The Quick Launch folder appears, as shown in Figure 6.12.

    Click To expand
    Figure 6.12: Configuring the taskbar's Quick Launch toolbar

  2. Click on the File menu, select New, and then click on Shortcut.

  3. Type the name and path of the application or click on Browse to search for it and then click on Next.

  4. Type a name for the shortcut and click on Finish.

Tip

Another way to add shortcuts to the Quick Launch toolbar is to drag and drop the shortcut onto the toolbar.

To delete a shortcut from the Quick Launch toolbar, right-click on it and select the Delete option. To change its location on the toolbar, place the pointer over a shortcut, press and hold the left mouse button, and drag the shortcut to a new location.

Setting Up the Address Toolbar

Enabling the Address toolbar, as shown in Figure 6.13, places an address text field on the taskbar that allows the user to enter a Web page's URL. When clicked, the green Go button to the right of the URL field opens the user's default Internet browser and loads the specified Web page. This toolbar speeds access to the Internet by saving the user the trouble of first starting an Internet browser.

Click To expand
Figure 6.13: Adding the Address toolbar to the Windows XP taskbar

Setting Up the Links Toolbar

Enabling the Links toolbar, as shown in Figure 6.14, displays the links stored in the user's Internet Explorer Links folder. This folder is found in Internet Explorer under the Favorites menu. Clicking on a link opens the user's default Internet browser and loads the URL associated with the link.

Click To expand
Figure 6.14: Adding the Links toolbar to the Windows XP taskbar

Setting Up the Desktop Toolbar

Enabling the Desktop toolbar, as shown in Figure 6.15, displays all of the shortcuts stored on the user's desktop. In addition, the following list of shortcuts is also displayed.

  • My Documents

  • My Computer

  • My Network Places

  • Recycle Bin

Figure 6.15: Adding the Desktop toolbar to the Windows XP taskbar

This toolbar provides single-click access to desktop shortcuts even when the desktop is cluttered and they cannot otherwise be seen.

Creating Custom Toolbars

In addition to Windows XP's collection of predefined toolbars, Windows XP allows new toolbars to be created. This task is accomplished by creating a new folder, placing shortcuts to applications within it, and then specifying the folder as the source for the new toolbar. The taskbar will then display a new toolbar, the contents of which will be the shortcuts located in the folder.

The following procedure outlines the steps required to create a new custom toolbar.

  1. Use Windows Explorer to create a new folder. Copy shortcuts for the applications that are to appear on the custom toolbar into the folder.

  2. Right-click on an unused portion of the Windows XP taskbar, click on Toolbars, and then select New toolbar. The New Toolbar dialog appears, as shown in Figure 6.16.

    Figure 6.16: Creating a new custom toolbar

  3. Specify the location of the folder created in step 1 and click on OK.

  4. The new custom folder is displayed on the Windows taskbar, as demonstrated in Figure 6.17.

    Figure 6.17: Viewing the contents of the newly created custom toolbar

The custom toolbar will now appear in the list of available toolbars whenever they are displayed by right-clicking on the taskbar and selecting Toolbars. Unlike other toolbars, which remain on the toolbar list after they have been removed from the taskbars, custom toolbars are completely removed from the list when they are removed from the taskbar and can only be added back by recreating them.

Working with the Notification Area

The taskbar's notification area is used to display icons for applications that are automatically started by Windows XP Professional. Many applications add icons to the notification area when they are installed to provide quick access to application functionality. Windows XP also displays a great deal of information using the notification area. For example, the notification area display messages from utilities such as:

  • Automatic Update. Messages appear whenever new updates are available from Microsoft.

  • Desktop Cleanup. The user is regularly prompted to allow the utility to move desktop shortcuts that have not been used recently to a desktop folder to reduce clutter.

Windows XP places icons in the notification area that display other types of information, such as network connectivity status or CPU usage when the Task Manager utility is running. In addition, icons may be displayed that provide control over speaker and volume control. Windows XP attempts to reduce the amount of space taken up by the notification area by hiding icons that have been inactive for a while. When this happens, the chevron (<) character appears on the left-hand side of the notification area. Clicking on it expands the notification area and shows all its icons.

Placing the pointer over icons in the notification area displays a screen tip that shows the name of the application to which the icon is associated. Double-clicking on the icon usually displays the application or a component of the application. Right-clicking on an icon usually displays a menu with options that can be used to configure and manage the application. In addition to the controls that the applications assign to each icon in the notification area, Windows XP provides global controls over all the icons stored there. The following procedure outlines the steps involved in configuring Windows XP's control over notification area icons.

  1. Right-click on an unused portion of the taskbar and select Properties. The Taskbar and Start Menu Properties dialog appears. By default, the Taskbar property sheet is automatically selected.

  2. Click on the Customize button, located in the notification area section at the bottom of the property sheet. The Customize Notifications dialog appears, as shown in Figure 6.18.

    Click To expand
    Figure 6.18: Customizing the display of notification area icons

  3. Information about the icons located in the notification area is displayed in two columns, as outlined below.

    • Name. The name of the application associated with the icon.

    • Behavior. The currently configured application's behavior.

      Application behavior settings include:

      • Hide when inactive

      • Always hide

      • Always show

      Behavior settings are changed by clicking on the setting and selecting a new setting from the drop-down list that appears. Select behavior settings for icons as desired. Alternatively, click on Restore Defaults to restore the notification area's default icon behavior settings.

  4. Click on OK to close the Customize Notifications dialog.

  5. Click on OK to close the Taskbar and Start Menu Properties dialog.


Configuring the My Documents Folder

Windows XP Professional automatically assigns each user a My Documents folder, which is located in \Documents and Settings\username\My Documents. Administrators should encourage users to store all their files in their individual My Document folders. By requiring all users to save their data in this fashion, administrators create a centralized location on each user's computer for file storage. This makes locating and backing up user data a lot simpler.

If the My Documents folder is located on an NTFS (New Technology File System) formatted partition or volume, then by default only the user (and administrators) can access the contents of the user's My Documents folder. However, if the My Documents folder is located on a partition or volume formatted with FAT or FAAT32, it is accessible to all users of the computer.

To better manage the storage of all users' My Documents folders, administrators can move their My Documents folders to a shared folder on a network computer to which users have read and write access. This makes the backup and restoration of user data much easier. The following procedure outlines the steps involved in moving the My Documents folder to a network computer.

  1. Create a shared folder on a disk drive formatted with NTFS on a network computer.

  2. Create a subfolder for each user and ensure that each user has read and write access to the folder.

  3. At the user's computer, click on Start, right-click on My Documents, and select Properties. The My Documents properties dialog appears, as shown in Figure 6.19.

    Click To expand
    Figure 6.19: Changing the location of the user's My Document folder

  4. By default, the Target property sheet is selected. To move the My Documents folder, click on Move. This opens the Select a Destination folder, which provides an Internet Explorer view of the local computer and My Network Places. Locate the shared folder that has been set up to hold the user's My Documents folder and click on OK.

    Note

    For instructions on how to create shared folders and apply share permissions, refer to Chapter 19, "Printer and Disk Sharing." For information about how to apply NTFS security permission to folders, refer to Chapter 9, "Security Administration."

  5. Click on OK to close the My Documents Properties folder.

    Tip

    The My Documents folder can easily be restored to its original location at a later date by opening the My Document Properties folder and clicking on Restore Default.


Managing User Profiles

Windows XP Professional requires that every user has his or her own profile in order to be able to log in and use the computer. Profiles store settings that determine the user's working environment. This includes settings that affect Start menu and taskbar configuration. Administrators can affect the user's profile in a number of ways, including:

  • Establishing roaming profiles

  • Creating a mandatory profile

  • Restricting user profiles using Group Policy

Setting Up a Roaming Profile

A roaming profile follows the user regardless of which Windows XP Professional computer he or she logs on to. This provides users with a consistent configuration wherever they go. A roaming user profile is established when the administrator stores the user's profile in a shared folder on a network computer to which the user has read and write access. When the user logs in to Windows XP Professional, the user's profile is copied from the shared folder and loaded on the local computer. Any changes that the user makes are later stored in the user's profile back on the shared network folder when the user logs off.

User accounts can be created and managed using the Local Users and Groups extension on the Computer Management console. Figure 6.20 shows the profile property sheet on the Properties dialog for a typical user account. In this example, the location for the roaming profile is specified as \\FileSvr\Profile\Molly. User profiles are named ntuser.dat and are stored as hidden files.

Click To expand
Figure 6.20: Configuring a roaming user profile
Note

For information on the creation and configuration of user accounts refer to Chapter 9, "Security Administration."

Setting Up a Mandatory User Profile

A mandatory user profile is one that is configured by the administrator and is assigned to the user, which the user is not able to modify. A mandatory user profile provides administrators with a tool for enforcing a standardized user desktop and Start menu.

To create a mandatory profile, the administrator logs on as a regular user, customizes the Windows XP desktop and Start menu as required, and then saves the settings by logging off. The administrator then logs back on as an administrator and renames the profile that was just created from ntuser.dat to ntuser.man. The ntuser.man file can then be copied to each user's profile folder and assigned security permissions that allow users to read but not to change the file. This allows Windows XP to access and download the user's profile during login while preventing any changes that may have been made by the user from being saved at logoff.

Mandatory user profiles can be stored either on the local computer or in a shared folder on a network computer.

Controlling User Profiles Using Group Policy

Using Local Group Policy or Group Policy applied by Active Directory on Windows networks, administrators can configure policies that restrict the user's working environment, including the Start menu and taskbar. Group Policy settings always override profile settings. For example, the Prevent Changes to Taskbar and Start Menu Settings policy prevents any users from making any changes to the Windows XP Start menu and taskbar. Examples of other policies include policies that prevent the My Documents, My Pictures, and My Music folders from appearing on the Start menu. In addition, there are policies that control taskbar toolbars and the notification area.

Note

For information on the application of Group Policy, refer to Chapter 9, "Security Administration."


Chapter 7: Configuring Desktop Settings

Overview

The Windows XP Professional desktop is the area on which all Windows objects are opened. Administrators are often called upon to assist users in configuring their desktops. In tightly managed corporate environments, administrators may be required to create and deploy a standard desktop to all users. Like the Start menu and taskbar, changes made to the users' desktop are stored in their individual profiles.

Desktop configuration involves the modification of display settings. Display settings affect everything from display color and resolution to the application of themes, which specify a collection of settings that affect the look and appearance of windows, fonts, icons, and other Windows features.

Another important component of desktop management is the creation and configuration of desktop shortcuts, which can be used to provide users with quick access to the applications and folders that they work with most often. Administrators can also assist users by creating shortcuts to folders stored on centralized network servers, allowing users to store and retrieve their files on computers that are regularly backed up.


Administering the Windows XP Professional Desktop

The appearance of the Windows XP Professional desktop is controlled by display properties that are stored in the Windows registry. To make modification of these settings easy, Windows XP Professional provides the Appearance and Themes folder on the Window XP Control Panel, as shown in Figure 7.1.

Click To expand
Figure 7.1: Administering desktop appearance using the Appearance and Themes folder

The top portion of the Appearance and Themes folder displays a list of four commonly performed tasks, which include:

  • Change the computer's theme

  • Change the desktop background

  • Choose a screen saver

  • Change the screen resolution

Selecting any of these tasks opens the Display Properties dialog and displays a property sheet designed to accomplish the selected task. In addition, the bottom section of the Appearance and Themes folder displays links to the following resources:

  • Display.Opens the Display Properties dialog where most desktop configuration is performed

  • Taskbar and Start Menu.Opens the Taskbar and Start Menu Properties dialog

  • Folder Options.Opens the Folder Options dialog where folder configuration options are configured

However, the most common and convenient way to modify display properties is to access them directly from the Windows XP desktop, as outlined by the following procedure.

  1. Right-click on an open area of the Windows XP Professional desktop.

  2. Select Properties.

  3. The Display Properties dialog appears.

The Windows XP Display Properties dialog configures a number of desktop settings that affect the overall appearance and functionality of the desktop. These settings include:

  • The desktop background

  • The screen saver

  • Monitor power settings

  • Windows settings

  • Button settings

  • Colors

  • Desktop icons

  • Configuration of the Desktop Cleanup wizard

  • Fonts

  • Resolution

  • Color quality

Deploying a Standard Desktop

By default, users are permitted to customize their own desktops. However, administrators can establish a mandatory user desktop configuration using mandatory profiles or Group Policy. This allows for the implementation and deployment of a standard desktop to all users in a corporate environment. By deploying a standard desktop, administrators provide a level of consistency that makes the administration of Windows XP Professional easier and more efficient.

A standard desktop also helps protect users from themselves by preventing them from accidentally deleting desktop icons and shortcuts that they may need but may not know how to configure or reconfigure should they accidentally alter their desktop settings. Of course, not all users appreciate this approach. Experienced and technically savvy users will want control over their working environment and may argue that without it, their productivity is compromised. Ultimately, this decision comes down to corporate policy and philosophy, and administrators need to be prepared to support whatever set of rules the company decides upon.

Mandatory profiles and Group Policy allow users to temporarily make changes to their desktop settings for the current working session but prevent users from saving and reusing these settings the next time that they log in.

Note

For more information on the use of mandatory profiles, refer to "Setting Up a Mandatory User Profile" in Chapter 6, "Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder." To learn more about Group Policy, refer to "Controlling User Profiles Using Group Policy" in Chapter 6, "Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder" and "Group Policy" in Chapter 9, "Security Administration."

Improving User Efficiency with Shortcuts

A shortcut is a link to another object that, when opened, accesses the object. Windows allows a number of different types of shortcuts to be set up. The types of shortcuts supported by Windows XP Professional include:

  • Application shortcuts

  • Folder shortcuts

  • URL shortcuts

Note

Shortcuts are also used to configure other Windows XP resources, such as the Start menu and the Quick Launch toolbar. To learn more about how to apply shortcuts to these resources, refer to Chapter 6, "Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder."


Configuring the Windows XP Display

The Windows XP Display Properties dialog is organized into five property sheets, each of which configures a related collection of display options and performs specific display-related tasks. These property sheets include:

  • Themes.A stored collection of colors, icons, sounds, fonts, and a screen saver and desktop background that can be applied to Windows XP Professional

  • Desktop.Provides the ability to select from different desktop backgrounds and to configure the display of desktop icons and Web content

  • Screen Saver.Provides the ability to enable a desktop screen saver and to add password protection to the screen saver, as well as the ability to configure monitor power settings

  • Appearance.Provides the ability to configures window, button, color, and font settings

  • Settings.Provides control over screen resolution and color setting as well as the ability to manage video adapter and monitor property settings

Applying Desktop Themes

The Themes property sheet on the Windows XP Display Properties dialog provides the ability to select a theme. A theme is a collection of configuration settings that affect the overall appearance of Windows XP Professional. These settings include:

  • Colors used to display windows

  • Appearance of Windows icons

  • Sounds played when specific events occur

  • Style and size of fonts

  • Desktop background

  • Screen saver

The following procedure outlines the steps involved in selecting a Windows theme.

  1. Right-click on the Windows XP Desktop in a clear area and select Properties. The Display Properties dialog appears.

  2. Select the Themes property sheet, as shown in Figure 7.2.

    Click To expand
    Figure 7.2: Selecting a desktop theme

  3. Select a theme from the Theme drop-down list. The selected theme will be displayed in the Sample section of the Themes dialog for review.

  4. Click on OK.

Table 7.1 lists the entries that are available by default in the Theme drop-down list.

Table 7.1: Windows XP Themes
Theme | Description
My Current Theme | The current configuration of icons, colors, fonts, and sounds
Windows XP | The default Windows XP theme
Windows Classic | A theme that provides Windows XP with the look and feel of previous Windows operating systems
More themes online | A link to the Microsoft Plus! for Windows XP Web page where additional themes can be downloaded and saved on the computer
Browse | Displays the Open Theme dialog, which can be used to locate and install other theme files

Windows XP Professional also allows for the creation of custom themes. To create a custom theme, simply make any desired changes to the Windows XP desktop using the property sheets on the Display Properties dialog and then click on Save As on the Themes property sheet. Type a descriptive name for the new theme and click on Save. The new theme will be saved and displayed as an option in the Theme drop-down list.

Note

Themes are stored as files with a .theme file extension. By default, Windows XP stores themes in \Windows\Resources\Themes. When a user saves his or her own custom theme, it is stored by default in the user's My Documents folder.

Similarly, themes can be deleted by selecting them from the drop-down list and clicking on Delete.

Customizing the Windows XP Desktop

The Desktop property sheet on the Windows XP Display Properties dialog, shown in Figure 7.3, provides the ability to select a desktop background. Windows XP Professional provides a large collection of backgrounds to choose from. As each is selected, a preview is displayed in the top portion of the Desktop property sheet.

Click To expand
Figure 7.3: Configuring the Windows XP desktop background

Desktop images can be applied to the desktop in three different ways by clicking on the Position drop-down list and selecting one of the following options.

  • Center.Centers the image in the middle of the Windows XP desktop

  • Tile.Copies or tiles the image as many times as possible on the Windows XP desktop

  • Stretch.Stretches the image, if necessary, until it fills the entire Windows XP desktop

In addition to the predefined collection of Windows desktop images, any image saved to the user's My Pictures folder can be used as a background picture. To use an image stored in this folder, click on the Browse button. The My Pictures folder opens. Select an image and click on Open.

In addition to these background images, Windows XP can display a desktop color instead of a background image. To display a background color, select the None entry in the Background list and then click on the Color drop-down list. A list of 20 predefined background colors is displayed. Select a color to use it as the desktop background.

At the bottom of the Color drop-down list is a button that opens the Color dialog, shown in Figure 7.4, which allows a custom color to be configured and selected.

Click To expand
Figure 7.4: Selecting a custom background color

Configuring and Maintaining Desktop Shortcuts

The Customize Desktop button at the bottom of the Desktop property sheet opens the Desktop Items dialog, which consists of two Properties sheets. The General property sheet provides the ability to configure special desktop shortcuts as well as the icons that represent them. In addition, this property sheet provides the ability to configure the Desktop Cleanup Wizard and to run the wizard manually. This wizard assists the user by automatically moving any unused desktop shortcuts to a special folder on the Windows XP desktop. Detailed instructions on how to configure the options found on this property sheet are available later in this chapter in "Working with Special Shortcuts" and "Working with the Desktop Cleanup Wizard."

Adding Web Content to the Windows XP Desktop

The second property sheet on the Desktop Items dialog is the Web property sheet as shown in Figure 7.5. This property sheet provides the ability to use a Web page as the desktop background.

Click To expand
Figure 7.5: Adding Web content to the Windows XP desktop

The Web pages section provides a list of Web pages previously used as desktop backgrounds. The My Current Home Page entry can be selected to choose the user's current home page as the desktop background. Select an entry from this list to reapply it.

The following procedure outlines the steps involved in specifying a Web page as the desktop background.

  1. Click on New. The New Desktop Item wizard starts, as shown in Figure 7.6.

    Click To expand
    Figure 7.6: Specifying a Web page to be used as the desktop's background

  2. There are three ways to specify a Web page, as shown below:

    • Click on Visit Gallery to add an item from the Microsoft Desktop Gallery

    • Type a URL in the Location field

    • Click on Browse and specify the location of an HTML page stored on the computer or local area network.

  3. Once a Web page has been specified, click on OK.

To delete a Web page from the Web pages list, select it and click on Delete. To view and configure the properties associated with a Web page, select it and click on Properties. Click on Synchronize to force an immediate resynchronization of the content of the desktop with its associated Web page. Select the Lock desktop items option at the bottom of the Web property sheet to lock all Web content in place and prevent it from accidentally being moved.

Configuring Web Page Properties for Desktop Backgrounds

The Properties dialog associated with a desktop background Web page displays information about the Web page. It provides the ability to configure a schedule for synchronizing the desktop's content and to specify whether any links located on the desktop should be automatically downloaded. The following procedure outlines the steps involved in accessing the properties associated with a desktop background Web page.

  1. Right-click on the Windows XP desktop and select Properties. The Display Properties dialog appears.

  2. Select the Desktop property sheet.

  3. Click on Customize Desktop.

  4. Select the Web property sheet.

  5. Select a Web page from the Web pages list and click on Properties. The Web page's Properties dialog appears.

The Web page's Properties dialog is organized into three property sheets. The Web Documents property sheet, shown in Figure 7.7, displays information about the Web page and has just one configurable option. The Make this page available offline option is selected by default to ensure that the Web page can display information from this Web page even when the computer is not connected to the Internet.

Click To expand
Figure 7.7: Viewing Web Document properties

The Schedule property sheet, shown in Figure 7.8, contains the following pair of options, which determine when content on the desktop is synchronized with the Web page.

  • Only when I choose Synchronize from the Tools menu

  • Using the following schedule(s)

Click To expand
Figure 7.8: Specifying when Windows XP should synchronize the desktop content with the Web page

Selecting the second option opens the New Schedule dialog, as shown in Figure 7.9. It allows specification of the interval (in days) and the time that Windows XP should synchronize desktop content with the Web page. Type a descriptive name for the schedule and, optionally, select the option to allow Windows XP to connect to the Internet if it is not already connected. Click on OK. Additional schedules can be set up, edited, or removed as necessary.

Figure 7.9: Setting up a synchronization schedule

The Download property sheet, shown in Figure 7.10, provides the ability to specify how many links deep into the Web page Windows XP should download contents. This includes the ability to download links outside of the Web site and to limit the amount of disk space that can be used to store Web page content. Clicking on the Advanced button opens the Advanced Download Options dialog, shown in Figure 7.11, which is used to specify what contents from the Web page are downloaded.

Click To expand
Figure 7.10: Determining how many links deep to download for the specified Web page

Figure 7.11: Specifying the types of content to download

The Download property sheet can also be used to send a notification e-mail to an e-mail address or mail server whenever the content on the Web page changes.

If the Web site requires that a username and password be provided in order to gain access, click on Login. This displays the Login Options dialog shown in Figure 7.12.

Click To expand
Figure 7.12: Provide the username and password required to gain access to the Web

Setting Up a Screen Saver

Screen savers are programs that become active after a specified period of user inactivity. They were originally designed to prevent monitor burn-in, which used to occur on older monitors when the same image was displayed for long periods of time. Newer monitor technology has eliminated the burn-in issue, but screen savers still remain popular. Users often enjoy looking at them and may consider them to be art or entertainment. Administrators have an entirely different use for them; they use screen savers as an additional form of security.

By applying a password to a screen saver, the administrator forces users to reauthenticate to Windows XP when they return and want to resume work. By locking the computer in this manner, it becomes more difficult for passersby to steal access to a user's computer, thus helping to protect personal and corporate data.

Windows XP Professional ships with a large collection of screen savers. Unfortunately, the screen savers that generally attract most users are the 3D ones. The bad thing about these screen savers is that they are graphically intensive and consume a great deal of memory and processor time when they execute. In fact, these screen savers can consume up to 100 percent of all available processor resources. This also causes the computer to consume additional power. If the computer shares its disk space or printer with other computers on a network, these screen savers slow down the computer's ability to service network requests. In addition, any batch processing normally performed when the user is not using the computer takes longer to run. So unless the computer is completely idle when a local user is not using it, it is best to avoid using the 3D screen savers.

The following procedure outlines the steps involved in setting up a Windows XP screen saver.

  1. Right-click on the Windows XP desktop and select Properties. The Display Properties dialog appears.

  2. Select the Screen Saver property sheet, as shown in Figure 7.13.

    Click To expand
    Figure 7.13: Setting up a Windows XP screen saver

  3. Select a screen saver from the drop-down list in the Screen saver section. A preview of the screen saver will be displayed in the graphic monitor at the top of the Screen Saver property sheet.

  4. Enter a value in the Wait field to specify the number of minutes of inactivity that must pass before the screen saver begins executing.

  5. Select the On resume, password protect option to enable password protection.

  6. Some screen savers have settings that control their execution. If the Settings button is enabled, click on it, as demonstrated in Figure 7.14.

    Figure 7.14: Some screen savers have settings that can be configured to specify their behavior

  7. Configure these settings as desired on click on OK.

    Tip

    If the Screen Saver Settings dialog displays an entry for complexity or other similar options, changing these settings to a lower value may reduce memory and CPU usage.

  8. Click on Preview to see how the screen saver will appear when run and then press any key to return to the Screen Saver property sheet.

  9. Click on OK.

The Power button at the bottom of the Screen Saver property sheet displays the Power Options Properties dialog, where power schemes, alarms, and other energy saver settings can be configured.

Note

For information about how to work with the energy saver settings found on the Power Options Properties dialog, refer to "Power Management" in Chapter 13, "Performance Tuning."

Configuring Appearance Options

The Appearance property sheet on the Windows XP Display Properties dialog, shown in Figure 7.15, provides the ability to select appearance settings that control the way the following display elements look:

  • Windows

  • Buttons

  • Colors

  • Fonts

Click To expand
Figure 7.15: Specifying the appearance of Windows, buttons, colors, and fonts

The following procedure outlines the steps involved in configuring appearance settings.

  1. Right-click on the Windows XP desktop and select Properties. The Display Properties dialog appears.

  2. Select the Appearance property sheet.

  3. Use the Windows and buttons drop-down list to specify the appearance of Windows and buttons.

  4. Use the Color scheme drop-down list to specify the collection of colors to be used when displaying Windows and buttons.

  5. Use the Font size drop-down list to specify the font size to be displayed on Windows and buttons.

  6. As each option is selected from one of the drop-down lists, a preview is displayed in the top portion of the Desktop property sheet, providing an indication of the selection's affect on the way things will appear in Windows XP. Once the appearance has been set as desired, click on OK.

The Appearance property sheet also provides links to two additional dialogs where appearance effects and other advanced settings are administered.

Note

Each additional effect that is configured consumes additional memory and processor performance. Turning off some of the available effects may improve performance, especially on a computer with limited resources.

The following procedure outlines the steps involved in configuring appearance effects.

  1. Right-click on the Windows XP desktop and select Properties. The Display Properties dialog appears.

  2. Select the Appearance property sheet.

  3. Click on the Effects button located in the lower right-hand portion of the Appearance property sheet. The Effects dialog opens as shown in Figure 7.16.

    Click To expand
    Figure 7.16: Specify Windows visual effects

  4. The following effects options can be enabled or disabled:

    • Use the following transition effect for menus and ToolTips

    • Use the following method to smooth edges of screen fonts

    • Use large icons

    • Show shadows under menus

    • Show window contents while dragging

    • Hide underlined letters for keyboard navigation until I press the Alt key

    The options available for the transition effect for menus and ToolTips include Fade Effect or Scroll Effect. The available options for smoothing the edges of screen fonts are Standard and Clear Type.

    Select the desired options and click on OK to close the Effects dialog.

  5. Click on OK to close the Display Properties dialog.

Note

Clear Type is a display technology that triples the horizontal resolution on LCD screens with a digital interface making it easier to view. It is not intended for use on CRTs.

The following procedure outlines the steps involved in configuring advanced appearance settings.

  1. Right-click on the Windows XP desktop and select Properties. The Display Properties dialog appears.

  2. Select the Appearance property sheet.

  3. Click on the Advanced button located in the lower right-hand portion of the Appearance property sheet. The Advanced Appearance dialog appears, as shown in Figure 7.17.

    Click To expand
    Figure 7.17: Setting advanced appearance settings

  4. Select a specific Windows item from the Item drop-down list. The entry fields to the right and underneath the selected item are enabled or disabled based on how they apply to the selected item. Change the configuration settings as allowed for the item. Changes made to the selected item are reflected in the graphic displayed in the upper half of the dialog, demonstrating the effects caused by the configuration change.

  5. Repeat step 4 to configure as many Windows items as necessary.

  6. Click on OK to close the Advanced Appearance dialog.

  7. Click on OK to close the Display Properties dialog.

Setting Resolution and Color

The Settings property sheet on the Windows XP Display Properties dialog, shown in Figure 7.18, provides the ability to configure display resolution and color depth. Windows XP Professional supports a minimum display resolution of 800 × 600. Unlike all earlier versions of Windows, it does not support a 480 × 640 pixel resolution option. The ranges of resolution and color options that are available depend on the computer's video adapter. Generally speaking, the upper limits of one setting have an impact on the other setting, meaning that the highest resolution setting can only be implemented by reducing the color setting and vice versa.

Click To expand
Figure 7.18: Configuring Windows XP display resolution and color settings

The following procedure outlines the steps involved in changing the computer's resolution and color settings.

  1. Right-click on the Windows XP desktop and select Properties. The Display Properties dialog appears.

  2. Select the Settings property sheet, as shown in Figure 7.18.

  3. To change screen resolution, move the slider bar in the Screen resolution section to the left or right. Moving the slider to the left decreases the resolution setting, and moving it to the right has the opposite effect. If the slider bar will not move or only offers limited movement, the computer's video card does not support higher resolutions.

  4. To change screen color depth, select an entry from the Color quality drop-down list.

  5. Click on OK to close the Display Properties dialog.

Note

Resolution and color settings can also be impacted if Windows XP Professional has installed the wrong video driver for the computer's video card or if a generic video driver has been installed. To avoid having the resolution and color display options artificially limited in this fashion, verify that the video adapter listed on the Monitor and Drivers Property dialog matches the video adapter installed on the computer. Also visit the Web site of the video adapter manufacturer and make sure that the most current video driver has been installed.

At the bottom of the Settings property sheet are two buttons. The Troubleshoot button opens the Windows XP Help and Support Center and displays the Video Display troubleshooter. Clicking on the Advanced button opens the Monitor and Drivers Property dialog. This dialog contains a number of property sheets that provide the ability to view and change video adapter and monitor property settings.


Working with Desktop Shortcuts

Desktop shortcuts provide quick access to resources frequently accessed by users. By placing shortcuts on the Windows XP desktop, administrators can help users improve their productivity. Shortcuts provide users with double-click access to applications and other resources. They allow the user to bypass the Start menu and are a great way of accessing applications that may be several clicks deep in the Start menu.

Shortcuts can also provide easy access to folders, which contain applications or data that users often work with. For example, if all users need to access and use a common set of applications on a regular basis, administrators may find that creating a desktop shortcut called Standard Applications with links to these applications will be of great help to their users.

Creating Application Shortcuts

Desktop shortcuts in Windows XP Professional can be created using a number of techniques. For example, the following procedure outlines the steps involved in creating a desktop shortcut using the Create Shortcut Wizard.

  1. Right-click on an open area of the Windows XP desktop, select New, and then Shortcut. The Create Shortcut Wizard appears, as shown in Figure 7.19.

  2. Type the name and path of the application or click on Browse to locate it. Once specified, click on Next.

  3. Type a name for the shortcut and click on Finish.

Click To expand
Figure 7.19: Creating a desktop shortcut

When a shortcut is no longer needed, it can be removed from the Windows XP desktop, as outlined in the following procedure.

  1. Right-click on the shortcut and select Delete.

  2. Click on Yes when prompted for confirmation.

Windows XP Professional provides a number of other options for creating desktop shortcuts. These techniques include:

  • Moving the pointer over an icon in a Windows folder and right-clicking on it, holding the right mouse button while dragging the icon to the Windows desktop, releasing the right mouse button, and selecting Create Shortcut

  • Moving the pointer over an icon in the Quick Launch toolbar, right-clicking and holding the right mouse button while dragging the icon to the Windows desktop, and then releasing the right mouse button and selecting Create Shortcut

  • Dragging and dropping an icon from the Windows XP Start menu to the desktop

  • Right-clicking on an application icon, selecting copy, and then rightclicking on an open area of the Windows XP desktop and selecting Past Shortcut

Modifying Shortcut Properties

Like other Windows objects, shortcuts have their own set of properties, as demonstrated in Figure 7.20. These properties can be modified by right-clicking on the shortcut and selecting Properties. This opens the shortcut's Properties dialog and by default displays the Shortcut property sheet. Any of the following application shortcut properties can be modified.

  • Target.The name and path of the application to which the shortcut points

  • Start in.The location of the folder that contains the application or that contains files that may be needed by the application

  • Shortcut key.Specifies a keyboard keystroke sequence, such as Alt+T, that can be used to start the application

  • Run.Specifies whether the application should be opened in a normal window or whether it should be started in a minimized or maximized state

  • Comment.A descriptive statement that provides additional information about the shortcut

Click To expand
Figure 7.20: Examining the properties associated with an application shortcut

At the bottom of the Shortcut property sheet are icons that provide the following functionality.

  • Find Target.Opens the folder that contains the application to which the shortcut points

  • Change Icon.Displays the Change Icon dialog, allowing a different icon to be chosen to represent the shortcut

  • Advanced.Displays the Advanced Properties

Advanced shortcut properties allow the shortcut to start its associated application in two different ways, as shown in Figure 7.21.

Click To expand
Figure 7.21: Modifying the manner in which the shortcut opens its associated application

Selecting Run with different credentials causes the Run As dialog, shown in Figure 7.22, to appear when the shortcut is opened. This dialog allows the user to run the application while protecting the computer from viruses, or to run the application as a different user.

Click To expand
Figure 7.22: Configuring a shortcut's advanced properties

The Run in separate memory space option is enabled for all Windows 3.1 applications. Selecting this option runs the application in a separate memory space, thus protecting the rest of the computer from the Windows 3.1 application should it act inappropriately.

Using Shortcuts to Configure Other Windows XP Features

Windows shortcuts are also used as components of the Windows XP Start menu and Quick Launch toolbar. The Windows XP Start menu is made up of a collection of folders, each of which contains shortcuts. Each folder represents a submenu on the Windows XP Start menu. For example, the Start menu itself is a folder that contains other folders, including the All Programs folder. Each folder can contain other folders or shortcuts.

Shortcuts represent menu options on the Start menu and its submenus. Therefore, by adding an application shortcut to the Accessories folder that resides under the All Programs folder, a new application menu option is added to the Accessories submenu.

Shortcuts are also used to configure the Quick Launch toolbar. This toolbar provides single-click access to applications and, when enabled, is located on the Windows XP taskbar.

Note

To learn more about the use of shortcuts on the Windows XP Professional Start menu and Quick Launch toolbar, refer to Chapter 6, "Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder."

Creating Folder Shortcuts

Desktop shortcuts can also provide links to folders. This allows a single shortcut to provide quick access to any number of Windows files and folders that may be located within the target folder. The following procedure outlines the steps involved in creating a desktop shortcut to a Windows folder.

  1. Right-click on an open area of the Windows XP desktop, select New, and then Shortcut. The Create Shortcut Wizard appears.

  2. Type the name and path of the folder or click on Browse to locate it. Once specified, click on Next.

  3. Type a descriptive name for the shortcut and click on Finish.

Creating URL Shortcuts

Desktop shortcuts also provide a quick way to access resources located on the Internet or on a corporate intranet. For example, workers at a corporate help desk might need to access phone numbers or procedures stored on the corporate Web site in order to assist callers. Creating a URL shortcut to the Web pages where this information is stored can thus provide faster customer service.

The following procedure outlines the steps involved in using the Create Shortcut Wizard to create a URL shortcut.

  1. Right-click on an open area of the Windows XP desktop, select New, and then Shortcut. The Create Shortcut Wizard appears.

  2. Type the URL of the Internet site or Web page and click on Next.

  3. Type a descriptive name for the shortcut and click on Finish.

Double-clicking on the shortcut opens the default Internet browser and then loads the specified Web page. Another way to create a desktop shortcut to a URL is to open Internet Explorer, right-click anywhere on the Web page, select Create Shortcut, and then click on OK when prompted to confirm the creation of the shortcut.

Working with Special Shortcuts

In addition to normal shortcuts, Windows XP Professional has four special shortcuts that can be added to the desktop. These shortcuts provide access to the following applications and folders.

  • My Documents

  • My Computer

  • My Network Places

  • Internet Explorer

Using the following procedure, administrators can quickly add any of these shortcuts to the desktop. This can be helpful when initially setting up a user's desktop or when assisting users in restoring a shortcut to one of these resources that they accidentally deleted.

  1. Right-click on an open area of the Windows XP desktop and click on Properties. The Display Properties dialog appears.

  2. Select the Desktop property sheet.

  3. Click on Customize Desktop. The Desktop Items dialog appears.

  4. Select or clear the selection box for any of the icons listed in the Desktop icons section.

  5. Click on OK to close the Desktop Items dialog.

  6. Click on OK to close the Display Properties dialog.

The icon used to represent each of these special desktop shortcuts is displayed just beneath the Desktop icons section. The Recycle Bin shortcut has two different icons. One represents the Recycle Bin when it is empty and the other represents it when it is full. If desired, each of these icons can be changed. The following procedure outlines the steps involved in changing the icon assigned to one of the special shortcuts.

  1. Right-click on an open area of the Windows XP desktop and click on Properties. The Display Properties dialog appears.

  2. Select the Desktop property sheet.

  3. Click on Customize Desktop. The Desktop Items dialog appears.

  4. Select the icons to be changed and click on Change Icon.

  5. The Change Icon dialog appears, as shown in Figure 7.23.

  6. Select a new icon from the available list and click on OK, or to restore an special shortcut's icon back to its default icon, click on Restore Default.

  7. Click on OK to close the Desktop Items dialog.

  8. Click on OK to close the Display Properties dialog.

Figure 7.23: Changing the icon associated with a special desktop shortcut

Working with the Desktop Cleanup Wizard

It does not take many shortcuts to clutter up the Windows XP desktop and make it difficult for users to locate the shortcuts that they use most often. One way to handle this is to train users to delete desktop shortcuts that they no longer need. You can also create a desktop shortcut to a folder and advise users to manually move shortcuts that they seldom use to that folder. The second option keeps shortcuts handy while keeping the desktop manageable.

Another way to assist users in managing their desktop is to enable the Desktop Cleanup Wizard to automatically clean up the desktop using the following procedure.

  1. Right-click on an open area of the Windows XP desktop and click on Properties. The Display Properties dialog appears.

  2. Select the Desktop property sheet.

  3. Click on Customize Desktop. The Desktop Items dialog appears.

  4. Select Run Desktop Cleanup Wizard every 60 days.

  5. Click on OK to close the Desktop Items dialog.

  6. Click on OK to close the Display Properties dialog.

When executed, the Desktop Cleanup Wizard will copy any shortcuts on the user's desktop that have not been used within the last 60 days to a folder named Unused Desktop Shortcuts. The folder resides on the Windows XP desktop. Shortcuts can be restored back to the desktop by dragging and dropping them back to the desktop.

If the Desktop Cleanup Wizard is disabled or if it was unable to execute as scheduled, it can be manually executed, as outlined in the following procedure.

  1. Right-click on an open area of the Windows XP desktop and click on Properties. The Display Properties dialog appears.

  2. Select the Desktop property sheet.

  3. Click on Clean Desktop Now. The Desktop Cleanup Wizard starts.

  4. Click on Next.

  5. A list of desktop shortcuts that have not be accessed within the last 60 days is displayed, as shown in Figure 7.24.

  6. To leave a shortcut on the desktop, clear its selection box.

  7. Click on Next.

  8. The wizard displays a finalized list of the shortcuts that it will move. Click on Finish to approve the list.

  9. If it does not already exist, the Unused Desktop Shortcuts folders is created on the Windows XP desktop and copies of the selected shortcuts are moved into it.

  10. Click on OK to close the Desktop Items dialog.

  11. Click on OK to close the Display Properties dialog.

Click To expand
Figure 7.24: Removing seldom-used shortcuts from the Windows XP desktop


Chapter 8: Configuring Accessibility Features

Highlights

Some users may have vision, hearing, or physical handicaps that inhibit their ability to work with a computer. These handicaps may make working with the mouse or keyboard a challenge. They may also make viewing screen content or hearing Windows sounds difficult. Administrators must be prepared to help these users by configuring Windows XP Professional to help accommodate their special needs.

To assist administrators, Windows XP Professional provides a collection of accessibility options. While the accessibility options included with Windows XP Professional are not as comprehensive as some third-party products, they can be used to effectively improve the computing experience for many disabled users.

Most of the accessibility options provided by Windows XP Professional can be configured by users. However, a few settings require administrative privileges and many users with disabilities, who may be unaware that Windows XP includes accessibility options, may require assistance in the initial setup of Windows XP Professional.


Accessibility Options Overview

Windows XP Professional provides administrators with a collection of tools for assisting disabled users. Most of these tools can be accessed from the WindowsXP Start Menu by clicking on Start/All Programs/Accessories/Accessibility and then selecting an accessibility option. Windows XP's accessibility options include:

  • Accessibility Wizard. This wizard assists in configuring accessibility options by guiding users and administrators through a series of steps.

  • Magnifier. Displays a magnified portion of the screen inside a window for easier viewing.

  • Narrator. Reads text displayed on the screen.

  • On-Screen Keyboard. Displays a graphical keyboard on the screen and allows users to enter keyboard input using their mouse.

  • Utility Manager. Enables and disables the operation of the Magnifier, Narrator, and On-Screen Keyboard accessibility options and determines when they are in effect.

In addition, accessibility options can be configured from the Accessibility Options folder, which can be opened by clicking on the Accessibility Options link on the Windows XP Control Panel. The Accessibility Options folder contains links to the following accessibility options:

  • Magnifier

  • On-Screen Keyboard

  • Accessibility Wizard

In addition, the Accessibility Options folder provides access to the Accessibility Options dialog, where the following groups of settings can be configured.

  • Keyboard. Controls keyboard-related accessibility settings as well as the ability to display extra keyboard help

  • Sound. Configures visual warnings and captions

  • Display. Configures contract and cursor settings

  • Mouse. Configures a keyboard's numeric keypad to function in place of a mouse

  • General. Configures a collection of miscellaneous accessibility settings, including notification and administrative options

Note

This chapter discusses the configuration of accessibility settings within the context of local configuration on the user's computer. However, in a networked environment managed by Active Directory, network administrators can configure and deploy accessibility options using Group Policy.

Applications that display the Designed for Windows logo should automatically adjust their appearance and behavior to accommodate Windows XP's accessibility option settings, helping to ensure a consistent operating environment for disabled users. However, other applications may not provide this level of compatibility with Windows XP's accessory options. In this case, administrators need to find other ways of accommodating disabled users. The accessibility options provided by Windows XP Professional represent a basic level of assistance. To assist users who require advanced assistance, administrators need to turn to third-party hardware and software products.

Note

More information about Microsoft products that support individuals with disabilities can be found at the Microsoft Accessibility Web site located at http://www.microsoft.com/enable.


Using the Accessibility Wizard

The Accessibility Wizard is designed to help establish accessibility settings by providing step-by-step assistance. For example, it can:

  • Set font size

  • Enable the Microsoft magnifier

  • Set scroll bar options

  • Specify Windows border size

  • Specify icon size

  • Set desktop color schemes

  • Configure cursor style

  • Enable visual warnings

  • Enable audio speech

  • Configure mouse settings

  • Turn on keystroke settings

The following procedure outlines the steps involved in using the Accessibility Wizard to configure accessibility settings.

  1. Click on Start/All Programs/Accessories/Accessibility and then select Accessibility Wizard. The Accessibility Wizard opens and displays an introductory message.

  2. Click on Next.

  3. The Text Size screen appears, as shown in Figure 8.1. The following three options are available:

    Click To expand
    Figure 8.1: Configuring text size for vision-impaired users

    • Use usual text size for Windows.

    • Use large window titles and menus.

    • Use Microsoft Magnifier, and large title and menus.

    Each option visually demonstrates the effect of selecting it. Select the appropriate option based on the user's vision requirements and click on Next.

  4. The Display Settings screen appears, providing the following options, as shown in Figure 8.2.

    Click To expand
    Figure 8.2: Configuring display settings using the Accessibility Wizard

    • Change the font size

    • Switch to a lower screen resolution

    • Use Microsoft Magnifier

    • Disable personalized menus

    Select the appropriate options based on the user's vision requirements and click on Next.

  5. The Set Wizard Options screen displays a list of four options that affect vision, hearing, and mobility settings, as listed below.

    • I am blind or have difficulty seeing things on screen

    • I am deaf or have difficulty hearing sounds from the computer

    • I have difficulty using the keyboard or mouse

    • I want to set administrative options

    If none of these options is selected, the wizard displays a screen summarizing the configuration information that it has collected. Click on Finish to close the wizard and apply the new settings.

  6. If the I am blind or have difficulty seeing things on screen option is selected, then the wizard will display five additional screens allowing specification of the following settings:

    • Scroll bar and window border size

    • Icon size

    • Color settings

    • Cursor size and color

    • Cursor blink rate and width

    After setting configuration settings on each of these five screens, click on Finish to close the wizard and apply the new settings.

  7. If the I am deaf or have difficulty hearing sounds from the computer option is selected, then the wizard will display two additional screens allowing specification of the following settings:

    • The display of visual warnings when sound events occur

    • The display of captions for speech and sound events

    After setting configuration settings on each of these two screens, click on Finish to close the wizard and apply the new settings.

  8. If the I have difficulty using the keyboard or mouse option is selected, then the wizard will display eight additional screens allowing specification of the following settings:

    • StickyKeys. Allow users to perform keystroke combinations such as Ctrl+Alt+Delete a key at a time instead of having to press them all at once

    • BounceKeys. Tells Windows XP to ignore repeated keystrokes

    • ToggleKeys. Plays a sound when the Num Lock, Scroll Lock, or Caps Lock keys are pressed

    • Extra Keyboard Help. Displays help information and ToolTips when using the keyboard instead of the mouse to work with applications

    • MouseKeys. Allows the keyboard's numeric keypad to be used in place of a mouse

    • Mouse Cursor. Sets mouse size and color

    • Mouse Button Settings. Sets up the mouse for right-and left-handed users

    • Mouse Speed. Configures the speed at which the pointer moves

    After setting configuration settings on each of these eight screens, click on Finish to close the wizard and apply the new settings.

  9. If the I want to set administrative options option is selected, then the wizard will display two additional screens allowing specification of the following settings:

    • Turn off accessibility settings after a specified amount of idle time occurs

    • Make the accessibility settings the default settings for all users of the computer

    After setting configuration settings on each of these two screens, click on Finish to close the wizard and apply the new settings.


Making Things Clearer with Magnifier

The Magnifier application opens a horizontal window at the top of the display screen. It uses this window to display a magnified view of a portion of the desktop based on the location of one of the following:

  • Cursor location. If the mouse is being used to move the cursor, the Magnifier displays the text under and around the pointer mouse.

  • Keyboard focus. If the keyboard is being used to move the cursor or enter keyboard input, the Magnifier enlarges the area where text is being typed.

The following procedure outlines the steps involved in setting up the Magnifier application.

  1. Click on Start/All Programs/Accessories/Accessibility and then select Magnifier. The Magnifier Settings dialog and Microsoft Magnifier dialog open. In addition, the top portion of the screen displays the Magnifier window, as demonstrated in Figure 8.3.

    Click To expand
    Figure 8.3: Setting up the Magnifier application to support vision-impaired users

  2. The Microsoft Magnifier dialog displays a message advising that users with more than minimum visibility impairments may require a morerobust third-party application to support daily work. Select the Do not show this message again option on the Microsoft Magnifier dialog and click on OK to prevent this dialog from appearing again.

  3. The top portion of the Magnifier Settings dialog displays the Magnification level setting. Its default setting is 2. The possible range of values is 1− 9 with 9 being the largest possible magnification. The rest of the dialog is organized into two sections, Tracking and Presentation, as outlined below.

Tracking

  • Follow mouse cursor. Configures Magnifier to follow the mouse pointer when it moves

  • Follow keyboard focus. Configures Magnifier to follow keyboard focus when it is used to move the cursor

  • Follow text editing. Configures Magnifier to follow keyboard text input

Presentation

  • Invert colors. Inverts or reverses screen colors in the Magnifier window

  • Start minimized. Starts Magnifier while minimizing the Magnifier Setting dialog to the Windows XP taskbar

  • Show Magnifier. Displays or hides the Magnifier window

Select the appropriate options for the user and click on Exit.


Setting Up Narrator

The Narrator application provides text-to-speech translation. It reads portions of the screen, including application menus and text. It works with all of the following Windows applications and utilities:

  • Notepad

  • WordPad

  • Windows Desktop

  • Internet Explorer

  • Control Panel utilities

The following procedure outlines the steps involved in setting up the Narrator utility.

  1. Click on Start/All Programs/Accessories/Accessibility and then select Narrator. The Narrator dialog and the Microsoft Narrator dialog appear.

  2. The Microsoft Narrator dialog displays a message advising that users with more than minimum visibility impairments may need a third-party application to provide for their needs. It also states that Narrator speaks only in English and that it may not work with all applications. Select the Do not show this message again option on the Microsoft Narrator dialog and click on OK to prevent this dialog from appearing again.

  3. The Narrator dialog, shown in Figure 8.4, displays the following settings.

    Figure 8.4: Select the appropriate Narrator settings for the user

    • Announce events on screen. Tells Narrator to announce when events occur, such as the opening of new applications or the selection of menu options

    • Read typed characters. Reads aloud any typed keyboard characters

    • Move mouse pointer to the active item. Sets the mouse pointer to follow the active screen item

    • Start Narrator minimized. Displays or hides the Narrator window

  4. Click on the Voice button located at the bottom of the Narrator dialog to set voice settings as shown in Figure 8.5.

    Figure 8.5: Configuring Narrator voice settings

  5. The following voices settings are available:

    • Voice. Lists the available Narrator voices

    • Speed. Controls the speed at which Narrators speaks

    • Volume. Controls the volume of the Narrator voice

    • Pitch. Controls the pitch used by the Narrator voice

    Select the appropriate voice settings and click on OK.

  6. Click on Exit to close the Narrator utility.

  7. Click on Yes when requested to confirm the closing of Narrator.


Configuring the On-Screen Keyboard

The On-Screen Keyboard application is designed to assist users who have problems working with a keyboard by allowing them to use an on-screen keyboard, shown in Figure 8.6, that can be controlled by the mouse.

Click To expand
Figure 8.6: The On-Screen Keyboard lets users use their mouse to enter keyboard input

The following procedure outlines the steps involved in setting up the On-Screen Keyboard application.

  1. Click on Start/All Programs/Accessories/Accessibility and then select On-Screen Keyboard. Two On-Screen Keyboard dialogs appear. One displays a graphical keyboard, and the other displays an introductory message.

  2. The introductory messages states that the On-Screen Keyboard only provides a minimum level of functionality for mobility-impaired users and advises that third-party applications may be required to support some users. Click on OK to close this dialog.

  3. By default, the graphical On-Screen Keyboard is displayed as an enhanced keyboard with a regular keyboard layout with 101 keys. To change this configuration, click on the Keyboard menu and select from the following options:

    • Enhanced Keyboard

    • Standard Keyboard

    • Regular Layout

    • Block Layout

    • 101 keys

    • 102 keys

    • 106 keys

  4. By default, the On-Screen Keyboard is configured to prevent itself from being overlaid by other applications. This setting can be disabled and enabled by clicking on the Settings menu and selecting the Always on Top option.

  5. By default, the On-Screen Keyboard does not provide any notification when a keyboard key is clicked. An optional mechanical click sound can be enabled or disabled by clicking on the Settings menu and selecting the Use Click Sound option.

  6. To control how keyboard keystrokes are performed, select the Typing Mode option on the Settings menu. This displays the Typing Mode dialog shown in Figure 8.7. The available settings are:

    Click To expand
    Figure 8.7: Specify what constitutes a keyboard stroke

    • Click to select. Creates a keystroke when the user moves the pointer over a key and clicks on the mouse button.

    • Hover to select. Creates a keystroke when the user moves the pointer over a key for a specific period of time.

    • Joystick or key to select. Creates keystrokes at timed intervals, allowing the user to select a key using a joystick or keyboard key. Selecting this option enables the Advanced button. When the Advanced button is clicked, it displays the Scanning Options dialog, where the type of joystick port can be selected. In addition, a key that can be used to initiate a scanning interval can be selected.

    Select the appropriate settings and click on OK to close the Typing Mode dialog.

  7. By default, the On-Screen Keyboard displays characters using the Microsoft San Serif font with a bold font style and a font size of 8. By clicking on the Font option on the Settings menu, different font settings can be specified.

  8. To exit the On-Screen Keyboard and save the new settings, click on File and select Exit.


Managing Accessibility Options Using the Utility Manager

The Utility Manager application, shown in Figure 8.8, can be used to enable and disable the execution of the following accessibility applications:

  • Magnifier

  • Narrator

  • On-Screen Keyboard

Click To expand
Figure 8.8: The Utility Manager provides control over the execution of several accessibility applications

The Utility Manger can be started by clicking on Start/All Programs/Accessories/Accessibility and then selecting Utility Manager. However, a more convenient way to start it is to press the Windows logo key + U. In addition, users can press the Windows logo key + U even before they initiate the login sequence, thus providing immediate assistance.

The Utility Manager allows users and administrators to perform the following actions:

  • Examine the status of accessibility applications

  • Stop and start accessibility applications

  • Configure an accessibility application to start as soon as the user logs in

  • Configure an accessibility application to start when the user locks the desktop

  • Configure an accessibility application to start when the Utility Manager starts

The following procedure demonstrates the steps involved in using the Utility Manager.

  1. Press the Windows logo key + U. The Utility Manager dialog appears.

  2. Any accessibility applications configured to start with the Utility Manager are also started.

  3. Select an accessibility application and click on Start or Stop as required to begin or terminate use of the application.

  4. To configure which of the three available startup options are applied to an application, select the application and each desired start option.

  5. Click on OK to close the Utility Manger dialog. Any active accessibility applications that were started with the Utility Manager will remain active until closed.


Manually Configuring Accessibility Options

To open the Accessibility Options folder, click on Start/Control Panel and then select Accessibility Options, as shown in Figure 8.9. Links to the following accessibility applications are listed in the See Also section on the left-hand side of the folder.

  • Magnifier

  • On-Screen Keyboard

Click To expand
Figure 8.9: The Accessibility Options folder provides access to several accessibility applications as well as the Accessibility Options dialog

In addition, the Configure Windows to work for your vision, hearing, and mobility needs link in the Pick a task section starts the Accessibility Wizard.

The remaining links on the Accessibility Options folder provide access to different property sheets on the Accessibility Options dialog. This dialog provides access to the same accessibility settings managed by the various accessibilityoption applications and the Accessibility Wizard.The Accessibility Options dialog is organized into five property sheets, as listed below.

  • Keyboard

  • Sound

  • Display

  • Mouse

  • General

Each of the accessory settings located on each of these property sheets is explained in the sections that follow.

Setting Keyboard Accessibility Settings

The Keyboard property sheet on the Accessibility Options dialog, shown in Figure 8.10, displays four keyboard-related settings, which include:

  • Use StickyKeys. When selected, this option allows the Shift, Ctrl, Alt and Windows logo keys to be pressed one key at a time.

  • Use FilterKeys. When selected, this option tells Windows XP to briefly ignore repeated keystrokes.

  • Use ToggleKeys. When selected, this option plays an audio tone when the Caps Lock, Num Lock, or Scroll Lock keys are pressed.

  • Show extra keyboard help in programs. Causes applications to display extra keyboard help when available.

Click To expand
Figure 8.10: The Keyboard property sheet on the Accessibility Options dialog provides access to an assortment of keyboard configuration settings

The following procedure outlines the steps involved in configuring the Sticky Keys options.

  1. Click on Start/Control Panel and then click on the Accessibility Options icon. The Accessibility Options folder appears.

  2. Click on Accessibility Options. The Accessibility Options dialog appears.

  3. Select the Keyboard property sheet.

  4. Select Use StickyKeys and then click on the Settings button located in the StickyKeys section of the Accessibility Options dialog.

  5. The Settings for StickyKeys dialog appears, as shown in Figure 8.11, displaying the following settings:

    • Use shortcut. Allows the StickyKeys settings to be disabled by pressing the Shift key five times in a row.

    • Press modifier key twice to lock. Causes the Ctrl, Alt, Shift, or Windows logo key to remain active once pressed and to remain that way until pressed again.

    • Turn StickyKeys off if two keys are pressed at once. Turns off StickyKeys as soon as a modifier key and another key are pressed at the same time.

    • Make sounds when modifier key is pressed. Plays an audio tone whenever a modifier key is pressed.

    • Show Sticky Keys status on screen. Displays a StickyKeys icon on the Windows XP notification area, as shown in Figure 8.12. Each component of the icon represents a different StickyKey. A cleared square or rectangle indicates that the key is not selected. A colored-in square or rectangle indicates an active key.

      Click To expand
      Figure 8.12: The Show StickyKeys status on-screen option displays a graphical representation of the status of StickyKeys

    Click To expand
    Figure 8.11: Configuring StickyKeys settings

    Select the appropriate options and click on OK to close the Settings for StickyKeys dialog.

  6. Click on OK to close the Accessibility Options dialog.

The following procedure outlines the steps involved in configuring the FilterKeys options.

  1. Click on Start/Control Panel and then click on the Accessibility Options icon. The Accessibility Options folder appears.

  2. Click on the Accessibility Options. The Accessibility Options dialog appears.

  3. Select the Keyboard property sheet.

  4. Select Use FilterKeys and then click on the Settings button located in the FilterKeys section of the Accessibility Options dialog.

  5. The Settings for FilterKeys dialog appears, as shown in Figure 8.13, displaying the following settings:

    • Use shortcut. Allows the FilterKeys settings to be disabled by holding down the Shift key for eight seconds.

    • Ignore repeated keystrokes. Tells Windows XP to ignore repeated keystrokes.

    • Ignore quick keystrokes and slow down the repeat rate. Tells Windows XP to ignore any briefly repeated keystrokes. When selected, the Settings button is enabled to allow for the specification of the length of time that a key must be pressed down for a repeated keystroke to register and be accepted as input.

    • Beep when keys pressed or accepted. Plays an audio beep whenever a key is pressed and another beep when the keystroke is accepted.

    • Show FilterKeys status on screen. Displays a FilterKeys icon in the Windows XP taskbar notification area signifying that the FilterKeys option is active, as shown in Figure 8.14.

    Click To expand
    Figure 8.13: Configuring FilterKeys settings

    Figure 8.14: The Show FilterKey status on screen option displays a graphical stopwatch, indicating that FilterKey settings are being used

    Select the appropriate options and click on OK to close the Settings for FilterKeys dialog.

  6. Click on OK to close the Accessibility Options dialog.

The following procedure outlines the steps involved in configuring the ToggleKeys options.

  1. Click on Start/Control Panel and then click on the Accessibility Options icon. The Accessibility Options folder appears.

  2. Click on the Accessibility Options. The Accessibility Options dialog appears.

  3. Select the Keyboard property sheet.

  4. Select Use ToggleKeys and then click on the Settings button located in the ToggleKeys section of the Accessibility Options dialog.

  5. The Settings for ToggleKeys dialog appears as shown in Figure 8.15. Select the Use Shortcut setting to turn on the ability to enable and disable ToggleKeys by holding down the Num Lock key for five seconds.

    Click To expand
    Figure 8.15: Configuring the ToggleKeys Use Shortcut setting

  6. Click on OK to close the Settings for ToggleKeys dialog.

  7. Click on OK to close the Accessibility Options dialog.

Setting Sound Accessibility Settings

The Sound property sheet on the Accessibility Options dialog, shown in Figure 8.16, displays three sound-related settings as shown below.

Click To expand
Figure 8.16: The Sound property sheet on the Accessibility Options dialog provides access to an assortment of audio configuration setting

  • Use SoundSentry. Flashes a part of the screen every time a audio event occurs.

  • Choose the visual warning. This option is enabled when the Use

    SoundSentry option is selected. It specifies what area of the screen will flash when an audio event occurs. Available options include Flash active caption bar, Flash active window, Flash desktop, and None.

  • Use ShowSounds. Tells applications that notify the user via audio sounds to add visual notifications.

The following procedure outlines the steps involved in configuring the settings found on the Sound property sheet.

  1. Click on Start/Control Panel and then click on the Accessibility Options icon. The Accessibility Options folder appears.

  2. Click on the Accessibility Options. The Accessibility Options dialog appears.

  3. Select the Sound property sheet.

  4. Select Use SoundSentry to enable a flash notification. The Choose the visual warning option is then enabled.

  5. Select one of the visual warnings available in the Choose the visual warning drop-down list.

  6. Select Use ShowSounds to configure applications to supplement audio sounds with video notifications.

  7. Click on OK to close the Accessibility Options dialog.

Setting Display Accessibility Settings

The Display property sheet on the Accessibility Options dialog, shown in Figure 8.17, contains one display-related setting and two cursor settings, as shown below.

Click To expand
Figure 8.17: The Display property sheet on the Accessibility Options dialog provides access to display and cursor configuration settings

  • Use High Contrast. Increases screen legibility in supporting applications by expanding font sizes and changing color schemes

  • Cursor Option None. Sets the speed at which the cursor blinks

  • Cursor Options Narrow. Sets cursor width

Note

Administrators may be able to further assist users by changing resolution, color, and appearance settings in the Display Properties dialog, as explained in "Configuring the Windows XP Display"found in Chapter 7", Configuring Desktop Settings".

The following procedure outlines the steps involved in configuring the settings found on the Display property sheet.

  1. Click on Start/Control Panel and then click on the Accessibility Options icon. The Accessibility Options folder appears.

  2. Click on the Accessibility Options folder. The Accessibility Options dialog appears.

  3. Select the Display property sheet.

  4. Select Use High Contrast and click on Settings to change the computer's color scheme and increase legibility. The Settings for High Contrast dialog appears, as shown in Figure 8.18.

    Click To expand
    Figure 8.18: Refining High Contrast display settings

  5. Select Use shortcut to turn the left Alt+left Shift+Print Screen keys into a toggle switch for the normal and high contrast color schemes.

  6. Select a high contrast color scheme from the drop-down list in the High contrast appearance scheme section and click on OK.

  7. Move the Blink Rate slider bar left or right to adjust the rate at which the cursor blinks.

  8. Move the Width slider bar to adjust the cursor's width.

  9. Click on OK to close the Accessibility Options dialog.

Setting Mouse Accessibility Settings

The Mouse property sheet on the Accessibility Options dialog, shown in Figure 8.19, displays keyboard-related settings, as shown below.

Click To expand
Figure 8.19: The Mouse property sheet on the Accessibility Options dialog provides access to settings that allow the keyboard to be substituted for the mouse

  • Use shortcut. Allows MouseKeys to be enabled and disabled by pressing the left Alt+left Shift+Num Lock keys

  • Top speed. Sets the maximum speed at which the pointer can be moved around the screen

  • Acceleration. Determines how quickly the pointer can reach its maximum speed once moved

  • Hold down Ctrl to speed up and Shift to slow down. Enables the ability to increase or decrease mouse speed by holding down the Ctrl and Shift keys while moving the mouse

  • Use MouseKeys when NumLock is_. Provides the ability to toggle MouseKeys on and off using the NumLock key

  • Show MouseKey status on-screen. Displays a MouseKeys icon in the taskbar notification area when MouseKeys settings are active, as shown in Figure 8.20

    Figure 8.20: The MouseKeys icon will be displayed in the taskbar's notification area whenever MouseKeys are enabled

The following procedure outlines the steps involved in configuring the settings found on the Mouse property sheet.

  1. Click on Start/Control Panel and then click on the Accessibility Options icon. The Accessibility Options folder appears.

  2. Click on the Accessibility Options folder. The Accessibility Options dialog appears.

  3. Select the Mouse property sheet.

  4. Select Use MouseKeys and click on Settings to specify detailed MouseKeys configuration settings. The Settings for MouseKeys dialog appears, as shown in Figure 8.21.

    Click To expand
    Figure 8.21: Modifying MouseKeys settings

  5. Select Use shortcut to set the left Alt+left Shift+NumLock keys as toggle switch for controlling MouseKeys.

  6. Move the Top speed slider bar left or right to set the pointer's top speed.

  7. Move the Acceleration slider bar left or right to specify how quickly the pointer switches to top speed.

  8. Select the Hold down Ctrl to speed up and Shift to slow down option to provide additional control over pointer speed.

  9. Select the Use MouseKeys when NumLock is_setting to specify how the Num Lock key is used to toggle MouseKeys on and off.

  10. Select Show MouseKey status on screen to display the MouseKey icon in the notification area whenever MouseKeys are in effect.

  11. Click on OK to close the Accessibility Options dialog.

Setting General Accessibility Settings

The General property sheet on the Accessibility Options dialog, shown in Figure 8.22, displays a collection of Accessibility settings that do not fit into the categories located on the other property sheets. The following settings are located on the General property sheet.

Click To expand
Figure 8.22: The General property sheet provides access to a miscellaneous collection of Accessibility settings

  • Turn off accessibility features after idle for-

  • Give warning message when turning a feature on

  • Make a sound when turning a feature on or off

  • Use Serial Keys

  • Apply all settings to logon desktop

  • Apply all settings to defaults for new users

The following procedure outlines the steps involved in configuring the settings found on the General property sheet.

  1. Click on Start/Control Panel and then click on the Accessibility Options icon. The Accessibility Options folder appears.

  2. Click on the Accessibility Options folder. The Accessibility Options dialog appears.

  3. Select the General property sheet.

  4. If two or more users share the computer, it can be configured to automatically turn off StickyKeys, SoundSentry, MouseKeys, FilterKeys, ToggleKeys, and High Contrast after a specified period of inactivity by selecting the Turn off accessibility features after idle for option and selecting a time frame from the drop-down list.

  5. Select the Give warning message when turning a feature on option to tell Windows XP to display a confirmation prompt before enabling or disabling an accessibility option.

  6. Select the Make a sound when turning a feature on or off option to tell Windows XP to play an audio sound when enabling or disabling an accessibility option.

  7. To set up a serial device such as a joystick to provide input in place of a mouse or keyboard, select the Use Serial keys option and click on Settings. This displays the Settings for SerialKeys dialog, as shown in Figure 8.23. Select the serial port to which the device is connected and the speed at which it operates and click on OK.

    Click To expand
    Figure 8.23: Configuring the communications port and baud rate for an alternate input device

  8. Select the Apply all settings to logon desktop option to tell Windows XP to apply the current user's Accessibility settings to all users of the computer. Only administrators can set this option.

  9. Select the Apply all settings to defaults for new users option to make the current Accessibility settings the default setup for all new users' accounts created on the computer. Only administrators can set this option.

  10. Click on OK to close the Accessibility Options dialog.


Setting Accessibility Settings in Internet Explorer

Many Windows applications have accessibility settings that can be individually configured to assist users with disabilities. In order to assist users in configuring these settings, administrators will have to consult each individual application's documentation. An excellent example of one such application is Internet Explorer 6.0, which ships with Windows XP Professional.

Internet Explorer's accessibility settings are located on the Advanced property sheet on the Internet Options dialog, as shown in Figure 8.24. They include:

  • Always expand ALT text for images. Tells Internet Explorer to automatically display any alternative text supplied on Web pages. Alternative text is used by Web page developers to provide descriptive text for graphic images displayed on Web pages.

  • Move system caret with focus/selection changes. Configures Internet Explorer so that the cursor follows the pointer, assisting the Magnifier and Narrator Accessibility applications.

Click To expand
Figure 8.24: Configuring Internet Explorer accessibility setting


Part III: Advanced Administration

Chapter 9: Security Administration
Chapter 10: Microsoft Management Consoles
Chapter 11: Disk Management
Chapter 12: Configuring and Administering System Files
Chapter 13: Performance Tuning
Chapter 14: Shell Scripting and the WSH


Chapter 9: Security Administration

Highlights

One of the most important aspects of desktop administration is locking down and securing Windows XP Professional. This includes the implementation of user accounts and passwords, requiring users to identify themselves and authenticate before a login session is permitted. This protects both corporate and individual data stored on the computer while also protecting the corporate network by preventing outsiders from gaining unauthorized access.

Windows XP Professional security can be performed locally or by Active Directory if the computer is part of a domain-based network. This chapter will focus on the steps involved in performing local security administration. This will include an overview of security-related tasks, the administration of user and group accounts, and the application of security permissions.

This chapter will also review the steps involved in administering security policies as a means for specifying and enforcing security standards, such as minimum password length and password history.


Overview of Security Administration

Windows XP Professional provides the administrator with a number of tools and controls for the security of the computer and its resources. The application of security varies based on a computer's network status. For example, both stand-alone computers and computers that are part of a small peer-to-peer network provide their own security by maintaining a security database known as the SAM (Security Account Manager). On the other hand, while a computer connected to a Windows-based domain also maintains its own SAM, it is subject tosecurity policies implemented by Active Directory. This chapter will focus on security as applied at the local workstation.

Controlling the Login Process

One security mechanism that varies based on network status is the manner in which users are able to log in to Windows XP Professional. When a computer is operated as a stand-alone system or as a member of a peer-to-peer network, the administrator has the ability to configure either the Classic login screen or the Welcome login screen. The Welcome screen displays a list of user accounts and allows a user to initiate a login session by selecting one. The Classic screen requires that the user specify a username and password in order to log in to the computer. The Classic screen requires that users know both their assigned username and password. Because the Classic screen is more secure, it is the only option available to Windows XP Professional computers that are part of a domain.

The following procedure outlines the steps involved in configuring which login screen is implemented on a stand-alone computer or a computer that resides on a peer-to-peer network.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on User Accounts. The User Accounts folder appears, as shown in Figure 9.1.

    Click To expand
    Figure 9.1: The User Accounts folder displays local user accounts and provides access to basic account administration tasks

  3. Click on Change the way users log on or off. By default, the Use the Welcome Screen option is enabled, as shown in Figure 9.2. To disable it and enable the Classic screen, clear the Use the Welcome screen option. This also disables the Use Fast User Switching option.

    Note

    When enabled, Fast User Switching allows two or more users to take turns sharing a computer without logging off. When enabled, Fast User Switching places a Switch User icon on the Log off Windows dialog, allowing users to toggle between active login sessions.

  4. Click on Apply Options.

Applying Password Protection

Another key difference between a computer that is part of a Windows domain and one that is not is the applicability of user passwords. In order to log in to a computer that is part of a Windows domain, the user must supply both a username and a password in the Classic logon screen. However, passwords are optional for stand-alone computers and computers that are part of a peer-to-peer network.

While essential to corporate security, passwords may not be required in other situations, including small office networks. Instructions on how to create and delete passwords for individual user accounts on nondomain computers is provided in "User Account Administration" later in this chapter.

Click To expand
Figure 9.2: Configuring the Windows XP Professional login screen

Setting Up Password-Protected Screen Savers

Another mechanism for improving security is the application of a password-protected screen saver. Screen savers automatically start after a specified period of inactivity. When password protection is enabled for a screen saver, the user is prompted to resupply their password before resuming work on the computer. This helps to prevent a passerby from commandeering another user's login session if the user forgot to either log off or lock the computer before leaving it unattended.

The following procedure outlines the steps required to implement a passwordprotected screen saver.

  1. Right-click on the Windows XP desktop and select Properties. The Display Properties dialog box appears.

  2. Click the Screen Saver property sheet.

  3. Select a screen saver.

  4. Set the amount of time that must pass without any user activity before the screen saver starts.

  5. Select On Resume, Display Welcome Screen.

  6. Click OK.

Note

For more information on working with screen savers, refer to "Setting Up a Screen Saver" in Chapter 7, "Configuring Desktop Settings."

Encrypting Data Stored on the Local Computer

Another security tool provided by Windows XP Professional is the EFS (Encrypted File System). EFS encodes data stored on a computer running Windows XP Professional so that only the person who encrypted it can view it. EFS uses public-key encryption that requires no administration. EFS automatically creates an encryption key pair and certificate for the users the first time that they encrypt a file.

While individual files can be encrypted, Microsoft recommends that encryption be applied at the folder level, thus ensuring that all files within the folder are encrypted. EFS is especially important for mobile users who run the risk that their computers may be stolen when they are on the road. One way to access dataon a stolen computer is to reinstall the operating system without reformatting the hard drive. The administrator account for the new operating system can then access any file on the computer, except for previously encrypted files. Another technique for stealing data is to take the hard drive from one computer and mount it in another where administrative access is available. However, any files and folders protected by EFS will once again remain protected.

Note

For more information on EFS, including how to apply it to secure files and folders, refer to "Applying Disk Encryption" in Chapter 11, "Disk Management."

Protecting Network Connections Using the Internet Connection Firewall

Another security utility provided by Windows XP Professional is the ICF (Internet Connection Firewall). ICF is a stateful packet filter. ICF maintains a table that tracks the flow of all network connections. Any time a data packet arrives from an external network connection, ICF checks the table to see if it is part of a previously established connection. If the packet cannot be associated with a network connection that was initiated by the local computer, it is blocked.

ICF is configurable and is administered on a connection-by-connection basis, allowing the administrator to apply different security settings for each connection. ICF is designed to protect computers that are connected directly to the Internet. It is appropriate for a stand-alone computer with a direct Internet connection and for a computer that runs the ICS (Internet Connection Service) in order to share an Internet connection with other computers on a small home or office peer-to-peer network.

Note

ICS is a Windows XP Professional feature that allows a computer running the ICS service to share its Internet connection with other computers (ICS clients) on a small network. ICS provides a number of other network services, including NAT translation, DHCP services, and DNS services. For more information about ICS, refer to "Setting Up an ICS Server" and "Setting Up ICS Clients" in Chapter 18, "LAN Configuration."

ICF is not suitable for deployment on large corporate networks where network administrators and engineers are responsible for protecting network security and do so with the help of high-end routers, firewalls and gateway devices.

Note

For information on ICF, including how to enable and configure it, refer to "The Internet Connection Firewall" in Chapter 17, "Supporting Internet Communications."


User Account Administration

In order to log in to Windows XP Professional, a user account is required. Only an administrator can create and modify user and group accounts. Windows XP Professional supports two types of user accounts, local user accounts and domain user accounts. A local user account provides access to the computer on which it is defined. A domain user account provides access to all the resources on a domain to which it has been assigned access. Domain accounts are stored in Active Directory. Local accounts are stored on the computer's local SAM.

Every user requires his or her own user account. However, rather than trying to manage a large number of individual users, administrators organize user accounts into groups for easier management. By making a user account a member of a group, the user account inherits all the permissions assigned to the group account. User accounts can be added to multiple group accounts, and the resulting set of permission assignments is the accumulation of all their group permissions.

Examing Built-in user Accounts

Windows XP automatically creates a number of local user accounts during its installation. These user accounts and their purposes are outlined in Table 9.1.

Note

If Windows XP Professional was installed as an upgrade on an existing computer, any user accounts already defined on the computer will be migrated into Windows XP Professional as well.

Table 9.1: Built-in Windows XP Professional User Accounts
User Account | Description
Administrator | An administrative account with complete control over all local resources
Guest | An account used by individuals with temporary access requirements that provides limited access to system resources
HelpAssistant | An account used by the Remote Assistance utility to provide the remote helper with access to the local computer
Support | An account used by the Help and Support services

Because of its importance, the Administrator account must be closely guarded. It should be assigned a strong password. If possible, this password should be written down and locked in a safe place. This account should not be used to perform normal work on the computer. Individuals who require administrative privileges should have their user accounts added to the local Administrators group. The administrator account can be renamed but it cannot be disabled.

The Guest account is disabled by default and should only be enabled if absolutely necessary. This account provides only limited access capabilities, but it can be used by a would-be intruder to gain access to the computer and search for other ways of gaining access.

Administering User Accounts

When Windows XP Professional is first installed, the administrator is given the opportunity to add new user accounts to the computer. Windows XP Professional provides two utilities for administering user accounts once the operating system has been installed, as outlined below.

  • User Accounts folder

  • Local Users and Groups snap-in or extension

The User Accounts folder is located on the Windows Control Panel and provides basic account administration capabilities. It can be used to create, modify, and delete local user accounts but only provides limited control over the accounts. The Local Users and Groups snap-in or extension provides moredetailed control over user accounts, including the ability to remotely manage user accounts on other computers to which the administrator has administrative privileges.

Working with the User Accounts Folder

The User Accounts folder displays a list of all currently configured user accounts. In addition, it displays the following tasks:

  • Change an account

  • Create a new account

  • Change the way users log off

When creating a new user account using the User Accounts folder, the administrator is limited to creating two types of accounts, Computer Administrator and Limited. User Accounts creates a Computer Administrator account by adding it to the local Administrators group. Likewise, it creates a Limited account by adding it to the local Users group.

A Computer Administrator account has complete control over the local computer and its resources. A Limited account has the following capabilities:

  • Saving and retrieving files created by that account

  • Changing the password associated with that account

  • Modifying desktop settings and themes

  • Viewing files located in the Shared Documents folder

Users with Limited accounts can also change their passwords, run applications and submit print jobs. A Limited account cannot be used to modify system settings, install new hardware, or install most applications.

Note

Windows XP Professional allows user account names to be up to 20 characters long and supports passwords up to 256 characters long. Passwords are case-sensitive, meaning that they must be typed using the same case as was used when they were created. Although passwords are case-sensitive, user account names are not. However, user account names must be unique.

The following procedure outlines the steps involved in creating a new user account.

  1. Click on Start and the Control Panel. The Windows XP Control Panel appears.

  2. Click on User Accounts. The User Account folder appears.

  3. Click on Create a new account.

  4. The Name the new account screen appears. Type a name for the account, as demonstrated in Figure 9.3, and then click on Next.

  5. The Pick an account type screen appears. Select Computer administrator to create a local administrative account or Limited to create a Limited account and click on Create Account, as shown in Figure 9.4.

Click To expand
Figure 9.3: Usernames can be up to 20 characters long
Click To expand
Figure 9.4: Select the type of account to be created

Using the User Accounts folder, the administrator can modify any existing user account. The changes that can be made to an account vary for different types of accounts. For example, the only configuration options that can be made to the Guest account are:

  • Change the picture. Modifies the icon associated with the Guest account

  • Turn off the guest account. Disables the Guest account to prevent it from being used

  • Turn on the guest account. Enables the Guest account so that it can be used

Changes that can be made to other types of accounts include:

  • Change the password. Changes the password associated with a user account

  • Set up my account to use a .NET Passport. Registers a .NET Passport account

  • Change the name. Changes the name assigned to the user account

  • Remove the password. Deletes the password associated with a user account

  • Change the account type. Adds the account to either the Administrators or Users group

  • Delete the account. Deletes the user account

Note

A .NET Passport is an Internet-based account used by Microsoft to track user activity at Web sites that use their service. For more information about the .NET Passport, including how to set one up, refer to "Using Windows Messenger to Deliver a Remote Access Invitation" in Chapter 3, "Help and Support."

All user accounts should be required to have a password. Passwords help protect user accounts from unauthorized access. Administrators should also establish a policy that governs password strength and ensure that users follow it. A strong password is one that contains:

  • At least eight characters

  • Uppercase and lowercase letters

  • Numbers

  • Special characters

The following procedure outlines the steps involved in modifying a user account.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on User Accounts. The User Account folder appears.

  3. Click on Change an account.

  4. The Pick an account to change screen appears, as shown in Figure 9.5.

  5. The screen shown in Figure 9.6 appears.

  6. Click on an option to change its associate account attribute and then click on the Back button to return to the main User Account screen.

Click To expand
Figure 9.5: Select a user account to modify
Click To expand
Figure 9.6: Select an account attribute to change

Working with the Local Users and Groups Snap-in

The Local Users and Groups snap-in or extension provides a more powerful account management tool. It can be used to administer both user and group accounts and provides detailed control over all account attributes. Local Users and Groups also provides the ability to perform remote account administration, making it the preferred tool for account administration.

Local Users and Groups is conveniently located as an extension in the Computer Management console. Table 9.2 lists the built-in group accounts provided by Windows XP Professional. In addition, administrators can use Local Users and Groups to create new local groups.

Table 9.2: Built-in Windows XP Professional Group Accounts
Group Account | Description
Administrators | Members of this group have complete control over the computer and its resources.
Backup Operators | Members of this group can back up and restore all files on the computer.
Guests | Members of this group are given equivalent access capabilities as those of the Users group. This group contains the Guest account, which is further restricted.
Network Configuration Operators | Members of this group have the ability to configure TCP/IP and other network settings on the computer.
Power Users | Members of this group have the same capabilities as members of the Users group, plus the ability to install applications and modify certain system settings.
Remote Desktop Users | Members of this group are permitted to use Remote Assistance to connect to the computer.
Replicator | This group is managed by Windows XP and is used to support domain replication.
Users | Members of this group are permitted to log in, run applications, save and print files, turn off the computer, and perform nonadministrative tasks.
HelpServicesGroup | This group is managed by Windows XP and supports the Help and Support Center service.
Note

Before creating new accounts, the administrator should ensure that standards are developed and followed in order to ensure consistency and manageability. For example, always set up new user accounts so that users must change their password the first time that they log in. Instruct users to create strong passwords and establish guidelines for doing so using Group Policy, as explained later in this chapter.

The following procedure outlines the steps involved in creating a new account using Local Users and Groups.

  1. Click on Start and then right-click on My Computer and select Manage. The Computer Management console appears.

  2. To administer accounts on a remote computer, right-click on Computer Management, Select Connect to another computer, specify the computer's name or IP address, and click on OK.

  3. Expand the System Tool node in the console tree.

  4. Expand the Local Users and Groups node on the console tree.

  5. Select Users. A list of user accounts defined in the SAM is displayed in the right-hand pane, as shown in Figure 9.7.

    Click To expand
    Figure 9.7: Examining all user accounts defined in the targeted computer's SAM

  6. Right-click on Users and select New User. The New User dialog appears, as shown in Figure 9.8. Type a new username in the User name field. Type a user's real name in the Full name field and a brief descriptionin the Description field. Type and confirm a password for the account and then select any number of the following options:

    • User must change password at next logon. Forces the user to change the assigned password at his or her first login

    • User cannot change password. Prevents the user from changing his or her password

    • Password never expires. Prevents the account from expiring by overriding the Maximum password age policy

    • Account is disabled. Prevents the account from being used until it is later enabled

    Click To expand
    Figure 9.8: Creating a new user account using the Local Users and Groups extension in the Computer Management console

  7. Click on Create followed by Close.

Once a user account has been created, it can be further modified using the following procedure.

  1. Double-click on the user account. The user account's Properties dialog appears, as shown in Figure 9.9.

    Click To expand
    Figure 9.9: Modifying user account properties

  2. The General property sheet on the user account Properties dialog allows the administrator to modify the user account's name and description. In addition, the administrator can configure any of the following options:

    • User must change password at next logon. Adds or removes the requirement that the user change his or her password at the next login

    • User cannot change password. Enables or disables the user's ability to change the password

    • Password never expires. Enables or disables the ability of the password to expire

    • Account is disabled. Can be used to enable or disable a user account

    • Account is locked out. Can be used to lock an account or unlock a locked account

  3. Click on the Member Of property sheet, as shown in Figure 9.10.

    Click To expand
    Figure 9.10: Administering the account's group membership

  4. By default, new accounts are added to the Users group. To add the user account to other groups, click on Add, specify a group, and click on OK.

  5. To remove the user account from a group, select the group and click on Remove.

  6. Click on the Profile property sheet, as shown in Figure 9.11.

    Click To expand
    Figure 9.11: Configuring an account profile and home folder

  7. By default, Windows XP automatically manages the location of user account profiles and home folders. However, administrators can modifythese settings to accommodate corporate standards and set up profiles and home folders on centralized servers. The following options can be configured:

    • Profile path. The location where the user account's profile will be stored

    • Logon script. The location of a script to be run when the user logs on to the computer

    • Local path. The location of the user account's home folder on the local computer

    • Connect. The location of the user account's home folder on a network server

  8. Click on OK.

Note

Windows XP Professional implements user profiles as a means of allowing individual users to create custom settings without affecting the settings implemented by other users. Examples of settings stored in user profiles include the Windows desktop background, a screen saver, and a custom Start menu configuration. Windows XP automatically saves any configuration changes made by the user at logoff and reloads them at login. Unless changed by the administrator, Windows XP Professional stores user profiles in the root directory on the drive where Windows XP system files are stored (usually C:\Windows) in a folder with the same name as the user's account name.

If a user account is no longer needed, it can be deleted using the following procedure.

  1. Click on Start and then right-click on My Computer and select Manage. The Computer Management console appears.

  2. To administer an account on a remote computer, right-click on Computer Management, select Connect to another computer, specify the computer's name or IP address, and click on OK.

  3. Expand the System Tool node in the console tree.

  4. Expand the Local Users and Groups node on the console tree.

  5. Select Users to display a list of locally defined user accounts.

  6. Select an account and press the Delete key. Click on Yes when prompted for confirmation.

In addition to detailed control over accounts on local and remote computers, Local Users and Groups can also be used to create new Group accounts. Managing large numbers of users by placing them into groups is a lot easier on administrators than trying to manage user accounts individually. The steps involved in setting up a group account are outlined in the following procedure.

  1. Click on Start and then right-click on My Computer and select Manage. The Computer Management console appears.

  2. To administer an account on a remote computer, right-click on Computer Management, select Connect to another computer, specify the computer's name or IP address, and click on OK.

  3. Expand the System Tool node in the console tree.

  4. Expand the Local Users and Groups node on the console tree.

  5. Select Groups. A list of group accounts defined in the SAM is displayed in the right-hand pane, as shown in Figure 9.12.

    Click To expand
    Figure 9.12: Administering group accounts

  6. Right-click on Groups and select New Group. The New Group dialog appears, as shown in Figure 9.13.

    Click To expand
    Figure 9.13: Defining a new group and populating it with user accounts

  7. Type a name for the group in the Group name field and a brief description in the Description field.

  8. To add new members to the group, click on Add, type the name of a user account, and click on OK.

  9. To delete a user account from the group, select the user account and click on Remove.

  10. Click on Close.


Administering NFTS Security Permissions

In order to log in to a computer running Windows XP Professional, a user must supply a valid username and password. Once logged in, the resources that the user can access are governed by the security permissions assigned to the user's account and to the group accounts to which the user account has been added. Computers that use NFTS as their file system are able to implement NTFS security permissions. These permissions allow administrators to define what resources users and groups are allowed to access. In addition, administrators differentiate among different types of access.

Note

Computers whose drives are formatted using the FAT or FAT32 file system are not able to implement NFTS security permission and, as a result, are not able to restrict local access to computer resources. However, remote network access to local resources can be controlled using share level security. For more information on share level security, refer to "Securing Shared Drives and Folders" in Chapter 19, "Printer and Disk Sharing."

Every drive, folder, file, printer, and registry key on the computer is viewed by Windows XP Professional as an object. On computers using NTFS, access to each of these resources is controlled by each object's ACL (Access Control List). An ACL is composed of one or more ACEs (Access Control Entries) that specify exactly what type of access a user or group account has over the resource.

Table 9.3 lists the NTFS permissions associated with folder access. Similarly, Table 9.4 lists the NTFS permissions associated with file access.

Table 9.3: NTFS Folder Permissions
Permission | Description
Full Control | Provides the ability to take ownership of files, change file permission, and perform any operation provided by the other NTFS permissions
Modify | Provides the ability to change and delete folders and to perform any operation provided by the Read & Execute NTFS permission
Read & Execute | Provides the ability to explore drives and folders and to perform any operation provided by the List Folder Contents NTFS permission
List Folder Contents | Provides the ability to examine folder contents
Read | Provides the ability to examine the contents of files and folders
Write | Provides the ability to create files and folders and to view file and folder properties
Table 9.4: NTFS File Permissions
Permission | Description
Full Control | Provides the ability to take ownership of files, change file permissions, and perform any operation provided by the other NTFS permissions
Modify | Provides the ability to change and delete files and to perform any operation provided by the Read & Execute NTFS permission
Read & Execute | Provides the ability to execute programs and to perform any operation provided by the Read NTFS permission
Read | Provides the ability to view files and their properties
Write | Provides the ability to change file contents and view their properties

Similarly, Table 9.5 lists the permissions associated with securing printers.

Table 9.5: NTFS Printer Permissions
Permission | Description
Print | Allows the user or group to connect to and submit print jobs to the printer
Manage Printers | Allows the user or group to administrate all print jobs located in the printer queue
Manage Documents | Allows the user or group to manage all print jobs submitted by the user

NTFS permissions are applied to resources by selecting the Security property sheet on the resource's Properties dialog. The following procedure outlines the steps involved in applying the folder and file permissions listed in Table 9.3 and Table 9.4 to administer access to user accounts by specifying NTFS permissions.

  1. Click on Start and then My Computer. The My Computer folder appears.

  2. Right-click on a drive, folder, or file and select Properties.

  3. Select the Security property sheet, as shown in Figure 9.14.

    Click To expand
    Figure 9.14: Modifying NTFS security permissions for a folder

  4. To modify the security permission assigned to a user or group account that has already been assigned to the object's ACL, select the account and select the appropriate NFTS permission in the lower half of the dialog. Permissions can be applied by selecting Allow, which grants the specified level of access to the resource, or by selecting Deny, which denies access to the resource.

    Tip

    As a rule of thumb, administrators typically do not specify the Deny option when setting NTFS permissions. Simply removing a user or group from the object's ACL prevents their access.

  5. To add a new user or group account to the object's ACL, click on Add, type the account's name, and click on OK.

  6. To remove a user or group account from the object's ACL, select the account and click on Remove.

  7. Click on OK. The permissions will take effect the next time that the user logs in to the computer.

A user's actual access to a resource is based on the accumulation of all the NTFS permissions defined to their user account and to all the groups to which the account is a member. For example, if a user account has been given Read access to a resource while a group to which the account has been added provides Full Control, the user's resulting level of access will be Full Control. The only exception to the cumulative nature of NTFS permissions is the Deny setting, whichoverrides other security permissions. For example, if a user account has been assigned the Change permission over a resource but is a member of a group that has been assigned the Deny Read permission, the user will not be able to access the resource.


Group Policy

Windows XP Professional provides a number of ways of configuring itself. This includes changing settings located in individual Windows applications and components, making changes from the Windows XP Control Panel, and direct modification of the system by making changes to the Windows XP registry. Another option is the application of Group Policy. Group Policy provides a consistent means of configuring and securing Windows XP and its applications.

Using the Group Policy Snap-In

Group Policy can be applied at the local computer or at the domain level via Active Directory. Only an administrator can configure Group Policy. If policy conflicts occur between settings specified on both the local computer and Active Directory, the Active Directory settings will always override locally applied settings.This section will focus on the application of Group Policy at the local level.

When administered locally, group policy is managed using the Group Policy snap-in. Windows XP Professional also provides a Group Policy console that contains this snap-in. The following procedure outlines the steps involved in opening this console.

  1. Click on Start and then Run. The Run dialog appears.

  2. Type GPEDIT.MSC and press Enter. The Group Policy folder appears.

Group Policy is organized into two categories, as outlined below.

  • Computer Configuration. Contains policies that affect the computer regardless of who is logged on. These policies are applied at system startup.

  • User Configuration. Contains policies that affect users. These policies are applied at user login.

Changes made to policies in these two categories are reflected in the Windows XP registry. Changes made to Computer Configuration policies are reflected inthe HKEY_LOCAL_MACHINE hive, and changes made to User Configuration policies are reflected in the HKEY_CURRENT_USER hive. Most of the policies located under these two categories do not overlap. However, where overlaps occur, Computer Configuration policy overrides User Configuration policy.

Note

For information about the Windows XP Registry, refer to "Working with the Registry" in Chapter 12, "Configuring and Administering System Files."

Policies located in both Computer Configuration and User Configuration are organized into three subcategories, as listed below.

  • Software Settings. Configures software-related settings

  • Windows Settings. Configures security and other related settings

  • Administrative Templates. Configures specific operating system features, Windows components, and Windows utilities

Policies exist in one of three states:

  • Not Configured

  • Enabled

  • Disabled

In addition, many policies allow the administrator to set specific settings related to the Windows component that the policy manages. The following procedure outlines the steps involved in configuring a policy.

  1. Open the Group Policy console.

  2. Expand either the Computer Configuration or User Configuration node and locate the folder containing the policy that is to be modified, as demonstrated in Figure 9.15.

    Click To expand
    Figure 9.15: Modifying the policies for a Windows component that is located under the Computer Configuration node in Group Policy

  3. Drill down to expose the individual policies for the selected Windows resource.

  4. Double-click on the policy to open it, as demonstrated in Figure 9.16.

    Click To expand
    Figure 9.16: Modifying NetMeeting's Disable remote Desktop Sharing policy

  5. Click on the Explain property sheet to view a description of the policy, as demonstrated in Figure 9.17.

    Click To expand
    Figure 9.17: Every policy provides a complete description of its function

  6. Click on the Setting property sheet and select one of the following options:

    • Not Configured

    • Enabled

    • Disabled

  7. If any policy specific settings are presented on the Setting property sheet, configure them as required.

  8. Click on OK.

Using Group Policy, administrators can configure and secure many Windows applications, utilities, components, and other operating system properties. For example, Group Policy provides access to policies that can be used to configure and secure each of the following Windows components and utilities:

  • Disk quotas

  • Remote Assistance

  • Error reporting

  • System Restore

  • Offline files

  • Printers

  • Task Scheduler

  • Windows Installer

  • Windows Messenger

  • Start menu

  • Taskbar

  • Control Panel

Configuring Security Policies

In addition to providing the ability to administer and secure the Windows utilities and components listed in the previous section, Group Policy provides administrators with policies that are of particular importance when it comes to securing a computer running Windows XP Professional. These policies are located under the Computer Configuration node in the Group Policy snap-in. They include:

  • Password Policy. Contains policies that define requirements that Windows XP will enforce on users when creating and changing passwords

  • Account Lockout Policy. Contains policies that define how Windows XP will manage failed login attempts

  • Audit Policy. Contains policies that define the types of event that Windows XP will audit and record in the Windows XP Security event log

Administering Password Policies

Group Policy's Password Policy provides access to a collection of policies that provide the ability to specify settings that control password strength and require users to regularly change their passwords. Table 9.6 defines the policies that make up the Password Policy.

Table 9.6: Password Policies
Policy | Default Setting
Enforce password history | 0 passwords remembered
Maximum password age | 42 days
Minimum password age | 0 days
Minimum password length | 0 characters
Password must meet complexity requirements | Disabled
Store password using reversible encryption for all users in the domain | Disabled

To access the Password Policy, open the Group Policy console and expand the Computer Configuration node as follows:

\Computer Configuration\Windows Settings\Security Settings\Account
Policies\Password Policy

Figure 9.8 shows password policies that make up the Password Policy.

Click To expand
Figure 9.18: Examining password policies stored under the Computer Configuration node in the Group Policy snap-in

Administering Account Lockout Policies

Group Policy's Account Lockout Policy provides the ability to specify how Windows XP Professional should respond to failed login attempts. The purpose of these policies is to protect the computer by disabling an account if its associated password is incorrectly specified too many times. This helps to prevent unauthorized access by preventing someone from trying to gain access by repeatedlyguessing an account's password. Once locked out, an account cannot be used to establish a login session until an administrator unlocks it, unless otherwise specified by policy.

Table 9.7 defines the policies that make up the Account Lockout Policy.

Table 9.7: Account Lockout Policies
Policy | Default Setting
Account lockout duration | Not Applicable
Account lockout threshold | 0 invalid logon attempts
Reset account lockout counter after | Not Applicable

To access the Account Lockout policy, open the Group Policy console and expand the Computer Configuration node as follows:

\Computer Configuration\Windows Settings\Security
      Settings\Account Policies\Account Lockout Policy

Establishing Audit Policies

Group Policy's Audit Policy provides access to a collection of policies that determine what type of Windows events will be recorded in the Windows XP Security event log. By default, auditing is disabled and no audit events are generated. The following audit policies are available:

  • Audit account logon events. Tracks failed or successful user logins

  • Audit account management. Tracks user and group account creation, modification, and deletion

  • Audit directory service access. Tracks access to Active Directory objects

  • Audit logon events. Tracks network connections to local resources

  • Audit object access. Tracks user access of files, folders, and printers

  • Audit policy change. Tracks changes made to audit policies

  • Audit privilege use. Tracks the use of user rights as defined by User Rights Policy

  • Audit process tracking. Tracks application activity

  • Audit system events. Tracks events such as computer startup and shutdown

To access the Audit Policy, open the Group Policy console and expand the Computer Configuration node as follows:

\Computer Configuration\Windows Settings\Security Settings\
      Local Policies\Audit Policy

Windows XP Professional can audit both Success and Failure events, such as when users successfully manage to log in to Windows XP or when they fail to do so. For example, to enable the ability to audit both successful and failed logon events, the administrator would double-click on the Audit account logon events policy. This opens the Audit account logon events Properties dialog, as shown in Figure 9.19. Selecting Success and Failure enables the ability to audit logon attempts. Clearing these options disables this ability.

Click To expand
Figure 9.19: Configuring the Audit account logon event policy


Monitoring Audit Events

In order to enable auditing on Windows XP Professional, two steps must be performed. The first step is to enable one or more audit policies, as previously described. Enabling audit policies turns on the ability to perform auditing on the computer. It does not actually cause any audit activity to begin. The second step to enabling auditing is to access individual Windows XP resources and configure them as audited resources.

Turning Auditing On for Specific Windows Resources

The following procedure outlines the steps involved in turning on auditing for a specific Windows resource such as a file, folder, or printer.

  1. Locate a Windows resource, right-click on it and select Properties. The resource's Properties dialog appears.

  2. Select the Security property sheet.

  3. Click on Advanced. The Advanced Security Setting for dialog appears.

  4. Select the Auditing property sheet, as shown in Figure 9.20.

    Click To expand
    Figure 9.20: Configuring audit settings for the selected resource

  5. Click on Add. The Select User or Group dialog appears.

  6. Select a user or group to audit and click on OK. The Auditing Entry for dialog appears, as shown in Figure 9.21.

    Click To expand
    Figure 9.21: Configuring detailed audit settings

  7. Specify how auditing is to be applied by selecting an audit option from the Apply onto drop-down list.

  8. Select what types of audit events to report (such as Successful and/or Failed).

  9. Click on OK twice.

Monitoring Audit Events

Audit events are recorded in one of three event logs maintained by Windows XP Professional called the Security event log. This log can be viewed and administered using the Event Viewer snap-in or the Event Viewer extension found in the Computer Management console.

Note

For information on how to administer Windows XP event logs, refer to "Managing Windows XP Event Logs" in Chapter 10, "Microsoft Management Consoles."

The following procedure outlines the steps required to open the Security Event log using the Event Viewer extension found in the Computer Management console.

  1. Click on Start and then right-click on My Computer and select Manage. The Computer Management console appears.

  2. To view a Security event log located on a remote computer, right-click on Computer Management, select Connect to another computer, specify the computer's name or IP address, and click on OK.

  3. Expand the System Tool node in the console tree.

  4. Expand the Event Viewer node on the console tree.

  5. Select the Security node. If auditing has been enabled and configured for specific Windows resources, a list of security and audit events is displayed, as demonstrated in Figure 9.22.

    Click To expand
    Figure 9.22: Accessing the records stored in Windows XP's Security event log

Two types of events are recorded to the Security event log, as shown below.

  • Success Audit. Represents a successful audit event, such as a successful user login

  • Failure Audit. Represents a failed audit event, such as a failed user login

The Windows XP Security event log also associates an icon with each type of security event, making event types easy to identify. A yellow key icon represents a Success Audit event, whereas a yellow padlock icon represents a Failed Audit event. To view the contents of a particular event, double-click on it. The event's Properties dialog appears and displays detailed information about the event, as demonstrated in Figure 9.23.

Click To expand
Figure 9.23: Examining a successful logon event record


Chapter 10: Microsoft Management Consoles

Overview

This chapter introduces the MMC (Microsoft Management Console) as a framework for running administration tools that assist administrators in managing computers. Using an MMC, administrators can manage both local and remote network computers from their own desktops.

In earlier Microsoft operating systems, administrators had to learn how to use a number of very different management tools in order to perform their duties. Microsoft has reworked and migrated many of these management tools so that they now operate within the context of the MMC framework. In doing so, Microsoft has provided administrators with a consistent user interface that makes the learning curve for working with the tools a lot shorter.

Administrators can also use the MMC framework to create their own custom management tools, allowing them to add and remove components as best suits the manner in which they work. The ability to create custom management consoles allows administrators to create consoles that focus on a single task and then to delegate the use of these consoles to less experienced administrators. This assists administrators in distributing their workload without overwhelming new administrators with tools that contain components for which they have not been trained.


MMC Administration

The MMC is an application management framework that provides a consistent interface and methodology for implementing and using system administration tools. By itself, the MMC does not provide any administrative capabilities.

However, components known as snap-ins can be added to a console, providing a specific management capability.

MMCs provide a standard interface for working with administrative tools or snap-ins. This simplifies overall administration and shortens the learning curve for learning how to work with new consoles. Third-party software developers can also take advantage of MMCs and may add their own consoles and snap-ins to the computer.

MMCs are saved as files with an .msc file extension. Table 10.1 lists the default collection of MMCs that are supplied with Windows XP Professional. With one exception noted in the table, all consoles are stored by default in %System-Root%\System32.

Table 10.1: Built-in MMCs
Console | File Name
Certificates | certmgr.msc
Indexing Service | ciadv.msc
Computer Management | compmgmt.msc
Device Manager | devmgmt.msc
Disk Defragmenter | dfrg.msc
Disk Management | diskmgmt.msc
Event Viewer | eventvwr.msc
Shared Folders | fsmgmt.msc
Local Users and Groups | lusrmgr.msc
Removable Storage | ntmsmgr.msc
Removable Store Operator Requests | ntmsoprq.msc
Performance | perfmon.msc
Services | services.msc
Windows Management Infrastructure (WMI) | wmimgmt.msc
Component Services | comexp.msc[*]
[*]By default, all MMCs reside in %SysemRoot%\System32, except for comexp.msc, which is stored in %System-Root%\System32\Com.

Starting an MMC

There are a number of different ways to start an MMC. Some, but not all, of Windows XP's prebuilt consoles can be found in and started from the Administrative Tools folder, as shown in the following procedure.

  1. Click on Start and then Control Panel. The Windows XP Control Panel opens.

  2. Click on Performance and Maintenance to display the Performance and Maintenance folder.

  3. Click on Administrative Tools. The Administrative Tools folder appears, as shown in Figure 10.1.

    Click To expand
    Figure 10.1: Viewing the MMCs stored in the Administrative Tools folder

  4. The following consoles are displayed:

    • Component Services

    • Computer Management

    • Data Sources (ODBC)

    • Event Viewer

    • Local Security Policy

    • Performance

    • Services

Double-click on an icon to open any of these listed consoles.

Consoles can also be started by locating them in %System-Root%\System32 or %System-Root%\System32\Com and double-clicking on them. In addition, consoles can be quickly opened from the Run dialog, using the following procedure.

  1. Click on Start and then Run. The Run dialog appears.

  2. Type in the name of one of the consoles that reside in the %System-Root%\System32 folder, including its .msc file extension as specified in Table 10.1, and click on OK.

  3. To open a console located in a different folder, type the name of the console including its .msc extension and its complete path and click on OK.

Tip

By default, Windows XP Professional's built-in consoles manage the local computer. This focus can be changed once the console has been opened by right-clicking on the root of the console tree and selecting the Connect to another computer option. Alternatively, administrators can open a console from the Run dialog and target its focus to a remote network computer by appending / computer=xxxxxx to the end of the console name. For example, the following statement opens the Computer Management console and sets it to administer a network computer named MktingPC.

 compmgmt.msc /computer=MktingPC
Note

The consoles in the %System-Root%\System32 folder can be started without specifying their complement path because the %System-Root%\System32 folder is automatically added to each user's search path.

MMC Snap-ins and Extensions

Another advantage of MMC is that administrators can use it to build their own custom management tools. This is done by running MMC.exe to open a new empty console and then adding snap-ins. Table 10.2 lists the default collections of snap-ins provided with Windows XP Professional.

Table 10.2: MMC Snap-ins
Snap-in | Description
ActiveX Control | Allows ActiveX controls to be added to a console
Certificates | Permits the browsing of user, service, or computer certificates
Component Services | A COM+ management tool
Computer Management | A collection of system and computer management tools
Device Manager | Manages hardware and hardware resources
Disk Defragmenter | Defrags local hard disk drives
Disk Management | Provides dynamic disk and volume management
Event Viewer | Manages event logs
Folder | Adds folders to MMCs
Group Policy | Administers group policy objects
Indexing Service | Searches the Windows XP index
IP Security Monitor | Monitors IP Security status
IP Security Policy Management | Sets IPSec security policies
Link to Web Address | Adds a link to a Web page
Local Users and Groups | Manages local user and group accounts
Performance Logs and Alerts | Collects performance data
Removable Storage Management | Catalogs removable storage devices
Resultant Set of Policy | Displays policies governing the local user
Security Configuration and Analysis | Provides security configuration and analysis when the computer uses security templates
Security Templates | Edits security templates
Services | Manages Windows XP services
Shared Folders | Manages shared folders
WMI Control | Configures WMI (Windows Management Instrumentation)

Snap-ins add various capabilities to a console. For example, the Services snap-in provides the ability to stop, start, pause, resume, and restart services, as well as the ability to configure service properties.

In addition to snap-ins, MMCs may contain extensions. Extensions are components that cannot stand on their own; instead they require a hosting snap-in. For example, the Computer Management snap-in provides administrative control over the following resources:

  • Event logs

  • Shared folders

  • User and group accounts

  • Performance data

  • Hardware devices

  • Removable storage devices

  • Disk management tools

  • Windows XP services

  • WMI control

  • Indexing service

The Computer Management snap-in is actually composed of 10 extensions. Extensions can be enabled and disabled. Therefore, an administrator can create a new console by adding the Computer Management snap-in and yet limit its functionality by disabling some of its extensions.

Creating a Custom Console

In addition to working with Windows XP Professional's prebuilt collection of MMCs, administrators can use snap-ins and extensions to create their own specialized consoles. New consoles can be created either by opening an existing console and modifying it or by creating a new console from scratch. To perform these procedures, you must first run MMC.exe, which opens an empty MMC console. This tool allows administrators to work with consoles in author mode. In author mode, the administrator can add and remove snap-ins and extensions to a console. Once the console has been configured, it can be saved and later opened in user mode. User mode allows the console to be run but not modified.

The following procedure outlines the steps involved in creating a new console.

  1. Click on Start and then Run. The Run dialog appears.

  2. Type MMC and press Enter. This creates a new empty console and opens it in author mode, as shown in Figure 10.2.

    Click To expand
    Figure 10.2: Creating a customized MMC

  3. A generic Console Root node is automatically added on the left-hand side of the console. Rename this node by right-clicking on it, selecting Rename, typing a new name for the root, and pressing the Enter key.

  4. New entries can now be added to the root by clicking on the Add/Remove Snap-in option on the File menu. This opens the Add/Remove Snap-in dialog, as shown in Figure 10.3.

    Click To expand
    Figure 10.3: Adding a snap-in to an MMC

  5. A drop-down list at the top of the dialog contains a list of elements within the console under which snap-ins can be added. At the moment, only the root node exists, and it is selected by default.

  6. Click on Add to open the Add Standalone Snap-in dialog, as shown in Figure 10.4.

    Click To expand
    Figure 10.4: Selecting the snap-in to add to the new MMC

  7. A list of snap-ins is displayed. In addition to snap-ins, the following can also be added:

    • Folder. Used to organize and group other snap-ins

    • Link to Web Address. Used to provide links to a Web page where helpful information is located Select any number of snap-ins that should be children of the console root by selecting each snap-in and clicking on Add.

  8. Depending on the snap-in that is added, a dialog similar to the one shown in Figure 10.5 may appear and present any of the following options:

    Click To expand
    Figure 10.5: Specify whether the snap-in will be used to manage the local computer or a network computer

    • Local computer

    • Another computer

    • Allow the selected computer to be changed when launching from the command line

    These options determine how the initial target computer is set when the console is first opened.

  9. The snap-ins that were selected appear on the Standalone property sheet on the Add/Remove Snap-in dialog, as shown in Figure 10.6.

    Click To expand
    Figure 10.6: Viewing snap-ins that have been added to the new MMC

  10. Additional snap-ins can be added either by adding them to the root node or by selecting any other element in the console tree, such as a folder, using the Snap-ins added to drop-down list and then clicking on Add. This allows the selection of more snap-ins and the creation of more branches to the console tree.

  11. If any of the snap-ins that were added contain extensions, they can be further configured from the Extension property sheet on the Add/Remove Snap-in dialog, as demonstrated in Figure 10.7.

    Click To expand
    Figure 10.7: Select the extensions that are to appear in a custom console containing the Computer Management snap-in

  12. Select a snap-in that contains extension from the Snap-ins that can be extended option and then either leave the Add all extensions option selected or clear it and select or deselect any of the available extensions for that snap-in.

  13. When done adding snap-ins and configuring extensions, click on OK to close the Add/Remove Snap-in dialog.

  14. The new custom console, with all its snap-ins and extensions, is displayed. To save the console, click on the Save option located in the File menu. The Save as dialog appears. The default storage location for the snap-ins will be \Documents and Settings\username\Start Menu\ Programs\Administrative Tools. Type a name for the console, making sure to keep the .msc file extension, and click on Save.

Once saved, the custom console can be opened by double-clicking on it in \Documents and Settings\username\Start Menu\Programs\Administrative Tools. This opens it in author mode, allowing the console to be further modified. If no more changes are needed, another copy of the console can be saved in user mode, which will prevent that copy from being modified, using the following procedure.

  1. Open the new custom console and make any additional changes that are required.

  2. Click on File and select Options. The Options dialog appears, as shown in Figure 10.8.

    Click To expand
    Figure 10.8: Saving the custom console in user mode

  3. If desired, the name of the console or its associated icon can be changed at the top of the Console property sheet by retyping its name or clicking on Change Icon.

  4. The Console mode setting determines the execution mode for the console. Four options are available:

    • Author mode. Gives the user the ability to modify the console.

    • User mode–full access. Gives the user access to Windows management commands and the console tree but not to add or remove snap-ins.

    • User mode–limited access, multiple window. Limits user access to the portion of the console that was visible when it was saved. This option also allows users to open a new console window but prevents the user from closing exiting windows.

    • User mode–limited access, single window. Limits user access to the portion of the console that was visible when it was saved and prevents the user from opening a new console window.

    Select one of the last two user modes.

  5. At the bottom of the Console property sheet are two additional configuration options, as listed below.

    • Do not save changes to this console. Prevents the user from saving any changes to the console

    • Allow the user to customize views. Determines whether the user can call windows that are rooted on console items

    These two options are enabled only when one of the three user modes is selected. Select these options as desired and click on OK.

  6. Click on File and then select Save.

  7. Close the console and reopen it to examine how it operates in user mode.


Working with the Computer Management Console

Of all the predefined MMCs provided by Windows XP Professional, the Computer Management, or compmgmt.msc, shown in Figure 10.9, is the one that administrators use the most. It can be started by any of the following means:

  • Double-click on its icon in the Administrative Tools folder

  • Double-click on its icon in the %System-Root%\System32 folder

  • Type compmgmt.msc at the Windows XP Run dialog

  • Type compmgmt.msc /computer=xxxxxx at the Windows XP Run dialog

Click To expand
Figure 10.9: Managing local and network computers using the Computer Management console

The Computer Management console contains only one snap-in, the Computer Management snap-in. This snap-in consists of a collection of extensions.

Note

Many of the extensions found in the Computer Management snap-in also exist separately as independent snap-ins. For example, there is an Event Viewer snap-in that provides the same functionality as the Event Viewer extension.

The Computer Management console is organized into three main nodes, as shown below.

  • System Tools. Provides access to a collection of extensions that manage event logs, shared folders, user and group accounts, performance logs and alerts, and hardware devices

  • Storage. Provides access to a collection of extensions that provide control over various disk management features

  • Services and Applications. Provides access to tools that manage Windows XP services and WMI

By default, the Computer Management console administers the local computer. However, any network computer to which the administrator has administrative privileges can be managed from the Computer Management console using the following procedure.

  1. Open the Computer Management Console.

  2. Right-click on the Computer Management root node and select the Connect to Another Computer option. The Select Computer dialog appears, as shown in Figure 10.10.

    Click To expand
    Figure 10.10: Specifying the name of a network computer to manage

  3. Type the name of the target computer or its IP address in the Another computer field and click on OK.

Although the Computer Management console, like other MMCs, provides access to extensions or snap-ins that contain system administration tools, it does not provide the access privileges required to use the tools. In other words, administrative privileges are still required to perform administrative tasks. To use the Computer Management console to manage remote computers, the administrator must also have administrative privileges on each remote network computer that is to be managed.

System Tools

The System Tools branch of the Computer Management snap-in contains the following five extensions.

  • Event Viewer. Provides access and management over Windows XP Professional Application, System, and Security logs

  • Shared Folders. Provides access to the computer's shared folders, active sessions, and open files as well as the ability to create new shares, terminate existing shares, send messages to users, and terminate access to files, sessions, and folders

  • Local Users and Groups. Provides access to user and group accounts configured on the computer as well as the ability to manage them

  • Performance Logs and Alerts. Provides the ability to collect performance data and create logs and alerts based on predetermined thresholds

  • Device Manager. Provides the ability to view computer hardware and to manage the resources assigned to hardware

Managing Windows XP Event Logs

Windows XP Professional stores information about events that occur on the computer in event logs. Administrators can use the information stored in these logs to monitor system performance, look for information when troubleshooting problems and to audit user activity. Windows XP Professional maintains three separate event logs. These logs include:

  • The Application Event Log. Stores information regarding events produced by applications

  • The Security Event Log. Stores audit events that record information about user activity

  • The System Event Log. Stores information regarding operating system, hardware, and software driver activity

To view a particular event log, expand the Event Viewer node on the Computer Management console tree and then select one of the logs. Figure 10.11 shows a listing of alerts in the System event log. System and application events are classified into the following categories:

Click To expand
Figure 10.11: Viewing events stored in the System log

  • Error. A serious event that indicates a problem with the operation of the operating system, services, drivers, or applications

  • Warning. An event that may indicate a problem or a potential problem but that does not necessary affect performance of the operating system or its services, drivers, and applications

  • Information. An informational event that does not indicate a problem

Double-clicking on an event displays the Event Properties dialog, as demonstrated in Figure 10.12. Information found here includes the date and time that the event was logged, and the event type, source, and category. In addition, if the event is associated with a user, a username is displayed. The description section displays the text of the event message and may include advice on how to handle it as well as a link to additional information on the Internet.

Click To expand
Figure 10.12: Examining an error message in the System log
Configuring Event Logs

Windows XP Professional automatically manages the event logs. Each event log is automatically preconfigured to be 512KB in size. When logs become full, the oldest recorded events are automatically overwritten by newer events. Administrators may wish to increase the size of event logs when trying to troubleshoot a problem to ensure that valuable information is not overwritten before it has a chance to be examined. In addition, administrators may wish to specify how event logs are handled when they fill up. Available options include:

  • Overwriting them as needed. This is the default setting.

  • Overwriting events older than a specified age. This prevents Windows XP from overwriting an event for a certain period of time. However, if a log fills up and there are no events eligible to be overridden, new events will not be recorded to the log.

  • Never overwrite events. This prevents any event from being overwritten and places the burden on administrators to manually manage event logs.

Windows XP Professional does not display any type of warning message when an event log fills up, preventing it from recording new events. Therefore, it is critical that administrators who elect to manually manage event logs keep a close eye on the logs. Any log that has not had an event recently posted to it may be full.

Each event log is configured and managed separately.The following procedure outlines the steps involved in configuring the size and logging method for event logs.

  1. Open the Computer Management console.

  2. Expand the System Tools node.

  3. Expand the Event Viewer node to display the three event logs.

  4. Right-click on one of the event logs and select Properties. The System Properties dialog for the event log appears, as shown in Figure 10.13.

    Click To expand
    Figure 10.13: Configuring event log properties

  5. To change the size of the log file, type a new value in the Maximum log size field.

  6. To change the manner in which events are written to the log when it becomes full, select one of the following options:

    • Overwrite events as needed.

    • Overwrite events older than _ days.

    • Do not overwrite events (clear log manually).

  7. Click on OK to close the log's property dialog and return to the Computer Management console.

Manually Administering Event Logs

If administrators choose to manually administer event logs, a number of administrative tasks must be performed. These tasks include:

  • Clearing the event logs when they become full

  • Saving the contents of an event log for later review

  • Retrieving the contents of saved event logs for review and analysis

The following procedure outlines the steps involved in clearing an event log.

  1. Open the Computer Management console.

  2. Expand the System Tools node.

  3. Expand the Event Viewer node to display the three event logs.

  4. Select the event log to be cleared and then select the Clear all Events option on the Computer Management console's Action menu.

  5. Click on No when prompted to save the log.

Administrators may wish to save event logs when troubleshooting a problem or to maintain a history of event logs. The following procedure outlines the steps involved in saving an event log.

  1. Open the Computer Management console.

  2. Expand the System Tools node.

  3. Expand the Event Viewer node to display the three event logs.

  4. Select the event log to be saved and then select the Save Log File As option on the Computer Management console's Action menu.

  5. Type a name for the log file and click on Save.

The following procedure outlines the steps involved in retrieving and viewing a saved event log should an administrator later decide to review its contents.

  1. Open the Computer Management console.

  2. Expand the System Tools node.

  3. Expand the Event Viewer node to display the three event logs.

  4. Select an event log and then select the Open Log File option on the Computer Management console's Action menu. The Open dialog appears.

  5. Specify the name of the archive log file and click on Open.

Administering Shared Folders

The Shared Folders extension on the Computer Management snap-in, shown in Figure 10.14, provides administrative control over the following resources:

  • Shares. A folder or drive that has been made available to other computers on a network

  • Sessions. A list of network connections established with the computer

  • Open Files. A list of local files currently being accessed by network users

Click To expand
Figure 10.14: Viewing shared drives and folders

Using the Shared Folders extension, administrators can perform a number of tasks including:

  • View the current list of shares including hidden shares (for example, shares with the symbol $ appended to the end of their name)

  • View the number of currently established network connections to shared folders and drives

  • View all active network sessions with the computer

  • Disconnect network sessions

  • View local files currently being accessed over the network and see who is accessing them

  • Terminate access to files

  • Creating shares on remote computers

  • Send messages to users or computers

Note

More detailed information on working with the Computer Management snap-in's Local Users and Groups extension is available in "Working with the Local Users and Groups Snap-In" in Chapter 9, "Security Administration."

User and Group Account Administration

The Local Users and Groups extension on the Computer Management snap-in, shown in Figure 10.15, provides administrative control over the creation and management of both user and group accounts. It is organized into two folders, which are listed below.

Click To expand
Figure 10.15: Managing user and group accounts

  • Users. Contains a list of all user accounts stored on the target computer. Each user account in the list can be opened and modified.

  • Groups. Contains a list of all group accounts stored on the target computer. Each group account in the list can be opened and its membership modified.

The Local Users and Group extension allows administrators to perform any of the following tasks:

  • View existing user and group accounts

  • Add, modify, and delete user and group accounts

  • Add and remove user accounts to and from group accounts

  • Change user account passwords

  • Modify user account information

  • Configure individual password settings

  • Enable and disable user accounts

  • Modify user profile and home folder settings

Note

More detailed information on working with the Computer Management snap-in's Shared Folder extension is available in "Monitoring Access to Shared Drives and Folders" in Chapter 19, "Printer and Disk Sharing."

Tracking Performance Data

The Performance Logs and Alerts extension on the Computer Management snap-in, shown in Figure 10.16, is used to create logs and alerts that report on performance data. Data is collected by specifying one or more objects to be monitored.Then counters are selected for each object that measure a particular aspect of the object's performance. In addition, data can be displayed in multiple formats, including:

  • Graph

  • Histogram

  • Report

Click To expand
Figure 10.16: Examining performance logs and alerts

Data collected in logs can be viewed using the Performance snap-in and can also be imported into databases and spreadsheets such as Microsoft Access and Microsoft Excel. Data can also be used to create baseline measurements of computer performance and then later used to compare performance of the computer if performance becomes an issue.

The Performance Logs and Alerts extension is organized into three sections, as shown below.

  • Counter Logs. Collects and logs performance data at predefined intervals

  • Trace Logs. Collects and logs performance data based on events that exceed a predetermined threshold

  • Alerts. Notifies administrators of events that exceed predefined thresholds

Note

More detailed information on working with the Computer Management snap-in's Performance Logs and Alerts extension is available in "Performance Logs and Alerts" in Chapter 13, "Performance Tuning."

Managing Hardware Devices

The Device Manager extension on the Computer Management snap-in, shown in Figure 10.17, is used to view and administer a computer's hardware. The Device Manager extension provides administrators with a graphical tool for reviewing device resource assignment and manually altering the resource assignment of any of the following resources.

Click To expand
Figure 10.17: The Device Manager extension allows administrators to view and configure all the hardware devices installed on a computer

  • DMA

  • I/O

  • IRQs

  • Memory

In addition to configuring hardware resources, the Device Manager extension can assist the administrator in performing all of the following hardware-related tasks.

  • Enabling or disabling a hardware device

  • Updating a device's software driver

  • Rolling back a driver to a previous version to recover from a problem with the newer version

  • Removing software drivers

Note

More detailed information on working with the Computer Management snap-in's Device Manager extension is available in "Device Manager" in Chapter 2, "Installing and Upgrading to Windows XP Professional."

Storage

The Storage branch of the Computer Management snap-in contains three extensions that are designed to assist the administrator in the management of disk storage. The list of disk management extensions include:

  • Removable Storage. Provides the ability to track removable storage media

  • Disk Defragmenter. Analyzes and reorganizes the storage of files on the disk drive to provide faster access and more efficient storage

  • Disk Management. Provides a graphical interface for viewing and managing disk drives, including the ability to partition, format, and change drive letter assignment

Working with Removable Storage Devices

The Removable Storage extension on the Computer Management snap-in, shown in Figure 10.18, is used to track and administer removable storage media. It can also assist in the management of jukebox libraries and similar storage devices.

Click To expand
Figure 10.18: Managing removable media storage

The Removable Storage extension is organized into two sections, as shown below.

  • Media. Assists administrators in the management of removable media. Examples of removable media include tapes, floppy disks, removable hard disks, and compact discs.

  • Libraries. Manages jukeboxes and other similar devices.

The Removable Storage extension can assist administrators in performing any of the following tasks:

  • Displaying media and library status information

  • Cleaning tape drives

  • Inventorying jukeboxes and libraries

  • Creating media pools

  • Inserting and ejecting media in automated devices

  • Mounting and dismounting media

Note

More detailed information on working with the Computer Management snap-in's Removable Storage extension is available in Chapter 11, "Disk Management."

Defragmenting Hard Disk Drives

The Disk Defragmenter branch of the Computer Management snap-in, shown in Figure 10.19, displays information about every hard disk drive installed on the computer. This information includes:

  • Volume name

  • Session status

  • File system

  • Capacity

  • Free space

  • % free space

Click To expand
Figure 10.19: Analyzing and defragging disk space

Clicking on Analyze performs an analysis of the selected disk drive. Results are graphically displayed in the Estimated disk usage before defragmentation bar using the following color scheme:

  • Red. Represents the amount of disk fragmentation

  • Blue. Represents the number of files stored in contiguous disk space

  • Green. Represents systems files that cannot be moved

  • White. Represents the amount of unused disk space

Click on Defragment to defrag the selected disk drive. The status of the defrag process can be monitored by comparing graphic data displayed in the Estimated disk usage before defragmentation bar and the Estimated disk usage after defragmentation bar.

Note

More detailed information on the use of the Disk Defragmenter extension in the Computer Management snap-in is available in "Disk Defragmenter" in Chapter 11, "Disk Management."

Freeing Up Disk Space

The Disk Management branch of the Computer Management snap-in, shown in Figure 10.20, displays information about every disk on the computer. This information includes:

  • Volume name

  • Layout

  • Type

  • File system

  • Status

  • Capacity

  • Free space

  • % free

  • Fault tolerance

  • Overhead

Click To expand
Figure 10.20: Performing disk drive administration

The Disk Management extension assists administrators in performing the following tasks:

  • Examining drive status and properties

  • Changing drive letter assignments

  • Marking a partition as active

  • Formatting a partition

  • Deleting a partition

  • Creating a partition

  • Working with basic and dynamic disks

Note

More detailed information on working with the Computer Management snap-in's Disk Management extension is available in Chapter 11, "Disk Management."

Services and Applications

The Services and Applications branch of the Computer Management snap-in contains three extensions that are designed to assist the administrator in managing Windows XP services and applications. The extensions that make up this branch of the Computer Management console include:

  • Services. Displays Windows XP services and provides the ability to start, stop, pause, and resume them as well as to configure their automatic startup and other properties

  • WMI Control. Provides control of WMI settings, which are used by other Windows utilities to collect and display system information

  • Indexing Service. Provides the ability to start, stop, query, and administer the Windows XP Indexing Service, which maintains a searchable index of information stored in documents located on the computer

Services Administration

The Services branch of the Computer Management snap-in, shown in Figure 10.21, displays a list of all Windows XP services installed on the computer as well as their current status, which is either started, stopped, or paused. Using the Services extension, administrators can perform any of the following actions:

  • Start a service

  • Stop a service

  • Pause a service

  • Resume a service

  • Restart a service

  • Edit a service's properties

Click To expand
Figure 10.21: Managing Windows XP services

The following procedure outlines the steps involved in administering a service.

  1. Open the Computer Management console.

  2. Expand the Services and Applications node.

  3. Select Services to view a list of Windows XP services.

  4. Right-click on an individual service and select one of the following options:

    • Start

    • Stop

    • Pause

    • Resume

    • Restart

    • Properties

Each service has its own Properties dialog that allows detailed administration over the service. Each service's Properties dialog is organized into four property sheets, as outlined below.

  • General. Displays the service's name and description and provides control over its startup type and status.

  • Log On. Allows the administrator to associate a specific user account with the service in the event that the service needs to run using specific account permissions.

  • Recovery. Defines a series of steps that Windows XP is to follow in the event that a service fails. Possible actions include restarting the service or computer.

  • Dependencies. Displays a list of other services upon which the service is dependent as well as a list of services that depend on the service.

Configuring Startup Options

Some Windows XP services, like the Workstation and Plug and Play services, are active all the time. Other services, such as the Fax service, are only started when the administrator configures them, while still other services, depending on how the computer is used, may never be started.

There are three startup types for services. These are:

  • Automatic. Starts the service when the computer is started

  • Manual. Allows the service to be manually started

  • Disabled. Prevents service startup

The following procedure outlines the steps involved in configuring service startup.

  1. Open the Computer Management console.

  2. Expand the Services and Applications node.

  3. Select Services.

  4. Right-click on an individual service and select Properties. The Properties dialog for the service appears.

  5. Make sure that the General property sheet is selected, as shown in Figure 10.22.

    Click To expand
    Figure 10.22: Specifying service startup type

  6. Select a startup option from the Startup type drop-down list.

  7. Click on OK.

Associating a User Account with a Service

Most Windows XP services are executed using the Windows XP LocalService account. This account provides the service with the access permissions that it requires to operate and perform its work. Sometimes applications install their own service or set of services, which may require special security permission in order to perform their function. In this case, the application's documentation will ask the administrator to create a new user account with appropriate permissions to run the service and then ask that the account be associated with the service.

Chapter 9, "Security Administration," explains the steps involved in creating new user accounts. Once a new account has been created, the following procedure can be used to associate the account with its service.

  1. Open the Computer Management console.

  2. Expand the Services and Applications node.

  3. Select Services.

  4. Right-click on the service and select Properties. The Properties dialog for the service appears.

  5. Select the Log On property sheet, as shown in Figure 10.23.

    Click To expand
    Figure 10.23: Associating a user account with a service to ensure that it has the security permissions that it requires to execute

  6. Select the This account option and type the name of the new account in the field provided.

  7. Type the account's password in the Password and Confirm password field.

  8. Click on OK.

Setting Service Recovery Options

Sometimes problems occur with services, causing them to fail. Using the Recovery property sheet on the service's Properties dialog, administrators can tell Windows XP Professional how to react by specifying one of four recovery options. These options include:

  • Take No Action. Tells Windows XP not to take any action. However, an error will still be logged to the System Event Log. This places the burden on the administrator to discover and deal with the service failure.

  • Restart the Service. Tells Windows XP to automatically restart the service. Services can fail for a variety of reasons, not all of which are critical, meaning that a restart will often be successful.

  • Run a File. Tells Windows XP to run a program or script if the service fails. A script, for example, might perform a number of corrective actions and then end by attempting to restart the service.

  • Reboot the Computer. Tells Windows XP to restart the computer if the service fails. This is a particularly drastic option and should only be used with great care because a restart of the computer will disrupt all activity currently occurring on the computer.

Note

Services can fail for a number of reasons. For example, a prerequisite service may fail or be stopped by an administrator, or a required program or file may be accidentally deleted from the computer.

The following procedure outlines the steps involved in configuring service recovery.

  1. Open the Computer Management console.

  2. Expand the Services and Applications node.

  3. Select Services.

  4. Right-click on a service and select Properties. The Properties dialog for the service appears.

  5. Select the Recovery property sheet, as shown in Figure 10.24.

    Click To expand
    Figure 10.24: Telling Windows XP Professional what to do if a service fails

  6. Select a recovery option for each of the following:

    • First failure

    • Second failure

    • Subsequent failures

  7. Set the Reset fail count after option to indicate the number of days that must pass without any further failures occurring in order for the failure count to be returned to zero. Once returned to zero, any subsequent failure will be treated as the first failure occurrence.

  8. If the Restart the service option is selected as one of the recovery options, the Restart service after field will become enabled. Use this field to specify the number of minutes that Windows XP should wait before trying to restart the failed service.

  9. If the Run a File option is selected as one of the recovery options, the Run program section will become enabled, allowing the administrator to supply a program or script that should be executed.

  10. If the Restart the Computer option is selected as one of the recovery options, the Restart Computer Option button becomes enabled. Click on this button and specify the number of minutes that Windows XP should wait before restarting the computer. In addition, a message can be specified that will be sent to all network computers that currently have a connection to the computer. Click OK to return to the service's Properties dialog.

  11. Click on OK.

Examining Service Dependencies

Some services depend on other services in order to execute. Before stopping or pausing a service, it is important to know what other services, if any, will be affected. Checking service dependencies allows administrators to stop services in an orderly fashion and to minimize the possibility of errors.

The following procedure outlines the steps involved in checking service dependencies.

  1. Open the Computer Management console.

  2. Expand the Services and Applications Node.

  3. Select Services.

  4. Right-click on the service and select Properties. The Properties dialog for the service appears.

  5. Select the Dependencies property sheet, as shown in Figure 10.25.

    Click To expand
    Figure 10.25: Examining services dependent upon the service

  6. The top half of the property sheet displays a list of services that the selected service depends on in order to operate properly. Make sure that any required services are running before attempting to start the selected service. The lower half of the property sheet lists services that depend on the selected service. Stopping the selected service without first stopping services that depend on it may cause problems for dependent services.

  7. Click on OK.

WMI

The WMI Control branch of the Computer Management snap-in provides administrators with the ability to control WMI settings. WMI is Microsoft's implementation of the Web-Based Enterprise Management or WBEM initiative, which defines rules and standards for accessing system information over a network. It is used by a number of Windows XP components, including:

  • System Properties

  • System Information

  • Services

To administer WMI, right-click on the WMI Control node in the Services and Applications section and select Properties. This opens the WMI Control Properties dialog, as shown in Figure 10.26

Click To expand
Figure 10.26: Administering WMI Control properties

WMI Control settings are organized into five property sheets, as outlined below.

  • General. Displays information about the computer, including the WMI version. Clicking on the Change button allows the administrator to change the username used to log in to a remote network computer. This allows administrators to log on using a user account that has different levels of access permissions than the one normally used to log in to their local computer.

  • Logging. Allows administrators to set the logging WMI level to disabled, errors only, or verbose, as well as log size and location. The error log is used to troubleshoot WMI problems.

  • Backup\Restore. Allows administrators to back up the WMI repository, a database of objects accessed via WMI, and to later restore it in the event of a problem. By default, the backup copy of the repository is stored in %System-Root%\System32\wbem\Repository with a filename specified by the administrator that has a .rec file extension.

  • Security. Allows administrators to configure user and group access to WMI services and tasks, including the ability to set permissions for specific namespaces.

  • Advanced. Allows the administrator to change the WMI default namespace.

Note

Additional information on how to work with the WMI Control is available by right-clicking on the WMI Control node in the Computer Management console and selecting Help.

Configuring the Indexing Service

The Indexing Service branch of the Computer Management snap-in, shown in Figure 10.27, creates a systemwide index of documents stored on the computer in order to provide faster searches. The Indexing Service scans documents, performs keyword searches, and passes all matches to the indexer. The Indexing Service scans many types of documents. The default set of documents includes:

  • Microsoft Office documents

  • Text documents

  • HTML pages

  • Internet mail and news

Click To expand
Figure 10.27: Performing an index text query

The Indexing Service can be started, stopped, or paused by right-clicking on the Indexing Service node in the Computer Management console tree. This service can also be configured using the Services extension on the Computer Management console. Once started, it runs automatically and requires no administration unless administrators decide to add custom filters, which will allow the Indexing Service to scan other types of documents.

Administrators can customize the performance of the Indexing Service to balance the level of service required by users against the system resources consumed by the service using the following procedure.

  1. Open the Computer Management console.

  2. Expand the Services and Applications node.

  3. Right-click on the Indexing Service, select All Tasks, and then click on Tune Performance. The Indexing Service Usage dialog appears, as shown in Figure 10.28.

    Figure 10.28: Configuring Indexing Service performance

  4. The following performance settings are available:

    • Used often

    • Used occasionally

    • Never used

    • Customize

    Select the option that best describes the manner in which the Indexing Service is used on the computer.

  5. If the Customize option was selected, click on the Customize button to display the Desired Performance dialog, as shown in Figure 10.29.

    Click To expand
    Figure 10.29: Setting performance levels for the Indexing Service

  6. Move the Indexing slider to the left to lower the priority placed on performing indexing operations. Move the slider to the right to produce the opposite effect. Move the Querying slider to the left or right to tell the Indexing Service what volume of queries to expect. Click on OK to close the Desired Performance dialog.

  7. Click on OK to close the Indexing Service Usage dialog.

Note

Additional information on how to work with the Indexing Service is available by right-clicking on the Indexing Service node in the Computer Management console and selecting Help.


Chapter 11: Disk Management

The administration of disk drives is a critical management task for administrators. To manage disk drives, administrators require a thorough understanding of Windows XP file systems and their advantages and disadvantages. Administrators need to know about basic and dynamic disks in order to decide which storage method is most appropriate for the computers that they support. Windows operating systems have always supported basic disks. Basic disks are organized into partitions. Dynamic disks are a new addition to Windows operating systems. Dynamic disks are organized into volumes and support a number of advanced configuration options such as disk spanning, in which the space from two or more disk drives can be combined into one logical unit of storage. Disk administration tasks include installing new disk drives and configuring them by creating partitions on basic drives and volumes on dynamic drives. Administrators are responsible for formatting partitions and volumes. Administrators also need to be prepared to assist users in performing a number of tasks. These tasks include setting up file encryption or enabling file compression.

Another important role that administrators perform is disk management. This includes ensuring that adequate disk space is available to meet user needs. This can be achieved through the implementation of disk quotas, which place limits on the amount of disk space that any one user can consume on a shared computer. Administrators also need to ensure that disk drive performance is optimized by regularly analyzing and defragmenting hard disk drives.

Managing Different File Systems

Windows XP Professional manages the storage and retrieval of files on disk drives using file systems. Windows XP Professional supports the following three file systems:

  • FAT(File Allocation Table). Microsoft's original file system. It was originally developed to support the MS-DOS operating system.

  • FAT32.Expands FAT to include support for large disk drives.

  • NTFS(New Technology File System). The recommended file system for Windows XP Professional, providing support for advanced security and a number of other features not found in the other file systems.

Windows XP requires that the administrator select one of these file systems during the Windows XP Professional installation process. However, there are a number of scenarios that may occur that will require administrators to stay involved in the file system selection process. These scenarios include situations where:

  • Additional unused disk space is available on a disk drive that is now needed

  • New disk drives are installed on the computer and need to be set up

  • FAT or FAT32 was used when installing Windows XP Professional and the administrator now needs to convert to NTFS

FAT was first used by the MS-DOS operating system and has since been supported by every Microsoft operating system. FAT works well on small hard disks and floppy disks. It is limited to a maximum partition size of 2GB. Therefore, if a computer has a hard disk drive that is greater than 2GB in size, the drive must be broken down into a series of 2GB or smaller partitions in order to use all its capacity using the FAT file system.

FAT32 was introduced with the second release of Windows 98 or Windows 98 OSR2. It is a modified version of FAT that can support disk partition sizes up to 32GB in size. FAT32 also supports smaller cluster sizes, allowing it to make more efficient use of disk storage.

Note

A cluster is the smallest unit of storage in which a file can be stored. If a file does not fill up an entire cluster, any unused space is wasted. Therefore, by having smaller clusters, the amount of space that may be wasted is significantly reduced.

NTFS is an advanced file system offering better performance and security than FAT or FAT32. Table 11.1 lists some of the advantages of using NTFS.

Table 11.1: Comparison of Windows XP Professional File Systems
Feature | FAT | FAT32 | NTFS
Encrypted File System | No | No | Yes
Compression | No | No | Yes
Disk quotas | No | No | Yes
Advanced security | No | No | Yes
Large volume sizes | No | Limited | Yes

NTFS uses a system of logs and checkpoints to ensure its own integrity. It also supports disk sizes up to 32 exabytes in size. On large disks, NTFS can also use clusters as small as 4KB, which is significantly better than FAT32's 16KB size clusters.

Dual-Boot Considerations

All of the previously mentioned advantages of NTFS usually make it the preferred file system for computers running Windows XP Professional. However, administrators who support computers that dual-boot with other Microsoft operating systems need to take file system and operating system compatibility into account before determining which file system is right for a computer.

Only Microsoft operating systems built on the Windows NT/2000 kernel are capable of accessing NTFS. Therefore, if the computer is set up to dual-boot with Windows XP Professional and Windows 95, 98, or Me and both operating systems need to be able to access the same volumes, FAT or FAT32 must be used. If Windows 95 or Windows 98 (pre OSR2) is used, the only choice is FAT. If Windows 98 OSR2 or Windows Me is used, FAT32 is the better choice. If Windows NT Workstation 4.0 is also loaded on the computer, FAT32 cannot be used, because Windows NT Workstation 4.0 does not support FAT32. In addition, if Windows NT Workstation 4.0 is used and is running with a Service Pack 3 or earlier, it cannot use NTFS either, because it cannot operate with Windows XP's version of NTFS, and Windows XP automatically upgrades all instances of NTFS on the computer to its own version. Table 11.2 provides a high-level overview of each Microsoft operating system's compatibility with each of Microsoft's file systems.

Table 11.2: Comparison of File Systems Supported by Various Windows
Operating System | FAT | FAT32 | NTFS
Windows 95 | Yes | No | No
Windows 98 | Yes | OSR2 Only | No
Windows Me | Yes | Yes | No
Windows NT Workstation 4.0 SP 5 | Yes | No | Yes
Windows 2000 Professional | Yes Yes | Yes |
Windows XP Professional | Yes | Yes | Yes

Converting from FAT or FAT32 to NTFS

NTFS can be set up during the installation of Windows XP Professional. In addition, if an upgrade of an existing operating system that uses FAT or FAT32 is performed, the Windows XP setup program allows the administrator to elect to convert the file system to NTFS as part of the upgrade process.

FAT or FAT32 formatted drives can be converted to NTFS as any time. However, conversion is a one-way process. A drive formatted with NTFS cannot easily be converted back to FAT or FAT32.

Note

The only way to switch from NTFS to FAT or FAT32 is to back up the data stored on the volume, reformat the volume as FAT or FAT32, and then restore the data back onto the volume.

There are two ways to convert a FAT or FAT32 volume to NTFS.

  • Use the Disk Management snap-in or its extension on the Computer Management Console

  • Use the convert command

Use of the Disk Management snap-in and extension is covered later in this chapter. To use the convert command, type the following at the Windows XP command prompt:

convert drive_letter: /FS:NTFS

The placeholder drive_letter represents the drive letter assigned to the drive to be converted.


Windows XP Disk Types

Windows XP Professional supports two different types of disks, basic and dynamic. All Microsoft operating systems until Windows 2000 supported only basic drives. Windows XP Professional automatically treats all new drives as basic drives. Basic drives can be accessed by any Windows operating system and are required to support dual-boot configurations.

Basic disks support the allocation of an entire drive or just a portion of the drive to the formation of a partition. Partitions are then assigned a file system and are used to install operating systems and to store data. Windows XP Professional supports the following types of partitions:

  • Primary.A self-contained area of disk storage, which is formatted using a single file system and assigned a drive letter.

  • Extended.A self-contained area of disk space that can be further subdivided into multiple logical drives, each of which can be assigned its own drive letter. The partition itself does not receive a drive letter assignment.

Windows XP's basic drives permit the establishment of up to four primary partitions on a single disk drive or the creation of three primary partitions and one logical partition, which can then be further subdivided into logical drives. Reasons for partitioning disk drives include:

  • Creating separate partitions for the operating system and data, which prevents the computer from crashing should the data partition run out of storage

  • Creating a separate partition for each operating system in a dual-boot configuration

  • Subdividing a large disk drive into multiple partitions when using the FAT file system in order to work around FAT's 2 GB maximum partition size limitation

  • Establishing a special recovery partition on which administrators can install a second instance of Windows XP Professional for the purpose of booting and troubleshooting in emergency situations

Dynamic drives provide more features than basic disks. The basic unit of storage in a dynamic disk is the volume (as opposed to a partition). Whereas basic drive partitions are limited to 2 terabytes, dynamic drive volumes can span multiple disk drives and exceed this limit. Dynamic disks also support the establishment of mount points, which allow a new disk to be mounted or added as a logical folder to an existing volume, thus logically extending the size of the drive by spanning it over two physical drives. Windows XP allows disk spanning to occur over as many as 32 disk drives.

Dynamic drives allow for the creation of all the following volume types:

  • Simple.Creates a dynamic disk using only contiguous storage space provided from a single disk drive. Simple volumes are appropriate for the average user.

  • Striped.Creates a dynamic disk by allocating a portion of contiguous space from two or more disk drives into a single logical volume. All data is evenly written to each drive in the striped volume to improve overall performance. Striped volumes can be used to provide high-end workstations with better performance and additional storage.

  • Spanned.Creates a dynamic disk by allocating a portion of contiguous space from two or more disk drives into a single logical volume. All data is written to the first drive in the set until it fills up and then is written to the next drive in the set. This option does not provide a performance improvement like the striped volume. Use spanned volumes to provide users who have exhausted the available storage space on their local disk drive with additional storage, without adding the complicity of making them work with a second drive letter.

Note

If any of the disks involved in the establishment of a striped or spanned volume fail, all of the data on the volume is lost and can only be retrieved from backups. Unlike Windows 2000 Professional, Windows XP Professional does not include any support for fault tolerance (that is, the automated recovery of data when one of the damaged disk drives in a striped or spanned set is replaced).

Basic partition and dynamic volumes cannot be established on the same partition. However, if a computer has more than one hard drive, each of these options can be used on a separate drive if desired. Dynamic drives are limited to traditional hard disk drives. Therefore, they cannot be used on any of the following storage devices:

  • USB drives

  • IEEE 1934 drives

  • Removable disk drives

In addition, Windows XP will not allow dynamic drives to be set up on a portable laptop computer. All of these factors combine to limit the deployment scenarios in which dynamic disks can be used.

By default, Windows XP sets up all disks as basic disks. A basic disk can be converted to a dynamic disk without the loss of any data. To convert the dynamic disk back to a basic disk, administrators must back up all the data stored on the disk, delete all volumes on the dynamic disk, convert it to a basic disk, format it with a file system, and finally restore the data. Unless a basic disk contains Windows XP's system or boot files, it can be converted to a dynamic disk without requiring a restart of the system.

Note

Unless otherwise specified, all of the procedures found in this chapter require administrative authority.


Managing Disk Drives

Windows XP Professional supplies administrators with two tools for managing basic and dynamic disks. These tools are:

  • The Disk Management snap-in and extension

  • The diskpart command

The Disk Management snap-in or extension can be used to provide point-and-click management over disk drives on local and remote network computers. The diskpart command can be used to configure disk drives from the Windows XP command line or from within administrative scripts.

Working with the Disk Management Snap-in and Extension

The Disk Management extension, found in the Computer Management console as shown in Figure 11.1, can be used to manage disk drives on local and remote computers. It displays both a text and a graphic view of the targeted computer's disks and CD-ROM drives.

Click To expand
Figure 11.1: Using the Disk Management extension in the Computer Management console to manage disk drives
Note

For information about the Computer Management console and how to work with it, refer to "Working with the Computer Management Console" in Chapter 10, "Microsoft Management Consoles."

Using the Disk Management snap-in or extension, administrators can perform any of the following actions.

  • View disk status and information

  • Format disks

  • Create and manage volumes and partitions

  • Change drive letter assignment

  • Convert basic disks to dynamic disks

  • Eject removable media such as CDs

  • View drive properties

The following procedure outlines the steps required to view a computer's disk drives using the Computer Management console's Disk Management extension.

  1. Open the Computer Management console.

  2. Expand the Storage node.

  3. Select the Disk Management extension. The computer's disk and CD-ROM drives are displayed.

Note

To select a different computer and view its disk drives, right-click on the Computer Management root node, select Connect to another computer, type the name or IP address of the network computer,and click on OK.

The top portion of the Disk Management extension displays a text view of all the drives on the targeted computer. The information presented here includes:

  • Volume.Name of the drive.

  • Layout.Partition, simple, striped or spanned.

  • Type.Basic or dynamic.

  • File System.FAT, FAT32, or NTFS.

  • Status.Healthy (system), Healthy (Page File), Healthy (Boot).

  • Capacity.The amount of space allocated to the drive.

  • Free Space.The amount of unused space left on the drive.

  • %Free.The percent of space still available on the drive.

  • Fault Tolerance.Windows XP does not support fault tolerance.

  • Overhead.Current processing overhead consumed by the drive.

The bottom portion of the Disk Management extension presents a graphical view of each drive on the computer. The information presented here includes:

  • The unique disk number that Windows XP assigns to each drive

  • The type of drive (basic or dynamic)

  • The total size of each drive

  • The status of each drive

  • Existing partitions, volumes, and their free space and sizes

  • Drive letter assignments

  • File systems

  • Partition and volume health

At the bottom of the display is a color legend that identifies which colors are used to label drive components.

Using the Diskpart Command

The diskpart command allows administrators to manage disk drives from the Windows XP command prompt. It also allows administrators to use the command from within scripts to automate disk management tasks. The diskpart command can perform the same tasks as the Disk Management snap-in and extension, except that it does not support a format option.

Note

Information on the creation and execution of scripts is available in Chapter 14, "Shell Scripting and the WSH."

To use the diskpart command, the administrator must specify the drive number assigned to the drive that is to be managed. Then all diskpart commands that follow will be directed toward that drive until either a new drive is selected or the exit command is entered, as demonstrated below.

diskpart
select Disk 0
assign letter x
select disk 1
assign letter z
exit

In this series of commands, the diskpart command is issued and the disk drive assigned disk number 0 is selected. This drive is then assigned a new drive letter assignment of X. Next, the disk whose disk number is 1 is selected and assigned a new drive letter of Z. The exit command is then used to terminate the diskpart command.

Note

Consult the Windows XP Professional Help and Support Center for more information about the diskpart command.


Disk Drive Administration

Both basic and dynamic disks have their own unique set of management tasks that must be performed to set them up and maintain them. Disk management tasks that are unique to basic drives include:

  • Creating and deleting primary partitions

  • Creating and deleting extended partitions

  • Creating and deleting logical drives

Disk management tasks that are unique to dynamic drives include:

  • Converting a basic disk to a dynamic disk

  • Creating simple volumes

  • Creating striped volumes

  • Creating spanned volumes

In addition to tasks unique to both types of drives, there are a number of disk management tasks that are common to both. These disk management tasks include:

  • Changing drive letter assignments

  • Deleting a partition or volume

  • Extending a partition or volume

  • Establishing mount points

Each of these tasks is explained and demonstrated in the sections that follow.

Administering Basic Disks

In order to store data on a new basic drive, it must first be recognized by Windows XP Professional. The following procedure outlines the steps involved in setting up a new disk drive as a basic disk.

  1. Install the disk drive according to the instructions provided by its manufacturer and the computer's user manual.

  2. Start the computer.

  3. Open the Computer Management console, expand the Storage node, and select the Disk Management extension.

  4. The new disk drive should be displayed along with the computer's other drives. If not, click on the Rescan Disks option on the Action menu. Within a few moments, the new disk should appear. If it does not, review the hardware installation procedure and make any required corrections before returning to this procedure.

  5. The new drive will automatically be treated as a basic drive.

Once installed, a basic drive can be partitioned and then formatted, after which it will be ready for use. The following procedure outlines the steps involved in creating a primary partition and formatting it on a basic disk drive.

Note

Formatting a partition deletes any existing data stored on the partition. Therefore administrators must be careful not to format any existing partitions that have data that needs to be retained.

  1. Open the Computer Management console, expand the Storage node, and select the Disk Management extension.

  2. Right-click on an unallocated portion of the disk drive and select Create Partition.

  3. The New Partition Wizard appears. Click on Next and then select Primary Partition.

  4. Follow the instructions presented by the wizard. This will include specification of the following information:

    • Partition size

    • Drive letter assignment

    • File system type

If four primary partitions are not sufficient to support the user's requirements, an alternative may be to create three primary partitions and an extended partition with multiple logical drives.The following procedure outlines the steps involved in creating an extended partition on a basic disk drive and assigning logical drives.

  1. Open the Computer Management console, expand the Storage node, and select the Disk Management extension.

  2. Right-click on an unallocated portion of the disk drive and select Extended Partition.

  3. The New Partition Wizard appears. Click on Next and then select Primary Partition.

  4. Follow the instructions presented by the wizard. This will include specification of the partition size.

  5. Once the extended partition has been established, right-click on an area of free space within the partition and select Create Logical Drive.

  6. The New Partition Wizard appears. Click on Next and then follow the instructions presented by the wizard. This will include specification of the following information:

    • Drive letter assignment

    • File system type

    Repeat this step as many times as necessary to create additional logical drives.

Administering Dynamic Disks

Dynamic disks are created by converting basic disks. Conversion can occur at any time and should not result in any data loss. There are two ways to convert a basic drive to a dynamic drive, as shown below.

  • Using the Disk Management snap-in or extension

  • Using the diskpart command-line command

Always back up all data stored in the partition on a basic disk before converting it to a dynamic drive. This way, it can be recovered in the event that a problem occurs during the conversion.

Using the Disk Management Snap-in or Extension to Convert a Drive

The following procedure outlines the steps involved in converting a basic disk to a dynamic disk using the Disk Management extension found in the Computer Management Console.

  1. Open the Computer Management console.

  2. Expand the Storage node.

  3. Select the Disk Management extension. The computer's disk and CD-ROM drives are displayed.

  4. In the bottom portion of the snap-in, right-click on the basic disk that is to be converted and select Convert to Dynamic Disk. The Convert to Dynamic Disk dialog appears, as shown in Figure 11.2.

    Figure 11.2: Converting a basic disk to a dynamic disk

  5. Click on OK. The Disks to Convert dialog appears, as shown in Figure 11.3.

    Click To expand
    Figure 11.3: Confirming the partition to be converted to a dynamic volume

  6. Click on Convert. The Disk Management dialog appears, warning that once converted, the computer will not be able to dual-boot with other operating systems. Click on Yes.

  7. The Convert Disk to Dynamic dialog appears, warning that file systems on the hard disk drive will be dismounted. Click on Yes to continue.

  8. If the disk being converted contains the Windows XP Professional boot or system files or if it contains a paging file, it will have to be restarted for the conversion to occur. Click on Yes if prompted to do so.

  9. If necessary, the computer restarts. The System Settings Change dialog appears next stating that a second restart of the computer is required. Click on Yes.

Note

Conversion from a dynamic disk back to a basic disk can only be done by first backing up all data on the dynamic disk, deleting all volumes on the dynamic disk, and then converting it back by right-clicking on the drive and selecting Convert To Basic Disk. Once converted, partitions can be established and the data can then be restored from backup.

Using Diskpart to Convert a Drive

The diskpart command can also be used to convert a basic disk drive to a dynamic disk. Before starting this procedure, determine the disk number that Windows XP Professional has assigned to the hard disk drive that is to be converted. This number is displayed on the Disk Management snap-in or extension.

The following procedure demonstrates the steps involved in converting a basic disk with a disk drive number of 0 to a dynamic disk using the diskpart command.

  1. Click on Start/All Programs/Accessories and then Command Prompt.

  2. Type diskpart and press Enter.

  3. Type select disk 0 and press Enter.

  4. Type convert dynamic and press Enter.

  5. Type exit and press Enter to close the Windows XP command prompt.

  6. Restart the computer.

Creating Volumes on Dynamic Drives

If a dynamic disk has unallocated disk space, then the administrator can create new volumes. The following procedure outlines the steps involved in creating a simple volume.

  1. Open the Computer Management console.

  2. Expand the Storage node.

  3. Select the Disk Management extension. The computer's disk and CD-ROM drives are displayed.

  4. In the bottom portion of the snap-in, right-click on a basic disk's unallocated space and select New Volume.

  5. The New Volume Wizard appears. Click on Next.

  6. Select Simple and then follow the instructions presented by the wizard.

Windows XP Professional also supports spanned and striped volumes. The following procedure outlines the steps involved in setting up a striped or spanned volume.

  1. Open the Computer Management console.

  2. Expand the Storage node.

  3. Select the Disk Management extension. The computer's disk and CD-ROM drives are displayed.

  4. In the bottom portion of the snap-in, right-click on a basic disk's unallocated space and then select New Volume.

  5. The New Volume Wizard starts. Click on Next.

  6. Select Striped or Spanned and then follow the instructions presented by the wizard.

Note

Before a new volume can be used, it must be formatted with a file system. However, the Disk Management snap-in or extension only supports the application of NTFS on volumes. To apply FAT or FAT32 to a new volume, open My Computer, right-click on the drive, select Format, then select FAT or FAT32 from the File System dropdown list, and click on Start.

Common Disk Administration Tasks

There are a number of administrative disk management tasks that apply to both basic and dynamic disks. These tasks include:

  • Changing drive letters

  • Deleting partitions and volumes

  • Extending partitions and volumes

  • Establishing mount points

Changing Drive Letter Assignment

Windows XP Professional uses the 26 letters of the alphabet to assign drive letters to disk drives, CD-ROM drives, floppy disks, and other storage devices. Letters A and B are reserved for floppy disks and other removable drives. As new partitions, logical drives, and volumes are established on the computer, Windows XP automatically assigns each partition or volume a drive letter using the next available letter.

If administrators have decided to standardize the assignment of drive letters across all computers, it may be necessary to change drive default letter assignment, as outlined in the following procedure.

  1. Open the Computer Management console.

  2. Expand the Storage node.

  3. Select the Disk Management extension. The computer's disk and CD-ROM drives are displayed.

  4. Right-click on a partition, logical drive, or volume and select Change Drive Letter and Paths. The Change Drive Letter and Paths dialog appears, as demonstrated in Figure 11.4.

    Click To expand
    Figure 11.4: Changing drive letter assignment

  5. Click on Add to assign a drive letter to a partition, logical drive, or volume that does not currently have one.

  6. Click on Change to assign a different drive letter to a partition, logical drive, or volume.

  7. Click on Remove to unassign a partition, logical drive, or volume drive letter.

  8. Click on OK.

Note

Changing drive letter assignments may create problems for applications because Windows XP does not automatically notify them of drive letter assignment changes. As a result, some applications may need to be reconfigured or reinstalled.

Deleting Partitions and Volumes

If a partition or volume is no longer needed or if the administrator needs to reorganize the structure of a disk drive, it may be necessary to delete partitions or volumes. Any data stored on partitions or volumes will be deleted as well, so any data that needs to be retained should be backed up first.

Windows XP Professional will not allow the following partitions or volumes to be deleted:

  • The partition where Windows XP's system files are stored

  • The partition where Windows XP's boot files are stored

  • Partitions that have a page file

Windows XP will also prevent an extended partition from being deleted until all logical drives on that partition have been deleted.

Note

Refer to Chapter 13, "Performance Tuning," for information about configuring and moving page files.

The following procedure outlines the steps involved in deleting a partition or volume.

  1. Open the Computer Management console.

  2. Expand the Storage node.

  3. Select the Disk Management extension. The computer's disk and CD-ROM drives are displayed.

  4. To delete a partition, right-click on it and select Delete Partition.

  5. To delete a volume, right-click on it and select Delete Volume.

Extending the Size of a Partition or Volume

Under certain circumstances, it may be possible for an administrator to extend the amount of space allocated to a volume, thus providing the user with additional storage space. Boot and system volumes, however, cannot be extended under any circumstances.

Only NTFS formatted volumes can be extended. In addition, a volume can be extended if there is available unallocated space located on one of the computer's drives. The space does not have to be located on the same drive as the volume. When a volume is extended using space from a different hard disk drive, the volume is a spanned volume.

The following procedure demonstrates the steps involved in extending a volume.

  1. Open the Computer Management console.

  2. Expand the Storage node.

  3. Select the Disk Management extension. The computer's disk and CD-ROM drives are displayed.

  4. Right-click on the volume to be extended, click on Extend Volume, and follow the instructions that appear.

Setting Up a Mount Point

Administrators can also extend the amount of storage space accessible from one drive by creating a mount point. Using a mount point, the administrator creates a link from an empty folder in the drive to be extended to a root of another drive. This way, the link to the other drive simply appears to the user and the user's applications like a folder on the original drive. Administrators can configure as many mount points as necessary on a drive.

In order to set up a mount point, the drive where the empty folder resides must use NTFS. However, the drive that will be linked to this folder can use FAT, FAT32, or NTFS. The following procedure outlines the steps involved in setting up a mount point.

  1. Open Windows Explorer and create a new empty folder on the drive to be extended.

  2. Open the Computer Management console.

  3. Expand the Storage node.

  4. Select the Disk Management extension. The computer's disk and CD-ROM drives are displayed.

  5. Right-click on the partition or volume to be mounted and select Change Drive Letter and Paths. The Change Drive Letter and Paths dialog appears.

  6. Click on Add.

  7. The Add Drive Letter or Path dialog appears, as shown in Figure 11.5.

    Click To expand
    Figure 11.5: Mounting a partition or volume to an empty folder on an NTFS formatted volume or partition

  8. Select the Mount in the following empty NTFS folder option, type the path to the mount point on the other drive, and then click on OK.


Applying Advanced NTFS Disk Management Features

Windows XP Professional provides several advanced disk management features that an administrator may wish to apply. These include the ability to compress all or some of the data on a disk drive to create additional storage space, and the ability to encrypt or encode data so that it can only be accessed and decrypted or decoded by the person who created it. Compression and encryption are mutually exclusive technologies, meaning that both cannot be applied to a file at the same time.

Another advanced disk management feature supported by Windows XP Professional is the application of disk quotas. Disk quotas allow administrators to impose restrictions on the amount of disk space that individual users can consume on a hard disk drive. This can be an especially useful tool on shared computers or on computers where shared files reside.

Applying Disk Compression

Compression is a tool used to create additional storage by reducing the space required to store files. To apply compression, the user or administrator needs write permission over the file or folder. If a folder is compressed, all the files in the folder are compressed as well. If the folder contains subfolders, Windows XP displays a prompt asking if compression should be applied to them as well.

Compression is transparent to the user. When a compressed file is accessed, Windows XP automatically uncompresses it and passes it to the calling application (assuming that the user has the necessary file permissions to open the file). When the user later saves the file, Windows XP recompresses it again.

Compression can only be applied to a partition or volume formatted with the NTFS file system. In addition, compression cannot be used on an encrypted file. If a user attempts to compress one of his or her encrypted files, Windows XP will decrypt it and then compress it.

If a compressed file is moved or copied to another location, its compressed state may change. The following list outlines various scenarios and their effect on a file's compression state.

  • If a compressed file or folder is moved or copied to a non-NTFS partition or volume, it is stored as a decompressed folder on the FAT or FAT32 formatted partition or volume.

  • If a compressed file or folder is moved from one NTFS partition or volume to another NTFS partition or volume, it will inherit the compression state of its new folder.

  • If a compressed file or folder is copied from one NTFS partition or volume to another NTFS partition or volume, it will inherit the compression state of its new folder.

  • If a compressed file or folder is moved within an NTFS partition or volume to a different folder, it will retain its compressed state.

  • If a compressed file or folder is copied within an NTFS partition or volume to a different folder, it will inherit the compression state of its new folder.

One way to make working with compressed files and folders easier is to change the color that Windows XP uses to display them. Setting these options will tell Windows XP to display the text names of any compressed files or folders using blue text. This can be accomplished using the following procedure.

  1. Click on Start and then My Computer. The My Computer folder appears.

  2. Select Folder Options from the Tools menu. The Folder Options dialog appears.

  3. Select the View property sheet.

  4. Scroll down and select the Show encrypted or compressed NTFS files in color option.

  5. Click on OK.

The following procedure outlines the steps involved in compressing a file.

  1. Using Windows Explorer, locate the file to be compressed.

  2. Right-click on the file and select Properties. The file's property dialog appears.

  3. Click on the Advanced button located in the Attributes section of the property sheet.

  4. The Advanced Attributes dialog appears, as shown in Figure 11.6.

    Click To expand
    Figure 11.6: Compressing a file

  5. Select the Compress contents to save disk space option and click on OK.

The following procedure outlines the steps involved in compressing a folder.

  1. Using Windows Explorer, locate the folder to be compressed.

  2. Right-click on the folder and select Properties. The folder's property dialog appears.

  3. Click on the Advanced button located in the Attributes section of the property sheet.

  4. Select the Compress contents to save disk space option and click on OK.

  5. The Confirm Attribute Changes dialog appears, as shown in Figure 11.7. The following options are available.

    • Apply changes to this folder only. Limits compression to just the files stored in this folder

    • Apply changes to this folder, subfolders, and files. Compresses everything in the folder including any files stored in subfolders

    Select an option and click on OK.

Click To expand
Figure 11.7: Compressing a folder

Applying Disk Encryption

Encryption adds a powerful level of security to Windows XP Professional and is especially important for users with portable computers where a greater chance exists that a computer could be stolen. Once stolen, it is possible to extract a laptop's hard disk drive and install it in another computer and access its data. However, by applying encryption, this data theft technique is blocked.

Encryption is transparent to the user. When an encrypted file is accessed, Windows XP automatically decrypts it and passes it to the calling application (assuming that the user has the necessary file permissions to open the file). When the user later saves the file, Windows XP encrypts it again.

Windows XP Professional implements encryption using the EFS (Encrypted File System). EFS uses the DES (Data Encryption Standard), which applies 56-bit encryption using public/private keys. Optionally, Microsoft provides a 128-bit Enhanced CryptoPak, which can be used to implement 128-bit encryption for greater security.

Encryption can only be applied to files stored on NTFS formatted partitions or volumes. If a file is moved or copied from one location to another on the same or a different NTFS volume, it remains encrypted. However, if the file is moved or copied to a FAT or FAT32 partition or volume, it is stored in a decrypted state.

Microsoft recommends applying encryption at the folder level. When implemented, encryption should be applied to each user's My Documents folder. In addition, all temporary folders should be encrypted, because some applications place unencrypted copies of files in these folders when they are working with them.

One way to make working with encrypted files and folders easier is to change the color that Windows XP uses to display them. Setting this option tells Windows XP to display the text names of any encrypted files or folders using green text. This can be accomplished using the following procedure.

  1. Click on Start and then My Computer. The My Computer folder appears.

  2. Select Folder Options from the Tools menu. The Folder Options dialog appears.

  3. Select the View property sheet.

  4. Scroll down and select the Show encrypted or compressed NTFS files in color option.

  5. Click on OK.

To encrypt a file or folder, the user or administrator must be able to read and write to it. The following procedure outlines the steps involved in encrypting a file.

  1. Using Windows Explorer, locate the file to be encrypted.

  2. Right-click on the file and select Properties. The file's property dialog appears.

  3. Click on the Advanced button located in the Attributes section of the property sheet.

  4. The Advanced Attributes dialog appears.

  5. Select the Encrypt contents to secure data option and click on OK.

  6. If the file is not stored in an encrypted folder, the Encryption Warning dialog appears, as shown in Figure 11.8.

    The following options are available.

    • Encrypt the file and the parent folder. Encrypts the folder that stores the file

    • Encrypt the file only. Only encrypts the file

    Select an option and click on OK.

Click To expand
Figure 11.8: Encrypting a file that is not stored inside an encrypted folder

The following procedure outlines the steps involved in encrypting a folder.

  1. Using Windows Explorer, locate the folder to be encrypted.

  2. Right-click on the folder and select Properties. The folder's property dialog appears.

  3. Click on the Advanced button located in the Attributes section of the property sheet.

  4. Select the Encrypt contents to secure data option and click on OK.

  5. Click on OK to close the folder's Properties dialog.

  6. The Confirm Attribute Changes dialog appears. The following options are available.

    • Apply changes to this folder only. Limits encryption to just the files stored in this folder

    • Apply changes to this folder, subfolders, and files. Encrypts everything in the folder, including any files stored in subfolders

    Select an option and click on OK.

Limiting Disk Consumption with Disk Quotas

Computers that store shared data or that are used by multiple users may require administrators to limit the amount of disk space that individual users are permitted to consume. Windows XP Professional applies encryption on a per-volume, per-user basis. Disk quotas are only available on NFTS formatted partitions or volumes.

Windows XP allows a global quota to be set for all users of a partition or volume. It then allows administrators to set exceptions for individual users with differing storage requirements. For example, all users could be limited to 200MB of storage on a drive partition or volume, and a few select individuals could be assigned a higher limit. Disk quotas have no affect on administrative accounts. Therefore, administrators cannot have their storage capacity limited.

Any time new software is installed, the space that it consumes is counted against the user that installed it, unless it is installed by an administrator. Unlike compression and encryption, disk quotas can only be turned on at the disk level. They cannot be applied to individual files or folders.

The following procedure outlines the steps involved in establishing a quota over a partition or volume.

  1. Click on Start and then My Computer. The My Computer folder appears.

  2. Right-click on a hard disk drive and select Properties. The Properties dialog for the drive appears.

  3. Select the Quota property sheet.

  4. Select Enable quota management, as shown in Figure 11.9.

    Click To expand
    Figure 11.9: Enabling quota management for a hard disk drive

  5. Select the Deny disk space to users exceeding quota limit to prevent any users who have exhausted their predefined storage limit on that partition or volume from storing any additional files until they remove other files to free up disk space.

  6. Select from one of the following options to determine how quotas are applied to new users.

    • Do not limit disk usage. Does not apply storage limits to new users

    • Limit disk space to/Set warning level to. Specifies storage limits for new users as well as the amount of space that, once consumed, creates a warning message for the user

  7. Select the Log event when a user exceeds their quota limit option to send a message to the Windows XP Application event log.

  8. Select the Log event when a user exceeds their warning level option to send a message to the Windows XP Application event log.

  9. Click on OK. The Disk Quota dialog appears, stating that it may take several minutes for Windows XP to scan the disk and set quotas.

  10. Click on OK.

Once disk quotas have been set on a partition or volume, adjustments can be set up for individual users. The following procedure outlines the steps involved in setting up individual quotas.

  1. Click on Start and then My Computer. The My Computer folder appears.

  2. Right-click on a hard disk drive and select Properties. The Properties dialog for that drive appears.

  3. Select the Quota property sheet.

  4. Click on Quota Entries. The Quota Entries for New Volume dialog appears, as shown in Figure 11.10.

    Click To expand
    Figure 11.10: Viewing assigned quotas

  5. To change the quotas assigned to a particular user, select the user and click on the Properties option located on the Quota menu. The dialog shown in Figure 11.11 appears.

    Click To expand
    Figure 11.11: Changing the quota limits applied to an individual user

  6. To remove quota limits for the user, select the Do not limit disk usage option.

  7. To set different disk and warning limits, specify them in the Limit disk space to and Set warning level to fields.

  8. Click on OK.

  9. Changes made to the user's quota limits will appear on the Quota Entries for New Volume dialog. Close this dialog.

  10. Click on OK to close the Properties dialog for the disk drive.


Performing Disk Maintenance Tasks

Disk drive performance plays a major role in the operation of a computer. To keep a computer running Windows XP Professional operating well, administrators need to regularly perform several maintenance tasks. These tasks include:

  • Using the chkdsk to scan the file system and to look for bad sectors on the disk drive

  • Using the Disk Defragmenter utility to defragment disk drives

  • Using the Disk Cleanup utility to free up disk space by removing unnecessary files and uninstalling Windows components and applications that are no longer needed

Each of these tasks is discussed further in the sections that follow.

Maintaining Disk Integrity

Administrators can monitor and even repair the integrity of disk drives on a computer running Windows XP Professional using the Check Disk or chkdsk utility. The chkdsk utility performs a number of operations, including:

  • Checking file system integrity and correcting errors

  • Scanning for bad sectors and either repairing them or marking them as damaged

  • Attempting to recover lost data

Note

In addition to hard disk drives, the chkdsk utility can be used to scan removable disk drives and floppy disks.

In order for chkdsk to run, there must be no open files on the computer, and chkdsk must be able to place the specified disk drive into a locked state. If it cannot lock the drive, chkdsk will instead display a pop-up dialog asking for permission to run the next time the computer is started.

Running chkdsk from the Desktop

The chkdsk utility can be run from the Windows desktop as well as from the Windows XP command prompt. The following procedure outlines the steps involved in running the chkdsk utility from the Windows XP desktop.

  1. Start chkdsk by clicking on Start and then My Computer. The My Computer dialog opens.

  2. Right-click on a hard disk drive and then select Properties. The Properties dialog for the selected hard disk drive appears.

  3. Select the Tools property sheet, as shown in Figure 11.12.

    Click To expand
    Figure 11.12: Disk management tools can be found on the Tools property sheet of the selected driver's Properties dialog

  4. Click on Check Now in the Error-checking section. The Check Disk dialog appears, as shown in Figure 11.13.

    The following options are available:

    • Automatically fix file system errors

    • Scan for and attempt to recover bad sectors

    Leave both options clear to perform an analysis of the disk drive, or select one or both options to scan and repair errors, and then click on Start.

    Figure 11.13: The chkdsk utility can perform a scan of the file system and check the disk for bad sectors

  5. All files on the drive must be closed for the scan to run; otherwise, the dialog shown in Figure 11.14 will appear, asking for permission to run the next time the computer is started.

    Click To expand
    Figure 11.14: If files are open on the selected drive, chkdsk cannot run and will offer to schedule its execution at the next startup of the computer

  6. Click on Yes to schedule chkdsk execution the next time the computer starts or click No to cancel chkdsk execution.

  7. If chkdsk is able to run, it will display its results upon completion.

During its execution, chkdsk may discover some bad sectors and will attempt to recover any data stored in them. In addition, as chkdsk runs, it may cause some data loss as it makes corrections to the file system. When either of these two situations occur, chkdsk attempts to prevent data loss by saving these files to the root of the drive on which it was run. The files are named File xxx.chk. These files can be opened to see if they contain any data that needs to be saved.

Running chkdsk from the Windows XP Command Prompt

The chkdsk utility can also be started from the Windows XP command prompt or by clicking on Start, selecting Run, and typing chkdsk drive_letter: For example, the following statement tells chkdsk to perform an analysis of the specified disk drive.

chkdsk c:

The chkdsk command supports a number of optional parameters. One such parameter is /f, which tells chkdsk to look for and fix errors during the scan. Add /r to tell chkdsk to perform a physical analysis of the drive and to locate bad sectors and attempt to recover any lost data. The /r parameter also implicitly implies the execution of the /f parameter. The chkdsk command supports a number of other parameters. For more information on the syntax of the chkdsk command, refer to Appendix A, "Windows XP Command Reference."

Note

A special version of the chkdsk command can also be run from the Windows XP recovery console. Type chkdsk drive_letter: to perform an analysis of the specified disk drive. In addition, this version of chkdsk only supports two optional parameters, as listed below.

  • /p. Tells chkdsk to perform an exhaustive check of the drive

  • /r. Tells chkdsk to perform a physical analysis of the drive and to locate bad sectors and attempt to recover any lost data

Information on the recovery console and its use is provided in Appendix B, "Troubleshooting System Startup."

Disk Defragmenter

Windows XP Professional always tries to store files in contiguous locations on the computer's hard disk drive. However, as hard disk drives become full, this may not be possible. As a result, the operating system begins to break up or fragment files into smaller pieces and stores each fragment in a different location on the hard disk drive. Fragmentation slows down both file storage and retrieval.

Administrators can use two tools for defragmenting hard disk drives as shown below:

  • Disk Defragmenter.An MMC (Microsoft Management Console) snap-in or extension that provides point-and-click control over the defragmentation process

  • Defrag.exe.A Windows XP command-line version of Disk Defragmenter

Using the Disk Defragmenter Snap-In

The following procedure outlines the steps involved in using Disk Defragmenter.

  1. Click on Start and My Computer. The My Computer folder appears.

  2. Right-click on one of the computer's hard disk drives and select Properties. The Properties dialog for that hard disk drive opens.

  3. Select the Tools property sheet.

  4. Click on Defragment Now. An MMC console containing the Disk Defragmenter snap-in appears, as shown in Figure 11.15.

    Click To expand
    Figure 11.15: Defragmenting a hard disk drive

  5. Select a hard disk drive and then click on Analyze to perform an analysis of the drive, which will be graphically displayed in the Estimated disk usage before defragmentation bar using the following color scheme:

    • Red.Represents the amount of disk fragmentation

    • Blue.Represents the number of files stored in contiguous disk space

    • Green.Represents systems files that cannot be moved

    • White.Represents the amount of unused disk space

  6. Based on its analysis, the Disk Defragmenter snap-in may suggest defragmenting the hard disk drive, as shown in Figure 11.16.

    Click To expand
    Figure 11.16: The Disk Defragmenter snap-in recommends defragmenting the hard disk drive

  7. Click on View Report for a detailed analysis report, as shown in Figure 11.17.

    Click To expand
    Figure 11.17: The Disk Defragmenter snap-in can provide a detailed text report of its analysis of the hard disk drive

  8. The report can be printed or saved as necessary. Click on Close to return to the Disk Defragmenter snap-in.

  9. Click on Defragment to defragment the hard disk drive.

  10. During execution, the Pause and Stop buttons can be used to halt and resume the defragmentation process.

  11. A pop-up dialog will appear when the defragmentation process is complete. Click View Report to view the defragmentation report and then click on Close to return to the Disk Defragmenter snap-in.

  12. Close the MMC.

Using Defrag.exe

Administrators can use the defrag.exe command to defragment hard disk drives from the Windows command prompt or from within scripts. The defrag.exe command accepts a number of parameters including:

  • /a.Performs an analysis of the specified hard disk drive.

  • /f.The defragmentation process requires 15 percent free disk space on the drive to be defragged in order to run. Specifying this parameter forces the defragmentation process to run regardless of the amount of available free space.

Tip

Consider scheduling the execution of the Disk Cleanup utility prior to the execution of the defrag command to help ensure as much free space as possible is available on the hard disk drive.

The following procedure describes how to use the defrag command from the Windows XP command prompt.

  1. Click on Start/Programs/Accessories and then Command Prompt.

  2. Type defrag drive_letter: /a and press Enter to perform an analysis of the disk drive.

  3. Type defrag drive_letter: /f and press Enter to perform a defragmentation of the disk drive.

Scheduling Disk Defragmentation

The problem with running the Disk Defragmenter utility is that it makes doing anything else with the computer almost impossible until it has completed running. To make things more convenient for users, administrators can use the defrag command to create an automated execution schedule that defrags the hard disk drive when the user is not using the computer.

The following procedure can be used to defrag the hard disk drive on a scheduled basis.

  1. Click on Start/All Programs/Accessories/System Tools and then Scheduled Tasks. The Scheduled Tasks folder appears.

  2. Double-click on the Add Scheduled Task icon. The Scheduled Task Wizard starts.

  3. Click on Next.

  4. A list of Windows XP applications appears. Click on Browse and locate the defrage.exe command, which is located in \Windows\System32, and click on Open.

  5. Select a type of schedule and click on Next.

  6. Configure the selected schedule when prompted and click on Next.

  7. Type the username and password of a user account with administrative privileges and click on Next.

  8. Select Open advanced properties for this task when I click Finish. Click on Finish.

  9. The Defrag dialog appears. Append x: /f (where x is a drive letter) to the end of the command listed in the Run field, as demonstrated in Figure 11.18.

    Click To expand
    Figure 11.18: Scheduling the defragmentation of a hard disk drive

  10. Click on OK to close the Defrag dialog.

  11. Close the Scheduled Tasks Folder.

Note

Another way to schedule the execution of the defrag.exe command is to open Notepad and type defrag C: /f and then save the file with a .bat file extension. This creates a script file. The Scheduled Task Wizard can then be used to schedule the execution of this task. More information on the development of scripts is available in Chapter 14, "Shell Scripting and the WSH."

Removing Temporary Files to Free Up Additional Space

Many applications create temporary files during their execution. Sometimes applications fail to delete these files when they are done. In some cases, temporary files may be left behind because an application experiences an error and terminates unexpectedly. Temporary files can also be left dangling when the Task Manager utility is used to forcefully terminate an application or process.

As a hard disk begins to fill up, its performance slows. Removing unnecessary files from the computer therefore not only will free up additional disk space, but also may improve the computer's performance. Windows XP Professional supplies administrators with the Disk Cleanup utility as the tool for freeing up disk space and removing unnecessary temporary files. It is capable of removing any of the following:

  • Files stored in temporary Windows folders

  • Temporary Internet files

  • Files located in the Windows XP Recycle Bin

  • Java applets and ActiveX controls downloaded from the Internet

In addition, Disk Cleanup can assist in the removal of Windows XP components and other applications that are no longer being used. Disk Cleanup can also remove old checkpoints used by the System Restore utility.

Disk Cleanup can be run from the Windows desktop or command prompt. The unfortunate thing about Disk Cleanup is that it makes working with the computer almost impossible while it is running. Fortunately, administrators can set it up to run as an automated process that executes after business hours.

Running Disk Cleanup from the Windows Desktop

Running Disk Cleanup from the command prompt can be inconvenient because it makes doing anything else on the computer while it is running just about impossible. It is best to schedule its execution for a period of time when the user will not be using the computer. However, some situations require the immediate execution of this utility. For example, the administrator may find that while preparing to install an application on a user's computer, the computer disk drive is low on space, and to get the application installed, Disk Cleanup needs to be run.

The following procedures outlines the steps involved in running Disk Cleanup from the Windows XP desktop.

  1. Click on Start/All Programs/Accessories/System Tools and then select Disk Cleanup. The Select Drive dialog appears, as shown in Figure 11.19.

    Figure 11.19: Select the disk drive that Disk Cleanup is to clean

  2. Select a disk drive from the Drives drop-down list and click on OK.

  3. Disk Cleanup scans the computer and performs an analysis of the disk drive. Depending on the size of the drive and the number of files on it, this scan may run quickly or take several minutes to complete. Once the scan is complete, the dialog shown in Figure 11.20 is displayed.

    Click To expand
    Figure 11.20: Select the types of files that Disk Cleanup should remove from the computer

  4. The Files to delete section displays a list of file types that can be deleted as well as the amount of space that can be recovered. To learn more about a particular category of files, select it from the list and an explanation will appear in the Description section.

  5. The Description section also displays a button whose function varies based on the currently selected category of files. For most categories, this button is labeled View files and clicking on it displays a listing of all the files in that category that will be removed. However, if the Compress old files category is selected, the button's label is changed to Options, and clicking on it opens the Compress Old Files dialog, as shown in Figure 11.21. Change the default value of 50 days if desired and click on OK.

    Click To expand
    Figure 11.21: Configuring Disk Cleanup to compress files that are older than a specified age

  6. Click on the More Options property sheet to display a list of additional options, as shown in Figure 11.22.

    Click To expand
    Figure 11.22: Disk Cleanup can be used to access the components of the Add/Remove Programs utility that allows administrators to uninstall Windows components or applications

  7. Click on the Clean up button in the Windows components section to open the Windows Components Wizard, which will then display a list of installed Windows components and assist in uninstalling them. To uninstall a Windows Component, select it, click on Next, and follow the instructions that are presented.

  8. Click on the Clean up button in the Installed programs section to open the main Add/Remove Program dialog, where a list of applications that can be uninstalled is displayed. To uninstall an application, select it and then click on its Remove or Change/Remove button and follow the instructions that are presented.

  9. Click on the Clean up button in the System Restore section to delete all but the most recent checkpoint. Click on Yes when prompted for confirmation.

  10. Click on OK when returned to the Disk Cleanup dialog.

Running Disk Cleanup from the Windows XP Command Prompt

Disk Cleanup can be run from the Windows Run dialog or from the Windows XP command prompt. Use the following procedure to run it using the Run dialog or the Windows XP command prompt.

  1. To run Disk Cleanup from the Run dialog, click on Start and then Run. The Run dialog appears. Type cleanmgr and click on OK.

  2. To run Disk Cleanup from the Windows XP command prompt, click on Start/All Programs/Accessories and the Command Prompt. Type cleanmgr and press the Enter key.

  3. The Select Drive dialog appears. From this point on, Disk Cleanup is operated just the same as if it were started from the Windows XP desktop.

Scheduling the Execution of Disk Cleanup

The problem with running the Disk Cleanup utility it that it makes doing anything else with the computer almost impossible until it has completed running. Fortunately, using the command line version of Disk Cleanup, administrators can set an automated execution schedule to allow the utility to run when the user is not using the computer.

Setting up an automated execution schedule for the Disk Cleanup utility is a two-step process. In the first step, specify a list of files that are to be removed from the computer on a scheduled basis. The second step is to set up the execution of a scheduled task that will run the Disk Cleanup utility.

The following procedure outlines the steps involved in specifying a list of files that are to be regularly removed from the computer by the Disk Cleanup utility.

  1. Click on Start and then Run. The Run dialog appears.

  2. Type cleanmgr /sageset:1 and click on OK.

  3. The Disk Cleanup dialog appears. Select the files that should be regularly removed from the computer and then click on OK. Windows XP saves the list of selected files for future reference.

Tip

By repeating the above procedure again and specifying a different sageset number administrators can create additional scheduled Disk Cleanup tasks. For example, by typing cleanmgr/sageset:2 and then selecting a different set of files, administrators can schedule the removal of the second set of files for a different time.

Once the above procedure has been completed, the Disk Cleanup utility can be scheduled, as demonstrated by the following procedure.

  1. Click on Start/All Programs/Accessories/System Tools and then Scheduled Tasks. The Scheduled Tasks folder appears.

  2. Double-click on the Add Scheduled Task icon. The Scheduled Tasks Wizard starts.

  3. Click on Next.

  4. A list of Windows XP applications appears. Select Disk Cleanup and click on Next.

  5. Select a type of schedule and click on Next.

  6. Configure the selected schedule when prompted and click on Next.

  7. Type the username and password of a user account with administrative privileges and click on Next.

  8. Select the Open advanced properties for this task when I click Finish option and click on Finish.

  9. The Disk Cleanup dialog appears. Append sagerun:1 to the end of the command listed in the Run field, as demonstrated in Figure 11.23.

    Click To expand
    Figure 11.23: Configuring the scheduled task to use the previously specified list of files when running Disk Cleanup

  10. Click on OK to close the Disk Cleanup dialog.

  11. Close the Scheduled Tasks Folder.

Note

For more information on how to set up scheduled tasks, refer to "Scheduling Application Execution" in Chapter 4, "Application Management."


Chapter 12: Configuring and Administering System Files

Overview

The operation of Windows XP Professional is controlled by a myriad of system configuration settings. Most of these settings are stored in the Windows XP registry, a specialized database that contains configuration settings for the operating system, hardware, software, and users. An understanding of the registry and how it operates is essential information for any administrator.

The registry is not the only location where Windows XP Professional stores and retrieves system configuration information. A number of other files contain configuration data that Windows XP uses. Some of these files are simply there to provide support for legacy applications. Others directly control system startup settings and govern which services and applications are automatically started during system startup.

This chapter will identify the location and purpose of various Windows XP system files and will explain the operation of the tools that administrators use to maintain these files.


Windows XP Professional System Files

System configuration data governs every aspect of an application's operation. Microsoft operating systems before Windows 95 stored system data in an assortment of files, such as:

  • Win.ini

  • System.ini

  • config.sys

  • autoexec.bat

In addition, applications sometimes store their own configuration settings in these files or in their own configuration files, leaving dozens of configuration files strewn all over the place and making administration extremely difficult. With the advent of the registry, most applications have moved the configuration data stored in all of these individual configuration files into the registry. The registry provides a single reliable storage location for configuration data. The registry contains many different types of configuration data, including:

  • System settings

  • Application settings

  • Hardware settings

  • User settings

  • User account data

However, other system files still remain. Some files, such as win.ini and system.ini, are still around to support older applications that require these files in order to properly function. Other system files, such as Boot.ini, contain configuration settings that control specific Windows XP operations. The boot.ini file specifies settings that control the startup of Windows XP Professional.


Working with the Registry

The registry is a specialized database that Windows XP Professional uses to store many configuration settings. The registry operates as one logical database but is actually made up of a number of files. These files reside in %System-Root%\System32\Config and include:

  • DEFAULT

  • SAM

  • SECURITY

  • SOFTWARE

  • SYSTEM

  • Userdiff

Note

%SystemRoot% is an example of an environment variable and is used to specify the location of Windows XP Professional's files. By default, this is C:\Windows. The advantage of using %SystemRoot% in place of a hard-coded value is that administrators can use this variable to find the Windows XP Professional system files when their location is not known. For example, an administrator might not know the location of the Windows XP system file if the person who installed Windows XP Professional decided to change the folder's name.

In addition, registry data relating to user profile information is stored in each user's folder located within the Documents and Settings folder.

Overview

The registry is organized into a collection of five hives or root keys, as shown in Table 12.1.

Table 12.1: Windows XP Professional Registry Hives
Key | Short Name | Description
HKEY_LOCAL_MACHINE | HKLM | Contains information that affects the computer and all its users
HKEY_USERS | - | Contains information about every user of the computer
HKEY_CURRENT_CONFIG | - | Contains information about the computer's current configuration
HKEY_CLASSES_ROOT | HKCR | Stores information about Windows file associations
HKEY_CURRENT_USER | HKCU | Contains information about the current user

Each registry hive contains a collection of keys. Keys may contain any number of other keys. They may also contain values. Keys function much like folders do on a file system, providing a way to logically group values. A value is an actual setting to which data is then assigned. The Windows XP registry supports a number of different types of values, including:

  • String. A text string value

  • Binary. A binary value

  • DWORD. A hexadecimal DWORD value

  • Expandable String Value. A string value that can be expanded

  • Multi-String Value. A multiple string value

The health and stability of the Windows XP Professional registry is essential to the proper operation of the computer. The registry is created during the installation of the operating system and is constantly updated during the normal operation of the computer. For example, every time a new user account is defined on the local computer or a hardware device is added or removed, the registry is modified.

The registry can be manually edited using a utility known as the Registry Editor or Regedit, as shown in Figure 12.1.

Click To expand
Figure 12.1: The Regedit utility lets administrators view and manipulate registry keys and values
Note

Take great care when using Regedit to manually make changes in the Windows XP registry. An incorrect setting or an accidentally deleted key or value can have a great impact on the operation of a computer or its applications and could potentially prevent Windows XP from starting. Administrators should only make changes to the registry when they fully understand the effects of the change. As a safety precaution, always make sure a recent backup of the computer is available, just in case something goes wrong.

The following procedure outlines the steps involved in starting Regedit and beginning a registry edit session.

  1. Click on Start and then Run. The Run dialog appears.

  2. Type Regedit in the Open field and click on OK. The Registry Editor appears.

  3. By default, the local computer's registry is displayed. To edit the registry belonging to another Windows XP professional network computer, click on File and select Connect Network Registry. The Select Computer dialog appears.

  4. Type the name of the target computer in the Enter the object name to select field and click on OK, as shown in Figure 12.2. The registry for that computer is displayed.

Click To expand
Figure 12.2: Specifying the name of a network computer

As Figure 12.1 shows, the registry is organized into a treelike structure. At the top of the tree is the computer whose registry is being edited. Beneath this are the five registry hives. Each hive can be expanded to see the keys and values underneath it by clicking on the + sign to the left of each hive, as demonstrated in Figure 12.3.

Click To expand
Figure 12.3: Examining the keys and values stored under the HKEY_LOCAL_MACHINE hive

Modifying the Registry through the Control Panel

Users and administrators indirectly modify the registry all the time. For example, many applications record registration information in the registry during their setup process. In addition, most of the utilities found on the Windows XP Professional Control Panel make registry changes.

The Windows XP Control Panel utilities function, therefore, as an intermediary user-friendly interface for viewing and changing registry values. For example, the Screen Saver property sheet on the Display Properties dialog, shown in Figure 12.4, controls various screen saver settings.

Click To expand
Figure 12.4: Using the Display Properties dialog to configure screen saver registry settings

Screen saver settings are associated with individual users and are therefore stored in the HKTY_CURRENT_USER registry hive. There are two ways to change screen saver settings. One is to make changes using the Screen Saver property sheet. The other is to use the Regedit utility and make the changes by editing the following registry settings, as shown in Figure 12.5.

Click To expand
Figure 12.5: Viewing the screen saver settings stored in the Windows XP registry

  • HKCU\Control Panel\Desktop\ScreenSaveActive. When set equal to 1, this value enables the Windows screen saver.

  • HKCU\Control Panel\Desktop\ScreenSaverIsSecure. When set equal to 1, this value enables screen saver password protection.

  • HKCU\Control Panel\Desktop\ScreenSaveTimeOut. This value specifies the amount of time that must pass without any user activity before the screen saver starts running.

  • HKCU\Control Panel\Desktop\SCRNSAVE.EXE. This value specifies the name of a Window XP screen saver.

The advantage of modifying the registry through a Control Panel utility is that the utility provides some built-in intelligence by only allowing valid changes to be made. This helps prevent administrators from accidentally doing something that may hamper the performance of the computer or even prevent it from restarting. As a rule of thumb, administrators should never manually edit the registry when an alternative tool, such as a Control Panel utility, exists.

Taking Precautions before Making Registry Changes

Administrators should use the Regedit utility to edit the registry only when absolutely necessary. Unlike many Windows utilities and applications, Regedit does not have an undo function and does not display a warning to alert when a dangerous action is about to be performed.

However, there are times when administrators must manually make changes to the registry. For example, an application or hardware vendor may provide an application fix or driver update that requires the addition, removal, or modification of one or more registry keys and values. There are a number of precautions that administrators can take before making registry modifications. These include:

  • Writing down the original registry keys and their values before making changes so that they can be put back to their previous state if necessary

  • Making a copy of the registry using a backup utility

  • Exporting the key that stores the values to be modified before making any changes so that they can be imported back into the registry should something go wrong

A mistake made while editing the registry can result in anything from a simple application error to a total system failure. In the event that a catastrophic failure occurs, administrators can attempt to restart the computer using the Last Known Good Configuration option, which is covered later in this chapter.

Working with Regedit

Windows XP Professional ships with Regedit version 5.1. This utility allows administrators to perform any of the following activities:

  • Browse the registry using its Explorer-like interface

  • Search for keys, values, and data

  • Modify or delete existing registry keys and values

  • Add new keys and values

If the location of a registry key or value is known, the registry tree can easily be navigated to find it. The following procedure outlines the steps involved in manually navigating the Windows XP Professional registry.

  1. Open Regedit and load the registry for the local computer or a network computer.

  2. Double-click on a hive's icon where the key or value resides or single-click on the + sign to the left of the hive's icon to expand the hive and see all its keys.

  3. Double-click on a key's icon or single-click on the + sign to the left of the key to expand it and see any keys and values that reside under it.

  4. To see the values stored within a key, select it. A list of values appears in the right-hand pane of the Regedit interface.

If the exact location of a key or value is not known, it can be searched for. Regedit provides both Find and Find Next commands on the Edit menu that can search the registry based on matching key, value, or data text. The following procedure outlines the steps involved in searching the Windows XP Professional registry.

  1. Open Regedit and load the registry for the local computer or a network computer.

  2. Select a location within the registry from which you wish to begin the search (for example, the computer, a hive, or a key).

  3. Select the Find option on the Edit menu. The Find dialog appears, as shown in Figure 12.6.

    Click To expand
    Figure 12.6: Searching the Windows XP Professional registry

  4. Type the name of the key, value, or data that is being searched for and select any of the following options:

    • Keys

    • Values

    • Data

    Optionally, select the Match whole string only option.

  5. Click on Find Next.

Any key or value in the registry can be modified or deleted. The following procedure outlines the steps involved in manually modifying or deleting a key or value from the Windows XP Professional registry.

  1. Open Regedit and load the registry for the local computer or a network computer.

  2. Navigate the registry or perform a search to find the key or value that is to be modified or deleted.

  3. To delete a key or value, right-click on it, select Delete, and then click on Yes when prompted to confirm the deletion.

  4. To rename a key or value, right-click on it and select Rename. Type a new name for the key or value and press Enter.

  5. To modify a value, select the key that contains it and then right-click on the value and select Modify. A dialog appears, as demonstrated in Figure 12.7, allowing new data to be specified.

    Click To expand
    Figure 12.7: Modifying a registry value

  6. Enter the value's new data and click on OK.

Note

Consider renaming a key or value rather than deleting it. This way it will be easy to restore it in the event that a problem occurs by changing its name back.

New keys and values can be added to any key in the registry. The following procedure outlines the steps involved in manually adding a key or value to the Windows XP Professional registry.

  1. Open Regedit and load the registry for the local computer or a network computer.

  2. Navigate the registry or perform a search to find the key where the new key or value will be added.

  3. To add a new key, right-click on the parent key, select New, and then click on Key. A new key appears in the registry tree as a child key of the parent key. Type a name for the key and press Enter.

  4. To add a new value, right-click on the parent key, select New, and then select one of the following options to specify the type of value being added:

    • String Value

    • Binary Value

    • DWORD Value

    • Multi-String Value

    • Expandable String Value

  5. The new value appears in the right pane as a child value of the currently selected key. Type its name and press the Enter key. Right-click on the new value and select Modify to assign data to the value.

Importing and Exporting Registry Keys and Values

Before making a change to the registry, it is a good idea to make a backup copy of it so that the key or value can be restored to its previous value if a problem occurs as a result of the modification. One way to do this is by exporting the parent key. When a key is exported, a text-based version of the key is copied to a file with a .reg file extension. The contents of the key can then be viewed using a standard text editor, such as Windows XP's Notepad. The key can even be edited. Later, if necessary, the file can be imported back to restore or replace all the keys and values that it contains.

Note

If a key or value is added or modified in the .REG file and the .REG file is imported back into the registry, the new key or value will take effect. However, if a key or value is deleted in the .REG file and the .REG file is imported back into the registry, the deleted key or value is not deleted from the registry.

The following procedure outlines the steps involved in exporting and later importing a registry key.

  1. Open Regedit and load the registry for the local computer or a network computer.

  2. Locate the key that is to be exported.

  3. Right-click on the key and select Export. The Export Registry File dialog appears, as shown in Figure 12.8. Specify the name of the export file and its destination and click on Save.

    Click To expand
    Figure 12.8: Saving the exported registry key

  4. To later import a .REG file into the registry, open Regedit and select the Import option on the File menu. The Import Registry File dialog appears. Locate the .REG file and click on Open. The keys and values stored in the .REG file are imported back into the registry.

Figure 12.9 shows how the exported key's .REG file looks when edited by Notepad. In this example, the exported key is called MyKey and contains a single value called TestValue, which has a data assignment of This key was created on 7/15/02.

Click To expand
Figure 12.9: Viewing an exported registry key
Note

The entire registry can be exported by right-clicking on the computer icon in the root of the registry key and selecting Export. Depending on the size of the registry, the .REG file could be as large as 30MB to 40MB.

Using the Last Known Good Configuration Option to Restore the Registry

Windows XP Professional automatically stores a copy of the registry's HKLM\System\CurrentControlSet key after every successful startup of the operating system. The CurrentControlSet key stores a collection of configuration data used by Windows XP when starting.

In the event that a configuration change is made that prevents Windows XP Professional from starting, one way to try and recover is to boot the computer using the Last Known Good Configuration option. For example, installing the wrong device driver can sometimes prevent computer startup. When this option is used during startup, the configuration in HKLM\System\CurrentControlSet key from the last successful startup is used to start the computer. All other registry keys and values are left unchanged.

The following procedure outlines the steps in using the Last Known Good Configuration option to restore the registry's HKLM\System\CurrentControlSet key.

  1. Click on Start and then Turn off computer. The Turn off computer dialog appears.

  2. Select Restart. The computer shuts down and begins to restart. During restart, the following message appears:

      Please select the operating system to start, Press F8

  3. Use the arrow keys to select the Last Known Good Configuration option and then press the Enter key.

  4. The computer starts and restores HKLM\System\CurrentControlSet key.


System Configuration Utility

In addition to the registry, Windows XP uses a number of other system files to store and retrieve configuration settings. Windows XP Professional provides a tool for viewing and managing these system files called the System Configuration Utility, or Msconfig. The system files and resources managed by the System Configuration Utility include:

  • Startup configuration settings

  • System.ini

  • Win.ini

  • Boot.ini

  • Applications that automatically started at system startup

  • Services that automatically started at system startup

The System.ini, Win.ini and Boot.ini files are system files and are automatically hidden from view when using Windows Explorer. The following procedure outlines the steps required to view these files using Windows Explorer.

  1. Click on Start/All Programs/Accessories and then select Windows Explorer.

  2. Click on the Folder Options entry located in the Windows Explorer Tools menu. The Folder Options dialog appears.

  3. Select the View property sheet.

  4. Select the Show hidden files and folders option.

  5. Clear the Hide protected operating system files option.

  6. Click on OK.

The System.ini and Win.ini system files reside in the C:\ folder by default.The format of these files is the same as any other .ini file, a sample of which is shown below.

 [drivers]
 wave=mmdrv.dll
 timer=timer.drv

Data is divided into sections, each of which has a header that is enclosed within a pair of square brackets. Configuration settings located within each section consist of a setting name, the equals sign, and the value assigned to the setting. These system files can be edited by hand using any plain text editor, such as Notepad. Editing these files can be tricky, however. It is highly recommended that administrators use the System Configuration Utility because it provides control over the changes that can be made and prevents accidental errors when typing new settings.

The System Configuration Utility can be started using the following procedure.

  1. Open the Windows XP Professional Help and Support Center.

  2. Click on the Use Tools to view your computer information and diagnose problems option in the Pick a Task section.

  3. Select System Configuration Utility from the list of tools on the lefthand side of the screen.

  4. Click on the Open System Configuration Utility link. The System Configuration Utility appears.

Tip

A faster way to start the System Configuration Utility is to click on Start, select Run to open the Run dialog, type Msconfig in the Open field, and click on OK.

The System Configuration Utility is organized into six property sheets, each of which manages a particular system file or set of system resources. These property sheets include:

  • General. Specifies operating system startup options

  • SYSTEM.INI. Displays and modifies the System.ini file

  • WIN.INI. Displays and modifies the Win.ini file

  • BOOT.INI. Displays and modifies the Boot.ini file

  • Services. Displays Windows XP services and controls which ones are automatically started at Windows XP startup

  • Startup. Displays Windows XP applications and controls which ones are automatically started at Windows XP startup

Changes made to any of the system files and resources managed by the System Configuration Utility do not take effect until the next time the computer is started. When a modification has been made to one of the utility's files or resources, a prompt appears asking if the computer should be restarted. Click on Restart to restart the computer and test the effects of the change.

Selecting the Startup Mode

The Startup property sheet on the System Configuration Utility, shown in Figure 12.10, determines how Windows XP Professional starts up. The following three startup options are available.

Click To expand
Figure 12.10: Setting system startup settings

  1. Normal Startup-load all device drivers and services. This is the default option, and it tells Windows XP Professional to start up normally.

  2. Diagnostic Startup-load basic devices and services only. This option tells Windows XP to start without using the System.ini or Win.ini and without starting system services or startup applications.

  3. Selective Startup. Allows administrators to specify which of the following resources should be used during system startup.

    • Process SYSTEM.INI File

    • Process WIN.INI File

    • Load System Services

    • Load Startup Items

    • User Original BOOT.INI

    • Use Modified BOOT.INI

Diagnostic Startup is used to diagnose startup problems and may allow the administrator to start the computer in situations where it might not otherwise start. This allows the administrator to troubleshoot startup problems before resetting the Normal Startup option. The Select Startup option provides even greater control when troubleshooting startup problems by allowing administrators to disable the use of all system files, services, and applications and then to incrementally restore them one at a time while troubleshooting.

Two buttons are located at the bottom of the Startup property sheet. These are:

  • Launch System Restore. Clicking on this button opens the Windows XP Help and Support Center's System Restore page, where administrators can create a new restore point or perform a restoration of the computer to an earlier restore point. Instructions for using the System Restore process are provided in "Creating Restore Points" in Appendix B, "Troubleshooting System Startup."

  • Expand File. Clicking on this option opens the Expand One File from Installation Source dialog, as shown in Figure 12.11. This dialog allows administrators to restore a Windows XP file from a Cabinet or CAB file located on the Windows XP Professional CD.

Click To expand
Figure 12.11: Restoring Windows XP Professional from the Windows XP Professional CD
Note

Cabinet files are compressed files and are used by Microsoft and other application developers to compress application files for more efficient storage.

In the event that a Windows XP Professional file gets deleted or becomes corrupted, it can be restored on the computer by extracting a copy of the original file from its CAB file on the Windows XP Professional CD using the following procedure:

  1. Open System Configuration Utility and select the General property sheet.

  2. Click on Expand file. The Expand One File from Installation Source dialog appears.

  3. Click on Browse File to specify the location of the problem file.

  4. Click on Browse From to specify the location of the CAB file on the Windows XP Professional CD where the original copy of the file resides.

  5. Click on Browse to specify the folder where the original file should be copied.

  6. Click on Expand.

Modifying System.ini

The SYSTEM.INI property sheet on the System Configuration Utility, shown in Figure 12.12, allows administrators to view and edit the System.ini file. This file was used on older versions of Windows to store configuration settings for devices and software drivers. Windows XP Professional provides support for this file in order to provide backward compatibility with 16-bit applications that may still need access to it in order to operate properly.

Click To expand
Figure 12.12: Modifying the System.ini file

To view the settings stored within a particular section of the System.ini file, click on the + sign to the left of the section header. All the configuration settings within that section will be displayed. Settings can be enabled or disabled by selecting or clearing their selection box. In addition, the Enable All and Disable All buttons at the bottom of the Property sheet allow global control over all the configuration settings within the System.ini file.

On the right side of the property sheet are a collection of buttons that perform the following functions:

  • Move Up. Moves the selected section or setting up one position in the file

  • Move Down. Moves the selected section or setting down one position in the file

  • Enable. Selects the currently selected setting or section

  • Disable. Deselects the currently selected setting or section

  • Find. Displays the Find dialog, allowing a keyword search of the entire file

  • New. Inserts a new entry in the System.ini file

  • Edit. Changes the state of the current entry to allow it to be modified

Modifying Win.ini

The WIN.INI property sheet on the System Configuration Utility, shown in Figure 12.13, allows administrators to view and edit the Win.ini file. This file was used on older versions of Windows XP to store configuration settings for devices and software drivers. Windows XP Professional provides support for this file in order to provide backward compatibility for 16-bit applications that may still need access to it in order to operate properly.

Click To expand
Figure 12.13: Modifying the Win.ini file

To view the configuration settings stored within a particular section of Win.ini, click on the + sign to the left of the section header. All the configuration settings within that section appear. Settings can be enabled or disabled by selecting or clearing a selection box. In addition, the Enable All and Disable All buttons at the bottom of the Property sheet provide global control over all the configuration settings within the Win.ini file.

On the right side of the property sheet are a collection of buttons that perform the same functions as the buttons found on the SYSTEM.INI property sheet.

Configuring the Windows XP Boot Process

The BOOT.INI property sheet on the System Configuration Utility, shown in Figure 12.14, allows administrators to view and modify the Boot.ini file. This file contains settings used by Windows XP Professional to display its boot menu. The boot menu allows the user to select which operating system to boot up when more than one operating system is installed on the computer.

Click To expand
Figure 12.14: Modifying the Boot.ini file

Boot.ini lists bootable partitions and specifies boot settings that affect how the system will start. There are several ways to modify Boot.ini. One is to use a standard text editor, such as Notepad, to manually edit the file, which is located in the root directory of the disk drive where the Windows XP Professional boot files are stored. The Boot.ini file is fairly complex, making it easy to make a mistake when modifying it and potentially rendering a computer unbootable.

Boot.ini is organized into two sections, as described below.

  • [boot loader]. Specifies the timeout setting and the default boot partition

  • [operating systems]. Specifies the location of each bootable partition on the computer

Boot.ini uses the ARC (Advanced RISC Computing) convention to specify the location of bootable partitions where operating systems are stored. For example, the following ARC paths represent typical Boot.ini entries.

 multi(0)disk(0)rdisk(1)partition(1)\Windows:\Microsoft Windows XP
 SCSI(0)disk(0)rdisk(0)partition(1)\Windows:\Microsoft Windows 98

Each of the arguments used in the preceding statements is defined in the following list.

  • multi(x). Specifies a non-SCSI controller where x is the load order of the disk controller

  • SCSI(x). Specifies the SCSI controller whose SCSI BIOS is disabled where x is the load order of the disk controller

  • disk(x). The SCSI ID assigned to the drive (always set = 0 for multi)

  • rdisk(x). Specifies the drive's disk number

  • partition(x). Specifies a partition on a disk with a bootable operating system

In addition to the above arguments in the Boot.ini ARC entries, a number of switches are available that modify the manner in which operating systems are started. These switches are listed on the lower portion of the BOOT.INI property sheet on the System Configuration Utility.

Another way to edit Boot.ini is from the System Properties dialog using the following procedure.

  1. Click on Start and then right-click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the Advanced property sheet.

  3. Click on the Setting button located in the Startup and Recovery section. This opens the Startup and Recovery dialog, as shown in Figure 12.15.

    Click To expand
    Figure 12.15: Modifying the Boot.ini file from the Startup and Recovery dialog

  4. The following options are available:

    • Default operating system. Specifies the operating system to be started when the user fails to select one

    • Time to display list of operating systems. Specifies the amount of time to wait before starting the default operating system

    • Time to display recovery options when needed. Specifies the amount of time to display recovery options

    • To edit startup options file manually, click Edit. Opens the Boot.ini file using Notepad so that it can be manually edited

      Make any required changes to Boot.ini and click on OK.

  5. Click on OK to close the System Properties dialog.

  6. In order to test any changes that have been made, the computer must be restarted. Click on Restart when prompted.

Except for allowing for manual editing of the Boot.ini file, the Startup and Recovery dialog provides only limited control over the file's contents. The BOOT.INI property sheet on the System Configuration Utility provides detailed point-and-click control over the entire Boot.ini file and provides a much safer means of editing the file.

The following procedure outlines the steps involved in working with the Boot.ini file using the BOOT.INI property sheet on the System Configuration Utility.

  1. Open the System Configuration Utility and select the BOOT.INI property sheet.

  2. The top portion of the BOOT.INI property sheet displays the contents of the Boot.ini file. Changes made by selecting configuration options in the bottom portion of the sheet will be reflected immediately in the top portion.

  3. Click on Check All Boot Paths to run a check that verifies that all boot paths are valid.

  4. Click on Set as Default to make the currently selected partition the default boot partition.

  5. Click on Move Up to move a line in the Boot.ini file up. Use this option to change the order in which the boot options are displayed on the Windows XP boot menu.

  6. Click on Move Down to move a line in the Boot.ini file down. Use this option to change the order in which the boot options are displayed on the Windows XP boot menu.

  7. Type a value in the Timeout field to specify the number of seconds that the computer will wait before loading the default boot partition.

  8. Optionally, select one of the partition statements and select any of the following options.

    • /SAFEBOOT. Enables the Windows XP Safe Boot option.

      When selected, any of the following settings can also be selected: MINIMAL, NETWORK, DSREPAIR, MINIMAL(ALERTNATESHELL).

    • /NOGUIBOOT. Boots Windows XP into text mode without any graphical user interface.

    • /BOOTLOG. Enables the logging of boot messages so that the administrator can track boot activity.

    • /BASEVIDEO. Instructs Windows XP to boot up using VGA

      (Video Graphics Adapter) display settings. This setting is used to recover from incorrect display settings.

    • /SOS. Enables verbose message display so that the administrator can see system startup messages that occur before the Windows XP Professional GUI is loaded.

  9. Optionally, click on Advanced options. The BOOT.INI Advanced Options dialog appears, as shown in Figure 12.16. The following settings can be configured from this dialog.

    Figure 12.16: Setting advanced Boot.ini configuration options

    • /MAXMEM=. Arbitrarily limits the amount of available memory (in MB) available to Windows XP Professional.

    • /NUMPROC=. Arbitrarily limits the number of processors that Windows XP Professional can use to one.

    • /PCILOCK. Prevents Windows XP Professional from reconfiguring I/ O and memory resources from the way that they are set in BIOS.

    • /DEBUG. Enables kernel debug mode.

  10. If the /DEBUG option is selected, the following options can also be set.

    • /DEBUGPORT=. Specifies the COM port where debug information is to be sent.

    • /BAUDRATE=. Specifies the baud rate at which data will be sent to the /DEBUGPORT.

    • /CHANNEL=. When a 1394 firewall port is specified, this setting specifies the channel to be used.

  11. Click on OK to close the BOOT.INI Advanced Options dialog.

  12. Click on OK to close the System Configuration Utility.

  13. Click on Restart when prompted to test the changes that have been made.

Managing Service Startup

The Services property sheet on the System Configuration Utility, shown in Figure 12.17, displays a list of services that run on the computer. The name of each service is displayed along with the following information.

Click To expand
Figure 12.17: Controlling which services are started during system startup

  • Service. The name of the service

  • Essential. Whether or not the service is essential to the operation of the computer

  • Manufacturer. The application vendor that developed and supports the service

  • Status. The service's status (stopped or running)

At the bottom of the Services property sheet is the Hide All Microsoft Services option. When selected, this option removes all Microsoft-based services from the display, leaving only a list of services developed by third-party software developers.

The following procedure outlines the steps involved in using the Services property sheet to manage the automatic startup of services.

  1. Open System Configuration Utility and select the Services property sheet.

  2. To disable a service, clear the selection box just to the left of its entry.

  3. To re-enable a service, select the selection box just to the left of its entry.

  4. At the bottom of the Services property sheet are two buttons. Click on Disable All to disable services. Click on Enable All to enable all services.

Controlling Application Startup

The Startup property sheet on the System Configuration Utility, shown in Figure 12.18, displays a list of applications automatically started at system startup. These applications include programs automatically started by the registry, as well as programs listed in the user's Startup folder, which is located in Documents and Settings\username\Start Menu\Programs\Startup.

Click To expand
Figure 12.18: Controlling which Windows XP applications are started during system startup

The Startup property sheet allows administrators to selectively enable or disable application startup at system startup. This can be a useful tool when attempting to track down a problem that may stem from an application. The Startup property sheet displays each application that is configured to automatically start, as well as the command used to start it and the location of the source that has configured it. This location is either the user's Startup folder or a registry value.

The following procedure outlines the steps involved in using the Startup property sheet to manage the automatic startup of applications.

  1. Open System Configuration Utility and select the Startup property sheet.

  2. To disable an application from automatically starting, clear its selection box just to the left of its entry.

  3. To re-enable an application's automatic execution, select its selection box just to the left of its entry.

  4. At the bottom of the Startup property sheet are two buttons. Click on Disable All to disable automatic startup of every application. Click on Enable All to reinstate each application's automatic startup.


Working with Environment Variables

Windows XP Professional stores most of its configuration settings in the Windows XP registry. Some of this information is made available as system environment variables. Environmental variables are generated from information that is collected from a number of different sources, including:

  • HKEY_CURRENT_USER. User information collected during user login

  • HKEY_LOCAL_MACHINE. Hardware and software settings collected during system startup

There are two types of environment variables, user and system. User environment variables are user-specific, meaning that they may be set to different values for each user of the computer. System variables, on the other hand, affect the entire computer and every user of the computer. Changes made to environment variables are actually changes made to the Windows XP registry. Changes made to user environment variables are not effective until the user logs off and back on again. Changes to system variables are not effective until the computer is restarted.

Any changes made to environment variables are permanent, meaning that they survive across system restarts and remain in effect until changed or deleted.

Users can modify their own user variables. Only administrators can modify system variables.

Access to user and system variables is provided from the System Properties dialog. The following procedure outlines the steps involved in displaying these variables.

  1. Click on Start, right-click on My Computer, and select Properties. The System Properties dialog appears.

  2. Select the Advanced property sheet.

  3. Click on Environment Variables. The Environment Variables dialog appears, as shown in Figure 12.19.

    Click To expand
    Figure 12.19: Displaying user and system variables

  4. The top portion of the dialog displays user variables. The bottom portion of the dialog displays system variables.

By default, two user environment variables are established for every user.These are:

  • TEMP. Specifies the location of a temporary folder where temporary files can be written during the user's login session

  • TMP. Specifies another location where temporary files can be stored

A number of system variables are automatically established and affect every user of the computer. These system variables include:

  • ComSpec. Identifies the location of the Windows shell

  • NUMBER_OF_PROCESSORS. Displays a value of 1 for single processor computers

  • OS. Displays the operating system's name

  • Path. Specifies the current search path

  • PATHEXT. Specifies a list of extensions that identify executable files

  • PROCESSOR_ARCHITECTURE. Identifies the computer's processor type

  • PROCESSOR_IDENTIFIER. Displays a detailed description of the computer's processor

  • PROCESSOR_LEVEL. Displays the processor's stepping level

  • PROCESSOR_REVISION. Displays the processor's revision number

  • TEMP. Specifies the location where temporary files can be stored

  • TMP. Specifies an alternative location where temporary files can be stored

  • windir. Identifies the location of the Windows folder

The following procedure outlines the steps involved in modifying an environment variable.

  1. Open the Advanced property sheet on the System Properties dialog and click on Environment Variables. The Environment Variables dialog appears.

  2. To modify a user or system variable, select the variable and click on the Edit button in the user or system variable section, depending on the type of variable selected.

  3. The Edit User Variable or Edit System Variable dialog appears.

  4. To change the variable's name, type a new name in the Variable name field.

  5. To change the value assigned to a variable, type a new value in the Variable value field.

  6. Click on OK.

  7. Click on OK twice to close the Environment Variables and System Properties dialogs.

Log off and back on again in order for a change to a user variable to take affect. For a change to a system variable to take effect, the computer must be restarted.

The following procedure outlines the steps involved in creating a new environment variable.

  1. Open the Advanced property sheet on the System Properties dialog and click on Environment Variables. The Environment Variables dialog appears.

  2. To create a new user or system variable, click on the New button in either the user or system section.

  3. The New User Variable or New System Variable dialog appears.

  4. Type the name of the new variable in the Variable name field.

  5. Type the value to be assigned to the new variable in the Variable value field.

  6. Click on OK.

  7. Click on OK twice to close the Environment Variables and System Properties dialogs.

The new environment variable will appear in the list of user or system variables but is not effective until the next login session or a restart is performed.

Deletion of environment variables should be performed with great care. No confirmation is required when deleting an environment variable, and the effect of removing it will not be known until the user's next login session or the next time the computer is restarted. The following procedure outlines the steps involved in deleting an environment variable.

  1. Open the Advanced property sheet on the System Properties dialog and click on Environment Variables. The Environment Variables dialog appears.

  2. To delete a user or system variable, select the variable and click on the Delete button in the user or system variable section, depending on the type of variable selected.

  3. Click on OK.

  4. Click on OK twice to close the Environment Variables and System Properties dialogs.

Not every variable is visible from the Environment Variables dialog. By executing the SET command at the Windows XP command prompt, additional variables can be displayed. For example, Figure 12.20 shows a typical list of variables displayed from the command prompt.

Click To expand
Figure 12.20: Displaying variables from the Windows XP Professional command prompt

The SET command is especially important to administrators who develop Windows scripts because it allows scripts to create temporary variables that can be referenced throughout the script.

Note

More information on Windows scripting and the use of the SET command is available in Chapter 14, "Shell Scripting and the WSH."


Chapter 13: Performance Tuning

Overview

Windows XP Professional automatically configures performance settings based on the hardware resources available on the computer at the time that the operating system is installed. However, Windows XP's self-assigned performance settings can usually be fine-tuned for additional performance gains.

Windows XP's performance tuning involves refining processor and memory settings, as well as optimizing other resources such as hard disk drives. Users who use their computers to play video games or run graphically intensive applications will see improved performance gains by configuring display settings. Finally, mobile users can get more life out of their laptop computers by enabling power management settings.

Administrators can use Windows XP's built-in monitoring utilities to keep an eye on performance in order to assist users by anticipating their future hardware requirements. Performance monitoring utilities can also be used to troubleshoot system performance problems by providing administrators with tools that can remotely monitor resources and help track down system bottlenecks.


Tuning Windows XP Professional Performance

Windows XP Professional is designed to provide the best possible performance for the average user. It automatically configures itself to allocate more resources to the execution of applications in order to provide a faster response time for the local user. In addition, the operating system configures itself during installation based on the hardware it finds on the computer. Examples of this configuration include the specification of virtual memory and various graphically intensive display settings.

The easiest way to improve performance on a computer running Windows XP Professional is to:

  • Install additional memory

  • Install a faster processor or a second processor

  • Replace the hard drive with a larger and faster hard drive

  • Add additional hard drives

Even moderate increases in hardware resources can have a significant impact on performance, especially on computers whose current hardware configuration just meets Windows XP Professional's minimum requirements. Of all the above hardware resources, adding additional memory generally provides the best return on investment. For example, while Windows XP Professional can run on just 64MB of memory, its performance will not be satisfactory. Increasing the computer memory to 128MB or higher will provide a noticeable improvement in performance, especially when more than a few applications are in use at the same time.

Unfortunately, installing new hardware is an expensive way to provide users with better performance. Administrators can often provide their users with performance improvements without the addition of any new hardware by reconfiguring the way that Windows XP Professional allocates existing system resources. Critical system resources include:

  • Display

  • Processor

  • Memory

  • Hard disk

  • Power

Note

Another way to achieve performance improvements with Windows XP Professional is to disable or uninstall any unnecessary services or applications that may be automatically loaded at system startup. Other options include moving resource-intensive applications to other computers that are equipped with additional hardware resources.

Performance Options

Access to a number of Windows XP Professional performance settings is found on the Advanced Property sheet on the System Properties dialog, as shown in Figure 13.1.

Figure 13.1: Only administrators can configure Windows XP Professional performance settings

Clicking on the Settings button in the Performance section of the Advanced property sheet opens the Performance Options dialog, where the following settings can be configured:

  • Visual Effects. Specifies a number of advanced graphic visual affects and determines which are in effect

  • Processor Scheduling. Controls the manner in which Windows XP allocates processor resources between foreground applications and background processes

  • Memory Usage. Controls the manner in which Windows XP allocates memory between foreground applications and system cache

  • Virtual Memory. Determines the amount of available disk space that is available to supplement physical memory and the manner in which it is configured

The following procedure outlines the steps involved in accessing these settings.

  1. Click on Start, right-click on My Computer, and select Properties. The System Properties dialog appears.

  2. Click on the Settings button located in the Performance section. The Performance Options dialog appears, as shown in Figure 13.2.

    Figure 13.2: Windows XP's performance settings control visual affects as well as processor, memory, and virtual memory settings

  3. To configure which graphic visual effects are enabled, select the Visual Effects property sheet.

  4. To configure processor, memory, and virtual memory, select the Advanced property sheet.

Visual Effects

The Visual Effects property sheet allows administrators to configure how Windows XP Professional implements 16 different graphical effects, all of which draw upon the computer's resources. These effects include:

  • Animate windows when minimizing and maximizing

  • Fade or slide menus into view

  • Fade or slide ToolTips into view

  • Fade out menu items after clicking

  • Show shadows under menus

  • Show shadows under mouse pointer

  • Show translucent selection rectangle

  • Show windows contents while dragging

  • Slide open combo boxes

  • Slide taskbar buttons

  • Smooth edges of screen fonts

  • Smooth-scroll list boxes

  • Use a background image for each folder type

  • Use common tasks in folders

  • Use drop shadows for icon labels on the desktop

  • Use visual styles on windows and buttons

The following procedure outlines the steps involved in configuring Windows XP's visual effects.

  1. Open the System Properties dialog.

  2. Select the Advanced property sheet.

  3. Click on the Settings button located in the Performance section to open the Performance Options dialog.

  4. Select the Visual Effects property sheet.

  5. The following configuration options are available:

    • Let Windows choose what's best for my computer. Allows Windows XP to select visual effects based on the hardware resources that it has available on the computer

    • Adjust for best appearance. Enables all visual effects

    • Adjust for best performance. Disables all visual effects

    • Custom. Allows the administrator to create a custom collection of visual effect settings

    Select the appropriate settings and click on OK.

  6. Click on OK to close the System Properties dialog.

Advanced Performance Options

The Advanced property sheet on the Performance Options dialog, shown in Figure 13.3, provides access to performance settings that affect the following system resources.

Figure 13.3: Configuring advanced performance settings

  • Processor

  • Memory

  • Virtual memory

Windows XP Professional is a client operating system, meaning that it is designed to be used by a local user who sits down at the computer and directly interacts with it. However, the operating system can also be configured to share local resources with network users. By tuning processor and memory configuration settings, administrators tell Windows XP Professional how to allocate these resources in order to best serve either the local user or network users. Tuning virtual memory, on the other hand, can improve performance regardless of how it is used.

Processor Scheduling

The Advanced property sheet on the Performance Options dialog allows administrators to tell Windows XP Professional how to best allocate processor time. Two options are available, as outlined below.

  • Programs. Tells the operating system to favor the execution of local applications in order to provide the local user with better response time

  • Background services. Tells the operating system to favor the execution of background process over local applications

A local application is any program that interacts with the user. Examples of local applications include Microsoft Office applications, such as Microsoft Word. By configuring Windows XP to allocate more of the processor's attention to local applications, administrators provide the local user with the best performance.

Examples of background services include the spooler services and the File and Printer Sharing. These services provide a computer running Windows XP Professional with the ability to share local print devices and disk space with other network computers. By dedicating additional processor attention to background services such as these, administrators are able to better tune computers that provide network services.

The following procedure outlines the steps required to configure processor scheduling on Windows XP Professional.

  1. Open the System Properties dialog.

  2. Click on the Settings button located in the Performance section to open the Performance Options dialog.

  3. Select the Advanced property sheet.

  4. In the Processor scheduling section, select the Programs option to provide faster local response time.

  5. Alternatively select the Background services option to better service network users.

  6. Click on OK to close the Performance Options dialog.

  7. Click on OK to close the System Properties dialog.

Memory Usage

Memory is generally the most important hardware resource. A system with 128MB of memory and a Pentium 266 processor will easily outperform a computer of the same type and model that has 64MB of memory and a Pentium 500 processor. Given Windows XP Professional's large memory requirements, proper memory configuration is very important. The cost of memory has dropped substantially in recent years, making it the most affordable and most easily implemented performance improvement option.

The Advanced property sheet on the Performance Options dialog allows administrators to tell Windows XP Professional how to best allocate available memory. Two options are available as outlined below.

  • Programs. Tells the operating system to favor the allocation of memory to local applications in order to provide the local user with better response time

  • System cache. Tells the operating system to favor the allocation of memory to system cache, which allows the computer to better service network requests

Windows XP Professional caches or stores recently accessed data in memory for quick retrieval. By configuring the operating system to allocate more memory to system cache, the system is able to respond faster to requests for data because retrieval from memory is many times faster than retrieval from a hard disk. While this setting is really designed more for network servers that provide Web services, administrators can speed up performance on Windows XP Professional when the computer functions as a network server.

The following procedure outlines the steps required to configure memory allocation on Windows XP Professional.

  1. Open the System Properties dialog.

  2. Click on the Settings button located in the Performance section to open the Performance Options dialog.

  3. Select the Advanced property sheet.

  4. In the Memory usage section, select the Programs option to provide faster local response time.

  5. Alternatively select the System cache option to configure the computer to better support network services.

  6. Click on OK to close the Performance Options dialog.

  7. Click on OK to close the System Properties dialog.

Configuring Virtual Memory

Memory is an extremely important resource. Windows XP Professional requires a minimum of 64MB of memory to run. However, anything less than 128MB of memory results in poor performance and limits the number of applications that users can comfortably work with at one time. Even when it is not running any applications, Windows XP Professional typically consumes over 60MB of memory. Adding more memory can have a substantial impact on the computer's performance.

To allow Windows XP Professional to run applications that require large amounts of memory and to allow the operating system to run a number of such applications at the same time, Windows XP uses virtual memory. Virtual memory is a preallocated portion of disk storage space that is used to simulate actual physical memory. By using virtual memory, Windows XP Professional is able to support applications whose memory requirements exceed the physical memory installed in the computer.

Windows XP Professional can move or page a portion of memory from physical RAM to the disk drive in order to free up memory. The operating system moves data out of memory based on how often it is accessed. Data in memory that has not been accessed for a while is moved or paged to virtual storage to make room for new data. If memory that has been paged out is later required, other data is paged out of physical memory into virtual memory so that the needed data can be paged back into physical memory.

Windows XP Professional stores virtual memory in a file called page-file.sys. Windows XP automatically creates one paging file in the disk partition where the Windows system files are stored. This partition is accessed a lot during normal operation. Locating the pagefile.sys on the same disk drive increases congestion and reduces the computer's performance by funneling page file activity and system file access to the same drive.

Administrators can improve computer performance on computers with more than one hard disk drive by moving the pagefile.sys file to a different drive. This spreads the processing load out more evenly, leaving the first drive to process requests for system files while the second drive manages virtual memory activity. On systems with three or more disk drives, performance can be further enhanced by creating additional pagefile.sys files on each disk drive (except for the drive where the Windows XP files are stored).

Virtual memory is administered from the Virtual Memory dialog, shown in Figure 13.4. This dialog is accessed by clicking on the Change button located in the Virtual memory section on the Advanced property sheet on the Performance Options dialog. By default, Windows XP Professional creates a single pagefile.sys file and sets it equal to 1.5 times the amount of physical memory.

Figure 13.4: Viewing current virtual memory configuration

There are a couple of ways that virtual memory performance can be improved. One is to increase the size of virtual memory to twice the size of physical memory on computers with plenty of free disk space. This extra capacity helps ensure that adequate virtual memory is always available. Another way to increase virtual memory performance is to preset the minimum and maximum size of virtual memory to equal its total size. Otherwise, when the computer starts, it will only allocate enough disk space to meet its initial virtual memory settings and will have to continue to increase its size over time as required to satisfy processing requirements, up to its maximum size. On badly fragmented disk drives, expanding virtual memory over time may result in the fragmentation of the pagefile.sys file, which then increases the amount of time that the operating system takes when storing or retrieving data from virtual memory.

The following procedure demonstrates how to configure virtual memory by creating two pagefile.sys files and spreading them out over two different hard drives.

  1. Open the System Properties dialog.

  2. Click on the Settings button located in the Performance section to open the Performance Options dialog.

  3. Select the Advanced property sheet.

  4. Click on the Change button in the Virtual memory section. The Virtual Memory dialog opens.

  5. An entry is displayed for each hard drive on the computer in the Drive section at the top of the Virtual Memory dialog. Select a hard drive that does not contain the Windows XP system files.

  6. Select the Custom size option to enable the Initial size and Maximum size fields. Enter a value in the Initial size and Maximum size fields and click on Set. Repeat this step for each disk drive, as demonstrated in Figure 13.5.

    Click To expand
    Figure 13.5: Spreading virtual memory out over two disk drives to improve system performance

  7. Select the drive where the Windows XP Professional system file resides and then select the No paging file option and click on Set. This unconfigures the original paging file.

  8. Click on OK to close the Virtual Memory dialog.

  9. A prompt appears announcing that a restart of the computer will be required for the changes to take effect. Click on OK to dismiss this prompt.

  10. Click on OK to close the Performance Options dialog.

  11. Click on OK to close the System Properties dialog.

  12. Click on Yes when prompted to restart the computer.

Display Settings

Overall system performance can also be affected by the color and resolution display settings when users run applications that are particularly graphics intensive. Video output on a computer with a low-end video adapter may seem slow or even choppy, resulting in unsatisfactory performance.

The best way to deal with these situations is to ensure that the computer has a video adapter with an adequate amount of onboard memory to handle the application's requirements. A less desirable option, however, may be to lower the screen resolution and color display settings in order to lower the processing load for the video adapter.

Note

As a cost saving manufacturing method, many PC manufacturers today have integrated the video card directly into the computer's motherboard. In this case the computer will not have a separate video card. However, if the motherboard's video adapter fails or does not provide sufficient resolution and color settings, the administrator can usually disable the on-board video adapter and install a new one by following the instructions provided by the manufacturer.

Resolution is based on the number of pixels that are displayed on the screen at one time. The higher the resolution, the more detailed the image. Color is a measurement of the number of colors displayed on the screen and can range from 16 colors to 16 million colors. Most video cards impose a trade-off between resolution and color settings, meaning that increasing resolution beyond a certain point requires a compensating decrease in color and vice versa.

The following procedure describes the steps involved in configuring the resolution and color settings on a computer running Windows XP Professional.

  1. Right-click on an open area of the desktop and select Properties. The Display Properties dialog appears.

  2. Click on the Settings property sheet, as shown in Figure 13.6.

    Click To expand
    Figure 13.6: Adjusting resolution and color display settings for better performance

  3. To adjust resolution, move the slider bar located in the Screen Resolution section to the left or right. The value of the current setting is displayed right under the slider bar, indicating the effects of moving the bar.

  4. To change color depth, select a color setting from the drop-down list in the Color quality section.

  5. The screen will turn blank for a second as Windows XP applies the new graphics settings. A pop-up dialog may appear asking if the new settings should be kept. If the display looks good, click on Yes. Otherwise, click on No and the previous display settings will be reinstated.

Optimizing Disk Drives

The status of a computer's hard disk drives can have a significant impact on overall system performance. As hard disks become full over time, the computer's performance decreases. One reason is that hard disk drives with limited free space fragment faster. Disk fragmentation occurs when Windows XP is unable to store a file in a contiguous location on the disk drive and instead must break it down into separate pieces and store them in multiple locations on the drive. This slows down both file storage and file retrieval. Also, as hard disk drives fill up, the amount of space available for system cache and virtual memory decreases, limiting the availability of both of the resources.

One way to deal with disk capacity issues is to uninstall Windows components and applications that are no longer used. In addition, Windows XP Professional provides two disk management utilities that assist administrators in performing regular disk maintenance. These are:

  • Disk Cleanup. Frees up disk space by removing unnecessary files from the hard disk drive

  • Disk Defragmenter. Rearranges files stored on the hard disk for optimal storage and retrieval

Both of these utilities are discussed in the sections that follow.

Disk Cleanup

Over time, Windows XP Professional stores a lot of unnecessary files on the computer as a part of its normal operation. For example, Windows and Windows applications often store information in temporary files during execution of a particular task. Once the task is complete, these temporary files are no longer needed. In addition, Internet Explorer temporarily downloads and stores a lot of data from visited Web sites in order to improve access time when Web sites are revisited. By removing unnecessary files from the computer, administrators can free up additional storage and improve system performance.

Using the Disk Cleanup utility, administrators can remove a number of different types of unnecessary files from the computer, including:

  • Temporary files downloaded from the Internet

  • Files moved to the Windows XP Recycle Bin

  • Files stored in temporary folders

  • Programs such as ActiveX controls downloaded when connected to the Internet

  • Unused Windows components

  • Unused Windows applications

  • Out-of-date system restore points

  • Catalog file for the Content Indexer service

Tip

Administrators can use the Windows Task Scheduler to set up the automated execution of the Disk Cleanup utility. For more information, refer to "Scheduling Application Execution" in Chapter 4, "Application Management," and Chapter 11, "Disk Management."

The Disk Cleanup utility, shown in Figure 13.7, is started by clicking on Start/ All Programs/Accessories/System Tools and then selecting Disk Cleanup. Once started, select a hard disk drive from the Drives drop-down list and click on OK. This opens the Disk Cleanup For dialog, shown in Figure 13.8, where administrators can specify what files the utility should look for and clean up.

Figure 13.7: Select the hard disk drive to be cleaned up
Click To expand
Figure 13.8: Use the Disk Cleanup utility to free up disk space by removing unnecessary files from the computer
Note

For detailed step-by-step instructions for using the Disk Cleanup utility, refer to "Removing Temporary Files to Free Up Additional Space" in Chapter 11, "Disk Management."

Disk Defragmenter

Disk fragmentation is the storage of files in noncontiguous space on a disk drive. Fragmentation occurs when hard disk drives begin to fill up and free space begins to become scarce. Using the Disk Defragmenter utility, administrators can defragment a hard disk drive. This reorganizes files stored on the drive and helps ensure that new files do not become fragmented.

Windows XP Professional supplies administrators with the Disk Defragmenter utility as the tool for reorganizing drives and improving overall system performance.

Tip

Administrators can use the Windows Task Scheduler to set up the automated execution of the Disk Defragmenter utility using the defrag.exe command. For more information on how to do this, refer to "Scheduling Application Execution" in Chapter 4, "Application Management," and Chapter 11, "Disk Management."

In order to run efficiently, the Disk Defragmenter utility requires 15 percent free space on the disk drive so that it has enough space to temporarily store files as it reorganizes the disk drive. If insufficient space is available, run the Disk Cleanup utility. Optionally, try uninstalling any unused applications or move some files to another location to free up enough disk space.

The Disk Defragmenter utility, shown in Figure 13.9, can be started by clicking on Start/All Programs/Accessories/System Tools and then selecting Disk Defragmenter. Statistics for each hard disk installed on the local computer are displayed and controls that control execution of the utility are provided at the bottom of the Disk Defragmenter dialog.

Click To expand
Figure 13.9: Use the Disk Defragmenter utility to optimize storage on a computer's hard disk drives
Note

For detailed step-by-step instructions for using the Disk Defragmenter utility, refer to "Using the Disk Defragmenter Snap-in" in Chapter 11, "Disk Management."

Power Management

Another aspect of system performance is power management. Power management affects the manner in which Windows XP Professional utilizes power during the normal operating of the computer. For example, Windows XP can be configured to reduce the power to monitors and disk drives when a specified period of inactivity passes. In addition, Windows XP can place itself into various modes that simulate system shutdown without losing any currently loaded user data or programs.

Power management settings can have a direct impact on the performance of a computer. For instance, when the user steps away from the computer and power settings kick in, the user has to wait for Windows XP Professional to restore its various components before the user can continue working.

Power management settings can be used to conserve energy and extend the life of system hardware by powering down unused components during periods of user inactivity. Power management is especially important to laptop computer users who need to be concerned about battery life. Administrators can assist mobile users by properly configuring the laptops in such a way that balances the need for performance and convenience and the need to extend battery life as long as possible.

Power management is configured from the Power Options Properties dialog. The following procedure outlines the steps required to access this dialog and view current power management settings.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on the Performance and Maintenance icon. The Performance and Maintenance folder appears, as shown in Figure 13.10.

    Click To expand
    Figure 13.10: The Performance and Maintenance folder provides easy access to a number of performance tools, including the Power Options dialog

  3. Click on the Power Options icon. The Power Options Properties dialog appears.

Note

The Performance and Maintenance folder, shown in Figure 13.10, also provides easy access to the Disk Cleanup utility, Disk Defragmenter, and the Scheduled Tasks folder.

Power Schemes

Windows XP Professional provides six preconfigured power schemes, as shown in Table 13.1. When selected, a power scheme determines how and when Windows XP Professional turns off the monitor and hard disks. In addition to these six power schemes, Windows XP allows administrators to create new power schemes.

Table 13.1: Windows XP Professional Power Schemes
Power scheme | Turn off monitor | Turn off hard disks
Home/Office Desk | After 20 minutes | Never
Portable/Laptop | After 15 minutes | After 30 minutes
Presentation | Never | Never
Always On | After 20 minutes | Never
Minimal Power Management | After 15 minutes | Never
Max Battery | After 15 minutes | Never

Power schemes work in conjunction with two other Windows XP power features, Standby and Hibernation. Standby is a process used by Windows XP in which all active programs and data are stored in memory and the computer is placed into a sleep or low-power state. Power is restored and all data and files returned to their previous state as soon as the user presses a key or moves the mouse. Hibernation is similar to Standby, only instead of storing a copy of all data and active programs in memory, they are stored on hard disk and the computer is powered off. When the user powers the computer back on, an option is presented allowing the computer to be restored to its previous state.

The following list summaries the manner in which each power scheme utilizes the Standby and Hibernation options.

  • Home/Office Desk. This scheme is designed to conserve energy and extend monitor life for desktop or docked laptop computers by turning off power to the monitor after 20 minutes of user inactivity. This option does not invoke Standby or Hibernation.

  • Portable/Laptop. This scheme is designed to conserve battery power. It also puts the computer into Standby mode after 20 minutes and then switches to Hibernation mode after 3 hours.

  • Presentation. This scheme is designed for salespeople and individuals who do presentations and require that full power be maintained at all times. This option does not invoke Standby or Hibernation.

  • Always On. This scheme never turns on the Standby or Hibernation options but will power off the monitor after 20 minutes.

  • Minimal Power Management. This scheme conserves monitor power but never utilizes the Standby or Hibernation options.

  • Max Battery. This scheme provides a second option for mobile users. It powers down the display after 15 minutes of inactivity but continues to keep the hard drive fully powered. In addition, it enters Standby mode after 20 minutes and Hibernation after 45 minutes.

The following procedure outlines the steps involved in configuring a power scheme.

  1. Open the Power Options Properties dialog and select the Power Schemes property sheet, as shown in Figure 13.11.

    Click To expand
    Figure 13.11: Power schemes provide control over the way that Windows XP Professional manages power consumption

  2. Select a power scheme from the Power schemes drop-down list.

  3. The settings for that scheme are displayed in the Turn off monitor and Turn off hard disks drop-down lists. To accept these settings and enable the selected power scheme, click on OK.

  4. To modify the settings for the selected power scheme, select a new value from the drop-down list for either the Turn off monitor or Turn off hard disks options and then click on Save As. Type a name for the new power scheme when prompted and click on OK. The new power scheme will now appear in the Power schemes list.

  5. To delete a power scheme, select the scheme and click on Delete. A pop-up dialog appears requesting confirmation of the deletion request. Click on Yes.

  6. Click on OK to close the Power Options Properties dialog.

Note

The Advanced property sheet on the Power Options Properties dialog provides configuration options that place an icon on the Windows XP taskbar. This provides quick access to the Power Options Properties dialog and forces the user to supply a password before the computer is allowed to restore from Standby mode.

The Hibernate property sheet provides the ability to enable and disable the Hibernation option.

Other property sheets displayed on the Power Options Properties dialog vary based on the power management capabilities of each computer.


Monitoring System Performance

Once the initial configuration of Windows XP Professional is complete, administrators need to continue to monitor the computer to ensure that it is operating efficiently. Monitoring includes tracking the computer's use of system resources to look for changes in performance or usage trends. The information gathered while monitoring provides administrators with the information they need to proactively forecast future system bottlenecks and to anticipate future hardware requirements. Monitoring is also a key tool used by administrators in troubleshooting performance problems.

Windows XP Professional provides administrators with several utilities for monitoring system activity and resources. These utilities include:

  • Task Manager. A utility that provides a real-time snapshot of application, process and user performance as well as a graphic overview of system and network performance

  • System Monitor. An MMC (Microsoft Management Console) snap-in that collects and displays real-time performance data, including disk, memory, processor, and network measurements in a graphic report of histogram format

  • Performance Logs and Alerts. An MMC snap-in that stores performance data and establishes alerts that notify you when monitored resources exceed preset thresholds

Each of these utilities is examined in detail throughout the rest of this chapter.

Task Manager

Windows XP Task Manager utility provides administrators with a tool for monitoring computer performance. Performance data is organized into five property sheets, each of which focuses on a different set of resources. These property sheets include:

  • Applications. Displays real-time application data and provides the ability to terminate nonresponsive applications or applications that are suspected of hampering performance

  • Processes. Displays information regarding all active processes, including their processor and memory usage, and provides the ability to terminate processes that are consuming excessive system resources

  • Performance. Displays a graphic view of overall system performance, including processor and page file usage and a detailed measurement of memory consumption

  • Networking. Displays a graphic view of the computer's network connections and provides information about each type of connection, including its utilization, speed, and state

  • Users. Displays a list of active users and provides the ability to forcefully disconnect or log off each user or send them a text message

Note

The Users property sheet is only visible if Fast User Switching is disabled.

Task Manager can be started using either of the following methods:

  • Press and hold the Ctrl+Alt+Delete keys simultaneously.

  • Right-click on the Windows XP taskbar and select Task Manager.

Once active, the Task Manager displays an icon in the taskbar notification area that provides a graphic view of processor usage, mirroring the CPU usage graphic located on the Performance property sheet. Double-clicking on this icon displays the Task Manager. By default, Task Manager prevents other applications from overlaying its display. Right-clicking on its icon in the taskbar's notification area and clearing the Always on top option will alter this behavior.

Using Task Manager to Control Applications

The Task Manager's Applications property sheet, shown in Figure 13.12, displays a list of applications and shows their current status. An application's normal status should be running. However, sometimes applications cease operation and yet remain in the system. The status of these applications is listed as nonresponsive. Any memory assigned to a nonresponsive application remains unavailable until the application is stopped. Administrators can forcefully terminate an application using the Task Manager by selecting the application and clicking on End Task. Terminating an application has the following effects:

Click To expand
Figure 13.12: Using Task Manager to monitor and manage active application activity

  • The application ends.

  • Any memory resources allocated to the application are freed up for reuse.

  • Any unsaved application data is lost.

Note

Additional information about working with the Task Manager's Application property sheet can be found in "Using the Task Manager to Control Applications" in Chapter 4, "Application Management."

Using Task Manager to Control Processes

The Task Manager's Processes property sheet, shown in Figure 13.13, displays a list of active processes. A process is an application that runs in a protected memory area. Certain Windows XP services run as processes. In addition, applications run as one or more processes. The Processes property sheet also displays the context under which the processes are started. In addition, the amount of processor capacity currently consumed by the process and its total memory allocation is displayed. The display can be sorted by any category by clicking on column headings. Clicking on a particular column heading a second time reverses sort order.

Click To expand
Figure 13.13: Using the Task Manager to examine active processes

There are 21 other categories of information that can be displayed by selecting the Select Columns option on the View menu. The priority assigned to any process can be changed by clicking on View and then selecting Update Speed and selecting from one of the following options:

  • High

  • Normal

  • Low

  • Paused

Noncritical system processes can be terminated by selecting the process and clicking on End Process. A warning message is then displayed. Click on Yes to stop the selected process. Windows XP will not permit the termination of critical system processes. Termination of noncritical processes can result in loss of data or application instability and should be used only with caution. By default, the Processes property sheet only displays processes that relate to the currently logged-on user's context. However, by selecting the Show processes from all users option at the bottom of the property sheet, every currently active process can be monitored.

Using Task Manager to Monitor Overall System Performance

The Task Manager's Performance property sheet, shown in Figure 13.14, displays a historical graphic representation of processor and page file or virtual memory performance. In addition, the lower half of the property sheet is organized into the following categories:

Click To expand
Figure 13.14: Using the Task Manager to monitor system performance and view detailed memory statistics

  • Totals. Displays the total number of active handles, threads, and processes currently running on the computer

  • Physical Memory (K). Displays the amount of physical memory installed on the computer as well as the amount of memory currently available and allocated to System Cache

  • Commit Charge (K). Displays information about virtual memory use

  • Kernel Memory (K). Displays information about the amount of memory used by Windows XP to perform its operations

Administrators can use the information provided by the Performance property sheet to get a quick view of the overall performance of the computer. If system activity is inappropriately high, look for a problem with an application or process. If no one application or process is causing the problem, double-check the computer's performance settings.

Using Task Manager to Monitor Network Performance

The Task Manager's Networking property sheet, shown in Figure 13.15, displays a historical graphic representation of the computer's network activity. This property sheet is displayed only if the computer has a network adapter.

Click To expand
Figure 13.15: Using the Task Manager to examine network statistics

The main display area automatically presents a graphical view of the computer's network utilization. The lower portion of the Networking property sheets displays an entry for each network adapter installed on the computer. In addition, the percentage of network utilization, link speed, and connection status are displayed. By examining this property sheet, administrators can quickly determine the amount of processing load that the computer is experiencing for each of its network connections.

The System Monitor

The System Monitor is a snap-in that executes inside an MMC. Unlike the Task Manager, the System Monitor snap-in can collect and display performance data for both local and remote network computers. To use the System Monitor snap-in, the following information is required:

  • The name or IP address of the computer to be monitored

  • The objects on each computer that are to be tracked

  • The counters to be tracked for each object

  • The instances to be monitored

Note

Refer to Chapter 10, "Microsoft Management Consoles," for more information on working with the MMC.

The System Monitor views the operating system as a collection of objects. Examples of objects include:

  • Processor

  • Memory

  • Physical disk

  • Paging file

The System Monitor snap-in then collects performance data about each specified object based on the counters that have been established for that object. Counters are metrics or unique units of measurement that describe some aspect of an object's performance. For example, one of the counters available for the memory object is the Available Bytes counter, which collects data regarding how much physical memory is available at any moment.

Depending on the hardware configuration of the computer, there may be many cases in which there are two or more instances of the same type of object. For example, a computer may have more than one processor or hard disk drive, in which case performance data can be collected for all processors and drives or for just a particular instance.

The System Monitor snap-in provides a collection of over 30 objects that can be monitored, each of which may have dozens of counters available. This makes this tool more powerful than the Task Manager, because of its ability to break down performance data into discrete objects, counters, and instances, as well as its ability to monitor both the local and network computers. However, more setup is required, making the Task Manager a better tool to use when the administrator just wants a quick high-level look at the overall performance of the local computer.

Windows XP Professional comes equipped with a preset collection of MMC consoles. The Performance Console already contains the System Monitor snap-in. In addition, this snap-in can easily be added to new custom consoles. Its operation is the same regardless of the console that contains it.

The following procedure outlines the steps involved in starting the Performance Console and using it to monitor either a local or remote network computer.

  1. Click on Start and then Control Panel. The Windows XP Control appears.

  2. Click on the Performance and Maintenance icon. The Performance and Maintenance folder appears.

  3. Click on Administrative tools. A list of predefined MMC consoles is displayed.

  4. Double-click on the Performance icon to open the Performance console, as shown in Figure 13.16.

    Click To expand
    Figure 13.16: The Performance console provides access to both the System Monitor and the Performance Logs and Alerts snap-ins

  5. The Performance console contains the following snap-ins:

    • System Monitor

    • Performance Logs and Alerts

    By default, the System Monitor snap-in is displayed. In addition, three default counters are automatically loaded for the local computer. These are:

    • Pages/sec

    • Avg. Disk Queue Length

    • % Processor Time

    Each counter is assigned a different color, which is used to display a graphic representation of its performance activity.

  6. To remove one of the default counters, select it and click on the black X icon just above the main display area.

  7. To add a new counter, click on the + icon just to the left of the X icon. The Add Counters dialog appears, as shown in Figure 13.17.

    Click To expand
    Figure 13.17: Adding new counters

  8. At the top of this dialog, select one of the following options:

    • Use local computer counters. Select this option to monitor the local computer.

    • Select counters from computer. Select this option to monitor a network computer.

    If the second option is selected, type the network computer's name or IP address into the field provided.

  9. Select the performance object to be monitored from the Performance object drop-down list. A list of all of the counters that apply to the selected object is displayed.

  10. Select the All counters option to monitor every available counter for the specified object, or select the Select counters from list option, and select a specific counter.

  11. If more than one instance of the selected object exists, select either the All instances option to monitor every instance or select the Select instances from list option and pick a specific instance.

  12. Click on Explain to see an explanation of the currently selected counter.

  13. Click on Add to add the counter. The Add Counters dialog remains open, allowing the selection of other computers, objects, counters, and instances.

  14. Click on Close when done specifying monitoring criteria.

The System Monitor snap-in provides three views for examining captured data. These are:

  • View Graph. Displays a rolling graph of activity

  • View Histogram. Displays data in the form of a bar chart

  • View Report. Displays data in report format

The default display setting is View Graph. To change the view, click on one of the three icons to the left of the + icon above the main graphic display area.

Performance Logs and Alerts

The Performance Logs and Alerts snap-in, shown in Figure 13.18, can be found in either of the following MMCs:

Click To expand
Figure 13.18: The Performance Logs and Alerts snap-in allows administrators to store performance data in logs and to create alerts when predefined thresholds are exceeded

  • The Performance Console

  • The Computer Management Console

Administrators use the Performance Logs and Alerts snap-in to create performance logs and troubleshooting logs, as well as to create alerts that notify administrators when a specified event occurs on a computer.

The Performance Logs and Alerts snap-in organizes logs and alerts into the following categories:

  • Counter Logs. Collects data for specified computers, objects, counters, and instances at predefined intervals

  • Trace Logs. Collects data whenever the threshold for specified computers, objects, counters, and instances is exceeded

  • Alerts. Performs a predefined set of actions whenever the threshold for specified computers, objects, counters, and instances is exceeded

Creating Alerts

Administrators can configure any number of alerts, each of which will be stored under the Alerts entry in the Performance Logs and Alerts tree. An alert consists of three types of information, as shown below.

  • General. Specifies the computers, objects, counters, instances, and thresholds on which to alert, as well as the data collection interval and the user account to be used when collecting performance data.

  • Action. Specifies the actions to be taken when an alert occurs. Available options include logging event, sending a message, starting a performance log, and running a program or script.

  • Schedule. Specifies the schedule for stopping and starting the collection of performance data.

The following procedure outlines the steps involved in setting up a new alert.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on the Performance and Maintenance icon. The Performance and Maintenance folder appears.

  3. Click on Administrative tools. A list of predefined MMC consoles is displayed.

  4. Double-click on the Performance icon to open the Performance console.

  5. Expand the Performance Logs and Alerts snap-in.

  6. Select the Alerts category to see a list of all currently defined alerts.

  7. To add a new alert, right-click on Alerts and select New Alert Settings. The New Alert Settings dialog appears. Type a name for the new alert that describes its purpose and click on OK, as demonstrated in Figure 13.19.

    Figure 13.19: Type a name for the new alert

  8. The dialog shown in Figure 13.20 appears.

    Click To expand
    Figure 13.20: Alert settings are stored on three property sheets

    Type a descriptive comment in the comment field that explains the reason for creating the alert and then click on Add. This opens the Add Counters dialog, which is the same dialog used to specify System Monitor counters. Specify as many counters as required and click on OK.

  9. An entry for each counter that is added appears in the Counter section. Select each counter and set values for the following fields, as demonstrated in Figure 13.21.

    Click To expand
    Figure 13.21: Creating an alert that reports on when a hard drive begins to fill up

    • Alert when the value is. Specify either under or over.

    • Limit. Specify a numeric threshold.

    • Interval. Specify the interval to be used to collect performance data.

    • Units. Specify seconds, minutes, hours, or days.

    • Run As. The name of a user account to be used when collecting performance data.

    • Password. Specify the password associated with the specified user account.

  10. Select the Action property sheet and fill out any required fields, as shown in Figure 13.22.

    Click To expand
    Figure 13.22: Specify what actions are performed when a counter's threshold specified in an alert is exceeded

  11. Select the Schedule property sheet to specify Start scan and Stop scan options, as shown in Figure 13.23.

    Click To expand
    Figure 13.23: Determine when the alert starts and stops execution

  12. Click on OK. An entry for the alert appears in the Performance console under the Alerts category. To modify alert settings, right-click on the alert and select Properties. To manually stop and start the alert, right-click on the alert and select Start or Stop.

Configuring Logs

Logs are used to store performance data for later review and analysis. They can be used to study computer performance over time and to look for bottlenecks and changes in computer usage and to help forecast the need for new hardware. Once created, logs can be viewed by double-clicking on them, which automatically opens them using the System Monitor. In addition, logs can be manually started and stopped by right-clicking on them and selecting Start or Stop.

The following procedure outlines the steps involved in configuring a new counter log.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on the Performance and Maintenance icon. The Performance and Maintenance folder appears.

  3. Click on Administrative tools. A list of predefined MMC consoles is displayed.

  4. Double-click on the Performance icon to open the Performance console.

  5. Expand the Performance Logs and Alerts snap-in.

  6. Right-click on the Counter Logs and select New Log Settings. The New Log Settings dialog box appears.

  7. Type a descriptive name for the Counter log and click on OK.

  8. A new dialog appears containing the following property sheets.

    • General. Allows for the specification of objects and counters, a polling interval, and the ability to specify a user account and password that will be used during execution

    • Log Files. Allows for specification of log file name and format

    • Schedule. Specifies the schedule for stopping and starting the collection of performance data

    Select the General property sheet.

  9. Click on Add Objects. The Add Objects dialog appears. Select as many objects and counters as desired and click on Close.

  10. The current log file name field should not display the location where the log will be stored. The Counters section will display a list of all specified counters.

  11. Set the interval during which data is to be collected. The default value is 15. Specify the units of time. Valid options are seconds, minutes, hours, and days.

  12. Optionally, specify a user account to be used when processing the log and specify its password. This will allow the log to run even when no one is logged on to the computer.

  13. Select the Log Files property sheet, as shown in Figure 13.24.

    Click To expand
    Figure 13.24: Specify log file type, version information, and a comment

  14. Select the type of log to be created. Available options include:

    • Text File (Comma delimited). A log format appropriate for migrating the log's data into other applications such as Excel or Microsoft Access

    • Text File (Tab delimited). A log format appropriate for migrating the log's data into other applications such as Excel or Microsoft Access

    • Binary File. The default log type used to stored logs that can be viewed using the System Monitor snap-in

    • Binary Circular File. A log format that allows existing log contents to be overridden as necessary

    • SQL Database. A log format appropriate for migrating the log's data into a SQL database

  15. Click on Configure. The Configure Log Files dialog appears.

  16. Specify the location where the log will be stored, its file name, and its file size and then click on OK to close the Configure Log Files dialog.

  17. Optionally, specify a suffix format that will be used to automatically name the log file.

  18. Optionally, type a comment describing the purpose of the log.

  19. Click on the Schedule property sheet to set the log file execution schedule, as shown in Figure 13.25.

    Click To expand
    Figure 13.25: Setting the log file execution schedule

  20. Available options include manually starting and stopping the log file, setting a start and stop date and time, and specifying what to do when the log file is closed. Available options are:

    • Start a new log file

    • Run this command

  21. Set the appropriate start options and click on OK.

Key Performance Metrics

One of the most difficult things about working with the System Monitor and Performance Logs and Alerts snap-ins is wading through the vast collection of objects and counters to find the ones that will accurately assist administrators in measuring and monitoring system performance. While administrators can use these tools to track and monitor extremely specific aspects of computer performance, a good overall view of critical system resources can be achieved using just a small number of objects and counters. Some of these objects and their counters are listed in Table 13.2.

Table 13.2: Key Windows XP Objects and Counters
Object | Counter | Description
System | Processor Queue Length | The number of threads waiting in the processor queue
Processor | % Processor Time | The amount of time the processor spends executing a nonidle thread
Processor | Interrupt/sec | The number of times each second that the processor receives hardware interrupts
Memory | Pages/sec | The rate at which pages are written to or read from virtual memory
Memory | Available Bytes | The amount of physical memory currently available
Logical Disk | % Disk Time | The percent of time that the hard disk is busy servicing requests
Logical Disk | Current Disk Queue Length | The number of unprocessed read and write requests
Physical Disk | % Disk Time | The percent of time that the hard disk is busy servicing requests
Physical Disk | Current Disk Queue Length | The number of unprocessed read and write requests

Each of these objects and counters is further explained in the sections that follow.

Monitoring CPU Performance

An overburdened processor can create a bottleneck and slow down computer performance. However, many things affect processor performance, including memory, disk, and hardware problems, all of which may create the false indication that the computer's processor is creating a performance bottleneck. For example, when a computer does not have enough physical memory, it must use more virtual memory. Since the processor must manage this activity, a low memory condition may overwork the processor. In addition, a fragmented hard disk may also overwork the processor. Therefore, it is important to examine both memory and disk counters to be sure that problems with other system resources are not creating the false impression that the computer's processor is the source of the bottleneck.

The following list of objects and counters is helpful in monitoring processor performance.

  • Examine the processor object's % Processor Time counter. If it is constantly running at 100 percent, the processor is very busy. However, as long as the Processor Queue Length counter is less than 2, the processor is keeping up with the current workload.

  • Examine the system object's Processor Queue Length counter. If the processor is running at 100 percent and this counter shows a consistent value of 2 or more, the processor is not keeping up with the computer's workload.

  • Examine the processor object's Interrupts/sec counter to determine if a hardware device is sending excessive hardware interrupts to the processor. Excessive hardware interrupts usually indicate a problem with the hardware device.

  • Examine the memory object's Pages/sec counter to determine if excessive use of virtual memory is placing a burden on both the hard disk drive and the processor.

If the processor is the source of a performance bottleneck, administrators can do several things to improve performance, including:

  • Replacing the current processor with a faster processor.

  • Adding a second processor if the computer's motherboard supports two processors. Windows XP Professional supports up to two processors.

  • Moving some of the computer's workload over to a different computer.

  • Disabling unnecessary background system processes and applications.

Monitoring Memory Performance

An adequate supply of physical memory is usually a computer's most important resource. Low memory leads to excessive reliance on virtual memory, which places a burden on the hard drive and on the processor. Use the following memory object counters to monitor memory performance.

  • Pages/sec. A constant value of 20 or more pages per second indicates that the system is paging too much data into and out of virtual memory, thus causing a performance bottleneck.

  • Available Bytes. This metric indicates the amount of physical memory that is available for applications. Anything under 4MB indicates a low memory condition.

If memory is determined to be the source of a performance bottleneck, administrators can do several things to improve performance, including:

  • Adding additional memory

  • Moving some of the computer's workload over to a different computer

  • Disabling unnecessary background system processes and applications

Monitoring Disk Drive Performance

As hard disk drives become fragmented or fill up, their performance begins to slow and can have a significant impact on the operation of the computer. Windows XP Professional provides two objects for tracking hard disk performance, which are:

  • Physical Disk. Represents all disk activity for an entire disk drive

  • Logical Disk. Represents disk activity for a particular volume on a disk drive

Use the following physical and logical disk object counters to monitor hard disk performance.

  • % Disk Time. This counter indicates how busy the physical or logical disk is. A value of 100 percent indicates that the disk is performing at peak capacity.

  • Current Disk Queue Length. This counter indicates how many disk read or write requests are waiting to be processed. If this value exceeds 2, then the disk drive is not keeping up with its workload.

If hard disk performance is determined to be the source of a performance bottleneck, administrators can do several things to improve performance, including:

  • Replacing the current hard disk with a faster hard disk

  • Adding a second disk drive and moving the pagefile.sys file over to it

  • Adding additional disk drives and using them to spread out virtual memory and overall disk workload

  • Moving some of the computer's workload over to a different computer


Chapter 14: Shell Scripting and the WSH

Overview

A lot of Windows XP Professional administration involves performing the same task over and over again on different computers. The often repetitive nature of desktop administration can make the job tedious. There are a number of ways of dealing with this problem, including purchasing third-party utilities to perform repetitive tasks. Unfortunately, third-party utilities can be expensive, and there are plenty of tasks for which no utilities exist.

Microsoft's solution to this dilemma is scripting. Windows XP Professional supports two scripting solutions, Windows Shell scripting and the WSH (Windows Script Host). Windows Shell scripting is a built-in scripting language that allows administrators to develop scripts using familiar system commands. Windows XP provides a complete Shell scripting language and many of its utilities support command line interfaces. The WSH is an optional scripting architecture that ships with Windows XP Professional. It includes an object model that provides direct access to many Windows resources, such as the Windows file system. Using WSH, administrators develop scripts using scripting languages such as JScript or VBScript.

This chapter will provide an overview of both Windows Shell scripting and the WSH. It will then provide a detailed review of the statements that make up the Windows Shell scripting language and demonstrate its capabilities.


Scripting Windows Administration Tasks

Scripts can save administrators a lot of time by performing in just a few seconds repetitive mundane tasks that might take administrators minutes or hours. Scripts also help reduce errors when performing long and complicated tasks. Scripts can be written to perform any task that can be accomplished from the Windows command line. In addition, many Windows utilities provide a command line interface, allowing them to be run by scripts in background mode. Scripts can also be set up to run during off hours, allowing work to be performed even when administrators are gone for the day. This way, long-running maintenance tasks such as disk defragmentation can be performed during off hours without impacting the user.

Note

For information on scheduling script execution, refer to "Scheduling Tasks with the Scheduled Task Wizard" in Chapter 4, "Application Management."

Windows XP Professional provides two scripting solutions. Windows Shell scripting provides a complete collection of programming statements and uses familiar Windows XP commands to create scripts. The WSH provides an object model that provides direct access to many Windows resources that are not available to Shell scripts. To use the WSH, an administrator must first know a scripting language such as JScript or VBScript. The scripting language can then be used to develop scripts that work with the WSH objects to automate Windows tasks. Windows Shell scripting is easier to learn, but the WSH has a greater range of capabilities. Both of these scripting tools are discussed further in the sections that follow.


Introducing the WSH

Administrators with a previous background in JavaScript or Visual Basic programming will find the WSH easier to learn than nonprogrammers. The WSH is shipped with two built-in scripting languages, JScript and VBScript. JScript is Microsoft implementation of JavaScript, and VBScript is a scripting version of the Visual Basic language. Both JScript and VBScript have their origins in Web development but have been modified by Microsoft to allow them to function outside of the Internet Web browser.

The Advantages of Using the WSH

The WSH can often be used to develop scripts that cannot be written using Shell scripting. For example, Shell scripts cannot directly access the Windows XP registry, whereas the WSH object model allows WSH scripts to read, change, and delete registry keys and values. In addition, the WSH has more advanced file and folder administration capabilities. While Windows Shell scripting can script many Windows tasks, the more complex the task becomes, the more likely that the WSH is the better scripting language to use.

The WSH offers several capabilities not provided by Shell scripting, including:

  • The ability to display and collect user input using pop-up dialogs

  • The ability to run on all Windows operating systems since Windows 95, making WSH scripts more portable

  • The ability to manipulate the Windows desktop, taskbar, and toolbars

  • The ability to work directly with Windows applications by accessing their object models

Examining the WSH Architecture

The WSH is a 32-bit Windows application. It is made up of a number of separate components, each of which performs a specific function. These components include:

  • A core object model

  • Two execution environments

  • Two scripting engines

These three sets of components fit together as shown in Figure 14.1.

Click To expand
Figure 14.1: The WSH is made up of a number of separate components

The WSH core object model provides access to Windows objects, allowing direct control over a number of Windows XP resources such as the registry, desktop, file system, and network resources. Each object exposed by the core object model has associated methods and properties that WSH scripts can execute or modify. WSH scripts require an execution host to provide an environment in which they can execute. The WSH supplies two execution hosts, as listed below.

  • CScript.exe. Supports text-based scripts that run in command-line mode and is usually used to run scripts that execute in the background and require no user interaction.

  • WScript.exe. Provides the ability to run WSH scripts that communicate with the user using pop-up graphical dialogs.

Figures 14.2 and 14.3 demonstrate the WSH WScript execution host support for pop-up dialogs. This capability allows administrators to write scripts that are more user-friendly.

Figure 14.2: A GUI pop-up dialog that prompts the user to select a response
Click To expand
Figure 14.3: A GUI pop-up dialog that allows the user to provide text input

Aside from WScript's support for pop-up dialogs, the CScript and WScript execution hosts provide identical functionality.

WSH execution environments depend on script execution engines to process and interpret scripts statements. The WSH ships with two scripting engines, one for JScript and one for VBScript. Each of these scripting engines is specifically designed to interpret scripting statements particular to its defined language.

Note

To learn more about the WSH, JScript, and VBScript, refer to the Microsoft Windows Scripting Technologies Web site at http://msdn.microsoft.com/scripting.

Working with JScript and VBScript

WSH script files are created using a particular scripting language and are then saved using a file extension appropriate for that language. For example, WSH scripts written in JScript are saved as plain text files with a .js file extension. WSH scripts written in VBScript are saved with a .vbs file extension.

Note

Third-party software developers have created WSH-compatible scripting languages for Perl and Python.

When writing scripts in JScript or VBScript, administrators must be careful to closely follow the specific rules and syntax for each scripting language. Despite very different origins, JScript and VBScript provide equivalent scripting capabilities. JScript will be easier to learn for administrators with JavaScript experience, whereas VBScript will be easier to learn for administrators with Visual Basic programming experience.

The WSH also provides the ability to combine more than one scripting language into a single script file known as a WSF (Windows Script File) with a .wsf file extension. WSFs use a subset of the XML (Extensible Markup Language) to format WSF scripts and to identify which portions of the script are written in JScript and which portions are written in VBScript.

Note

Administrators interested in gaining advanced knowledge of the WSH should read Microsoft Windows Shell Scripting and WSH Administrator's Guide by Jerry Lee Ford Jr., published by Premier Press, 2001.

For more information about VBScript, read Learn VBScript in a Weekend by Jerry Lee Ford Jr., published by Premier Press, 2002.

For more information about JavaScript and JScript, read Learn JavaScript in a Weekend by Jerry Lee Ford Jr., published by Premier Press, 2001.


Introducing Windows Shell Scripting

Windows Shell scripting is easier to learn than the WSH. Windows Shell scripting does not require advanced knowledge of another scripting language, such as JScript or VBScript. Windows Shell scripting is best used to automate tasks that can be performed from the Windows XP command prompt. These tasks can usually be easily automated using Shell scripting and do not require access to the advanced WSH core object model.

Windows Shell scripts are best suited to script tasks that use Windows commands or utilities with command line extensions. Windows Shell scripts are plain text files that contain Windows commands. These files are saved with a .bat file extension and can be run by double-clicking on them or by typing their filename at the Windows command prompt.

The Windows Shell is a text-based interface to the Windows XP operating system. Administrators interact with the Windows Shell using the command prompt located in Command Console as shown in Figure 14.4.

Click To expand
Figure 14.4: The Windows XP command prompt provides a text-based interface to the Windows XP operating system

Working with the Windows XP Command Prompt

To display the Windows command prompt and begin working with the Windows Shell, the administrator must open a Command Console by clicking on Start/All Programs/Accessories and then clicking on Command Prompt.

Note

Clicking on Start/Run, typing CMD, and clicking on OK also opens the Command Console.

In order to work with the Windows Shell, administrators must enter commands at the Windows command prompt. Each command has its own unique syntax that must be closely followed. However, in general, all commands follow a similar syntax, as demonstrated in Figure 14.5.

Click To expand
Figure 14.5: Windows command Shell syntax

In general, command syntax is made up of the command followed by one or more arguments that further refine command behavior. An argument can consist of any of the following elements:

  • Parameters. Arguments passed to the command for processing

  • Switches. Arguments that alter command processing in the format of a forward slash followed by one or more characters

  • Modifiers. Arguments that modify switch behavior in the format of a colon followed by one of more characters

For example, the CMD command, which opens a Command Console and displays the Windows command prompt, has the following syntax:

cmd [ [/c | /k] [/q] [/a | /u] [/t:fg] [/x | /y] string]

Windows commands are not case-sensitive. Commands and arguments must be separated by spaces. Any arguments shown inside of brackets are optional. Any arguments located inside brackets but not in italic must be typed exactly as shown. Arguments in italic are placeholders for values that must be supplied by the user. Arguments separated by the | character are mutually exclusive. If an argument contains blank spaces, the entire argument must be placed within double quotes.

Note

For more information on the CMD command, refer to Appendix A, "Windows XP Command Reference."

Closing the Command Console

The Command Console can be closed like any other Windows application by clicking on the close button in the upper right hand corner of the window. Typing EXIT and pressing the Enter key also closes the Command Console.

Note

The EXIT command is also used within Shell scripts to terminate script execution.

Modifying the Command Prompt

The command prompt is a text interface to the Windows Shell. By default, the command prompt displays a drive letter followed by a semicolon, a back slash, and the greater-than character to indicate that it is ready to receive input, as demonstrated below:

C:\>

Typing PROMPT followed by one or more arguments changes the format of the command prompt. For example, the following command changes the command prompt to display the day and date.

C:\>prompt $d$g

Mon 08/26/2002>
Note

The PROMPT command accepts a number of different arguments, which can be found in Appendix A, "Windows XP Command Reference."

Changing the Command Console Colors

If desired, the background and foreground colors displayed in the command console can be changed using the COLOR command. The syntax of the COLOR command is:

Color bf

The letters b and f are used to specify alternative colors. For example, the following command changes the command console's foreground color to red and its background color to white.

color 47
Note

The COLOR command accepts a number of different background and foreground arguments, which can be found in Appendix A, "Windows XP Command Reference."

Changing the Command Console Title

The TITLE command is used to change the text displayed in the Command Console's title bar and has the following syntax:

Title [string]

For example, the following command displays the word "Welcome!" in the Command Console's Title bar.

Title Welcome!

Displaying Text Messages

The ECHO command is used to display text messages in the Command Console. It is also used in Shell scripts to display script output in the Command Console windows.

The syntax of the ECHO command is:

Echo [on | off] [message]

For example, the following command displays a string of text in the Command Console.

C:\>echo Hello world!
Hello world!

The ECHO command is used extensively within Shell scripts to display script output.

Typing ECHO OFF in a Shell script prevents the display of the script statements as scripts are processed and only displays command output. Typing ECHO ON reverses this effect.

Clearing the Command Console Display

The CLS command is used to clear any text displayed on the Command Console. Only the Windows command prompt remains. This reduces clutter and makes new command output easier to read. To execute this command, type CLS as shown below.

Cls

The CLS command is often used in Shell scripts to clear the display of the Command Console in preparation for the display of new output.

Modifying the Search Path

The PATH command is used to view and modify the Windows PATH variable. The PATH variable is used to locate commands for processing when the full path to the command is not specified as the path of the command. The syntax for this command is:

path [[drive:]path[;...]] [%path%]

Type PATH by itself to view the current search path, as demonstrated below.

C:\>path
PATH=C:\WINNT\system32;C:\WINNT

The search path lists all the folders that the Windows Shell will search for to find the command in order to execute it.

One way to execute a command not located within the search path is to change to its location and run it. Another option is to add its location to the PATH variable, as demonstrated below. To add a new path to the search path, type %path% followed by a semicolon and the new path. For example, the following command adds C:\Temp to the search path.

Path %path%;c:\temp

Creating Shell Scripts

Shell scripts are plain text files that contain Windows commands and are saved with a .bat file extension. They can be created using any editor that can save plain text files, including the Windows XP Notepad application.

Scripts can be as little as one line of code or many hundreds or thousands of lines long. The following procedure outlines the steps involved in using Notepad to create and execute a one-line script that displays a message in the Command Console.

  1. Click on Start/All Programs/Accessories and then Notepad. The Notepad application opens.

  2. Type the following statement:

    Echo This is my first shell script!

  3. Click on File and select Save. Specify a file name of test.bat and save the script.

  4. Close the Notepad application.

  5. Click on Start/All Programs/Accessories and then Command Prompt.

  6. Locate the folder where the script was saved, type test.bat, and press Enter.

  7. The following output will be displayed.

    C:\>test.bat

C:\>Echo This is my first shell script!
This is my first shell script!
C:\>

  8. Type Exit to close the Command Console.

Suppressing the Display of Script Statements During Execution

Shell scripts can be modified by reopening them and modifying their contents. For example, the output from the previous example can be cleaned up by appending the @ character to the beginning of the ECHO statement, as shown below.

@Echo This is my first shell script!

When executed, the script's output is shown below.

C:\>test.bat
This is my first shell script!

C:\>

Alternatively, the ECHO OFF and ECHO ON commands can be used to control script output. Open the script again, remove the @ character, and add ECHO OFF to the beginning of the script.

Clarifying Script Logic with Comments

A one-line script is easy to read, but as scripts grow in size, they can become difficult to understand, particularly if somebody else wrote them. To make scripts easier to read, they should be documented with comments. In Shell scripting, the REM command is used to add comments to scripts, as demonstrated below.

@echo off
rem The previous statement turns echoing off

rem Display a greeting message
echo Good morning!

When executed, this script only displays the greeting message. All other commands are suppressed from display.

Reviewing Shell Scripting Statements

Windows XP Professional supports two types of commands: internal and external. Internal commands are commands that are built into the Windows command Shell. External commands are executable programs stored on the computer's hard drive. Table 14.1 provides a summary of Windows XP Professional's internal commands.

Table 14.1: Built-in Windows Shell Commands
Command | Description
Assoc | Displays and modifies file name extension associations
Call | A Shell script statement that calls a procedure or external script without terminating the parent script
Chdir (Cd) | Changes the current folder
Cls | Clears the Command Console display
Color | Sets Command Console foreground and background colors
Copy | Copies files to another folder
Date | Changes or displays the date
Del | Deletes files
Dir | Displays the contents of a folder
Echo | Enables or disables command echoing
Endlocal | Ends the localization of variables within scripts and restores previous variable values
Erase | Deletes files
Exit | Terminates a Command Console
For | A Shell script statement that iterates through a set of files
Ftype | Changes the file extension associated with a file type
Goto | A Shell script statement that switches processing flow to a line identified with a label
If | A Shell script statement that performs conditional processing
Mkdir (Md) | Creates a folder
Move | Moves files to another folder
Path | Modifies the Windows search path
Pause | A Shell script statement that suspends script execution until a key is pressed
Popd | Changes the current folder to the folder stored by a Pushd command
Prompt | Modifies the format and content of the Windows command prompt
Pushd | Changes to a folder and stores the previous folder for later restoration by the Popd command
Rd | Removes a folder
Rem | Used to add comments to Shell scripts
Rename | Renames files and folders
Rmdir | Removes a directory
Set | Displays, creates, changes, and deletes variables
Setlocal | Stores variable values so that they later can be restored by the Endlocal command
Shift | Modifies the position of parameters in a script
Start | Opens a new command Shell
Time | Displays or modifies system time
Title | Modifies the message displayed in the Command Console's title bar
Type | Displays a file's contents without opening the file
Ver | Displays the Windows version number

The rest of this chapter is devoted to demonstrating how many of the commands listed in Table 14.1 can be used in the development of Shell scripts. This information will provide administrators with the building blocks required to start developing Shell scripts that automate tasks and free them up to work on other opportunities.

Working with Arguments and Variables

An argument is a value passed to a script for processing during its execution. Arguments are passed to a script by typing the script's name followed by one or more values, each of which is separated by a space. Shell scripts assign arguments to parameters, as shown in Table 14.2.

Table 14.2: Shell Script Arguments
Parameter | Description
%* | Contains all arguments passed to the script (excluding the script's name)
%0 | The script's name
%1 | The first argument
%2 | The second argument
%3 | The third argument
%4 | The fourth argument
%5 | The fifth argument
%6 | The sixth argument
%7 | The seventh argument
%8 | The eighth argument
%9 | The ninth argument

The following example shows a script that accepts two arguments and displays their value using a pair of ECHO commands:

@echo off
echo action = %1
echo file = %2

Creating and Deleting Variables

A variable is a mechanism used to store a value for later reference within scripts. Variable names are not case-sensitive. The SET command is used to create and delete variables. The SET command has the following syntax.

Set VariableName=Value

For example, the following statement creates a variable name TempFolder and assigns it a value of c:\Temp:

set TempFolder=c:\Temp

Similarly, a variable can be deleted using the SET command by assigning a null value, as demonstrated below.

set TempFolder=
Note

Watch the placement of blank spaces within SET statements. A blank space before the equal sign will be interpreted as a part of the variable name, and a blank space after the equal sign will be interpreted as part of the variable's value.

Understanding Variable Scope

By default, variables can be referenced from any location with a script, making them global in scope. However, this scope can be limited by localizing variable values using the SETLOCAL and ENDLOCAL commands. When the SETLOCAL command is used within a script, a new variable scope is created that remains in effect until the ENDLOCAL command occurs. When the scope ends, any changes that were made to variables within the new scope are discarded and variable values are reset to their previous value assignments.

The following example demonstrates the application of local variable scope.

@echo off
rem Initialize script variables

set username=Molly
set group=Admin

echo %username%
echo %group%

setlocal

set username=William
set group=Users

echo %username%
echo %group%

endlocal

echo %username%
echo %group%

When executed, the following output is displayed, showing the values assigned to the script's two variables are restored to their original values when the ENDLOCAL command executes.

C:\>test
Molly
Admin
William
Users
Molly
Admin

Manipulating Variable Values

As has already been demonstrated, the equal sign is used to assign variable values. Windows Shell scripting also supports a number of other assignment operators, as shown in Table 14.3.

Table 14.3: Assignment Operators
Operator | Description
+= | Add and assign
−= | Subtract and assign
*= | Multiply and assign
/= | Divide and assign
%= | Modulus and assign

For example, the following script defines a variable, assigns it an initial value, and then modifies the value assigned to the variable using the add and assign operator.

@echo off
set /a unit_count = 10
set /a unit_count +=1
echo %unit_count%

When executed, the script displays the following result:

11
Note

The use of the /a switch after the SET command allows for the use of blank spaces in statements to make them easier to read.

Windows Shell scripting also supports the assignment of numeric data to variable values. Frequently, numeric values are not known at the beginning of a script's execution and must be computed as the script executes. Table 14.4 lists the arithmetic operators supported by Shell scripting for manipulating numeric variable values.

Table 14.4: Arithmetic Operators
Operator | Description
+ | Adds two numeric values
− | Subtracts the second value from the first value
* | Multiples two numeric values
/ | Divides the second value into the first value
% | Determines the value of the remainder in a division operation

For example, the following statements add two numbers together and assign the result to a variable name unit_count.

set /a unit_count = 5 + 5

Applying Conditional Logic

Windows Shell scripting provides the ability to switch between alternate execution paths based on the value of tested criteria using various forms of the IF statement. Each version of the IF statement tests a different type of criteria, as listed below.

  • IF. Executes a command if a condition evaluates to true

  • IF …ELSE. Provides an alternate execution path if a tested condition evaluates to false

  • IF NOT. Inverts a conditional test

  • IF DEFINED. Tests whether a variable exists

  • IF NOT DEFINED. Tests whether a variable does not exist

  • IF ERRORLEVEL. Tests the exit code from the previous command

  • IF CMDEXTENSION. Tests the Windows Shell's command extension version

  • IF EXIST. Tests for a file or folder's existence

IF

The simplest form of the IF command tests for a true condition. If the condition proves true, an action is taken. The syntax for this statement is:

if condition == value command

For example, the following statement compares the value assigned to a variable to determine whether or not to display a message. In this case, the message will only be displayed if the variable's value is equal to 5.

if %unit_count% == 5 echo Time to order more units

IF … ELSE

The IF…ELSE statement is used to test a condition and then to provide alternate execution paths based on whether the condition evaluates to true or false. The syntax for this statement is:

if condition (command) else (command)

For example, the following statement compares the value assigned to a variable to determine which message to display. If the variable equals 5, the first message is displayed. Otherwise, the second message is displayed.

If %unit_count% == 5 (echo Time to order more units) else (echo Thanks
for your order!)
Note

The ECHO commands were placed inside parentheses in order for the Windows Shell to be able to recognize the ELSE portion of the command.

IF NOT

The IF NOT statement is used to test for a false condition. For example, the following statement compares the value assigned to a variable to determine if it does not equal 5.

if not %unit_count% == 5 echo Thanks for your order!

IF DEFINED

The IF DEFINED statement is used to test whether a variable exists before an attempt is made to reference it. The syntax for this statement is:

if defined variable command

For example, the following statement displays a message only if the variable exists.

if defined unit_count echo The value of unit count is %unit_count%

IF NOT DEFINED

The IF NOT DEFINED statement tests to determine whether a variable does not exist before attempting to define it. The syntax for this statement is:

if not defined variable command

For example, the following statement tests for the existence of a variable, and if it does not exist, the variable is initialized and assigned a value of 0.

if not defined unit_count set /a unit_count = 0

IF ERRORLEVEL

The IF ERRORLEVEL statement is used to test the exit code of the previous command to determine if an error occurred. There are two forms of the IF ERRORLEVEL statement. The syntax for the first form is:

If errorlevel exitcode command

This form of the IF ERRORLEVEL statement tests whether the error code is equal to or higher than a certain value. For example, the following script issues a DIR command to see if any .log files are present in the current working directory. If no .log files are found, an error code of 1 is returned and a message is displayed.

@echo off
dir *.log
if errorlevel 1 echo No log files were found

The syntax for the second form of the IF ERRORLEVEL statement is:

if errorlevel == exitcode

This form of the IF ERRORLEVEL statement tests for a specific error value. For example, the following statement tests for an exist code of 1 and displays a message if the test evaluates to true.

if "%errorlevel%" == "1" echo No log files were found

IF CMDEXTVERSION

The IF CMDEXTVERSION statement tests the Windows Shell version. Windows XP Professional uses version 2 of the Windows Shell. This provides administrators with the ability to customize scripts based on a determination of the operating system on which they execute. The syntax for this statement is:

if cmdextversion version command
Note

Windows NT Workstation 4.0 uses Windows Shell version 1, and Windows 2000 and XP use Windows Shell version 2

For example, the following statement determines whether Windows 2000 or Windows XP is being used to execute the statement.

if cmdextversion 2 echo The statement executed on a Windows 2000 or
Windows XP operating system.

IF EXIST

The IF EXIST statement tests for the existence of files, allowing administrators to make sure they exist before attempting to work with them. The syntax for this statement is:

if [not] exist file command

NOT is an optional parameter that inverts the test.

For example, the following statement looks for a file named datafile.txt in the root of the C: drive, and if the file is found, it is deleted.

if exist C:\datafile.txt del c:\datafile.txt

Nested and Multiline IF Statements

Windows Shell scripting provides the ability to place one IF statement inside another, thus allowing for the development of more complicated conditional tests. This technique is called nesting. In addition, Windows Shell scripting also allows multiple statements to be included inside IF statements by placing the statements within a pair of parentheses.

For example, the following script tests for the existence of a file before deleting it and then checks the error code of the delete statement to make sure the operation, if performed, is successful.

@echo off
if exist C:\datafile.txt (
  del c:\datafile.txt
  if errorlevel 1 echo Error occurred deleting datafile.txt!
)

Looping through Larger Amounts of Data

Part of the real power of Windows Shell scripting is the ability to repetitively iterate through large amounts of information. Windows Shell scripting does this using the FOR command. The FOR command can be used to loop through a number of different types of data, including:

  • Counter-controlled iterations

  • Data strings

  • Output produced by Windows commands

  • Collections of files

  • Collections of folders

  • Data stored in text files

Each of these variations of the FOR loop is examined further in the sections that follow.

Controlling a Loop with a Predefined Counter

The FOR statement can be used to create a loop that iterates a specific number of times based on a starting value, an ending value, and an iteration value. Windows commands can then be executed at each iteration of the loop. The syntax for this version of the FOR statement is:

for /l %%variable in (begin,increment,end) do command

%%variable represents the iterator value. Its initial value is set to begin and it is incremented by the value of increment upon each iteration of the loop until its value exceeds the value specified by end. For example, the following script creates a loop that iterates three times and displays the value of the iterator during each execution.

@echo off
for /l %%i in (1,1,3) do echo %%i

When executed, the script displays the following output:

1
2
3

Looping through a String of Data

The FOR statement can be used to create a loop that processes all of the words that make up a string of data. The syntax for this version of the FOR statement is:

for /f ["options"] %%variable in ("string") do command

The possible values for the OPTIONS parameter are defined in Table 14.5.

Table 14.5: String Processing Options
Option | Description
delims=x | Specifies a substitute for default space and tab delimiters.
eol=c | Specifies the end of a line comment character.
skip=n | Specifies the number of lines to be skipped at the top of a file.
tokens=a,b,a−c | Specifies the tokens used with each iteration. a,b specifies a list of tokens. a−c specifies a range of tokens.

For example, the following script loops through a string of file extensions and deletes matching files.

@echo off
set file_list=*.bak;*.bck;*.tmp;*.old
for /f "delims=; tokens=1-4" %%i in ("%file_list%") do (del %%i %%j %%k
%%l)

The command delims=; specifies that the entries in the list are deliminated by the ; character. The command tokens=1−4 specifies that the first four elements in the string are to be processed.

Iterating through Command Output

The FOR statement can be used to create a loop that processes the output produced by Windows commands. The syntax for this version of the FOR statement is:

for /f ["options"] %%variable in ('command') do command

Available values for OPTIONS are displayed in Table 14.5. For example, the following script executes the VER command (which displays Windows version information) and displays the version of Windows being used to run the script:

for /f "tokens=3" %%i in ('ver') do (echo This computer is running
Windows %%i)

The output of the VER command on a computer running Windows XP Professional is:

Microsoft Windows XP [Version 5.1.2600]

When executed, this statement assigns the value of the third element in the command's output to %%i and displays the following message.

This computer is running Windows XP

Processing a Collection of Files

The FOR statement can be used to process all of the files located within a folder. This provides a powerful file management capability. The syntax for this version of the FOR statement is:

for %%variable in (collection) do command

Collection identifies the type of files to be processed. Multiple file types can be specified by separating each with a blank space. For example, the following statement will delete all the files with a .txt file extension in the currently working directory:

for %%i in (*.txt) do del %%i

Processing a Collection of Folders

The FOR statement provides another powerful file management capability by providing the ability to process all of the folders located within a parent folder. The syntax for this version of the FOR statement is:

for /d %%variable in (collection) do command

The /d switch instructs the FOR statement to process folders instead of files. For example, the following statement will display all the subfolders located in the current working directory:

for /d %%i in (c:\) do echo %%i

Reading Text Files

Windows Shell scripting also provides the ability to use the FOR statement to read and process text files. This allows scripts to collect and process data stored inside reports, configuration files, and logs. The syntax for this version of the FOR statement is:

for /f ["options"] %%variable in (filename) do command

Available values for OPTIONS are displayed in Table 14.5. FILENAME specifies the file to be processed. For example, a FOR loop can be used to process the contents of the following file.

*** Department Emergency Contact List ***
Jerry Ford     (804) 999-9999 (804) 999-8888
Alexander Ford (804) 888-8888 (804) 888-7777
William Ford   (804) 777-7777 (804) 777-6666
Molly Ford     (804) 666-6666 (804) 666-5555

When the following FOR statement executes, it skips the first line of the file and then displays the first four tokens (elements) of each remaining line.

for /f "tokens=1-4 skip=1" %%i in (contacts.txt) do echo %%i %%j %%k
%%l

When executed, the following output is displayed.

Jerry Ford (804) 999-9999
Alexander Ford (804) 888-8888
William Ford (804) 777-7777
Molly Ford (804) 666-6666

Organizing Scripts with Subroutines and Procedures

Windows Shell scripting provides two mechanisms that can be used to improve the organization of scripts, subroutines and procedures. Both of these programming structures have their own particular set of advantages and disadvantages. For example, subroutines can, by default, access any arguments that were passed to the script, whereas procedures cannot. These and other differences between subroutines and procedures are explained in the sections that follow.

Creating Subroutines

Subroutines are created using the GOTO and LABEL statements. Subroutines have complete access to any arguments that were passed to the script. By default, Shell scripts are processed from beginning to end. However, using the GOTO statement, the processing control of a Shell script can be switched to a different location within a script. A LABEL statement identifies this location. Script execution continues from the label to the end of the script or until another GOTO statement is encountered.

The following example demonstrates the use of the GOTO and LABEL statements in creating a subroutine.

@echo off
rem Prompt the user for confirmation before executing
choice Do you wish to continue?
  if errorlevel == 2 goto :EOF
  if errorlevel == 1 goto :subroutine_1

  goto :EOF
:subroutine_1
  echo: User chose to run the script!
goto :EOF

In this example, the script begins executing. The CHOICE command is used to prompt the user as to whether the script should continue its execution. In this example, it displays the following message:

Do you wish to continue?[Y,N]?
Note

The CHOICE command is supplied with the Windows NT, 2000, and XP Resource Kits.

If the user types an N, the goto :EOF statement is executed. If the user types a Y, the goto :subroutine_1 statement is executed. The goto :EOF statement simulates an end-of-file marker, causing the script to cease execution. This statement can be placed anywhere in a Shell script to terminate script execution. If the user elects to continue script execution, the goto :Subroutine_1 statement causes the script to jump to label :subroutine_1 and continue executing.

Organizing Scripting with Procedures

Windows Shell scripting also supports the organization of scripts into procedures. A procedure is similar to a subroutine. The CALL statement is used to switch processing control from one location to another location as identified by a LABEL statement. Unlike subroutines, procedures return processing control back to the statement following the CALL statement, allowing the script to continue executing from its previous location. In addition, the call statement can be used to execute external procedures by specifying the name of an external Shell script in place of an internal LABEL. When an external procedure is called, the parent script waits for the child script to complete its execution before returning processing control to the statement that follows the CALL statement.

The syntax of the CALL statement is similar to that of the GOTO statement and is shown below.

call :procedure_name

Likewise, procedures are formatted similarly to subroutines, as shown below.

:procedure_name
  Script statement go here
goto :EOF

Arguments can be passed to a procedure, as demonstrated below.

call :procedure_name arg1 arg2 arg3 ......

Unlike subroutines, procedures do not have direct access to any arguments that were passed to a script when it started its execution. However, the following command can be used to pass script arguments to the procedure.

call :procedure_name %*

The following example shows a Shell script that is organized into two procedures.

@echo off

rem Place script statements here
call :procedure_1
rem Place script statements here
call :procedure_2
rem Place script statements here
goto :EOF

:procedure_1
  echo Procedure1 has been processed!
goto :EOF

:procedure_2
  echo Procedure2 has been processed!
goto :EOF

Practical Examples

The remainder of this chapter focuses on providing examples of Shell scripts that demonstrate different uses of Shell scripting. By using these examples as templates for more advanced scripts, along with information provided earlier in this chapter regarding the syntax and capability of individual Shell script statements, administrators will be able to write scripts that automate many of their daily tasks.

Creating Logs and Reports

Shell scripts can be used to generate reports and logs and various types of text files. To accomplish this task, Shell scripting provides a pair of redirection operators that take output from one source and redirect it to another source. The > character redirects standard command output to a specified location. For example, the following statement executes the VER command and then redirects its command output into a text file called sample.txt:

ver > c:\sample.txt

This command replaces any text already in the file with the new output. The >> characters can be used to append text to a file without replacing its original contents. For example, the following statement executes the DIR command and appends its command output to the end of a text file:

dir >> c:\sample.txt

The following example script further demonstrates how to generate reports using Shell scripts. In this case, the Shell script generates a report that contains information about the computer's TCP/IP configuration.

@echo off
rem Script Name: MakeRpt.bat

cls
echo Generating the report.........

rem Rename report if it already exists and delete archive of
  report if it exists

if exist C:\temp\TCP_report.old del c:\temp\TCP_report.old
if exist C:\temp\TCP_report.txt rename c:\temp\TCP_report.txt
TCP_report.old

rem Display date and time
echo Date: %date% > C:\temp\TCP_report.txt

echo Time: %time% >> C:\temp\TCP_report.txt
echo ---------------------------->>
  C:\temp\TCP_report.txt

rem Display the computer host name
echo Hostname: >> c:\temp\TCP_report.txt
hostname >> C:\temp\TCP_report.txt
echo ---------------------------->>
  C:\temp\TCP_report.txt

rem Display TCP/IP settings
echo TCP/IP Settings: >> c:\temp\TCP_report.txt
ipconfig >> C:\temp\TCP_report.txt
echo ---------------------------->>
  C:\temp\TCP_report.txt

rem text TCP/IP configuration
echo Loopback Test: >> c:\temp\TCP_report.txt
ping 127.0.0.1 >> C:\temp\TCP_report.txt

cls
echo TCP/IP report has been generated and can be found in C:\TEMP.

The script makes use of a number of different techniques to improve the presentation of the script and its report. It begins by using the CLS command to clear the Command Console's display. Next, it checks to see if an old copy of the report already exists (for example, c:\temp\TCP_report.old), and if it does, the report is deleted. The script then checks to see if a current copy of the report exists, and if it does, it renames the file to allow for the generation of a new report. The script then writes the current system date and time to the report by displaying system variables that contain this information and redirecting them to the report file. Next, the HOSTNAME variable is displayed. This variable displays the TCP/IP hostname assigned to the computer. The final two commands executed in the script display the computer's TCP/IP settings and perform a ping of its diagnostic loopback address. The script then ends after displaying a message that states the location of the report.

The following output shows an example of a report generated by this Shell script:

Date: Thu 08/29/2002
Time: 23:47:37.17
----------------------------
Hostname:
DeptFileSvr
----------------------------
TCP/IP Settings:

Windows IP Configuration

Ethernet adapter Local Area Connection:

         Connection-specific DNS Suffix . : ce1.client2.attbi.com
         IP Address. . . . . . . . . . . . : 192.168.1.101
         Subnet Mask . . . . . . . . . . . : 255.255.255.0
Default Gateway . . . . . . . . . : 192.168.1.1
----------------------------
Loopback Test:

Pinging 127.0.0.1 with 32 bytes of data:

Reply from 127.0.0.1: bytes=32 time<1ms TTL=128
Reply from 127.0.0.1: bytes=32 time<1ms TTL=128
Reply from 127.0.0.1: bytes=32 time<1ms TTL=128
Reply from 127.0.0.1: bytes=32 time<1ms TTL=128

Ping statistics for 127.0.0.1:
    Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),
Approximate round trip times in milli-seconds:
    Minimum = 0ms, Maximum = 0ms, Average = 0ms

Creating User Accounts

Shell scripts can also be used to assist in the administration of user and group accounts. Windows XP Professional supplies a number of commands that allow user and group accounts to be managed from the command line. These commands include:

  • NET USER. Displays and creates user accounts

  • NET LOCALGROUP. Administers local groups

  • NET GROUP. Administers global groups

  • NET ACCOUNTS. Administers password policies

The following Shell script demonstrates how to create local user accounts and add them to the local administrators group. The script is named MakeUser.bat and is run by typing its name, a space, and then the username to be created.

@echo off
rem Script Name: MakeUser.bat

rem Only allow script to run on NT, 2000 or XP
if not "%OS%" == "Windows_NT" goto :exit

rem Modify the text displayed in the Command Console titlebar
title "Account creation script"

rem Clear the display
cls

rem Ask user to confirm script execution
echo This script will create a new user account for: %1%.
echo To Continue press any key or press CTRL + C to abort.
echo .
pause

rem Call procedure to create the new account
call :create_account %1%

rem Call procedure to add account to the local administrators group

call :add_to_admins %1%

goto :EOF

:create_account
  echo Creating new user account for %1%
  rem create the local user account
  net user %1% * /add
  goto :EOF

:add_to_admins
  rem Add the user account to the local Administrators group
  net localgroup Administrators /add %1%
  goto :EOF

:exit
  echo This script can only run on Windows NT, 2000 or XP

The script begins by checking to see what operating system is being used to execute the script. Shell scripts are only supported on Windows NT, 2000, and XP. The %OS% variable will contain a value of Windows_NT if any of these operating systems is being used. If the test proves false, the :exit subroutine is executed. This subroutine terminates script execution.

Next, the script modifies the title of the Command Console titlebar. It then prompts the administrator for confirmation before continuing using the PAUSE command. To continue, the administrator must press any key. To abort account creation, Ctrl+C must be pressed.

The next two script statements call two procedures. The first procedure is passed the script's only argument (for example, username), which is then used to create the user account. The second procedure is passed the same argument, which it uses to add the user account to the local administrators group.

The following output demonstrates the output that is produced if the script is run and passed a username of Sue.

This script will create a new user account for: Sue.
To Continue press any key or press CTRL + C to abort.

Press any key to continue . . .
Creating new user account for Sue
Type a password for the user:
Retype the password to confirm:
The command completed successfully.

The command completed successfully.

C:\>

Scheduling Disk Maintenance Scripts

Using the Windows scheduling service Shell, scripts can be set up to run at times when the user is not logged on to the computer. For example, the following Shell script is designed to run the defrag.exe command, which defragments hard disk drives. It also saves a report that summarizes the work done by the defrag.exe command.

Note

For information on how to set up the scheduled execution of a script, refer to "Scheduling Tasks with the Scheduled Task Wizard" in Chapter 4, "Application Management."

@echo off
rem Script Name: DiskMaint.bat

rem If a defrag.txt report exists delete it
if exist C:\temp\defrag.txt del c:\temp\defrag.txt

rem Create a new defrag.txt report
echo Defragging C: at %time% on %date% > c:\temp\defrag.txt

rem The defrag command cleans up disk fragmentation
defrag c: /f >> c:\temp\defrag.txt

The script begins executing by checking to see if a previous output report exists, and if it does, it is deleted. Next, a new report is started and the current system time and date are written to it. The DEFRAG command is then executed. The/ f switch is used to force the script to run without prompting for confirmation. The command's output is then written to a report file.

The follow output demonstrates a typical report generated by this script.

Defragging C: at 23:07:03.11 on Thu 08/29/2002
Windows Disk Defragmenter
Copyright (c) 2001 Microsoft Corp. and Executive Software
International, Inc.
Analysis Report                    2.00 GB Total, 164 MB (7%) Free,
21% Fragmented (24% file fragmentation)
Defragmentation Report      2.00 GB Total, 164 MB (7%) Free, 10%
Fragmented (16% file fragmentation)

Remote File Administration

This final Shell script is designed to connect to remote network computers using the NET USE command and to copy all .log and .bak files found in each remote computer's c:\temp folder to a folder located on the local hard drive. All files stored in each remote computer's c:\temp folder are then deleted and the drive mapping is terminated.

@echo off
rem Script Name: FileMaint.bat

cls

rem Map the C: drive on computer_1
net use x: \\computer_1\c

rem Copy .log & .bak files to folders on the local computer
copy x:\temp\*.log d:\LogArchive
copy x:\temp\*.bak d:\BackupFiles

rem Delete all files in the temp folder on computer_1
del /Q x:\temp\*.*

rem Disconnect the drive mapping to computer_1
net use x: /delete

rem Map the C: drive on computer_2
net use x: \\computer_2\c

rem Copy .log & .bak files to folders on the local computer
copy x:\temp\*.log d:\LogArchive
copy x:\temp\*.bak d:\BackupFiles

rem Delete all files in the temp folder on computer_2
del /Q x:\temp\*.*

rem Disconnect the drive mapping to computer_2
net use x: /delete


Part IV: Networking with Windows XP Professional

Chapter 15: Supporting Mobile Users
Chapter 16: Windows XP and TCP/IP
Chapter 17: Supporting Internet Communications
Chapter 18: LAN Configuration
Chapter 19: Printer and Disk Sharing


Chapter 15: Supporting Mobile Users

Overview

Mobile users pose a special challenge to administrators. For starters, laptop users may need to use their computers on the road, which means that the laptops need to be configured with efficient power management settings to allow the users to keep them running on battery power as long as possible. It also means that the laptops need to operate in different states, depending on whether they are docked or undocked. In addition to establishing multiple hardware profiles to handle these situations, administrators may need to configure alternate TCP/IP configuration settings to accommodate users as their laptops connect and disconnect to different networks.

Some users may need to maintain access to the corporate network while they are on the road. The administrator must assist them by configuring remote access connections. These connections may run as direct dial-up connections to corporate remote access servers, in which case the administrator must install a modem on the user's laptop and then set up and configure a dial-up connection. Alternatively, the connection may be set up as a VPN (virtual private network) connection over the Internet using dial-up, broadband, or another type of Internet access.

In certain situations, users may need to have direct access to their own desktop computers from wherever they may be. In this case, administrators can assist by setting up remote desktop access, which allows users to remotely access and operate their corporate desktop computer from their home PC or laptop just as if they were sitting in front of it.


Addressing the Needs of a Mobile Workforce

Mobile and remote users pose an interesting set of challenges to administrators. Laptop users have special power concerns that desktop users do not have to be concerned about, especially regarding battery life. Desktop users are typically connected to the corporate network using a local area connection, whereas laptop users may connect in a number of different ways, each of which must be set up by administrators.

Remote users may also want direct access to the applications and files stored on their corporate desktops or may want to take advantage of other Windows XP Professional features, such as offline printing and offline files. Offline printing allows users to create and submit print jobs when not connected to the network. These print jobs are then held by Windows XP and later automatically submitted to the network printer once the network connection has been restored. Similarly, Windows XP automatically downloads network files that the user works with and marks them as offline files so that the user can continue to work on them when no longer connected to the network. When the user later reconnects the computer to the network, Windows XP Professional synchronizes the locally stored copies of offline files with their online counterparts.

Power Management

Power consumption and usage are especially important concerns for remote users with laptop computers. Windows XP Professional implements power conservation using the ACPI (Advanced Configuration and Power Interface) specification. This allows Windows XP to closely monitor and control power usage and to manage power accordingly. Windows XP supports features such as Standby and Hibernation. Standby allows Windows XP to store open applications and data in memory when the user has not used the computer for a specified period of time and to place the computer in a near-powered down state. When the user returns and presses a key or mouse button, Windows XP immediately restores full power and returns the computer to its previous state. Similarly, Hibernation stores all open applications and data on the computer's hard disk before completely powering down the computer. When the user returns and starts the computer, Windows XP provides the option of restoring the computer to its previous state.

Windows XP implements power settings in the form of power schemes. A power scheme is a collection of predefined settings that control when Windows XP begins to implement its power management capabilities. Windows XP Professional manages power schemes from the Power Options Properties dialog, shown in Figure 15.1, which can be accessed as follows.

Click To expand
Figure 15.1: Configuring Windows XP power settings

  1. Click on Start and then Control Panel. The Windows XP Control Panel opens.

  2. Click on Performance and Maintenance.

  3. Click on Power Options.

Note

To learn more about Windows XP Professional's power management capabilities, including how to implement and configure power schemes, refer to "Power Management" in Chapter 13, "Performance Tuning."

Alternative Network Connections

Windows XP Professional provides the ability to connect to remote networks using a variety of network connections. These connections are configured using the New Connection Wizard and can include:

  • Dial-up connections to corporate remote access servers or workstations

  • Dial-up connections to the Internet, where a VPN connection is then established that uses the infrastructure provided by the Internet to securely connect to a corporate network

  • Broadband connections to the Internet, where a VPN connection is then established that uses the infrastructure provided by the Internet to securely connect to a corporate network

The New Connection Wizard automatically manages the setup and configuration of each of these types of connection, including the configuration of necessary network client software, services, and protocols. Windows XP Professional can establish network connections over a number of network mediums, including:

  • PSTN (Public Switched Telephone Network). A low-speed connection established over the same network that provides local telephone service

  • Cable. A high-speed connection established over the same network that provides cable TV

  • DSL. A high-speed connection established over the PSTN

  • ISDN. A medium-speed connection established over dedicated communications lines provided by the telephone company

  • X.25. An older low-speed connection that operates on networks with unreliable communications

Configuring Remote Network and Computer Access

Administrators support users with a variety of needs, including those who travel with their laptop computers, those who use home computers to connect remotely to a corporate network, or those who connect remotely to their own personal workstations. These needs mean that administrators have to address a whole series of issues, including:

  • Configuring laptop computers with different hardware profiles, allowing the computers to adjust easily to different hardware configurations when docked or undocked

  • Setting up dial-up access to the corporate network using remote access servers

  • Using the Internet to set up secure virtual private connections to the corporate network

  • Setting up users’ corporate desktop computers so that users can remotely access their desktop from a remote location

  • Setting up different TCP/IP settings to support user laptops when they are moved between different networks

  • Configuring other mobile technologies such as offline file access

Each of these tasks is discussed further throughout the remainder of this chapter.


Configuring Multiple Hardware Profiles

Administrators can assist users with laptop computers by configuring multiple hardware profiles. Typically, this means creating one hardware profile to be used when the computer is docked and has access to all available hardware, and a second hardware profile for when the laptop is undocked. Each hardware profile defines the current state of hardware based on whether the laptop is docked or not. This way, the user does not have to wait each time Windows XP Professional starts after docking or undocking for the operating system to detect and adjust to its new hardware configuration. It also eliminates any hardware detection prompts that occur when the computer is reconnected back to its docking station.

Creating a New Hardware Profile

Windows XP automatically creates a default hardware profile. Only an administrator can set up additional hardware profiles. Hardware profiles are computer-specific and not user-specific, meaning that once set up, they are available to all users of the computer. The following procedure outlines the steps involved in setting up a laptop with two hardware profiles. The procedure assumes that the laptop computer is currently docked.

  1. Click on Start and then right-click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the Hardware property sheet.

  3. Click on Hardware Profiles. The Hardware Profiles dialog appears, as shown in Figure 15.2.

    Click To expand
    Figure 15.2: Configuring Windows XP Professional to support multiple hardware profiles

  4. The top portion of the Hardware Profiles dialog displays a list of all existing hardware profiles and provides the ability to create, modify, delete, and set the default hardware profile. Select the default profile and click on Copy. The Copy Profile dialog appears.

  5. Type a descriptive name for the profile, as shown in Figure 15.3, and click on OK.

    Click To expand
    Figure 15.3: Naming a new hardware profile

  6. Select the new profile and click on Properties. The profile's Properties dialog appears, as shown in Figure 15.4.

    Click To expand
    Figure 15.4: Configuring a new hardware profile

  7. Select This is a portable computer.

  8. Select The computer is docked.

  9. Select Always include this profile as an option when Windows starts.

  10. Click on OK.

  11. Select the default profile and click on Copy. The Copy Profile dialog appears.

  12. Type a descriptive name for the hardware profile and click on OK.

  13. Select the new profile and click on Properties.

  14. Select This is a portable computer.

  15. Select The computer is undocked.

  16. Select Always include this profile as an option when Windows starts.

  17. Click on OK.

  18. Click on OK to close the Hardware Profiles dialog.

  19. Click on OK to close the System Properties dialog.

Configuring Hardware Profiles

To configure the profile that represents the computer's undocked state, leave the computer docked, reboot the computer, and then select that hardware profile when prompted. Then open the Device Manager, select a hardware device, open its Properties dialog, and select from one of the following three options on the General property sheet's Device Usage drop-down list:

  • Use this device (enable)

  • Do not use this device in the current hardware profile (disable)

  • Do not use this device in any hardware profiles (disable)

Note

For more information on working with the Device Manager refer to "Device Manager" in Chapter 2, "Installing and Upgrading to Windows XP Professional."

Configuring Hardware Profile Startup Options

Once hardware profiles are created, users are prompted during system startup to select one. To configure a default profile, select it from the list of available hardware profiles on the Hardware Profiles dialog and use the Up Arrow to move it to the top of the list. The lower half of the Hardware Profiles dialog presents options for controlling how profiles are selected. The available options are:

  • Wait until I select a hardware profile

  • Select the first profile listed if I don't select a profile in___seconds

Select the first option to force the computer to wait for the user to make a decision. The second option automatically selects the hardware profile set up by the administrator as the default profile after the specified time interval elapses.


Configuring Dial-Up Access

A dial-up connection is a network connection established between two computers using modems and a telephone line. The calling computer is known as the dial-up client. The dial-up server is the computer that answers the call and accepts the connection request. The dial-up server can be a server running Windows 2000 Server or Windows .NET server; it can also be a third-party hardware and software solution. In addition, Windows XP Professional can act like a dial-up server on a small network, providing the ability to manage a single incoming remote access connection.

From a functional standpoint, a dial-up connection operates just like any local area network connection, except for the fact that it is much slower. Network traffic is routed through the computer's modem and telephone line instead of a network adapter cable or wireless LAN connection. In most cases, a connection to a dial-up server also means access to the network to which the dial-up server is connected, although access can be restricted to just the resources that belong to the dial-up server.

Typically, a dial-up client computer has complete network access, limited only by the security permissions assigned to the user.This means that the users can perform any of the following actions, just as if they were locally connected to the network:

  • Access files stored in network drives and folders

  • Submit print jobs to network printers

  • Access the Internet using the network's shared Internet connection

A dial-up connection can be set up using any of the following communications channels:

  • PSTN

  • ISDN

  • X.25

Windows XP Professional can create a dial-up connection using any of the following local area network protocols:

  • TCP/IP

  • IPS/SPX

  • NetBEUI

Note

Microsoft is terminating its support for the NetBEUI local area network protocol. However, it is still supported by Windows XP Professional and other Microsoft operating systems and can be found on the Windows XP Professional CD in \VALUEADD\MSFT\NET\NEBEUI.

Most modern networks use TCP/IP, so no other local area network protocols are required to established the connection. The important thing is to make sure that the dial-up connection is configured to use a local area network protocol that is supported by the host network and dial-up server. A WAN (wide area network) protocol known as the PPP (Point to Point Protocol) manages the actual connection between the dial-up server and dial-up client. This protocol encapsulates the LAN protocol (typically TCP/IP) for transport of the dial-up connection.

Note

Refer to "TCP/IP Configuration" in Chapter 16, "Windows XP and TCP/IP," for more information about TCP/IP.

In order to establish a dial-up connection, several conditions must be met. First, a dial-up server must be set up and ready to receive incoming connection requests. On the dial-up client, a modem must be installed and a dial-up client connection must be configured.

Installing a Modem

A modem is a device that converts or modulates a computer's digital signals to analog signals and transmits them over a telephone line. On the other end of the connection, another modem receives the analog signals and demodulates them back into their original digital format. Modems come in a variety of forms, including:

  • Internal adapters

  • Built-in motherboard components

  • USB devices

  • External devices that connect to a computer serial port

Regardless of which type of modem is installed on the dial-up computer, the configuration and operation of the dial-up connection is the same. If the dial-up client computer does not already have a modem installed, the administrator must install one. Windows XP Professional should automatically detect and install the modem once it has been connected to the computer. Under normal conditions, the only thing that the administrator may have to do is supply the location of the modem's software driver if prompted to do so.

The following procedure demonstrates how to verify that Windows XP Professional has detected and installed the modem.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on Printers and Other Hardware.

  3. Click on Phone and Modem Options. The Phone and Modem Options dialog appears.

  4. Select the Modems property sheet, as shown in Figure 15.5.

    Click To expand
    Figure 15.5: Verifying modem installation

If the modem does not appear on the Modems property sheet, it has not been installed. Make sure that the modem is properly connected and that it has power. If necessary, the modem can be manually installed using the Add New Hardware Wizard, which can be started by clicking on the Add Hardware link in the Printers and Other Hardware folder.

Note

For more information about the Add New Hardware Wizard, refer to "The Add New Hardware Wizard" in Chapter 2, "Installing and Upgrading to Windows XP Professional."

Configuring a Dial-Up Connection

After installing the computer's modem, the administrator can configure a dial-up connection. Windows XP allows an unlimited number of dial-up connections to be set up. For example, a user may have dial-up connections to multiple dial-up servers at different corporate sites, as well as a dial-up connection to an ISP. The following procedure outlines the steps involved in setting up a new dial-up connection.

  1. Click on Start/All Programs/Accessories/Communications and then select New Connection Wizard. The New Connection Wizard starts.

  2. Click on Next.

  3. Select the Connect to the network at my workplace option, as demonstrated in Figure 15.6, and click on Next.

    Click To expand
    Figure 15.6: Setting up a dial-up connection to connect to a corporate dial-up server

  4. Select the Dial-up connection option, as shown in Figure 15.7, and click on Next.

    Click To expand
    Figure 15.7: Specifying the type of connection to set up

  5. Type a descriptive name for the connection and click on Next.

  6. Type the telephone number belonging to the dial-up server and click on Next.

  7. The New Connection Wizard displays a summary of the information that it has collected. Click on Finish to set up the new dial-up connection.

Starting a Dial-Up Connection

An icon representing the new dial-up connection is created and placed in the Network Connections folder. The following procedure outlines the steps involved in using the new dial-up connection to establish a dial-up session.

  1. Open the Network Connections folder by clicking on Start and then right-clicking on My Network Places and selecting Properties.

  2. The Network Connections folder appears, showing the new dial-up connection icon, as demonstrated in Figure 15.8.

    Click To expand
    Figure 15.8: Windows XP Professional stores icons representing dial-up connections in the Network Connections folder

  3. Double-click on the dial-up connection's icon. This opens a dialog similar to the one shown in Figure 15.9.

    Click To expand
    Figure 15.9: Establishing a dial-up session

  4. Type the username and password of an account that is allowed to log on to the dial-up server.

  5. Optionally, select the Save this user name and password for the following users option and then select either of the following options.

    • Me only

    • Anyone who uses this computer

    Click on Dial to initiate the connection.

Once connected to the dial-up server, users can access any resources on the server for which they have security permissions. In addition, access is also usually granted to the local area network to which the dial-up server is attached.

An icon will appear in the notification area on the user's computer, indicating that a dial-up session is in progress. Double-clicking on this icon opens a dialog box indicating the session's status and providing statistical information about the status. To end a dial-up session, make sure that any open files are saved and then click on Disconnect.

Sharing Bandwidth

Unfortunately, dial-up connections are rather slow and are generally unsuitable for connections that must transmit large amounts of data. One way of improving dial-up connection speed is to combine the available bandwidth of multiple communications lines into a single logical channel using a Windows XP feature known as multilink. To take advantage of Windows XP Professional's multilink support, the computer must have multiple modems and phone lines. In addition, the dial-up server that is to be called must also support multilink. Once connected, Windows XP can send and receive data over all available communication lines. This allows, for example, a computer with two 56k modems to potentially double its transmission speeds.

The following procedure outlines the steps involved in setting up a multilink session using multiple modems.

  1. Click on Start and then right-click on My Network Places. The Network Connections folder appears.

  2. Right-click on a dial-up connection and select Properties. The connection's Properties dialog appears, as demonstrated in Figure 15.10.

    Click To expand
    Figure 15.10: Configuring a dial-up connection to use multiple modems to establish a multilink connection

  3. Select the General property sheet.

  4. In the Connect using section, select the modems to be used in establishing the multilink connection.

  5. Select All devices call the same number.

  6. Select the Options property sheet.

  7. Select one of the following options from the Multiple devices section located at the bottom of the property sheet:

    • Dial only first available device

    • Dial all devices

    • Dial devices only as needed

  8. Click on OK.

Setting Up a Windows XP Professional Dial-Up Server

In addition to providing a client dial-up connection to a dial-up server, Windows XP Professional has the ability to act as a dial-up server by supporting a single incoming dial-up connection. While not generally appropriate for the corporate computing environment, this capability may be of interest to smaller companies or individuals with home networks.

The following procedure outlines the steps involved in setting up a computer running Windows XP Professional to act as a dial-up server.

  1. Click on Start/All Programs/Accessories/Communications and then New Connection Wizard. The New Connection Wizard starts.

  2. Click on Next.

  3. Select Set up an advanced connection and click on Next.

  4. Select Accept incoming connections and click on Next.

  5. Select the modem that is to be monitored for incoming calls and click on Next.

  6. The wizard displays two options that deal with virtual private connections. Neither are relevant to this procedure. Select either option and click on Next.

  7. The wizard displays a list of local user accounts. Select the users who are to be permitted to establish dial-up sessions with the computer. Optionally, select an individual account, click on Properties, and then select the Callback property sheet to specify any of the following Callback options:

    • Do not allow callback

    • Allow the caller to set the callback number

    • Always use the following callback number

      Configuring a callback option adds additional security to dial-up sessions by requiring the caller either to specify their phone number or to connect from a predetermined phone number. Click on Next.

  8. The wizard displays a list of network software that will be used to create and manage dial-up connections. Select TCP/IP and click on Properties. The Incoming TCP/IP Properties dialog appears, as shown in Figure 15.11.

    Click To expand
    Figure 15.11: Configuring local area network access and TCP/IP settings for an incoming dial-up connection

  9. Select Allow caller to access my local area network to allow Windows XP Professional to act as a gateway connection to the rest of the network, or clear this option to limit the dial-up connection's access to the resources located on the Windows XP Professional computer. Select Assign TCP/ IP addresses automatically using DHCP to allow the network DHCP server to assign the dial-up client's TCP/IP connection settings. Alternatively, select Specify TCP/IP addresses to specify a range of IP addresses that Windows XP Professional is authorized to assign. To provide the dial-up client computer with the ability to specify its own TCP/IP settings, select Allow calling computer to specify its own IP address. Click on OK.

  10. Click on Next.

  11. The New Connection Wizard displays a summary of the information that it has gathered. Click on Finish to complete the setup of the dial-up server connection.

An icon representing the incoming dial-up connection now appears in the Network Connections folder, as shown in Figure 15.12. Windows XP Professional automatically answers any calls received on its assigned modem and allows authorized users to establish a dial-up session.

Click To expand
Figure 15.12: The Incoming Connections icon represents the dial-up server connection and can be used to see if anyone is currently using the connection


Creating a VPN Connection

A VPN connection is a connection that is established using the Internet as the communication infrastructure for the connection, as opposed to a dial-up connection. VPNs allow the Internet to be used as a secure channel for communication with corporate networks.

One of the advantages provided by VPN connections is that they can greatly reduce a company's long distance phone bills while still providing secure remote communications. If the client computer's connection to the Internet is made using a broadband connection, the bandwidth available to the connection can make it many times faster than a dial-up connection. In addition, if a broadband connection is used, the user can remain connected for long periods of time without the worry of being disconnected, as is often the case with dial-in connections.

VPN connections are secured by encrypting data before sending it out over the Internet. The receiving computer on the other end of the connection decrypts the data back into its original format. Microsoft Windows XP Professional supports two different WAN protocols that can be used when creating a VPN connection.

The older protocol is the PPTP (Point-to-Point Tunneling Protocol). PPTP uses PPP-encrypted communications to establish VPN connections. Alternatively, the L2TP (Layer-2 Tunneling Protocol) can be used. By default, this protocol does not encrypt data. However, it can be configured to use IPSec (Internet Protocol Security), which provides stronger security for VPN connections than PPTP.

Creating a Client VPN Connection

Like dial-up connections, a VPN connection is established between two computers. If the VPN server is configured to allow it, the VPN server can provide access to the local area network to which it is attached. The following procedure outlines the steps involved in configuring a VPN client connection.

  1. Click on Start/All Programs/Accessories/Communications and then New Connection Wizard. The New Connection Wizard appears.

  2. Click on Next.

  3. Select Connect to the Network at My Workplace and click on Next.

  4. Select Virtual Private Network Connection and click on Next.

  5. Type a descriptive name for the connection and then click on Next.

  6. The next screen asks how the Internet connection is to be established, as shown in Figure 15.13. If a broadband connection is to be used, select Do not dial the initial connection. Otherwise, select Automatically dial this initial connection and select the dial-up connection user's ISP from the drop-down list. Click on Next.

    Click To expand
    Figure 15.13: Specify how the computer is connected to the Internet

  7. Type the hostname or IP address of the VPN server and click on Next.

  8. The New Connection Wizard displays a summary of the information that it has collected. Click on Finish.

An icon for the VPN client connection is created and placed in the Network Connections folder. By default, Windows XP Professional sets the VPN client connection to automatically detect the type of encryption that is to be used when establishing a VPN connection. The following procedure outlines the steps involved in manually specifying the type of encryption that the VPN connection is to use.

  1. Click on Start, right-click on My Network Places, and select Properties to open the Network Connections folder.

  2. Right-click on the VPN connection and select properties.

  3. Select the Network property sheet.

  4. Select one of the following options from the drop-down list in the Type of VPN section.

    • Automatic

    • PPTP VPN

    • L2TP IPSec VPN

Starting a VPN Connection

To initiate a VPN connection over the Internet, the user must first connect to the Internet. If the user has a broadband connection, the VPN session can be immediately started. If the user has a dial-up Internet connection, the connection must be started before the VPN connection can be established.

The following procedure outlines the steps involved in connecting to a VPN server over the Internet.

  1. Click on Start, right-click on My Network Places, and select Properties to open the Network Connections folder.

  2. Double-click on the VPN connection icon.

  3. For broadband connections, the VPN client is prompted to enter a username and password, as demonstrated in Figure 15.14.

    Click To expand
    Figure 15.14: Specify the username and password required to establish the VPN connection

    Supply the required information and click on Next.

  4. For dial-up connections, the VPN client is prompted to enter a username and password only if the computer already has an active Internet connection. Otherwise, the user is prompted to first start an Internet connection. Click on Yes to start the Internet connection. Once the Internet connection is established, the VPN client asks for the username and password.

As with dial-up connections, once the connection is established, the user is able to access resources on the VPN server and on the network to which the VPN server is connected.

Setting Up a Windows XP Professional VPN Server

In addition to providing a client VPN connection to a VNP server, Windows XP Professional has the ability to act as a VPN server that can support a single incoming VPN connection. While not generally appropriate for the corporate settings, this capability may be of interest to smaller companies or home networks.

Note

Windows XP Professional can only support a single incoming connection. If a dial-up connection has already been set up on the computer, the connection must also be used to double as a VPN connection.

The following procedure outlines the steps involved in setting up Windows XP Professional to act as a VPN server using an existing incoming connection.

  1. Click on Start, right-click on My Network Places, and select Properties to open the Network Connections folder.

  2. Right-click on the Incoming Connection and select Properties. The Incoming Connections Properties dialog appears, as shown in Figure 15.15.

    Click To expand
    Figure 15.15: Configuring an incoming connection to accept a VPN connection

  3. Select the Allow others to make private connections to my computer by tunneling through the Internet or other network option in the Virtual private network section.

  4. Click on OK.


Allowing Remote Desktop Access

If users only need to be able to access shared resources on dial-up and VPN servers or the corporate network, the procedures already provided in this chapter can be used to satisfy their remote connectivity requirements. However, if users need to be able to directly access and remotely control the applications and data located on their personal desktops, administrators can set up Remote Desktop connections.

Windows XP Professional's Remote Desktop feature allows remote access to a Windows XP Professional computer and to its applications and data from any network connection, including:

  • LAN

  • Dial-up

  • ISDN

  • DSL

  • VPN

Using Remote Desktop, users have complete access to everything on their computer, just as if they were sitting in front of it. Remote Desktop works by first enabling Remote Desktop on the remote computer (that is, the computer that will be remotely accessed), establishing a network connection between the remote and the local computer, and then running the Remote Access Client on the local computer. Once successfully initiated, a Remote Desktop session provides the local user with all of the following:

  • The ability to start and to work with applications on the remote computer

  • Access to the remote computer's disk drives, which appear as drives with the name <drive_letter> on tsclient in Windows Explorer on the local computer

  • Access to network resources to which the remote computer is connected

  • Access to audio played on the remote computer

  • The ability to submit print jobs using applications and data stored on the remote computer to the local computer's printer

  • The ability of the remote computer to access and use devices, such as scanners, connected to ports on the local computer

  • Access to a shared clipboard that allows data to be moved between applications running on the local and remote computers

Remote Desktop is based on Windows Terminal Services. It uses the RDP (Remote Desktop Protocol) (version 5.1) to manage communications between the local and remote computer. RDP is a presentation protocol that facilitates communications between a computer running Terminal Server and a client computer running a Terminal Server client.

Remote Desktop lets the users access and use the applications that reside on the remote computer. For example, if users have Microsoft Office installed on their work computers but not on their laptops, they could use Remote Desktop to connect remotely to their desktop computers. They could run Microsoft Word, create and save a letter, and then print a copy of that letter on the laptop's portable printer. During a Remote Desktop session, applications are run on the remote computer. This limits the data sent between the local and remote computers to just mouse and keyboard input and screen output. This minimizes network requirements and helps Remote Desktop operate even over slow dial-up network connections.

In order to establish a Remote Desktop session, the user must be a member of either the administrators group or the Remote Desktop Users group on the computer. It's best to use an account that is a member of the Remote Desktop Users group when connecting remotely, as opposed to connecting using an administrative account. This way, if somebody should compromise the account, that person will be limited to the security permissions applied to that account instead of to an account with full administrative control over the computer. Membership in the Remote Desktop Users group only allows a user to establish a remote connection. It does not provide any specific security permissions to any resources located on the remote computer.

Setting Up Remote Desktop on the Remote Computer

Windows XP Professional comes with Remote Desktop already installed. However, it must be enabled before it can be used. The following procedure outlines the steps involved in configuring Remote Desktop on the remote Windows XP Professional computer.

  1. Click on Start, right-click on My Computer, and then select Properties. The System Properties dialog appears.

  2. Select the Remote property sheet, as shown in Figure 15.16.

    Click To expand
    Figure 15.16: Configuring Remote Desktop on Windows XP Professional

  3. Select Allow users to connect remotely to this computer.

  4. Click on OK.

  5. Leave the computer running but lock it by pressing Ctrl+Alt+Delete and selecting the Lock Computer option on the Task Manager's Shutdown menu.

By default, only individuals with an administrative account on the remote computer are permitted to establish a Remote Desktop session with the computer. Other users can be given this capability by adding them to the Remote Desktop Users group. There are two ways to do this. One is to access the Users and Groups extension on the Computer Management console to manually add user accounts to the group. The other way is to add a user account by clicking on the Select Remote Users button on the System Properties dialog's Remote property sheet, as described in the following procedure.

  1. Open the System Properties dialog and select the Remote property sheet.

  2. Click on Select Remote Users. The Remote Desktop Users dialog appears as shown in Figure 15.17.

    Click To expand
    Figure 15.17: Adding users to the Remote Desktop Users group

  3. Click on Add. The Select Users dialog appears.

  4. Click on Advanced.

  5. Click on Find Now.

  6. Select a user account and click on OK four times to close all open dialogs. The specified user account is automatically added to the Remote Desktop Users group.

  7. If a pop-up message appears warning that some user accounts might not have passwords and that the correct port must be opened in order to allow Remote Desktop traffic through any firewalls that may reside between the local and remote computer, click on OK. If necessary, assign an initial password to all user accounts, set each account to require the user to change his or her password at the next login, and contact each user to give out temporarily assigned passwords. Also, if routers or firewalls reside between the two computers, check with the network administrator to ensure that port 3389 is open.

Note

To learn how to administer user and group accounts using the Computer Management console's Users and Groups extension, refer to "Account Management" in Chapter 9, "Security Administration."

Installing the Remote Desktop Client

The local computer must be running the Remote Desktop Connection Client software in order to connect to a remote Windows XP Professional computer running Remote Desktop. Windows XP Professional comes with the Remote Desktop Connection Client already installed. Microsoft makes a free copy of the Remote Desktop Connection Client available at http://www.microsoft.com/windowsxp/pro/downloads. It can be installed and run on any of the following Windows operating systems, allowing each to establish a Remote Desktop session to a Windows XP Professional computer.

  • Windows 95

  • Windows 98

  • Windows 98 2nd Edition

  • Windows Me

  • Windows NT 4.0

  • Windows 2000

The Remote Desktop Connection Client can also be found on the Windows XP Professional CD using the following procedure.

  1. Insert the Windows XP Professional CD into the computer's CD-ROM drive.

  2. The Welcome to Microsoft Windows XP page appears. Select Perform Additional Tasks.

  3. Select Set up Remote Desktop Connection, as shown in Figure 15.18.

    Click To expand
    Figure 15.18: Installing the Remote Desktop Connection Client from the Windows XP Professional CD

  4. Follow the instructions presented to complete the rest of the installation.

Starting a Remote Desktop Session

The following procedure outlines the steps involved in establishing a connection to a remote Windows XP Professional computer running Remote Desktop. Before using the following procedure, an active network connection must already exist between the local and remote computers.

  1. Click on Start/All Programs/Accessories/Communications and then Remote Desktop Connection. The Remote Desktop Connection dialog opens, as shown in Figure 15.19.

    Click To expand
    Figure 15.19: Starting Remote Desktop on the local computer

  2. Click on Options to configure any desired session settings as described in the next section.

  3. Type the name of the computer to which a Remote Desktop connection is to be established and then click on Connect. By default, Windows XP Professional uses the user's current username, password, and domain when establishing the connection. (Different login information can be specified by clicking on Options before making the connection.) The Remote Desktop window opens and displays the desktop of the remote computer, as demonstrated in Figure 15.20.

    Click To expand
    Figure 15.20: Using Remote Desktop to connect to a remote Windows XP Professional computer

Ending a Remote Desktop Session

Once a Remote Desktop session is started, the user can work with the remote computer just as if he or she were sitting in front of it. When done working, the user needs to log off the remote computer and terminate the Remote Desktop session.

The following procedure outlines the steps in terminating a remote session once work has been completed.

  1. Within the Remote Desktop window, click on Start and then Disconnect.

  2. When prompted for confirmation, click on Disconnect.

Configuring Remote Desktop Options

Clicking on Options before starting a Remote Desktop session expands the Remote Desktop Connection, providing the opportunity to configure session settings. Remote Desktop settings are organized into the following five property sheets:

  • General. Displays logon settings and allows current settings to be saved for future use

  • Display. Provides the ability to configure the screen resolution and color settings

  • Local Resources. Provides the ability to specify whether audio played on the remote computer is heard on the local computer, how keyboard combination keystrokes are interpreted, and to which local devices the remote computer is allowed to connect

  • Programs. Allows for the specification of an application or script that is to be run when the Remote Desktop connection is established

  • Experience. Allows the specification of connection speed and the selection of desktop features that can affect the performance of the Remote Desktop session

Configuring General Remote Desktop Settings

By default, Remote Desktop uses the user's current username and domain when establishing a Remote Desktop connection. By expanding the Remote Desktop Connection dialog and selecting the General property sheet, shown in Figure 15.21, users can specify different login information.

Click To expand
Figure 15.21: Using the General property sheet, the user can specify a different username and password and save Remote Desktop settings

Users can also save the currently configured Remote Desktop settings by clicking on Save As and specifying a name for the Remote Desktop configuration file. Remote Desktop settings are stored in .rdp files located in each user's My Documents\Remote Desktops folder.

Users can then click on Open and select a saved .rdp configuration file to establish a Remote Desktop session using its settings.

Note

Users can also use saved Remote Desktop configuration settings to open new Remote Desktop sessions by opening the Remote Desktop folder located in their My Documents folder and double-clicking on an .rdp file.

Configuring Remote Desktop Display Settings

The Display Property sheet on the Remote Desktop Connection dialog allows the user to specify the initial size of the Remote Desktop dialog on their computer. This setting is configured by dragging the slider bar in the Remote desktop size section to the left or right, as shown in Figure 15.22.

Click To expand
Figure 15.22: Modifying the resolution and color settings on the remote computer

In addition, the Colors section on the Display property sheet allows the user to specify the number of colors to be displayed during a Remote Desktop session.

The Display the connection bar when in full screen mode option, located at the bottom of the Display property sheet, allows the user to control whether the small control bar is displayed at the top of the screen when Remote Desktop is run in full screen mode. This bar provides controls for resizing and closing the Remote Desktop.

Configuring Device Connections

The Local Resources property sheet on the Remote Desktop Connection dialog, shown in Figure 15.23, is divided into three sections. The Remote computer sound section allows the user to determine whether sounds played on the remote computer can be heard on the local computer.

Click To expand
Figure 15.23: Configuring which resources the local and remote computers can connect to and use

The Keyboard section determines the conditions under which the user can use keyboard key combinations to control the desktop on the remote computer. The default is to allow keystroke combinations on the remote computer only when Remote Desktop is being run in full screen mode.

The Local devices section controls which of the following resources the remote computer will automatically connect to:

  • Disk drives

  • Printers

  • Serial ports

By allowing the remote computer to connect to the local computer's devices, the user is able to use applications on the remote computer. In addition, the user can access files on the local computer, submit print jobs to the local computer's printer, and communicate with devices connected to the local computer's serial ports.

Running a Program or Scripts During Remote Desktop Startup

The Programs property sheet on the Remote Desktop Connection dialog, shown in Figure 15.24, allows the user to schedule the automatic execution of an application or script whenever a Remote Desktop connection is made.

Click To expand
Figure 15.24: Specify an application or script to be executed whenever a remote desktop connection is established

Adjusting Remote Desktop to Function with Limited Bandwidth

The Experience property sheet on the Remote Desktop Connection dialog, shown in Figure 15.25, provides access to settings that affect the amount of data that must be exchanged during a Remote Desktop session. It allows the user to tell Remote Desktop how fast the connection will be. This allows Remote Desktop to automatically configure the following settings based on the speed of the connection.

Click To expand
Figure 15.25: By disabling certain desktop features, Remote Desktop will operate better over slower network connections

  • Desktop background

  • Show contents of windows while dragging

  • Menu and window animation

  • Themes

  • Bitmap caching

The user can change the settings selected by Remote Desktop. Selecting additional features provides a richer experience at the cost of performance. Conversely, clearing selected settings may improve response time for the connection and improve its overall performance. Modification of these settings can be very beneficial, especially when the user needs to use Remote Desktop over a slow connection.


Setting Up Alternative TCP/IP Configuration Settings

Mobile users often connect their laptop computers to more than one network. Since most networks use TCP/IP as their local area network protocol and DHCP as the tool for assigning and distributing TCP/IP settings, no interaction or reconfiguration is required on the part of the user when switching between networks. Windows XP Professional simply requests and receives new TCP/IP settings from the DHCP server for each network to which it connects. However, if a mobile user needs to occasionally connect to a network where TCP/IP settings are statically configured, meaning that there is no DHCP server available to handle dynamic TCP/IP configuration, the administrator can configure Windows XP with an alternative TCP/IP configuration. This way, when the user's laptop is connected to a network without a DHCP server, Windows XP will automatically use the alternate TCP/IP configuration settings assigned by the administrator.

The following procedure outlines the steps involved in configuring an alternate TCP/IP configuration on Windows XP Professional.

  1. Click on Start, right-click on My Network Places, and select Properties.

  2. Right-click on the icon representing the computer's Local Area Connection and select Properties.

  3. The Properties dialog for the local area connection appears. Make sure that the General property sheet is selected.

  4. Select Internet protocol (TCP/IP) and click on Properties. The Internet Protocol (TCP/IP) Properties dialog appears.

  5. Select the Alternate Configuration property sheet, as shown in Figure 15.26.

    Click To expand
    Figure 15.26: Configuring alternate TCP/IP settings that are to be used when mobile users connect to a network that uses statically assigned TCP/IP settings

  6. Select the User configured option.

  7. Specify the TCP/IP settings as required and click on OK.

Note

If an alternate TCP/IP configuration is not set and Windows XP Professional is unable to connect to a DHCP server to receive its TCP/IP settings, Windows XP Professional will assign its own TCP/IP settings. Windows XP Professional will assign itself an IP address in the range of 169.254.0.1-169.254.0.254 with a subnet mask of 255.255.0.0. By providing Windows XP Professional with the ability to automatically assign its own TCP/IP settings, Microsoft has made possible the automatic configuration of small local area networks in which every computer on the network assigns its own TCP/IP setting for a 169.254.0.0 network.


Other Mobile Computer Issues

Windows XP Professional provides mobile users with additional tools that assist in keeping them productive when on the road but out of reach of any network connectivity. One such tool is offline printing, which allows users to submit print jobs to network printers even when they are not attached to the network. Instead of being routed over the network to a network print server, the print job is temporarily spooled on the laptop's hard drive and later submitted to the appropriate network printer when network connectivity is restored.

Another Windows XP Professional feature that assists users is offline files. Administrators can enable offline file support for files and then configure the user's laptop to work with offline files.

Offline Printing

Offline printing is configured automatically on Windows XP Professional. However, users may not be aware of the feature or how it works and may question administrators about its purpose and use. When users are on the road and have a document to print, they can always wait until they return to the office to print it. Alternatively, they can go ahead and submit the print job, and Windows XP Professional will display a message stating that the printer is not available but that the print job can be stored locally and later resubmitted. If the user selects this option, another pop-up dialog will appear later when network access is restored, prompting the user to allow Windows XP to release stored print jobs.

The user can also manually put a printer connection into offline mode. This is helpful when the user wishes to submit a number of print jobs as a batch or when the laptop has a problem automatically detecting an offline printer. The following procedure outlines the steps involved in manually marking a printer as offline.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on Printers and Other Hardware. The Printers and Other Hardware folder appears.

  3. Click on Printers and Faxes.

  4. Right-click on the printer and select Use Printer Offline.

Windows XP Professional should automatically recognize when network access to a printer that is marked as offline is restored. In the event that Windows XP does not recognize this change of status and prompts the user to release stored print jobs, the user can manually trigger this operation by repeating the above procedure and ensuring that the check mark has been removed from the Use Printer Offline option.

Offline Files

Copies of offline files are automatically downloaded onto the user's computer whenever they are accessed. This provides the users with access to copies of these files when they disconnect from the network. Users can tell when they are working with offline files because Windows XP will display a red X over the network drive where the files are stored. Other than this, users access offline files in the exact same way as they access them online (Windows XP recreates the same path to offline files).

When network access is restored, the copies of the files on the user's computer can be automatically synchronized with the online copies. In addition, the user

Note

Windows XP Professional's support for offline files and file synchronization does not include version control. Therefore, if multiple users have copies of the same offline file and are making changes to it, it is possible that users may accidentally overwrite each other's changes. It is important that administrators stress to the users who work with offline folders the importance of working with other users to coordinate the modification of important files.

can perform a manual synchronization. If the copy of the online file has changed since the user was last connected, the copy of the file on the user's computer is updated. If both copies have been changed, the user is prompted as to which copy should be updated.

Only an administrator can configure shared folders and their files as being available offline. Administrators can configure offline files using Windows Explorer or the Shares extension located on the Computer Management snap-in. The following procedure demonstrates how to mark files as being offline using Windows Explorer.

  1. Click on Start/All Programs/Accessories and then Windows Explorer.

  2. Locate the file or folder to be marked as offline.

    Note

    Only files stored in shared folders or shared folders themselves can be marked as offline.

  3. Right-click on the file or folder and select Make Available Offline.

In order for users to work with offline files, their computers must be configured to support them. Windows XP Professional is automatically set up to work with offline files. The following procedure outlines the steps involved in setting up Windows XP Professional to support offline folders should this feature ever be turned off.

  1. Click on Start/All Programs/Accessories and then Windows Explorer.

  2. Select Folder Options from the Tools menu. The Folder Options dialog appears.

  3. Select the Offline Files property sheet, as shown in Figure 15.27.

    Click To expand
    Figure 15.27: Enabling Windows XP Professional to work with offline files

  4. Select Enable Offline Files.

  5. Configure any of the following configuration options:

    • Synchronize all offline files when logging in

    • Synchronize all offline files when logging off

    • Display a reminder every___minutes

    • Create an Offline Files shortcut on the desktop

    • Encrypt offline files to secure data

    • Amount of disk space to use for temporarily offline files

      Note

      The option to Encrypt offline files to secure data is only available if Windows XP Professional is installed on an NTFS-formatted partition or volume.

  6. Click on OK.

Tip

In addition to the automatic synchronization options set by administrators when enabling Windows XP's support for offline files, users can perform a manual synchronization at any time by opening Windows Explorer and clicking on the Synchronize option located on the Tools menu.


Chapter 16: Windows XP and TCP/IP

Overview

Microsoft Windows XP Professional supports a number of different network protocols. These protocols define rules and standards for communication between computers over networks. Protocols are to computers what language is to people. In order for two or more computers to communicate on a network, both must communicate using the same protocol. Each of the protocols has its own set of advantages and disadvantages and can be used in a variety of situations. Of all these protocols, TCP/IP is preferred and needs to be understood by administrators in order for it to be administered on Windows XP Professional.

TCP/IP is Microsoft Windows XP Professional's default network protocol. TCP/IP has been the preferred protocol on corporate networks for years. With the advent of new easy-to-use configuration tools provided by Microsoft, TCP/ IP is now the preferred network protocol for networks of any size. TCP/IP is also the protocol used to connect to the Internet, which means that even if another protocol is selected to manage local area network traffic, TCP/IP must still be installed on any user's computer that will need to access the Internet.

This chapter will introduce TCP/IP and briefly compare it to other local area network protocols.Then the chapter will explain different ways that TCP/IP can be configured and managed on computers connected to local area networks and the Internet.


Windows XP Networking Protocols

Network protocols support the transmission of data between computers. Local area network protocols support network communications on small networks thatare generally limited geographically to the size of a single building or floor. Wide area network protocols support network communications over great distances and can be used to connect multiple local area networks together or to provide remote access to networks such as the Internet.

Network protocols have established sets of rules that govern the transmission of data. In order to communicate with other computers and devices on a network, a computer running Windows XP Professional must run a network protocol that is also run by these machines. Typically, networks run a number of different protocols for a variety of reasons. However, in most situations desktop and laptop computers only require a single protocol in order to communicate on the network.

Windows XP Professional supports a number of different network protocols. Three of these protocols are designed to support local area network communications, and one of them also supports Internet communications. These protocols are listed below.

  • IPX/SPX. A protocol created by Novell to support NetWare networks.

  • NetBEUI. A protocol designed by IBM for small networks with 50 or fewer computers.

  • TCP/IP. A protocol used to run most corporate networks as well as the Internet. TCP/IP is Windows XP Professional's default protocol.

Each of these three protocols has its own set of rules and standards, making them incompatible with one another. In most networking environments, TCP/ IP is the protocol of choice and the other protocols are not required. As long as TCP/IP is loaded on each computer, every computer on the network should be able to communicate with every other one, whether they are running Windows XP Professional, other operating systems such as Windows 98 or 2000, or even a Unix variant such as Linux.

IPX/SPX

IPX/SPX is a protocol developed by Novell to support its Novell NetWare network operating system. IPX/SPX is a proprietary protocol, which means that Novell owns it and only Novell can make changes to it. NetWare enjoyed considerable popularity in the early 1990s when most corporate networks used NetWare to run their file and print networks. However, the advent of the Internet brought with it TCP/IP, which quickly became the protocol of choice. Since therelease of NetWare 5.X, TCP/IP has replaced NetWare as the default protocol used on NetWare networks.

Microsoft Windows XP Professional refers to its implementation of IPX/SPX as NWLink. Generally speaking, IPX/SPX runs faster than TCP/IP but slower than NetBEUI. IPX/SPX also works on subnetted networks, which are logical networks composed of two of more physical network segments that have been connected together. However, the advent of the Internet and the resulting popularity of TCP/IP have curtailed the use of IPX/SPX to legacy NetWare networks.

The following procedure outlines the steps involved in configuring Windows XP Professional to use IPX/SPX.

  1. Click on Start and select My Network Places.

  2. Click on View Network Connection.

  3. Right-click the Local Area Connection icon and select Properties.

  4. Click on Install.

  5. Select Protocol and click on Add.

  6. Select the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol and click on OK.

  7. Click on Close.

  8. A pop-up dialog appears, prompting for a restart of the computer. Click on Yes.

Note

If My Network Places is not visible on the Windows XP Professional Start menu, it can be added using the following procedure.

  1. Right-click on Start and select Properties. The Taskbar and Start Menu Properties dialog appears.

  2. Click on the Customize button to the right of the Start menu option. The Customize Start Menu dialog appears.

  3. Select the Advanced property sheet.

  4. Scroll down and select My Network Places in the Start menu items section.

  5. Click on OK twice.

NetBEUI

The NetBEUI (NetBIOS Extended User Interface) protocol was originally developed by IBM in the 1980s and was intended to support small local area file and print networks consisting of 50 or fewer computers. NetBEUI is faster than TCP/IP and IPX/SPX and has very low memory and CPU processing requirements.

Unlike TCP/IP, NetBEUI is self-configuring. However, it is designed to operate on a network that is not subnetted and therefore cannot be routed. Microsoft no longer encourages the use of NetBEUI. In fact, Microsoft has removed it from the list of available protocols that appears when the administrator goes through the process of installing a network protocol on Windows XP Professional. However, NetBEUI will still work on Windows XP and can be found on the Windows XP Professional CD in \VALUEADD\MSFT\NET\NETBEUI.

The following procedure outlines the steps in installing the NetBEUI protocol.

  1. Click on Start and select My Network Places.

  2. Click on View Network Connection.

  3. Right-click the Local Area Connection icon and select Properties.

  4. Click on Install.

  5. Select Protocol and click on Add.

  6. Select the network protocol to be installed. To install NetBEUI, click on Have Disk and type drive_letter:/VALUEADD/MSFT/NET /NETBEUI and click on OK.

  7. Select the NetBEUI Protocol and click on OK.

  8. A popup dialog appears prompting for a restart of the computer. Click on Yes.

TCP/IP

TCP/IP is the protocol used on the Internet and on most corporate network. Since Windows 98, TCP/IP has been the default protocol for Microsoft operation systems. Windows XP Profrssional automatically installs TCP/IP any time that it detects a networking devicwe such as a network adapter or a modem.

TCP/IP is actually the name assigned to a suite of protocols. TCP (Transmission Control Protocol) is used to establish a logical communication session between two computers in order to ensure the guaranteed delivery of data. It accomplishes this task using a series of acknowledgements that occur as data is transmitted.

IP (Internet Protocol) is a connectionless protocol. It does not provide guaranteed delivery of data. It simply sends packets out over a network connection. These packets may take different routes on their way to the destination computer and may arrive out of order and must therefore be reordered upon receipt. If any packets fail to reach the target computer, data is lost. The TCP protocol uses the IP protocol as its transport mechanism while adding the guaranteed delivery by validating the receipt of all data packets.

Another protocol in the TCP/IP suite of protocols is UDP (User Datagram Protocol). UDP is similar to TCP in that it uses the IP protocol as its delivery mechanism. However, it does not establish a formal session between the sending and receiving computers and does not provide guaranteed delivery of data.

Many applications are designed to use both TCP and UDP. If the network is operating in a reliable fashion, the applications use UDP because it places less overhead on the network. However, if network problems occur and data starts failing to reach its destination, the applications switch over to TCP, where delivery is guaranteed.

In addition to TCP, UDP, and IP, the TCP/IP suite of protocols includes a number of other protocols, including:

  • ARP. Retrieves a computer's MAC address using its IP address

  • DHCP. A service that centrally manages the configuration of TCP/IP settings for network computers

  • FTP. Transports text and binary files over networks to computers running the FTP service

  • HTTP. Transfers data between browsers and Web servers

  • ICMP. Manages protocol control and provides error reporting

  • RARP. Retrieves a computer's IP address using its MAC address

  • SMTP. Supports the transport of e-mail

  • SNMP. A network monitoring protocol

  • Telnet. Establishes text-based sessions with remote network computers that are running the Telnet service


TCP/IP Configuration

Of the three local area network protocols supported by Windows XP, TCP/IP requires the most configuration. At a minimum, every computer that runs TCP/ IP must have the following configuration settings:

  • IP address. A unique 32-bit number represented as a set of four octet values that uniquely identifies the computer on a network

  • Subnet mask. A 32-bit number represented as a set of four octets that is used to determined whether or not computers reside on the same network subnet

TCP/IP uses the subnet mask to determine where other computers with which it needs to communicate reside. Every computer on the same network must be assigned the same subnet mask, regardless of the subnet on which the computer resides. By examining the IP address and subnet mask assigned to a computer, TCP/IP can determine whether or not it resides on the local subnet. If the destination computer does not reside on the same subnet, TCP/IP forwards any data that it has for the destination computer to the assigned default gateway, which then routes the data to the appropriate network.

In order to route data packets to a computer located on another subnet or network, a default gateway IP address must be provided. Windows XP sends all network data not destined for a computer on the local subnet to the router or computer that is located at this IP address.

Administrators may need to supply the following TCP/IP configuration settings:

  • DNS. A name resolution service used on the Internet and on most subnetted networks to provide IP address to computer name resolution.

  • WINS. A name resolution service used on Microsoft networks to provide IP address to computer name resolution. WINS is supported to provide backward compatibility for applications that still require its services to function.

Given the amount of configuration that every Windows XP Professional computer that runs TCP/IP requires, it might seem that TCP/IP is not as good a choice for smaller networks that might benefit from NetBEUI's self-configuring protocol and for networks that don't require connection to the Internet. However, Microsoft provides an automated solution that greatly simplifies the administration of TCP/IP and makes it the best overall protocol for networks of all sizes.

Working with IP Addresses

Normally, most computers have a single network adapter. Every computer on a network that uses TCP/IP must have a unique IP address for each network adapter that is installed. TCP/IP addresses must be unique, meaning that the same IP address cannot be assigned to two computers on the same network. If two computers are assigned the same IP address, a conflict occurs, and one or both of the computers may not be able to access the network.

IP addresses are made up of two pieces of information, a network ID and a host ID. The network ID identifies the network to which the computer is connected. The host ID provides a unique identifier for each computer on that network. An IP address is made up of 32 bits, as demonstrated below.

10101001.11111110.11001100.00000011

IP addresses are organized into four parts called octets, each of which is 8 bits long. Each octet has a possible value of 00000000–11111111. People find that working with and remembering binary numbers is difficult. Therefore, TCP/IP allows for the use of decimal numbers, which are then automatically translated into binary as needed. For example, the following IP address is the decimal equivalent of the previous binary IP address.

169.254.204.003
Tip

Use the Calculator application provided by Windows XP to manually translate between binary and decimal IP addresses. On Windows XP, the Calculator application can be started by clicking on Start/All Programs/Accessories and then selecting Calculator. By default, the Calculator application only works with decimal numbers. Click the View Menu's Scientific option to expand the Calculator to display options for working with binary numbers.

A centralized International body known as the InterNIC manages IP addresses. The InterNIC sells blocks of these IP addresses to large ISPs and telecommunications companies, which then lease them to businesses and consumers. The InterNIC organizes all IP addresses into classes. The first three classes contain IP addresses assigned to businesses and consumers. These classes are shown in Table 16.1.

Table 16.1: IP Address Class Organization
Class | Network and Host IDs | Number of Networks | Hosts per Network
Class A | nnn.hhh.hhh.hhh | 126 | 16,777,214
Class B | nnn.nnn.hhh.hhh | 16,384 | 65,534
Class C | nnn.nnn.nnn.hhh | 2,097,152 | 254

In a Class A network the first 8 bits are reserved for defining network IDs.There is a total of 126 Class A networks, each of which contains over 16 million IP addresses. Similarly, a Class B network uses the first 16 bits to define network addresses and the last 16 bits to define host addresses. There are over 2 million Class C networks, each of which has 254 IP addresses.

The first octet in an IP address can be used to determine its class. For example, the first octet in a Class A network will always be in the range of 1–126. Table 16.2 outlines the network range for each class.

Table 16.2: Network Identification
Class | Network
Class A | 1–126
Class B | 128–191
Class C | 192–223
Note

The network address of 127 is omitted from Table 16.2 because it is a reserved network address used by computers running TCP/IP to perform a diagnostic loopback test and cannot be used on networks.

Unfortunately, as the popularity of TCP/IP and the Internet has grown in recent years, the available supply of IP addresses has been used up. Fortunately, new techniques for distributing IP address assignments have evolved that allow classes of IP addresses to be combined (supernetting) or divided (subnetting). In addition, a new version of TCP/IP called Ipv6 has been designed that, when finally implemented, will greatly expand the available range of IP addresses.

Deciphering the Subnet Mask

In order for the operating system to be able to determine whether computers reside on the same network or on different networks, it must examine the computer's assigned subnet mask. Like the IP address, a subnet mask is a 32-bit binary number. Every computer on the network must have an IP address and a subnet mask. In addition, every computer on the same network must have the same subnet mask. Table 16.3 lists the subnet masks associated with the first three IP classes.

Table 16.3: Subnet Masks
Class | Network
Class A | 255.0.0.0
Class B | 255.255.0.0
Class C | 255.255.255.0

As Table 16.3 shows, the subnet mask defined to a computer on a Class C network is 255.255.255.0.

Public and Private IP Addresses

One technique used by organizations that require Internet access is the use of private IP addresses. Using private IP addressing, the company only needs to lease a single public IP address through which all the company's Internet traffic will flow. This public IP address is then assigned to a computer or router that is connected to both the Internet and the company's private network. Since none of the computers within the company directly connects to the Internet, they can be assigned private IP addresses. The device that functions as the Internet gateway automatically translates requests for Internet access by hiding private IP address assignments from the Internet and presenting only its public IP address.

A private IP address is one that does not connect to the Internet and is only known on the network to which it is defined. Several ranges of private IP addresses have been reserved for this purpose. These IP addresses are outlined in Table 16.4 and will not be found in use anywhere on the Internet.

Table 16.4: Private IP Addresses
Network ID | Subnet Mask | IP Addresses
10.0.0.0 | 255.0.0.0 | 10.0.0.1–10.255.255.254
169.254.0.0 | 255.255.0.0 | 169.254.0.1–169.254.255.254
192.168.0.0 | 255.255.255.0 | 192.168.0.1–192.168.255.254

Whether to lease one or more public IP addresses and which set of private IP addresses to use, if any, are decided upon during the initial setup of a local area network. Once established, the administrator needs to work closely with network engineers to ensure that the IP address assignments are performed in sync with the overall organization of the network.

Subnetting

One problem with modern networks is that they are very chatty, meaning that even when network computers have no data to transmit, they still generate network traffic. As more and more computers are added to the network, more data traffic occurs, eventually slowing down the network. To keep network communications running smoothly, large networks are broken down into manageable smaller networks called subnets. This reduces the number of computers transmitting on any particular network segment at a time.

Network subnets are connected together using devices called routers. A router is a device that is connected to two or more network subnets and routes network data from segment to segment as required. Any traffic destined only for a local subnet is not allowed through the router to the other subnets, thus localizing as much network traffic as possible.

While subnetting minimizes network traffic and allows for the establishment of large enterprise networks, it also adds to the complexity of those networks. Specifically, it requires that a network's IP address assignment be modified in order to support subnetting (that is, the subdividing of a network into two or more logical subnets). Subnetting requires that one or more bits be borrowed from the host ID portion of the IP address so that they can be used in the network ID portion in order to define multiple subnets.

Typically, network engineers and architects are responsible for the overall design of the network and determine the network classification that is used and how it is then broken down into subnets. This includes defining the number of subnets and their range of available IP addresses.

Most networks use a TCP/IP service known as DHCP to store and manage this information. DHCP also manages the automatic assignment of TCP/IP configuration settings to network computers, alleviating the computer administrator of the responsibility of manually assigning TCP/IP settings. However, some environments choose to implement static IP address assignment, in which case the computer administrator is responsible for configuring TCP/IP settings. In order to perform this role, the administrator must work closely with network engineers and architects and assign IP address settings according to their overall design and specification.


Assigning TCP/IP Settings

By default, Windows XP Professional configures TCP/IP as its default network protocol if it finds an installed network device such as a network adapter or modem. Windows XP Professional's TCP/IP setting can be configured in a variety of ways, as outlined below.

  • Static. The manual assignment of TCP/IP configuration settings.

  • DHCP (Dynamic Host Configuration Protocol). DHCP is used to automate the centralized management of IP configuration settings.

  • APIPA (Automatic Private IP Addressing). Allows a computer to assign its own TCP/IP settings.

  • Alternative IP addressing. Provides the ability to specify IP address settings that are only used when DHCP is unavailable.

Static Configuration

A static configuration is one in which the administrator manually assigns all of a computer's TCP/IP settings. Static configuration takes time and is not normally used when managing desktop computers running Windows XP Professional. Instead, APIPA is usually used on small networks, while DHCP is used everywhere else.

Note

While DHCP is usually used to assign TCP/IP configuration settings to most desktop computers, static TCP/IP configuration is far more common on Windows servers where static IP addresses are sometimes required in order for applications to operate properly.

Administrators who choose to statically configure TCP/IP on computers running Windows XP Professional generally specify the following settings:

  • IP address. The IP addresses assigned to the computer's network adapter

  • Subnet mask. The subnet mask address assigned to the network to which the computer is connected

  • Default gateways. The computer to which remote network data should be sent

  • DNS servers. The IP addresses of one or more DNS servers that provide IP address and name resolution services on the network

  • WINS servers. The IP addresses of one of more WINS servers that provide IP address and name resolution services on the network

The following procedure outlines the steps involved in statically configuring Windows XP Professional TCP/IP settings.

  1. Click on Start and then My Network Places.

  2. Click on View Network Connections. The Network Connections folder appears, as shown in Figure 16.1.

    Click To expand
    Figure 16.1: Select the local area connection that is to be configured

  3. Right-click on the Local Area Connection icon and then select Properties. The Properties dialog for the selected local area connection appears, as shown in Figure 16.2.

    Click To expand
    Figure 16.2: Examining local area network properties

  4. Select Internet Protocol (TCP/IP) and then click on Properties. The Internet Protocol (TCP/IP) Properties dialog appears.

  5. Click on Use the following IP address, as shown in Figure 16.3.

    Click To expand
    Figure 16.3: Configuring static TCP/IP settings

  6. Type the IP address assigned to the computer in the IP address field.

  7. Type the network's subnet mask address in the Subnet mask field.

  8. Optionally, type the IP address of a gateway computer in the Default gateway field.

  9. Optionally, specify the IP address of a primary DNS server in the Preferred DNS server field.

  10. In the event that the primary DNS server might become unavailable, type the IP address of a secondary DNS server in the Alternate DNS server field.

  11. Optionally, click on Advanced to specify advanced TCP/IP configuration settings as described in the next procedure.

  12. Click on OK twice.

Note

Windows XP Professional will not contact the secondary DNS server if the primary DNS server is unable to resolve a computer name or IP address. It only communicates with the alternate DNS server if the primary DNS server is unavailable.

Click on the Advanced button on the Internet protocol (TCP/IP) Properties dialog to set advanced TCP/IP configuration settings, as outlined in the following procedure.

  1. Click on the Advanced button on the Internet protocol (TCP/IP) Properties dialog. The Advanced TCP/IP Settings dialog appears, as shown in Figure 16.4.

    Click To expand
    Figure 16.4: Configuring advanced TCP/IP settings

  2. By default, the IP settings property sheet is selected. From here the following settings can be configured.

    • IP addresses. Provides the ability to define additional IP addresses and subnet masks to the computer in order to allow it to participate on different logical networks

    • Default gateways. Lists additional gateways that Windows XP Professional can use when the default gateway in unavailable in order to provide fault tolerance in the event of gateway outages

    • Automatic metric. Allows Windows XP Professional to automatically select the most efficient route for transmitting data packets based on the speed of the network interface

    To add additional IP addresses, click on the Add button located in the IP address section and type the IP address and associated subnet mask entry. To add additional gateways, click on the Add button located in the Default gateway section, type the IP addresses of the gateways, and select or clear their Automatic metric entry. If the Automatic metric entry is cleared, type a metric indicating the gateway priority (1 is the highest priority). By assigning a metric to individual gateways, administrators are able to affect Windows XP's gateway selection.

  3. Select the DNS property sheet to configure advanced DNS configuration settings, as shown in Figure 16.5. At the top of the property sheet, click on Add to supply the IP addresses of additional DNS servers. Then use the up and down arrows on the right-hand side of the property sheet to set the order in which Windows XP will attempt to use them. The rest of the DNS property sheet contains the following options:

    • Append primary and connection specific DNS suffixes. This option resolves unqualified computer names using the parent domain name. For example, if the computer's name is PrintSvr and it resides in an xyz.com domain, its name will be resolved as PrinterSvr.xyz.com.

    • Append parent suffixes of the primary DNS suffix. This option resolves unqualified computer names by appending the parent domain's name to the computer name; if resolution fails, the next higher parent domain is used to resolve the name. This process continues until the root domain has been reached.

    • Append these DNS suffixes (in order). Allows for the specification of static DNS suffixes and allows the order in which they are searched to be modified.

    • DNS suffix for this connection. Allows a DNS suffix to be specified that overrides all other DNS suffixes.

    • Register this connection's addresses in DNS. On Windows 2000 and .NET domains, this option allows the computer to automatically register itself with DNS.

    • Use this connection's DNS suffix in DNS registration. On Windows 2000 and .NET domains, this option allows the computer to automatically register itself with DNS using its parent suffix.

    Click To expand
    Figure 16.5: Configuring advanced DNS settings

  4. Select the WINS property sheet to configure advanced WINS configuration settings, as shown in Figure 16.6. WINS provides NetBIOS to IP name translation and is provided by Windows XP Professional only to support older applications that may require it. To supply additional WINS servers, click on Add and type the IP address of the WINS server. Use the up and down arrows on the right-hand side of the property sheet to change the order in which WINS servers are accessed.

    Click To expand
    Figure 16.6: Configuring advanced WINS settings

    Note

    Windows XP Professional will not contact additional WINS servers if the primary WINS server is available. It tries the other WINS servers when it is unable to communicate with the primary WINS server.

  5. The rest of the WINS property sheet contains the following options:

    • Enable LMHOSTS lookup. Allows Windows XP to use a static file of hostnames and IP addresses to resolve names in the event that name resolution is unsuccessful.

    • Import LMHOSTS. Allows entries from an existing LMHOSTS file to be imported into the computer's local LMHOSTS file.

    • Default: Use NetBIOS setting from the DHCP server. If static IP address is used or the DHCP server does not provide NetBIOS setting, enable NetBIOS over TCP/IP. Enables NetBIOS name resolution only if DHCP is unavailable.7Enable NetBIOS over TCP/IP. Enables NetBIOS name resolution.

    • Disable NetBIOS over TCP/IP. Disables NetBIOS name resolution.

  6. Select the Options property sheet, shown in Figure 16.7, to configure advanced WINS configuration settings.

    By default, only the TCP/IP filtering option is available. To configure it, click on Properties. This displays the TCP/IP Filtering dialog, as shown in Figure 16.8.

    Click To expand
    Figure 16.7: Configuring advanced TCP/IP settings

    Click To expand
    Figure 16.8: Configuring TCP, UDP, and IP ports

    This dialog allows the administrator to control which incoming network traffic is allowed to be passed to TCP/IP for processing. All other traffic is blocked. To specify filter settings, select Enable TCP/IP Filtering (All adapters) and then select the Permit All or Permit Only options for the following ports:

    • TCP

    • UDP

    • IP

    Click on the appropriate Add button to add a port and the appropriate Remove button to remove a port from the list. Click on OK to close the TCP/IP Filtering dialog.

  7. Click on OK.

DHCP

DHCP is the most commonly used method for specifying TCP/IP configuration settings. It can be used to automate the assignment of any TCP/IP settings, including DNS and WINS advanced settings. DHCP is usually provided on corporate networks by specially configured Windows 2000 or .NET servers that run the DHCP service. On small networks that use Windows XP Professional's built-in ICS (Internet connection sharing), DHCP settings are provided by the computer running ICS. Optionally, a gateway Internet appliance may also provide small networks with a DHCP service.

APIPA

APIPA allows a computer running Windows XP Professional to dynamically assign its own TCP/IP settings if a DHCP sever is unavailable and static settingshave not been defined. When Windows XP uses APIPA, it automatically assigns itself an IP address on a 169.254.0.0 network in the range of 169.254.0.1 to 169.254.255.254 with a subnet mask of 255.255.0.0. APIPA simplifies the creation of small networks by automating the TCP/IP configuration process. The following procedure outlines the steps involved in enabling automatic private IP addressing.

  1. Click on Start and then My Network Places.

  2. Click on View Network Connections.

  3. Right-click on the Local Area Connection icon and then select Properties.

  4. Select Internet Protocol (TCP/IP) and then click on Properties.

  5. Select the Alternate Configuration property sheet and then click on Automatic private IP address, as shown in Figure 16.9.

    Click To expand
    Figure 16.9: Configuring Windows XP to use an automatic private IP address as its alternate configuration

If a computer on a corporate network that uses DHCP has trouble communicating with a DHCP server and instead uses APIPA to assign its own TCP/IP settings, the computer will be effectively isolated from the rest of the network. This situation can be remedied by either using the IPCONFIG command to release and renew TCP/IP settings or the GUI-based Repair process. Both of these options are described later in this chapter.

Alternate IP Settings

In addition to APIPA, Windows XP Professional allows administrators to specify static alternate TCP/IP configuration settings. This feature is useful onportable computers that are occasionally removed from a network that uses DHCP and connected to a network that uses static IP addresses. Alternate static TCP/ IP configuration settings are specified by selecting the User configured option on the Alternate Configuration property sheet as shown in Figure 16.9.

Note

For more information on working with a static alternate TCP/IP configuration, refer to "Setting Up Alternative TCP/IP Configuration Settings" in Chapter 15, "Supporting Mobile Users."


Using Windows XP Professional on Smaller Networks

While corporate networks implement DHCP servers that manage the assignment of IP settings, many smaller businesses and home networks do not. To make the configuration of small networks as easy as possible, Microsoft has provided support for APIPA with Windows XP Professional. This allows a collection of computers connected together using a small network hub or switch to automatically configure their own IP settings and establish as a network with zero administration. This network allows each computer to configure an IP address on a Class B network of 169.254.0.0 with an IP address of 169.254.0.1 to 169.254.255.254.

This network configuration facilitates disk and printer sharing between network computers. Microsoft also supplies Windows XP Professional with ICS. ICS allows one computer on a small network to share its Internet connection with all the other computers on the network. If ICS is enabled, the computer where it is running automatically provides DHCP services. This configuration includes the assignment of the following TCP/IP settings:

  • IP address

  • Subnet mask

  • Default gateway

The computer providing the ICS service sets up a network with an IP address of 192.168.0.0 and automatically assigns itself a local area network IP address of 192.168.0.1. It then assigns an IP address between 192.168.0.2 and192.168.255.254 to other computers on the network. In order for the other network computers to work properly on the small network, they must each be configured to use DHCP, as outlined by the following procedure.

  1. Click on Start and then My Network Places.

  2. Click on View Network Connections.

  3. Right-click on the Local Area Connection icon and then select Properties.

  4. Select Internet Protocol (TCP/IP) and then click on Properties. The Internet Protocol (TCP/IP) Properties dialog appears.

  5. Select Obtain an IP address automatically.

  6. Click on OK.

If a small network uses an Internet gateway appliance instead of ICS to set up shared Internet access, the Internet gateway appliance provides DHCP services and handles the assignment of IP address, subnet mask, and default gateway settings. In this case, the private network address assigned by the gateway device varies based on the manufacturer's specification. However, administrators can usually modify the configuration settings used by the Internet gateway appliance if desired.


TCP/IP Diagnostic Commands

TCP/IP supplies administrators with a number of commands that they can use to review TCP/IP configuration settings and troubleshoot communications problems. The commands include:

  • HOSTNAME. Displays the computer's currently configured TCP/IP hostname

  • PING. Tests the connectivity between two computers to determine if they can communicate

  • TRACERT. Performs a trace of the route that a packet takes to reach the destination computer and reports on the number of routers that the packet passed through and the amount of time required along each step of the data packet's journey

  • IPCONFIG. Displays TCP/IP configuration settings and can be used to communicate with a DHCP server to release and renew these settings

Using the HOSTNAME Command

All computers on a network that uses TCP/IP are assigned a hostname. The hostname is a user-friendly name that can be used when communicating with the computer over the network. One way to determine a computer's assigned name is to examine the Computer Name property sheet located on the System properties dialog, as outlined in the following procedure.

  1. Click on Start and then right-click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the Computer Name property sheet.

  3. The computer's assigned name is listed to the right of the Full computer name entry, as shown in Figure 16.10.

    Click To expand
    Figure 16.10: Examining a computer's assigned name

  4. Click on OK.

Note

To learn how to change a computer's name, refer to Chapter 18, "LAN Configuration."

Another way to look up a computer's name is to use the HOSTNAME command, as demonstrated in the following procedure.

  1. Click on Start/Accessories and then Command Prompt. The Windows XP Command Console appears and displays the command prompt.

  2. Type HOSTNAME and press Enter as demonstrated below.

          C:\>hostname
      SharedPrintSvr

      C:\>

  3. Type Exit and press Enter.

Testing Connectivity Using the PING Command

The PING command is used to test connectivity to other computers and networks. In addition, it can be used to test a computer's own TCP/IP configuration. To use the PING command, type PING followed by the name of a computer. If the target computer's name is not known, use the computer's IP address, as demonstrated below.

C:\>ping 192.168.1.200

If the computer cannot be reached, the following output will be displayed.

C:\>ping 192.168.1.200

Pinging 192.168.1.200 with 32 bytes of data:

Request timed out.
Request timed out.
Request timed out.
Request timed out.

Ping statistics for 192.168.1.200:
     Packets: Sent = 4, Received = 0, Lost = 4 (100% loss),
C:\>

The PING command may fail for a variety of reasons. For example, the target computer may be turned off or the computer may be located on a network to which there is no connection or for which the connection is down. The following example demonstrates the information that will be displayed from a successful PING command.

C:\>ping 192.168.1.102

Pinging 192.168.1.102 with 32 bytes of data:

Reply from 192.168.1.102: bytes=32 time=1ms TTL=128
Reply from 192.168.1.102: bytes=32 time<1ms TTL=128
Reply from 192.168.1.102: bytes=32 time<1ms TTL=128
Reply from 192.168.1.102: bytes=32 time<1ms TTL=128

Ping statistics for 192.168.1.102:
    Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),
Approximate round trip times in milli-seconds:
    Minimum = 0ms, Maximum = 1ms, Average = 0ms

C:\>

The PING command can be used as part of a systematic troubleshooting analysis in order to determine where network communication problems reside, as outlined in the following procedure.

  1. To test the local computer's TCP/IP configuration, type PING 127.0.0.1 and press Enter. 127.0.0.1 is a reserved IP address known as a loopback address. If no output is received, something may be wrong with the computer's network adapter and it may need to be reinstalled or replaced.

  2. To test whether a computer has been properly connected to the network, ping the computer's IP address. If the PING command fails, the computer may not be properly connected. Disconnect the computer and ping the computer's IP address again using another computer. If the PING command is successful, then another computer is already using that computer's IP address. Duplicate IP addresses are not permitted on TCP/IP networks.

  3. To test connectivity to the computer's default gateway, ping the gateway's IP address. If this command fails, the computer will not be able tocommunicate with computers outside of its local subnet until gateway communications are restored. Alternatively, set up an alternate gateway address.

  4. Ping the IP address of a computer located on another network to verify successful communications.

Tracing Network Communications

The TRACERT command allows administrators to trace the path that a data packet takes as it travels the network. The information displayed includes every router through which the data packet passes along the way and how long the data packet took at each step. If the data packet fails to reach the destination computer, the command indicates the last router that successfully processed the data packet. This information can be used when working with network engineers to pinpoint network and router problems.

The following example demonstrates how to use the TRACERT command.

C:\>tracert http://www.premierpress.com

Tracing route to http://www.premierpress.com [65.100.44.236]
over a maximum of 30 hops:

  1 14 ms 19 ms 23 ms 10.226.120.1
  2 16 ms 38 ms 12 ms bar01-f1-0-0.shgvhe1.va.attbb.net
       [24.30.224.53]
  3 12 ms 9 ms 12 ms btr02-p0-1.richhe1.va.attbb.net
[24.30.224.49]
  4 39 ms 12 ms 14 ms bic02-p1-0-0.richhe1.va.attbb.net
       [24.30.224.157]
  5 17 ms 18 ms 18 ms 12.124.234.21
  6 53 ms 17 ms 24 ms gbr6-p80.wswdc.ip.att.net
[12.123.9.62]
  7 80 ms 21 ms 18 ms tbr1-p012301.wswdc.ip.att.net
[12.122.11.161]
  8 74 ms 22 ms 35 ms tbr1-p013701.n54ny.ip.att.net
[12.122.10.53]
  9 53 ms 95 ms 48 ms tbr1-p013701.cgcil.ip.att.net
[12.122.10.58]

  10   *   *    *    Request timed out.
  11 78 ms 78 ms 77 ms gbr4-p20.st6wa.ip.att.net
[12.122.10.62]
  12 86 ms 84 ms 84 ms gbr1-p40.st6wa.ip.att.net
[12.122.5.162]
  13 93 ms 81 ms 83 ms gar2-p360.st6wa.ip.att.net
[12.123.44.113]
  14 83 ms 84 ms 82 ms 12.124.173.62
  15 105 ms 136 ms 106 ms sttl02-core02.tamerica.net
[205.171.26.57]
  16 84 ms 86 ms 96 ms ptld01-core02.tamerica.net
[205.171.8.74]
  17 92 ms 109 ms 114 ms 205.171.130.38
  18 88 ms 82 ms 84 ms ptld-dsl-gw8.ptld.uswest.net
[216.161.52.8]
  19 127 ms 162 ms 123 ms 65.100.44.238
  20 142 ms 169 ms 155 ms premier-press.com [65.100.44.236]

Trace complete.

C:\>

Working with IPCONFIG

The IPCONFIG command has a number of different uses, including viewing TCP/IP configuration data and releasing and renewing configuration settings.

Statically assigned TCP/IP settings can be viewed by right-clicking on Internet Protocol (TCP/IP) on the General property sheet of the Local Area Connection Properties dialog and selecting Properties. However, TCP/IP settings that are automatically assigned by DHCP or APIPA are not visible there. Instead, the administrator can use the Windows XP command prompt and the IPCONFIG command to display TCP/IP settings, as demonstrated in the following procedure.

  1. Click on Start/All Programs/Accessories and then select Command Prompt. The Windows XP Command Console appears and displays the command prompt.

  2. Type IPCONFIG and press Enter. TCP/IP settings for the computer local area network configuration as displayed as demonstrated below.

       C:\>ipconfig

   Windows IP Configuration

  Ethernet adapter Local Area Connection:

           Connection-specific DNS Suffix . : ce1.client2.attbi.com
           IP Address. . . . . . . . . . . . : 192.168.1.101
           Subnet Mask . . . . . . . . . . . : 255.255.255.0
           Default Gateway . . . . . . . . . : 192.168.1.1

C:\>

    Examine the command output and make sure that each of the following settings is correct.

    • IP address

    • Subnet mask

    • Default gateway

    If the subnet mask displays a value of 0.0.0.0, another computer on the network is already using the IP address assigned to this computer. If IP addresses are statically defined, assign the computer a new IP address. Otherwise, use the IPCONFIG command's /RENEW and /RELEASE arguments as shown in the examples that follow.

  3. To view additional TCP/IP settings, including WINS and DHCP settings, type IPCONFIG /ALL and press Enter, as demonstrated below.

   C:\>ipconfig /all

   Windows IP Configuration
           Host Name . . . . . . . . . . . . : FamilyPC
           Primary Dns Suffix . . . . . . . :
           Node Type . . . . . . . . . . . . : Unknown
           IP Routing Enabled. . . . . . . . : No
           WINS Proxy Enabled. . . . . . . . : No

   Ethernet adapter Local Area Connection:

            Connection-specific DNS Suffix . : ce1.client2.attbi.com
            Description . . . . . . . . . . . : NETGEAR FA310TX Fast
   Ethernet
               Adapter (NGRPCI)
            Physical Address. . . . . . . . . : 00-A0-CC-53-46-7A
            Dhcp Enabled. . . . . . . . . . . : Yes
            Autoconfiguration Enabled . . . . : Yes
            IP Address. . . . . . . . . . . . : 192.168.1.101
            Subnet Mask . . . . . . . . . . . : 255.255.255.0
            Default Gateway . . . . . . . . . : 192.168.1.1
            DHCP Server . . . . . . . . . . . : 192.168.1.1
            DNS Servers . . . . . . . . . . . : 63.240.76.19
                                                   204.127.198.19
            Lease Obtained. . . . . . . . . . : Thursday, August 15,
   2002 7:18:13 PM

            Lease Expires . . . . . . . . . . : Wednesday, August 21,
   2002 7:18:13 PM

   C:\>

To tell Windows XP to stop using its currently assigned TCP/IP configuration settings, type IPCONFIG /RELEASE and press Enter, as demonstrated below.

C:\>ipconfig /release

     Windows IP Configuration

     Ethernet adapter Local Area Connection:

              Connection-specific DNS Suffix . :
              IP Address. . . . . . . . . . . . : 0.0.0.0
              Subnet Mask . . . . . . . . . . . : 0.0.0.0
              Default Gateway . . . . . . . . . :

     C:\>

Releasing TCP/IP settings prevents the computer from communicating with the network until new TCP/IP settings are assigned. This can be done by typing IPCONFIG /RENEW as shown below.

     C:\>ipconfig /renew

     Windows IP Configuration

    Ethernet adapter Local Area Connection:

             Connection-specific DNS Suffix . : ce1.client2.attbi.com
             IP Address. . . . . . . . . . . . : 192.168.1.101
             Subnet Mask . . . . . . . . . . . : 255.255.255.0
             Default Gateway . . . . . . . . . : 192.168.1.1

     C:\>

If a computer uses DHCP or APIPA to dynamically assign its TCP/IP settings, new settings will be assigned.


Repairing TCP/IP Connections

Windows XP Professional provides a graphical point-and-click alternative to the IPCONFIG command called Repair. Only an administrator can execute this utility. The Repair process displays information about the selected network connection and can attempt to fix it if it is experiencing problems.The Repair process performs several tasks in an effort to restore network communications, including:

  • Releasing the IP address

  • Renewing the IP address

  • Registering with DNS

  • Registering with WINS

The following procedure outlines the steps involved in using the Local Area Connection Status dialog to view and repair network connections.

  1. Click Start and select My Network Places.

  2. Click on View Network Connections.

  3. Right-click on Local Area Connection and select Status. The Local Area Connection Status dialog appears, as shown in Figure 16.11.

    Click To expand
    Figure 16.11: Examining network connection status

  4. The following information is available:

    • Status. Either connected or disconnected

    • Duration. The length of time that the network connection has been established

    • Speed. The transmission speed of the network connection

    • Packets Sent. The number of data packets sent over the connection

    • Packets Received. The number of data packets received over the connection

    Clicking on Properties displays the Local Area Connection Properties dialog. Clicking on Disable will close the network connection and prevent any data from being transmitted over it.

  5. Select the Support property sheet, as shown in Figure 16.12.

    Click To expand
    Figure 16.12: Examining IP configuration settings

  6. The following information is available:

    • Address Type. Identifies the manner in which the IP settings were set

    • IP Address. The IP address assigned to the network connection

    • Subnet Mask. The subnet mask associated with the network connection

    • Default Gateway. The IP address to which all data packets that are destined for external networks should be sent

    Click on Details to open the Details dialog where detailed information about the network connection is displayed, as shown in Figure 16.13.

    Click To expand
    Figure 16.13: Examining detailed connection information

    Click on Repair to attempt to restore a connection that is not operating properly.

  7. Windows XP displays a pop-up message indicating the status of the repair operation. Click on OK.


Chapter 17: Supporting Internet Communications

Overview

The Internet has become a fundamental part of corporate and personal life. It provides individuals with access to virtually unlimited information and provides a communications infrastructure that can be used to make people more productive. The Internet provides a global network that supports e-mail, instant messaging, audio and video messaging, and other forms of information sharing.

Administrators need to be able to configure corporate computers to connect to proxy servers in order to provide users with access to the Internet. Administrators also need to be able to set up dial-up, cable, and DSL connections for themselves and to be able to assist their users in establishing these connections in order to facilitate VPN (virtual private network) connections to the corporate network. Similarly, administrators of small home and office networks need to be able to administer shared Internet access and to secure it using a firewall.

Windows XP Professional provides users with a collection of Internet applications. Computer administrators need to understand the network communications requirements for these applications. They must also be able to work with network administrators and engineers to determine how network devices, such as routers and firewalls, should be configured to support these applications while protecting the corporate network.


Configuring Internet Access

Many corporations make the Internet an important part of their communications infrastructure. They depend on it to provide secure remote network connections for an increasing mobile workforce using VPN technology.

Note

This chapter covers the steps required to set up an Internet connection using dialup, cable, and DSL connections. For instructions on how to configure a VPN connection using one of these connections, refer to "Creating a Virtual Private Network Connection" in Chapter 15, "Supporting Mobile Users".

The manner in which Internet access is set up depends on a number of factors. If a computer running Windows XP Professional is not connected to a local area network, Internet access can be established by installing a dial-up, cable, or DSL modem and then establishing an Internet account with an ISP (Internet service provider).

If the computer is connected to a small network that has been set up to share an Internet connection using Windows XP's ICS (Internet Connection Sharing) or a residential gateway, the administrator can use the Network Setup Wizard to set up Internet access. If the computer is part of a larger network, the computer will need to be configured to use a proxy server connection in order to gain Internet access.

Setting Up Stand-Alone Access

The two most common ways of connecting a stand-alone computer to the Internet are dial-up and high-speed connections. Dial-up connections are established over regular telephone lines and can therefore be used from virtually anywhere. High-speed access options are more limited and are provided in the form of cable or DSL connections. In order to set up a high-speed cable connection, a cable TV carrier must provide the service. In order to set up a DSL connection, the local telephone company must be equipped to offer the service. However, while cable and DSL services are being aggressively deployed, there are still many places where neither of these options is currently available.

Dial-Up Access

Dial-up access is the most common means of accessing the Internet for stand-alone computers. A dial-up connection is a wide area network connection and is set up using a protocol called the PPP(point-to-point protocol). Dial-up connections communicate using modems, which modulate the digital signals created bythe computer into analog signals. The analog signals are transmitted over the phone line, where they are then demodulated from analog back into their original digital format so that the receiving computer can understand them. The fastest dial-up modem is capable of communications at speeds up to 56Kbps. However, static noise, the quality of the telephone lines, and other forms of interference limit most dial-up sessions to a maximum speed of 44 Kbps.

There are several steps that must be completed in order to establish a dial-up Internet connection, as outlined below.

  1. Install a dial-up modem.

  2. Sign up with an ISP.

  3. Define a dial-up connection.

  4. Start the connection and authenticate with the ISP.

Working with a Dial-Up Modem

Plug and Play should automatically detect and install a dial-up modem when it is connected to the computer, prompting the administrator to supply a modem software driver only if Windows XP does not already have a suitable driver.

Note

For information on how to install a modem, refer to "Installing a Modem" in Chapter 15, "Supporting Mobile Users."

Windows XP provides administrators with tools for testing modems, diagnosing problems, and logging modem activity. The following procedure outlines the steps involved in performing a modem test and examining modem log information.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on Printers and Other Hardware. The Printers and Other Hardware folder appears.

  3. Click on Phone and Modem Options. The Phone and Modem Options dialog appears, as shown in Figure 17.1.

    Click To expand
    Figure 17.1: Administering modem and phone options

  4. If prompted for location information, supply the appropriate dialing information and then click on OK.

  5. Click on the Modems property sheet. Any modems installed on the computer should be displayed, as demonstrated in Figure 17.2.

    Click To expand
    Figure 17.2: Examining the list of modems installed on the computer

  6. Select a modem and click on Properties. The modem's properties dialog appears, as shown in Figure 17.3.

    Click To expand
    Figure 17.3: Viewing modem information and status

  7. The modem's properties dialog consists of six property sheets, as listed below.

    • General. Displays information about the modem, its manufacturer, and its status

    • Modem. Controls modem speaker volume, maximum port speed, and dial control

    • Diagnostics. Provides the ability to perform a modem test and view the modem log

    • Advanced. Provides the ability to supply additional modem initialization commands, to modify default modem settings, and to modify advanced modem settings

    • Driver. Displays information about the modem's software driver and provides the ability to update, uninstall, or roll it back to a previous version

    • Resources. Displays the system resources assigned to the modem, provides the ability to manually assign different resources, and displays a list of any hardware conflicts that may exist with other devices

  8. If the Device status section displays an error message, or if a problem has been experienced in working with the modem, click on Troubleshoot. This opens the Windows XP Help and Support Center, which displays the Modem Troubleshooter, as shown in Figure 17.4.

    Click To expand
    Figure 17.4: The Modem Troubleshooter assists in diagnosing modem problems

  9. To run a diagnostic test on the modem select the Diagnostics property sheet, as shown in Figure 17.5.

    Click To expand
    Figure 17.5: Running a diagnostic test on the modem

  10. Click on Query Modem.

  11. Within a few moments, a list of AT (Attention) commands is displayed. Scroll down to see if any errors are reported in the command output, located in the lower half of the Modem Information section.

  12. If an error occurs, return to the General property sheet and click on Troubleshoot.

  13. By default, Windows XP creates a new modem log each time the computer is started and uses it to record all modem activity. Select Append to Log to add information to the current modem log without overwriting it.

    Note

    The modem log is stored as a plain text file with a name of ModemLog_ ModemName.txt in the Windows system folder, which by default is C:\Windows.

  14. Click on View Log to examine its contents, as demonstrated in Figure 17.6.

    Click To expand
    Figure 17.6: Reviewing the Windows XP modem log file

  15. Close the log file and click on OK twice.

Establishing an Account with an ISP

If the user does not already have an Internet account with an ISP, one will have to be set up. The following procedure outlines the steps involved in establishing a new Internet account with an ISP.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task. The Network Connections folder appears.

  3. Click on the Create a new connection task. The New Connection Wizard starts.

  4. Click on Next.

  5. The following options are displayed:

    • Connect to the Internet. Sets up an Internet connection

    • Connect to the network at my workplace. Establishes a VPN connection

    • Set up a home or small office network. Assists in setting up a small peer-to-peer network

    • Set up an advanced connection. Sets up direct computer-tocomputer connections using parallel, serial, or infrared connections

    Select Connect to the Internet and click on Next.

  6. The following options are displayed:

    • Choose from a list of Internet service providers (ISPs). Sets up a new Internet account

    • Set up my connection manually. Sets up a connection to an existing Internet account

    • Use the CD I got from an ISP. Runs the setup program provided by an ISP

    Some large ISPs, such as AOL or CompuServe, provide custom setup programs that must be used to set up an Internet account with their services. If this option is selected, the rest of the setup process will vary based on the ISP's unique setup process.

    Select Choose from a list of Internet service providers (ISPs) and click on Next.

  7. The wizard displays the screen shown in Figure 17.7.

    Click To expand
    Figure 17.7: Setting up a new Internet account

    Choose Get online with MSN to sign up with the Microsoft MSN online Internet service. Choose the Select from a list of other ISPs option to set up an Internet account with a different ISP. Select an option and click on Finish.

  8. If MSN Explorer was selected, the Welcome to MSN Explorer dialog appears and assists in the completion of a new MSN Internet account.

  9. If MSN Explorer was not selected, the Online Services folder is displayed. This folder contains two shortcuts, as shown in Figure 17.8.

    Click To expand
    Figure 17.8: The Online Services folder contains shortcuts that assist in setting up new Internet accounts

  10. Select the MSN shortcut to create a new MSN account. Select the Refer me to more Internet Service Providers to select another ISP. Selecting this option tells the wizard to dial Microsoft referral service's toll-freephone number. This service will display a list of alternative ISPs to select from. Select an option and follow the instructions presented to complete the setup of the new Internet account.

If the user already has an Internet account with an ISP, the following procedure can be used to set up a connection to it. The following procedure outlines the steps involved in setting up a dial-up connection to use an existing Internet account.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task. The Network Connections folder appears.

  3. Click on the Create a new connection task. The New Connection Wizard starts.

  4. Click on Next.

  5. Select Connect to the Internet and click on Next.

  6. Select Set up my connection manually and click on Next.

  7. The following options are displayed:

    • Connect using a dial-up modem

    • Connect using a broadband connection that requires a user name and password

    • Connect using a broadband connection that is always on

    Select Connect using a dial-up modem and click on Next.

  8. If more than one modem is installed on the computer, the wizard will prompt for the selection of one of them, as shown in Figure 17.9. Make a selection and click on Next.

    Click To expand
    Figure 17.9: Select the modem to be used to create the Internet connection

  9. Type the name of the ISP and click on Next.

  10. Type the ISP's phone number and click on Next.

  11. Type the username and password supplied by the ISP, select from the following options as required, and then click on Next, as shown in Figure 17.10.

    Click To expand
    Figure 17.10: Supply the user name and password assigned by the ISP for the Internet account

    • Use this account name and password when anyone connects to the Internet from this computer

    • Make this the default Internet connection

    • Turn on Internet Connection Firewall for this connection

  12. The wizard displays a summary of the information that it has collected. Verify that the information is accurate and click on Finish.

Connecting to the Internet

When the connection is first created, the Connect ISPName dialog appears, allowing the connection to be immediately tested and verified. In addition, an icon is created for each Internet connection in the Network Connections folder. The following procedure outlines the steps involved in connecting to the Internet using the new connection.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task. The Network Connections folder appears.

  3. Double-click on the icon representing the Internet connection. The Connect ISPName dialog appears, as demonstrated in Figure 17.11.

    Click To expand
    Figure 17.11: Connecting to the Internet using a dial-up connection

  4. Type the username and password to be used to establish the connection. Optionally, select Save this user name and password for the following users and then select one of the following options.

    • Me only

    • Anyone who uses this computer

    Click on Dial.

  5. The connection is established and an icon is displayed in the notification area on the Windows XP taskbar. To close the connection, right-click on this icon and select Disconnect.

High-Speed Always-On Access

Because of the high level of security now provided by VPNs, many organizations prefer to provide remote access to corporate networks using always-on high-speed Internet connections provided by cable and DSL connections. These typesof connections provide the user with substantially better performance and response time and provide the ability to remain remotely connected to the corporate network for long periods of time.

Note

For more information on VPNs, refer to "Creating a Virtual Private Network Connection" in Chapter 15, "Supporting Mobile Users".

Dial-up Internet connections are usually limited to an actual login speed of 44 Kbps. Cable and DSL connections, on the other hand, average between 300 Kbps to 500Kbps. Because they are always-on connections, the user does not have to perform a manual connection process and wait for the ISP to accept the connection before beginning to work.

The following procedure outlines the basic steps involved in installing a typical cable or DSL connection.

  1. Install a PCI network adapter or attach a USB network adapter to the computer.

  2. Set up the modem according to its documentation and connect it to the computer's network adapter using the CAT-5 twisted-pair cable supplied with the modem.

  3. Run the setup program or wizard supplied by the modem manufacturer.

  4. Call the cable or DSL ISP and register the following MAC addresses:

    • The MAC address assigned to the cable or DSL modem

    • The MAC address assigned to the computer's network adapter

    The MAC address assigned to the cable or DSL modem is usually displayed on the back or bottom of the modem. The IP address of the computer network adapter can be viewed by opening the Windows XP command prompt, typing IPCONFIG /ALL, and looking for a line of command output similar to the following:

          Physical Address. . . . . . : 00-00-00-00-00-00

    The MAC address is labeled as Physical Address and is composed of six pairs of numbers separated by dashes.

Note

A MAC address is a unique 48-bit number that uniquely identifies a network device such as a network adapter or modem. Most cable and DSL ISPs permit only one computer to use the Internet connection unless an additional monthly fee is paid. By requiring the registration of the MAC addresses, they are able to prevent any other computers or modems from sharing the connection. One solution to this problem is to install a residential gateway or to use ICS to share an Internet connection.

The Network Setup Wizard

Small peer-to-peer based networks can provide shared Internet access using Windows XP's built-in ICS. Alternatively, shared Internet access can be provided by a residential gateway. Residential gateways also provide basic firewall protection on small networks by blocking all unsolicited inbound Internet traffic. If a computer running Windows XP Professional is attached to a small peer-to-peer network that uses either ICS or a residential gateway, Internet access can be configured using the Network Setup Wizard.

Note

For detailed instructions on how to set up a computer as a ICS client, refer to "Setting Up ICS Clients" in Chapter 18, "LAN Configuration."

Connecting to a Proxy Server

Shared Internet access on large networks is usually provided by a proxy service that, like ICS or a residential gateway, hides private IP addresses from the Internet and presents only the public IP address assigned to the server or device providing the proxy service. To set up a computer running Windows XP Professional so that its user can begin surfing the Internet, the administrator must configure the Internet browser so that it can connect to the network's proxy server.

The following procedure outlines the steps involved in configuring Internet Explorer to work with a proxy server.

  1. Click on Start and then Internet Explorer. Internet Explorer starts.

  2. Click on Tools and select Internet Options. The Internet Options dialog appears.

  3. Select the Connections property sheet, as shown in Figure 17.12.

    Click To expand
    Figure 17.12: Configuring Internet connection settings for Internet Explorer

  4. Click on LAN Settings. The Local Area Network (LAN) Setting dialog appears, as shown in Figure 17.13.

    Click To expand
    Figure 17.13: Configuring proxy server settings

  5. The following options are available:

    • Automatically detect settings. Allows Windows XP to attempt to automatically locate the network's proxy server

    • Use automatic configuration script. Executes a script written by the administrator that specifies configuration settings

    • Use a proxy server for your LAN. Allows the administrator to provide the IP address and port number of a proxy server

  6. The Advanced button in the Proxy Server section displays the Proxy Setting dialog, shown in Figure 17.14. From here, the administrator canspecify specific proxy addresses and ports for servers that provide each of the following services:

    Click To expand
    Figure 17.14: Manually specifying proxy server settings

    • HTTP

    • Secure

    • FTP

    • Gopher

    • Socks

    Click on OK twice.

Note

If administrators need to support Netscape Internet browsers, they can configure proxy settings by starting Netscape, clicking on Edit, and selecting Preferences. This displays the Preferences dialog. Double-click on Advanced to display the Proxies node in the Category tree and then select the Proxies option to display proxy settings.


Firewalls

Since the very first computer networks were developed, people have been finding ways to break into them. Corporate computers store valuable financial and competitive data. Individual computers may be used to store Quicken or Microsoft Money files that contain information about credit cards, bank accounts, and other confidential data.

Any time a computer running Windows XP Professional is connected to a network, there is a threat of outside intrusion. The risk of intrusion on private networks with trusted users tends to be minimal, especially when administrators prevent individual users from sharing resources located on their personal computers and restrict resource sharing to highly secure network services. When private networks are connected to the Internet, the risk grows considerably.

Note

In addition to the threat of external intrusion to computers and networks, administrators need to be concerned about the dangers imposed by viruses and similar programs, which may be innocently downloaded by users or received as e-mail attachments. The best way to protect computers from the threat of viruses is to educate users regarding the dangers of downloading files or opening e-mail attachments from unknown sources. In addition, administrators need to equip Windows XP Professional with antivirus software and to ensure that this software is kept current with the latest patches and updates.

Corporate Firewalls

To protect corporate networks from outside intrusion, network administrators and engineers deploy firewalls. A firewall is a device or computer that protects a network by blocking unknown or dangerous network traffic and only allowing trusted traffic to pass through to the computers running on the corporate network. Typically, corporations employ one or more network administrators or engineers dedicated to the task of maintaining network communications and security, alleviating the computer administrator from such concerns.

The Internet Connection Firewall

Dial-up Internet access is temporary and is terminated whenever the dial-up session closes. Each time a new dial-up session is initiated, a new IP address is assigned to the computer. Because cable and DSL access is always on, the computer is connected to the Internet any time it is powered on. Because of the manner in which most ISPs assign IP addresses, it is unlikely that the computer IP address will change much over time.

The increased amount of connection time and the constancy of the IP address assignment makes the computer more vulnerable to attack from intruders located on the Internet. Windows XP Professional provides the ICF (Internet Connection Firewall) as a means of combating this threat.

ICF is designed to protect against intrusion from the Internet. It does so by protecting a computer connected to the Internet from scans and unsolicited inbound traffic. Compared to other third-party personal firewalls, ICF is fairly limited. Unlike other personal firewalls, ICF is designed to provide baseline protection without requiring any user configuration. However, ICF does provide advanced configuration and control for administrators.

ICF is a stateful packet filter that filters IPv4 network traffic. As a stateful packet filter, it examines the header section of every data packet to determine whether the packet should be allowed to pass based on the packet's status. ICF maintains a table of all active connections. Whenever the local computer initiates an outbound connection, a new entry is added to the table and the packet is allowed to pass through. When an incoming packet is received ICF checks its state table to see if it has an entry indicating that this packet is part of a connection previously established by the local computer. If a current connection match is found, the packet is allowed to pass. Otherwise, it is dropped. Finally, if an unsolicited packet is received (one for which no matching table connection entry exists), it is dropped as well.

There may be instances where certain types of unsolicited traffic may be desirable. For example, if a Web server has been set up behind the firewall, unsolicited packets targeting port 80 must be allowed to pass through the firewall in order to reach the Web server. ICF allows administrators to create static filter entries that define which ports, if any, are allowed to receive unsolicited incoming traffic.

ICF is designed to be used on stand-alone computers that are directly connected to the Internet or on computers connected to small home and office networks that are connected to the Internet using ICS or a residential gateway. ICF is automatically installed on computers running Windows XP Professional in the following circumstances:

  • The Welcome to Windows Wizard detects an Internet connection

  • The Connect to Internet option is selected when running the New Connection Wizard

  • The Network Setup Wizard's option to connect directly to the Internet is selected

  • ICF is configured on a connection's Advanced property sheet

Enabling ICF

Only an administrator can configure ICF. ICF can be configured on multiple connections, in which case each connection will have its own set of settings. The following procedure outlines the steps required to enable ICF from an Internet connection's Advanced property sheet.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task. The Network Connections folder appears.

  3. Right-click on the network connection and select Properties. The Properties dialog for the network connection appears.

  4. Select the Advanced property sheet, as shown in Figure 17.15.

    Click To expand
    Figure 17.15: Enabling Windows XP's ICF

  5. Select the Protect my computer and network by limiting or preventing access to this computer from the Internet option.

  6. Click on OK.

Configuring ICF Port and Protocol Settings

By default, ICF allows all outbound Internet traffic to pass through the firewall. In addition, all unsolicited incoming traffic is dropped. Administrators can modify ICF settings to allow the protocols and ports associated with specific services to pass through the firewall using the steps provided by the following procedure.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task. The Network Connections folder appears.

  3. Right-click on the network connection and select Properties. The Properties dialog for the network connection appears.

  4. Select the Advanced property sheet.

  5. Click on the Settings button located at the bottom of the property sheet. The Advanced Settings dialog appears, as shown in Figure 17.16.

    Click To expand
    Figure 17.16: Enabling specific services so that their associated ports and protocols are permitted to pass through ICF

  6. A list of services appears. Table 17.1 provides a complete list of the default services defined to ICF, as well as their associated default external and internal ports. Select a service to enable it. This allows unsolicited incoming data packets to reach the service. To modify the ports and protocols associated with a specific service, select it and click on Edit. This opens the Service Settings dialog, as shown in Figure 17.17.

    Figure 17.17: Configuring the ports and protocol associated with a specific service

    Table 17.1: ICF Default Services

    External

    Internal Port

    Service Port

    FTP Server

    21

    21

    Incoming Connection VPN (L2TP)

    1701

    1701

    Incoming Connection VPN (PPTP)

    1723

    1723

    Internet Mail Access protocol Version 3 (IMAP3)

    220

    220

    Internet Mail Access protocol Version 4 (IMAP4)

    143

    143

    Internet Mail Server (SMTP)

    25

    25

    IP Security (IKE)

    500

    500

    Post Office Protocol Version 3 (POP3)

    110

    110

    Remote Desktop

    3389

    3389

    Secure Web Server

    443

    443

    Telnet Server

    23

    23

    Web Server (HTTP)

    80

    80

  7. Type the name or IP address of the local server where the service resides. For some services, administrators can also configure the external andinternal port numbers associated with the service as well as TCP or UDP. Click on OK.

  8. Click on Add to open the Service Settings dialog and define a new service, and then click on OK.

  9. Select a service and click on Delete to remove it from the list of services.

  10. Click on OK.

Administering ICF Log Settings

ICF can also maintain a log of dropped data packets and successful connections for administrative review. By default, ICF logging is disabled. The following procedure outlines the steps involved in configuring the ICF log.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task. The Network Connections folder appears.

  3. Right-click on the network connection and select Properties. The Properties dialog for the network connection appears.

  4. Select the Advanced property sheet.

  5. Click on the Settings button located at the bottom of the property sheet. The Advanced Settings dialog appears.

  6. Select the Security Logging property sheet, as shown in Figure 17.18.

    Click To expand
    Figure 17.18: Configuring ICF log settings

  7. To enable logging, select one or both of the following options:

    • Log dropped packets

    • Log successful connections

  8. The name of the ICF log is pfirewall.log. Its location is displayed in the Log file options section and can be changed by clicking on Browse and specifying a new folder.

  9. The size of the ICF log file can be modified by changing the value (in KB) shown in the Size limit field.

  10. To restore ICF logging options to their default settings, click on the Restore Default button on the bottom of the Security Logging Property sheet.

  11. Click on OK.

The pfirewall.log file is a plain text file. Figure 17.19 show a sample of the entries found in a typical log file.

Click To expand
Figure 17.19: Examining entries recorded in the ICF log file

Specifying ICMP Settings

ICMP (Internet Control Message Protocol) is used on networks to provide error and status information. Administrators can configure ICF's ICMP settings in order to determine which, if any, requests for information ICF will be allowedthrough the firewall. The following procedure outlines the steps required to modify ICF ICMP settings.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections tasks. The Network Connections folder appears.

  3. Right-click on the network connection and select Properties. The Properties dialog for the network connection appears.

  4. Select the Advanced property sheet.

  5. Click on the Settings button located at the bottom of the property sheet. The Advanced Settings dialog appears.

  6. Select the ICMP property sheet, as shown in Figure 17.20.

    Click To expand
    Figure 17.20: Configuring ICF ICMP settings

  7. To configure which ICMP actions will be allowed through the firewall, select one or more of the following options:

    • Allow incoming echo request

    • Allow incoming timestamp request

    • Allow incoming mask request

    • Allow incoming router request

    • Allow outgoing destination unreachable

    • Allow outgoing source quench

    • Allow outgoing parameter problem

    • Allow outgoing time exceeded

    • Allow redirect

    Select any desired options.

  8. Click on OK.

Disabling ICF

The ICF lacks many of the features found in third-party personal firewalls. Therefore, it may be desirable to disable ICF and install a different personal firewall application. The following procedure outlines the steps required to disable ICF for a network connection.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task. The Network Connections folder appears.

  3. Right-click on the network connection and select Properties. The Properties dialog for the network connection appears.

  4. Select the Advanced property sheet.

  5. Clear the Protect my computer and network by limiting or preventing access to this computer from the Internet option.

  6. Click on OK.

Personal Firewalls

ICF provides basic personal firewall services, but it lacks many of the features found in third-party personal firewalls. For example, ICF does not provide anydefense against Trojan horse programs. These are programs that sneak their way onto the computer and then quietly communicate information back to their creator. Trojan horse programs can even provide remote control over the computer, allowing their creator to use the computer and hundreds or thousands of other computers to launch denial-of-service attacks against corporate Web sites. In addition, ICF does not provide an alerting mechanism to inform the user when an attack is occurring. For reasons like these, administrators may want to disable ICF and install a different product. Examples of third-party personal firewalls include:

  • McAfee Firewall and McAfee Personal Firewall Plus

    (http://www.mcafee.com)

  • ZoneAlarm and ZoneAlarm Pro (http://www.zonelabs.com)

  • BlackICE Defender (http://www.iss.net)

  • Sygate Personal Firewall and Sygate Personal Firewall PRO (http://www.sygate.com)

  • Norton Personal Firewall (http://www.symantec.com)

Residential Gateways

A residential gateway is an external appliance used on small home or office networks to provide shared Internet access. A residential gateway provides the same set of services provided by ICS, including:

  • NAT. Hides private network IP addresses from the Internet by making only the residential gateway's public IP address visible on the Internet. The residential gateway manages all Internet traffic on behalf of other network computers.

  • DHCP. Assigns TCP/IP settings for all computers on the network.

  • DNS. Provides name resolution services for all computers on the network.

In addition, residential gateways also provide the following network infrastructure:

  • Hub. Connects two or more computers together to create a local area network

  • Switch. Establishes temporary dedicated connection paths between two computers on the network that allow direct communications without affecting other network communications

  • Router. Manages communications between the network and the Internet by automatically routing data packets as necessary between the two network environments

In addition, residential gateways double as hardware-based personal firewalls. Unlike software-based personal firewalls, hardware-based personal firewalls do not consume computer resources in order to operate. Software-based personal firewalls defend a computer from a threat that has already reached the computer, whereas a hardware-based personal firewall defends against the attack before it ever reaches the computer. In addition, software-based personal firewalls must be installed, configured, and maintained on a computer-by-computer basis, whereas hardware-based personal firewalls can be centrally administered, making the task of implementing security a great deal easier for the administrator.

Residential gateways can be used to connect a small home or office network to the Internet via cable and DSL connections. They are inserted between the modem and the network, acting as a filter for network traffic that passes between the modem and the network.

The following procedure outlines the steps involved in setting up a network to use a residential gateway in place of an ICS server.

  1. Disable ICS on the ICS server using the Network Connection Wizard.

  2. Replace the network's hub or switch with the residential gateway.

  3. Connect each computer on the network to the residential gateway.

  4. Restart each computer.

  5. Use the Internet browser on one computer to connect to the residential gateway and configure it according to the instructions provided by the device's manufacturer. Change the MAC address assigned to the residential gateway to match the MAC address of the network adapter that was registered with the ISP. This allows the residential gateway to emulate the existing Internet connection. Alternatively, contact the ISP and register the MAC address of the residential gateway.

  6. Connect the residential gateway to the cable or DSL modem and power it off and then on again.

Note

Residential gateways are not compatible with ICS, meaning that in order to use a residential gateway, ICS must be disabled.
Tip

Residential gateways are compatible with software-based personal firewalls, meaning that both can be deployed on the same network in order to provide a two-layered defense against Internet intrusion.


Internet Applications

Windows XP Professional provides users with a number of applications that are specifically designed to support communications over the Internet. Examples of these applications include standard applications such as Internet Explorer and Outlook Express. Windows XP Professional provides a number of additional applications, including:

  • Windows Messenger. Microsoft's instant messaging application allows users to send and receive instant messages, audio, and video and to share applications with other Windows Messenger users.

  • NetMeeting. A Microsoft application that supports text, audio, video, and application sharing between NetMeeting users. Microsoft is discontinuing support for NetMeeting in favor of Windows Messenger.

  • Remote Assistance. A remote support application that allows users to solicit assistance when troubleshooting problem situations.

  • Remote Desktop. A remote control application that allows users to remotely connect to their computer and to work with it as if they were sitting in front of it.

  • Windows Media Player. A multimedia application that allows users to play audio and video provided by media content providers on the Internet.

Each of these applications performs one or more unique functions that may be affected by the presence of routers, NAT devices, and firewalls located between computers, thus preventing part or all of the application from functioning. Table 17.2 lists the ports and protocols associated with each of these applications.

Table 17.2: Windows XP Internet Application Network Requirements
Application | TCP Port | UDP Port
Remote Assistance | 3389 | –
Remote Desktop | 3389 | –
Windows Media Player | 1755 | 1755
 | – | Dynamic 1024 5000
NetMeeting | 389 | –
 | 522 | –
 | 1503 | –
 | 1720 | –
 | 1731 | –
 | – | Dynamic 1024 – 65535[*]
Windows Messenger | 3389 | –
 | 1503 | –
 | 6891 – 6900 | –
 | – | Dynamic 5004 – 65535[*]
[*]Dynamic ports are required to support audio and video components

In order to provide support for these applications, computer administrators on corporate networks need to work with network administrators and engineers to determine whether these ports can be opened to permit application data to pass through the corporate firewall. Similarly, administrators of small home and office networks need to configure personal firewall applications and residential gateway devices to allow the passage of data for the designated protocols and ports.

Note

Network devices that support UPnP (Universal Plug and Play) allow for dynamic port configuration. Both ICS and ICF support UPnP, allowing all of the features of applications like Windows Messenger to automatically communicate with other computers on the Internet.

Blocking any of these ports will prevent all or part of an application from functioning. For example, if port 3389 is blocked, users will be unable to remotely connect to their desktops using Remote Desktop.

Certain applications, such as Windows Messenger, use a combination of TCP and UDP ports to establish network communications. These applications use dynamically assigned UDP ports to manage the transfer of audio and video data. The more ports that are opened on a firewall, the more points of entry there areinto the corporate network, providing would-be intruders with additional avenues of attack. Therefore, the opening of wide ranges of UDP ports for dynamic application assignment is discouraged by network administrators. As a result, if dynamic ports 5004 to 65535 are blocked, Windows Messenger will be unable to exchange audio and video message traffic.

Note

Other means of administering access to Internet applications includes installing and uninstalling them, as well as using Group Policy to control their functionality and availability. For more information on the use of Group Policy, refer to "Group Policy" in Chapter 9, "Security Administration"


Chapter 18: LAN Configuration

Overview

Windows XP Professional was developed by Microsoft to become the new standard for corporate desktop users. It is designed specifically to participate in networked environments and is well suited to networks of any size. In addition to providing strong levels of security required to participate on a network, Windows XP provides a complete set of network software, including protocols, clients, and services.

Windows XP Professional works well on small workgroup-based networks where a small number of autonomous computers are connected together. In this type of network, Windows XP Professional maintains its own security, policies, and user accounts, and users are expected to have user accounts established on every computer to which they may need to log in or connect. Windows XP Professional also works well on large enterprise domain-based networks where security policies, user accounts, and group policies are centrally managed by the active directory. This allows Windows XP Professional users to log in once and then access network resources without having to reauthenticate themselves.

Administrators need to understand the features of both workgroup and domain networks in order to be able to properly administer them. This chapter reviews Windows XP Professional's networking capabilities and demonstrates how to configure it to participate on both large and small networks.


Windows XP Professional's Network Support

Windows XP Professional can function in a number of different environments, including running as a stand-alone computer without any network connectivity. In addition, it can operate as a network client on networks of all sizes. Windows XP Professional supports a complete set of network software. This software includes:

  • A large collection of network adapter software drivers

  • Support for TCP/IP as well as other network protocols, including IPX/SPX and NetBEUI

  • Client software for Microsoft and NetWare networks

  • The File and Printer Sharing for Microsoft Networks service

Workgroup vs. Domain Networks

A computer running Windows XP Professional can participate on two different types of Windows networks, as listed below.

  • Workgroup. A small network usually consisting of 2 to 10 computers in which each computer is administered individually in a decentralized manner

  • Domain. A network of any size in which administration is centrally administered using Active Directory

Note

Active Directory is a network service that manages network objects, such as user and computer accounts, in a centralized hierarchical manner. Active Directory requires at least one computer running Windows 2000 Server or .NET Server.

Workgroup-based networks are limited in their size. The general rule of thumb is a maximum of 10 computers. Domain-based networks, on the other hand, can be as small as a few computers and grow to include thousands of them. The most important difference between these two types of networks is the manner in which users are authenticated and policies are applied.

Windows XP Professional provides everything needed to connect a computer to a Windows domain-based network. This includes support for:

  • TCP/IP. The most widely used network protocol and the primary protocol used on the Internet

  • DHCP (Dynamic Host Configuration Protocol). Allows Windows XP Professional to receive TCP/IP configuration settings from a computer running the DHCP service

Windows XP Professional also includes a number of tools that allow it to participate on smaller workgroup-based networks. These tools include:

  • APIPA (Automatic Private IP Addressing). Allows an operating system to assign its own TCP/IP settings

  • ICS (Internet connection sharing). Allows a computer to share its Internet connection with other computers on the network

  • ICF (Internet Connection Firewall). A built-in personal firewall designed to protect Windows XP Professional from external intrusion when connected to the Internet

  • Network Bridging. Provides the ability for Windows XP Professional to connect two or more different network segments into a single subnet even if the segments are made up of different media (for example, Ethernet, Fast Ethernet, phone line, power line, 802.11x, and so on)

Working with Network Adapters, Protocols, Clients, and Services

Windows XP Professional is supplied with software drivers from many network vendors, allowing Plug and Play to completely install many network adapters without manual intervention. In addition, Windows XP Professional supports different local area network protocols, including TCP/IP. Windows XP Professional also comes equipped with client software that allows it to participate on networks running either Windows or NetWare servers. Windows XP also provides the File and Printer Sharing for Microsoft Networks service, which allows it to share local resources with other network users.

Network Adapter Installation

Windows XP Professional includes Plug and Play to support administrators with the installation of new hardware. Plug and Play is designed to perform several key functions, including:

  • Detecting new hardware that has been installed in or attached to the computer

  • Installing a software driver appropriate for the hardware device

  • Automating the assignment of system resources needed by hardware devices

Plug and Play automatically scans for new hardware whenever any of the following conditions occur:

  • Windows XP Professional is first installed on the computer.

  • Every time Windows XP Professional is started.

  • A USB device or PC card is attached to the computer.

  • The Add New Hardware Wizard runs.

Note

To assist Windows XP in installing new hardware devices, administrators should always work with hardware that displays the Designed for Windows logo. Hardware devices that display this logo have been tested and certified as Windows XP compatible and should be automatically detected and installed without incident.

Network adapters come in a variety of forms, including PCI cards, USB devices, and PC cards. Generally, all that an administrator must do to install a network adapter is to connect it to the computer. To install a PCI card, the computer must be powered off and the PCI card installed in an open PCI expansion slot. When the computer is restarted, Plug and Play should automatically detect it. PC cards and USB devices should be detected within moments of being inserted into their connection slots.

If Windows XP Professional has a copy of the appropriate software driver for the network adapter, the installation process will complete without any manual interventions. Otherwise, the administrator will be prompted to supply the device's software drivers.

Note

Whenever possible, administrators should ensure that they are installing the most recent version of a network software driver by visiting the hardware vendor's Web site and, if necessary, downloading a newer version. Updated software drivers may provide new features, fix problems, and even enhance device performance.

Unfortunately, sometimes Plug and Play is not able to detect and assist with the installation of a network adapter. When this is the case, the administrator must perform a manual installation. This task is performed using the Add Hardware Wizard. The administrator can instruct the Add Hardware Wizard to scan for new hardware devices or use it to perform a complete manual install.

The following procedure outlines the steps involved in using the Add Hardware Wizard to install a network adapter.

  1. Install the network adapter according to the instructions provided by the hardware manufacturer. If the network adapter is a PCI card, power off the computer before installing it and restart the computer when done.

  2. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  3. Click on Printers and Other Hardware. The Printers and Other Hardware folder appears.

  4. Click on the Add Hardware task link located on the left-hand side of the folder. The Add Hardware Wizard appears.

  5. Click on Next.

  6. Windows XP performs a scan looking for new hardware. If it does not find any, the following options are presented:

    • Yes, I have already connected the hardware

    • No, I have not added the hardware yet

    Select the first option and click on Next.

  7. A list of currently installed hardware is displayed. Scroll to the bottom of the list and select Add a new hardware device and click on Next.

  8. The following options are presented:

    • Search for and install the hardware automatically

    • Install the hardware that I manually select from a list

    Select the second option to perform a manual install of the network adapter and click on Next.

  9. A list of device types is displayed. Scroll down and select Network adapters, as shown in Figure 18.1, and then click on Next.

    Click To expand
    Figure 18.1: Manually installing a network adapter

  10. A list of hardware manufacturers is displayed, as shown in Figure 18.2. If the hardware manufacturer of the network adapter is shown in the list, select it and then select the type of network adapter being installed from the Network Adapter list and click on Next. Otherwise, click on Have disk and supply the disk or CD supplied by the hardware manufacturer.

    Click To expand
    Figure 18.2: Selecting the manufacturer of the network adapter and the type of card being installed

  11. The wizard displays the name of the hardware device being installed. Verify that this information is correct and click on Next.

  12. The Add Hardware Wizard completes the installation of the network adapter. Click on Finish.

Note

If the administrator supplied the software driver for the network adapter and that driver has not been signed (that is, it has not passed the Windows logo test), Windows XP prompts for confirmation before installing the software driver. The driver being installed may work properly when installed; however, to help ensure system reliability and stability, it is best to check the vendor's Web site for driver updates before continuing.

When Windows XP Professional first detects and installs a network adapter, it automatically installs a default set of network software. This software is designed to allow the computer to participate on most networks without further configuration. This software includes:

  • Client for Microsoft Networks. Client software required to allow the computer to participate on a Windows network

  • File and Printer Sharing for Microsoft Networks. Software that allows the computer to share local disks, folders, and printers with other computers on the network

  • Internet Protocol (TCP/IP). A local area network protocol that facilitates network communications

Windows XP Professional automatically configures this software to provide everything that is required to participate on small Microsoft workgroup-based networks as well as most large corporate enterprise networks.

Configuring a Network Protocol

A network protocol is a software component that defines the rules and standards that a computer must follow in order to be able to communicate and exchange data with other computers and network devices on a network. Windows XP Professional supports multiple protocols, including:

  • NetBEUI. A simple nonroutable local area network protocol designed to support networks with 50 or fewer computers

  • IPX/SPX. A proprietary protocol developed by NetWare, which is designed to manage communications on Novell NetWare networks

  • TCP/IP. The protocol used on the Internet and most local area networks

Note

Microsoft is phasing out its support for NetBEUI. However, NetBEUI does work well with Windows XP Professional and can be found on the Windows XP Professional CD in \VALUEADD\MSFT\NET\NETBEUI.

TCP/IP is generally the only local area network protocol required to allow a computer running Windows XP Professional to connect to most networks. Windows XP Professional installs TCP/IP by default and automatically configures it to look for a network DHCP server to assign its TCP/IP settings. Most corporate networks rely on DHCP as the mechanism for managing TCP/IP, thus eliminating any manual TCP/IP administration. In addition, many smaller networks that use Microsoft's ICS or residential gateways to share an Internet connection also have a DHCP server. In the event that a DHCP server is not available, Windows XP Professional defaults to using APIPA to configure its TCP/ IP settings.

Note

For more information on TCP/IP, including how to manually install or configure it, refer to Chapter 16, "Windows XP and TCP/IP."

Installing Network Clients

In order for a computer running Windows XP Professional to be able to communicate with other computers, it must run the same local area network protocol as the rest of the computers on the network. However, in order to be able to access network printers and drives, Windows XP must also run an additional piece of software known as a network client. Windows XP Professional provides two networks clients, as listed below.

  • Client for Microsoft Networks. Provides the ability for Windows XP Professional to access network resources over a Microsoft network

  • Client Service for NetWare. Provides the ability for Windows XP Professional to access network resources over a NetWare network

Client software provides a mechanism for redirecting requests for resource access over a network. Windows XP can support multiple clients, allowing it to connect to multiple types of network resources.

Working with the Client for Microsoft Networks

The Client for Microsoft Networks provides Windows XP Professional with the ability to connect to resources managed by Windows computers. By default, the Client for Microsoft Networks is installed when the computer's network adapter is installed. The following procedure can be used to verify that the Client for Microsoft Networks has been installed.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task link on the left-hand side of the folder.

  3. Right-click on the Local Area Connection icon and select Properties. The Properties dialog for the local area connection is displayed.

  4. Client for Microsoft Networks should be listed as one of the installed network components shown in the middle of the General property sheet, as shown in Figure 18.3.

    Click To expand
    Figure 18.3: Examining installed local area network software components

Note

If My Network Places does not appear on the Windows XP Professional Start menu, it can be added using the following procedure.

  1. Right-click on Start and select Properties.

  2. Click on the Customize button to the right of the Start menu option.

  3. Select the Advanced property sheet and then select the My Network Places option in the Start menu items list.

  4. Click on OK.

If the Client for Microsoft Networks is not present, it has been uninstalled. Use the following procedure to reinstall it.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task link on the left-hand side of the folder.

  3. Right-click on the Local Area Connection icon and select Properties. The Properties dialog for the local area connection is displayed.

  4. Click on Install. The Select Network Component Type dialog appears, as shown in Figure 18.4.

    Figure 18.4: Administrators can install additional protocols, clients, and services on Windows XP Professional

  5. Select Client and click on Add. The Select Network Client dialog appears, as shown in Figure 18.5.

    Click To expand
    Figure 18.5: Installing the Client for Microsoft Networks

  6. Select Client for Microsoft Networks and click on OK.

  7. Click on Close when returned to the Local Area Connection Properties dialog.

Working with the Client Service for NetWare

Many local area networks consist of a combination of Microsoft and NetWare servers. In order to connect to resources managed by NetWare servers, Windows XP Professional provides the Client Service for NetWare. The following procedure outlines the steps involved in installing the Client Service for NetWare.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task link on the left-hand side of the folder.

  3. Right-click on the Local Area Connection icon and select Properties. The Properties dialog for the local area connection is displayed.

  4. Click on Install. The Select Network Component Type dialog appears.

  5. Select Client and click on Add. The Select Network Client dialog appears.

  6. Select the Client Service for NetWare and click on OK.

  7. Click on Yes when prompted to restart the computer.

  8. When Windows XP restarts, the Select NetWare Logon dialog appears.

  9. The information required to configure NetWare client settings varies based on the version of NetWare being run. Contact the NetWare administrator for instructions on how to fill in the appropriate settings and then click on OK.

Configuring File and Print Sharing

Network services provide Windows XP Professional with the ability to perform a function or service on behalf of other network computers. The primary service provided by Windows XP Professional is the File and Printer Sharing for Microsoft Networks service. This service provides Windows XP with the ability to share locally installed printers and files stored on local drives and folders with other computers on a network, thus allowing a computer running Windows XP Professional to function as a print server, a file server, or both.

By default, Windows XP automatically installs the File and Printer Sharing for Microsoft Networks service when a network adapter is installed. Unless this service is installed and running, Windows XP Professional is not able to share any local resources over the network. The following procedure can be used to verify that the File and Printer Sharing for Microsoft Networks service is installed.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task link on the left-hand side of the folder.

  3. Right-click on the Local Area Connection icon and select Properties. The Properties dialog for the local area connection is displayed.

  4. File and Printer Sharing for Microsoft Networks should be listed as one of installed network components shown in the middle of the General property sheet.

If File and Printer Sharing for Microsoft Networks is not present, it has been uninstalled. Use the following procedure to reinstall it.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task link on the left-hand side of the folder.

  3. Right-click on the Local Area Connection icon and select Properties. The Properties dialog for the local area connection is displayed.

  4. Click on Install. The Select Network Component Type dialog appears.

  5. Select Service and click on Add.

  6. The Select Network Service dialog appears, as shown in Figure 18.6.

    Click To expand
    Figure 18.6: Installing File and Printer Sharing for Microsoft Networks

  7. Select File and Printer Sharing for Microsoft Networks and click on OK.

  8. Click on Close when returned to the Local Area Connection Properties dialog.

Installing File and Printer Sharing for Microsoft Networks does not automatically share any local printers, drives, or folders on the computer. Instead, it simply provides the ability to do so. To share a local resource, the administrator must individually access it and configure it as shared.

Note

For instructions on how to share a local printer, refer to "Sharing a Local Printer" in Chapter 19, "Printer and Disk Sharing." For information on setting up shared drives and folders, refer to "Sharing a Local Disk Drive or Folder" in Chapter 19, "Printer and Disk Sharing."


Removing Protocols, Clients, and Services

If a network protocol, client, or service is no longer required, it should be removed from the computer. Each of these software components otherwise unnecessarily consumes a small portion of the computer's resources. The following procedure outlines the steps involved in uninstalling a protocol, client, or service from a computer running Windows XP Professional.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click on the View network connections task link on the left-hand side of the folder.

  3. Right-click on the Local Area Connection icon and select Properties. The Properties dialog for the local area connection is displayed.

  4. Select a protocol, client, or service and then click on Uninstall.

  5. Click on Yes when prompted for confirmation.

  6. Click on Yes when prompted to restart the computer.


Windows Workgroup Networks

A network based on the workgroup model is known as a peer-to-peer network.A workgroup is a collection of computers that have been grouped together for the purposes of making resource sharing easier. On a peer-to-peer network, any computer can share its disk and printer resources with other computers. Peer-topeer networks can be organized into one or more workgroups, although no more than one or two workgroups are typically defined.

Membership in one workgroup does not preclude the ability to access resources located on a computer that is a member of another workgroup. In fact, workgroup membership only means that users within the same workgroup automatically see each other's computers when clicking on the View workgroup computers task in the Network Tasks section of the Network Places folder.

One of the limitations of a peer-to-peer network is that a user who needs to be able to access resources on more than one computer must have a user account defined on each computer to which access is required. In other words, if a peer-to-peer network consists of 10 computers, an administrator needs to define a separate but identical user account for him or herself on each computer in order to be able to administer all network computers. In addition, unless the username assigned to each account and the associated passwords are synchronized across every computer, administration becomes a headache because of the need to remember multiple account names and passwords.

User Accounts

When connected to a workgroup-based network, Windows XP Professional only supports a single type of user account known as a local account. These accounts are local because they only allow access to resources located on the computer on which the accounts are defined. These accounts differ significantly from the domain user accounts used on domain-based networks. Domain user accounts allow a user to log in to the domain and then access any computer or resource to which the domain user's account has been granted access.

Each user on a workgroup-based network should be assigned a specific user account, which should then be defined on each computer to which the user will require access. A user account contains a number of pieces of information about the user, including the username and password. User accounts on workgroup-based networks are stored locally on the computer in the SAM (Security Accounts Manager).

When a user logs on to a stand-alone computer running Windows XP Professional or a computer connected to a workgroup-based network, his or her user ID and password are passed to the SAM, where they are compared to the user account information stored there. If a match occurs, the user is allowed to log in and an access token is generated. Windows XP Professional uses the information stored in the token for the rest of the user's login session to determine what resources the user has access to. If the SAM does not have a corresponding user account with a matching password, the user's login is rejected.

When a logged-in user attempts to access a network resource on another computer Windows XP Professional automatically passes the user's username and password to the other network computer. If the user has a matching user account on the other network computer and the account's password matches the password used to log in to the local computer, access is then granted (based on the account permissions specified on the network computer). If the user's account name or password does not match up with an account name or password on the network computer, the user is prompted to supply an account name and password that is valid on the network computer.

Controlling User Login

Administrators can configure a computer that is part of a workgroup network to use either of two login options. The default option is the Windows XP Welcome screen, which displays an icon and username for each user account defined to the computer. To log in, the user only has to click on the icon representing his or her user account and, if required, supply a password. By default, the Fast User Switching option is also enabled. This option allows users to log on to Windows XP without first logging off another active user.

Note

For more information about the Windows XP Welcome screen, refer to "Logging On" and "Logging Off and Shutting Down" in Chapter 1, "Introducing Windows XP Professional."

The more secure option is to enable the Welcome to Windows dialog, which requires that users press the Ctrl+Alt+Delete keys in order to initiate the login process. Only the last logged-on username is displayed. This forces users to supply both their usernames and passwords in order to log in.

The following procedure outlines the steps involved in disabling the Welcome screen and Fast User Switching.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Double-click on User Accounts. The User Accounts folder appears.

  3. Click on Change the way users log on or off.

  4. Clear the Use the Welcome Screen option. This automatically disables Fast User Switching.

  5. Click on Apply Options.

Using the Network Setup Wizard

In a workgroup-based network, Windows XP Professional's networking options are configured using the Network Setup Wizard. This wizard assists in the configuration of the following networking features:

  • Setting up an ICS server

  • Setting up ICS clients

  • Modifying computer name and workgroup membership

In addition to configuring each of the above network options, the Network Setup Wizard provides a complete overview of the steps involved in setting up a small home or office network. Use this information, if necessary, to complete the setup of the network. The following procedure outlines the steps involved in accessing this information.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on Network and Internet Connections. The Network and Internet Connections folder appears.

  3. Click on Setup or change your home or small office network.

  4. The Network Setup Wizard starts. Click on Next.

  5. Click on the checklist for creating a network link. The Windows XP Help and Support Center opens and displays a list of steps to be followed in order to assemble a small network, as shown in Figure 18.7.

    Click To expand
    Figure 18.7: The Windows XP Help and Support Center provides detailed instructions for assembling a small home or office network

Note

If the Network Setup Wizard detects that multiple network adapters are installed on a computer running Windows XP Professional, it will prompt the administrator to create a Network Bridge. A Network Bridge is a service that allows a computer running Windows XP Professional to connect multiple network segments into a single logical subnet. For example, a Windows XP Network Bridge allows a network consisting of different network media, such as Ethernet, phone line, or wireless, to work together by routing data packets from one segment to another as required to facilitate network communications.

Setting Up an ICS Server

ICS allows one computer on a workgroup-based network to share its Internet connection with the rest of the computers on the network. This connection can be a regular dial-up connection or a high-speed connection, such as cable or DSL.

ICS protects the computers on the network from the Internet by hiding private network addresses. Only the Internet IP address assigned to the computer running the ICS service is visible to the Internet. The ICS server simplifies network setup by providing a DHCP service, which automates the assignment of TCP/ IP settings for all of the other ICS client computers on the network.

Note

For detailed information on the way that ICS manages TCP/IP configuration settings, refer to Chapter 16, "Windows XP and TCP/IP."

The following procedure outlines how to use the Network Setup Wizard to configure a computer that already has an Internet connection to act as an ICS server.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click the Set up a home or small office network task. The Network Setup Wizard starts.

  3. Click on Next two times. The Select a connection method screen is displayed, as shown in Figure 18.8.

    Click To expand
    Figure 18.8: The Network Setup Wizard assists in configuring a number of different network options

    The following options are available:

    • This computer connects directly to the Internet. The other computers on my network connect to the Internet through this computer. Select this option to set up the ICS server.

    • This computer connects to the Internet through another computer or my network or through a residential gateway. Select this option to set up ICS clients.

    • Other. Select this option to configure a computer to connect to the Internet using a shared network hub; to configure a computer with a stand-alone cable, DSL, or dial-up connection; or to set up a computer to run on a stand-alone network with no Internet access.

    Select the first option and click on Next.

    Note

    A residential gateway is a small network appliance that provides the same basic set of features as ICS. In addition, it functions as a network hub or switch and provides advanced personal firewall protection.

  4. If the computer has more than one network connection, select the local area network connection with which the ICS server is to share its Internet connection and click on Next, as shown in Figure 18.9.

    Click To expand
    Figure 18.9: Select the local area network connection with which the Internet connection should be shared

  5. Type a description for the computer that will help identify the computer to other network users in the Computer description field.

  6. Type a unique computer name in the Computer name field and click on Next.

    Note

    Every computer on a workgroup-based network must be assigned a unique name. Windows XP Professional limits computer names to 15 or fewer characters. In addition, the computer's name cannot contain any of the following characters:

    : ; " < > + * = \ ? | ,

  7. Type the name of the workgroup to which the ICS server should be added and click on Next.

    Note

    If the specified workgroup does not already exist on the network, a new workgroup with that name will be defined.

  8. The wizard displays a summary of all the information that it has collected. Verify that this information is correct and click on Next.

  9. The wizard applies the configuration settings to the computer. This includes assigning it an IP address of 168.192.0.1 with a subnet mask of 255.255.255.0. The wizard then asks if it should create a disk that contains a copy of the Network Setup Wizard so that it can be run on non Windows XP computers, as shown in Figure 18.10. This wizard can also be run from the Windows XP Professional CD. Select Just finish the wizard; I don't need to run the wizard on other computers, and click on Next.

    Click To expand
    Figure 18.10: The Network Setup Wizard can be used to create a setup disk for configuring non Windows XP computers on a workgroup network

Note

For more information on how the ICS server administers TCP/IP configuration settings, refer to "Using Windows XP Professional on Smaller Networks" in Chapter 16, "Windows XP and TCP/IP."

Setting Up ICS Clients

The Network Setup Wizard is also used to configure ICS clients by helping them to locate ICS servers and configuring them to act as DHCP clients. Once configured, ICS clients will receive their TCP/IP settings from the ICS server or a residential gateway and will be able to share its Internet access.

The following procedure outlines the steps involved in configuring an ICS client.

  1. Click on Start and My Network Places. The My Network Places folder appears.

  2. Click the Set up a home or small office network task. The Network Setup Wizard starts.

  3. Click on Next two times. The Select a connection method screen is displayed.

  4. Select This computer connects to the Internet through another computer or my network or through a residential gateway and click on Next.

  5. Select Determine the appropriate connections for me and click on Next.

  6. Type a description for the computer and a computer name and click on Next.

  7. Type the name of the workgroup to which the computer should be joined and click on Next.

  8. The wizard displays a summary of all the information that it has collected. Verify that this information is correct and click on Next.

  9. The wizard applies the configuration settings to the computer. The wizard asks if it should create a Network Setup Disk. Select Just finish the wizard; I don't need to run the wizard on other computers, and click on Next.

  10. Click on Finish.

Setting Up Other Types of Network Connections

The Network Setup Wizard can be used to configure several other network options, including:

  • Setting up a network connection through a shared network hub.Configures a computer running Windows XP Professional to directly access the Internet using a shared network hub

  • Setting up a direct cable or DSL connection to the Internet. Sets up an always-on high-speed cable or DSL Internet connection for a computer that is not connected to a local area network

  • Setting up access to a stand-alone network. Sets up a local area connection for a network that does not have shared Internet access

Setting Up Internet Access through a Network Hub

The Network Setup Wizard can also be used to set up Windows XP Professional to operate on a small network that uses a network hub to provide shared Internet access. In this setup an arrangement is made with an ISP (Internet Service Provider) to lease an additional IP address for each network computer. Unlike networks that use ICS or residential gateways, all network computers have visible connections to the Internet. Because of the cost savings and security provided by ICS and residential gateways, this option is not usually used.

The following procedure outlines the steps involved in configuring Windows XP Professional to work with this type of setup.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click the Set up a home or small office network task. The Network Setup Wizard starts.

  3. Click on Next two times. The Select a connection method screen is displayed.

  4. Select Other and click on Next.

  5. The Other Internet connection methods screen is displayed, as shown in Figure 18.11. The following options are available:

    Click To expand
    Figure 18.11: The Network Setup Wizard can also be used to set up several non-ICS network configurations

    • This computer connects to the Internet directly or through a network hub. Other computers on my network also connect to the Internet directly or through a hub.

    • This computer connects directly to the Internet. I do not have a network yet.

    • This computer belongs to a network that does not have an Internet connection.

    Select the first option and click on Next.

  6. Select the network connection that connects the computer to the network hub that provides Internet access and click on Next.

  7. The wizard displays a warning stating that the option being configured is not recommended and that ICS or a residential gateway would provide a better solution. Click on Next.

  8. Type a description and a computer name and click on Next.

  9. Type a workgroup name and click on Next.

  10. The wizard displays a summary of all the information that it has collected. Verify that this information is correct and click on Next.

  11. The wizard applies the configuration settings to the computer. The wizard asks if it should create a Network Setup Disk. Select Just finish the wizard; I don't need to run the wizard on other computers and click on Next.

  12. Click on Finish.

Setting Up a Direct High-Speed Internet Connection

The Network Setup Wizard can also be used to set up a high-speed Internet connection for a computer that is not connected to a local area network. The steps involved in completing this procedure are outlined below.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click the Set up a home or small office network task. The Network Setup Wizard starts.

  3. Click on Next two times. The Select a connection method screen is displayed.

  4. Select Other and click on Next.

  5. The Other Internet connection methods screen is displayed. Select This computer connects directly to the Internet. I do not have a network yet and click on Next.

  6. Select the network connection that connects to the high-speed connection's cable or DSL modem and click on Next.

  7. Type a description and a computer name and click on Next.

  8. Type a workgroup name and click on Next.

  9. The wizard displays a summary of all the information that it has collected. Verify that this information is correct and click on Next.

  10. The wizard applies the configuration settings to the computer. The wizard asks if it should create a Network Setup Disk. Select Just finish the wizard; I don't need to run the wizard on other computers, and click on Next.

  11. Click on Finish.

Setting Up a Stand-Alone Network

Not all networks require shared Internet access. A stand-alone local area network reduces the cost of the network and makes it more secure by eliminating any possibility of external intrusion from the Internet.The steps involved in con-figuring Windows XP Professional to participate on a stand-alone local area network are outlined below.

  1. Click on Start and then My Network Places. The My Network Places folder appears.

  2. Click the Set up a home or small office network task. The Network Setup Wizard starts.

  3. Click on Next two times. The Select a connection method screen is displayed.

  4. Select Other and click on Next.

  5. The Other Internet connection methods screen is displayed. Select This computer belongs to a network that does not have an Internet connection and click on Next.

  6. Select Determine the appropriate connections for me and click on Next.

  7. Type a description and a computer name and click on Next.

  8. Type a workgroup name and click on Next.

  9. The wizard displays a summary of all the information that it has collected. Verify that this information is correct and click on Next.

  10. The wizard applies the configuration settings to the computer. The wizard asks if it should create a Network Setup Disk. Select Just finish the wizard; I don't need to run the wizard on other computers, and click on Next.

  11. Click on Finish.

The Network Setup Wizard configures the computer to participate on a local area network with a network address of 169.254.0.0 and a subnet mask of 255.255.0.0.

Note

For more information on how Windows XP Professional operates on small stand alone networks, refer to "Using Windows XP Professional on Smaller Networks" in Chapter 16, "Windows XP and TCP/IP."


Windows Domains

In order for a user working on a computer running Windows XP Professional to connect to and access domain resources, both the user and the computer must have domain accounts. Unlike stand-alone computers or computers that are part of a workgroup-based network, computers that join a domain are subject to domain administration. This includes being subject to:

  • Domain security settings

  • Domain group policies

  • Domain user policies

Unlike stand-alone and workgroup computers, a computer joined to a Windows domain cannot use the Windows Welcome screen. Users must instead press Ctrl+Alt+Delete and use the Log On to Windows dialog to log on and to authenticate.

Domain User Accounts

When connected to a Windows domain, Windows XP Professional supports the following types of user accounts.

  • Local account. Provides access to resources located on the computer where the user account is defined

  • Domain account. Allows users to log into the domain and then access any computer or resource to which the user has been given access

Each domain user is assigned a user account, which allows the user to log on from any computer defined to the domain and to access any network resources for which the user has been granted access. Domain user accounts are stored in the active directory, which is managed by a collection of computers known as directory servers.

Users have two options when logging on to a computer that is connected to a domain network.

  • Log on locally to the computer, which limits access to local resources

  • Log on to the domain, which provides access to domain resources

When a user logs on to a computer running Windows XP Professional, his or her user ID and password are passed to the SAM or to a domain controller, depending on which login option was selected. If the user is logging in to the domain, the user's username and password are passed to a domain controller for authentication. If a match occurs, the user is permitted to complete the login process and an access token is generated, which is then used to determine what resources the user is permitted to access on the local computer and other network resources.

Adding a Computer to a Domain

In order for a user with a computer running Windows XP Professional to connect to a Windows domain, the user must have a domain user account. In addition, the computer running Windows XP Professional must have a computer account on the domain.The computer's domain account can be set up in advance by a domain administrator, allowing the computer to join the domain when Windows XP Professional is installed. Alternatively, the person installing Windows XP Professional may create a domain account for the computer during the installation process, provided that the person performing the installation is a domain administrator.

The computer can also be added to a domain after installation using the following procedure.

  1. Click on Start and then right-click on My Computer and select Properties.

  2. Select the Computer Name property sheet, as shown in Figure 18.12.

    Click To expand
    Figure 18.12: Changing the name assigned to a computer running Windows XP Professional

  3. Click on Change.

  4. The Computer Name Changes dialog appears, as shown in Figure 18.13.

    Figure 18.13: Adding a computer running Windows XP Professional to a Windows domain

  5. Select Domain and type the name of the domain to which the computer is to be joined. The computer name must exactly match the name assigned to the computer by the domain administrator.

  6. If a computer account has not already been established for the computer, type a username and password for a domain administrator when prompted and click on OK.

  7. A pop-up message will appear welcoming the computer to the domain. Click on OK.

  8. Click on Yes when prompted to restart the computer.


Chapter 19: Printer and Disk Sharing

Overview

Windows XP Professional provides users with everything that they need to connect to network resources. This includes the ability to set up connections to network printers. It also includes the ability to access data stored on shared network drives and folders. Connections to drives and folders can be established temporarily by browsing the network or permanently by creating drive mappings.

Only administrators are permitted to configure resource sharing. Administrators can assist users by configuring connections to network resources. By configuring all computers in a standard manner, administrators can ensure consistency across the enterprise. In certain circumstances, it may be beneficial for users to share resources located on their local computers with other network users. Administrators can help by setting up these shared resources while also ensuring that they are properly secured.

Windows XP Professional provides administrators with tools for remotely administering shared printers, drives, and folders. This allows administrators to create new shares, modify security settings for existing shares, and to stop sharing specific resources. In addition, administrators can monitor network user access to shared resources.


Connecting to a Network Printer

Most networks, regardless of size, have network printers that are managed by network servers. These network printers are then made available to users and

provide a cost-effective alternative to providing users with their own individual printers. Network printers are established in a number of ways, including:

  • Attached directly to a computer that is then shared

  • Directly connected to the network using a print server appliance

Windows XP Professional provides a number of different ways that network printers can be installed. Printers located on the same subnet as a computer running Windows XP Professional may be automatically discovered and installed. This works when another Windows XP Professional computer shares the printer. Because the sharing computer already has a Windows XP compatible software driver installed, it can automatically download the driver to any other Windows XP computers, thus making the whole process invisible to the end user.

Windows XP Professional appends the word Auto to the share name of automatically installed printers and creates an icon for them in the Printers and Faxes folder, as shown in Figure 19.1. Since the printer is a network printer, its icon depicts a cable connection, thus distinguishing the printer connection from a locally installed printer.

Network printers can also be installed using the Add Printer Wizard. This wizard can be used to install any network printer, including printers on distant subnets or even on the Internet. The following procedure demonstrates how to use the Add Printer Wizard to install a network printer.

  1. Click on Start and then Control Panel.

  2. Click on Printers and Other Hardware. The Printers and Other Hardware dialog appears.

    Click To expand
    Figure 19.1: Windous XP professional can automtically detect shared printers on the local subnet

  3. Click on Printers and Faxes. The Printers and Faxes folder appears.

  4. Click on Add a Printer. The Add Printer Wizard starts.

  5. Click on Next.

  6. Select A network printer, or a printer attached to another computer, and then click on Next.

  7. The following list options appear, as shown in Figure 19.2:

    • Browser for a printer. Provides the ability to manually search the network for the printer.

    • Connect to this printer. Provides the ability to specify a printer using its UNC (Universal Naming Convention) name. The format for a UNC name is \\ComputerName\PrinterShareName.

    • Connect to a printer on the Internet or on a home or office network. Provides the ability to connect to printers over the Internet. The format for specifying an Internet printer's name is http://ComputerName/PrinterShareName

    Click To expand
    Figure 19.2: Specify the location and name of the network printer

    Select an option and click on Next.

    Tip

    To view a list of all shared Internet printers available on a computer connected to the Internet, type http://ComputerName/Printers in Internet Explorer.

  8. Unless this is the first printer installed on the computer, a prompt will appear asking if the printer should be set as the default printer. Select Yes or No and then click on Next.

  9. The Add Printer Wizard displays a summary of the information that it has collected. Click on Finish.

Tip

A faster way to connect to a network printer is to use the Windows XP NET USE command. For example, to connect to a printer with a share name of HPColorPtr that is connected to a server named DeptPrintSvr, open the Windows XP command prompt, type NET USE \\DeptPrintSvr\HPColorPtr, and press Enter.

For more information about the NET USE command, refer to Appendix A, "Windows XP Command Reference."

When the Add Printer Wizard is used to install a network printer, an opportunity is given to set up the network printer as the local printer. However, if the network printer was not set as the default, or if its connection was automatically established by Windows XP and it was not the first printer installed on the computer, the following process can be used to set up the new network printer connection as the default connection. 1. Click on Start and then Control Panel.

Note

The default printer is indicated in the Printers and Faxes folder by the presence of a black circle with a check mark in it on the printer's icon.

  1. Click on start and then Control Panel.

  2. Click on Printers and Other Hardware. The Printers and Other Hardware dialog appears.

  3. Click on Printers and Faxes. The Printers and Faxes folder appears.

  4. Right-click on the printer that is to be made the default and select Set as Default Printer.


Deleting a Network Printer Connection

After a while, every printer wears out and needs to be replaced. If a connection to a network printer is no longer needed, it can be deleted. This removes clutter and may help lessen confusion for new users who are inexperienced in working

with Windows operating systems. The following procedure outlines the steps involved in removing a network printer connection.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on Printers and Other Hardware. The Printers and Other Hardware dialog appears.

  3. Click on Printers and Faxes. The Printers and Faxes folder appears.

  4. Right-click on the printer that is to be deleted and select Delete.

  5. Click on Yes when prompted for confirmation.

Tip

Connections to network printers can also be deleted using the Windows XP NET USE command. For example, to disconnect from a printer with a share name of HPColorPtr that is connected to a server named DeptPrintSvr, open the Windows XP command prompt, type NET USE \\DeptPrintSvr\HPColorPtr /delete, and press Enter.

For more information about the NET USE command, refer to Appendix A, "Windows XP Command Reference."


Sharing a Local Printer

Any Windows XP Professional computer can share its printer with other network users. While printer sharing may be discouraged on many enterprise networks where dedicated printer servers usually manage network printers, printer sharing is often used on small networks. When a computer running Windows XP Professional is set up to share a locally connected printer, it acts like a print server by accepting print jobs from network computers and then spooling them on the computer's local hard drive.

Note

In order to share local printers, drives, and folders with other computers on a network, the Windows XP File and Printer Sharing for Microsoft Networks service must be installed. For information about this service and how to install it, refer to Chapter 18, "LAN Configuration."

The Windows XP Professional Add Printer Wizard offers to set up a local printer as a shared resource when it is first installed. However, Windows XP Professional can be set up to share a local printer at any time, as outlined in the following procedure.

Note

In order to share a network printer, it must first be installed. For detailed instructions on how to install a local printer, refer to "Printer Installation" in Chapter 5, "Printer and Fax Administration."

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on Printers and Other Hardware. The Printers and Other Hardware dialog appears.

  3. Click on Printers and Faxes. The Printers and Faxes folder appears.

  4. Right-click on the printer that is to be shared and select Sharing.

  5. The printer's property dialog appears. The Sharing property sheet is automatically displayed.

  6. Select the Share this printer option and then type a description for the printer, as shown in Figure 19.3.

    Click To expand
    Figure 19.3: Sharing a local printer over the network

  7. Optionally, click on Additional Drivers to select and store printer software drivers for other operating systems on the network that may be used to connect to the printer, as shown in Figure 19.4. This allows Windows XP Professional to automatically download the appropriate printer driver to network computers that connect to the shared printer.

    Click To expand
    Figure 19.4: Configuring Windows XP Professional to store printer drivers for other Windows operating systems

  8. Select each operating system that may be used to connect to the printer and click on OK.

  9. Supply the location of the printer software driver for each Microsoft operating system when prompted and click on OK.

  10. A list of printers appears. Select the printer being shared and click on OK.

  11. Click on Close.

  12. If the name assigned to the shared printer exceeds eight characters, a prompt will appear warning that computers running MS-DOS will not be able to connect to it. Click on Yes if there are no MS-DOS computers on the network that will need to access the printer.


Connecting to Network Drives and Folders

Windows XP Professional can also connect to shared drives and folders on local area networks. This allows users to store their files on servers that are centrally managed and regularly backed up. This enhances information sharing and collaboration. Shared drives and folders can be connected to from Windows XP using a number of different techniques, including:

  • My Network Places

  • The UNC command

  • Mapping

My Network Places

Windows XP Professional displays a list of network drive and folder connections in the My Network Places folder. This folder contains shortcuts to network drives and folders that are located in the user's workgroup or that have been manually added. The following procedure outlines the steps involved in opening the My Network Places folder.

  1. Click on Start and then Control Panel. The Windows XP Control Panel opens.

  2. Click on Network and Internet Connections. The Network and Internet Connections folder opens.

  3. Click on the My Network Places link. The My Network Places folder appears, as shown in Figure 19.5.

Click To expand
Figure 19.5: Viewing the My Network Places folder

A fast way of accessing the My Network Places folder is to add a shortcut to it on the Windows XP Start menu, as described in the following procedure.

  1. Right-click on Start and then select Properties. The Taskbar and Start Menu Properties dialog appears.

  2. Click on the Customize button to the right of the Start menu option. The Customize Start Menu dialog appears.

  3. Select the Advanced property sheet.

  4. Scroll down and select the My Network Places option in the Start menu items list.

  5. Click on OK twice.

Network drives and folders are indistinguishable from one another to the end user. To access a shared drive or folder, double-click on it. The left-hand side of the My Network Places folder displays a collection of network tasks, which include:

  • Add a network place

  • View network connections

  • Set up a home or small office network

  • View workgroup computers

Manually Creating Network Connections

Clicking on the Add a network place link starts the Add Network Place Wizard. This wizard assists in the creation of a number of different types of network connections, including connections to:

  • An MSN Community

  • A Web site

  • An FTP site

  • A network drive or folder

The following procedure outlines the steps involved in adding a new network connection to the My Network Places folder.

  1. Click on Start and then My Network Places.

  2. Click on Add a network place. The Add Network Place Wizard starts.

  3. Click on Next.

  4. The following list of options is displayed, as shown in Figure 19.6.

    Click To expand
    Figure 19.6: Specify the type of network connection to be established

    • MSN Communities. A Microsoft service that provides Internetbased storage

    • Choose another network location. Select this option to specify a local area network connection or a connection to an Internet Web site or FTP site

    Select Choose another network location and click on Next.

  5. Type the address of the network resource, as shown in Figure 19.7.

    Click To expand
    Figure 19.7: Specify the location of the resource to be connected

  6. To create a connection to a network drive or folder, type the resource's UNC name in the format of /ComputerName\ShareName and click on Next.

  7. Type a descriptive name for the connection and click on Next.

  8. The Add Network Place Wizard displays a summary of the information that it has collected. Click on Finish.

Viewing Network Connections

Clicking on the View network connections link in the Network Tasks section of the My Network Places folder displays a list of all the network connections currently defined to Windows XP Professional. This includes:

  • Local area connections

  • Internet connections

  • Incoming connections

  • Direct connections to another computer

Network connections can be enabled, disabled, and repaired, and their properties can be configured by selecting a network connection and clicking on a network task displayed on the left-hand side of the Network Connections folder.

Creating a Small Network

Clicking on the Set up a home or small office network link in the Network Tasks section of the My Network Places folder starts the Network Setup Wizard. This wizard assists in setting up small networks by performing the following network tasks:

  • Sharing an Internet connection

  • Turning on the ICF (Internet Connection Firewall)

  • Sharing local drives, folders, and printers

Note

For more information on how to set up Windows XP Professional to work on a local area network, refer to Chapter 18, "LAN Configuration."

Examining Workgroup Computers

Clicking on the View workgroup computers link in the Network Tasks section of the My Network Places folder displays all of the computers that belong to the same workgroup as the local computer. A workgroup is a collection of network computers that have been assigned to a common group. Workgroups are designed to allow members of the same team or department easy access to computers within the workgroup. Double-clicking on a workgroup computer displays a list of all its shared resources.

Note

To learn more about workgroups, including how to assign workgroup membership, refer to Chapter 18, "LAN Configuration."

Universal Naming Convention

Any Windows XP folder that displays an address field can be used to access network resources. This includes folders such as:

  • Windows Explorer

  • My Computer

  • Internet Explorer

  • My Network Places

  • My Documents

Access to network resources from these and other Windows XP folders is achieved using a UNC reference. The syntax of a UNC reference is \\ComputerName\ SharedResource.

Working with Mapped Network Drives

If users need to access a shared drive or folder only occasionally, they can browse and find it when necessary. Alternatively, a shortcut to the network resource can be added to the My Network Places folder using the Add Network Place Wizard.

When a network drive or folder needs to be accessed often or by applications that cannot work with network resources that are not associated with a local drive letter, a drive mapping can be established. By creating drive mappings for users, administrators enable quick access by making network resources appear as if they are locally connected drives.

Creating a Drive Mapping

Once mapped, a network drive or folder is accessed in exactly the same manner as a local drive. Mapped drive connections can be established temporarily or permanently. A permanent connection is one that is restored each time the user logs in.

The following procedure outlines the steps involved in mapping a network drive.

  1. Click on Start and then right-click on My Computer and select Map Network Drive. The Map Network Drive dialog appears, as shown in Figure 19.8.

    Click To expand
    Figure 19.8: Mapping a connection to a network drive or folder

  2. 2. Select a drive letter from the Drive drop-down list.

    Note

    Network drives can also be mapped by opening the My Computer or Windows Explorer folders and clicking on the Map Network Drive option located on the Tools menu.

  3. Specify the location of the network drive or folder using its UNC name in the format of \\ComputerName\Share\Name, or click on Browse to search for the network resource.

  4. To create a connection that will be automatically reestablished at the next login, select Reconnect at logon. Leaving the option unselected limits the mapped connection to the life of the current login session.

  5. Click on Finish.

  6. A folder will open and display the contents of the mapped drive or folder.

Tip

Another way to set up a network drive or folder connection is to use the Windows XP NET USE command. For example, to connect to a network drive with a share name of CDrive that is connected to a server named DeptFileSvr, open the Windows XP command prompt, type NET USE \\DeptFileSvr\CDrive /delete, and press Enter.

For more information about the NET USE command, refer to Appendix A, "Windows XP Command Reference."

Disconnecting Drive Mappings

Drive mappings that are no longer needed can be disconnected. This reduces clutter. It also speeds up login time. Each mapped drive that is defined on a computer running Windows XP Professional slows down the login process as the drive connection is reestablished at login.

The following procedure outlines the steps required to disconnect a mapped network drive.

  1. Click on Start, right-click on My Computer, and select Disconnect Network Drive. The Disconnect Network Drive dialog appears, as shown in Figure 19.9.

    Click To expand
    Figure 19.9: Disconnecting from a mapped network drive or folder

  2. A list of current drive and folder mappings is displayed. Select the mapped drive to disconnect and click on OK.

Tip

Mapped drives appear in windows XO/smy computer folder along with locl disk drives right-clicking their icons and selecting disconnect can also discon-nect them.
Tip

A mapped network drive or folder connection can also be removed using the Windows XP NET USE command. For example, to disconnect a connection to a network drive with a share name of CDrive that resides on a server named DeptFileSvr, open the Windows XP command prompt, type NET USE \\DeptFileSvr\CDrive /delete, and press Enter.


Sharing a Local Disk Drive or Folder

Any Windows XP Professional computer can share its drives or selected folders with other network users. Sharing can only be applied at the drive or folder level,

meaning that individual files cannot be configured as shared. Instead, the folders or drives that contain files are set up to share their contents.

Only administrators can set up shared resources. On large enterprise networks, users are generally limited to accessing files stored on centralized Windows servers and are not permitted to share local drives and folders. However, setting up drive and folder sharing on a computer running Windows XP Professional is common on smaller networks where centralized servers may not be available.

Any computer that shares local drives and folders assumes the role of a file server. When a drive is shared, it is referred to as a shared drive or a network drive. Similarly, a folder that is shared is referred to as a shared folder.

Every time a network user accesses files stored on the local computer, the local computer takes a performance hit. Depending on the number of network users who access the computer at the same time, this performance impact can range from mild to substantial. Administrators may therefore want either to dedicate a computer to function as a file server or to purchase a server class machine running Windows 2000 or .NET server to provide this capability.

Windows XP Professional can provide shared access to an entire disk drive or limit access to specific folders and their contents. Whenever possible, network access should be applied at the folder level to limit the security exposure imposed by sharing local resources.

Windows XP Professional can share any locally connected drive or folder attached to the computer, including:

  • Hard and floppy disk drives

  • CD-ROM, DVD, and CD-RW drives

  • Zip and Jaz drives

The procedure used to set up a shared drive or folder on a computer running Windows XP Professional varies depending on the type of network to which the computer is attached. If the computer is attached to a peer-to-peer network in which there is no central management, Windows XP Professional will by default configure itself to use simple file sharing. Simple file sharing provides the ability to limit other network users' access to the shared drive to either read access or read/write access. Windows XP Professional's simple file sharing can be disabled, allowing more detailed permission-based access control over the shared resources.

Computers running Windows XP Professional on a Windows 2000 or .NET domain-based network cannot be configured to use simple file sharing, thus enforcing the more secure security model.

The following procedure outlines the steps involved in sharing a disk drive or folder on a computer running Windows XP Professional where simple file sharing is enabled.

  1. Click on Start and then My Computer.

  2. Locate the drive or folder to be shared, right-click on it, and select Sharing and Security.

  3. If a drive is being shared, the dialog shown in Figure 19.10 appears. Otherwise, skip to step 4.

    Click To expand
    Figure 19.10: Setting up a shared disk drive when using simple file sharing

  4. Click on If you understand the risk but still want to share the root of the drive, click here.

  5. The dialog shown in Figure 19.11 appears. By default, the Sharing property sheet is displayed. Select Share this folder on the network and then type a descriptive name for the share.

    Click To expand
    Figure 19.11: Configuring shared access settings when using simple file sharing

  6. To limit network user access to read only, clear the Allow network users to change my files option. Otherwise, leave this option selected to provide read and write access.

  7. Click on OK. The drive's icon changes to display a hand underneath it, indicating that it is now a shared resource.

Tip

Administrators can also use the Computer Management Console to create and delete shares. The Computer Management console provides the added advantage of being able to manage shares on any remote computer running Windows XP Professional. For information on how to manage shares using the Computer Management console, refer to "Managing Shared Drives and Folders" later in this chapter.

If a computer running Windows XP Professional is connected to a Windows domain-based network, it cannot use simple file sharing. However, if the computer is connected to a peer-to-peer network, simple file sharing, which is enabled by default, is optional. The following procedure outlines the steps involved in disabling simple file sharing.

  1. Click on Start and then Control Panel. The Windows Control Panel appears.

  2. Click on the Tools menu and select Folder Options. The Folder Options dialog appears.

  3. Select the View property sheet.

  4. Under Advanced settings, scroll down and clear the Use simple file sharing option, as shown in Figure 19.12.

    Click To expand
    Figure 19.12: Disabling simple file sharing when the computer is connected to a peer-to-peer network

  5. Click on OK.

The following procedure outlines the steps involved in sharing a disk drive or folder on a computer running Windows XP Professional on which simple file sharing is disabled.

  1. Click on Start and then My Computer.

  2. Locate the drive or folder to be shared, right-click on it, and select Sharing and Security.

  3. Select Share this folder, as shown in Figure 19.13.

    Click To expand
    Figure 19.13: Setting up a shared disk drive when simple file sharing is disabled

  4. Type a descriptive comment that will help network users identify the shared resource.

  5. Select Maximum allowed to allow as many users a possible to access the share, or select Allow this number of users and then specify a value.

  6. Click on Permissions to set share level permission that will govern which network users have access to the share.

  7. Click on Caching to configure offline file access.

  8. If the drive or folder has already been shared, click on New Share to define a new shared instance.

  9. Click on OK.

Tip

The NET SHARE command can also be used to manage network shares. For example, to view all the shared resources on the local computer, type NET SHARE and press Enter at the Windows XP command prompt. For example, to share the D: drive, type NET SHAREShareName=C: and press Enter. To delete a share, type NET SHAREShareName/DELETE.


Securing Shared Drives and Folders

The type of security that can be applied to a shared drive or folder varies depending on the type of file system that is in use. FAT and FAT32 file systems are inherently less secure than the NTFS (New Technology File System) file system and do not support the same advanced set of security settings.The following sections provide further information about the security features provided by each of these file systems.

FAT and FAT32

FAT and FAT32 only provide share level security over shared network drives and folders. To set share level security when using FAT or FAT32, click on the Permissions button on the Sharing property sheet when setting up the shared drive or folder.This opens the Permissions For dialog, as demonstrated in Figure 19.14.

Click To expand
Figure 19.14: Configuring share level permissions when working with FAT or FAT32

Share level security allows the administrator to specify which users can access the shared resource by adding and removing user and group accounts to and from the resource's ACL (access control list). Click on Add to specify a username or

group that is to be granted or denied access. Click on Remove to delete the username or group from the ACL.

Note

The Everyone group is used to represent every network user, thus allowing anyone who can access the network to access the shared resource. More information on Windows XP groups and group management is available in Chapter 9, "Security Administration."

Once a username or group has been added to the ACL, specific security permission can be applied by selecting the username or group from the Group or user names list and then selecting or clearing share security permissions located in the bottom portion of the property sheet. Table 19.1 outlines the available share permissions and describes the level of access that they grant.

Table 19.1: Share Level Security Permissions
permission | description
Full Control | Provides the ability to assume ownership, to administer security permissions, to execute programs, and to create, change, and delete files and folders
Change | Provides the ability to execute programs and to create, change, and delete files and folders
Read | Provides the ability to execute programs and to display folder and files

Each of the share level security permissions can be applied by electing either to allow or to deny access. Share level security permissions are hierarchical in nature, meaning that granting the Change permission implies a grant of the Read permission, and the granting of the Full Control permission implies the granting of all permissions.

NTFS security governs access by local and network users. When a volume or partition is formatted with NTFS, both share level and NTFS level security permissions can be applied. To set NTFS security, select the Security property sheet when setting up the shared drive or folder, as demonstrated in Figure 19.15.

Click To expand
Figure 19.15: Configuring NTFS security permissions

NTFS security allows the administrator to specify which users can access the shared resource by adding and removing usernames and group accounts to the resource's ACL. Click on Add to specify a username or group to be granted or denied access. Click on Remove to delete the username or group from the ACL.

NTFS security provides more granular control over user and group security permission. Table 19.2 provides a summary of the available NTFS security permissions. In addition to these security permissions, the administrator can click on Advanced to administer security at an even more granular level.

Table 19.2: NTFS Security Permissions
permission | description
Full Control | Provides the ability to assume file ownership, to administer security permissions, to change folders and files, to navigate directories, to view folder contents, and to view folders and files
Modify | Provides the ability to change folders and files, to navigate directories, to view folder contents, and to view folders and files
Read & Execute | Provides the ability to navigate directories, to view folder contents, and to view folders and files
List Folder Contents | Provides the ability to view folder contents
Read | Provides the ability to view folders and files
Write | Provides the ability to create files and folders
Note

To learn more about the application of NTFS security permissions, refer to Chapter 9, "Security Administration."

Resolving Effective Security Permissions

Share level permissions only affect network users. This means that users who log in locally to the computer where a shared resource resides are not governed by share level permissions. NTFS permissions apply to all users, local and network. Since NTFS permissions are more granular and affect all users, most administrators choose to apply only NTFS permissions when configuring shared access. However, both shared and NTFS permissions can be applied. When this happens, the resulting level of access is derived from an examination of both types of security permissions. Windows XP Professional determines the level or access granted by NTFS permissions and the level of access granted by share permissions and then implements the most restrictive combination of the two. For example, if a user or group is granted the Read share level permission and the Full Control NTFS permission over a specific resource, the user will be limited to Read access when accessing the resource over the network. However, if the user were to log in locally to the computer, he or she would have Full Control access over the resource.

Note

To learn more about Windows XP Professional security and the applications of NTFS security permissions, refer to Chapter 9, "Security Administration."


Configuring Offline File Access

Windows XP Professional supports mobile users by providing offline file access. When configured, offline file access copies files stored on the network computer to cache storage on the user's laptop computer, allowing the users to continue working with the files when they are on the road.

Clicking on the Caching button when setting up a new share displays the Caching Settings dialog, as shown in Figure 19.16, where the following configurations are available:

  • Manual caching of documents. Forces users to configure offline access to files from their computer

  • Automatic caching of documents. Allows client computers to automatically download files into offline cache

  • Automatic caching of programs and documents. Allows client computers to automatically download executable programs and files into offline cache

Click To expand
Figure 19.16: Configuring offline file access
Note

Offline file access must also be configured on users' computers. For more information on how this is done, refer to "Offline Files" in Chapter 15, "Supporting Mobile Users."


Understanding Hidden Shares

Windows XP Professional automatically creates a number of shares for administrative purposes. These shares are not visible to network users when they search the network because they are hidden shares. A hidden share is a shared drive or folder that can only be accessed by explicitly specifying its name when accessing it. In other words, administrators can access them only if they know that the shares exist, as well as the computer where they reside and their share name.

Hidden shares are created by appending the $ character to the end of the share name. Windows XP does not indicate which drives or folders have hidden shares on the local computer (the hand does not appear under the drive or folder icon after it has been set up as a hidden share). Hidden shares can be viewed using the Shared Folders extension or snap-in. For example, Figure 19.17 shows all the hidden shares on a Windows XP Professional computer using the Shared Folders extension on the Computer Management console.

Click To expand
Figure 19.17: Viewing hidden shares using the Computer Management console

By default, Windows XP Professional creates a number of default hidden shares. Windows XP Professional automatically creates a hidden share for each network drive. In addition, it creates the following hidden shares:

  • ADMIN$. An administrative share that points to the location of the Windows XP Professional system root (usually C:\Windows)

  • IPC$. An interprocess communications share created to support remote administration over network connections

  • print$. A share created to support the remote management of print devices

A UNC reference can be used to access a hidden shared from across a network. For example, to access a hidden share named D$ on a computer named DeptFileSvr, open the My Computer folder, type //DeptFileSvr/D$ in the Address field, and press Enter. Like other network files, access to hidden files is governed by share and NTFS file permissions, as explained in the following section.


Turning Off Shared Access

Administrators may need to restrict access to printers, drives, and folders that are shared by a computer running Windows XP Professional. For example, a user may no longer wish to share his or her printer. Administrators can use the following procedure to terminate shared access to printers, drives, and folders on computers running Windows XP Professional.

Terminating Printer Sharing

The following procedure outlines the steps required to stop the sharing of a locally installed printer.

  1. Click on Start and then Control Panel. The Windows XP Control Panel appears.

  2. Click on Printers and Other Hardware. The Printers and Other Hardware dialog appears.

  3. Click on Printers and Faxes. The Printers and Faxes folder appears.

  4. Right-click on a printer that is shared and select Sharing.

  5. The printer's property dialog appears. The Sharing property sheet is automatically displayed.

  6. Select Do not share this printer.

  7. Click on OK.

Terminating Drive and Folder Sharing

The following procedure outlines the steps required to stop the sharing of a local drive or folder.

  1. Click on Start and then My Computer. The My Computer folder opens.

  2. Right-click on the shared drive or drill down as necessary to locate a shared folder, right-click on it, and select Sharing and Security.

  3. Clear the Share this Folder on the network option.

  4. Click on OK.


Monitoring Access to Shared Drives and Folders

Administrators can monitor which network users are accessing shared drives and folders on any network computer running Windows XP Professional using the Shared Folders extension or snap-in. Only an administrator or power user can use the Shared Folders extension or snap-in.

The Shared Folders extension is part of the Computer Management snap-in and can be accessed using the following procedure.

1. Click on Start, right-click on My Computer, and select Manage. The Computer Management console opens.

  1. Expand System Tools.

  2. Select Shared Folders, as shown in Figure 19.18.

Click To expand
Figure 19.18: The Shared Folders extension or snap-in provides the ability to monitor local and remote connections to shared drives and folders

Using the Computer Management console, administrators can manage local and remote computers running Windows XP Professional using the following procedure.

  1. Click on Start and then right-click on My Computer and select Manage. The Computer Management console opens.

  2. Right-click on the Computer Management (Local) root entry in the console tree and select Connect to another computer. The Select Computer dialog appears.

  3. Type the name or IP address of the target computer and click on OK.

  4. The root entry of the console tree changes to reflect the computer now being remotely managed.

The Shared Folders extension or snap-in is organized into three sections, as outlined below.

  • Shares

  • Sessions

  • Open Files

Managing Shared Drives and Folders

Selecting the Shares node on the Shared Folders extension displays a view of all the shared drives and folders on the target computer, as demonstrated in Figure 19.19.

Click To expand
Figure 19.19: Viewing a list of all shared drives and folders

The following information is displayed for each shared drive, folder, or printer on the computer.

  • Shared Folder. The share name assigned to the resource

  • Shared Path. The path and file name of the resource

  • Type. The type of network connection in use (Windows, NetWare, or Macintosh)

  • # Client Connections. The number of network users currently accessing the shared resource

  • Comment. A description of the shared resource (if one was provided when the resource was shared)

Administrators can perform several administrative tasks from the Shares node. These tasks include:

  • Creating new shares

  • Deleting shares

  • Sending text messages to network users

The steps required to perform each of these tasks are outlined in the procedures that follow.

The following procedure outlines the steps involved in creating a new share using the Computer Management console.

  1. Open the Computer Management console and select the target computer.

  2. Drill down and locate the Shared node under the Shared Folders extension.

  3. Right-click on Shares and select New File Share. The Create Shared Folder dialog appears.

  4. Type the following information and then click on Next.

    • Folder to share. The path and name of the resource to be shared

    • Share name. The name assigned to the share

    • Share description. A brief description of the shared resource

  5. Select from one of the following security options and then click on Next.

    • All users have full control

    • Administrators have full control; other users have read-only access

    • Administrators have full control; other users have no access

    • Customize share and folder permissions

  6. If the customize option was selected, then the Custom button is enabled. Click on this button to display the Customize Permission dialog. From here, share and NTFS security permissions can be assigned to specific users or groups.

  7. Click on Finish.

The following procedure outlines the steps involved to stop sharing a resource using the Computer Management console.

  1. Open the Computer Management console and select the target computer.

  2. Drill down and locate and select the Shared Node under the Shared Folders extension.

  3. Right-click on a share and select Stop Sharing.

  4. Click on Yes when asked for confirmation.

The following procedure outlines the steps involved in sending text messages to users using the Computer Management console.

  1. Open the Computer Management console and select the target computer.

  2. Drill down and locate the Shared Node under the Shared Folders extension.

  3. Right-click on the Shares node, select All Tasks, and then select Send Console Message. The Send Console Message dialog appears, as shown in Figure 19.20.

    Click To expand
    Figure 19.20: Sending a text message to network users

  4. Type the message to be sent.

  5. Click on Add, type the username of the intended recipient or the name of the computer to which the user is logged in, and click on OK.

  6. Click on Send.

The message will appear as a pop-up dialog on the recipient's display, as demonstrated in Figure 19.21.

Click To expand
Figure 19.21: Examining the message as it appears on the recipient's display

Viewing Active Network Sessions to Local Resources

Selecting the Sessions node on the Shared Folders extension displays a list of all active network sessions on the target computer. The following information is displayed for each active session.

  • User. The username of each network user currently connected to the target computer

  • Computer. The name assigned to the network user's computer

  • Type. The type of network connection in use (Windows, NetWare, or (Macintosh)

  • Open Files. The number of files open by users

  • Connected Time. The amount of time that a user has been connected to the target computer

  • Idle Time. The amount of time that a connection has been idle

  • Guest. An indication of whether the built-in Guest account is being used to establish the connection.

Administrators can perform the following tasks from Session node:

  • Terminate an individual network session

  • Terminate all network sessions

The steps required to perform both of these tasks are outlined in the procedures that follow.

The following procedure outlines the steps involved in terminating individual network connections to the targeted computer using the Computer Management console.

  1. Open the Computer Management console and select the target computer.

  2. Drill down and locate and select the Sessions node under the Shared Folders extension. A listing of all currently active network sessions is displayed, as demonstrated in Figure 19.22.

    Click To expand
    Figure 19.22: Viewing all active network connections to shared folders on the target computer

  3. To disconnect all active sessions, right-click on the Sessions node, select Disconnect All Sessions, and click on Yes when prompted for confirmation

  4. To disconnect an individual session, right-click on the session, select Close Session, and then click on Yes when prompted for confirmation.

Note

Administrators should use this procedure with caution. Any work that the network user has done since the last time the file was saved will be lost.

Controlling Access to Open Files

Selecting the Open Files node on the Shared Folders extension displays a view of all the files currently being accessed by network users. The following information is displayed for each file currently opened by a network user.

  • Open File. The path and name of each opened file

  • Accessed By. The username of the person who has opened the file

  • Type. The type of network connection in use (Windows, NetWare, or Macintosh)

  • #Locks. The number of open file locks

  • Open Mode. The security permission that has been granted to the user over the resource

Administrators can perform administrative tasks from Open Files node. These tasks include:

  • Terminating an individual network user's access to a file

  • Terminating all network users' access to files

The steps required to perform both of these tasks are outlined in the procedures that follow.

Note

Administrators should use caution when forcefully terminating a remote user's access to a file because any work that the network user has not saved will be lost.

The following procedure outlines the steps involved in using the Computer Management console to terminate network access to one or more files.

  1. Open the Computer Management console and select the target computer.

  2. Drill down and locate and select the Open Files node under the Shared Folders extension. A listing of all files currently opened by network users is displayed, as demonstrated in Figure 19.23.

    Click To expand
    Figure 19.23: Viewing a listing of all files currently opened by network users

  3. To terminate a remote user's access to a file and close it, right-click on the file, select Close Open File, and click on Yes when prompted for confirmation.

  4. To terminate all remote users' access to files and close them, right-click on the Open File node, select Disconnect All Open Files, and click on Yes when prompted for confirmation.


Part V: Windows XP Professional Reference Materials

Appendix A: Windows XP Command Reference
Appendix B: Troubleshooting System Startup


Appendix A: Windows XP Command Reference

This appendix provides an alphabetical command reference of Windows XP Professional commands. Each command includes a brief explanation of its purpose, its syntax, and a complete explanation of its parameters. For additional information regarding the commands covered in this appendix, consult the Windows XP Help and Support Center.

Append

Enables programs to open files located in different folders as if they were stored in the current folder.

Syntax

append [;] [[drive:]path[;...]] [/x:{on | off}][/path:{on | off}] [/e]

Parameters |
Parameter | Purpose
; | Clears the list of appended folders.
[drive:]path | Sets the drive, path, and folder to be appended.
/x:{on | off} | Determines whether the MS-DOS subsystem searches appended folders when running programs. With /x:on the program performs the search, and with /x:off the program does not.
/path:{on | off} | Determines whether a program should search appended folders, even when a path is provided along with the name of the file that the program is looking for. /path:on is the default.
/e | Creates an environment variable named APPEND and sets its value equal to the list of appended folders. The /e switch can only be used once after each time you restart the system.


Arp

A TCP/IP protocol command that displays and modifies the IP-to-MAC address translation tables used by the ARP (Address Resolution Protocol).

Syntax

arp -a [inet_addr] [-N [if_addr]]
arp -d inet_addr [if_addr]
arp -g [-N [if_addr]]
arp -s inet_addr ether_addr [if_addr]

Parameters |
Parameter | Purpose
−a | Lists ARP entries.
−g | Lists ARP entries in the same manner as −a.
[inet_addr] | Identifies an IP address.
−N | Lists ARP entries for the network interface specified by if_addr.
[if_addr] | Identifies the IP address of the network interface whose address translation table should be modified. Otherwise, the first applicable interface will be used.
−d | Removes the entry specified by inet_addr.
−s | Adds a permanent entry in the ARP cache that associates the inet_addr IP address with the ether_addr MAC address.
ether_addr | Specifies a MAC address.


Assoc

Lists or changes file extension associations.

Syntax

assoc [.ext[=[filetype]]]

Parameters |
Parameter | Purpose
None | Lists current file associations.
.ext | Specifies a specific file extension to list or modify.
[filetype] | Identifies a file type to be associated with the specified file extension.


At

Displays a listing of scheduled tasks (command, script, or program) and schedules the execution of new tasks.

Syntax

at [\\computername] [[id] [/delete] | /delete [/yes]]
at [\\computername] time [/interactive] [/every:date[,...] |
/next:date[,...]] command

Parameters |
Parameter | Purpose
None | Displays a listing of all scheduled tasks.
[\\computername] | Specifies a remote computer where the task is to be executed. If omitted, the command is scheduled locally.
Id | Identifies the ID number assigned to a scheduled command.
[\delete] | Terminates a scheduled command. If id is not present, all scheduled tasks are terminated.
[\yes] | Requires a confirmation before terminating a scheduled task.
time | Identifies the time to execute the task expressed as hh:mm on a 24−hour clock.
[\interactive] | Permits interaction with the desktop and the logged on user.
\every:date[,…] | Establishes a schedule for task execution based on specified days of the week or month. The date is specified as M, T, W, Th, F, S, Su or 1–31. Multiple dates are separated by commas. If omitted, the schedule is set to the current day.
\next:date[,…] | Runs the task on the next occurrence of the day (M, T, W, Th, F, S, Su) or date (1–31). Multiple dates are separated by commas. If omitted, the schedule is set to the current day.
command | Specifies the task to execute.


Atmadm

Monitors connections and addresses and displays statistics for ATM (asynchronous transfer mode) networks.

Syntax

atmadm [-c][-a] [-s]

Parameters |
Parameter | Purpose
[−c[ | Lists information about the computer's established connections to the ATM network.
[−a] | Displays the registered ATM network service access point address for each ATM network interface on the computer.
[−s] | Provides statistical data for active ATM connections.


Attrib

Lists or modifies file attributes.

Syntax

attrib [+r|-r] [+a|-a] [+s|-s] [+h|-h] [[drive:][path] filename]
[/s[/d]]

Parameters |
Parameter | Purpose
[+r] | Specifies the read-only attribute.
[−r] | Clears the read-only attribute.
[+a] | Specifies the archive attribute.
[−a] | Clears the archive attribute.
[+s] | Identifies the file as a system file.
[−s] | Clears the system file attribute.
[+h] | Specifies the hidden file attribute.
[−h] | Clears the hidden file attribute.
[[drive:][path] filename] | Sets the drive, path, and file name to be processed.
[\s] | Applies changes to matching files in the current directory and all subdirectories.
[\d] | Processes directories.


Cacls

Displays or changes file ACLs (access control lists).

Syntax

cacls filename [/t] [/e] [/c] [/g user:perm] [/r user [...]]
[/p user:perm [...]] [/d user [...]]

Parameters |
Parameter | Purpose
filename | Displays a specified file's ACLs.
[/t] | Modifies the ACLs of specified files in the directory and its subdirectories.
[/e] | Edits an ACL rather than replacing it.
[/c] | Makes changes regardless of errors.
[/g user:perm] | Sets specified user access rights including: n = None r = Read c = Change f = Full Control
[/r user] | Removes user access rights.
[/p user:perm] | Replaces user access rights, including: n = None r = Read c = Change f = Full Control
[/d user] | Denies user access.


Call

Calls a label or another script for execution as a procedure.

Syntax

call [drive:][path] filename [batch-parameters]
call :label [arguments]

Parameters |
Parameter | Purpose
[drive:][path] filename | Sets the location and name of the script.
[batch-parameters] | Identifies the command-line information to be passed to the script.
label | Specifies a label within the script to jump.


Chcp

Displays or modifies the active console code page number.

Syntax

chcp [nnn]

Parameters |  |
Parameter | Purpose |
None | Displays the active console code page number. |
[nnn] | Specifies one of the following code pages: |
 | 437 | United States
 | 850 | Multilingual (Latin I)
 | 852 | Slavic (Latin II)
 | 855 | Cyrillic (Russian)
 | 857 | Turkish
 | 860 | Portuguese
 | 861 | Icelandic
 | 863 | Canadian-French
 | 865 | Nordic
 | 866 | Russian
 | 869 | Modern Greek


Chdir (Cd)

Displays the current directory name or changes the current directory.

Syntax

chdir [/d] [drive:][path] [..]
cd [/d] [drive:][path] [..]

Parameters |
Parameter | Purpose
None | Displays the names of the current drive and directory.
[/d] | Changes the current drive and directory.
[drive:][path] | Changes to a specified drive and directory.
[..] | Changes the current directory to the parent directory.


Chkdsk

Displays disk status and corrects errors found on the specified disk.

Syntax

chkdsk [drive:][[path] filename] [/f] [/v] [/r] [/x] [/i] [/c]
[/l[:size]]

Parameters |
Parameter | Purpose
None | Displays disk status for the current drive.
[drive:] | Specifies the drive to be checked.
[path] filename | Specifies files to be checked for fragmentation.
[/f] | Repairs disk errors.
[/v] | Displays the name of each file that is processed.
[/r] | Finds bad sectors and attempts to recover lost data.
[/x] NTFS only. Forces the volume dismount on NTFS volumes. |
Parameters |
Parameter | Purpose
[/i] | NTFS only. Speeds up chkdsk by performing a less extensive check on NTFS volumes.
[/c] | NTFS only. Eliminates checking of cycles inside folders on NTFS volumes.
/l[:size] NTFS only. Displays or changes log file size on NTFS volumes. |


Chkntfs

Displays or schedules the automatic system checking on FAT, FAT32, or NTFS volumes during system initialization.

Syntax

chkntfs volume: [...]
chkntfs [/d]
chkntfs [/t[:time]]
chkntfs [/x volume: [...]]
chkntfs [/c volume: [...]]

Parameters |
Parameter | Purpose
volume: | Displays file system type of the specified volume.
/d Restores default settings. |
[/t] Displays or modifies remaining time for automatic file checking. |
[/x] Prevents a specified volume from being checked during system initialization. |
[/c] Specifies that the volume be checked during system initialization. |


Cipher

Displays or modifies folder and file encryption on NTFS volumes.

Syntax

cipher [/e| /d] [/s:dir] [/a] [/i] [/f] [/q] [/h] [/k] [/u] [/n]
[pathname [...]] | [/r:pathnamewithnoextn] | [/w:pathname]

Parameters |
Parameter | Purpose
None | Displays the current encryption status of the current folder and its contents.
[/e] | Encrypts the specified folders and turns on encryption for any files that may later be added to the folder.
[/d] | Decrypts the specified folders and turns off encryption for any files that may later be added to the folder.
[/s: dir] | Performs the specified operation on all folders and subfolders in the specified folder.
[/a] | Performs the specified operation on all specified files.
[/i] | Performs the specified operation even if errors occur.
[/f] | Encrypts or decrypts all specified objects regardless of their current encryption status.
[/q] | Limits reporting to essential information only.
[/h] | Displays files with hidden or system attributes.
[/k] | Creates a new encryption key.
[/u] | Updates the encryption key.
[/n] | Prevents the updating of the encryption key.
[pathname] | Sets a folder, file, or pattern.
[/r:pathnamewithnoextn] | Creates a new recovery agent certificate and a new private key.


Cls

Clears the command console screen and displays the command prompt and cursor.

Syntax

cls
Team LiB


Cmd

Starts a new instance of the Windows shell.

Syntax

cmd [ [/c | /k] [/s] [/q] [/d] [/a | /u] [/t:fg] [/e: on | off]
[/f: on | off] [/v: on | off] string]

Parameters |
Parameter | Purpose
[/c] | Exits the shell after executing the specified command.
[/k] | Executes the specified command and continues.
[/q] | Disables echoing.
[/d] | Prevents the execution of AuoRun commands.
[/a] | Formats output as ANSI characters.
[/u] | Formats output as Unicode characters.
[/t:fg] | Specifies foreground and background colors.
[/e: on | off] | Turns on support for command extensions.
[/f: on | off] | Turns on file and directory name completion.
[/v: on | off] | Turns on support for delayed variable expansion.
[string] | Sets the command to be executed.


Color

Sets console foreground and background colors. Returns ERRORLEVEL 1 if you try to set the foreground and background colors to the same value.

Syntax

color fb

Parameters |  |
Parameter | Purpose |
none | Restores default colors. |
f | Sets the foreground color based on a hexadecimal value. |
b | Sets the background color based on a hexadecimal value. Hexadecimal color assignments include:
 | 0 | Black
 | 1 | Blue
 | 2 | Green
 | 3 | Aqua
 | 4 | Red
 | 5 | Purple
 | 6 | Yellow
 | 7 | White
 | 8 | Gray
 | 9 | Light blue
 | A | Light green
 | B | Light aqua
 | C | Light red
 | D | Light purple
 | E | Light yellow
 | F | Bright white


Comp

Performs a comparison of two files or two sets of files on a byte-by-byte basis.

Syntax

comp [data1] [data2] [/d] [/a] [/l] [/n=number] [/c]

Parameters |
Parameter | Purpose
[data1] | Sets the path and file name of the first file or set of files.
[data2] | Sets the path and file name of the second file or set of files.
[/d] | Displays any differences using a decimal format.
[/a] | Displays any differences in character format.
[/l] | Displays line numbers where differences occur.
[/n=number] | Compares the specified number of lines in both files.
[/c] | Performs a case-insensitive comparison.


Compact

Displays and changes compression settings for files and folders on NTFS partitions.

Syntax

compact [/c|/u] [/s[:dir]] [/a] [/i] [/f] [/q] [filename[...]]

Parameters |
Parameter | Purpose
None | Displays information of the compression state for the current folder.
[/c] | Compresses the folder or file.
[/u] | Uncompresses the folder or file.
[/s:dir] | Specifies that all subfolders should be processed.
[/a] | Displays hidden or system files.
[/i] | Specifies that errors should be ignored.
[/f] | Forces the compression or uncompression of the folder or file.
[/q] | Limits reporting to essential information only.
[filename] | Sets the file or directory.


Convert

Converts FAT and FAT32 volumes to NTFS volumes.

Syntax

convert [volume] /fs:ntfs [/v] [/cvtarea:filename] [/nosecurity] [/x]

Parameters |
Parameter | Purpose
volume | Identifies the driver letter to be converted.
/fs:ntfs | Converts the volume.
[/v] | Turns on verbose messaging.
[/cvtarea:filename] | Specifies that the Master File table is to be written to an existing placeholder.
[/nosecurity] | Makes converted files and folders accessible to everyone.
[/x] | Dismounts the volume before converting.


Copy

Copies one or more files.

Syntax

copy [/d] [/v] [/n] [/y | /-y] [/z] [/a | /b] source [/a | /b]
[+ source [/a | /b] [+ …]] [destination [/a | /b]

Parameters |
Parameter | Purpose
[/d] | Permits encrypted files to be copied and saved as decrypted files.
[/v] | Verifies the success of the copy operation.
[/n] | Uses a short file name as the destination file's new file name.
[/y] | Suppresses any confirmation prompts.
[/−y] | Displays confirmation prompts.
Parameter | Purpose
[/z] | Turns on a restartable mode before copying network files so that if network connectivity is lost, the copy operation will resume when connectivity is re-established.
[/a] | Identifies the file as an ASCII text file.
[/b] | Identifies the file as a binary file.
source | Specifies the file name of a file or set of files to be copied.
destination | Specifies the name and destination where the file is to be copied.


Country

Configures the MS-DOS subsystem so that it can use international dates, time, currency, case conversions, and decimal separators.

Syntax

country=xxx[,[yyy][,[drive:][path] filename]]

Parameters |
Parameter | Purpose
xxx | Identifies the Country/Region code.
[yyy] | Identifies Country/Region code page.
[drive:][path] filename | Sets the drive, path, and file name of the file that contains the Country/Region information.


Cprofile

Removes unnecessarily used space from profiles.

Syntax

cprofile [/l] [/i] [/v] [filelist]
cprofile [/ii] [/v] [filelist]

Parameters |
Parameter | Purpose
[/l] | Cleans local profiles.
[/i] | Prompts before processing each profile.
[/v] | Displays detailed information about each action that is performed.
[filelist] | A list of files from which user-specific file associations are removed.


Date

Displays or changes the current date.

Syntax

date [mm-dd-yy]
date [/t]

Parameters |
Parameter | Purpose
[mm-dd-yy] | Specifies the date. mm must be 1-12 dd must be 1-31 yy must be 80-99 or 1980-2099
[/t] | Displays the date without prompting for a date change.


Debug

Starts the Debug program used to test MS-DOS executables.

Syntax

debug [[drive:][path] filename [parameters]]

Parameters |
Parameter | Purpose
[drive:][path] filename | Specifies the drive, path, and file name of the executable file to text.
[parameters] | Command-line parameters required by the executable file.


Defrag

Reorganizes data stores on local volumes to improve storage and retrieval time.

Syntax

defrag volume [/a]
defrag volume [/a] [/v]
defrag volume [/v]
defrag volume [/f]

Parameters |
Parameter | Purpose
volume | The driver letter to be defragmented.
[/a] | Displays an analysis report.
[/v] | Displays a verbose analysis.
[/f] | Forces defragmentation.


Del (Erase)

Deletes a file.

Syntax

del [drive:][path] filename [ ...] [/p] [/f] [/s] [/q]
[/a[:attributes]]
erase [drive:][path] filename [ ...] [/p] [/f] [/s] [/q]
[/a[:attributes]]

Parameters |
Parameter | Purpose
[drive:][path] filename | Specifies the drive, path, and file name of the files to delete.
[/p] | Prompts for confirmation.
[/f] | Deletes read-only files.
[/s] | Deletes files in the current folder and its subfolders.
[/q] | Suppresses the confirmation prompts.
[/a] | Deletes files based on file attributes.


Dir

Displays a directory file listing.

Syntax

dir [drive:][path][filename] [...] [/p] [/q] [/w] [/d]
[/a[[:]attributes]][/o[[:]sortorder]] [/t[[:]timefield]] [/s]
[/b] [/l] [/n] [/x] [/c] [/4]

Parameters

Parameter

Purpose

None

Displays the disk's volume label, serial number, and a listing of its contents.

[drive:][path]

Specifies the drive and path for the folder to be displayed.

[filename]

Specifies a particular file to be displayed.

[/p]

Displays data a screen at a time.

[/q]

Display information about file ownership.

[/w]

Displays the folder listing in multiple columns.

[/d]

Same as /w but sorts files by column.

/a[[:] attributes]

Limits the displays to directories and files that match supplied attributes. The following attributes can be used:

h | Hidden files
s | System files
d | Directories
a | Files ready to be archived
r | Read-only files
-h | Nonhidden files
-s | Nonsystem files
-d | Only display files
-a | Files without changes since the last backup
-r | Non-read-only files

/o [[:]sortorder]

Specifies the sort order used to display directory and file names. The following options can be used:

n | Alphabetically by name
e | Alphabetically by extension
d | By date and time
s | By size
g | Show folders before files
-n | Reverse alphabetical order by name
-e | Reverse alphabetical order by extension
-d | By reverse date and time
-s | By reverse size
-g | Show folders after files

/t [[:]timefield]

Determines the time field used to display or sorting the listing. Valid options:

c | Creation time
a | Last access time
w | Last written time

[/s]

Lists every occurrence of the specified file name.

[/b]

Lists each directory or file name.

[/l]

Displays unsorted lowercase folder and file names.

[/n]

Displays a long list format.

[/x]

Displays the short names.

[/c]

Displays the thousand separator (comma) when showing file sizes.

[/4]

Displays the date in a four-digit year format.


Diskcomp

Compares the contents of two floppy disks.

Syntax

diskcomp [drive1: [drive2:]]

Parameters |
Parameter | Purpose
[drive1] | Identifies the location of the first disk.
[drive2] | Identifies the location of the second disk.


Diskcopy

Copies the contents of a source disk to a destination disk.

Syntax

diskcopy [drive1: [drive2:]] [/v]

Parameters |
Parameter | Purpose
[drive1] | Identifies the location of the source disk.
[drive2] | Identifies the location of the destination disk.
[/v] | Verifies a successful copy operation.


Diskperf

Specifies the types of counters that can be used with the System Monitor.

Syntax

diskperf [-y[d|v]|-n[d|v] [\\computername]

Parameters |
Parameter | Purpose
None | Displays the status of performance counters.
[-y] | Specifies that the physical and logical disk performance counters should be started at system initialization.
[-yd] | Enables disk performance counters for physical drives at system initialization.
[-yv] | Enables disk performance counters for logical drives at system initialization.
[-n] | Prevents disk performance counters from starting at system initialization.
[-nd] | Disables physical drive disk performance counters at system initialization.
[-nv] | Disables logical drive disk performance counters at system initialization.
[//computername] | Allows you to specify a network computer for viewing.


Doskey

Executes the Doskey program, which recalls commands and creates macros.

Syntax

doskey [/reinstall] | [/listsize=size] | [/macros:[all | exename]] |
[/history] | [/insert|] | [/overstrike] | [/exename=exename] |
[/macrofile=filename] | [macroname=[text]]

Parameters |
Parameter | Purpose
[/reinstall] | Installs a new copy of Doskey.
[/listsize=size] | Sets the maximum number of commands contained in the history buffer.
[/macros] | Displays macros.
[all] | Displays macros for all executables.
[exename] | Displays the specified executable's macro.
[/history] Displays commands currently stored in memory. |
[/insert | /overstrike] | Specifies the insert mode.
[/exename=exename] | Identifies the program that will run the macro.
[/macrofile=filename] | Identifies the file that contains macros to be installed.
[macroname=[text]] | Creates a macro and assigns the commands set by text.


Dosonly

Prevents non-MS-DOS applications from being executed at COMMAND.COM.

Syntax

Dosonly
Team LiB


Driverquery

Displays device driver information.

Syntax

driverquery [/s computer] [/u domain\user /p password] [/fo table |
list | csv] [/nh] [/v] [/si]

Parameters |
Parameter | Purpose
[/s computer] | Identifies the name of the computer or its IP address.
[/u domain/user /p password] | Executes the command using the supplied user's permissions.
[/fo table|list|csv] | Specifies the format in which returned results are to be displayed.
[/nh] | Prevents the displays of the heading when used with the /fo table option.
[/v] | Displays detailed information about drivers.
[/si] | Displays digital signature information.


Echo

Displays a message or enables and disables command echoing.

Syntax

echo [on | off] [message]

Parameters |
Parameter | Purpose
None | Displays the current echo setting.
on | off | Turns command echoing on or off.
[message] | Specifies text to be displayed.


Echoconfig

Displays messages when processing the MS-DOS subsystem CONFIG.NT and AUTOEXEC.NT files during the initialization of the MS-DOS subsystem.

Syntax

echoconfig
Team LiB


Edit

Starts the MS-DOS editor.

Syntax

edit [[drive:][path] filename] [/b] [/g] [/h] [/nohi]

Parameters |
Parameter | Purpose
[drive:][path] filename | Specifies the drive, path, and file name of a text file and creates it if it does not exist.
[/b] | Displays the MS-DOS editor with a black background and white foreground.
[/g] | Speeds up screen updating on a CGA monitor.
[/h] | Displays the number of lines that can be displayed on the monitor.
[/nohi] | Changes from a 16-color to an 8-color scheme.


Edlin

Starts a line-oriented ASCII text editor.

Syntax

edlin [drive:][path] filename [/b]

Parameters |
Parameter | Purpose
[drive:][path] filename | Specifies the drive, path, and file name of an ASCII file.
[/b] | Instructs edlin to ignore the end-of-file characters.


Endlocal

Ends localization of environment changes in a script and restores environment variables to their previous values.

Syntax

Endlocal
Team LiB


Evntcmd

Displays SNMP events.

Syntax

evntcmd [/s sysname][/v number] [/n] filename

Parameters |
Parameter | Purpose
[/s sysname] | Sets the target system name.
[/v number] | Sets the level of messaging: 0=none; 10=detailed.
[/n] | Prevents the restart of the SNMP service when trap changes are received.
filename | Identifies a configuration file with information about which vent to trap.


Evntcreate

Provides administrators with the ability to post events to event logs.

Syntax

eventcreate [/s computer [/u domain\user [/p passwd]] [/l application |
system] | [/so srcname] [/t error | warning | information |
successaudit | failureaudit] [/id event] [/d description]

Parameters |
Parameter | Purpose
[/s] | Specifies the name of the target computer.
[/u] | Executes the command using the permission assigned to the specified user.
[/p] | Specifies the user's password.
[/l application | system] | Specifies the target event log.
[/so srcname] | Sets the event source.
[/t error | warning | information | successaudit | failureaudit] | Identifies the event type.
[/id event] | Sets the event type (between 1–65535).
[/d description] | Specifies an event description.


Evntquery

Displays events stored in event logs.

Syntax

Eventcreate[.vbs] [/s computer [/u domain\user [/p passwd]]
[/fi filter] [/fo table | list | csv] [/r evtrange] [/nh] [/v]
[/l [application] | [system] | [security] ["DNS server"] [userlog]
[dirlogname] [*]]

Parameters |
Parameter | Purpose
[/s] | Specifies the name of the target computer.
[/u] | Executes the command using the permission assigned to the specified user.
[/p] | Specifies the user's password.
[/fi filter] | Identifies the events to be included.
[/fo table | list | csv] | Specifies the format for the command output.
[/r evtrange] | Specifies the range of events to be displayed. N lists the n most recent events in the log. -n lists the n oldest event in the log. n1-n2 lists the events in the specified range.
[/nh] | Suppresses the display of column headers.
[/v] | Specifies verbose output.
[/l application | system | security] | Specifies the target event log.
['DNS server'] | Can be specified only if DNS is active on the target computer.
[userlog] | A user-defined log to be processed.
[dirlogname] | A directory log to be processed.
[*] | Specifies all logs.


Exit

Terminates a Windows shell session.

Syntax

exit [/b] [exitcode]

Parameters |
Parameter | Purpose
[/br] | Exits the currently processing batch file.
exitcode | Sets an exit code number.


Expand

Uncompresses compressed files from distribution disks.

Syntax

expand [-r] source [destination]
expand -d source.cab [-f:files]
expand source.cab -f:files destination

Parameters |
Parameter | Purpose
[-r] | Renames files as it expands them.
-d | Displays the list of files at the specified source location.
[-f:files] | Specifies the files in a .CAB file that are to be expanded.
source | Specifies the location of the files to expand.
[destination] | Specifies the location where files are to be expanded.


Fc

Compares two files and reports on their differences.

Syntax

fc [/a] [/b] [/c] [/l] [/lbn] [/n] [/t] [/u] [/w] [/nnnn]
[drive1:][path1]filename1 [drive2:][path2]filename2

Parameters |
Parameter | Purpose
[/a] | Displays the first and last lines for each set of differences.
[/b] | Performs a comparison of the files in binary mode.
[/c] | Ignores differences in case.
[/l] | Performs a comparison of the files in ASCII mode.
[/lbn] | Specifies the number of lines used by the internal line buffer. This value must be greater than or equal to the number of differing lines in the files being compared.
[/n] | Displays the line numbers.
[/t] | Prevents the expansion of tabs into spaces.
[/u] | Performs a comparison of the files as Unicode text files.
[/w] | Compresses white space during the comparison.
[/nnnn] | Sets the number of consecutive lines that must be matched before the two files are identified as resynchronized.
[drive1:][path1]filename1 | Sets the drive, path, and file name of the first file.
[drive2:][path2]filename2 | Sets the drive, path, and file name of the second file.


Fcbs

Sets a limit on the number of FCBs (file control blocks) that the MS-DOS subsystem accesses simultaneously.

Syntax

fcbs=x

Parameters |
Parameter | Purpose
x | Sets the number of FCBs with a maximum setting of 255.


Files

Limits the number of files that the MS-DOS subsystem can open at one time.

Syntax

files=x

Parameters |
Parameter | Purpose
x | Sets the number of files with a maximum setting of 255.


Find

Searches for a string of text in a file and displays any matches.

Syntax

find [/v] [/c] [/n] [/i] "string" [[drive:][path]filename[...]]

Parameters |
Parameter | Purpose
[/v] | Displays lines that do not match the string.
[/c] | Displays a count of matching lines.
[/n] | Displays a line before each line.
[/i] | Performs a case-insensitive search.
“string” | Specifies the string to search for.
[drive:][path] filename | Specifies the drive, path, and file name of the file to be searched.


Findstr

Searches for strings in files using regular expressions.

Syntax

findstr [/b] [/e] [/l] [/r] [/s] [/i] [/x] [/v] [/n] [/m] [/o] [/p]
[/offline] [/g:file] [/f:file] [/c:string] [/d:dirlist]
[/a:color attribute] [strings] [[drive:][path] filename [...]]

Parameters |
Parameter | Purpose
[/b] | Specifies that the match must occur at the beginning of a line.
[/e] | Specifies that the match must occur at the end of a line.
[/l] | Performs a literal search using the search string.
[/c: string] | Uses the specified string as a literal search string.
[/r] | Uses search strings as regular expressions.
[/s] | Searches for matches in the current folder and all subdirectories.
[/I] | Specifies a case-insensitive search.
[/x] | Prints lines that contain a match.
[/v] | Prints lines that do not contain a match.
[/n] | Prints the line number.
[/m] | Prints the file name where a match is found.
[/o] | Prints the seek offset before each match.
[/p] | Skips nonprintable characters.
[offline] | Causes a file with the offline attribute set to be processed.
[/g file] | Specifies a file that contains the search strings.
[/f file] | Specifies a file that contains a file list.
[/d dirlist] | Searches a comma-delimited list of folders.
[/a color attribute] | Specifies two character hexadecimal color attributes.


Finger

Displays user information on a specified system running the Finger service.

Syntax

finger [-l] [user]@computer [...]

Parameters |
Parameter | Purpose
[-l] | Provides information using a long list format.
[User] | Specifies a user. If omitted, information about all users is displayed.
@computer | Specifies the computer where the information is to be collected.


Flattemp

Enables or displays the use of flat temporary folders.

Syntax

flattemp [/query | /enable | /disable]

Parameters |
Parameter | Purpose
[/query] | Displays the current setting for FLATTEMP.
[/enable] | Enables the use of temporary folders.
[/disable] | Disables the use of temporary folders.


For

Executes a command for each file in a set of files.

Syntax

for %%variable in (set) do command [command-parameters]

Parameters |
Parameter | Purpose
%%variable | Specifies a parameter that the for command replaces with each text string in the specified set until all files have been processed.
(set) | Specifies files or text strings to process.
command Specifies the command to be executed in each file in the set. |
[command-parameters] | Provides parameters to be used by the specified command.


Forcedos

Starts a program using the MS-DOS subsystem.

Syntax

forcedos [/d directory] filename [parameters]

Parameters |
Parameter | Purpose
[/d directory] | Sets the directory to be used by the specified program.
filename | Identifies the program to be started.
[parameters] | Provides parameters to be used by the specified program.


Format

Formats a disk.

Syntax

format volume [/fs:file-system] [/v:label] [/q] [/a:unitsize] [/c] [/x]
format volume [/v:label] [/q] [/f:size]
format volume [/v:label] [/q] [/t:tracks /n:sectors]
format volume [/v:label] [/q]
format volume [/q]

Parameters |
Parameter | Purpose
volume: | Sets the mount point, volume, or drive to be formatted.
[/fs:file-system] | Specifies one of the following file systems: FAT, FAT32, or NTFS.
[/v:label] | Sets the volume label.
[/a:unitsize] | Sets the allocation unit size to use on FAT, FAT32, or NTFS volumes.
[/q] | Performs a quick format.
[/f:size] | Specifies the size of the floppy disk.
[/t:tracks] | Specifies the number of tracks on the disk.
[/n:sectors] | Specifies the number of sectors per track.
[/c] | Specifies that files created on the new volume should be automatically compressed.
[/x] | Automatically dismounts a volume if required before formatting it.


Ftp

Transfers files to and from a computer running an FTP service.

Syntax

ftp [-v] [-d] [-i] [-n] [-g] [-s:filename] [-a] [-w:windowsize] [-A][computer]

Parameters |
Parameter | Purpose
[−v] | Prevents the display of remote server messages.
[−d] | Enables debugging.
[−i] | Prevents interactive prompting for multiple file transfers.
[−n] | Suppresses autologin upon the initial connection.
[−g] | Permits the use of wildcard characters in local file and path names.
[−s:filename] | Identifies a text file containing FTP commands that should be automatically executed when the FTP session starts.
[−a] | Uses any local interface to bind data connection.
[−w:windowsize] | Changes the default transfer buffer size from 4096 to a new value.
[−A] | Logs on as anonymnous.
[computer] | Specifies a remote computer to connect to.


Ftype

Displays or modifies file types used to associate file name extensions.

Syntax

Ftype [filetype[=[command]]]

Parameters |
Parameter | Purpose
[filetype] | Specifies the file type you want to work with.
[command] | Specifies the open command that is used to open files of this type.


Getmac

Displays the MAC (media access control) address of network devices and lists network protocols assigned to each address.

Syntax

Getmac[.exe] [/s computer [/u domain\user] [/p passwd]] [/fo [table |
list | csv] [/nh] [/v]

Parameters |
Parameter | Purpose
[/s computer] | Identifies the target computer by name or IP address.
[/u domain\user] | Executes the command using the supplied user's permissions.
[/p password] | Specifies the user's password.
[/fo [table | list | csv] | Specifies the format in which returned results are to be displayed.
[/nh] | Suppresses the display of column headers.
[/v]Specifies verbose output. |


Goto

Instructs the shell to jump to a label in a script and begins processing commands starting with the next line.

Syntax

goto label

Parameters |
Parameter | Purpose
label | Identifies the line in a script to which the shell should jump.


Gpresult

Displays Group Policy settings and Resultant Set of Policy on the target computer.

Syntax

gpresult [/s computer] [/u domain\user /p password]
[/user trgtusername] [/scope [user | computer]] [/v] [/z]

Parameters |
Parameter | Purpose
[/s computer] | Identifies the target computer by name or IP address.
[/u domain\user /p password]Executes the command using the supplied user's permissions. |
[/user trgtusername]Specifies the username whose Resultant Set of Policy is to be displayed. |
[/scope [user | computer]] | Provides either computer or user data.
[/v] | Specifies verbose output.
[/z] | Specifies all available information.


Gpupdate

Refreshes Group Policy settings.

Syntax

gpupdate [/target:computer | user] [/force] [/wait:x] [/logoff] [/boot]

Parameters |
Parameter | Purpose
[/target:computer | user] | Specifies whether computer or user settings are processed.
[/force] | Applies all Group Policy settings.
[/wait:x] | Number of seconds to wait for the command to complete. 600 is default.
[/logoff] | Logs the user off after the command completes.
[/boot] | Restarts the computer after the command completes.


Graftabl

Instructs Windows to display the extended characters from a specified code page in full screen mode.

Syntax

graftabl [xxx] [/status]

Parameters |  |
Parameter | Purpose |
[xxx] | Specifies the code page. Valid options are:
 | 437 | United States
 | 850 | Multilingual (Latin I)
 | 852 | Slavic (Latin II)
 | 855 | Cyrillic (Russian)
 | 857 | Turkish
 | 860 | Portuguese
 | 861 | Icelandic
 | 863 | Canadian-French
 | 865 | Nordic
 | 866 | Russian
 | 869 | Modern Greek
[/status] | Identifies the currently selected code page.


Help

Provides online information about commands.

Syntax

help [command]

Parameters |
Parameter | Purpose
[command] | Specifies the command.


Helpctr

Opens the Help and Support Center.

Syntax

helpctr [/url [URL]] [/mode [URL]] [/hidden] [/fromstarthelp]

Parameters |
Parameter | Purpose
[/url [URL]] | Specifies the URL to be loaded when the Help and Support Center starts.
[/mode [URL]] | Specifies an XML definition file that controls the layout and text of the Help and Control Center.
[/hidden] | Starts the Help and Control Center but does not display its interface.
[/fromstarthelp] | Starts a new instance of the Help and Support Center.


Hostname

Displays the TCP/IP name of the computer.

Syntax

hostname
Team LiB


If

Supports conditional logic in scripts.

Syntax

if [not] errorlevel number command [else expression]
if [not] string1==string2 command [else expression]
if [not] exist filename command [else expression]
if [/i] string1 compare-op string2 command [else expression]
if cmdextversion number command [else expression]
if defined variable command [else expression]

Parameters

Parameter

Purpose

[not]

Reverses the test condition.

errorlevel number

Sets a true condition if the previous program returned an exit code equal to or greater than number.

command

Identifies a command that the shell is to execute if the preceding condition is satisfied.

string1==string 2

Specifies a true condition when string1 and string2 are the same.

exist filename

Specifies a true condition when a filename exists.

compare-op

Can be any of the following operators:

EQU | equal to
NEQ | not equal to
LSS | less than
LEQ | less than or equal to
GTR | greater than
GEQ | greater than or equal to

[/i]

Forces case-insensitive string comparisons.

cmdextversion number

Compares the internal version number associated with CMD.EXE to the specified number.

defined variable

Returns true if the environment variable is defined.

[else expression]

Specifies the command and any parameters that need to be passed to the command.


Ipconfig

A diagnostic command that displays and sets TCP/IP network configuration settings.

Syntax

ipconfig [/all [/renew [adapter]] [/release [adapter]] [/flushdns]
[/displaydns] [/registerdns] [/showclassid adapter]
[/setclassid adapter [classid]]

Parameters |
Parameter | Purpose
None | Displays the IP address, subnet mask, and default gateway for each network interface.
[/all] | Produces all available configuration information.
[/renew [adapter]] | Submits a request to renew the DHCP configuration parameters.
[/release [adapter]] | Discards the current DHCP configuration.
[/flushdns] | Clears and resets DNS client cache.
[/displaydns] | Displays DNS client cache.
[/registerdns] | Registers DNS names and IP addresses for the computer.
[/showclassid adapter] | Displays the DHCP class ID for the specified network adapter.
[/setclassid adapter [classid]] | Configures the DHCP class ID for the specified network adapter.


Ipxroute

Displays and changes information about IPX routing tables.

Syntax

ipxroute servers [/type=x]
ipxroute ripout network
ipxroute resolve [guid | name] [guid | adapter]
ipxroute board=x [def] [gbr] [mbr] [remove=xxxx]
ipxroute config

Parameters |
Parameter | Purpose
servers [/type=x] | Displays the SAP (Service Access Point) table.
ripout network | Determines whether network is accessible.
resolve [guid| name] [guid | adapter] | Resolves GUID to a friendly name and vice versa.
board=x | Identifies the network adapter to be queried.
[def] | Transmits data packets using the ALL ROUTES broadcast. When a packet is sent to a unique MAC address that is not listed in the routing table, it is sent to SINGLE ROUTES broadcast.
[gbr] | Transmits data packets using the ALL ROUTES broadcast. When a packet is sent to the broadcast address 255, it is sent to SINGLE ROUTES broadcast.
[mbr] | Transmits data packets using the ALL ROUTES broadcast. When a packet is sent to a multicast address, it is sent to SINGLE ROUTES broadcast.
[remove=xxxx] | Removes the specified address from the routing table.
config | Displays information about all IPX bindings.


Irftp

Sends and receives data over an infrared link.

Syntax

irftp [drive:\][[path]filename] [/h]
irftp /s

Parameters |
Parameter | Purpose
[drive:] [[path]filename] | The drive, path, and file name to be transmitted.
/h | Specifies hidden mode, which prevents the display of the Wireless Link dialog box.
/s | Opens Wireless link properties.


Label

Creates, deletes, or modifies a disk's volume label.

Syntax

label [drive:][label]
label [/MP] [volume] [label]

Parameters |
Parameter | Purpose
none | Instructs the shell to prompt you to change or delete the current label.
[drive:] | Specifies a disk.
[label] | Specifies a new volume label.
[/MP] | Specifies that the volume is a mount point or volume name.
[volume] | Sets the drive letter, volume name, or mount point.
[label] | Specifies a volume label.


Loadfix

Loads a program above the first 64KB of conventional memory and executes it.

Syntax

loadfix [drive:][path] filename

Parameters |
Parameter | Purpose
[drive:][path] | Specifies the drive and path of the program.
filename | Specifies the program name.


Lodctr

Registers Performance counters and text for services and drivers.

Syntax

lodctr [\\computer] filename [/s:filename] [/r:filename]

Parameters |
Parameter | Purpose
[\\computer] | filename Registers the Performance counters located in filename on the specified the target computer.
[/s:filename] | Saves Performance counter settings to filename.
[/r:filename] | Restores Performance counter settings from filename.


Logman

Schedules performance counter and event trace log collections.

Syntax

logman [create [counter | trace] collection] [start collection]
[stop collection] [delete collection] [query collection | providers]
[update collection]

Parameters |
Parameter | Purpose
[create [counter | trace] collection] | Creates collection queries or trace collections.
[start collection] | Starts the specified collection query.
[stop collection] | Stops the specified collection query.
[delete collection] | Deletes the specified collection query.
[query collection | providers] | Collection displays the specified collection's properties. Providers displays all registered providers.
[update collection] | Updates collection queries.


Lpq

A diagnostic utility that provides status information about a print queue on a computer running the LPD server.

Syntax

lpq -S server -P printer [-l]

Parameters |
Parameter | Purpose
−S server | Specifies computer name.
 | Specifies the printer name.
[−l] | Provides for a detailed status.


Lpr

A utility used to submit a print file to a computer running an LPD server.

Syntax

lpr [-S server] –P printer [-C bannercontent] [-J jobname] [-o | -ol]
filename

Parameters |
Parameter | Purpose
[−S server] | Specifies the computer name or IP address of the computer where the printer is located.
−P | Printer Specifies the printer name.
[−C bannercontent] | Specifies banner page content to print.
[−J jobname] | Specifies the print job name.
[−o | =ol] | Specifies the file type. –o indicates a text file and –ol indicates a binary file.
filename | Specifies the file to be printed.


Mem

Displays information about memory usage of programs loaded into memory in the MS-DOS subsystem.

Syntax

mem [/program|/debug|/classify]

Parameters |
Parameter | Purpose
None | Displays the MS-DOS subsystem memory status.
/program | Displays the status of programs loaded into memory. This switch is mutually exclusive with the other switches.
/debug | Displays the status of currently loaded programs and internal drivers. This switch is mutually exclusive with the other switches.
/classify | Displays the status of programs loaded into conventional memory and the upper memory area. This switch is mutually exclusive with the other switches.


Mkdir (md)

Creates a directory or subdirectory.

Syntax

mkdir [drive:]path
md [drive:]path

Parameters |
Parameter | Purpose
[drive:] | Specifies the drive where the new folder is to be created.
path | Specifies the folder's name and path.


Mmc

Opens the MMC (Microsoft Management Console).

Syntax

mmc path\filename.msc [/a] [/64] [/32]

Parameters |
Parameter | Purpose
path/filename.msc | Starts the MMC using an existing console.
[/a] | Opens an existing console in author mode.
[/64] | Opens the 64-bit MMC.
[/32] | Opens the 32-bit MMC.


More

Displays output a screen at a time.

Syntax

command name | more [/c] [/p] [/s] [/tn] [+n]
more [[/c] [/p] [/s] [/tn] [+n]] < [drive:] [path] filename
more [/c] [/p] [/s] [/tn] [+n] [files]

Parameters |
Parameter | Purpose
[drive:] [path] filename | Specifies a file to display.
command name | Specifies a command to execute and display its output.
[/c] | Clears the screen.
[/p] | Expands form-feed characters.
[/s] | Removes multiple blank lines from the display.
[/tn] | Changes tabs to the specified number of spaces.
[+n] | Displays the file beginning on line n.
[files] | Specifies a collection of files to display.


Mountvol

Creates, deletes, or displays a volume mount point.

Syntax

mountvol [drive:]path VolumeName
mountvol [drive:]path /d
mountvol [drive:]path /L
mountvol drive: /s

Parameters |
Parameter | Purpose
[drive:]path | Specifies an NTFS folder to contain the mount point.
VolumeName | Identifies the volume name that is the target of the mount point.
/d | Removes a volume mount point in the specified folder.
/L | Displays the mounted volume name in the specified folder.
/s | Mounts the EIF System Partition on the specified drive and an Itanium based computer.


Move

Moves one or more files from one location to another, deleting them from their original location.

Syntax

move [/y | /-y] [source] [target]

Parameters |
Parameter | Purpose
[/y] | Suppresses confirmation prompts.
[/−y] | Enables confirmation prompting.
[source] | Specifies the location of the source files to be moved.
[target] | Specifies the destination location of the files.


Msinfo32

Displays information about the operating system, software, and hardware.

Syntax

Msinfo32 [/pch] [/nfo filename] [/report filename] [/computer system]
[/showcategories] [/category categoryID] [/categories categoryID]

Parameters |
Parameter | Purpose
[/pch] | Displays results using a history view.
[/nfo filename] | Saves results as an .nfo file.
[/report filename] | Saves results as a .txt file.
[/computer system] | Starts the System Information utility on the target computer.
[/showcategories] | Starts the System Information utility on the target computer using all available category IDs.
[/category categoryID] | Starts the System Information utility on the target computer using the specified category ID
[/categories categoryID] | Starts the System Information utility on the target computer using the specified category ID or category IDs.


Nbtstat

Displays current TCP/IP connections and statistics using NetBIOS over TCP/IP.

Syntax

nbtstat [-a remotename] [-A IP address] [-c] [-n] [-r] [-R] [RR] [-s]
[-S] [interval]

Parameters |
Parameter | Purpose
[−a remotename1] | Displays a remote computer's name table using its name.
[−A IP address] | Displays a remote computer's name table using its IP address.
[−c] | Displays the contents of the NetBIOS name cache.
[−n] | Displays local NetBIOS names.
[−r] | Displays name−resolution statistics.
[−R] | Purges all names from the NetBIOS name cache and reloads the Lmhosts file.
[RR] | Releases and refreshes NetBIOS names.
[−s] | Attempts to display client and server sessions using hostnames.
[−S] | Displays client and server sessions in the form of IP addresses.
[interval] | Displays statistics at the specified interval (in seconds).


Net accounts

Modifies the user accounts database and changes logon and password requirements.

Syntax

net accounts [/forcelogoff:{minutes | no}] [/minpwlen:length]
[/maxpwage:[days | unlimited]] [/minpwage:days] [/uniquepw:number]
[/domain]
net accounts [/sync] [/domain]

Parameters |
Parameter | Purpose
None | Displays current domain, logon, and password settings.
[/forcelogoff:{minutes | no}] | Specifies the number of minutes to wait before terminating a user session with a server when the user's logon time expires. No prevents a forced logoff.
[/minpwlen:length] | Sets the minimum password length.
[/maxpwage:[days | unlimited]] | Sets the password expiration period.
Parameters |
Parameter | Purpose
[/minpwage:days] | Specifies a minimum number of days that must pass before users can change passwords.
[/uniquepw:number] | Establishes a password history requirement that prevents users from reusing a password for the specified number of times.
[/domain] | Specifies that the operation should occur on a domain controller instead of locally.
[/sync] | Causes the primary domain controller to synchronize with all the backup domain controllers.


Net computer

Adds or deletes computer accounts in the domain database.

Syntax

net computer \\computername [/add | /del]

Parameters |
Parameter | Purpose
\\computername | Specifies the computer to be added or deleted.
[/add] | Adds the computer.
[/del] | Deletes the computer.


Net config

Displays and changes configurable active services.

Syntax

net config [server | workstation]

Parameters |
Parameter | Purpose
[server] | Displays or changes the setting for the Server service.
[workstation] | Displays or changes the setting for the Workstation service.


Net continue

Reactivates a suspended service.

Syntax

net continue service

Parameters |
Parameter | Purpose
service | Sets the server to reactivate.


Net file

Displays a list of all open shared files on a server and the number of file locks on each file.

Syntax

net file [id [/close]]

Parameters |
Parameter | Purpose
None | Displays a list of the open files on a server.
id | Identifies the number of the file.
[/close] | Closes an open file and releases any locked records.


Net group

Adds, displays, or changes global groups on Windows domains.

Syntax

net group [groupname [/comment:"text"]] [/domain]
net group groupname {/add [/comment:"text"] | /delete} [/domain]
net group groupname username[ ...] {/add | /delete} [/domain]

Parameters |
Parameter | Purpose
None | Displays a list of groups on the server.
[groupname] | Specifies a group name to add, expand, or delete.
[/comment:“text”] | Adds a comment for a new or existing group.
[/domain] | Performs the operation on the primary domain controller instead of locally.
username[ …] | Lists one or more usernames to be added or removed from a group.
[/add] | Adds a group or a username to a group.
[/delete] | Deletes a group or username from a group.


Net help

Lists network commands for which help is available and provides help for specified network commands.

Syntax

net help [command]

Parameters |
Parameter | Purpose
None | Displays a list of network commands and topics for which help is available.
[command] | Specifies a command to retrieve help for.
{/help | /?} | Displays syntax for the command.


Net helpmsg

Provides help with Windows error messages.

Syntax

net helpmsg message#

Parameters |
Parameter | Purpose
message# | Specifies the four-digit number of the error message.


Net localgroup

Adds, displays, or modifies local groups.

Syntax

net localgroup [groupname [/comment:"text"]] [/domain]
net localgroup groupname {/add [/comment:"text"] | /delete} [/domain]
net localgroup groupname name [ ...] {/add | /delete} [/domain]

Parameters |
Parameter | Purpose
None | Displays the name of the server and local groups on the server.
[groupname] | Specifies the name of the local group.
[/comment:'text'] | Adds or changes a comment for a new or existing group.
[/domain] | Performs the operation on the primary domain controller instead of locally.
name [ …] | Lists one or more usernames or group names to be added or removed from a local group.
/add | Adds either a username or a global group to a local group.
/delete | Removes a username or group name from a local group.


Net name

Displays the list of computer names that will accept messages, or adds or removes a messaging name.

Syntax

net name [name [/add | /delete]]

Parameters |
Parameter | Purpose
None | Displays a list of names already in use.
[name] | Specifies a name to a computer.
[/add] | Adds a name to the computer.
[/delete] | Removes a name from the computer.


Net pause

Pauses active services.

Syntax

net pause service

Parameters |
Parameter | Purpose
service | Name of the service.


Net print

Lists or manages print jobs and printer queues.

Syntax

net print \\computername\sharename
net print [\\computername] job# [/hold | /release | /delete]

Parameters |
Parameter | Purpose
computername | Specifies the name of the computer that manages the printer queue.
sharename | Specifies the name of the printer queue.
job# | Specifies the ID number assigned to a print job.
[/hold] | Places a print job on hold.
[/release] | Releases a print job from a hold status.
[/delete] | Deletes a print job.


Net send

Sends messages to users, computers, and messaging names.

Syntax

net send {name | * | /domain[:name] | /users} message

Parameters |
Parameter | Purpose
name | Specifies a username, computer name, or messaging name.
* | Sends the message to all names in the domain or your workgroup.
/domain[:name] | If name is not specified, it sends the message to all the names in the domain. If name is specified, the message is sent to all the names in the specified domain or workgroup.
/users | Sends message to all users currently connected to the server.
message | Specifies the message text.


Net session

Lists or terminates sessions with clients connected to the computer.

Syntax

net session [\\computername] [/delete]

Parameters |
Parameter | Purpose
None | Displays information about all active sessions.
[\\computername] | Identifies a specific network computer.
[/delete] | Terminates a session with \\computername and then closes all open files on the computer for the session.


Net share

Creates, deletes, and displays shared resources.

Syntax

net share [sharename]
net share [sharename=drive:path [/users:number | /unlimited]
[/remark:"text"] [/cache: [manual | automatic | no]]
net share [sharename [/users:number | unlimited] [/remark:"text"] "]
[/cache: [manual | automatic | no]]
net share [[sharename | drive:path] /delete]

Parameters |
Parameter | Purpose
None | Displays information about all resources that are currently shared on the computer.
sharename | Specifies the name assigned to the shared resource.
drive:path | Specifies the absolute path of the folder to be shared.
/users:number | Limits the maximum number of users who can simultaneously access the share.
/unlimited | Allows unlimited simultaneous access to the share.
/remark:“text” | Adds a comment to the shared resource.
/cache:automatic | Enables offline cache and automatic reintegration.
/cache:manual | Enables offline cache with manual reintegration.
/cache:no | Advises that offline cache is not recommended.
/delete | Terminates the sharing of a resource.


Net start

Displays a list of started services. It is also used to start services.

Syntax

net start [service]

Parameters |
Parameter | Purpose
None | Displays a list of active services.
[service] | Specifies the name of a service to start.


Netstat

Displays statistics for current TCP/IP connections.

Syntax

netstat [-a] [-e] [-n] [-o] [-p protocol] [-r] [-s] [interval]

Parameters |
Parameter | Purpose
[−a] | Displays all connections.
[−e] | Displays Ethernet-related statistics.
[−n] | Displays IP addresses and port numbers in numerical form.
[−o] | Displays active TCP connections and shows the process ID for each connection.
[−p protocol] | Shows connections for the specified TCP/IP protocol.
[−r] | Displays the routing table.
[−s] | Displays information organized by protocol.
[interval] | Displays statistics at the specified interval (in seconds).


Net statistics

Displays log statistics for the local workstation service, server service, or any other services for which statistics are available.

Syntax

net statistics [workstation | server]

Parameters |
Parameter | Purpose
None | Displays a list of the active services that provide statistics.
[workstation] | Displays local workstation service statistics.
[server] | Displays local server service statistics.


Net stop

Terminates a network service.

Syntax

net stop service

Parameters |
Parameter | Purpose
Service | Specifies any valid Windows NT or 2000 service.


Net time

Synchronizes the computer's internal clock with another computer's clock.

Syntax

net time [\\computername | /domain[:domainname] |
/rtsdomain[:domainname]] [/set]
net time [\\computername] [/querysntp] | [/setsntp[:ntp server list]]

Parameters |
Parameter | Purpose
None | Displays the date and time as set on the computer designated as the network's time server.
\\computername | Specifies the name of a network server.
/domain[:domainname] | Specifies a domain to synchronize with.
/rtsdomain[:domainname] | Specifies a domain of the Reliable Time Server to synchronize with.
/set | Synchronize the computer's internal clock with the specified computer or domain.
/querysntp | Displays the name of the Network Time Protocol server.
/setsntp[:ntp server list] | Specifies a list of Network Time Protocol servers to be used using hostnames or IP addresses.


Net use

Displays information about network connections and connects a computer to network resources.

Syntax

net use [devicename | *] [\\computername\sharename[\volume]] [password
| *]] [/user:[domainname\]username] [/user:[dotteddomainname\]username]
[/user:[username@dotteddomainname] [.savecred] [/smartcard] [[/delete |
/persistent:[yes | no]]]
net use devicename [/home[password | *]] [/delete:{yes | no}]
net use [/persistent:{yes | no}]

Parameters |
Parameter | Purpose
None | Displays a list of network connections.
[devicename] | Assigns a name to a new connection or specifies a device that is to be disconnected. For disk drives, use the D: through Z:, and for printers, use LPT1: through LPT3:.
Parameter | Purpose
[\\computername\sharename] | Specifies the name of the network computer and its shared resource.
[\volume] | Specifies a server with a NetWare volume.
[password] | Specifies a password required to access the resource.
[*] | Specifies that you want to be prompted for the password.
[/user] | Specifies a different username to be used when making the connection.
[domainname] | Allows you to specify another domain.
[username] | Specifies the username to use when logging on.
[dotteddomainname] | The fully qualified DNS domain name.
[/delete] | Terminates a network connection.
[/persistent] | Allows you to define persistent connections that span system restarts.
[yes] | Restores the connection at next logon.
[no] | Doesn't restore the connection at next logon.


Net user

Displays user account information or adds and modifies user accounts.

Syntax

net user [username [password | *] [options]] [/domain]
net user [username {password | *} /add [options] [/domain][
net user [username [/delete] [/domain][

Parameters |
Parameter | Purpose
None | Displays a list of user accounts on the local computer.
[username] | Specifies the account name to add, delete, change, or view.
[password] | Assigns a password to a new account or changes the password of an existing account.
Parameters (continued) |  |
Parameter | Purpose |
* | Prompts for the password. |
[/domain] | Performs the operation on the primary domain controller instead of locally.
/add | Adds a user account. |
[/delete] | Deletes a user account. |
[options] | Specifies any of the following options: |
 | /active:{no | yes} | Enables or disables the account.
 | /comment:'text' | Adds comments to an account.
 | /countrycode:nnn | Specifies the Country/Region codes to be used for help and error messages.
 | /expires:{date | never} | Specifies the status of account expiration.
 | /fullname:'name' | Sets a user's full name rather than a username.
 | /homedir:path | Establishes the user's home directory.
 | /passwordchg:{yes | no} | Determines whether the users can change their passwords.
 | /passwordreq:{yes | no} | Specifies a password requirement.
 | /profilepath:[path] | Establishes the user's logon profile.
 | /scriptpath:path | Establishes the path for the user's logon script.
 | /times:{times | all} | Defines time frames in which the user is permitted to use the computer. For example: W,8AM-5PM; F,8AM-1PM.
 | /usercomment:'text' | Determines whether an administrator can change or add to the user comment.
 | /workstations:{computername [,…] | *} | Specifies up to eight workstations where the user is permitted to log on.


Net view

Displays a list of domains, computers, or resources being shared by a specified computer.

Syntax

net view [\\computername | /domain[:domainname]]
net view /network:nw [\\computername]

Parameters |
Parameter | Purpose
None | Displays a list of computers in the domain.
[\\computername] | Specifies a computer so that its resources can be viewed.
/domain[:domainname] | Specifies the domain that is to be viewed.
/network:nw | Displays servers on a Novell NetWare network.


Nslookup

Displays information from DNS (Domain Name System) name servers.

Syntax

nslookup [-option ...] [computer-to-find | [server]]

Parameters |
Parameter | Purpose
[−option …] | Specifies nslookup commands to be used as command-line options.
[computer-to-find] | Displays information for computer-to-find using the default DNS server.
[server] | Specifies a different DNS server to query.


Ntbackup

Provides a means for initiating backups from the command prompt.

Syntax

Ntbackup backup [systemstate] "@filename" /J ["jobname"]
[/P ["poolname"]] [/G ["guidname"]] [/T ["tapename"] [/N {"medianame"]]
[/F ["filename"]] [/D ["description"] [/DS ["server"]] [/IS ["server"]]
[/A] [/V: {yes | no]] [/R: [yes | no]] [/L: [f | s | n]]
[/M backuptype]] [/RS: [yes | no ]] [/HC: [on | off]] [/SNAP:
[on | off]]

Parameters |
Parameter | Purpose
backup | Specifies a backup operation is to be performed.
[systemstate] | Backs up system state data.
“@filename” | Identifies a backup selection file to be used.
/J [“jobname”] | Sets the job name to be listed in the job file.
[/P [“poolname”]] | Sets the media pool value.
[/G [“guidname”]] | Changes or adds a GUID.
[/T [“tapename”] | Changes or adds a tape name.
[/N {“medianame”]] | Sets a new tape name.
[/F [“filename”]] | Specifies the path and file name.
[/D [“description”] | Sets the label for a backup set.
[/DS [“server”]] | Backs up the directory service file on Exchange servers.
[/IS [“server”]] | Backs up the Information Store file on Exchange servers.
[/A] | Performs an append.
[/V: {yes | no]] | Verifies the integrity of the backup.
[/R: [yes | no]] | Limits access to its owner and administrators.
[/L: [f | s | n]] | Sets the log type (f = full, s = summary, n = no log is created).
[/M backuptype]] | Sets the backup type. Options are: daily, differential, and incremental.
[/RS: [yes | no ]] | Backs up migrated data found on remote storage.
[/HC: [on | off]] | Uses hardware compression if available on the tape drive.
[/SNAP: [on | off]] | Specifies whether the backup is a volume shadow copy.


Ntcmdprompt

Runs CMD.EXE instead of COMMAND.COM after starting a TSR (Terminate and Stay Resident) program.

Syntax

ntcmdprompt
Team LiB


Path

Establishes a search path for executable files.

Syntax

path [[drive:]path[;...]] [%path%]

Parameters |
Parameter | Purpose
None | Displays the current search path.
[drive:]path | Specifies a location to search.
; | If used as the only parameter, it clears all path settings.
[%path%] | Appends the current path to the new setting.


Pathping

A route-tracing command that combines the functionality of the ping and tracert

commands.

Syntax

pathping [-n] [-h maximum_hops] [-g host-list] [-p period]
[-q num_queries [-w timeout] [-T] [-R] target_name

Parameters |
Parameter | Purpose
−n | Specifies not to resolve addresses to hostnames.
−h maximum_hops | Specifies a maximum number of hops when trying to reach the target.
−g host-list | Allows computers to be separated by intermediate gateways along host-list.
−p period | Specifies the time to wait (in milliseconds) between pings.
−q num_queries | Specifies the number of queries allowed for servers along the route.
−w timeout | Specifies the length of time to wait for a reply (in milliseconds).
Parameters (continued) |
Parameter | Purpose
−T | Includes a layer-2 priority tag to each ping packet that is sent to network devices along the route.
−R | Determines whether each network device on the route supports the RSVP (Resource Reservation Setup Protocol).
target_name | Specifies the destination target using either its hostname or its IP address.


Pause

Suspends processing of a script and prompts the user to press any key to continue.

Syntax

pause
Team LiB


Pbadmin

Administers phone books.

Syntax

Pbadmine.exe /N phonebook [/R regionfilepath\regionfilename]
[/P datafilepath\datafilename]
Pbadmine.exe /I phonebook /R regionfilepath\regionfilename
Pbadmine.exe /I phonebook /R datafilepath\datafilename
Pbadmine.exe /O phonebook computername username passwd
Pdadmine.exe /B phonebook

Parameters |
Parameter | Purpose
None | Starts the Phone Book Administrator.
/N phonebook | Creates a new phone book.
[/R regionfilepath\regionfilename] | Sets the location and name of a region file to be used in an import operation.
[/P datafilepath\datafilename] | Sets the location and file name of a phone book file to be used in an import operation.
Parameter | Purpose
/I phonebook | Imports dates into a phone book. Sources include region and phone book files.
/O | Sets phone book options.
phonebook | Specifies the phone book's name
computername | Specifies the computer where the phone book is to be published.
username | Specifies the username that has FTP permissions over the phone book service on the target computer.
passwd | Specifies the user's password
/B phonebook | Publishes the phone book.


Pentnt

Looks for the floating-point division error in the Pentium chip, disables floating-point hardware, and turns on floating-point emulation if found.

Syntax

pentnt [-c] [-f] [-o]

Parameters |
Parameter | Purpose
[−c] | Turns on conditional emulation.
[−f] | Turns on forced emulation.
[−o] | Turns off forced emulation and turns on floating-point hardware.


Perfmon

Opens the Performance console using the same settings found in the Windows NT 4.0 Performance Monitor utility.

Syntax

Perfmon.exe [filename] [/HTMLFILE:settingsfile]

Parameters |
Parameter | Purpose
[filename] | Specifies the file name of an optional settings file.
[/HTMLFILE:settingsfile] | Specifies the name of converted files and the name of the Windows NT 4 settings file.


Ping

Tests connections with network devices on TCP/IP networks.

Syntax

ping [-t] [-a] [-n count] [-l length] [-f] [-i ttl] [-v tos] [-r count]
[-s count] [[-j computer-list] | [-k computer-list]] [-w timeout]
destination-list

Parameters |
Parameter | Purpose
[−t] | Repeatedly pings the specified computer.
[−a] | Resolves IP addresses to computer names.
[−n count] | Sends the specified number of ECHO packets as defined by count.
[−l length] | Transmits ECHO packets of the specified length.
[−f] | Prevents packets from being fragmented by gateways.
[−i ttl] | Sets the TTL field to the specified ttl value.
[−v tos] | Sets the TOS field to the specified tos value.
[−r count] | Stores the route taken by outgoing packets and returning packets in the Record Route field.
[−s count] | Sets a timestamp for the number of hops as set by count.
[−j computer-list] | Routes packets by way of the list of computers specified by computer-list and permits consecutive computers to be separated by intermediate gateways.
[−k computer-list] | Routes packets by way of the list of computers specified by computer-list and prevents consecutive computers from being separated by intermediate gateways.
[−w timeout] | Specifies the time-out interval (in milliseconds).
destination-list | Specifies a list of target computers.


Popd

Changes to the directory stored by pushd.

Syntax

popd
Team LiB


Print

Displays the contents of a print queue or prints a text file.

Syntax

print [/d:device] [[drive:][path] filename[ ...]]

Parameters |
Parameter | Purpose
None | Displays the print queue contents.
[/d:device] | Specifies a print device. Use LPT1, LPT2, and LPT3 or \\servername\print_share.
[drive:][path] filename | Specifies the drive, path, and file name of the file to be printed.


Prompt

Changes the command prompt.

Syntax

prompt [text]

Parameters |
Parameter | Purpose
none | Resets the command prompt to its default setting.
[text] | Specifies the text to be displayed as the command prompt. In addition to text, you can also include the following:
 | $q equals sign
 | $$ dollar sign
Parameters (continued) |
Parameter | Purpose
 | $t time
 | $d date
 | $p drive and path
 | $v Windows version number
 | $n drive
 | $g greater-than sign
 | $l less-than sign
 | $b pipe
 | $_ Enter-linefeed
 | $e ANSI escape code (code 27)
 | $h Backspace
 | $a & ampersand
 | $c left parenthesis
 | $f right parenthesis
 | $s space
 | $+ Zero or more plus sign (+) characters depending upon the depth of the pushd directory stack
 | $m Remote name associated with the current drive letter


Pushd

Records the name of the current directory for use by the popd command and then changes to the specified directory.

Syntax

pushd [path]

Parameters |
Parameter | Purpose
[path] | Specifies a directory to set as the current directory.


Rasdial

Automates the RAS (Remote Access Service) client connection process.

Syntax

rasdial connectioname [username [passwd | *]] [/domain:domain]
[/phone:phonenumber] [/callback:callbacknumber]
[/phonebook:phonebookpath] [/prefixsuffix]
rasdial [connectionname] /disconnect

Parameters |
Parameter | Purpose
connectioname | Specifies the name given to the connection when it was set up.
[username [passwd | *]] | Specifies a username and password with which to establish the connection.
[/domain:domain] | Identifies the domain where the user account resides.
[/phone:phonenumber] | Substitutes the specified phone number.
[/callback:callbacknumber] | Substitutes the specified callback number.
[/phonebook:phonebookpath] | Sets the path to the phone book file.
[/prefixsuffix] | Applies current TAPI location settings.


Rcp

Copies files between a Windows computer and a UNIX system.

Syntax

rcp [-a | -b] [-h] [-r] [host] [.user:] [source] [host] [.user:]
[path\destination]

Parameters |
Parameter | Purpose
[−a] | Specifies the use of the ASCII transfer mode.
[−b] | Specifies the use of the binary image transfer mode.
[−h] | Transfers files with hidden attributes on Windows computers.
Parameters (continued) |
Parameter | Purpose
[−r] | Copies the contents of all subdirectories to the destination server.
[host] | Specifies the target host computer.
[.user:] | Specifies the username.
[source] | Identifies the files to be copied.
[path\destination] | Specifies the destination on the target computer where the files are to be copied.


Recover

Attempts to recover information from a damaged disk.

Syntax

recover [drive:][path] filename

Parameters |
Parameter | Purpose
[drive:][path] filename | Identifies the drive, path, and file name of the file to be recovered.


Reg add

Displays, changes, or adds a registry subkey and value.

Syntax

reg add keyname [/v entry] [/ve] [/t type] [/s separator] [/d value] [/f]

Parameters |
Parameter | Purpose
Keyname | Specifies the path to the subkey.
[/v entry] | Specifies the entry name to be added.
[/ve] | Adds the entry as a null value.
Parameter | Purpose
[/t type] | Sets the entry type (REG_SZ, REG_MULTI-SZ, REG_DWORD_BIG_ENDIAN, REG_DWORD, REG_BINARY, REG_DWORD_LITTLE_ENDIAN, REG_LINK, REG_FULL_RESOURCE_DESCRIPTOR AND REG_EXPAND_SZ).
[/s separator] | When using the REG_MULTI-SZ type, this parameter specifies the separator chapter that is to identify multiple pieces.
[/d value] | Specifies a value for a new registry entry.
[/f] | Adds a subkey or entry without requiring confirmation.


Reg compare

Compares two registry entries or subkeys.

Syntax

reg compare key1 key2 [/v entry] [/ve] [[/oa] | [od] | [/os] | [/on]]
[/s]

Parameters |
Parameter | Purpose
key1 | Specifies the path and name of the first entry or subkey.
key2 | Specifies the path and name of the second entry or subkey.
[/v entry] | Compares a specific subkey entry.
[/ve] | Limits the comparison to entries without values.
[/oa] | Displays all differences and matches.
[od] | Displays only differences.
[/os] | Displays only matches.
[/on] | Prevents the display of differences or matches.
[/s] | Performs a comparison of all entries and subkeys.


Reg copy

Copies registry entries.

Syntax

reg copy key1 key2 [/s] [/f]

Parameters |
Parameter | Purpose
key1 | Specifies the path and name of the first entry or subkey.
key2 | Specifies the path and name of the second entry or subkey.
[/s] | Copies all entries and subkeys.
[/f] | Copies the subkey without requiring confirmation.


Reg delete

Deletes registry entries and subkeys.

Syntax

reg delete key [/v entry | /ve | /va] [/f]

Parameters |
Parameter | Purpose
key | Specifies the path and name of the entry or subkey.
[/v entry] | Deletes a specific entry.
[/ve] | Only deletes entries with a null value.
[/va] | Deletes all entries on the subkey.
[/f] | Performs the deletion without requiring confirmation.


Reg export

Copies subkeys, entries, and values to an external file to allow them to be transferred to another computer.

Syntax

reg export key filename

Parameters |
Parameter | Purpose
key | Specifies the path and name of the subkey.
filename | Specifies the name of the external file.

Reg import

Copies the subkeys, values, and entries from an external file into the registry.

Syntax

reg import filename

Parameters |
Parameter | Purpose
filename | Specifies the name and path of the external file.


Reg load

Copies save entries and subkeys to a different registry subkey.

Syntax

reg load keyname filename

Parameters |
Parameter | Purpose
keyname | Specifies the path to the subkey.
filename | Specifies the name and path of the file to be loaded.


Reg query

Displays child entries and subkeys for the specified subkey.

Syntax

reg query key [/v entry | /ve] [/s]

Parameters |
Parameter | Purpose
key | Specifies the path of the subkey.
[/v entry] | Gets the specified entry and its value.
[/ve] | Only returns entries with a null value.
[/s] | Gets all entries and subkeys in all tiers.


Reg restore

Restores saved registry subkeys and entries.

Syntax

reg restore key filename

Parameters |
Parameter | Purpose
key | Specifies the path to the subkey.
filename | Specifies the name and path of the file that contains the entries and subkeys to be restored.


Reg save

Saves specified values, entries, and subkeys to a file.

Syntax

reg save key filename

Parameters |
Parameter | Purpose
key | Specifies the path of the subkey.
filename | Specifies the name and path of the file that will be created.


Regsvr32

Registers .dll files with the registry.

Syntax

Regsvr32 [/u] [/s] [/n] [/I[:cmdline]] dllname

Parameters |
Parameter | Purpose
[/u] | Unregisters server.
[/s] | Sets regsvr32 to run silently in background mode.
[/n] | Prohibits the calling of DllRegisterServer.
[/I[:cmdline]] | Calls DllInstall and supplies the argument supplied by cmdline if present.
Dllname | Specifies the DLL to register.


Reg unload

Removes a portion of the registry that was previously loaded using the reg load command.

Syntax

reg unload key

Parameters |
Parameter | Purpose
key | Specifies the path to the subkey.


Relog

Extracts performance counters from counter logs and converts the data into different formats, including text, comma-delimited text, and SQL.

Syntax

Relog [filename [filename ...]] [-a] [-c path [path ...]] [-cf filename]
[-f [bin | csv | tsv | SQL]] [-t value] [-o [outputfile |
DSNcouterlog]] [-b m/d/yyyy [[hh:]mm:]ss] [-e m/d/yyyy [[hh:]mm:]ss]
[-config filename] [-q]

Parameters |
Parameter | Purpose
[filename [filename …]] | Specifies the path and file name of one or more input files.
[−a] | Appends data from the input file.
[−c path [path …]] | Specifies the performance counter path to be logged.
[−cf filename] | Specifies the pathname of a text file that contains a list of counters to be added to the relog file.
[−f [bin | csv | tsv | SQL]] | Sets the output files format (bin = binary, csv = text, tsv = comma-delimited text, and sql = SQL).
[−t value] | Specifies the collection interval.
[−o [outputfile | DSNcouterlog]] | Sets the path for the output file or SQL database where counters are stored.
[−b m/d/yyyy [[hh:]mm:]ss] | Sets the start time for copying the first record from the input file.
[−e m/d/yyyy [[hh:]mm:]ss] | Sets the stop time for copying the last record from the input file.
[−config filename] | Sets the path of an optional settings file that supplies command-line parameters.
[−q] | Displays performance counters and time ranges for a specified input file.


Rem

Used to place comments in scripts.

Syntax

rem [comment]

Parameters |
Parameter | Purpose
[comment] | A string of descriptive text information.


Rename (Ren)

Renames a file or group of files.

Syntax

rename [drive:][path] filename1 filename2
ren [drive:][path] filename1 filename2

Parameters |
Parameter | Purpose
[drive:][path] filename1 | Specifies the drive, path, and file name of the file to be renamed.
filename2 | Specifies the new name for the file.


Replace

Replaces files in the destination directory with files that have the same name.

Syntax

replace [drive1:][path1] filename [drive2:][path2] [/a] [/p] [/r] [/w
replace [drive1:][path1] filename [drive2:][path2] [/p] [/r] [/s] [/w]
[/u]

Parameters |
Parameter | Purpose
[drive1:][path1] filename | Specifies the drive, path, and file name of the source files.
[drive2:][path2] | Specifies the drive and path of the destination files.
[/a] | Adds files to the destination folder.
[/p] | Prompts for confirmation before a replacement is allowed.
[/r] | Permits the replacement of read-only files.
[/w] | Waits for you to insert a disk before beginning to look for the source files.
[/s] | Searches all subfolders in the destination folder and replaces matching files.
[/u] | Replaces files in the destination folder only if they are older than the files in the source folder.


Reset session

Resets a terminal server session.

Syntax

Reset session [sessionname | sessionid] [/server:servername] [/v]

Parameters |
Parameter | Purpose
[sessionname] | Name of the session to be reset.
[sessionid] | The session ID of the session to be reset.
[/server:servername] | Identifies the terminal sever where the session exists.
[/v] | Displays verbose information.


Rexec

Executes commands on remote computers that support the REXEC service.

Syntax

rexec computer [-l username] [-n] command

Parameters |
Parameter | Purpose
computer | Specifies the remote computer.
[−l username] | Specifies a username on the remote computer.
[−n] | Redirects the input of REXEC to NULL.
command | Specifies the command to be executed.


Rmdir (Rd)

Deletes a folder.

Syntax

rmdir [drive:]path [/s] [/q]
rd [drive:]path [/s] [/q]

Parameters |
Parameter | Purpose
[drive:]path | Specifies the drive and path of the folder to be deleted.
[/s] | Deletes the folder and its subfolders and their contents.
[/q] | Deletes folders without requiring confirmation.


Route

Configures routing tables.

Syntax

route [-f] [-p] [command [destination] [mask subnetmask] [gateway]
[metric costmetric]] [if interface]]

Parameters |
Parameter | Purpose
[−f] | Clears the routing tables of gateway entries.
[−p] | Makes routes persistent across system restarts.
[command] | Prints, adds, deletes, or changes the destination.
[destination] | Specifies the computer where the command will be sent.
[mask subnetmask] | Specifies a subnet mask for the route entry.
[gateway] | Specifies a gateway.
[metric costmetric] | Assigns an integer cost metric.
[if interface] | Specifies the interface index for the interface.


Rsh

Executes commands on remote computers that run the RSH service.

Syntax

rsh computer [-l username] [-n] command

Parameters |
Parameter | Purpose
computer | Specifies the remote computer.
[−l username] | Specifies a username to use at the remote computer.
[−n] | Redirects the input of Rsh to NULL.
command | Specifies the command.


Runas

Permits the execution of specific tools and programs with different permissions than those provided by the user's current account.

Syntax

runas [/profile | /noprofile] [/env] [/netonly] [/smartcard]
[/showtrustlevels] [/trustlevel] /user:UserAccountName program

Parameters |
Parameter | Purpose
/profile | Provides the name of the user's profile.
/noprofile | Prevents loading of the user's profile.
/env | Replaces the user's local environment with the current network environment.
/netonly | Specifies that the user information is to be used for remote access.
[/smartcard] | Specifies that credentials are to be provided by a smartcard.
[/showtrustlevels] | Displays /trustlevel options.
[/trustlevel] | Sets the authorization level that is to be used to run the application.
/user:UserAccountName | Specifies the account with which to execute the program in the form of user@domain or domain\user.
program | Specifies the program or command to be executed by a specified account.


Set

Displays, changes, and deletes environment variables.

Syntax

Set [[/a [expression]] [/p [variable=]] string]

Parameters |
Parameter | Purpose
None | Displays environment settings.
[/a [expression] | Sets string equal to a numerical expression.
[/p] | Sets a variable value equal to a line of input.
variable | Identifies the variable to set or modify.
string | Sets the value of the variable to string.


Setlocal

Initiates the localization of environment variables in a script.

Syntax

Setlocal [enableextension | disableextensions] [enabledelayedexpansion
| disabledelayedexpansion]

Parameters |
Parameter | Purpose
[enableextension] | Enables command extensions.
[disableextensions] | Disables command extensions.
[enabledelayedexpansion] | Enables delayed environment variable expansion.
[disabledelayedexpansion] | Disables delayed environment variable expansion.


Setver

Modifies the version number that the MS-DOS subsystem reports to executing programs.

Syntax

setver [drive:path] [filename n.nn]
setver [drive:path] [filename [/delete [/quiet]]
setver [drive:path]

Parameters |
Parameter | Purpose
None | Displays the current version table.
[drive:path] | Specifies drive and path to SETVER.EXE.
[filename] | Specifies a program name to be added to the version table.
[n.nn] | Specifies the MS-DOS version that is reported to the specified program file.
[/delete] | Removes the version table entry for the specified program file.
[/quiet] | Hides deletion messages.


Sfc

Scans protected files system and verifies their integrity.

Syntax

Sfc [/scannow] [/scanonce] [/scanboot] [/revert] [purgecache]
[/cachesize=x]

Parameters |
Parameter | Purpose
[/scannow] | Performs an immediate scan of all protected file systems.
[/scanonce] | Scans all protected file systems one time.
[/scanboot] | Scans all protected file systems every time the computer is started.
[/revert] | Restores the scan to its default settings.
[purgecache] | Clears out Windows File Protection cache and performs an immediate scan.
[/cachesize=x] | Sets a maximum cache size in MB for Windows File Protection cache.


Shell

Specifies an alternative command interpreter to be used in place of the MSDOS subsystem.

Syntax

shell=[[drive:]path] filename [parameters]

Parameters |
Parameter | Purpose
[[drive:]path] filename | Specifies the drive, path, and file name of the alternative command interpreter.
[parameters] | Provides any command-line parameters required by the alternative command interpreter.


Shift

Shifts (changes) the position of replaceable parameters in a script.

Syntax

Shift /n

Parameters |
Parameter | Purpose
/n | Identifies the argument where shifting should begin, where n is a value from 0 to 8.


Shutdown

Shuts down Windows XP and optionally restarts the computer or logs off the current user.

Syntax

shutdown [[-l | -s | -r | -a]] [-f] -m[\\computer]] [-t xx] [-c "msg"]
[-d[u][p]:xx:yy]

Parameters |
Parameter | Purpose
[−l] | Logs the current user off.
[−s] | Shuts the local computer down.
[−r] | Restarts the computer once it has been shut down.
[−a] | Aborts the shutdown process.
[−f] | Forces the termination of active applications.
-m[\\computer]] | Allows for the specification of a remote computer.
[−t xx] | Specifies the amount of time to wait before the shutdown occurs.
[−c 'msg'] | Displays a message in the System Shutdown dialog message area.
[−d[u][p]:xx:yy] | Lists a reason code for the shutdown (u = user code, p = planned shutdown code, xx = a major reason code with a value between 0 and 255, and yy = a minor reason code with a value of 0 to 65536).


Sort

Reads input and sorts it before writing it as output.

Syntax

sort [/r] [/+n] [/m kilobytes] [/l locale] [/rec characters]
[[drive1:][path1]filename1] [/t [drive2:][path2]]
[/o [drive3:][path3]filename3]
[command |] sort [/r] [/+n] [/m kilobytes] [/l locale] [/rec
characters] [[drive1:][path1]filename1] [/t [drive2:][path2]]
[/o [drive3:][path3]filename3]

Parameters |
Parameter | Purpose
/r | Reverses the sort order.
/+n | Specifies the starting character position, n, where sort begins its comparison.
/m kilobytes | Specifies the allocation of memory for use by the sort command (in kilobytes).
/l locale | Changes the sort order of characters as defined by the default locale. The only available option is the “C” locale.
/rec characters | Sets the maximum number of characters that can be contained in a line on the input file (default is 4,096; maximum is 65,535).
[drive1:][path1]filename1 | Specifies the location of the file to be sorted.
/t [drive2:][path2] | Specifies a path to a folder that the sort command can use for working storage when the data to be sorted cannot fit into memory.
/o [drive3:][path3]filename3 | Specifies where a file's sorted input is to be stored.


Start

Opens a new command prompt window and executes the specified program, script, or command.

Syntax

start ["title"] [/d path] [/I] [/min] [/max] [/separate | /shared]
[/low | /normal | /high | /realtime | /abovenormal | /belownormal]
[/wait] [/b] [filename] [parms]

Parameters |
Parameter | Purpose
['title'] | Displays the specified title in the command prompt title bar.
[/d path] | Specifies the path of the startup folder.
[/I] | Passes the environment settings of the CMD.exe startup environment to the command prompt window.
[/min] | Minimizes the new window.
[/max] | Maximizes the new window.
[/separate] | Loads 16-bit applications into a separate memory space.
[/shared] | Loads 16-bit applications into a shared memory space.
[/low] | Runs the program and assigns it the idle priority.
[/normal] | Runs the program and assigns it the normal priority.
[/high] | Runs the program and assigns it the high priority.
[/realtime] | Runs the program and assigns it the real time priority.
[/abovenormal] | Runs the program and assigns it the above normal priority.
[/belownormal] | Runs the program and assigns it the below normal priority.
[/wait] | Runs the program and then waits for it to end.
[/b] | Starts an application without opening a command prompt window.
[filename] | Identifies the command or application to execute.
[parms] | Argument to be passed to the command or program.


Subst

Establishes an association between a path and a drive letter.

Syntax

subst [drive1: [drive2:]path]
subst drive1: /d

Parameters |
Parameter | Purpose
None | Displays the names of any virtual drives.
[drive1:] | Specifies the virtual drive.
[drive2:] | Specifies the physical drive containing the specified path.
[path] | Specifies the path to be assigned to the virtual drive.
/d | Removes a virtual drive.


Systeminfo

Displays configuration information about a computer and its operating system and hardware.

Syntax

systeminfo[.exe] [/s computer [/u domain\user [/p passwd]]] [/fo
[table | list | csv]] [/nh]

Parameters |
Parameter | Purpose
[/s computer] | Specifies the target computer's name or IP address.
[/u domain\user] | Executes the command using the supplied user's permissions.
[/p passwd] | Specifies the user's password.
[/fo [table | list | csv]] | Specifies output format (table, list, or CSV).
[/nh] | Suppresses column headers.


Taskkill

Terminates tasks and processes.

Syntax

taskkill [/s computer] [/u domain\user [/p passwd]] [/fi filter]
[/pid processid] | [/im image] [/f] [/t]

Parameters |
Parameter | Purpose
[/s computer] | Specifies the name or IP address of the target computer.
[/u domain\user] | Executes the command using the supplied user's permissions.
[/p passwd] | Specifies the user's password.
[/fi filter] | Specifies the type of process to terminate or not to terminate.
[/pid processid] | Specifies the process ID of the process to kill.
[/im image] | Specifies the image name of the process to kill.
[/f] | Forcefully terminates a process.
[/t] | Terminates all child processes of the parent process.


Tasklist

Lists applications and services, including their process ID.

Syntax

Tasklist[.exe] [/s computer] [/u domain\user [/p passwd]] [/fo [table |
list | csv]] [/nh] [/fi filter] [/fi filter2 [ ... ]]] [/m [module] |
/svc] /v]

Parameters |
Parameter | Purpose
[/s computer] | Specifies the name or IP address of the target computer.
[/u domain\user] | Executes the command using the supplied user's permissions.
[/p passwd] | Specifies the user's password.
[/fo [table | list | csv]] | Specifies the format of the command's output.
[/nh] | Suppresses column headings.
[/fi filter] | Specifies the type of process to include or exclude from output.
[/m [module] | When specified, all processes using the module are listed, otherwise they are excluded.
[/svc] | Displays all available service information.
[/v] | Displays verbose output.


Tcmsetup

Configures the telephony client.

Syntax

tcmsetup [/q] [/x] /c server1 [server2 ... serverN]
tcmsetup [/q] /c /d

Parameters |
Parameter | Purpose
[/q] | Prevents message box displays.
[/x] | Sets connection-oriented callbacks for heavy traffic networks with high pack-loss.
/c | Specifies client setup. Required parameter.
server1 | Contains the remote server where the client will use TAPI service providers.
[server2 … serverN] | Lists additional servers that are available to the client.
/d | Clears the list of remote servers and disables the telephony client.


Tftp

Transfers files between the local computer and a remote computer running the TFTP (Trivial File Transfer Protocol) service.

Syntax

tftp [-i] computer [get | put] source [destination]

Parameters |
Parameter | Purpose
[−I] | Sets binary image transfer mode.
computer | Specifies the local or remote computer.
[put] | Uploads files to the file source on the remote computer.
[get] | Downloads the file on the remote computer to the file source on the local computer.
source | Identifies the file to transfer.
[destination] | Identifies where to transfer the file.


Time

Displays system time or changes the computer's internal clock.

Syntax

time [/t] [hours:[minutes[:seconds[.hundredths]]] [A|P]]

Parameters |
Parameter | Purpose
None | Displays the computer's clock time and prompts for the new time.
[/t] | Displays current time without prompting to change the time.
[hours] | Sets the hour.
[minutes] | Sets the minutes.
[seconds] | Sets the seconds.
[hundredths] | Sets hundredths of a second.
[A|P] | Sets A.M or P.M. for the 12-hour format.


Title

Places a message on the command console's title bar.

Syntax

title [string]

Parameters |
Parameter | Purpose
[string] | Specifies the message text.


Tracerpt

Processes trace logs or data from event trace providers and creates reports.

Syntax

tracerpt [filename [filename ...]] [-o [filename]] [-report [filename]]
[-rt session [session ...]] [-summary [filename]] [-config [filename]

Parameters |
Parameter | Purpose
[filename [filename …]] | Specifies the file name to be used during the event trace session.
[−o [filename] | Specifies a comma-delimited file.
[−report [filename]] | Sets the name of the output report file.
[−rt session [session …]] | Gathers data from a realtime source.
[−summary [filename]] | Specifies the name of the output summary file.
[−config [filename] | Specifies the path of a settings file that supplies command line arguments.


Tracert

A utility used to determine the route taken to a destination.

Syntax

tracert [-d] [-h maximum_hops] [-j computer-list] [-w timeout]
target_name

Parameters |
Parameter | Purpose
[−d] | Prevents the resolution of IP addresses to hostnames.
[−h maximum_hops] | Sets a maximum number of hops.
[−j computer-list] | Specifies a loose source route along computer-list.
[−w timeout] | Waits the specified number of milliseconds for each reply.
target_name | Identifies the target computer.


Tree

Provides a graphic view of the folder structure for the specified path or disk.

Syntax

tree [drive:][path] [/f] [/a]

Parameters |
Parameter | Purpose
[drive:] | Identifies a drive that contains a disk whose directory structures should be displayed.
[path] | Identifies a folder whose directory structure is to be displayed.
[/f] | Displays the file names found in each directory.
[/a] | Sets the tree command to display text characters in place of graphic characters when identifying links to a subfolder.


Type

Displays the contents of a text file.

Syntax

type [drive:][path] filename

Parameters |
Parameter | Purpose
[drive:][path] filename | Specifies the drive, path, and file name that are to be viewed.


Typeperf

Displays performance counter output to the console window or logs in to a file.

Syntax

typeperf [path [path ...]] [-cf filename] [-f [csv | tsv | bin]]
[-si interval] [-o filename] [-q [object]] [-qx [object]] [-sc samples]
[-config filename] [-s computer]

Parameters |
Parameter | Purpose
[path [path …]] | Specifies the path and name of the performance counter log that is to be used.
[−cf filename] | Specifies the filename of a file that lists counter paths that are to be monitored.
[−f [csv | tsv | bin]] | Specifies output format (csv = comma-delimited text file, tsv = tab-delimited text file, and bin = binary).
[−si interval] | Sets the time interval between collections in [mm:]ss format.
[−o filename] | Specifies an output file.
[−q [object]] | Displays counters that do not have instances.
[−qx [object]] | Displays counters with instances.
[−sc samples] | Specifies the number of samples to be collected.
[−config filename] | Specifies the name of a file that contains command line arguments.
[−s computer] | Specifies the target computer.


Unlodctr

Unloads performance counter names for services and device drivers from the registry.

Syntax

unlodctr [\\computer] drivername

Parameters |
Parameter | Purpose
[\\computer] | Specifies the target computer.
drivername | Unloads the performance counter names for service and device driver drivername.


Ver

Displays the Windows version number.

Syntax

ver
Team LiB


Vol

Displays the serial number and disk volume label of the disk.

Syntax

vol [drive:]

Parameters |
Parameter | Purpose
[drive:] | Specifies the drive whose information you want to display.


Vssadmin

Displays volume shadow copy backups and shadow copy writers.

Syntax

vssadmin list [shadows [/set= [shadow copy of GUID]] | writers | provides]

Parameterxs |
Parameter | Purpose
List [shadows [/set= [shadow copy of GUID]] | Displays shadow copies for the shadow copy set.
[writers] | Displays information about installed shadow copy writers.
[provides] | Displays information about installed shadow copy providers.


W32tm

Diagnoses Windows Time problems.

Syntax

W32tm [/config [/computer] [[/update] [/manualpeerlist:list of names]]
[/syncfromflags:listofflags]] | /monitor | /ntpte | /register | resync
[[:computer] [/nowait] | [/rediscover]] | [/tz | /unregister]
Parameters |
Parameter | Purpose
[/config [/computer] [[/update] [/manualpeerlist:list of names]] [/syncfromflags:listofflags] | Changes time setting on the target computer.
/monitor | Monitors the target computer.
/ntpte | Converts system time to a readable format.
/register | Registers execution as a service.
resync [[:computer] [/nowait] | [/rediscover]] | Resynchronizes the clock at the first available opportunity.
[/tz] | Displays time zone information.
[/unregister] | Unregisters the services and any configuration date.


Xcopy

Copies folders and their contents, including files and subfolders.

Syntax

xcopy source [destination] [/w] [/p] [/c] [/v] [/q] [/f] [/l]
[/d[:date]] [/u] [/i] [/s [/e]] [/t] [/k] [/r] [/h] [/a|/m] [/n] [/o]
[/x] [/exclude:file1[+[file2]][+[file3]] [/y | /-y] [/z]

Parameters |
Parameter | Purpose
source | Specifies location and name of the files to be copied.
[destination] | Specifies the destination of the copied files.
[/w] | Displays a confirmation message and waits for a reply.
[/p] | Prompts for confirmation before creating destination files.
[/c] | Ignores all errors.
[/v] | Verifies the success of each copy operation.
[/q] | Prevents the display of xcopy messages.
[/f] | Displays the file names being copied.
[/l] | Prevents command execution and displays a list of files that would have been copied.
/d[:date] | Copies source files that have been changed on or after date.
[/u] | Copies files from source if they also exist on destination.
[/I] | Creates the destination folder, if it does not exist, if source is a directory or contains wildcards.
[/s] | Copies directories and subdirectories as long as they contain files.
[/e] | Copies all subfolders.
[/t] | Copies the subdirectory structure and not the files.
[/k] | Copies read-only files to the destination where they will retain their read-only status.
[/r] | Overwrites read-only files.
[/h] | Copies files with hidden and system file attributes.
[/a] | Copies source files that have archive file attributes set.
[/m] | Copies source files that have archive file attributes set and then turns off archive file attributes.
[/o] | Copies file ownership and discretionary access control list data.
[/x] | Copies audit settings and system access control list data.
[/n] | Copies files using their NTFS short names.
[/exclude:file1[+ [file2]][+[file3]] | Excludes the files listed in specified files from being copied.
[/y] | Suppresses confirmation prompts when overwriting existing destination files.
[/−y] | Requires confirmation prompts before overwriting existing destination files.
[/z] | Copies files to the network in restartable mode so that the copy operations will resume after failed connections are reestablished.


Appendix B: Troubleshooting System Startup

Highlights

Every time a computer is started, it initiates a boot process. Part of the boot process involves hardware discovery and verification. Another part involves the selection and loading of an operating system. Despite the operating system's improved reliability and stability, a computer running Windows XP Professional may sometimes fail to complete its boot process.

In order to assist administrators in troubleshooting and recovering from boot failures, Windows XP Professional provides a number of tools. These tools provide the ability to roll back faulty software drivers to a previous version, to boot the computer using special diagnostic startup modes when it will not otherwise boot, to restore computer settings to a previous point in time, and to repair and replace damaged or missing system files.

This chapter introduces the administrator to system recovery tools and explains how to use them. It also provides suggestions as to what types of situation each tool can best be used.


Overview of Windows XP Startup Troubleshooting Tools

Like any other operating system, Windows XP Professional is not immune from operational and startup problems. Windows XP provides a number of tools that administrators can use to gather information about a computer or to trou- bleshoot application, computer, and network problems. Table B.1 provides a listing of tools, commands and utilities found in Windows XP Professional. Table B.1 also provides a reference to the location within this book where information on tools, commands, and utilities can be found.

Table B.1: Windows XP Information Gathering and Troubleshooting Tools,
Commands, and Utilities | Tool/Command/Utility Reference
Remote Assistance | "Remote Assistance" in Chapter 3, "Help and Support"
Device Manager | "Device Manager" in Chapter 2, "Installing and Upgrading to Windows XP Professional"
System Information | "Tools" in Chapter 3, "Help and Support"
Task Manager | "Using Task Manager to Control Applications" in Chapter 4, "Application Management"
Troubleshooters | "Help and Support Center Troubleshooters" in Chapter 3, "Help and Support"
Error Reporting | "Configuring Windows XP Error Reporting" in Chapter 3, "Help and Support"
PING | "Testing Connectivity Using the PING Command" in Chapter 16, "Windows XP and TCP/IP"
TRACERT | "Tracing Network Communications" in Chapter 16, "Windows XP and TCP/IP"
Network Repair | "Repairing TCP/IP Connections" in Chapter 16, "Windows XP and TCP/IP"
System Monitor Extension | "Monitoring System Performance" in Chapter 13, "Performance Tuning"
Event Logs | "Managing Windows XP Event Logs" in Chapter 10, "Microsoft Management Consoles"

In addition to the tools, commands, and utilities listed in Table B.1, Windows XP Professional provides a collection of tools that assist in restoring Windows XP Professional to a previous state in the event that problems occur. Problems that could require restoration of Windows XP include:

  • A malfunctioning device software driver.

  • Critical system files are deleted or corrupted.

  • System settings are incorrectly configured.

  • A Windows update or new software application creates system instability.

Windows XP Professional supplies the following list of tools to assist administrators in recovering from these types of situations without having to resort to a complete reinstall of the operating system, its software, and its data files.

  • Driver Rollback. Allows administrators to restore a device's software driver to a previously installed version

  • System Restore. Provides the ability to restore critical system files and settings to a previous state using saved restore points

  • Safe Mode. Provides the ability to start Windows XP Professional under conditions in which it will not otherwise start

  • Last Known Good configuration. Starts Windows XP Professional using a set of configuration settings that were used to successfully boot the computer in the last logon session

  • Recovery Console. Provides the ability to start Windows XP in a command line mode where recovery console commands can then be used to repair system problems

  • FAT and FAT32 System Boot Disks. Provides the ability to create a floppy disk that can be used to boot a computer running FAT or FAT32 and to use Windows commands to repair system problems

  • ASR. Provides a final recovery option in which Windows XP Professional is restored using an ASR floppy disk to restore data stored on the computer's disk drive

The rest of this chapter will focus on providing a more detailed description of each of these tools.


Restoring Files on a Bootable System

Three common causes of system instability are faulty device software drivers, and improper system settings, and improper application configuration settings. A faulty device driver can cause problems for a device or for the entire computer. Therefore, it is particularly important that administrators always look for certified versions of software drivers before installing them on a computer running Windows XP Professional.

Misconfigured system and application settings can likewise affect a portion or all of Windows XP Professional performance and, in some cases, prevent a computer from booting. Two tools that the administrator can use to deal with driver, system configuration, and application issues include Driver Rollback and System Restore.

Driver Rollback

Driver Rollback is a new Windows feature that allows an administrator to restore the previously installed device driver in the event that the new driver causes a problem. Driver Rollback is managed from Device Manager and can be used to roll back or restore the previous driver (if one exists) for a hardware device. Driver Rollback is limited to only the previous software driver.

The following procedure outlines the steps involved in rolling back or restoring a hardware device software driver.

  1. Click on Start and then right-click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the Hardware property sheet and click on Device Manager. The Device Manager dialog appears.

  3. Expand the hardware tree to display the device whose driver is to be restored and then right-click on the device and select Properties.

  4. Select the Driver property sheet, as shown in Figure B.1.

    Click To expand
    Figure B.1: Accessing Device Driver management options

  5. Click on Roll Back Driver and then click on Yes when prompted for confirmation.

Note

For more information on how to work with the Windows XP Device Manager and its Driver Rollback feature, refer to "Driver Rollback" in Chapter 2, "Installing and Upgrading to Windows XP Professional."

System Restore

In the event that an unsigned device driver is installed, Windows XP's Driver Rollback may not be able to remove it. In that case, another option is to restore computer settings to the way they were in a previous point in time, known as a restore point. This allows administrators to restore the computer to a period of time before:

  • A virus ran and corrupted system files

  • A software application installed inappropriately altered system settings and files

  • A Windows Update corrupted system files

  • System settings were incorrectly configured

Restore points are saved on local hard disks. They contain information about critical system and application settings. Restore points do not contain user data. User data can only be restored if regular backups are made. System Restore automatically creates restore points at various times, as outlined below.

  • Immediately after Windows XP Professional is first installed

  • Every 10 hours of operation

  • Every 24 hours, or at startup if the computer is powered off when the next restore point is scheduled

  • Before installing an automatic update

  • Before installing an unsigned driver

  • Before installing a new application

  • Before performing a file recovery using Windows XP's Backup utility

  • Before performing a system restore

System Restore also allows administrators to manually create restore points. Administrators should create manual restore points before making any significant change to the system, such as editing the boot.ini, system.ini, and win.ini system files or making configuration changes to system services.

Note

Unless an application is designed to register itself and its critical files with the Windows Installer process, System Restore cannot be used to restore its settings to a previous state.

Configuring System Restore

System Restore is automatically enabled when Windows XP Professional is installed. System Restore manages the files and settings stored on each disk separately. System Restore can be enabled or disabled on a driver-by-driver basis or enabled and disabled for the entire computer. In addition, administrators can configure the amount of space made available to the System Restore process, thus affecting the number of restore points that Windows XP can create and store. If the amount of space available for maintaining restore points is used up, Windows XP will discard old restore points in order to make room for new ones.

Tip

If a computer has more than one hard disk drive and one or more drives are dedicated exclusively to containing data files, there is no need to leave System Restore enabled on these drives. System Restore only saves critical system and application files and settings.

In order to be able to use System Restore, a computer must be able to boot Windows XP Professional. This means that System Restore can be used when the computer is booted normally or when it is booted using Windows XP Safe Mode.

The following procedure outlines the steps involved in configuring System Restore.

  1. Click on Start and then right-click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the System Restore property sheet, as shown in Figure B.2.

    Click To expand
    Figure B.2: System Restore configuration settings from the System Properties dialog

  3. To disable System Restore for all drives on the computer, clear the Turn off System Restore on all drives option.

  4. To configure an individual drive, select the drive and click on Settings. A dialog similar to the one shown in Figure B.3 appears.

    Click To expand
    Figure B.3: Configuring a system restore for an individual disk drive

  5. To disable System Restore for the selected drive, clear the Turn off System Restore on this drive option.

  6. To configure the amount of disk space available to System Restore, move the slider bar left or right. The minimum space setting is 200MB, and the maximum amount of space that can be allocated is 400MB.

  7. Click on OK twice.

Creating Restore Points

In addition to the automatic restore points created by System Restore, administrators can create manual restore points. Manual restore points should be created just before an administrator makes a major change to the computer. This way if something goes wrong and the administrator cannot manually undo the change, a restore operation can be attempted.

The following procedure outlines the steps involved in manually creating a restore point.

  1. Click on Start/All Programs/Accessories/System Tools and System Restore. The System Restore dialog appears, as shown in Figure B.4.

    Click To expand
    Figure B.4: The System Restore dialog is used to manually create restore points and to perform a system restore

  2. Select Create a restore point and click on Next.

  3. Type a descriptive name for the restore point, as demonstrated in Figure B.5, and click on Create.

    Click To expand
    Figure B.5: Creating a manual restore point

  4. System Restore creates the new restore point and then displays its creation date, time, and name. Click on Home to return to the main System Restore dialog or click on Close to terminate System Restore.

Restoring Windows XP Professional

If a new application, device driver, or configuration change is causing a problem, the administrator should always attempt to fix the problem using other Windows XP tools before restoring to System Restore. Try using Driver Rollback to restore to a previous version of a device software driver. Likewise, administrators can use Add/Remove Programs to try to uninstall a problem application. System and application configuration errors should be undone by undoing whatever changes were originally made.

The following procedure outlines the steps involved in performing a system restore.

  1. Click on Start/All Programs/Accessories/System Tools and System Restore. The System Restore dialog appears.

  2. Select Restore my computer to an earlier time and click on Next. The Select a Restore Point screen appears, as shown in Figure B.6.

    Click To expand
    Figure B.6: Selecting the restore point to be used to perform a system restore

  3. Click on the left or right arrows on the calendar to locate the day containing the restore point to be used. Once selected, all of the restore points created on that day are displayed.

    Tip

    Since a restore point is automatically created just before a system restore is performed, the administrator can restore the computer back to its previous settings if the restoration produces undesirable effects. The only exception to this occurs when System Restore is used on a computer that was started using a Safe Mode startup option. Automatic restore points are not created when running in Safe Mode and, therefore, cannot be used to restore the computer to the state that it was in just before the last restore was performed.

  4. Select a restore point and click on Next.

  5. A confirmation screen similar to the one shown in Figure B.7 appears. Verify that the correct restore point has been selected and click on Next.

    Click To expand
    Figure B.7: System Restore requires confirmation before continuing

  6. System Restore applies the settings saved in the selected restore point and then restarts the computer. When the computer completes its restart, the Restoration Complete screen is displayed. Click on OK.

Undoing a System Restore

In the event that the system restore is performed but does not resolve the problem or leads to a bigger problem, the administrator has several options, including:

  • Troubleshooting the current situation

  • Restoring to a different point in time

  • Undoing the last restoration

Normally, the Welcome to System Restore dialog shown in Figure B.4 displays the following options:

  • Restore my computer to an earlier time

  • Create a restore point

However, if a restore was recently performed, the following option will also be displayed:

  • Undo my last restoration

The following procedure outlines the steps involved in undoing a recently applied restore point.

  1. Click on Start/All Programs/Accessories/System Tools and System Restore. The System Restore dialog appears.

  2. Select Undo my last restoration and click on Next.

  3. System Restore prompts for the confirmation. Close any open applications and click on Next.

  4. System Restore applies the settings saved in the selected restore point and then restarts the computer. When the computer completes its restart, the Restoration Complete screen is displayed. Click on OK.

Clearing Out Bad Restore Points

Administrators may also use System Restore to restore a computer to a previous state in the event that a virus infects the computer and corrupts system settings. If after removing the virus from the computer, the administrator suspects that the virus may have been active on the computer for a long period, it may not be desirable to use any existing restore points because use of one of the restore points might bring back the virus. In that case, the administrator will have to manually reconfigure computer and application settings. In addition, the administrator should remove any existing restore points to ensure that they will not be available later.

To clear out all existing restore points, the administrator needs to disable and then re-enable System Restore. The following procedure explains the steps involved in completing this task.

  1. Click on Start and then right click on My Computer and select Properties. The System Properties dialog appears.

  2. Select the System Restore property sheet.

  3. Clear the Turn off System Restore on all drives option and click on OK.

  4. Click on Yes when prompted to restart the computer.

  5. Click on Start and then right click on My Computer and select Properties. The System Properties dialog appears.

  6. Select the System Restore property sheet.

  7. Select the Turn off System Restore on all drives option and click on OK.


Options for Systems That Will Not Boot Normally

Sometimes changes to system configuration settings or the installation of a new device driver or application may create a problem that prevents Windows XP Professional from starting normally. When this occurs, administrators can try the three following options:

  • Safe Mode

  • Last Known Good configuration

  • Recovery Console

Safe Mode

Windows XP Professional provides several alternate startup modes that administrators can use to boot a computer in the event that an application, software driver, or configuration change prevents it from starting. These modes start Windows XP Professional using a reduced set of system files, drivers, and services. This reduces the complexity of the operating environment while providing the administrator with the ability to access the operating system in order to reverse any recent changes or diagnose problems.

Windows XP Professional provides three different Safe Mode options, as listed below.

  • Safe Mode. Starts Windows XP Professional with a limited set of system files, services, and device drivers. Access is limited to the keyboard, mouse, disk, and the display (in basic VGA mode).

  • Safe Mode with Networking. Starts Windows XP Professional with a limited set of system files, services, and device drivers. In addition, basic network services are started, allowing the administrator to access information and support tools located on the network.

  • Safe Mode with Command Prompt. Starts Windows XP Professional with a limited set of system files, services, and device drivers. However, the Windows XP graphical user interface is not loaded. Instead, only the Windows XP command prompt is displayed.

In addition to the three Safe Mode options, Windows XP Professional provides a number of other special startup options, as listed below.

  • Enable boot logging. Logs information about events that occur during the boot process into a file named Ntbtlog.txt, which is located by default in C:\Windows. Administrators can use the information located here to determine what services and drivers fail to load during system startup.

  • Enable VGA mode. Starts the computer using the basic VGA driver, allowing administrators to recover from situations where display settings have been incorrectly configured.

  • Last Known Good configuration. Boots Windows XP Professional using the startup configuration that was saved the last time a user successfully logged in to the computer. More information on using the Last Known Good configuration is available later in this chapter.

  • Debugging Mode. Starts Windows XP Professional while simultaneously transmitting debug information to another computer using a serial connection.

By booting a computer using a Safe Mode option or one of the other modified boot settings, an administrator can bring the computer to a state where problems can be corrected. For example, accessing the Windows XP Display Setting dialog and adjusting color and resolution settings can correct an improperly configured display setting. Similarly, the administrator can fix many disk drive problems using the CHKDSK command.

The following procedure outlines the steps involved in altering the normal Windows XP Professional boot process.

  1. Start the computer.

  2. A message appears asking for the selection of the operating system. Press the F8 key.

  3. Use the Up and Down Arrow keys to select a startup option that is appropriate for the situation and press Enter.

  4. Correct the error that has been occurring and restart the computer normally to verify that the problem has been resolved.

Last Known Good Configuration

Many startup problems occur as a result of a configuration change made during the previous login session. The problem is not discovered until the computer is later restarted, at which time the error occurs. It is important that administrators educate users not to attempt to log in to Windows XP Professional at moments like these and instead to ask for assistance.

Each time the user successfully logs in to Windows XP, a collection of system configuration information is copied to the Last Known Good configuration. By default, Windows XP boots using its normal default configuration. However, in the event that a configuration change introduced during the last login session creates a problem, an attempt can be made to start the computer using the configuration settings stored in the Last Known Good configuration. The computer is then restored to its previous state before the configuration changes were made. However, if the user continues to log in after seeing errors during startup, the Last Known Good configuration is updated and may include the errors as part of its stored settings.

The Last Known Good configuration can also be used to try to start a computer that is unable to boot. For example, if the administrator installs a new hardware device whose device driver wreaks havoc on the computer and prevents startup using Safe Mode, it will not be possible to roll back the driver using Driver Rollback. In this case, the administrator could try restarting the computer using the Last Known Good Configuration, which would eliminate reference to the new software driver.

The following procedure outlines the steps involved in booting a computer using Windows XP Professional's Last Known Good configuration.

  1. Start the computer.

  2. A message appears asking for the selection of the operating system. Press the F8 key.

  3. Use the Up and Down Arrow keys to select the Last Known Good configuration option and press Enter.

  4. Select the operating system to be started and press Enter.

As soon as the computer is started, the computer's current configuration settings are recorded and a new Last Known Good configuration is created.

Recovery Console

If Safe Mode and the Last Good Known configuration are not able to assist in the resolution of a system problem, the administrator may be able to boot the computer using the Recovery Console to repair a Windows XP Professional installation. In order to use this utility, the password associated with the local Administrator account must be supplied. Unlike a computer booted using the Safe Mode with Command Prompt option, the Recovery Console supports only a limited set of Windows commands, as specified in Table B.2.

Table B.2: Windows XP Recovery Console Commands
Commands | Description
ATTRIB | Modifies file and folder attributes
BATCH | Runs commands stored in a text file
BOOTCFG | Modifies the boot.ini system file
CD | Changes the current working directory
CHKDSK | Analyzes and fixes problems with disk drives
CLS | Clears text from the display screen
COPY | Copies a file to the specified folder
DEL | Deletes the specified files
DIR | Displays all the files and subfolders located in a specified folder
DISABLE | Disables device software drivers and Windows XP services
DISKPART | Configures hard disk partitions
ENABLE | Starts device drivers and Windows XP services
EXIT | Terminates the Recovery Console and restarts the computer
EXPAND | Extracts the specified file from compressed .cab files located on the Windows XP Professional CD
FIXBOOT | Creates a new partition boot sector
FIXMBR | Repairs a disk's MBR (master boot record)
FORMAT | Formats a disk drive or floppy disk
HELP | Displays the list of the commands supported by the Recovery Console
LISTSVC | Displays a list of drivers and services
LOGON | Initiates a command line login session
MAP | Displays a list of currently mapped drives
MD | Creates a new folder
MORE | Displays a text file a screen at a time
NEW | USE Establishes a mapped network drive
REN | Renames the specified file
RD | Deletes or removes the specified folder
SET | Displays or modifies environmental variables
SYSTEMROOT | Changes the working directory to the %systemroot% folder of the Windows installation to which the administrator logged in
TYPE | Displays the contents of a text file without opening it

Using the Recovery Console, an administrator can start and stop system services, disable device drivers, execute commands to repair the master boot record, manage disk partitions, and even access network drives. The Recovery Console can be started in two ways, as listed below.

  • From the Windows XP Professional CD

  • By adding a Recovery Console entry to the list of Windows Startup options

Running the Recovery Console from the Windows XP CD

The Recovery Console can be loaded by booting the computer using the Windows XP Professional CD. This allows the Recovery Console to be run without preinstalling it on the computer. The following procedure outlines the steps involved in loading the Recovery Console using the Windows XP Professional CD.

  1. Insert the Windows XP Professional CD in the computer's CD-ROM drive and start the computer.

  2. The Welcome to Microsoft Windows XP screen appears.

  3. Select Install Windows XP.

  4. Select New Installation when prompted to select an installation method and click on Next.

  5. Click on Next to accept the Windows XP Professional License Agreement.

  6. Type the 25-character product key and click on Next.

  7. When prompted to download updated setup files, select Yes, download the updated Set files and click on Next.

  8. Windows Setup copies installation files from the Windows XP Professional CD and restarts the computer.

  9. The Welcome to Setup screen appears, displaying the following options:

    • To set up Windows XP now, press Enter.

    • To repair a Windows XP installation using Recovery Console, press R.

    • To quit Setup without installing Windows XP, press F3.

      Press R.

  10. When prompted, type the password associated with the Administrator account and press Enter.

  11. Execute any of the commands listed in Table B.2.

  12. When done working with the Recovery Console, type Exit and press Enter.

  13. The computer restarts.

  14. Press the F3 twice to exit the Windows XP Setup program and restart the computer normally.

Preinstalling the Recovery Console

If desired, the administrator may add the Recovery Console to the list of Windows XP Professional startup options, allowing it to be executed without the Windows XP Professional CD. The following procedure outlines the steps involved in adding the Recovery Console as a Windows XP Professional startup option.

  1. Insert the Windows XP Professional CD in the computer's CD-ROM drive and start the computer.

  2. Click on Start and then Run. The Run dialog appears.

  3. Type X:\i386\winnt32 /cmdcons and press Enter (X: is the drive letter assigned to the computer's CD-ROM drive).

  4. Click on Yes when prompted to install the Recovery Console.

  5. A pop-up dialog will appear once the Recovery Console has been configured. Click on OK.

Once installed, the Recovery Console can be selected by pressing the F8 key when prompted to select an operating system during system startup and then using the Up or Down Arrow keys to select the Recovery Console option.

Removing the Recovery Console Startup Option

In the event that the Remote Console is no longer required as a Windows XP startup option, the administrator can delete it using the following procedure.

  1. Click on Start and then My Computer.

  2. Open the drive where the Windows XP system files reside.

  3. From the root folder, delete the \Cmdcons subfolder.

  4. From the root folder, delete the Cmldr file.

  5. Modify the boot.ini file by deleting the following:

X:\cmdcons\bootsect.dat="Microsoft Windows Recovery Console" /cmdcons

Note

If the Recovery Console file and folder are not visible within My Computer, select Tools and then Folder Options. Then select the View property sheet, clear the Hide protected operating system files option, select the Show hidden files and folders option, and click on OK.
Note

For instructions on how to modify the boot.ini file, refer to "Configuring the Windows XP Boot Process" in Chapter 12, "Configuring and Administering System Files."


Recovering from Total Boot Failure

Sometimes a problem occurs that prevents a computer from starting, even with the Safe Mode options or Last Known Good configuration. For these situations, Windows XP Professional provides several options, including:

  • Booting computers that use FAT or FAT32 with a special floppy boot disk

  • Booting the computer using the Windows XP Professional CD and performing an ASR process

  • Reinstalling Windows XP Professional and Windows applications and then restoring user data from backup files

Each of these options is discussed further in the sections that follow.

Floppy Boot Disk

If Windows XP Professional is installed on a computer that uses the FAT or FAT32 file systems, the administrator can boot the computer using a specially formatted system boot disk. This disk is then used to start the computer in text mode, allowing the administrator to use the Windows command prompt to diagnose and repair system problems.

Note

Refer to Appendix A, "Windows XP Command Reference," for information on available Windows commands.

Unfortunately, booting off of a floppy boot disk only provides an administrator with access to FAT and FAT32 partitions and volumes. NTFS-formatted partitions and volumes will be unavailable. Floppy boot disks have several other limitations, including:

  • Only command line access is provided.

  • Network access is not available.

  • No CD-ROM drivers are loaded.

  • NTFS volumes and partitions cannot be accessed.

The following procedure outlines the steps involved in formatting a floppy boot disk.

  1. Place a floppy disk in the computer's floppy disk drive.

  2. Click on Start and then My Computer. The My Computer folder appears.

  3. Right-click on the A: drive and select Format. The Format 31/2 Floppy (A:) dialog appears, as shown in Figure B.8.

    Figure B.8: Creating a Windows XP startup disk for systems that use FAT or FAT32

  4. Select Create an MS-DOS startup disk.

  5. Click on Start. A pop-up dialog appears, warning that all data will be lost on the floppy disk. Click on OK.

  6. Another pop-up dialog appears when the format process is completed. Click on OK.

  7. Click on Close.

To use a floppy boot disk to start a computer, insert the floppy disk into the computer floppy disk drive and power the computer on. Once startup is complete, the Windows command prompt will be displayed.

Automated System Recovery

In some circumstances, problems created by applications, device drivers, and system misconfiguration may disable a computer in such a way that it cannot start. To attempt to recover from these situations, the administrator should first attempt to use the Safe Mode and Last Known Good configuration. In the event that these tools are unsuccessful, the administrator can attempt to use the ASR process.

The ASR provides a means of restarting the computer and restoring Windows XP Professional using an ASR floppy disk and a backup of system files. When used all changes made to configuration settings since the ASR backup was performed are lost. Although the ASR disk can be stored on any media, it is typically created on a floppy disk.

Creating an ASR Backup

The ASR backup stores data required to restart the computer in a compressed file on the computer's hard disk. The ASR floppy disk is used to boot the computer and contains the necessary information required to locate the ASR backup and initiate a restore. The data stored in the ASR backup includes:

  • Data regarding the ASR backup

  • Disk configuration information

  • Information about system services

  • Information about system state

  • A backup of system files

In order to use the ASR process, the administrator must have previously created an ASR backup. The ASR backup should be recreated whenever a major change is applied to a computer, including changes that affect computer startup or system files. It is especially important that critical systems be identified and a regular schedule be set up for updating the computer's ASR backup.

The following procedure outlines the steps involved in creating an ASR backup.

  1. Click on Start/All Programs/Accessories/System Tools and then Backup. The Backup Utility Wizard appears.

  2. Click on the Advanced Link. The Backup Utility dialog appears, as shown in Figure B.9.

    Click To expand
    Figure B.9: Creating an ASR backup

  3. Click on the Automated System Recovery Wizard icon. The Automated System Recovery Preparation Wizard starts.

  4. Click on Next.

  5. Specify the filename for the ASR floppy disk, as shown in Figure B.10. The default file name is backup.bkf.

    Click To expand
    Figure B.10: Creating an ASR floppy disk

  6. Insert a blank 3.5-inch disk into the computer floppy disk drive and click on Next.

  7. Click on Finish.

  8. The ASR floppy disk is created. An ASR backup of the files and configuration settings required to start the computer is then created and stored on the local computer.

  9. The Automated System Recovery Preparation Wizard displays a dialog providing detailed information of its progress. A summary is presented when the ASR operation completes. Click on Close.

Note

The ASR backup does not back up user files. To completely restore a computer, a separate set of file backups must be maintained.

System Recovery Using the ASR Backup

The ASR recovery process is not reversible and should be used only as a last resort for restoring a computer. The following procedure outlines the steps involved in performing this process.

  1. Insert the Windows XP Professional CD into the computer's CD-ROM drive. Start the computer and ensure that it boots from the Windows XP Professional CD.

  2. Press F2 when prompted during the text mode part of setup.

  3. Insert the ASR floppy disk into the computer's floppy disk drive when prompted, press any key, and follow the instructions that are presented.

Recovering User Files with Windows Backup

There may be times when an administrator is unable to restore a computer running Windows XP Professional to a working condition. In this case, a new installation must be performed, after which time the user's files can be restored. Windows XP Professional provides the Backup utility as a means for backing up user and system data.

Only administrators or members of the backup operators group can back up all the files and folders on the computer. Individual users and members of the power users group can back up files and folders, provided that they have one of the following permissions over them:

  • Read

  • Read and Execute

  • Modify

  • Full Control

Windows XP Professional can store backups on a number of different types of media, including:

  • Backup tape drives

  • Locally installed hard drives

  • Network drives

  • Writable compact disc drives

  • Floppy disks

Every file and folder on a computer running Windows XP Professional has an archive attribute that the backup utility uses to determine if a file has been modified and if it should be backed up. Windows XP Professional supports five different types of backup operation, as listed in Table B.3.

Table B.3: Windows XP Supported Backup Types
Backup Type | Description
Normal | Makes a backup of all selected files and folders while clearing each file and folder's archive attribute, thus eliminating it as a candidate for other scheduled backups
Copy | Makes a backup of all selected files and folders without affecting any of the file and folder archive attributes
Incremental | Makes a backup of files and folders that have been modified since the last backup ran and then clears all file and folder archive attributes
Differential | Makes a backup of files and folders that have been modified without clearing each file and folder's archive attributes
Daily | Makes a backup of all files and folders that have been modified that day without clearing their archive attributes

Creating a Backup

Using the Backup Wizard, an administrator can back up some or all files and folders located on the computer for later restoration in the event of an unrecoverable system failure. The following procedure outlines the steps involved in creating a backup using the Backup Wizard.

  1. Click on Start/All Programs/Accessories/System Tools and then Backup. The Backup or Restore Wizard appears.

  2. Click on the Advanced Mode link.

  3. The Backup Utility dialog appears.

  4. Click on Backup Wizard (Advanced). The Backup Wizard appears.

  5. Click on Next.

  6. Select one of the following options and click on Next.

    • Back up everything on my computer

    • Back up selected files, drives, or network data

    • Only back up the System State data

  7. If the option to back up selected files, drives, or network data was selected, the Backup Wizard will prompt for the specification of the files, drives, or network data to be backed up.

  8. Specify the location where the backup should be stored and assign it a name, as shown in Figure B.11. Click on Next.

    Click To expand
    Figure B.11: Specifying the location and name of a backup file

  9. The Backup Wizard displays a summary of the information that it has collected. Click on Finish to perform a normal backup. Alternatively, click on Advanced to specify additional backup options, such as selecting the type of backup to perform, whether the backup job should be verified, and whether the backup job should run now or be scheduled for later execution using the Scheduled Task Wizard.

  10. As the backup executes, the Backup utility displays a dialog providing detailed information of its progress. A summary is presented when the backup operation completes. Click on Report to view a detailed backup report or click on Close.

Restoring Data Stored in a Backup

The Backup utility can also be used to restore one or more files and folders stored in a backup, in the event that the user accidentally deletes them or if they need to be restored as a result of a catastrophic system failure.The following procedure outlines the steps involved in completing this procedure.

  1. Click on Start/All Programs/Accessories/System Tools and then Backup. The Backup utility starts.

  2. Click on Restore Wizard (Advanced). The Restore Wizard appears.

  3. Click on Next.

  4. Specify the location of the backup file, as demonstrated in Figure B.12. Click on Next.

    Click To expand
    Figure B.12: Specifying the location of the backup containing the files and folders to be restored

  5. The Restore Wizard displays a summary of the information that it has gathered. Click on Finish to perform the restore. Optionally, click on Advanced to specify advanced options, such as the location where the restored files and folders should be copied and what the Wizard should do if files and folders of the same name as those in the backup already exist in the specified destination.

  6. As the restore executes, the Restore Wizard displays a dialog providing detailed information of its progress. A summary is presented when the restore operation completes, as shown in Figure B.13. Click on Report to view a detailed backup report or click on Close.

Click To expand
Figure B.13: Examining the results of a restore operation
Note

If files that reside on an NTFS volume or partition are restored to a FAT or FAT32 volume, information about each file will be lost. This information may include NTFS file permissions, encryption settings, and disk quota settings.


Tips for Using Restoration Tools

Windows XP Professional provides administrators with a number of tools for dealing with situations in which the computer or a component of the computer must be restored to a previous state in order to undo a problem. Table B.4 provides a summary of these tools and provides examples of the types of problems and conditions for which each tool can be used.

Table B.4: Windows XP Restore Tools
Computer Status | Problem | Recovery Tool | Description
Boots | Bad device driver | Driver Rollback | Restore a device driver to the previously installed version.
 |  | System Restore | Restores the computer to a previously operational state.
Normal boot fails | Bad device driver | Last Known Good | Boot using Last Known Good configuration and then perform a Driver Rollback.
 | Configuration error | Last Known Good | Select this startup option to try to restore system configuration settings to the state they were in at the last successful login.
 |  | Safe Mode | Manually undo system configuration changes to recover from error or perform a Driver Rollback or System Restore.
Total boot failure | Missing/bad files | Floppy boot disk Manually extract system files from Windows XP CD. |
 |  | ASR | Boot using the ASR disk and restore boot sector and system files using the Windows XP CD and recovery data stored on the local hard disk.
 | Unrecoverable | Restore Wizard | Reinstall the operating system and applications and then use the Backup utility to restore user files.


gloss__Symbols

Team LiB

Glossary

Symbols

%ComSpec%.
An environment variable that provides the location of the Windows Shell.
%SystemRoot%.
An environment variable that specifies the location of Windows XP Professional's files. By default, the value of this variable is C:\Windows.


gloss_A

Team LiB

A

Access Control Entry (ACE).
Specifies the type of access assigned to a user or group account over a resource.
Access Control List (ACL).
A collection of Access Control Entries associated with a resource.
Account Lockout Policy.
Specifies rules that define how Windows XP Professional manages failed login attempts.
Activation.
The process of contacting Microsoft and permanently enabling a copy of Windows XP Professional.
Active Directory.
A network service on a Windows domain-based network that is responsible for managing network objects, such as user and computer accounts, in a centralized hierarchy.
Add or Remove Programs.
An interface for working with the Windows Installer service that assists in managing application installation and removal.
Address Resolution Protocol (ARP).
A TCP/IP protocol that retrieves a computer's MAC address based on its IP address.
Address toolbar.
A toolbar residing on the Windows XP taskbar that displays a browser URL field, allowing the user to launch the default Internet browser and load Web pages.
ADMIN$.
A hidden administrative share that points to the location of the Windows XP Professional system root file. By default, its value is C:\Windows.
Administrator.
An administrative account with complete control over the computer and its resources.
Administrators.
A Windows XP group account whose members have complete control over a computer and its resources.
Advanced Configuration and Power Interface (ACPI).
A specification used by Windows XP Professional to implement power conservation.
Alternative IP addressing.
A Windows XP feature that provides the ability to specify IP address settings to be used when DHCP is unavailable.
Answer file.
A file that supplies the Windows XP Professional setup process with answers to installation questions in order to facilitate an automated installation.
Application event log.
A log file where Windows XP records information regarding events produced by applications.
Argument.
A value passed to a script at the beginning of its execution.
Assoc.
A Windows XP command that displays and modifies file name associations.
At.
A Windows XP command that is used to schedule the execution of scripts and applications. The At command can view, add, and delete scheduled tasks.
Attrib.
A Windows XP command that can be used to modify file and folder attributes.
Audit Policy.
A Group Policy that defines the types of events that Windows XP will audit and record in the Security event log.
Author mode.
An edit mode that provides the ability to modify the contents of a Microsoft Management Console.
Automated System Recovery (ASR).
A system recovery tool that provides a way to restart a computer and restore Windows XP Professional to a previously working condition using an ASR floppy disk and a backup of system files.
Automatic Private IP Addressing (APIPA).
A Windows XP feature often used by computers attached to small home or office networks. APIPA allows the operating system to assign its own TCP/IP settings.
Automatic Update.
A Windows XP utility that keeps Windows XP up-to-date by connecting to the Microsoft update Web site and determining whether Microsoft has posted any updates that are applicable to the computer.


gloss_B

Team LiB

B

Backup.
A Windows XP utility that can back up and restore one or more files and folders on the computer.
Backup Operators.
A Windows XP group account that allows member accounts to back up and restore all files on the computer.
Basic disk.
The default disk type created by Windows XP. Basic disks allow the allocation of all or part of a disk drive to the formation of partitions.
Batch Job.
A script composed of Windows commands stored as a text file with a .bat file extension.
boot.ini.
A system file containing settings that manage the Windows XP Professional boot menu.


gloss_C

Team LiB

C

Cabinet files.
Compressed files used to store Windows XP and related utilities on the Windows XP Professional CD.
Cable Internet connection.
An always-on high-speed Internet connection provided by a local cable TV provider.
Call.
A Windows XP command that executes a procedure or external script without terminating its own execution.
Callback.
A remote access option that requires that the caller either specifies his or her phone number or connects from a predetermined phone number.
Cd.
A Windows XP command that changes the current working directory.
Chkdsk.
A Windows XP command that analyzes and fixes problems with disk drives.
Clean install.
A fresh installation of Windows XP Professional, performed when a computer does not already have an existing operating system or when the administrator wishes to install Windows XP Professional on a computer without migrating any settings from the current operating system.
Client for Microsoft Networks.
A Windows software component that provides Windows XP with the ability to access network resources located on a Windows computer.
Client Service for NetWare.
A Windows software component that provides Windows XP with the ability to access network resources located on a NetWare server.
Cls.
A Windows XP command that clears text from the display screen.
Cluster.
The smallest unit of storage to which a file can be saved.
Cmd.
A Windows XP command that opens a command console and displays the Windows command prompt.
Color.
A Windows XP command that can be used to change a command console's background and foreground colors.
Command console.
A console that provides access to the Windows XP command prompt.
Compression.
A technique for storing files using less disk space.
Computer Management console.
A framework tool for building administrative consoles using snap-ins and extensions.
Convert.
A Windows XP command that is used to convert a FAT or FAT32 formatted partition or volume to NTFS.
Copy.
A Windows XP command that copies a file to the specified folder.
CScript.exe.
A Windows Script Host script execution engine that supports textbased scripts that run in command-line mode.
CurrentControlSet.
A registry key that contains configuration data used by Windows XP when starting up.


gloss_D

Team LiB

D

Daily backup.
A scheduled backup job that backs up all files and folders that have been modified that day without clearing their archive attributes.
Date.
A Windows XP command that displays and modifies the date.
Debugging mode.
A Windows XP startup option that sends debug information to another computer during startup using a serial cable connection.
Default gateway.
A computer or network device to which remote network data packets are sent.
Deferred printing.
A Windows XP technique that allows the user to submit print jobs when not connected to the network. The print jobs are temporarily stored on the computer's local hard drive and are automatically submitted to a network printer when network connectivity is restored.
Defrag.exe.
A Windows XP command-line version of the Disk Defragmenter utility.
Del.
A Windows XP command that deletes files.
Designed for Microsoft Windows XP Application Specification
A set of requirements that Microsoft imposes on any application developers before they can display the Designed for Windows logo on their software.
Designed for Windows logo.
A logo displayed by a Windows application that has met the requirements of the Designed for Microsoft Windows XP Application Specification.
Desktop Cleanup Wizard.
A wizard that runs every 60 days, prompting the user to allow it to automatically move unused desktop shortcuts to a special folder on the Windows XP desktop.
Desktop toolbar.
A toolbar residing on the Windows XP taskbar that displays the My Documents folder, the My Computer folder, the Network Places folder, the Recycle Bin, and all shortcuts stored on the user's desktop.
Device driver signing.
A technique that identifies software drivers that have been tested and certified for use on Microsoft operating systems.
Device Driver Verification.
A test applied by Windows XP prior to installing a new software driver to determine if it has been digitally signed.
Device Manager.
A utility that displays and administers the assignment of system resources to a computer's hardware devices.
Dial-up connection.
A network connection established between two computers using modems, a telephone line, and a wide area network connection that employs the PPP (Point-to-Point Protocol).
Differential backup.
A Windows XP backup job that backs up all files and folders that have been modified without clearing the files' and folders' archive attributes.
Digital subscriber line (DSL).
An always-on high-speed connection provided by a local ISP in conjunction with the local telephone company over the PSTN (Public Switched Telephone Network).
Dir.
A Windows XP command that displays the files and subfolders located in a specified folder.
Disk Cleanup.
A Windows XP utility that frees up disk space by deleting unnecessary files from the hard disk drive.
Disk Defragmenter.
A Windows XP MMC snap-in or extension that analyzes and defragments local hard disk drives.
Disk quotas.
A Windows XP feature that allows administrators to specify the amount of disk space that users may use.
Diskpart.
A Windows XP command that allows administrators to manage disk drives.
Direct Memory Access (DMA) channels.
Communication channels used by medium-speed hardware devices, such as floppy disk drives.
Domain.
A type of Windows network that provides centralized administration and control over all network resources using Active Directory.
Domain Name System (DNS).
A network service that provides IP address and name resolution services on the network.
Domain User Account.
A user account stored in Active Directory that provides access to all the resources on a domain to which it has been assigned access.
Drive mapping.
The assignment of a local drive letter to a network drive, allowing the network drive to be accessed as if it were a local drive.
Driver Rollback.
A Windows XP facility that allows administrators to restore a device's software driver to a previously installed version.
Dual-boot.
A configuration that permits a computer to be started using any of two or more installed operating systems.
Dynamic Disk.
An advanced Windows XP disk technology that supports more features than basic disks, including support for larger disk drives, mount points, and disk spanning.
Dynamic Host Configuration Protocol (DHCP).
A network service that provides centralized administration of TCP/IP configuration settings.
Dynamic Update.
A Windows XP feature that is executed by the Windows XP installation process in order to retrieve the latest collection of installation files from Microsoft before installing Windows XP Professional.


gloss_E

Team LiB

E

Echo.
A Windows XP command that displays text messages in the command console.
Enable Boot Logging.
A Windows XP startup option that logs startup information to a file named Ntbtlog.txt in order to assist administrators in troubleshooting startup problems.
Enable VGA Mode.
A Windows XP startup option that starts the computer using the basic VGA driver in order to assist the administrator in correcting errors with the computer's display configuration.
Encrypted File System (EFS).
A Windows XP feature that allows users to encrypt their files and folders. Once encrypted, only the person who encrypted the files and folders can decrypt them. EFS uses public-key encryption that is automatically managed by the operating system and is completely transparent to the user.
Endlocal.
A Windows XP command used within shell scripts to define a new variable scope.
Erase.
A Windows XP command that deletes files.
Error Reporting.
An error reporting utility provided with Windows XP that assists the user in reporting application and system errors to Microsoft via the Internet.
Event Viewer.
A snap-in or extension that provides the ability to view Windows XP Application, System, and Security event logs.
Exit.
A Windows XP command that closes the command console or terminates a shell script.
Expand.
A Windows XP command that extracts files from compressed .cab files located on the Windows XP Professional CD.
Extended partition.
A disk partition that can be subdivided into multiple logical drives, each of which can then be assigned its own drive letter.
Extensible Markup Language (XML).
A markup language used to create Windows Script Files composed of more than one script language.
Extensions.
Special components that are hosted within a snap-in and which provide system management functionality in a Microsoft Management Console.


gloss_F

Team LiB

F

FAT32.
An enhanced 32-bit version of the FAT file system that provides support for larger disk drives.
Fax console.
The primary interface for the Windows XP Fax application.
Fax device.
A hardware device capable of sending and receiving fax transmissions.
File Allocation Table (FAT).
A disk file system originally developed for the MS-DOS operating system that is universally accessible to all Microsoft operating systems.
File and Printer Sharing for Microsoft Networks.
A software component that allows Windows XP to share local disks, folders, and printers with other computers on a network.
File and Setting Transfer Wizard.
A conversion utility that assists in the migration of user and system configuration settings from one computer to another.
File server.
A network computer that shares local drives and folders with other computers on a network.
File Transfer Protocol (FTP).
A TCP/IP protocol that transports text and binary files over a network connection.
Firewall.
A hardware device or application that protects a computer or network by blocking unsolicited network traffic from the Internet.
Fixboot.
A Windows XP command that creates a new partition boot sector.
Fixmbr.
A Windows XP command that repairs a disk's MBR (master boot record).
For.
A Windows XP shell script statement that iterates through large amounts of information.
Format.
A Windows XP command that formats a disk drive or floppy disk.
Fragmentation.
The breakup or fragmentation of files into smaller pieces in order to store them on disk drives that are running out of free space.
Ftype.
A Windows XP command that changes the file extension associated with a file type.


gloss_G

Team LiB

G

Ghosting.
A process used to install an operating system by making an identical copy of an existing installation and copying it to another computer.
Goto.
A Windows XP shell script statement that switches processing control to a line identified by a Label statement.
Group Policy.
A management feature that allows administrators to centrally configure system and application settings at the local computer or at the domain level via Active Directory.
Guest.
A special user account that is designed to provide individuals with temporary access to the computer.
Guests.
A Windows XP group that provides a member user account with guest access permissions.


gloss_H

Team LiB

H

Hardware Compatibility List (HCL).
A list of compatible hardware and software products maintained by Microsoft, located online at http://www.microsoft.com/hc.
Hardware profiles.
A collection of settings that describe a computer's hardware configuration at different states, usually docked or undocked. They allow a computer to boot up faster and skip unnecessary hardware detection.
Help and Support Center.
A comprehensive help system that integrates system and Internet-based help and consolidates many tools in a single location, including Remote Assistance and System Restore.
HelpAssistant.
A built-in Windows XP user account that is used by the Remote Assistance utility to provide the remote helper with access to the local computer.
HelpServicesGroup.
A built-in Windows XP group account that contains the HelpAssistant user account.
Hibernation.
An optional Windows XP shutdown option that stores a copy of all data and active programs on the local hard disk and powers the computer off. When powered back on, Windows XP presents an option to restore the computer to its previous state by retrieving stored programs and data from the disk.
Hidden share.
A shared drive or folder that is created by appending the $ character to the end of the share name. These shares are not visible to users as they browse the network.
HKEY_CLASSES_ROOT.
A registry root key or hive where information about Windows file associations is stored.
HKEY_CURRENT_CONFIG.
A registry root key or hive where information about the computer's current configuration is stored.
HKEY_CURRENT_USER.
A registry root key or hive where information about the current user is stored.
HKEY_LOCAL_MACHINE.
A registry root key or hive where information that affects the computer and all its users is stored.
HKEY_USERS.
A registry root key or hive where information about every user of the computer is stored.
Hostname.
A unique user-friendly name assigned to each computer on a network.
Hostname.
A Windows XP command that displays a computer's assigned TCP/IP hostname.
Hub.
A network device that connects two or more computers together to create a local area network.
Hung.
An application that has stopped responding yet still continues to consume system resources. Hung applications can be terminated using the Windows Task Manager.
Hypertext Transfer Protocol (HTTP).
A TCP/IP protocol that transfers data between a Web browser and Web server.


gloss_I

Team LiB

I

IF.
A Windows XP Shell script statement that tests two conditions to determine if a match occurs.
Incremental backup.
A type of backup that makes a backup of all files and folders that have been modified since the last backup ran while clearing all file and folder archive attributes.
Indexing service.
A Windows XP service that scans documents and builds a searchable index in order to facilitate faster searches.
Input/Output Addresses (I/O).
A hexadecimal number assigned to hardware devices that provides a unique reference which the CPU uses to communicate with the devices.
Integrated services digital network (ISDN).
A medium-speed wide area network connection established over dedicated communications lines provided by the telephone company.
Internal commands.
Commands that are integrated into the Windows command Shell.
Internet Connection Firewall (ICF).
A software-based personal firewall integrated into Windows XP Professional. ICF is designed for home users and businesses with computers that are individually connected to the Internet or to a small peer-to-peer network with shared Internet access.
Internet Connection Sharing (ICS).
A Windows service that allows a computer on a small network to share its Internet connection with other computers on the network.
Internet Control Message Protocol (ICMP).
A TCP/IP protocol that provides error reporting and protocol control.
Internet Location Service (ILS).
A service used by Microsoft Messenger to facilitate communication between two Microsoft Messenger users.
Internet Protocol (IP).
A protocol that provides connectionless data communications. IP does not provide guaranteed delivery of data.
Internet service provider (ISP).
A company that provides access to the Internet by providing subscribers with a user account and an IP address.
InterNIC.
An international body that manages the global allocation of IP addresses by selling blocks of IP addresses to large ISPs and telecommunications companies.
Interrupt requests (IRQs).
A path assigned to a device that allows it to notify the CPU when it requires attention.
IP address.
A unique 32-bit number that uniquely identifies a computer on a network such as the Internet.
IPC$.
A hidden share that Windows XP creates to support remote administration over network connections.
Ipconfig.
A Windows XP command that displays and modifies TCP/IP settings.
IPSec.
A high-security protocol that encrypts data transmitted over VPN network connections.
IPX/SPX.
A proprietary protocol developed by NetWare to support NetWare networks.


gloss_J

Team LiB

J

JScript.
One of two scripting languages supplied by Microsoft for use with the Windows Script Host. JScript is based on the JavaScript scripting language.


gloss_L

Team LiB

L

Last Known Good configuration.
A Windows XP startup option that boots using the startup configuration saved at the last user login.
Layer 2 Tunneling Protocol (L2TP).
A protocol that supports VPN connections. By default, L2TP does not encrypt data. However, L2TP can be combined with IPSec to support secure communications.
Links toolbar.
A toolbar residing on the Windows XP taskbar that displays the links stored in the user's Internet Explorer Links folder.
Loadstate.
A USMT command that retrieves migration files from a network share and applies them to a target computer.
Local print device.
A term used by Microsoft to describe a physical printer connected to a computer's serial, parallel, or USB port.
Local User Account.
A user account that is defined in Windows XP Professional's SAM.
Logon script.
A script that is set up to execute when the user logs in to Windows XP.


gloss_M

Team LiB

M

Mandatory User Profile.
A preconfigured user profile established by the administrator and assigned to a user account that the user cannot modify.
Md.
A Windows XP command that creates a new folder.
Media Access Control (MAC) address.
A 48-bit number that identifies a network device, such as a network adapter or modem.
Memory addresses.
Ranges of electronic storage addresses that some devices use to send to and receive from the CPU.
Microsoft Management Console (MMC).
A management framework that provides a consistent interface for working with administration tools known as snap-ins and extensions.
Mkdir.
A Windows XP command that creates a folder.
Modem.
A device that modulates digital signals into analog signals and transmits them over a telephone line or, conversely, converts analog signals back into digital signals.
Modifiers.
Arguments that modify the switch behavior of Windows XP commands.
More.
A Windows XP command that displays the contents of a text file one screen at a time.
Mount point.
A folder located on a volume or partition where a link to a new disk drive is established.
Move.
A Windows XP command that moves files to another folder.
Msconfig.
A Windows XP utility that displays and modifies startup configuration settings, startup applications, and the system.ini, win.ini, and boot.ini system files.
MSN Communities.
A Microsoft Internet service that provides Internet-based storage.
Multilink.
A Windows XP feature that allows the bandwidth of two or more modems to be used in establishing a remote network connection.
My Documents.
A folder assigned to each user for personal storage that is located in \Documents and Settings\Username\My Documents.


gloss_N

Team LiB

N

Nesting.
A programming technique used in shell scripts in which multiple IF statements are placed inside one another in order to develop more complicated conditional tests.
Net Accounts.
A Windows XP command that administers password policies.
NetBEUI.
A local area network protocol developed by IBM to support small local area networks of 50 or fewer computers.
Net Group.
A Windows XP command that administers global groups.
Net Localgroup.
A Windows XP command that administers local groups.
Net Share.
A Windows XP command that manages network shares.
Net Use.
A Windows XP command that establishes a mapped network drive.
Net User.
A Windows XP command that displays and creates user accounts.
NetMeeting.
A Microsoft application that supports text, audio, video, and application sharing between NetMeeting users.
Network Adapters.
A PCI, USB device, or PC card that connects a computer to a local area network.
Network Address Translation (NAT).
A network service provided by devices that connect local area networks to the Internet by hiding private network IP addresses from the external network and making only the device's own public IP address visible.
Network bridging.
A Windows XP networking feature that allows a computer with multiple network adapters to connect two different network segments together into a single cohesive network, even if the two network segments use different topologies.
Network Configuration Operators.
A Windows XP group whose members have the ability to configure network settings (including TCP/IP).
Network drive.
A drive that is shared among computers on a local area network.
Network print device.
A print device that is shared with other computers on a local area network.
Network protocol.
A software component that defines rules and standards that allow computers to communicate on a network.
Network Setup Wizard.
A wizard that assists in helping to configure Windows XP to participate on a workgroup-based network.
New Technology File System (NTFS).
A highly secure file system that supports features not available on FAT or FAT32, such as encryption, compression, disk quotas, and advanced security permissions.
Normal backup.
A backup composed of selected files and folders. A normal backup job clears each file's and folder's archive attribute.
Notification area.
An area located on the far right-hand side of the Windows XP taskbar that displays icons representing applications automatically started by Windows XP, as well as icons for Windows XP utilities, such as Automatic Update and the Desktop Cleanup Wizard.
NUMBER_OF_PROCESSORS.
A system variable that displays a value of 1, indicating the number of processors installed on the computer.
NWLink.
Microsoft implementation of Novell's IPX/SPX protocol.


gloss_O

Team LiB

O

Offline files.
A Windows XP feature that allows files to be downloaded into cache on the local computer so that they will remain available even when the computer is not connected to the network.
OS.
A system variable that displays the operating system's name.


gloss_P

Team LiB

P

Pagefile.sys.
The name of the Windows XP file used to provide virtual memory storage.
Parameters.
Arguments that are passed to a command for processing.
Partition.
A set portion of a basic disk that is formatted with a file system and managed as a single entity.
Path.
A Windows XP command that displays and modifies the Windows PATH variable, which locates commands for processing when the full path to the command is not specified.
Pathext.
A system variable that identifies a list of extensions that represent executable files.
Pause.
A Windows XP Shell script statement that suspends script execution until the user presses a key.
Peer-to-peer network.
A network based on the workgroup model in which each computer on the network is responsible for its own administration.
Ping.
A Windows XP command that tests network connectivity with another computer.
Pinned programs.
Applications that have been dragged and dropped onto the Windows XP Start menu and that remain there until manually removed.
Plug and Play.
A set of specifications used to develop hardware devices that allow a computer to detect and configure the hardware devices without user intervention.
Point-to-Point Protocol (PPP).
A wide area network protocol that manages the connection between a dial-up server and dial-up client.
Point-to-Point Tunneling Protocol (PPTP).
A protocol that encrypts data in VPN connections over the Internet.
Popd.
A Windows XP Shell script statement that changes the current folder to the folder stored by a Pushd command.
Power scheme.
A group of settings that define how Windows XP implements power management.
Power Users.
A Windows XP group whose members have the same capabilities as members of the Users group, plus the ability to install applications and modify certain system settings.
Print$.
A hidden share that supports the remote management of print devices.
Print device.
A device that creates printed output.
Print Queue.
A temporary folder where print jobs are spooled until they can be printed.
Printer pool.
The logical association of two or more printers into a single logical print device. Windows XP automatically submits print jobs to the first available print device in the printer pool.
Private IP address.
An IP address assigned to a computer on a private network, which is not visible to other networks such as the Internet.
Procedure.
A Windows Shell script construct that allows scripts to be organized into callable units of code using the Call and Label statements.
PROCESSOR_ARCHITECTURE.
A system variable that identifies the computer's processor type.
PROCESSOR_IDENTIFIER.
A system variable that displays a detailed description of the computer's processor.
PROCESSOR_LEVEL.
A system variable that displays the processor's stepping level.
PROCESSOR_REVISION.
A system variable that displays the processor's revision number.
Profile.
A collection of user settings associated with every user account that allows users to customize their desktop and computer settings without affecting other users of the computer.
Program Compatibility Wizard.
A Windows utility that configures an application's executing environment in order to allow programs not written for Windows XP to run on the computer in an environment that simulates other Windows operating systems.
Prompt.
A Windows XP command that modifies the format and content of the Windows command prompt.
Proxy service.
A network service that provides shared Internet access on large networks.
Pushd.
A Window XP shell script statement that changes the working environment to a new folder while storing the previous folder for later restoration by the Popd command.


gloss_Q

Team LiB

Q

Quick Launch toolbar.
A toolbar residing on the Windows XP taskbar that provides single-click access to applications whose shortcut has been added to the toolbar.


gloss_R

Team LiB

R

Rarp.
A TCP/IP protocol that retrieves a computer's IP address using its MAC address.
Rd.
A Windows XP command that deletes a specified folder.
Recovery Console.
A Windows XP utility that provides the ability to start the operating system in command line mode in order to debug problems that prevent normal system startup.
Regedit.
A utility that displays and modifies the keys and values that make up the Windows XP registry.
Registry.
A database that stores system, user, and application settings.
Rem.
A Windows XP Shell script statement that is used to add comments to a Shell script.
Remote Assistance.
A utility that lets users receive remote help by allowing another person to take over the user's computer from afar in order to troubleshoot a problem.
Remote Desktop.
A remote control application that allows users to remotely connect to and work with their computers as if they were sitting in front of them. Remote Desktop uses terminal server technology built into Windows XP.
Remote Desktop Protocol (RDP).
A presentation protocol used by Windows XP to support communications between a local and a remote computer in a remote desktop connection.
Remote Desktop Users.
A Windows XP group whose members are permitted to use Remote Assistance to connect to the computer.
Remote Installation Services (RIS).
A Windows 2000 Server or .NET Server tool that assists administrators in deploying large numbers of Windows XP Professional installations.
Ren.
A Windows XP command that renames the specified file.
Replicator.
A Windows XP group that is used by Windows XP to support domain replication.
Residential gateway.
A small network appliance that provides shared Internet access and also serves as a network hub/switch while providing personal firewall protection.
Resolution.
A measurement of the number of pixels that are displayed on the screen at one time.
Resource Kit.
A supplemental collection of documentation and utilities provided by Microsoft that assists in the administration of Windows XP Professional.
Restore point.
A stored collection of system files and configuration settings that can be used by the System Restore utility to restore the computer to a previous state in time.
Rmdir.
A Windows XP command that deletes the specified folder.
Roaming profile.
A user profile stored on a shared folder that can be accessed from any computer on the network to which the user logs on, allowing the user's profile settings to be applied on that computer.
Router.
A hardware device that manages communications between two networks or network segments by routing data packets as necessary between the two network environments.


gloss_S

Team LiB

S

Safe Mode Startup.
A Safe Mode startup option that starts Windows XP Professional with a limited set of system files, services, and device drivers.
Safe Mode with Command Prompt.
A Safe Mode startup option that starts Windows XP Professional with a limited set of system files, services, and device drivers but does not load the Windows graphical user interface.
Safe Mode with Networking.
A Safe Mode startup option that starts Windows XP Professional with a limited set of system files, services, and device drivers, as well as basic network services.
Scanstate.
A USMT command that stores migration files on a source computer for later reload on a target computer.
Security Account Manager (SAM).
A local security database that is part of each Windows XP Professional installation and that supports local security administration.
Security event log.
A Windows XP event log where audit events are recorded.
Set.
A Windows XP command that displays, creates, modifies, and deletes variables.
Setlocal.
A Windows XP Shell script statement that is used within a script to define a new variable scope, which remains in effect until an Endlocal statement executes.
Share.
A resource such as a folder, drive, or printer that has been made available to other computers on a network.
Share level security.
A collection of permissions applied to a shared drive, folder, or printer that specifies the level of access to be granted to network users.
Shared drive.
A drive located on the local computer that has been shared with the rest of the network.
Shared folder.
A folder located on the local computer that has been shared with the rest of the network.
Shift.
A Windows XP shell script statement that modifies the position of parameters in a script.
Shortcut.
A link that provides access to another object when opened.
Simple.
A dynamic disk that uses contiguous storage space located on a single disk drive.
Simple file sharing.
Available on stand-alone systems or systems connected to peer-to-peer networks, this feature supports file sharing in which security is limited to read access or read/write access.
Simple Mail Transfer Protocol (SMTP).
A TCP/IP protocol that supports the transport of e-mail.
Simple Network Management Protocol (SNMP).
A TCP/IP network monitoring protocol.
Simple Start menu.
A new Start menu supplied with Windows XP that is designed to reduce desktop clutter by increasing the functionality and usefulness of the Start menu.
Snap-in.
An administrative component that operates within the context of a Microsoft Management Console.
Spanned.
A dynamic disk created by allocating a portion of contiguous space from two or more disk drives into a single logical volume. Data is written to the first drive until it becomes full; then data is written to the next drive in the set.
Spool.
The process of storing a print job on disk, where it then waits to be printed.
Standby.
An optional Windows XP shutdown option that stores a copy of all data and active programs in memory and reduces power to the computer, placing it into a low power state. The computer is automatically restored to its previous state when the user returns and presses a key or mouse button.
Start.
A Windows XP command that opens a new command shell.
Startup folder.
A folder containing applications that should be automatically started whenever Windows XP starts.
Striped.
A dynamic disk created by allocating a portion of contiguous space from two or more disk drives into a single logical volume. All data is evenly written to each drive.
Subnet mask.
A 32-bit number used by TCP/IP to determine whether or not the destination computer resides on the same network.
Subnetting.
The process of organizing a network into a series of small subnetworks in order to reduce network traffic and improve network response time.
Subroutine.
A Windows Shell script construct that allows the processing control in a script to be passed to a collection of code.
Support.
A default user account created during the installation of Windows XP that is used by the Help and Support service.
Switch.
A hardware device that establishes a temporary dedicated connection between two computers on a local area network that does not affect the speed of other network communications.
Switches.
Arguments that alter the way in which Windows XP processes a command.
SysPrep.
A tool supplied with Windows XP that assists administrators in installing new instances of Windows XP based on the configuration settings of a base clone computer.
System event log.
A log file where Windows XP records information regarding events concerning operating system, hardware, and software driver activity.
System Restore.
A recovery utility that allows administrators to restore Windows XP Professional to a previous configuration without losing any user data.
System variables.
Variables created and managed by Windows XP that affect the computer and every user of the computer. Changes made to system variables do not go into effect until the computer is restarted.
system.ini.
A system file supported by Windows XP to provide backward compatibility with older Windows applications that require this file to store devices and software drivers.


gloss_T

Team LiB

T

Taskbar.
A toolbar that usually resides at the bottom of the display, containing the Start menu, the notification area, other toolbars, and icons representing open applications.
Task Manager.
A utility that provides real-time performance data for system, network application, processor, and user performance.
Telnet.
A Windows XP protocol that establishes a text-based session with a remote network computer running the Telnet service.
Temp.
A Windows XP system variable that identifies the location of a temporary folder where temporary files are stored.
Themes.
A collection of colors, icons, sounds, fonts, and a screen saver and desktop background that affect the overall appearance of Windows XP Professional.
Time.
A Windows XP command that displays or modifies system time.
Title.
A Windows XP command that changes the text displayed in the command console's title bar.
Tmp.
A Windows XP system variable that identifies the location of a temporary folder where temporary files are stored.
Tracert.
A Windows XP command that allows administrators to trace the path taken by a data packet as it travels the network.
Transmission Control Protocol (TCP).
A protocol that is used to establish a logical communication session between two computers in order to ensure the guaranteed delivery of data.
Transmission Control Protocol/Internet Protocol (TCP/IP).
The name of a collection of related protocols used on the Internet and other private networks. TCP/IP is the default network protocol for Windows XP Professional.
Troubleshooters.
Support tools that assist in troubleshooting computer problems by asking questions and providing suggested courses of action.
Type.
A Windows XP command that displays the contents of a text file without opening it.


gloss_U

Team LiB

U

User Datagram Protocol (UDP).
A TCP/IP protocol that, unlike TCP, does not establish a formal session between two communicating computers in order to guarantee the delivery of data.
Unattended installation.
The process of installing Windows XP using an answer file and a UDF file.
Uniqueness Database File (UDF).
A file that provides computer-specific settings during an unattended installation.
Universal Naming Convention (UNC) reference.
A command syntax that provides the ability to specify network resources in the format of \\ComputerName\ ResourceName.
Universal Plug and Play (UPnP).
A service that allows a computer to automatically detect and connect to network devices that are UPnP compatible.
Upgrade.
An Windows XP installation option where an existing operating system and its application and custom settings are migrated to Windows XP during installation.
Upgrade Advisor.
A utility that administrators can use to scan a computer and create a hardware and software incompatibility report to identify compatibility issues that may exist on the computer.
User environment variables.
Variables created and managed by Windows XP that affect the individual users of the computer. Changes made to system variables do not go into effect until the user logs off and back on.
User mode.
An operational mode that allows the execution of snap-ins and extensions loaded into a Microsoft Management Console.
User State Migration Tool (USMT).
A utility that assists administrators in migrating settings for a large number of computers.
Users.
A Windows XP group whose members are permitted to log in, run applications, save and print files, turn off the computer, and perform other nonadministrative tasks.


gloss_V

Team LiB

V

Variable.
A mechanism used to store values for later reference.
VBScript.
One of two scripting languages supplied by Microsoft for use with the Windows Script Host that is based on the Visual Basic programming language.
Ver.
A Windows XP command that displays the Windows version number.
Virtual memory.
A Windows XP feature that uses a preallocated portion of disk space to supplement physical memory. Virtual memory allows Windows XP to support applications whose memory requirements exceed the amount of physical memory installed in the computer.
Virtual Private Network (VPN).
A network connection established using the Internet as the communication infrastructure. VPNs create a virtual tunnel through which network traffic can be securely transmitted.


gloss_W

Team LiB

W

Wide Area Network (WAN) Protocol.
A network protocol that supports network communications over great distances. WANs can also be used to connect different local area networks together.
Windir.
A system variable that specifies the location of the Windows folder.
Windows Catalog.
A searchable database of hardware and software products that have been tested on Windows XP, located at http://www.microsoft.com/windowsxp/pro/howtobuy/upgrading/compat.asp.
Windows File Protection.
A Windows XP feature that identifies and tracks critical application and system files, providing the ability to automatically restore them if necessary.
Windows Hardware Quality Lab.
An organization that evaluates drivers and hardware submitted by vendors to ensure that they operate as described on Windows XP.
Windows Installer Service.
A Windows XP service that manages the life cycles of Windows applications, including their initial installation, upgrade, and removal.
Windows Media Player.
A Windows XP application that plays CDs and DVDs and provides the ability to listen to and view streaming audio and video from the Internet.
Windows Messenger.
A Microsoft instant messaging application that supports sending and receiving instant messages, as well as audio, video, and application sharing.
Windows Script File.
A script that uses XML to combine two or more different scripts written in different script languages into a single script with a .wsf file extension.
Windows Script Host (WSH).
A powerful scripting environment with an object model that provides scripts written in languages such as VBScript and JScript with direct access to many Windows resources.
Windows Task Manager.
A utility that displays performance information regarding applications, processes, system performance, network performance, and user activity.
Windows Update.
A Windows XP service that assists in keeping the operating system up-to-date by checking for and applying updates from Microsoft's Windows Update Web site.
Windows XP 64-Bit Edition.
A 64-bit version of Windows XP that is designed to run on Intel's Itanium processor.
Windows XP Home Edition.
A version of Windows XP targeted at the home consumer that provides most of the features of Windows XP Professional except for the ability to participate in a Windows domain-based network.
win.ini.
A system file supported by Windows XP to provide backward compatibility with older Windows applications that require this file to store devices and software drivers.
Winnt.exe.
A command that initiates the Windows XP setup process on a computer running MS-DOS.
Winnt32.exe.
A command that initiates the Windows XP setup process on a computer running Windows 98, Me, NT, or 2000 operating systems.
Windows Internet Naming Service (WINS).
A name resolution service used on domain-based networks to provide IP address to computer name resolution.
Workgroup.
A small peer-to-peer network made up of two to ten computers.
WScript.exe.
A Windows Script Host script execution engine that provides scripts with the ability to communicate with the user by displaying pop-up graphical dialogs.
WSH Core Object Model.
A component of the WSH that provides access to Windows objects in order to allow WSH scripts to interact with resources such as the registry, the desktop, and the file system.


gloss_X

Team LiB

X

X.25.
A low-speed network connection designed to facilitate communications over an unreliable connection.


index_A

Team LiB

Index

A

access
always-on high-speed connections, 606-608
configuring servers, 540-541
connecting to the Internet, 605-606
controlling access to open files, 684-685
dial-up access,, 533-541, 597-606
DMA (Direct Memory Access), 87
firewalls, 610-621
Internet access, 596-610
mobile users, 529-530
monitoring, 679-685
Network Setup Wizard, 608-610
newsgroups, 101
offline file access, 676
remote access, 27-29
Remote Assistance, 108-124
remote desktop access, 546-556
residential gateways, 619-621
restricting, 678-679
sharing bandwidth, 538-539
stand-alone Internet access, 597-608
starting dial-up access, 537-538
tours/tutorials, 101
to troubleshooters, 101
updated articles, 101
VPN (virtual private network), 542-545
accessibility features
Display properties, 294-296
General properties, 298-300
Internet Explorer, 300
keyboards, 289-293
Magnifier, 282-283
mouse, 296-298
Narrator, 283-285
On-Screen Keyboard, 285-287
options, 276-278, 288-300
sound, 293-294
Utility Manager, 287-288
Accessibility Wizard, 278-282
accounts
administering group accounts, 354-355
administering user accounts, 354-355
associating services with user accounts, 364-365
Audit Policy, 330-331
built-in user accounts, 309-310
establishing ISP accounts, 602-605
Group Policy, 325-331
Local User and Groups snap-in, 315-321
Lockout Policy, 329-330
NFTS (New Technology File System), 321-325
SAM (Security Account Manager), 60, 304
user account administration, 309-321
user account folders, 311-314
User Accounts folder, 305-306
Windows Shell scripts, 517-519
ACEs (Access Control Entries), 322
ACL (Access Control List), 322
ACL (access control list), 672
ACPI (Advanced Configuration and Power
Interface), 29, 527
activating Windows XP, 82-84
active network sessions, viewing, 683
adapters, installing network adapters, 629-632
Add Hardware Wizard postinstallation, 96-97
adding
components, 154-156
computers to domain networks, 651
users to Remote Desktop Users group, 549
Web content to desktops, 256-257
Add Network Place Wizard, 662
Add or Remove Programs utility, 147-156
Add Printer Wizard, 197, 657
Add/Remove Snap-in dialog box, 342
addresses
APIPA (Automatic Private IP Addressing), 581-582
IO (input/output), 87
IP (Internet Protocol), 570-573
loopback, 587
Address toolbar, 238
Add Standalone Snap-in dialog box, 342
administration
applications, 142-145, 174-175
Audit Policy, 330-331
administration (continued) basic disks, 384-386
Computer Management console, 346-371
desktop, 248-251
device drivers, 89-94
Device Manager, 86-95
Disk Compression, 393-396
disk drives, 380-392
Disk Management snap-in, 381-383
dual-booting, 376-377
dynamic disks, 386-389
event logs, 348-350
faxes, 180-193
file systems, 375-378
group accounts, 354-355
hardware devices, 356-357
hidden shares, 677-678
ICF (Internet Connection Firewall), 615-616
Lockout Policy, 329-330
managing application life cycles, 150-153
manually administering event logs, 352
MMC (Microsoft Management Console), 336-346
monitoring audit events, 332-334
password policies, 329
printers, 178-180, 193-194
print job management, 209-212
quotas, 398-400
Remote Assistance, 111, 122-123
remote files with Windows Shell scripts, 520-521
SAM (Security Account Manager), 60, 304
scripting, 487
security, 304-309
services, 361-363
shared drives and folders, 680-682
shared folders, 353-354
Task Manager, 171-174
user accounts, 309-321, 354-355
user profiles, 243-245
Utility Manager, 287-288
Advanced Download Options dialog box, 259
Advanced Performance options, 450-451
Advanced Property sheet, 206-209
Advanced System Information, 22
alerts creating, 474-477
monitoring, 473-480
alternative settings IP (Internet Protocol), 582-583
always-on high-speed Internet connections, 606-608
answer files, 72-80
API (Application Programming Interface), 116
APIPA (Automatic Private IP Addressing), 581-582
Appearance and Themes folder, 249
Appearance property sheet, configuring, 262-265
applications, 24-27
Add or Remove Programs utility, 147-156
administration, 142-145
Computer Management console, 361-371
configuring Group Policy, 325-331
configuring noncompatible applications, 156-161
controlling with Task Manager, 466-467
deleting, 151-152
event logs, 175
installing, 148-150
Internet, 621-623
Magnifier, 282-283
management, 174-175
managing life cycles, 150-153
modifying, 151-152
Narrator, 283-285
notification areas, 240-241
On-Screen Keyboard, 285-287
opening, 233-234
optimizing performance, 174-175
priorities, 173-174
remote desktop access, 546-556
running during Remote Desktop startup, 555
scheduling execution, 161-171
shortcuts, 267-271
startup, 439-440
system files, 416-417
Task Manager, 171-174
termination of nonresponsive applications, 172-173
troubleshooting, 150-151
uninstalling, 152-153
updates, 150-151
upgrading, 150-151
Utility Manager, 287-288
WSH (Windows Scripting Host), 488
applying
answer files, 79-80
automatic updates, 137-139
conditional logic to Windows Shell scripts, 503-507
Desktop Cleanup Wizard, 273-274
desktop themes, 252-254
Magnifier, 282-283
passwords, 306
Remote Assistance, 118-122
UDFs (uniqueness database files), 79-80
user account folders, 311-314
ARC (Advanced RISC Computing), 434
architecture, WSH (Windows Scripting Host), 488-490
arguments, 492, 499-503
assignment
of drive letters, 389
of printer priorities, 207-208
of TCP/IP (Transmission Control Protocol/Internet Protocol), 574-583
associating services with user accounts, 364-365
AT (Attention) command, 170-171, 600
audio
configuring accessibility, 293-294
Remote Assistance, 120-121
Audio Tuning Wizard, 120-121
audit events, monitoring, 332-334
automatic installation, 72-81. See also installation of printers, 195-197
of small networks, 213
automatic updates
applying, 137-139
configuring, 136-137
uninstalling, 139
automation
diskpart command, 383-384
metrics, 578
AutoPlay, 26
availability of printer devices, 206-207
Available Bytes counter, 471


index_B

Team LiB

Index

B

backups, Registry, 425-427
bandwidth
Remote Desktop, 555-556
sharing, 538-539
basic disk administration, 384-386
behavior commands, 492
binary values, 419
blocking port 3389, 110
booting
dual-booting, 51-52
managing dual-booting, 376-377
multiple operating systems, 38
System Configuration Utility, 434-438
Boot menu, 37-38
bridging, 27
built-in user accounts, 309-310
bus, USB (Universal Serial Bus), 26


index_C

Team LiB

Index

C

cable connections, 529, 606-608
categories, components, 162
Category view, 12
CHOICE command, 512
clarification of script logic, 497
Classic Start menu, 221-228
clean installations, 14, 50-51, 61-65
clearing Command Console, 495
Client for Microsoft Networks, 634-635
clients
deleting, 638
dial-up, 533
networks, 633-636
Remote Desktop, 549-550
VPN (virtual private network), 542-543
closing
Command Console, 493
Remote Desktop sessions, 551-552
collection
processing files, 509-510
processing folders, 510
colors
desktops, 265-267
modifying Command Console, 494
modifying display settings, 456-457
Command Console, 492-498
clearing, 495
closing, 493
modifying colors, 494
modifying search paths, 495-496
titles, 494
viewing text messages, 494-495
command prompt
modifying, 493-494
Windows Shell scripting, 492-498
commands
AT (Attention), 600
CHOICE, 512
AT command, 170-171
diskpart, 383-384
Find command (Regedit), 423
Find Next command (Regedit), 423
HOSTNAME, 585-586
IPCONFIG, 589-592
iteration, 509
PING, 586-588
Repair, 592-594
Scanstate, 71
TCP/IP (Transmission Control
Protocol/Internet Protocol) diagnostics, 584-592
commands (continued) TRACERT, 588-589
Windows Shell scripts, 498-499
Winnt.exe, 80
comments, clarifying script logic, 497
comparing operating systems, 31-37
compatibility
configuring noncompatible applications, 156-161
Designed for Windows logo, 145
hardware, 26-27, 46-50, 126
HCL (Hardware Compatibility List), 46
incompatibility reports, 47-49
manually configuring compatibility, 160-161
operating systems, 30-31
Program Compatibility Wizard, 158-160
searching Windows Catalog, 49-50
software, 24-26, 46-50, 126
components
adding, 154-156
categories, 162
faxes, 181
PCI (Peripheral Component Interface), 26
WSH (Windows Scripting Host), 489
compression, Disk Compression, 393-396
Computer Management Console, 146, 346
Services and Applications, 361-371
snap-in, 342-346
storage, 357-361
System Tools, 348-357
conditional logic, 503-507
configuration
accessibility, 288-300
ACPI (Advanced Configuration and Power Interface), 29, 527
Add or remove Programs utility, 147-156
Address toolbar, 238
always-on high-speed Internet connections, 606-608
Appearance property sheet, 262-265
application shortcuts, 267-271
automatic updates, 136-137
booting, 434-438
Classic Start menu, 223-228
desktop colors, 265-267
desktop resolution, 265-267
desktop shortcuts, 255, 267-274
Desktop toolbar, 238-239
DHCP (Dynamic Host Configuration Protocol), 581
dial-up access, 533-541
Display Properties dialog box, 252-267
establishing ISP accounts, 602-605
event logs, 350-351
Fax Configuration Wizard, 183
features with shortcuts, 270-271
file and print sharing, 636-638
folders, 271
Group Policy, 325-331
Help/Support Center, 105-106
ICF (Internet Connection Firewall), 613-615
ICMP (Internet Control Message Protocol), 616-618
Indexing Service, 369-371
Internet access, 596-610
LAN (local area network), 627-638
Links toolbar, 238
Lockout Policy, 329-330
logs, 477-480
mandatory user profiles, 245
migrating user settings, 65-72
mount points, 392
multiple hardware profiles, 530-533
My Documents, 242-243
Narrator, 283-285
network protocols, 632-633
networks, 54-55
Network Setup Wizard, 608-610
noncompatible applications, 156-161
offline file access, 676
On-Screen Keyboard, 285-287
password-protected screen savers, 307
printers, 201-209
Quick Launch toolbar, 236-237
Registry, 417-428
remote desktop access, 546-556
restoring Registry, 427-428
roaming profiles, 244
scheduling application execution, 161-163
screen savers, 260-262
security policies, 328-331
service recovery options, 365-367
shortcuts, 251
Simple Start menu, 223-228
special shortcuts, 272-273
stand-alone Internet access, 597-608
Start menu, 230-231
Startup folders, 231-232
startup options, 363-364
static configuration of TCP/IP, 574-581
System Configuration, 22
System Configuration Utility, 428-440
system files, 416-417
Task Scheduler, 163-164
TCP/IP (Transmission Control
Protocol/Internet Protocol), 556-558, 569-574
unsigned drivers, 94
URL shortcuts, 271-272
viewing, 589-592
virtual memory, 453-455
Web page properties, 257-260
WINS (Windows Internet Naming Service), 579
connections
always-on high-speed Internet connections, 606-608
cable, 529, 606-608
configuring dial-up access, 533-541
deleting printers, 657-658
dial-up access, 597-606
DSL (Digital Subscriber Line), 529, 606-608
establishing ISP accounts, 602-605
firewalls, 610-621
ICF (Internet Connection Firewall), 23, 308-309, 611-618
incoming, 541
Internet, 543, 605-606
Local Area Status Connection dialog box, 592
manually creating network connections, 662-663
mobile user networks, 528-529
My Network Places, 661-664
Network Setup Wizard, 608-610
New Connection Wizard, 536-537
PING command, 586-588
printers, 204-206, 654-657
proxy servers, 608-610
remote desktop access, 546-556
residential gateways, 619-621
shared print devices, 214-215
troubleshooting TCP/IP (Transmission
Control Protocol/Internet Protocol), 592-594
viewing network connections, 663-664
VPN (virtual private network), 542-545
consoles
Command Console, 492-498
Computer Management Console, 146, 346-371
Fax, 182-185
MMC (Microsoft Management Console), 336-346
Performance, 472
Remote Assistance, 115
consumption, disk drives quotas, 398-400
controlling
application startup, 439-440
loops, 508
controlling access to open files, 684-685
Control Panel, 11-12, 421-422
conventions, UNC (Universal Naming Convention), 665
conversions
disk drives, 386-387
file systems, 377-378
copying the Registry, 425-427
Copy Profile dialog box, 531
core object models, 488
corporate firewalls, 611. See also firewalls
counters, 471, 508
Cover Page Editor Tips dialog box, 190
cover pages, formatting, 189-192
CPU performance, monitoring, 481-482
creating. See configuration; formatting
CScript.exe, 489
CSID (Called Subscriber Identification), 184
customization
accessibility, 276-278, 288-300
application priority, 173-174
configuring service recovery, 365-367
configuring startup, 363-364
desktops, 254-260
fax cover pages, 189-192
faxes, 185-186
Help/Support Center, 105-106
MMC (Microsoft Management Console), 341-346
performance, 448-455
Remote Desktop, 552-556
Start menus, 221-228
taskbars, 232-241
toolbars, 239-240
Utility Manager, 287-288
Customize Classic Start Menu dialog box, 223
Customize Notifications dialog box, 241


index_D

Team LiB

Index

D

databases
Local Help, 101
Registry. See Registry UDF (uniqueness database file), 72-80
deciphering subnet masks, 572
defaults, selecting printers, 200-201
defragmenting hard disk drives, 359-360.
See also Disk Defragmenter
deleting
Add or Remove Programs utility, 147-156
clients, 638
drivers, 93-94
partitions, 390-391
printer connections, 657-658
deleting
(continued) protocols, 638
services, 638
software, 151-152
temporary files, 408-413
variables, 500-501
volumes, 390-391
delivering Remote Assistance invitations, 112-118
dependencies, services, 367-368
deployment
ghosting, 80-81
standard desktop, 250-251
DES (Data Encryption Standard), 396
Designed for Windows logo, 145
desktop
adding Web content, 256-257
Appearance property sheet, 262-265
colors, 265-267
customizing, 254-260
Display Properties dialog boxes, 252-267
executing Disk Cleanup, 409-411
managing, 248-251
Remote Desktop access, 546-556
resolution, 265-267
screen savers, 260-262
shortcuts, 251, 255, 267-274
synchronizing, 258
themes, 252-254
Desktop Cleanup Wizard, 255
Desktop toolbar, 238-239
Device Manager, 86-95, 532-533
devices
drivers, 16-20, 89-94
managing hardware, 356-357
printers, 206-207
Remote Desktop, 554-555
removable storage devices, 358
shared print device connections, 214-215
DHCP (Dynamic Host Configuration Protocol), 581
diagnostics, 21. See also troubleshooting TCP/IP (Transmission Control Protocol/Internet Protocol) commands, 584-592
Use Tools, 128-130
Diagnostic Startup, 430-432
dialog boxes
Add or Remove Programs, 148
Add/Remove Snap-in, 342
Add Standalone Snap-in, 342
Advanced Download Options, 259
Copy Profile, 531
Cover Page Editor Tips, 190
Customize Classic Start Menu, 223
Customize Notifications, 241
Display Properties, 249, 252-267, 421
Drivers Signing Options, 94
Error Reporting, 134
Event Properties, 349
Export Registry, 426
Hardware Profiles, 530
Import Registry File, 426
Incoming Connections Properties, 545
Indexing Service Usage, 371
Join Computer to Domain, 64
Local Area Status Connection, 592
Narrator, 284
New Toolbar, 239
Phone and Modem Options, 535
Power Options Properties, 461
Printing Preferences, 202
Quota Entries of New Volume, 400
Remote Desktop Users, 548
Run, 95
Select Network Component Type, 637
Select User, 548
Signature Verification, 95
System Restore Properties, 127
Virtual Memory, 455
Welcome to System Restore, 127
Windows Messenger, 115
Windows Setup Manager, 75
dial-up access, 597-606
configuring, 533-541
configuring servers, 540-541
modems, 598-602
sharing bandwidth, 538-539
starting, 537-538
Direct Link Library (DLL), 17
disabling
device drivers, 89-90
ICF (Internet Connection Firewall), 618
disconnections
drive mappings, 666-667
Remote Assistance, 122
Disk Cleanup, 21, 409-413, 458-459
Disk Compression, 393-396
Disk Defragmenter, 22, 359-361, 404-408, 459-460
disk drives
administration, 380-392
basic disks, 384-386
deleting temporary files, 408-413
dynamic disks, 386-389
freeing up space, 360-361, 408-413
maintenance, 401-413
monitoring, 483
monitoring access, 679-685
optimizing, 457-460
quotas, 398-400
restricting access, 678-679
security, 672-676
sharing, 667-672
tasks, 389-392
types of, 378-380
UDF (Universal Disk Format), 26
Disk Management snap-in, 381-383
diskpart command, 383-384
Display Properties dialog box, 249, 421
accessibility, 294-296
configuring, 252-267
display settings
modifying, 456-457
Remote Desktop, 553-554
DLL (Direct Link Library), 17
DMA (Direct Memory Access), 87
documents
configuring accessibility, 279
fax cover pages, 189-192
Magnifier, 282-283
Narrator, 283-285
On-Screen Keyboard, 285-287
domain controllers, 54
domain networks, 627-628, 649-652
adding computers to, 651-652
user accounts, 650-651
WINS (Windows Internet Naming Service), 579
downloading
Advanced Download Options dialog box, 259
updates, 137. See also updates
drive letter assignments, modifying, 389
drivers
deleting, 93-94
devices, 16-20. See also devices
printers, 208
Drivers Signing Options dialog box, 94
drive space, configuring mount points, 392
DSL (Digital Subscriber Line), 59, 529, 606-608
dual-booting, 51-52
managing, 376-377
multiple operating systems, 38
DWORD values, 419
dynamic disk administration, 386-389
Dynamic Update, 20


index_E

Team LiB

Index

E

editing Regedit, 419-420
editors, Personal Cover Page Editor, 190
EFS (Encrypted File System), 23, 307-308, 396
email, delivering Remote Assistance invitations, 116-117
enabling ICF (Internet Connection Firewall), 613
encryption. See also security
EFS (Encrypting File System), 23
NTFS (New Technology File System), 396-398
security, 307-308
environment variables, 440-444
EPIC (Explicitly Parallel Instruction Computing), 35
error reports, 132-135, 174
establishing ISP accounts, 602-605
event logs
applications, 175
configuring, 350-351
managing, 348-350
manually administering, 352
Event Properties dialog box, 349
events, monitoring audits, 332-334
examples, Windows Shell scripts, 513-521
exchanges, IPX/SPX (Internetworking Packet
Exchange/Sequenced Packet Exchange), 565-566
exchanging speech/text (Remote Assistance), 120
execution
accessibility options, 287-288
applications during Remote Desktop startup, 555
chkdsk utility, 402-404
Disk Cleanup, 409-411
scheduling applications, 161-171
suppressing Windows Shell scripts, 497
existing operating systems, upgrades to, 56-61
Expandable String Value, 419
exporting Registry keys and values, 425-427
Export Registry dialog box, 426
Extensible Markup Language. See XML
external commands, 498. See also commands
extraction, Setup Manager Wizard, 73


index_F

Team LiB

Index

F

FAT32, 53, 672-674
FAT (File Allocation Table), 53
converting, 377-378
formatting, 63
security, 672-674
Fax Configuration Wizard, 183
faxes
components, 181
Fax consoles, 182-185
formatting cover pages, 189-192
installing, 182-193
managing, 180-193
modifying, 189
monitoring, 192-193
options, 185-186
receiving, 189
sending, 186-188
features, 4-29
AutoPlay, 26
configuring with shortcuts, 270-271
hardware, 24-27
Help, 20-23
installation, 12-16
interfaces, 6-12
mobile computing, 29
networks, 27-29
reliability, 16-20
remote access, 27-29
security, 23-24
software, 24-27
files
answer files, 72-80
configuring offline file access, 676
controlling access to open files, 684-685
deleting temporary files, 408-413
delivering Remote Access invitations, 117-118
Poffline file usage, 559-561
processing collections of, 509-510
reading with Windows Shell scripts, 10-511
Registry, 417-428
sharing, 636-638, 668.
See also sharing simple file sharing, 668
system files, 416-417
UDF (uniqueness database file), 72-80
WSF (Windows Script File), 490
Files and Settings Transfer Wizard, 66-69
file systems
administration, 375-378
converting, 377-378
EFS (Encrypted File System), 23, 307-308
encryption, 396-398
NFTS (New Technology File System), 321-325
selecting, 53-54
Find command (Regedit), 423
Find Next command (Regedit), 423
firewalls, 610-621
ICF (Internet Connection Firewall), 23, 308-309, 611-618
ICMP (Internet Control Message Protocol), 616-618
residential gateways, 619-621
folders, 9-11
administering shared folders, 353-354
Appearance and Themes folder, 249
monitoring access, 679-685
My Documents, 242-243
My Network Places, 661-664
Online Services, 604
processing collections of, 510
restricting access, 678-679
security, 672-676
sharing, 660-667
shortcuts, 271
Startup folders, 231-232
user accounts, 311-314
User Accounts folder, 305-306
formatting
alerts, 474-477
answer files, 73-76
environment variables, 443
FAT (File Allocation Table), 63
fax cover pages, 189-192
Remote Assistance invitations, 113
small networks, 664
subroutines, 511-512
UDFs (uniqueness database files), 73-76
UDF (Universal Disk Format), 26
variables, 500-501
volumes on dynamic disk drives, 388-389
Windows Shell scripts, 496-497
FOR statement, 507-511
freeing up disk space, 360-361, 408-413


index_G

Team LiB

Index

G

gateways, 578, 619-621
General Property sheet, 202, 298-300
generating incompatibility reports, 47-49
ghosting, 80-81
graphics
modifying display settings, 456-457
WAI (Windows Image Acquisition), 27
Group Policy, 125
deploying standard desktops, 250-251
managing user profiles, 245
groups
administering accounts, 354-355
folders, 10
Local User and Groups snap-in, 315-321


index_H

Team LiB

Index

H

hard drives. See also disk drives
defragmentation, 359-360
mapping network drives, 665-667
monitoring access, 679-685
My Network Places, 661-664
restricting access, 678-679
security, 672-676
sharing, 660-667
hardware, 24-27
Add Hardware Wizard, 96-97
compatibility, 46-50, 126
configuring multiple profiles, 530-533
HCL (Hardware Compatibility List), 46
managing devices, 356-357
requirements, 45
validation, 85
HCL (Hardware Compatibility List), 46
Help, 20-23, 100-103. See also troubleshooting home page, 102-103
navigating, 103-104
options, 105-106
previously view topics, 104
searching, 107
tasks, 124-130
tools, 128-130
troubleshooters, 130-132
Hibernation, 29, 41, 462-464, 527
hidden shares, 677-678
hives, registry, 418
home pages. See also Web pages
Help/Support Center, 102-103
HOSTNAME command, 585-586
hosts, DHCP (Dynamic Host Configuration Protocol), 581


index_I

Team LiB

Index

I

ICF (Internet Connection Firewall), 23, 308-309, 611-618. See also firewalls
ICMP (Internet Control Message Protocol), 616-618
icon notification areas, 240-241
identification of networks, 571
IF CMDEXTVERSION statement, 506
IF DEFINED statement, 505
IF...ELSE statement, 504
IF ERRORLEVEL statement, 505-506
IF EXIST statement, 506-507
IF NOT DEFINED statement, 505
IF NOT statement, 505
IF statement, 504, 507
ILS (Internet Location Service), 113
images
desktops, 254
WAI (Windows Image Acquisition), 27
importing Registry keys and values, 425-427
Import Registry File dialog box, 426
incoming connections, 541
Incoming Connections Properties dialog box, 545
incompatibility reports, generating, 47-49
indexes, navigating Help/Support Center, 103
Indexing Service, configuring, 369-371
individual print jobs, managing, 210-211
installation, 12-16
Add or Remove Programs utility, 147-156
applications, 148-150
automating, 72-81
clean installations, 50-51, 61-65
dual-booting, 51-52
faxes, 182-193
ghosting, 80-81
migrating user settings, 65-72
modems, 535-536
network adapters, 629-632
network clients, 633-636
networks, 54-55
over networks, 65
planning, 52-53
postinstallation, 81-97
printers, 195-201
Remote Desktop Connection, 549-550
requirements, 44-45
RIS (Remote Installation Services), 81
selecting file systems, 53-54
upgrading, 50-51
user state migration, 70-72
Windows Installer Service, 146-147
integrity, disks, 401
interfaces, 6-12
ACPI (Advanced Configuration and Power Interface), 29, 527
configuring proxy servers, 608-610
Control Panel, 11-12
Display Properties dialog boxes, 252-267
folders, 9-11
MAPI (Managing API), 116
modifying display settings, 456-457
NetBEUI (NetBIOS Extended User Interface), 567
PCI (Peripheral Component Interface), 26
Remote Assistance, 120-121
interfaces
(continued)
Start menu, 7-8
taskbars, 8-9
internal commands, 497. See also commands
Internet
always-on high-speed Internet connections, 606-608
applications, 621-623
configuring access, 596-610
connecting to, 605-606
connections, 543
establishing ISP accounts, 602-605
firewalls, 610-621
Network Setup Wizard, 608-610
stand-alone Internet access, 597-608
Internet Explorer. See also interfaces
accessibility, 300
configuring proxy servers, 608-610
invitations
delivering, 112-118
Remote Assistance, 122-123
IO (input/output) addresses, 87
IPCONFIG command, 589-592
IP (Internet Protocol)
addresses, 570-571
alternative settings, 582-583
APIPA (Automatic Private IP Addressing), 581-582
public/private addresses, 572-573
IPSec (Internet Protocol Security), 542
IPX/SPX (Internetworking Packet
Exchange/Sequenced Packet Exchange), 565-566
IRQS (interrupt requests), 88
ISP (Internet service provider), establishing accounts, 602-605
iteration of loops, 509


index_J

Team LiB

Index

J

Join Computer to Domain dialog boxes, 64
JScript, 490-491


index_K

Team LiB

Index

K

keyboards
configuring accessibility, 289-293
On-Screen Keyboard, 285-287
keys, 425-427


index_L

Team LiB

Index

L

LAN (local area network). See also networks network support, 59, 627-638
laptops. See mobile users
Last Known Good Configuration (Registry), 427-428
life cycles, managing, 150-153
Links toolbar, 238
Local Area Status Connection dialog box, 592
local disk drives
monitoring access, 679-685
restricting access, 678-679
security, 672-676
sharing, 667-672
Local Group Policy, 245
Local Help database, 101
local resources, viewing network sessions, 683-684
Local User and Groups snap-in, 315-321
Lockout Policy, 329-330
logging off, 40-41
login
navigating, 37-41
security, 305-306
workgroup networks, 640-641
logs
configuring, 477-480
configuring event logs, 350-351
ICF (Internet Connection Firewall), 616-618
managing event logs, 348-350
manually administering event logs, 352
monitoring, 473-480
Windows Shell scripts, 514
loopback addresses, 587
loops
counters, 508
iteration, 509
processes, 509-510
strings, 508-509
Windows Shell scripts, 507-511
L2TP (Layer-2 Tunneling Protocol), 542


index_M

Team LiB

Index

M

Magnifier, 282-283
maintenance
chkdsk utility, 402-404
deleting temporary files, 408-413
desktop shortcuts, 255
Disk Cleanup, 409-411
Disk Defragmenter, 404-408
disk drives, 389-392, 401-413
disk drives quotas, 398-400
optimizing disk drive performance, 457-460
Windows Shell scripts, 519-520
management
application life cycles, 150-153
applications, 142-145, 174-175
Audit Policy, 330-331
basic disks, 384-386
Computer Management console, 346-371
desktop, 248-251
device drivers, 89-94
Device Manager, 86-95
Disk Compression, 393-396
disk drives, 380-392
disk drives quotas, 398-400
Disk Management snap-in, 381-383
dual-booting, 376-377
dynamic disks, 386-389
event logs, 348-350
faxes, 180-193
file systems, 375-378
group accounts, 354-355
hardware devices, 356-357
hidden shares, 677-678
ICF (Internet Connection Firewall), 615-616
Lockout Policy, 329-330
manually administering event logs, 352
memory, 452-455
MMC (Microsoft Management Console), 336-346
mobile users, 527-528
monitoring audit events, 332-334
power, 460-464
printers, 178-180, 193-194
print job management, 209-212
Remote Assistance, 111, 122-123
SAM (Security Account Manager), 60, 304
scripting, 487
security, 304-309
services, 361-363
service startup, 438-439
shared drives and folders, 680-682
shared folders, 353-354
Task Manager, 171-174, 465-470
user accounts, 309-321, 354-355
user profiles, 243-245
Utility Manager, 287-288
mandatory user profiles, 245
manipulating variable values, 502-503
manually administering event logs, 352
manually configuring compatibility, 160-161
manually creating network connections, 662-663
manually installing printers, 197-200
MAPI (Managing API), 116
mapping network drives, 665-667
memory
addresses, 88
configuring virtual memory, 453-455
Disk Cleanup, 458-459. See also Disk Cleanup DMA (Direct Memory Access), 87
managing, 452-455
modifying display settings, 456-457
monitoring, 482-483
menus
Boot menu, 37-38
Classic Start menu, 221-228
configuring, 230-231
Simple Start menu, 221-228
Start menu, 7-8, 228-229
messages, Command Console, 494-495
metrics
automating, 578
performance, 480-483
Microsoft Upgrade Advisor, 48
migration
user settings, 65-72
user state, 70-72
MMC (Microsoft Management Console), 336-346
customizing, 341-346
starting, 338-339
tools, 339-341
mobile computing, 29
mobile users, 526
access, 529-530
configuring multiple hardware profiles, 530-533
configuring offline file access, 676
network connections, 528-529
offline file usage, 559-561
power management, 527-528
printing, 558-559
Remote Desktop access, 546-556
TCP/IP (Transmission Control Protocol/Internet Protocol), 556-558
models, core object models, 488
modems
dial-up, 598-602
installing, 535-536
multiple modems, 539
selecting, 605
troubleshooting, 601
modes, selecting startup in System Configuration Utility, 430-432
modification
answer files, 76-79
application priority, 173-174
applications, 151-152
bandwidth with Remote Desktop, 555-556
Command Console colors, 494
modification (continued)command prompt, 493-494
display settings, 456-457
drive letter assignments, 389
environment variables, 442
faxes, 189
order of print jobs, 212
power settings, 462-464
Registry, 421-423
search paths, 495-496
shortcut properties, 268-270
SYSTEM.INI, 432-433
UDFs (uniqueness database files), 76-79
WIN.INI, 433
monitoring
access, 679-685
alerts and logs, 473-480
application event logs, 175
audit events, 332-334
CPU performance, 481-482
disk drives, 483
faxes, 192-193
memory, 482-483
metrics, 480-483
performance, 465-483
System Monitor, 470-473
Task Manager, 465-470
mount points, 392
mouse, configuring accessibility, 296-298
moving Registry keys and values, 425-427
multiline IF statements, 507
multiple hardware profiles, configuring, 530-533
multiple modems, 539
multiple operating systems, dual-booting, 38
Multi-String Value, 419
My Computer, 21
My Documents folder, configuring, 242-243
My Network Places, 661-664


index_N

Team LiB

Index

N

naming
hardware profiles, 531
HOSTNAME command, 585-586
UNC (Universal Naming Convention), 665
WINS (Windows Internet Naming Service), 579
navigation
Help/Support Center, 103-104
login, 37-41
nested IF statements, 507
NetBEUI (NetBIOS Extended User Interface), 567
NetWare, 635-636
Network Diagnostics, 21
networks, 27-29
clients, 633-636
configuring file and print sharing, 636-638
connecting mobile users, 528-529
deleting clients, protocols, and services, 638
domain networks, 627-628, 649-652
hidden shares, 677-678
ICF (Internet Connection Firewall), 308-309
identification, 571
installation, 54-55
installation over, 65
installing adapters, 629-632
IPX/SPX (Internetworking Packet Exchange/Sequenced Packet Exchange), 565-566
manually creating network connections, 662-663
mapping network drives, 665-667
My Network Places, 661-664
NetBEUI (NetBIOS Extended User Interface), 567
NetWare, 635-636
printers, 213-215, 654-660
protocols, 564-568, 628-638
PSTN (Public Switched Telephone Network), 529
remote desktop access, 546-556
residential gateways, 619-621
sharing hard drives, 660-667
sharing local disk drives, 667-672
small, 583-584
subnetting, 573-574
support, 627-638
Task Manager, 469-470
viewing network connections, 663-664
viewing sessions, 683-684
VPN (virtual private network), 526, 528-529, 542-545
WAN (wide area network), 534
workgroup networks, 627-628, 638-649, 664
Network Setup Wizard, 27, 641-649
New Connection Wizard, 528, 536-537
new features, 4-29
AutoPlay, 26
hardware, 24-27
Help, 20-23
installation, 12-16
interfaces, 6-12
mobile computing, 29
networks, 27-29
reliability, 16-20
remote access, 27-29
security, 23-24
software, 24-27
New Partition Wizard, 385
newsgroups, accessing, 101
New Toolbar dialog box, 239
noncompatible applications, configuring, 156-161
nonresponsive applications, terminating, 172-173
notebooks. See mobile users
notification areas, 240-241
NTFS (New Technology File System), 242
converting, 377-378
Disk Compression, 393-396
encryption, 396-398
security, 321-325, 674-675


index_O

Team LiB

Index

O

objects, core object models, 488
octets, 570
offering unsolicited Remote Assistance, 123-124
offline file access, configuring, 676
offline file usage, mobile users, 559-561
Online Services folder, 604
online Web-bases help, 101
opening
applications, 233-234
controlling access to open files, 684-685
My Network Places, 661-664
operating systems
compatibility, 30-31
dual-booting multiple, 38
upgrades to, 56-61
Windows 2000, 33-34
Windows Me, 31-33
Windows XP 64-Bit Edition, 35-37
Windows XP Home, 34-35
Windows XP Professional, 34-35
optimization
performance, 174-175, 446-447. See also performance
shortcuts, 251
options
accessibility, 276-278, 288-300
Advanced Download Options dialog box, 259
Advanced Performance options, 450-451
configuring hardware profiles, 533
configuring service recovery, 365-367
configuring startup, 363-364
faxes, 185-186
Help/Support Center, 105-106
Last Known Good Configuration (Registry), 427-428
Log Off, 40
menus, 225
performance, 448-455
Phone and Modem Options dialog box, 535
Remote Desktop, 552-556
Shut Down, 40
Utility Manager, 287-288
organization
IP address class, 571
Start menus, 228-229
Windows Shell scripts, 511-513


index_P

Team LiB

Index

P

packets
IPX/SPX (Internetworking Packet
Exchange/Sequenced Packet Exchange), 565-566
TRACERT command, 588-589
partitions
deleting, 390-391
FAT (File Allocation Table), 63
New Partition Wizard, 385
sizing, 391
passwords
administering policies, 329
applying, 306
configuring protected screen savers, 307
Internet connections, 605
paths
modifying search paths, 495-496
upgrades, 15
PCI (Peripheral Component Interface), 26
peer-to-peer networks, 638. See also workgroup networks
performance
Advanced Performance options, 450-451
alerts and logs, 473-480
configuring virtual memory, 453-455
CPU, 481-482
Disk Cleanup, 458-459
Disk Defragmenter, 459-460
disk drives, 457-460, 483
display settings, 456-457
implementing Visual Effects, 449-450
memory, 482-483
memory management, 452-455
metrics, 480-483
monitoring, 465-483
optimizing, 174-175, 446-447
options, 448-455
performance (continued)power management, 460-464
processor scheduling, 450-451
System Monitor, 470-473
Task Manager, 465-470
tracking, 355-356
permissions
dial-up access, 533
NFTS (New Technology File System), 321-325
security, 675-676
Personal Cover Page Editor, 190
personal firewalls, 618-619. See also firewalls
Phone and Modem Options dialog box, 535
PING command, 586-588
planning installation, 52-53
Plug and Play, 27
installing network adapters, 629-632
postinstallation, 96
policies
Audit Policy, 330-331
deploying standard desktops, 250-251
Group Policy, 125, 325-331
managing user profiles, 245
passwords, 329
security, 328-331
port 3389, 110
ports
ICF (Internet Connection Firewall), 613-615
printers, 204-206
Ports Property sheet, 204-206
postinstallation, 81-97. See also installation
Add Hardware Wizard, 96-97
Device Manager, 86-95
hardware validation, 85
Plug and Play, 96
product activation, 82-84
testing software, 84-85
POST (Power On Self Text), 37
power management, 460-464
ACPI (Advanced Configuration and Power Interface), 527
mobile users, 527-528
Power Options Properties dialog box, 29, 461
PPP (Point to Point Protocol), 534
PPTP (Point-to-Point Tunneling Protocol), 542
preferences. See also customization; options
printers, 202
previously view Help topics, 104
printers
configuring, 201-209
connections, 654-657
deleting connections, 657-658
drivers, 208
installing, 195-201
managing, 178-180, 193-194
networks, 213-215
priorities, 207-208
restricting access, 678-679
selecting defaults, 200-201
sharing, 658-660
uninstalling, 201
printing
mobile users, 558-559
modifying order of print jobs, 212
print job management, 209-212
shared print devices connections, 214-215
sharing, 636-638
Printing Preferences dialog box, 202
priorities
application, 173-174
printers, 207-208
private IP addresses, 572-573
procedures, Windows Shell scripts, 511-513
processes
controlling with Task Manager, 467-468
loops, 509-510
processor schedules, 450-451
product activation, 82-84
profiles
configuring multiple hardware, 530-533
roaming, 244
users, 243-245
Program Compatibility Wizard, 25, 158-160
properties
Advanced property sheet, 206-209
Appearance property sheet, 262-265
automatic updates, 136
desktop, 248-251
Display Properties dialog boxes, 252-267
Event Properties dialog box, 349
General property sheet, 202
Incoming Connections Properties dialog box, 545
modifying, 432-433
modifying shortcuts, 268-270
Ports property sheet, 204-206
printers, 201
Sharing property sheet, 202-204
System Restore Properties dialog box, 127
taskbars, 234-235
Web pages, 257-260
protecting passwords, 306-307
protocols
alternative settings IP (Internet Protocol), 582-583
deleting, 638
DHCP (Dynamic Host Configuration Protocol), 581
ICF (Internet Connection Firewall), 613-615
ICMP (Internet Control Message Protocol), 616-618
IP (Internet Protocol), 570-571
IPSec (Internet Protocol Security), 542
IPX/SPX (Internetworking Packet Exchange/Sequenced Packet Exchange), 565-566
L2TP (Layer-2 Tunneling Protocol), 542
NetBEUI (NetBIOS Extended User Interface), 567
networks, 564-568, 628-638
PPP (Point to Point Protocol), 534
PPTP (Point-to-Point Tunneling Protocol), 542
RDP (Remote Desktop Protocol), 110, 547
TCP/IP (Transmission Control Protocol/Internet Protocol), 556-558, 567-568
proxy servers, connecting, 608-610
PSTN (Public Switched Telephone Network), 529
public IP addresses, 572-573


index_Q

Team LiB

Index

Q

queues, managing printers, 211-212
Quick Launch toolbar, 236-237
quotas, disk drives, 398-400


index_R

Team LiB

Index

R

RDP (Remote Desktop Protocol), 110, 547
reading text files with Windows Shell scripts, 510-511
receiving
faxes, 189
files via Remote Assistance, 121-122
recovery, configuring service options, 365-367
Recovery Console, 62
Registry, 417-428
copying, 425-427
modifying, 421-423
moving keys and values, 425-427
Regedit, 419-420, 423-425
restoring, 427-428
values, 419, 424
viewing, 427
reliability, 16-20
remote access, 27-29
Remote Assistance, 101, 108-124
applying, 118-122
disconnections, 122
invitations, 122-123
security, 109-112
sessions, 112-118
unsolicited, 123-124
Remote Assistance, 21
Remote Desktop access, 546-556
remote file administration, Windows Shell scripts, 520-521
removable storage devices, 358
renewing configuration settings, 589-592
Repair command, 592-594
repairing. See troubleshooting
reports
application event logs, 175
error reports, 132-135, 174
incompatibility, 47-49
Windows Shell scripts, 514
requirements
hardware, 45
installation, 44-45
residential gateways, 619-621
resolution
desktops, 265-267
modifying display settings, 456-457
resources, monitoring faxes, 192-193
restarting, 41
restoring
Registry, 427-428
System Configuration Utility, 431
systems, 18-20, 126-128
restricting access, 678-679
retrieving previously viewed Help topics, 104
reviewing Windows Shell scripts, 497-499
RIS (Remote Installation Services), 81
roaming profiles, 244
rollback, device drivers, 17-20
routers, 573
routing traffic, 533
Run dialog box, 95


index_S

Team LiB

Index

S

Safe mode startup, 16
SAM (Security Account Manager), 60, 304
saving the Registry, 425-427
Scanstate command, 71
Scheduled Task Wizard, 164-170
schedules
application execution, 161-171
AT command, 170-171
Disk Cleanup, 412-413
Disk Defragmenter, 407-408
maintenance with Windows Shell scripts, 519-520
schedules (continued)
processors, 450-451
Task Scheduler, 162
schemes, power, 462-464
scope, variables, 501-502
screen savers
configuring, 260-262
configuring password-protected, 307
scripting
JScript, 490-491
VBScript, 490-491
Windows Shell scripting, 491-508
WSH (Windows Scripting Host), 486-491
searching
Help/Support Center, 107
modifying paths, 495-496
Windows Catalog, 49-50
security, 23-24
administration, 304-309
Audit Policy, 330-331
configuring password-protected screen savers, 307
dial-up access, 533
disk drives, 672-676
EFS (Encrypting File System), 23
encryption, 307-308
FAT32, 672-674
FAT (File Allocation table), 672-674
firewalls, 610-621
folders, 672-676
Group Policy, 325-331
ICF (Internet Connection Firewall), 23, 308-309, 611-618
Internet connections, 605
IPSec (Internet Protocol Security), 542
Local User and Groups snap-in, 315-321
Lockout Policy, 329-330
login, 305-306
mobile computing, 29
monitoring access, 679-685
monitoring audit events, 332-334
NTFS (New Technology File System), 321-325, 396-398, 674-675
permissions, 675-676
policies, 328-331
remote access, 27-29
Remote Assistance, 109-112
remote desktop access, 546-556
residential gateways, 619-621
restricting access, 678-679
SAM (Security Account Manager), 60, 304
user account administration, 309-321
VPN (virtual private network), 544
selecting
file systems, 53-54
modems, 605
power schemes, 462-464
printers, 200-201
startup mode in System Configuration Utility, 430-432
Select Network Component Type dialog boxes, 637
Select User dialog box, 548
senders, modifying faxes, 189
Send Fax Wizard, 187
sending
faxes, 186-188
files via Remote Assistance, 121-122
servers
connecting proxy servers, 608-610
dial-up, 533, 540-541
VPN (virtual private network), 545
services
administration, 361-363
associating with user accounts, 364-365
configuring Indexing Service, 369-371
configuring recovery options, 365-367
deleting, 638
dependencies, 367-368
NetWare, 635-636
startup, 438-439
Services and Applications, Computer Management console, 361-371
sessions
closing Remote Desktop, 551-552
Remote Assistance, 112-118
starting Remote Desktop, 550-551
viewing networks, 683-684
settings. See configuration Setup Manager Wizard, 73
shared folder administration, 353-354
shared print devices connections, 214-215
sharing
bandwidth, 538-539
files, 636-638
folders, 660-667
hard drives, 660-667
local disk drives, 667-672
monitoring access, 679-685
printers, 658-660
printing, 636-638
restricting access, 678-679
Sharing Property sheet, 202-204
shortcuts
applications, 267-271
desktop, 251, 255, 267-274
folders, 271
modifying properties, 268-270
special, 272-273
URL, 271-272
shutting down, 40-41
Signature Verification dialog box, 95
signing device drivers, 16-17
simple file sharing, 668
Simple Start menu, 221-228
sizing
Disk Compression, 393-396
partitions, 391
volumes, 391
small networks, 583-584
creating, 664
software, 24-27. See also applications
Add or Remove Programs utility, 147-156
compatibility, 46-50, 126
configuring noncompatible applications, 156-161
deleting, 151-152
event logs, 175
installing, 148-150
managing life cycles, 150-153
modifying, 151-152
optimizing performance, 174-175
priorities, 173-174
scheduling execution, 161-171
Task Manager, 171-174
termination of nonresponsive applications, 172-173
testing, 84-85
troubleshooting, 150-151
uninstalling, 152-153
updates, 150-151
upgrading, 150-151
sound
configuring accessibility, 293-294
Remote Assistance, 120-121
special shortcuts, 272-273
speech
Narrator, 283-285
Remote Assistance, 120
stand-alone Internet access, 597-608
standard desktop. See also desktop
deploying, 250-251
Standby, 29, 462-464, 527
starting. See also login
auditing, 332-334
AutoPlay, 26
dial-up access, 537-538
dual-booting, 51-52
managing dual-booting, 376-377
MMC (Microsoft Management Console), 338-339
Quick Launch toolbar, 236-237
Remote Desktop sessions, 550-551
VPN (virtual private network), 543
Start menu, 7-8
Classic Start menu, 221-228
configuring, 230-231
organizing, 228-229
Simple Start menu, 221-228
startup
applications, 439-440
configuring hardware profiles, 533
configuring options, 363-364
Diagnostic Startup, 430-432
running applications during Remote Desktop, 555
services, 438-439
System Configuration Utility, 430-432
Startup folders, configuring, 231-232
statements
FOR, 507-511
IF, 504, 507
IF CMDEXTVERSION, 506
IF DEFINED, 505
IF...ELSE, 504
IF ERRORLEVEL, 505-506
IF EXIST, 506-507
IF NOT, 505
IF NOT DEFINED, 505
reviewing Windows Shell scripts, 497-499
static configuration of TCP/IP, 574-581
status, Local Area Status Connection dialog box, 592
storage
Computer Management console, 357-361
defragmentation of hard disk drives, 359-360
freeing up disk space, 360-361
removable storage devices, 358
strings
loops, 508-509
values, 419
subnet masks, deciphering, 572
subnetting, 573-574
subroutines, Windows Shell scripts, 511-512
support, networks, 627-638
Support Center, 100-103
home page, 102-103
navigating, 103-104
options, 105-106
searching, 107
tasks, 124-130
troubleshooters, 130-132
support services, 20-23. See also troubleshooting
hardware, 24-27
mobile computing, 29
software, 24-27
suppressing Windows Shell scripts, 497
switching between Classic Start menu/Simple
Start menu, 222
synchronization of desktops, 258
System Configuration Utility, 22, 428-440
booting, 434-438
controlling application startup, 439-440
managing service startup, 438-439
modifying SYSTEM.INI, 432-433
modifying WIN.INI, 433
system environment variables, 440-444
system files, 416-417
Registry, 417-428
SYSTEM.INI, modifying, 432-433
System Monitor, 470-473
System Restore, 18-20, 21, 126-128
System Restore Properties dialog box, 127
System Setup troubleshooter, 132
system status information, 101
System Tools, Computer Management console, 348-357


index_T

Team LiB

Index

T

taskbars, 8-9
customizing, 232-241
notification areas, 240-241
opening applications, 233-234
properties, 234-235
toolbars, 235-240
Task Manager, 171-174, 465-470
controlling applications, 466-467
controlling processes, 467-468
networks, 469-470
tasks
applications, 174-175
AT command, 170-171
disk drives, 389-392
Help/Support Center, 124-130
Scheduled Task Wizard, 164-170
scripting, 487. See also scripting
Task Scheduler, 162-164
TCP/IP (Transmission Control Protocol/Internet Protocol), 567-568
assigning settings, 574-583
configuring, 556-558, 569-574
diagnostic commands, 584-592
static configuration of, 574-581
troubleshooting, 592-594
temporary files, deleting, 408-413
termination of nonresponsive applications, 172-173
testing. See also troubleshooting
PING command, 586-588
software, 84-85
text
Command Console, 494-495
configuring accessibility, 279
fax cover pages, 189-192
Magnifier, 282-283
Narrator, 283-285
On-Screen Keyboard, 285-287
reading with Windows Shell scripts, 510-511
Remote Assistance, 120
themes
Appearance and Themes folder, 249
desktops, 252-254
titles, Command Console, 494
toolbars
Address toolbar, 238
customizing, 239-240
Desktop toolbar, 238-239
Links toolbar, 238
Quick Launch toolbar, 236-237
taskbars, 235-240
tools. See also wizards
Add or Remove Programs utility, 147-156
chkdsk utility, 402-404
Computer Management console, 348-357
Disk Cleanup, 458-459
Disk Compression, 393-396
Disk Defragmenter, 404-408, 459-460
Help, 101. See also Help
Help/Support Center, 128-130
MMC (Microsoft Management Console), 339-341
networks, 27-28
Regedit, 419-420, 423-425
Support Center, 101. See also Support Center
System Configuration, 22
System Configuration Utility, 428-440
System Monitor, 470-473
System Restore, 126-128
Task Manager, 465-470
user state migration, 70-72
topics, Help. See Help
tours, 101
TRACERT command, 588-589
tracking performance, 355-356
traffic
routing, 533
subnetting, 573-574
TRACERT command, 588-589
transferring user settings, 65-72
translation, Narrator, 283-285
troubleshooting
access to troubleshooters, 101
applications, 150-151
chkdsk utility, 402-404
compatibility, 47-49
deleting temporary files, 408-413
Desktop Cleanup Wizard, 255, 273-274
desktop shortcuts, 255
device drivers, 90-91
Disk Cleanup, 409-411
Disk Compression, 393-396
Disk Defragmenter, 404-408, 459-460
disk drives, 389-392, 401-413
disk drives quotas, 398-400
error reporting, 174
error reports, 132-135
Help/Support Center troubleshooters, 130-132
HOSTNAME command, 585-586
ICMP (Internet Control Message Protocol), 616-618
IPCONFIG command, 589-592
modems, 601
optimizing disk drive performance, 457-460
PING command, 586-588
Regedit, 419-420, 423-425
System Setup troubleshooter, 132
TCP/IP (Transmission Control Protocol/Internet Protocol), 592-594
termination of nonresponsive applications, 172-173
TRACERT command, 588-589
Use Tools, 128-130
tunneling
L2TP (Layer-2 Tunneling Protocol), 542
PPTP (Point-to-Point Tunneling Protocol), 542
tutorials, 101
types of disk drives, 378-380


index_U

Team LiB

Index

U

UDF (uniqueness database file), 72-80
UDF (Universal Disk Format), 26
UNC (Universal Naming Convention), 214, 665
uninstallation. See also installation
applications, 152-153
automatic updates, 139
printers, 201
Universal Plug and Play, 27-28
unsigned drivers, 94
unsolicited Remote Assistance invitations, 123-124
updated articles, access to, 101
updates
applications, 150-151
automatic updates, 136-139
device drivers, 90-91
Dynamic Update, 20
printer drivers, 208
Windows Update, 16, 124-125
upgrades, 14
applications, 150-151
to existing operating systems, 56-61
installation, 50-51
Microsoft Upgrade Advisor, 48
URL (Uniform Resource Locator) shortcuts, 271-272
USB (Universal Serial Bus), 26
user accounts
administration, 309-321, 354-355
associating services, 364-365
Audit Policy, 330-331
built-in user accounts, 309-310
domain networks, 650-651
folders, 311-314
Group Policy, 325-331
Local User and Groups snap-in, 315-321
Lockout Policy, 329-330
NFTS (New Technology File System), 321-325
Windows Shell scripts, 517-519
workgroup networks, 639-640
User Accounts folder, 305-306
user interfaces, 6-12.
Control Panel, 11-12
folders, 9-11
Start menu, 7-8
taskbars, 8-9
users
configuring Start menus, 230-231
migrating settings, 65-72
mobile users, 526. See also mobile users
profiles, 243-245
remote desktop access, 547
Use Tools, 128-130
utilities. See also tools; wizards
Add or Remove Programs utility, 147-156
System Configuration, 22
System Configuration Utility, 428-440


index_V

Team LiB

Index

V

validation of hardware, 85
values
binary, 419
DWORD, 419
Expandable String Value, 419
manipulating variables, 502-503
moving Registry keys and values, 425-427
Multi-String Value, 419
registry, 419, 424
strings, 419
variables
deleting, 500-501
environment variables, 440-444
formatting, 500-501
manipulating values, 502-503
scope, 501-502
viewing, 441
Windows Shell scripts, 499-503
VBScript, 490-491
video cards, 456
viewing
Command Console, 494-495
configuration settings, 589-592
folders, 10
network connections, 663-664
network sessions, 683-684
Registry, 427
updates, 138
variables, 441
workgroup networks, 664
views, 10
Category, 12
Control Panel, 11
virtual memory, configuring, 453-455
Visual Effects, 449-450
volumes
deleting, 390-391
formatting dynamic disk drives, 388-389
sizing, 391
VPN (virtual private network), 526, 528-529
clients, 542-543
connecting, 542-545
servers, 545
starting, 543
WAI (Windows Image Acquisition), 27


index_W

Team LiB

Index

W

WAN (wide area network), 534
Web pages
adding content to desktops, 256-257
properties, 257-260
Web sites, Windows Update, 124
Welcome to System Restore dialog box, 127
Windows 2000, comparing operating systems, 33-34
Windows Catalog
Designed for Windows logo, 145
searching, 49-50
Windows Components Wizard, 154-156
Windows Installer Service, 146-147
Windows Me, comparing operating systems, 31-33
Windows Messenger, delivering Remote Assistance invitations, 112-116
Windows Setup Manager dialog box, 75
Windows Shell scripts, 491-508
arguments, 499-503
command prompt, 492-498
commands, 498-499
conditional logic, 503-507
examples, 513-521
formatting, 496-497
logs, 514
looping large amounts of data, 507-511
maintenance, 519-520
procedures, 511-513
reading text files, 510-511
remote file administration, 520-521
reports, 514
reviewing, 497-499
subroutines, 511-512
suppressing, 497
user accounts, 517-519
variables, 499-503
Windows Update, 16, 124-125
Windows workgroup networks, 638-649
Windows XP -Bit Edition, comparing operating systems, 35-37
Windows XP Home, comparing operating systems, 34-35
Windows XP Professional, comparing operating systems, 34-35
WIN.INI, modifying, 433
Winnt.exe command, 80
WINS (Windows Internet Naming Service), 579
wizards
Accessibility Wizard, 278-282
Add Hardware Wizard, 96-97
Add Network Place Wizard, 662
Add Printer Wizard, 197, 657
Audio Tuning Wizard, 120-121
Desktop Cleanup Wizard, 255, 273-274
Fax Configuration Wizard, 183
Files and Settings Transfer Wizard, 66-69
Network Setup, 27, 608-610
Network Setup Wizard, 641-649
New Connection Wizard, 528, 536-537
New Partition Wizard, 385
Program Compatibility Wizard, 25, 158-160
Scheduled Task Wizard, 164-170
Send Fax Wizard, 187
Setup Manager Wizard, 73
Windows Components Wizard, 154-156
WMI control, 368-369
workgroup networks, 627-628, 638-649
login, 640-641
Network Setup Wizard, 641-649
user accounts, 639-640
viewing, 664
WOW64 (Windows on Windows 64 x 8), 36
WScript.exe, 489
WSF (Windows Script File), 490
WSH (Windows Scripting Host), 486-491
architecture, 488-490
JScript, 490-491
VBScript, 490-491


index_X

Team LiB

Index

X

XML (Extensible Markup Language), 490


List of Figures

Chapter 1: Introducing Windows XP Professional

Figure 1.1: Windows XP features a more intelligent and streamlined Start menu
Figure 1.2: The Windows XP taskbar more efficiently organizes and provides access to open applications
Figure 1.3: Expanding the taskbar to display all open instances of the same application
Figure 1.4: Windows XP's folders help you better manage files and folders by providing tasks for administering them
Figure 1.5: Windows XP customizes the list of tasks that can be performed based on the object that has been selected
Figure 1.6: Organizing folder contents into groups
Figure 1.7: Windows XP introduces a new category view for the Windows Control Panel
Figure 1.8: Examining the applets located under Appearance and Themes
Figure 1.9: Windows XP allows you to switch between Category and Classic Views of the Control Panel
Figure 1.10: Windows XP automatically saves a copy of a device's software driver before performing a driver update
Figure 1.11: The Windows XP System Restore utility lets you recover from harmful changes made to system settings
Figure 1.12: Dynamic Update ensures that any installation files on the Windows CD are replaced with updated copies before the installation of Windows XP Professional begins
Figure 1.13: Windows XP's Help and Support Center consolidates help documentation, system information, and help tools and provides a single source for information gathering
Figure 1.14: Remote Assistance facilitates remote desktop support and allows administrators to troubleshoot complex problems without having to physically visit the user's computer
Figure 1.15: ICF protects a computer that is directly connected to the Internet from external intrusion and attack
Figure 1.16: The EFS provides an additional layer of security for critical files
Figure 1.17: The Program Compatibility Wizard lets administrators configure Windows XP so that it can run nonWindows XP programs
Figure 1.18: Windows XP's AutoPlay feature lets you associate an application with a media type so that Windows will automatically load the appropriate application whenever the media type is detected
Figure 1.19: The Network Setup Wizard facilitates the setup of small networks and in the configuration of file and printer sharing
Figure 1.20: Windows XP Professional provides the best operating system for mobile computers because of its security and power management capabilities
Figure 1.21: A computer set up to dual-boot multiple operating systems, including Windows XP Professional
Figure 1.22: The Welcome Screen speeds up user login by allowing users to initiate a login session without having to type their usernames
Figure 1.23: Logging off a computer running Windows XP Professional that is a member of a domain-based network
Figure 1.24: Logging off a stand-alone computer that uses the Windows Welcome Screen
Figure 1.25: Shutting down a Windows XP Professional system that is part of a Windows domain
Figure 1.26: Shutting down a Windows XP Professional system that uses the Windows Welcome Screen

Chapter 2: Installing and Upgrading to Windows XP Professional

Figure 2.1: Use the HCL to verify the compatibility of hardware installed on a computer before attempting to install Windows XP Professional
Figure 2.2: You can start the Upgrade Advisor directly from the Windows XP Professional CD
Figure 2.3: The Upgrade Advisor generates a report of all incompatible hardware and software found on the computer
Figure 2.4: The Windows Catalog provides compatibility searches based on manufacturer, product, or model
Figure 2.5: The Windows XP Professional install program lets you perform an upgrade or a new installation
Figure 2.6: Running the Files and Settings Transfer Wizard is a multistep process that must be executed on both the old and new computers
Figure 2.7: Selecting the files and settings to be transferred to the new computer
Figure 2.8: Creating a new answer file
Figure 2.9: Specifying the level of user interaction to occur during setup
Figure 2.10: Specifying the remaining setup configuration answers
Figure 2.11: You can activate Windows XP Professional over the Internet or by calling Microsoft
Figure 2.12: Activate Windows XP Professional over the phone
Figure 2.13: The System Properties dialog provides access to several hardware management utilities
Figure 2.14: Device Manager provides a graphical view of all the hardware installed on a computer
Figure 2.15: Using Device Manager to display all hardware devices that have been assigned an IRQ
Figure 2.16: Device Manager provides graphical clues that identify hardware problems
Figure 2.17: Each device's Properties dialog provides the tools required to administer the device's software driver
Figure 2.18: The Driver property sheet provides detailed control over a device's software driver
Figure 2.19: Configuring how Windows XP Professional handles unsigned drivers
Figure 2.20: Viewing critical system files and drivers that do not have signatures
Figure 2.21: Manually installing a new hardware device
Figure 2.22: Select the type of hardware device being installed

Chapter 3: Help and Support

Figure 3.1: The Help and Support Center home page provides a focal point for all help and support resources
Figure 3.2: Performing a keyword search of the Help and Support Center's help index
Figure 3.3: Newsgroups provide administrators with access to open forums where they can share information and ask questions
Figure 3.4: Configuring Help and Support Center options
Figure 3.5: A search performs an exhaustive examination of the local Windows help database as well as a scan for related information in the Microsoft Knowledge Base
Figure 3.6: The Remote properties sheet on the System Properties dialog controls whether or not Remote Assistance is enabled
Figure 3.7: Administering advanced Remote Assistance settings
Figure 3.8: Creating a Remote Assistance invitation
Figure 3.9: There are three ways to deliver Remote Assistance invitations
Figure 3.10: Remote Assistance invitations can be sent using Windows Messenger
Figure 3.11: Windows Messenger waits while the invitation is sent to the helper
Figure 3.12: The helper receives the Remote Assistance invitation and clicks on Accept to initiate a Remote Assistance session
Figure 3.13: Supply a contact name and message describing the reason for the invitation
Figure 3.14: To provide additional security, instruct users to limit invitation expiration periods and to assign a password to every invitation
Figure 3.15: Opening a Remote Assistance invitation that was saved as an .msrincident file
Figure 3.16: The Remote Assistance console as seen on the user's screen
Figure 3.17: The Remote Assistance console as seen on the helper's screen
Figure 3.18: Viewing and managing Remote Assistance invitations
Figure 3.19: Administrators can use Windows Update to check the Microsoft Update site to determine if updates are available
Figure 3.20: System Restore provides a means of restoring critical system files to a previous state
Figure 3.21: Configuring which drives are tracked and restored by the System Restore process
Figure 3.22: Viewing detailed information about the hardware and software installed on a computer running Windows XP Professional
Figure 3.23: Troubleshooters like the System Setup troubleshooter begin with general questions and gradually guide you through a detailed problem resolution
Figure 3.24: An Internet Explorer error has occurred on a Windows XP system that has been configured to report on errors
Figure 3.25: The option for configuring error reporting is found on the Advanced property sheet of the System Properties dialog
Figure 3.26: Disabling automatic error reporting
Figure 3.27: Configuring how Windows XP reports program errors
Figure 3.28: Automatic Updates is configured using the System Properties dialog
Figure 3.29: Automatic Updates displays a list of updates that have not been applied to the computer

Chapter 4: Application Management

Figure 4.1: The Add or Remove Programs utility can be used to manage applications and Windows components
Figure 4.2: The Add New Programs option on the Add or Remove Programs utility assists administrators and power users in installing new applications
Figure 4.3: Specify the location of the application's setup program
Figure 4.4: Making changes to an application or removing it from the computer
Figure 4.5: Locating an application's source files
Figure 4.6: Adding and removing Windows components
Figure 4.7: Tell the wizard how it will find the application that is experiencing compatibility problems
Figure 4.8: Select the type of Microsoft operating system for which the application was designed
Figure 4.9: If necessary, alter the display settings to be used when executing the application
Figure 4.10: Manually setting compatibility mode settings
Figure 4.11: Configuring the Task Scheduler service
Figure 4.12: The General property sheet on the Task Scheduler Properties dialog can be used to change task startup type and to control task execution
Figure 4.13: The Scheduled Tasks folder is the focal point for managing all scheduled tasks
Figure 4.14: Select an application to schedule
Figure 4.15: Select a scheduling option for the new task
Figure 4.16: Setting up a Daily execution schedule
Figure 4.17: Setting up a Weekly execution schedule
Figure 4.18: Setting up a Monthly execution schedule
Figure 4.19: Setting up a One time only execution schedule
Figure 4.20: Setting up a When my computer starts execution schedule
Figure 4.21: Refining the execution of a scheduled task by adding command line arguments
Figure 4.22: The Windows Task Manager provides a means for terminating nonresponsive applications

Chapter 5: Printer and Fax Administration

Figure 5.1: The Printers and Faxes folder displays an icon for each local or network print device and fax device that has been set up on the computer
Figure 5.2: The Fax Console is the primary interface for working with faxes
Figure 5.3: The Fax Configuration Wizard collects sender information
Figure 5.4: Configuring whether the fax device can send or receive faxes
Figure 5.5: The TSID usually identifies the fax device owner and fax number
Figure 5.6: Tell the Fax Configuration Wizard what to do when an incoming fax is received
Figure 5.7: The Windows Picture and Fax Viewer is used to display faxes
Figure 5.8: Specify the names and fax number of the individuals who are to receive the fax
Figure 5.9: Type the subject and message that are to be sent on the fax
Figure 5.10: Specify the delivery schedule and priority of the fax
Figure 5.11: Modifying sender information
Figure 5.12: The Personal Cover Pages dialog displays a list of the user's personal cover pages
Figure 5.13: Creating custom fax cover pages
Figure 5.14: Viewing a user's personal cover pages
Figure 5.15: Checking the status of fax devices
Figure 5.16: Checking the status of incoming and outgoing faxes
Figure 5.17: Initiating a Plug and Play printer installation
Figure 5.18: The wizard announces that it has detected a new printer
Figure 5.19: Select the appropriate software driver
Figure 5.20: Specify the port where the print device has been connected
Figure 5.21: Tell the wizard the manufacturer of the printer and its model
Figure 5.22: If the computer is connected to a network, the Add Printer Wizard can set it up as a shared network resource
Figure 5.23: Providing as much information as possible about the shared printer will assist other network users in identifying the print device
Figure 5.24: Windows applications automatically suggest sending all print output to the default print device
Figure 5.25: The General property sheet displays information about basic printer features and provides the ability to change the print device's name, location, and comment information
Figure 5.26: The Sharing property sheet determines whether or not the printer is shared with other computers on a local area network
Figure 5.27: By loading drivers for other operating systems, administrators make the setup of network printer connections easier
Figure 5.28: Each printer connection requires a unique port assignment
Figure 5.29: The Advanced property sheets allows administrators to configure print device availability and priority settings
Figure 5.30: Administrators can manage any job in the print queue regardless of who submitted it
Figure 5.31: Changing the order in which print jobs are processed
Figure 5.32: On small networks and local subnets, Windows XP Professional automatically detects and sets up a connection with most network print devices
Figure 5.33: Tell the Add Printer Wizard the location of the network print device

Chapter 6: Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder

Figure 6.1: Windows XP provides the option of using the Classic Start menu
Figure 6.2: The Simple Start menu provides better access to Windows applications and utilities and has more configuration options than the Classic Start menu
Figure 6.3: Choosing between the Simple Start menu and the Classic Start menu
Figure 6.4: Configuring the Windows XP Classic Start menu
Figure 6.5: Configuring general options for the Windows XP Simple Start menu
Figure 6.6: Configuring advanced options for the Windows XP Simple Start menu
Figure 6.7: Viewing all the user profiles stored on a computer running Windows XP Professional
Figure 6.8: Making a change to the All Users profile's Start menu affects all users of the computer
Figure 6.9: Accessing an individual user's profile
Figure 6.10: The Windows XP taskbar groups applications of the same type into groups to prevent the taskbar from becoming overcrowded as the number of active applications grows
Figure 6.11: Configuring the Windows XP taskbar
Figure 6.12: Configuring the taskbar's Quick Launch toolbar
Figure 6.13: Adding the Address toolbar to the Windows XP taskbar
Figure 6.14: Adding the Links toolbar to the Windows XP taskbar
Figure 6.15: Adding the Desktop toolbar to the Windows XP taskbar
Figure 6.16: Creating a new custom toolbar
Figure 6.17: Viewing the contents of the newly created custom toolbar
Figure 6.18: Customizing the display of notification area icons
Figure 6.19: Changing the location of the user's My Document folder
Figure 6.20: Configuring a roaming user profile

Chapter 7: Configuring Desktop Settings

Figure 7.1: Administering desktop appearance using the Appearance and Themes folder
Figure 7.2: Selecting a desktop theme
Figure 7.3: Configuring the Windows XP desktop background
Figure 7.4: Selecting a custom background color
Figure 7.5: Adding Web content to the Windows XP desktop
Figure 7.6: Specifying a Web page to be used as the desktop's background
Figure 7.7: Viewing Web Document properties
Figure 7.8: Specifying when Windows XP should synchronize the desktop content with the Web page
Figure 7.9: Setting up a synchronization schedule
Figure 7.10: Determining how many links deep to download for the specified Web page
Figure 7.11: Specifying the types of content to download
Figure 7.12: Provide the username and password required to gain access to the Web
Figure 7.13: Setting up a Windows XP screen saver
Figure 7.14: Some screen savers have settings that can be configured to specify their behavior
Figure 7.15: Specifying the appearance of Windows, buttons, colors, and fonts
Figure 7.16: Specify Windows visual effects
Figure 7.17: Setting advanced appearance settings
Figure 7.18: Configuring Windows XP display resolution and color settings
Figure 7.19: Creating a desktop shortcut
Figure 7.20: Examining the properties associated with an application shortcut
Figure 7.21: Modifying the manner in which the shortcut opens its associated application
Figure 7.22: Configuring a shortcut's advanced properties
Figure 7.23: Changing the icon associated with a special desktop shortcut
Figure 7.24: Removing seldom-used shortcuts from the Windows XP desktop

Chapter 8: Configuring Accessibility Features

Figure 8.1: Configuring text size for vision-impaired users
Figure 8.2: Configuring display settings using the Accessibility Wizard
Figure 8.3: Setting up the Magnifier application to support vision-impaired users
Figure 8.4: Select the appropriate Narrator settings for the user
Figure 8.5: Configuring Narrator voice settings
Figure 8.6: The On-Screen Keyboard lets users use their mouse to enter keyboard input
Figure 8.7: Specify what constitutes a keyboard stroke
Figure 8.8: The Utility Manager provides control over the execution of several accessibility applications
Figure 8.9: The Accessibility Options folder provides access to several accessibility applications as well as the Accessibility Options dialog
Figure 8.10: The Keyboard property sheet on the Accessibility Options dialog provides access to an assortment of keyboard configuration settings
Figure 8.12: The Show StickyKeys status on-screen option displays a graphical representation of the status of StickyKeys
Figure 8.11: Configuring StickyKeys settings
Figure 8.13: Configuring FilterKeys settings
Figure 8.14: The Show FilterKey status on screen option displays a graphical stopwatch, indicating that FilterKey settings are being used
Figure 8.15: Configuring the ToggleKeys Use Shortcut setting
Figure 8.16: The Sound property sheet on the Accessibility Options dialog provides access to an assortment of audio configuration setting
Figure 8.17: The Display property sheet on the Accessibility Options dialog provides access to display and cursor configuration settings
Figure 8.18: Refining High Contrast display settings
Figure 8.19: The Mouse property sheet on the Accessibility Options dialog provides access to settings that allow the keyboard to be substituted for the mouse
Figure 8.20: The MouseKeys icon will be displayed in the taskbar's notification area whenever MouseKeys are enabled
Figure 8.21: Modifying MouseKeys settings
Figure 8.22: The General property sheet provides access to a miscellaneous collection of Accessibility settings
Figure 8.23: Configuring the communications port and baud rate for an alternate input device
Figure 8.24: Configuring Internet Explorer accessibility setting

Chapter 9: Security Administration

Figure 9.1: The User Accounts folder displays local user accounts and provides access to basic account administration tasks
Figure 9.2: Configuring the Windows XP Professional login screen
Figure 9.3: Usernames can be up to 20 characters long
Figure 9.4: Select the type of account to be created
Figure 9.5: Select a user account to modify
Figure 9.6: Select an account attribute to change
Figure 9.7: Examining all user accounts defined in the targeted computer's SAM
Figure 9.8: Creating a new user account using the Local Users and Groups extension in the Computer Management console
Figure 9.9: Modifying user account properties
Figure 9.10: Administering the account's group membership
Figure 9.11: Configuring an account profile and home folder
Figure 9.12: Administering group accounts
Figure 9.13: Defining a new group and populating it with user accounts
Figure 9.14: Modifying NTFS security permissions for a folder
Figure 9.15: Modifying the policies for a Windows component that is located under the Computer Configuration node in Group Policy
Figure 9.16: Modifying NetMeeting's Disable remote Desktop Sharing policy
Figure 9.17: Every policy provides a complete description of its function
Figure 9.18: Examining password policies stored under the Computer Configuration node in the Group Policy snap-in
Figure 9.19: Configuring the Audit account logon event policy
Figure 9.20: Configuring audit settings for the selected resource
Figure 9.21: Configuring detailed audit settings
Figure 9.22: Accessing the records stored in Windows XP's Security event log
Figure 9.23: Examining a successful logon event record

Chapter 10: Microsoft Management Consoles

Figure 10.1: Viewing the MMCs stored in the Administrative Tools folder
Figure 10.2: Creating a customized MMC
Figure 10.3: Adding a snap-in to an MMC
Figure 10.4: Selecting the snap-in to add to the new MMC
Figure 10.5: Specify whether the snap-in will be used to manage the local computer or a network computer
Figure 10.6: Viewing snap-ins that have been added to the new MMC
Figure 10.7: Select the extensions that are to appear in a custom console containing the Computer Management snap-in
Figure 10.8: Saving the custom console in user mode
Figure 10.9: Managing local and network computers using the Computer Management console
Figure 10.10: Specifying the name of a network computer to manage
Figure 10.11: Viewing events stored in the System log
Figure 10.12: Examining an error message in the System log
Figure 10.13: Configuring event log properties
Figure 10.14: Viewing shared drives and folders
Figure 10.15: Managing user and group accounts
Figure 10.16: Examining performance logs and alerts
Figure 10.17: The Device Manager extension allows administrators to view and configure all the hardware devices installed on a computer
Figure 10.18: Managing removable media storage
Figure 10.19: Analyzing and defragging disk space
Figure 10.20: Performing disk drive administration
Figure 10.21: Managing Windows XP services
Figure 10.22: Specifying service startup type
Figure 10.23: Associating a user account with a service to ensure that it has the security permissions that it requires to execute
Figure 10.24: Telling Windows XP Professional what to do if a service fails
Figure 10.25: Examining services dependent upon the service
Figure 10.26: Administering WMI Control properties
Figure 10.27: Performing an index text query
Figure 10.28: Configuring Indexing Service performance
Figure 10.29: Setting performance levels for the Indexing Service

Chapter 11: Disk Management

Figure 11.1: Using the Disk Management extension in the Computer Management console to manage disk drives
Figure 11.2: Converting a basic disk to a dynamic disk
Figure 11.3: Confirming the partition to be converted to a dynamic volume
Figure 11.4: Changing drive letter assignment
Figure 11.5: Mounting a partition or volume to an empty folder on an NTFS formatted volume or partition
Figure 11.6: Compressing a file
Figure 11.7: Compressing a folder
Figure 11.8: Encrypting a file that is not stored inside an encrypted folder
Figure 11.9: Enabling quota management for a hard disk drive
Figure 11.10: Viewing assigned quotas
Figure 11.11: Changing the quota limits applied to an individual user
Figure 11.12: Disk management tools can be found on the Tools property sheet of the selected driver's Properties dialog
Figure 11.13: The chkdsk utility can perform a scan of the file system and check the disk for bad sectors
Figure 11.14: If files are open on the selected drive, chkdsk cannot run and will offer to schedule its execution at the next startup of the computer
Figure 11.15: Defragmenting a hard disk drive
Figure 11.16: The Disk Defragmenter snap-in recommends defragmenting the hard disk drive
Figure 11.17: The Disk Defragmenter snap-in can provide a detailed text report of its analysis of the hard disk drive
Figure 11.18: Scheduling the defragmentation of a hard disk drive
Figure 11.19: Select the disk drive that Disk Cleanup is to clean
Figure 11.20: Select the types of files that Disk Cleanup should remove from the computer
Figure 11.21: Configuring Disk Cleanup to compress files that are older than a specified age
Figure 11.22: Disk Cleanup can be used to access the components of the Add/Remove Programs utility that allows administrators to uninstall Windows components or applications
Figure 11.23: Configuring the scheduled task to use the previously specified list of files when running Disk Cleanup

Chapter 12: Configuring and Administering System Files

Figure 12.1: The Regedit utility lets administrators view and manipulate registry keys and values
Figure 12.2: Specifying the name of a network computer
Figure 12.3: Examining the keys and values stored under the HKEY_LOCAL_MACHINE hive
Figure 12.4: Using the Display Properties dialog to configure screen saver registry settings
Figure 12.5: Viewing the screen saver settings stored in the Windows XP registry
Figure 12.6: Searching the Windows XP Professional registry
Figure 12.7: Modifying a registry value
Figure 12.8: Saving the exported registry key
Figure 12.9: Viewing an exported registry key
Figure 12.10: Setting system startup settings
Figure 12.11: Restoring Windows XP Professional from the Windows XP Professional CD
Figure 12.12: Modifying the System.ini file
Figure 12.13: Modifying the Win.ini file
Figure 12.14: Modifying the Boot.ini file
Figure 12.15: Modifying the Boot.ini file from the Startup and Recovery dialog
Figure 12.16: Setting advanced Boot.ini configuration options
Figure 12.17: Controlling which services are started during system startup
Figure 12.18: Controlling which Windows XP applications are started during system startup
Figure 12.19: Displaying user and system variables
Figure 12.20: Displaying variables from the Windows XP Professional command prompt

Chapter 13: Performance Tuning

Figure 13.1: Only administrators can configure Windows XP Professional performance settings
Figure 13.2: Windows XP's performance settings control visual affects as well as processor, memory, and virtual memory settings
Figure 13.3: Configuring advanced performance settings
Figure 13.4: Viewing current virtual memory configuration
Figure 13.5: Spreading virtual memory out over two disk drives to improve system performance
Figure 13.6: Adjusting resolution and color display settings for better performance
Figure 13.7: Select the hard disk drive to be cleaned up
Figure 13.8: Use the Disk Cleanup utility to free up disk space by removing unnecessary files from the computer
Figure 13.9: Use the Disk Defragmenter utility to optimize storage on a computer's hard disk drives
Figure 13.10: The Performance and Maintenance folder provides easy access to a number of performance tools, including the Power Options dialog
Figure 13.11: Power schemes provide control over the way that Windows XP Professional manages power consumption
Figure 13.12: Using Task Manager to monitor and manage active application activity
Figure 13.13: Using the Task Manager to examine active processes
Figure 13.14: Using the Task Manager to monitor system performance and view detailed memory statistics
Figure 13.15: Using the Task Manager to examine network statistics
Figure 13.16: The Performance console provides access to both the System Monitor and the Performance Logs and Alerts snap-ins
Figure 13.17: Adding new counters
Figure 13.18: The Performance Logs and Alerts snap-in allows administrators to store performance data in logs and to create alerts when predefined thresholds are exceeded
Figure 13.19: Type a name for the new alert
Figure 13.20: Alert settings are stored on three property sheets
Figure 13.21: Creating an alert that reports on when a hard drive begins to fill up
Figure 13.22: Specify what actions are performed when a counter's threshold specified in an alert is exceeded
Figure 13.23: Determine when the alert starts and stops execution
Figure 13.24: Specify log file type, version information, and a comment
Figure 13.25: Setting the log file execution schedule

Chapter 14: Shell Scripting and the WSH

Figure 14.1: The WSH is made up of a number of separate components
Figure 14.2: A GUI pop-up dialog that prompts the user to select a response
Figure 14.3: A GUI pop-up dialog that allows the user to provide text input
Figure 14.4: The Windows XP command prompt provides a text-based interface to the Windows XP operating system
Figure 14.5: Windows command Shell syntax

Chapter 15: Supporting Mobile Users

Figure 15.1: Configuring Windows XP power settings
Figure 15.2: Configuring Windows XP Professional to support multiple hardware profiles
Figure 15.3: Naming a new hardware profile
Figure 15.4: Configuring a new hardware profile
Figure 15.5: Verifying modem installation
Figure 15.6: Setting up a dial-up connection to connect to a corporate dial-up server
Figure 15.7: Specifying the type of connection to set up
Figure 15.8: Windows XP Professional stores icons representing dial-up connections in the Network Connections folder
Figure 15.9: Establishing a dial-up session
Figure 15.10: Configuring a dial-up connection to use multiple modems to establish a multilink connection
Figure 15.11: Configuring local area network access and TCP/IP settings for an incoming dial-up connection
Figure 15.12: The Incoming Connections icon represents the dial-up server connection and can be used to see if anyone is currently using the connection
Figure 15.13: Specify how the computer is connected to the Internet
Figure 15.14: Specify the username and password required to establish the VPN connection
Figure 15.15: Configuring an incoming connection to accept a VPN connection
Figure 15.16: Configuring Remote Desktop on Windows XP Professional
Figure 15.17: Adding users to the Remote Desktop Users group
Figure 15.18: Installing the Remote Desktop Connection Client from the Windows XP Professional CD
Figure 15.19: Starting Remote Desktop on the local computer
Figure 15.20: Using Remote Desktop to connect to a remote Windows XP Professional computer
Figure 15.21: Using the General property sheet, the user can specify a different username and password and save Remote Desktop settings
Figure 15.22: Modifying the resolution and color settings on the remote computer
Figure 15.23: Configuring which resources the local and remote computers can connect to and use
Figure 15.24: Specify an application or script to be executed whenever a remote desktop connection is established
Figure 15.25: By disabling certain desktop features, Remote Desktop will operate better over slower network connections
Figure 15.26: Configuring alternate TCP/IP settings that are to be used when mobile users connect to a network that uses statically assigned TCP/IP settings
Figure 15.27: Enabling Windows XP Professional to work with offline files

Chapter 16: Windows XP and TCP/IP

Figure 16.1: Select the local area connection that is to be configured
Figure 16.2: Examining local area network properties
Figure 16.3: Configuring static TCP/IP settings
Figure 16.4: Configuring advanced TCP/IP settings
Figure 16.5: Configuring advanced DNS settings
Figure 16.6: Configuring advanced WINS settings
Figure 16.7: Configuring advanced TCP/IP settings
Figure 16.8: Configuring TCP, UDP, and IP ports
Figure 16.9: Configuring Windows XP to use an automatic private IP address as its alternate configuration
Figure 16.10: Examining a computer's assigned name
Figure 16.11: Examining network connection status
Figure 16.12: Examining IP configuration settings
Figure 16.13: Examining detailed connection information

Chapter 17: Supporting Internet Communications

Figure 17.1: Administering modem and phone options
Figure 17.2: Examining the list of modems installed on the computer
Figure 17.3: Viewing modem information and status
Figure 17.4: The Modem Troubleshooter assists in diagnosing modem problems
Figure 17.5: Running a diagnostic test on the modem
Figure 17.6: Reviewing the Windows XP modem log file
Figure 17.7: Setting up a new Internet account
Figure 17.8: The Online Services folder contains shortcuts that assist in setting up new Internet accounts
Figure 17.9: Select the modem to be used to create the Internet connection
Figure 17.10: Supply the user name and password assigned by the ISP for the Internet account
Figure 17.11: Connecting to the Internet using a dial-up connection
Figure 17.12: Configuring Internet connection settings for Internet Explorer
Figure 17.13: Configuring proxy server settings
Figure 17.14: Manually specifying proxy server settings
Figure 17.15: Enabling Windows XP's ICF
Figure 17.16: Enabling specific services so that their associated ports and protocols are permitted to pass through ICF
Figure 17.17: Configuring the ports and protocol associated with a specific service
Figure 17.18: Configuring ICF log settings
Figure 17.19: Examining entries recorded in the ICF log file
Figure 17.20: Configuring ICF ICMP settings

Chapter 18: LAN Configuration

Figure 18.1: Manually installing a network adapter
Figure 18.2: Selecting the manufacturer of the network adapter and the type of card being installed
Figure 18.3: Examining installed local area network software components
Figure 18.4: Administrators can install additional protocols, clients, and services on Windows XP Professional
Figure 18.5: Installing the Client for Microsoft Networks
Figure 18.6: Installing File and Printer Sharing for Microsoft Networks
Figure 18.7: The Windows XP Help and Support Center provides detailed instructions for assembling a small home or office network
Figure 18.8: The Network Setup Wizard assists in configuring a number of different network options
Figure 18.9: Select the local area network connection with which the Internet connection should be shared
Figure 18.10: The Network Setup Wizard can be used to create a setup disk for configuring non Windows XP computers on a workgroup network
Figure 18.11: The Network Setup Wizard can also be used to set up several non-ICS network configurations
Figure 18.12: Changing the name assigned to a computer running Windows XP Professional
Figure 18.13: Adding a computer running Windows XP Professional to a Windows domain

Chapter 19: Printer and Disk Sharing

Figure 19.1: Windous XP professional can automtically detect shared printers on the local subnet
Figure 19.2: Specify the location and name of the network printer
Figure 19.3: Sharing a local printer over the network
Figure 19.4: Configuring Windows XP Professional to store printer drivers for other Windows operating systems
Figure 19.5: Viewing the My Network Places folder
Figure 19.6: Specify the type of network connection to be established
Figure 19.7: Specify the location of the resource to be connected
Figure 19.8: Mapping a connection to a network drive or folder
Figure 19.9: Disconnecting from a mapped network drive or folder
Figure 19.10: Setting up a shared disk drive when using simple file sharing
Figure 19.11: Configuring shared access settings when using simple file sharing
Figure 19.12: Disabling simple file sharing when the computer is connected to a peer-to-peer network
Figure 19.13: Setting up a shared disk drive when simple file sharing is disabled
Figure 19.14: Configuring share level permissions when working with FAT or FAT32
Figure 19.15: Configuring NTFS security permissions
Figure 19.16: Configuring offline file access
Figure 19.17: Viewing hidden shares using the Computer Management console
Figure 19.18: The Shared Folders extension or snap-in provides the ability to monitor local and remote connections to shared drives and folders
Figure 19.19: Viewing a list of all shared drives and folders
Figure 19.20: Sending a text message to network users
Figure 19.21: Examining the message as it appears on the recipient's display
Figure 19.22: Viewing all active network connections to shared folders on the target computer
Figure 19.23: Viewing a listing of all files currently opened by network users

Appendix B: Troubleshooting System Startup

Figure B.1: Accessing Device Driver management options
Figure B.2: System Restore configuration settings from the System Properties dialog
Figure B.3: Configuring a system restore for an individual disk drive
Figure B.4: The System Restore dialog is used to manually create restore points and to perform a system restore
Figure B.5: Creating a manual restore point
Figure B.6: Selecting the restore point to be used to perform a system restore
Figure B.7: System Restore requires confirmation before continuing
Figure B.8: Creating a Windows XP startup disk for systems that use FAT or FAT32
Figure B.9: Creating an ASR backup
Figure B.10: Creating an ASR floppy disk
Figure B.11: Specifying the location and name of a backup file
Figure B.12: Specifying the location of the backup containing the files and folders to be restored
Figure B.13: Examining the results of a restore operation


List of Tables

Chapter 1: Introducing Windows XP Professional

Table 1.1: Windows XP Professional Upgrade Paths

Chapter 2: Installing and Upgrading to Windows XP Professional

Table 2.1: Hardware Requirements for Windows Operating Systems

Chapter 3: Help and Support

Table 3.1: Help and Support Center Tools
Table 3.2: Help and Support Center Troubleshooters

Chapter 4: Application Management

Table 4.1: Windows XP Professional Component Categories
Table 4.2: Windows XP Professional Component Categories

Chapter 6: Configuring the Windows XP Start Menu, Taskbar, and My Documents Folder

Table 6.1: Windows XP Classic Menu Configuration Settings
Table 6.2: Windows XP Simple Menu Configuration Settings
Table 6.3: Windows XP Taskbar Configuration Settings
Table 6.4: Windows XP Taskbar Configuration Settings

Chapter 7: Configuring Desktop Settings

Table 7.1: Windows XP Themes

Chapter 9: Security Administration

Table 9.1: Built-in Windows XP Professional User Accounts
Table 9.2: Built-in Windows XP Professional Group Accounts
Table 9.3: NTFS Folder Permissions
Table 9.4: NTFS File Permissions
Table 9.5: NTFS Printer Permissions
Table 9.6: Password Policies
Table 9.7: Account Lockout Policies

Chapter 10: Microsoft Management Consoles

Table 10.1: Built-in MMCs
Table 10.2: MMC Snap-ins

Chapter 11: Disk Management

Table 11.1: Comparison of Windows XP Professional File Systems
Table 11.2: Comparison of File Systems Supported by Various Windows

Chapter 12: Configuring and Administering System Files

Table 12.1: Windows XP Professional Registry Hives

Chapter 13: Performance Tuning

Table 13.1: Windows XP Professional Power Schemes
Table 13.2: Key Windows XP Objects and Counters

Chapter 14: Shell Scripting and the WSH

Table 14.1: Built-in Windows Shell Commands
Table 14.2: Shell Script Arguments
Table 14.3: Assignment Operators
Table 14.4: Arithmetic Operators
Table 14.5: String Processing Options

Chapter 16: Windows XP and TCP/IP

Table 16.1: IP Address Class Organization
Table 16.2: Network Identification
Table 16.3: Subnet Masks
Table 16.4: Private IP Addresses

Chapter 17: Supporting Internet Communications

Table 17.1: ICF Default Services
Table 17.2: Windows XP Internet Application Network Requirements

Chapter 19: Printer and Disk Sharing

Table 19.1: Share Level Security Permissions
Table 19.2: NTFS Security Permissions

Appendix B: Troubleshooting System Startup

Table B.1: Windows XP Information Gathering and Troubleshooting Tools,
Table B.2: Windows XP Recovery Console Commands
Table B.3: Windows XP Supported Backup Types
Table B.4: Windows XP Restore Tools
Team LiB
Previous Section